diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 3ec310f..d0892ca 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -111741,6 +111741,1238 @@ Vector(R:Type): Exports == Implementation where
 
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{domain VSBASIS VectorSpaceBasis}
+<<VectorSpaceBasis.input>>=
+)set break resume
+)sys rm -f VectorSpaceBasis.output
+)spool VectorSpaceBasis.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 68
+VFI ==> Vector Fraction Integer
+--R 
+--R                                                                   Type: Void
+--E 1
+
+--S 2 of 68
+MFI ==> Matrix Fraction Integer
+--R 
+--R                                                                   Type: Void
+--E 2
+
+--S 3 of 68
+VSB ==> VectorSpaceBasis Fraction Integer
+--R 
+--R                                                                   Type: Void
+--E 3
+
+
+--S 4 of 68
+bc3 := canonicalBasis 3 :: List VFI
+--R 
+--R
+--R   (4)  [[1,0,0],[0,1,0],[0,0,1]]
+--R                                           Type: List Vector Fraction Integer
+--E 4
+
+--S 5 of 68
+u : VFI := vector [1,0,-1]
+--R 
+--R
+--R   (5)  [1,0,- 1]
+--R                                                Type: Vector Fraction Integer
+--E 5
+
+--S 6 of 68
+v : VFI := vector [2,1,2]
+--R 
+--R
+--R   (6)  [2,1,2]
+--R                                                Type: Vector Fraction Integer
+--E 6
+
+--S 7 of 68
+w : VFI := vector [1,2,1]
+--R 
+--R
+--R   (7)  [1,2,1]
+--R                                                Type: Vector Fraction Integer
+--E 7
+
+
+-- F = {(x,y,z)|x+y+z=x-y+z=0}
+--S 8 of 68
+MF : MFI := matrix [[1,1,1],[1,-1,1]]  
+--R 
+--R
+--R        +1   1   1+
+--R   (8)  |         |
+--R        +1  - 1  1+
+--R                                                Type: Matrix Fraction Integer
+--E 8
+
+--S 9 of 68
+F := (nullSpace MF)$VSB                            -- a basis is (-1,0,1)
+--R 
+--R
+--R   (9)  VectorSpace [[- 1,0,1]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 9
+
+--S 10 of 68
+solve (matrix [[2,1,2],[1,2,1]]$MFI, vector [0,0,0])    
+--R 
+--R
+--R   (10)  [particular= [0,0,0],basis= [[- 1,0,1]]]
+--RType: Record(particular: Union(Vector Fraction Integer,"failed"),basis: List Vector Fraction Integer)
+--E 10
+
+-- G = vect(v,w)
+--S 11 of 68
+G := basis [v, w]                               -- this family is a basis
+--R 
+--R
+--R   (11)  VectorSpace [[2,1,2],[1,2,1]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 11
+
+--S 12 of 68
+basis? [v,w]
+--R 
+--R
+--R   (12)  basis?
+--R               [2,1,2],[1,2,1]
+--R                                                                 Type: Symbol
+--E 12
+
+
+-- search (a,b,c) | F = R(a,b,c)
+-- (a,b,c) matchs for v and w, 
+-- so (a,b,c) in the nullSpace of the matrix of lines (2,1,2) and (1,2,1)
+--S 13 of 68
+RES := nullSpace (transpose horizConcat (v::MFI,w::MFI)) $ VSB
+--R 
+--R
+--R   (13)  VectorSpace [[- 1,0,1]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 13
+
+--S 14 of 68
+test ((F = RES)$VSB)                                              -- true
+--R 
+--R
+--R   (14)  true
+--R                                                                Type: Boolean
+--E 14
+
+
+
+-- H = {(x,y,z)|x+2y+z=0}
+--S 15 of 68
+MH : MFI := matrix [[1,2,1]]
+--R 
+--R
+--R   (15)  [1  2  1]
+--R                                                Type: Matrix Fraction Integer
+--E 15
+
+
+-- a basis of the intersection of G and H
+--S 16 of 68
+GH := intBasis ([v,w], nullSpace MH)              -- a basis is (-1,1,-1)
+--R 
+--R
+--R   (16)  VectorSpace [[- 1,1,- 1]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 16
+
+--S 17 of 68
+GH := intBasis ([[v,w], nullSpace MH])
+--R 
+--R
+--R   (17)  VectorSpace [[- 1,1,- 1]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 17
+
+--S 18 of 68
+GH := basis[v,w] * (nullSpace MH)$VSB
+--R 
+--R
+--R   (18)  VectorSpace [[- 1,1,- 1]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 18
+
+
+-- is u in F
+-- transforms the canonical basis in linear expression of vectors u, v and w.
+-- this is a decomposition over F+G : F = Ru and G = Rv+Rw
+--S 19 of 68
+member? (u, F)                                                    -- true
+--R 
+--R
+--R   (19)  true
+--R                                                                Type: Boolean
+--E 19
+
+--S 20 of 68
+test ((F = basis [u])$VSB)                                        -- true
+--R 
+--R
+--R   (20)  true
+--R                                                                Type: Boolean
+--E 20
+
+
+--S 21 of 68
+BE := basis [u,v,w]
+--R 
+--R
+--R   (21)  VectorSpace [[1,0,- 1],[2,1,2],[1,2,1]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 21
+
+--S 22 of 68
+coordinates (bc3.1, BE)
+--R 
+--R
+--R          1 1   1
+--R   (22)  [-,-,- -]
+--R          2 3   6
+--R                                                Type: Vector Fraction Integer
+--E 22
+
+--S 23 of 68
+coordinates (bc3.2, BE)
+--R 
+--R
+--R              1 2
+--R   (23)  [0,- -,-]
+--R              3 3
+--R                                                Type: Vector Fraction Integer
+--E 23
+
+--S 24 of 68
+coordinates (bc3.3, BE)
+--R 
+--R
+--R            1 1   1
+--R   (24)  [- -,-,- -]
+--R            2 3   6
+--R                                                Type: Vector Fraction Integer
+--E 24
+
+
+-- are F and G complement space : 
+-- F intersect G = {(0,0,0)} and F + G = R^3
+--S 25 of 68
+intBasis (F, G)
+--R 
+--R
+--R   (25)  VectorSpace [[0,0,0]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 25
+
+--S 26 of 68
+intBasis [F, G]
+--R 
+--R
+--R   (26)  VectorSpace [[0,0,0]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 26
+
+--S 27 of 68
+F * G
+--R 
+--R
+--R   (27)  VectorSpace [[0,0,0]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 27
+
+--S 28 of 68
+test (((basis [])$VSB = F*G)$VSB)
+--R 
+--R
+--R   (28)  false
+--R                                                                Type: Boolean
+--E 28
+
+--S 29 of 68
+sumBasis (F, G)
+--R 
+--R
+--R   (29)  VectorSpace [[- 1,0,1],[2,1,2],[1,2,1]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 29
+
+--S 30 of 68
+sumBasis ([F, G])
+--R 
+--R
+--R   (30)  VectorSpace [[- 1,0,1],[2,1,2],[1,2,1]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 30
+
+--S 31 of 68
+F + G
+--R 
+--R
+--R   (31)  VectorSpace [[- 1,0,1],[2,1,2],[1,2,1]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 31
+
+--S 32 of 68
+test ((basis bc3 = BE)$VSB)
+--R 
+--R
+--R   (32)  true
+--R                                                                Type: Boolean
+--E 32
+
+
+-- f(u)=v, f(v)=w and f(w)=u. The matrix of f in basis (u,v,w) is obvious.
+-- Changing the basis in order to find the canonical basis of f.
+
+--S 33 of 68
+MfBE : MFI := matrix [[0,0,1],[1,0,0],[0,1,0]]
+--R 
+--R
+--R         +0  0  1+
+--R         |       |
+--R   (33)  |1  0  0|
+--R         |       |
+--R         +0  1  0+
+--R                                                Type: Matrix Fraction Integer
+--E 33
+
+--S 34 of 68
+PbcBE := reduce (horizConcat, [u,v,w]::List MFI)
+--R 
+--R
+--R         + 1   2  1+
+--R         |         |
+--R   (34)  | 0   1  2|
+--R         |         |
+--R         +- 1  2  1+
+--R                                                Type: Matrix Fraction Integer
+--E 34
+
+--S 35 of 68
+PBEbc := PbcBE^-1 
+--R 
+--R
+--R         + 1          1+
+--R         | -    0   - -|
+--R         | 2          2|
+--R         |             |
+--R         | 1     1   1 |
+--R   (35)  | -   - -   - |
+--R         | 3     3   3 |
+--R         |             |
+--R         |  1   2     1|
+--R         |- -   -   - -|
+--R         +  6   3     6+
+--R                                                Type: Matrix Fraction Integer
+--E 35
+
+--S 36 of 68
+Mfbc := PbcBE * MfBE * PBEbc
+--R 
+--R
+--R         +7   1     5+
+--R         |-   -   - -|
+--R         |6   3     6|
+--R         |           |
+--R         |7    2   1 |
+--R   (36)  |-  - -   - |
+--R         |6    3   6 |
+--R         |           |
+--R         |3         1|
+--R         |-  - 1  - -|
+--R         +2         2+
+--R                                                Type: Matrix Fraction Integer
+--E 36
+
+
+-- these 3 matrices are equal.
+
+--S 37 of 68
+reduce (horizConcat, map (v +-> (coordinates(v,BE))::MFI, bc3))
+--R 
+--R
+--R         + 1          1+
+--R         | -    0   - -|
+--R         | 2          2|
+--R         |             |
+--R         | 1     1   1 |
+--R   (37)  | -   - -   - |
+--R         | 3     3   3 |
+--R         |             |
+--R         |  1   2     1|
+--R         |- -   -   - -|
+--R         +  6   3     6+
+--R                                                Type: Matrix Fraction Integer
+--E 37
+
+--S 38 of 68
+PBEbc
+--R 
+--R
+--R         + 1          1+
+--R         | -    0   - -|
+--R         | 2          2|
+--R         |             |
+--R         | 1     1   1 |
+--R   (38)  | -   - -   - |
+--R         | 3     3   3 |
+--R         |             |
+--R         |  1   2     1|
+--R         |- -   -   - -|
+--R         +  6   3     6+
+--R                                                Type: Matrix Fraction Integer
+--E 38
+
+--S 39 of 68
+LRES := map (s +-> s.particular::MFI, solve (PbcBE, diagonalMatrix [1,1,1]))
+--R 
+--R
+--R          + 1 +       +  1+
+--R          | - | + 0 + |- -|
+--R          | 2 | |   | |  2|
+--R          |   | |  1| |   |
+--R          | 1 | |- -| | 1 |
+--R   (39)  [| - |,|  3|,| - |]
+--R          | 3 | |   | | 3 |
+--R          |   | | 2 | |   |
+--R          |  1| | - | |  1|
+--R          |- -| + 3 + |- -|
+--R          +  6+       +  6+
+--R                                           Type: List Matrix Fraction Integer
+--E 39
+
+--S 40 of 68
+reduce (horizConcat, LRES)
+--R 
+--R
+--R         + 1          1+
+--R         | -    0   - -|
+--R         | 2          2|
+--R         |             |
+--R         | 1     1   1 |
+--R   (40)  | -   - -   - |
+--R         | 3     3   3 |
+--R         |             |
+--R         |  1   2     1|
+--R         |- -   -   - -|
+--R         +  6   3     6+
+--R                                                Type: Matrix Fraction Integer
+--E 40
+
+
+-- f o f o f = id and f^(-1)=f^2
+
+--S 41 of 68
+Mfbc^2
+--R 
+--R
+--R         + 1        1+
+--R         | -   1  - -|
+--R         | 2        2|
+--R         |           |
+--R         | 5   2    7|
+--R   (41)  | -   -  - -|
+--R         | 6   3    6|
+--R         |           |
+--R         |  1  5    7|
+--R         |- -  -  - -|
+--R         +  6  3    6+
+--R                                                Type: Matrix Fraction Integer
+--E 41
+
+--S 42 of 68
+Mfbc^3
+--R 
+--R
+--R         +1  0  0+
+--R         |       |
+--R   (42)  |0  1  0|
+--R         |       |
+--R         +0  0  1+
+--R                                                Type: Matrix Fraction Integer
+--E 42
+
+--S 43 of 68
+Mfbc^-1
+--R 
+--R
+--R         + 1        1+
+--R         | -   1  - -|
+--R         | 2        2|
+--R         |           |
+--R         | 5   2    7|
+--R   (43)  | -   -  - -|
+--R         | 6   3    6|
+--R         |           |
+--R         |  1  5    7|
+--R         |- -  -  - -|
+--R         +  6  3    6+
+--R                                                Type: Matrix Fraction Integer
+--E 43
+
+--S 44 of 68
+test (Mfbc^-1 = Mfbc^2)
+--R 
+--R
+--R   (44)  true
+--R                                                                Type: Boolean
+--E 44
+
+
+--S 45 of 68
+test (Mfbc * u = v)
+--R 
+--R
+--R   (45)  true
+--R                                                                Type: Boolean
+--E 45
+
+--S 46 of 68
+test (Mfbc * v = w)
+--R 
+--R
+--R   (46)  true
+--R                                                                Type: Boolean
+--E 46
+
+--S 47 of 68
+test (Mfbc * w = u)
+--R 
+--R
+--R   (47)  true
+--R                                                                Type: Boolean
+--E 47
+
+
+-- 
+-- verify some subspaces 
+-- 
+
+--S 48 of 68
+H := nullSpace MH
+--R 
+--R
+--R   (48)  [[- 2,1,0],[- 1,0,1]]
+--R                                           Type: List Vector Fraction Integer
+--E 48
+
+
+--S 49 of 68
+[subspace? (BE, F), subspace? (basis bc3, F), subspace? (GH, 0$VSB),
+ subspace? (GH, F), subspace? (GH, G), subspace? (GH, basis H),
+  subspace? (0$VSB, GH), subspace? (F, basis bc3)]
+--R 
+--R
+--R   (49)  [false,false,false,false,true,true,true,true]
+--R                                                           Type: List Boolean
+--E 49
+
+
+-- [false, false, false, false, true, true, true, true]
+
+--
+-- find some complement spaces.
+--
+
+--S 50 of 68
+C0 := complementSpace (0$VSB, 3)
+--R 
+--R
+--R   (50)  VectorSpace [[1,0,0],[0,1,0],[0,0,1]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 50
+
+--S 51 of 68
+CGH := complementSpace GH
+--R 
+--R
+--R   (51)  VectorSpace [[1,0,0],[0,1,0]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 51
+
+--S 52 of 68
+CF:= complementSpace F
+--R 
+--R
+--R   (52)  VectorSpace [[1,0,0],[0,1,0]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 52
+
+--S 53 of 68
+CG := complementSpace G
+--R 
+--R
+--R   (53)  VectorSpace [[1,0,0]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 53
+
+--S 54 of 68
+CH := complementSpace H
+--R 
+--R
+--R   (54)  VectorSpace [[1,0,0]]
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 54
+
+--S 55 of 68
+CE1 := complementSpace BE
+--R 
+--R
+--R   (55)  VectorSpace []
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 55
+
+--S 56 of 68
+CE2 := complementSpace concat ([u,v,w], bc3)
+--R 
+--R
+--R   (56)  VectorSpace []
+--R                                      Type: VectorSpaceBasis Fraction Integer
+--E 56
+
+
+--S 57 of 68
+complementSpace? (B1, B2) == 
+  rank intBasis (B1, B2) = 0 
+    and rank sumBasis (B1, B2) = #concat (B1::List VFI, B2::List VFI).1
+--R 
+--R                                                                   Type: Void
+--E 57
+
+
+-- all the reponses are true.
+
+--S 58 of 68
+complementSpace? (C0, 0$VSB)
+--R 
+--R   Compiling function complementSpace? with type (VectorSpaceBasis 
+--R      Fraction Integer,VectorSpaceBasis Fraction Integer) -> Boolean 
+--R
+--R   (58)  true
+--R                                                                Type: Boolean
+--E 58
+
+--S 59 of 68
+complementSpace? (0$VSB, C0)
+--R 
+--R
+--R   (59)  true
+--R                                                                Type: Boolean
+--E 59
+
+--S 60 of 68
+complementSpace? (CGH, GH)
+--R 
+--R
+--R   (60)  false
+--R                                                                Type: Boolean
+--E 60
+
+--S 61 of 68
+complementSpace? (GH, CGH)
+--R 
+--R
+--R   (61)  false
+--R                                                                Type: Boolean
+--E 61
+
+--S 62 of 68
+complementSpace? (CF, F)
+--R 
+--R
+--R   (62)  false
+--R                                                                Type: Boolean
+--E 62
+
+--S 63 of 68
+complementSpace? (F, G)
+--R 
+--R
+--R   (63)  false
+--R                                                                Type: Boolean
+--E 63
+
+--S 64 of 68
+complementSpace? (CG, G)
+--R 
+--R
+--R   (64)  false
+--R                                                                Type: Boolean
+--E 64
+
+--S 65 of 68
+complementSpace? (CH, basis H)
+--R 
+--R
+--R   (65)  false
+--R                                                                Type: Boolean
+--E 65
+
+--S 66 of 68
+complementSpace? (CE1, BE)
+--R 
+--R
+--R   (66)  true
+--R                                                                Type: Boolean
+--E 66
+
+--S 67 of 68
+complementSpace? (CE2, BE)
+--R 
+--R
+--R   (67)  true
+--R                                                                Type: Boolean
+--E 67
+
+--S 68 of 68
+not complementSpace? (F, basis H)
+--R 
+--R
+--R   (68)  true
+--R                                                                Type: Boolean
+--E 68
+ 
+
+)spool
+)lisp (bye)
+@
+<<VectorSpaceBasis.help>>=
+====================================================================
+VectorSpaceBasis examples
+====================================================================
+
+VFI ==> Vector Fraction Integer
+MFI ==> Matrix Fraction Integer
+VSB ==> VectorSpaceBasis Fraction Integer
+
+bc3 := canonicalBasis 3 :: List VFI
+u : VFI := vector [1,0,-1]
+v : VFI := vector [2,1,2]
+w : VFI := vector [1,2,1]
+
+-- F = {(x,y,z)|x+y+z=x-y+z=0}
+MF : MFI := matrix [[1,1,1],[1,-1,1]]  
+F := (nullSpace MF)$VSB                            -- a basis is (-1,0,1)
+solve (matrix [[2,1,2],[1,2,1]]$MFI, vector [0,0,0])    
+-- G = vect(v,w)
+G := basis [v, w]                               -- this family is a basis
+basis? [v,w]
+
+-- search (a,b,c) | F = R(a,b,c)
+-- (a,b,c) matchs for v and w, 
+-- so (a,b,c) in the nullSpace of the matrix of lines (2,1,2) and (1,2,1)
+RES := nullSpace (transpose horizConcat (v::MFI,w::MFI)) $ VSB
+test ((F = RES)$VSB)                                              -- true
+
+
+-- H = {(x,y,z)|x+2y+z=0}
+MH : MFI := matrix [[1,2,1]]
+
+-- a basis of the intersection of G and H
+GH := intBasis ([v,w], nullSpace MH)              -- a basis is (-1,1,-1)
+GH := intBasis ([[v,w], nullSpace MH])
+GH := basis[v,w] * (nullSpace MH)$VSB
+
+-- is u in F
+-- transforms the canonical basis in linear expression of vectors u, v and w.
+-- this is a decomposition over F+G : F = Ru and G = Rv+Rw
+member? (u, F)                                                    -- true
+test ((F = basis [u])$VSB)                                        -- true
+
+BE := basis [u,v,w]
+coordinates (bc3.1, BE)
+coordinates (bc3.2, BE)
+coordinates (bc3.3, BE)
+
+-- are F and G complement space : 
+-- F intersect G = {(0,0,0)} and F + G = R^3
+intBasis (F, G)
+intBasis [F, G]
+F * G
+test (((basis [])$VSB = F*G)$VSB)
+sumBasis (F, G)
+sumBasis ([F, G])
+F + G
+test ((basis bc3 = BE)$VSB)
+
+-- f(u)=v, f(v)=w and f(w)=u. The matrix of f in basis (u,v,w) is obvious.
+-- Changing the basis in order to find the canonical basis of f.
+
+MfBE : MFI := matrix [[0,0,1],[1,0,0],[0,1,0]]
+PbcBE := reduce (horizConcat, [u,v,w]::List MFI)
+PBEbc := PbcBE^-1 
+Mfbc := PbcBE * MfBE * PBEbc
+
+-- theses 3 matrices are equal.
+
+reduce (horizConcat, map (v +-> (coordinates(v,BE))::MFI, bc3))
+PBEbc
+LRES := map (s +-> s.particular::MFI, solve (PbcBE, diagonalMatrix [1,1,1]))
+reduce (horizConcat, LRES)
+
+-- f o f o f = id and f^(-1)=f^2
+
+Mfbc^2
+Mfbc^3
+Mfbc^-1
+test (Mfbc^-1 = Mfbc^2)
+
+test (Mfbc * u = v)
+test (Mfbc * v = w)
+test (Mfbc * w = u)
+
+-- 
+-- verify some subspaces 
+-- 
+
+H := nullSpace MH
+
+[subspace? (BE, F), subspace? (basis bc3, F), subspace? (GH, 0$VSB),
+ subspace? (GH, F), subspace? (GH, G), subspace? (GH, basis H),
+  subspace? (0$VSB, GH), subspace? (F, basis bc3)]
+
+-- [false, false, false, false, true, true, true, true]
+
+--
+-- find some complement spaces.
+--
+
+C0 := complementSpace (0$VSB, 3)
+CGH := complementSpace GH
+CF:= complementSpace F
+CG := complementSpace G
+CH := complementSpace H
+CE1 := complementSpace BE
+CE2 := complementSpace concat ([u,v,w], bc3)
+
+complementSpace? (B1, B2) == 
+  rank intBasis (B1, B2) = 0 
+    and rank sumBasis (B1, B2) = #concat (B1::List VFI, B2::List VFI).1
+
+-- all the reponses are true.
+
+complementSpace? (C0, 0$VSB)
+complementSpace? (0$VSB, C0)
+complementSpace? (CGH, GH)
+complementSpace? (GH, CGH)
+complementSpace? (CF, F)
+complementSpace? (F, G)
+complementSpace? (CG, G)
+complementSpace? (CH, basis H)
+complementSpace? (CE1, BE)
+complementSpace? (CE2, BE)
+not complementSpace? (F, basis H)
+
+
+See Also:
+o )show VectorSpaceBasis
+
+@
+\pagehead{VectorSpaceBasis}{VSBASIS}
+\pagepic{ps/v103vectorspacebasis.ps}{VSBASIS}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{basis} &
+\cross{canonicalBasis} &
+\cross{coerce} & 
+\cross{columnSpace} \\
+\cross{complementSpace} &
+\cross{coordinates} &
+\cross{coordinatesIfCan} &
+\cross{intBasis} \\
+\cross{isBasis?} &
+\cross{member?} &
+\cross{nullSpace} &
+\cross{rank} \\
+\cross{subspace?} &
+\cross{sumBasis} &
+\cross{?*?} &
+\cross{?+?} \\
+\cross{?=?} &
+\cross{0} &\\
+\end{tabular}
+
+<<domain VSBASIS VectorSpaceBasis>>=
+)abbrev domain VSBASIS VectorSpaceBasis
+++ Author: Francois Maltey
+++ Date Created: April 2008
+++ Description:
+++ The domain \spad{VectorSpaceBasis} computes over subspaces of vectors.
+++ Each subspace is described by a basis which is a list of vectors.
+++ There is no linear relationship between theses vector.
+++ so the empty list describes the space with only the null vector.
+++ The scalar ring must be a field in order to avoid lattice questions.
+ 
+VectorSpaceBasis(R : Field) : Exports == Implementation where
+
+    Exports ==> with
+
+        basis : List Vector R -> %
+          ++ \spad{basis LV} extracts a basis of the subspace spanned by 
+          ++ the \spad{LV} list of vectors.
+        coerce : % -> List Vector R
+          ++ \spad{coerce b} retracts a basis to this list of vectors.
+        coerce : % -> OutputForm
+          ++ \spad{coerce b} prepares the display of a basis.
+
+        nullSpace : Matrix R -> %
+          ++ \spad{nullSpace M} builds a basis of the kernel of 
+          ++ the linear transformation defined by the matrix \spad{M}.
+          ++ This function calls the \spad{nullSpace} in the \spad{Matrix} 
+          ++ domain. Only the signature changes.
+        columnSpace: Matrix R -> %
+          ++ \spad{columnSpace M} builds a basis of the kernel of 
+          ++ the linear transformation defined by the matrix \spad{M}.
+          ++ This function calls the \spad{columnSpace} in the \spad{Matrix} 
+          ++ domain. Only the signature changes.
+
+        sumBasis : (%, %) -> %
+          ++ \spad{sumBasis(B1,B2)} computes a basis of the sum 
+          ++ of the two subspaces.
+        sumBasis : (List Vector R, List Vector R) -> %
+          ++ \spad{sumBasis(Lv1,Lv2)} computes a basis of the sum 
+          ++ of the two subspaces spanned by the vectors of \spad{Lv1} 
+          ++ and \spad{Lv2}
+        sumBasis : List % -> %
+          ++ \spad{sumBasis Lb} computes a basis of the sum of list of 
+          ++ subspaces.
+          ++ This function is slightly more efficient than 
+          ++ \spad{reduce(sumBasis,Lb)}
+        sumBasis : (List List Vector R) -> %
+          ++ \spad{sumBasis LLv} computes a basis of the sum of list of 
+          ++ subspace.
+          ++ This function is slightly more efficient than 
+          ++ \spad{reduce(sumBasis,LLv)}
+        "+" : (%,%) -> %
+          ++ \spad{B1+B2} computes a basis of the sum of two subspaces.
+
+        intBasis : (%, %) -> %
+          ++ \spad{intBasis(B1,B2)} computes a basis of the intersection 
+          ++ of the two subspaces.
+        intBasis : (List Vector R, List Vector R) -> %
+          ++ \spad{intBasis(Lv1,Lv2)} computes a basis of the intersection
+          ++ of the two subspaces spanned by the vectors of \spad{Lv1} 
+          ++ and \spad{Lv2}
+        intBasis : List % -> %
+          ++ \spad{intBasis Lb} computes a basis of the intersection 
+          ++ of list of subspaces.
+        intBasis : List List Vector R -> %
+          ++ \spad{intBasis LLv} computes a basis of the intersection 
+          ++ of list of subspaces.
+        "*" : (%, %) -> %
+          ++ \spad{b1*b2} computes a basis of the intersection 
+          ++ of two of subspaces.
+
+        rank : List Vector R -> NonNegativeInteger
+          ++ \spad{rank Lv} computes the rank of a list of vectors.
+        rank : % -> NonNegativeInteger
+          ++ \spad{rank b} computes the rank of a basis, it's the number of
+          ++ vectors in the basis.
+        isBasis? : List Vector R -> Boolean 
+          ++ \spad{isBasis? Lv} tests if a list of vector is a basis, without
+          ++ linear relations between the vectors.
+        subspace? : (%, %) -> Boolean
+          ++ \spad{subspace?(b1,b2)} tests if the first space is include in 
+          ++ the second.
+        0 : constant -> %
+          ++ \spad{0} creates the void basis describing the space with the zero 
+          ++ vector. Axiom ignores the length of this zero vector.
+        canonicalBasis : NonNegativeInteger -> %
+          ++ \spad{canonicalBasis n} build the canononical basis of the
+          ++ vector space with \spad{n} coordinates.
+
+        complementSpace : % -> %
+          ++ \spad{complementSpace B} build a complement space of the basis
+          ++ \spad{B} with some vectors of the canonical basis. 
+          ++ This function fails with the empty basis.
+        complementSpace : (%, NonNegativeInteger) -> %
+          ++ \spad{complementSpace(B,n)} build a complement space of the basis
+          ++ \spad{B} with some vectors of the canonical basis \spad{B}. 
+          ++ The integer \spad{n} notices the length of the vectors is 
+          ++ the basis is empty.
+        complementSpace : List Vector R -> %
+          ++ \spad{complementSpace Lv} build a complement space of the subspace
+          ++ spaned by the list of vectors \spad{LV}. 
+          ++ This function fails with the empty basis.
+        complementSpace : (List Vector R, NonNegativeInteger) -> %
+          ++ \spad{complementSpace(Lv,n)} build a complement space 
+          ++ of the subspace spaned by the list of vectors \spad{LV}. 
+          ++ The integer \spad{n} notices the length of the vectors 
+          ++ is the basis is empty.
+
+        "=" : (%, %) -> Boolean
+          ++ \spad{B1=B2} tests if the two subspaces are equals.
+
+        member? : (Vector R, %) -> Boolean
+          ++ \spad{member?(v,B)} tests if the vector \spad{v}
+          ++ is in the subspace spaned by \spad{B}.
+        coordinatesIfCan : (Vector R, %) -> Union (Vector R, "failed")
+          ++ \spad{coordinatesIfCan(v,B)} either computes the coordinates of 
+          ++ the vector \spad{v} in the basis \spad{B} either returns 
+          ++ \spad{"failed"} if vector \spad{v} isn't in the subspace described
+          ++ by \spad{B}.
+        coordinates : (Vector R, %) -> Vector R
+          ++ \spad{coordinates(v,B)} computes the coordinates of 
+          ++ the vector \spad{v} in the basis \spad{B} either returns 
+          ++ \spad{"failed"}, and produces an error if vector \spad{v}
+          ++ isn't in the subspace described
+
+    Implementation ==> List Vector R add
+
+        LSMP1 ==> LinearSystemMatrixPackage1 R
+
+        -- a basis is a list of vectors
+        -- the length of each vector must be the same
+        -- this test is done by the call of column2matrix
+
+        Rep := List Vector R
+ 
+        -- the empty list is a basis of the space with only the null vector.
+        -- in this case length of vectors is undefined.
+
+        0:% == (empty()$(List Vector R))
+
+        -- retract a basis to a list of vectors is obvious.
+        -- build a basis from a list of vectors may change this list, 
+        -- so there is no coerce from List Vector R to VectorSpaceBasis R.
+
+        coerce (B : %) : List Vector R == B::Rep
+ 
+        -- axiom displays a basis, 
+        -- the display claims that a basis isn't a list of vectors.
+
+        coerce (B : %) : OutputForm == 
+          a1 : OutputForm := "VectorSpace "::OutputForm
+          a2 : OutputForm := coerce(B pretend List Vector R)$(List Vector R)
+          hconcat(a1,a2)$OutputForm
+
+        -- this function builds a matrix from its column vectors.
+
+        column2matrix(Lv : List Vector R) : Matrix R ==
+          n := #(Lv.1)
+          M : Matrix R := new(n,#Lv,0)
+          for k in 1..#Lv for v in Lv repeat 
+            n ~= #v => _
+              error _
+                "Length of vectors in VectorSpaceBasis must have the same size"
+            setColumn!(M,k,v)
+          M
+          
+        -- basis calls in fact the columnSpace function in Matrix R domain.
+        -- columnSpace is based over rowEchelon.
+        -- the empty list is a separate case.
+     
+        basis Lv == 
+          #Lv = 0 => 0
+          (columnSpace(column2matrix Lv)$(Matrix R))::%
+
+        -- VectorSpaceBasis R includes columnSpace and nullSpace functions of
+        -- Matrix R domain.
+
+        columnSpace M == ((columnSpace M)$(Matrix R))::%
+        nullSpace M == ((nullSpace M)$(Matrix R))::%
+
+        -- A basis of the sum of subspaces is a basis extract from the
+        -- union of the basis.
+        -- Parameters can be 2 lists of vectors, or two basis, or 
+        -- a list of list of vector, or a list of basis.
+        -- the + operator is also allowed.
+
+        sumBasis(Lv : List Vector R, Lw: List Vector R) : % == 
+          basis concat (Lv, Lw)
+        sumBasis(B1 : %, B2 : %): % == basis concat (B1::Rep, B2::Rep)
+
+        -- the empty sum of subspace is the null vector subspace
+
+        sumBasis(LLv : List List Vector R) : % == basis concat LLv
+        sumBasis(LB : List %): % == basis (concat LB::Rep)
+
+        B1 + B2 == sumBasis (B1, B2)
+
+        -- subvector creates the vector [v.a,v.(a+1),...,v.b] 
+
+        subVector (v : Vector R, a : Integer, b : Integer) : Vector R ==
+            vv: Vector R := new((b-a+1)::NonNegativeInteger, 0)
+            for k in 1..b-a+1 repeat qsetelt_!(vv, k, qelt(v,k+a-1))
+            vv
+          
+        -- local function to computes t.1*Lv.1 + t.2*Lv.2 + ...
+ 
+        linearSum(t : Vector R, Lv : List Vector R) : Vector R ==
+            vv: Vector R := new(#(Lv.1),0)
+            for k in 1..#Lv for v2 in Lv repeat
+                t2 := t.k
+                for j in 1..#vv repeat vv.j := vv.j + t2*v2.j
+            vv
+
+        -- intBasis operates over two basis.
+        -- The first step extracts two basis from two lists of vectors.
+        
+
+        intBasis(Lv : List Vector R, Lw : List Vector R) : % ==
+            intBasis(basis Lv, basis Lw) 
+
+        -- The column of M are vectors.
+        -- The kernel of M describes linear relationships between vectors.
+        -- Theses relations in the nullSpace of the matrix obtained 
+        -- by the union of B1 and B2 supply null-vectors.
+        -- Divide this sum between vectors of B1 and vectors of B2
+        -- produce a vector in the intersectionSpace.
+        -- This method builds a basis of the intersection.
+        -- vectors of B1 are at the end of the matrix, 
+        -- so the nullSpace function advantges the vectors of B1.
+
+        intBasis(B1 : %, B2 : %) : % ==
+            Lv:=B1::Rep
+            Lw:=B2::Rep
+            null Lv or null Lw => 0
+            d1 := #Lv
+            d2 := #Lw
+            #(first Lv) ~= #(first Lw)
+               => error "vectors have not the same length in intBasis"
+            M := new(#(first Lv), d1+d2, 0)
+            for k in 1..d2 for w in Lw repeat setColumn! (M, k, w)
+            for k in 1..d1 for v in Lv repeat setColumn! (M, d2+k, v)
+            lker : List Vector R := (nullSpace M)$(Matrix R)
+            LcoeffB1: List Vector R := 
+              [subVector (kv, d2+1, d2+d1) for kv in lker]
+            [linearSum (cc, Lv) for cc in LcoeffB1]
+
+        -- the empty empty intersect of subspace is not defined.
+
+        intBasis (LLB : List List Vector R):% ==
+          #LLB = 0 => error "intersect no subspace is impossible"
+          #LLB = 1 => basis LLB.1                
+          res := LLB.1 
+          for LB in rest LLB repeat res := intBasis (res, basis LB)
+          res 
+
+        intBasis (LLB : List %):% ==
+          #LLB = 0 => error "intersect no subspace is impossible"
+          #LLB = 1 => LLB.1                
+          res := LLB.1 
+          for LB in rest LLB repeat res := intBasis (res, LB)
+          res 
+
+        B1 * B2 == intBasis (B1, B2)
+
+        -- rank and dimensions are synonym.
+
+        rank (B : %) : NonNegativeInteger == #(B::Rep) 
+        rank (Lv : List Vector R) : NonNegativeInteger == rank basis Lv
+
+        -- vectors without linear relationship is a basis of the subspace
+        -- spanned by theses vectors.
+
+        isBasis? Lv == (rank Lv = # Lv)
+
+        -- dimension theory justifies theses tests for included 
+        -- and equal spaces.
+
+        subspace? (B1, B2) == (rank B2 = rank sumBasis (B1, B2))
+
+        B1 = B2 == 
+           rk := rank sumBasis (B1, B2)
+           (rk = rank B1) and (rk = rank B2)
+         
+        -- This function build the canonical basis of the vector space 
+        -- of length n
+        
+        canonicalBasis n ==
+          L : List Vector R := []
+          for k in 1..n repeat
+            v : Vector R := new(n,0)
+            v.(n+1-k) := 1
+            L := cons (v, L)
+          L
+
+        -- This function concats all the vectors of the canonical basis 
+        -- and looks for vectors for complete a basis of the vector space.
+        -- The last reverse call makes order the result in the order of bc.
+
+        complementSpace (Lv : List Vector R) : % ==
+          Lv = [] => 
+            error 
+              "Can't get vector length of an empty family for complementSpace"
+          dim := #(Lv.1)
+          bc : List Vector R := (canonicalBasis dim)::List Vector R
+          Lw : List Vector R := concat (Lv, bc)
+          M := rowEchelon column2matrix Lw
+          n := #Lv
+          ind : NonNegativeInteger := 1
+          for k in 1..n for v in Lw repeat 
+            if ind <= dim and M.(ind,k)~=0 then ind := ind+1
+          RES := []
+          for k in n+1..n+dim for v in bc repeat
+            if ind <= dim and M.(ind,k)~=0
+              then 
+                RES := cons (v, RES)
+                ind := ind+1
+          reverse_! RES
+ 
+        complementSpace (Lv : List Vector R, n : NonNegativeInteger) : % == 
+          Lv = [] => canonicalBasis n
+          n ~= #(Lv.1) => error "Inconsistant vector length in complementSpace"
+          complementSpace Lv
+
+        -- the argument B is a basis, computation is a little easier.
+
+        complementSpace (B : %) : % ==
+          B = 0 => 
+            error
+              "Can't get vector length of an empty basis for complement Space"
+          dim := #(B.1)
+          bc : List Vector R := (canonicalBasis dim)::List Vector R
+          Lw : List Vector R := concat (B::List Vector R, bc)
+          M := rowEchelon column2matrix Lw
+          n := #B
+          ind : NonNegativeInteger := n+1
+          RES := []
+          for k in n+1..n+dim for v in bc repeat
+            if ind <= dim and M.(ind,k) ~= 0
+              then 
+                RES := cons (v, RES)
+                ind := ind+1
+          reverse_! RES
+ 
+        complementSpace (B : %, n : NonNegativeInteger) : % == 
+          B = [] => canonicalBasis n
+          n ~= #(B.1) => error "Inconsistant vector length in complementSpace"
+          complementSpace B
+
+        -- member?, coordinatesIfCan and coordinates test if a vector is 
+        -- in a subspace and consider it.
+                  
+        member? (v, B) ==
+          hasSolution?(column2matrix (B::Rep),v)$LSMP1
+
+        coordinatesIfCan (v, B) ==
+          particularSolution(column2matrix(B::Rep), v)$LSMP1
+
+        coordinates (V, B) ==
+          res := particularSolution(column2matrix(B::Rep),V)$LSMP1
+          res case "failed" => error "Vector not in the subspace"
+          res::Vector R
+
+@
+<<VSBASIS.dotabb>>=
+"VSBASIS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=VSBASIS"]
+"IVECTOR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IVECTOR"]
+"VSBASIS" -> "IVECTOR"
+
+@
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain VOID Void}
 <<Void.input>>=
 )set break resume
@@ -122060,6 +123292,7 @@ Note that this code is not included in the generated catdef.spad file.
 
 <<domain VARIABLE Variable>>
 <<domain VECTOR Vector>>
+<<domain VSBASIS VectorSpaceBasis>>
 <<domain VOID Void>>
 
 <<domain WP WeightedPolynomials>>
diff --git a/books/bookvol2.pamphlet b/books/bookvol2.pamphlet
index 6e4a8a1..9c3c4e3 100644
--- a/books/bookvol2.pamphlet
+++ b/books/bookvol2.pamphlet
@@ -420,7 +420,154 @@ The category of Lie Algebras. It is used by the domains of
 non-commutative algebra, LiePolynomial and XPBWPolynomial. 
 \end{verbatim}
 which is correct.
+\chapter{Adding Algebra}
+\begin{verbatim}
+1) code vsbasis.spad
+2) write vsbasis.input
+3) insert vsbasis.input into bookvol10.3
+   \section{domain VSBASIS VectorSpaceBasis}
+   <<VectorSpaceBasis.input>>=
+   )set break resume
+   )sys rm -f VectorSpaceBasis.output
+   )spool VectorSpaceBasis.output
+   )set message test on
+   )set message auto off
+   )clear all
+... vsbasis.input goes here
+
+   )spool
+   )lisp (bye)
+   @
+5) write vsbasis.help file into bookvol10.34
+
+   @<<VectorSpaceBasis.help>>=
+   ====================================================================
+   VectorSpaceBasis examples
+   ====================================================================
+
+   See Also:
+   o )show VectorSpaceBasis
+
+   @
+
+6) insert vsbasis.spad into bookvol10.3
+   
+   \pagehead{VectorSpaceBasis}{VSBASIS}
+   \pagepic{ps/v103void.ps}{VSBASIS}{1.00}
+
+   {\bf Exports:}\\
+   \begin{tabular}{ll}
+   \cross{VSBASIS}{coerce} &
+   \cross{VSBASIS}{void} 
+   \end{tabular}
+
+   @<<domain VSBASIS VectorSpaceBasis>>=
+... vsbasis.spad goes here
+   @
+
+7) add dotabb information
+
+   @<<VSBASIS.dotabb>>=
+   "VSBASIS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=VSBASIS"]
+   "STRING" [color="#88FF44",href="bookvol10.3.pdf#nameddest=STRING"]
+   "VSBASIS" -> "STRING"
+
+   @
+8) do )show VSBASIS
+
+ VectorSpaceBasis R: Field  is a domain constructor
+ Abbreviation for VectorSpaceBasis is VSBASIS 
+ This constructor is exposed in this frame.
+ Issue )edit /research/silver/vsbasis.spad to see algebra source code for VSBASIS 
+
+------------------------------- Operations --------------------------------
+ ?*? : (%,%) -> %                      ?+? : (%,%) -> %
+ ?=? : (%,%) -> Boolean                0 : () -> %
+ basis : List Vector R -> %            coerce : % -> List Vector R
+ coerce : % -> OutputForm              columnSpace : Matrix R -> %
+ complementSpace : % -> %              intBasis : (%,%) -> %
+ intBasis : List % -> %                member? : (Vector R,%) -> Boolean
+ nullSpace : Matrix R -> %             rank : % -> NonNegativeInteger
+ subspace? : (%,%) -> Boolean          sumBasis : (%,%) -> %
+ sumBasis : List % -> %               
+ canonicalBasis : NonNegativeInteger -> %
+ complementSpace : (%,NonNegativeInteger) -> %
+ complementSpace : List Vector R -> %
+ complementSpace : (List Vector R,NonNegativeInteger) -> %
+ coordinates : (Vector R,%) -> Vector R
+ coordinatesIfCan : (Vector R,%) -> Union(Vector R,"failed")
+ intBasis : (List Vector R,List Vector R) -> %
+ intBasis : List List Vector R -> %
+ isBasis? : List Vector R -> Boolean
+ rank : List Vector R -> NonNegativeInteger
+ sumBasis : (List Vector R,List Vector R) -> %
+ sumBasis : List List Vector R -> %
+
+9) update Exports section for sorted unique set of operations
+
+10) add lowercase name to pagepic:
+
+  \pagepic{ps/v103vectorspacebasis.ps}{VSBASIS}{1.00}
+
+11) create new v103vectorspacebasis.ps file and add it to books/ps 
+    (see section on how to create ps images)
+
+  digraph pic {
+   fontsize=10; 
+   bgcolor="#FFFF66";
+   node [shape=box, color=white, style=filled];
+
+  "VSBASIS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=VSBASIS"]
+  "IVECTOR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IVECTOR"]
+  "VSBASIS" -> "IVECTOR"
+
+  }
+
+  dot -Tps vs.dot -o v103vectorspacebasis.ps
+  mv v103vectorspacebasis.ps ps
+
+12) modify the vsbasis.input to be a correct regression test file
+    (see section on how to create regression tests)
+
+13) insert vsbasis regression test in place of vsbasis.input
+
+14) add vsbasis.regress and vsbasis.help files to src/algebra/Makefile
+    (see section on how to add regression and help files)
+
+15) update src/algebra/Makefile to include graph info as in:
+    (see section on how to add graph info)
 
+ "VSBASIS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=VSBASIS"]
+ /*"VSBASIS" -> {"FIELD"; "EUCDOM"; "PID"; "GCDDOM"; "INTDOM"; "COMRING"}*/
+ /*"VSBASIS" -> {"RING"; "RNG"; "ABELGRP"; "CABMON"; "ABELMON"; "ABELSG"}*/
+ /*"VSBASIS" -> {"SETCAT"; "BASTYPE"; "KOERCE"; "SGROUP"; "MONOID"}*/
+ /*"VSBASIS" -> {"LMODULE"; "BMODULE"; "RMODULE"; "ALGEBRA"; "MODULE"}*/
+ /*"VSBASIS" -> {"ENTIRER"; "UFD"; "DIVRING"; "INT"; "LIST"; "ILIST"}*/
+ /*"VSBASIS" -> {"VECTCAT"; "A1AGG"; "FLAGG"; "LNAGG"; "IXAGG"; "HOAGG"}*/
+ /*"VSBASIS" -> {"AGG"; "TYPE"; "EVALAB"; "IEVALAB"; "ELTAGG"; "ELTAB"}*/
+ /*"VSBASIS" -> {"CLAGG"; "KONVERT"; "ORDSET"; "LSAGG-"; "STAGG-"; "VECTOR"}*/
+ "VSBASIS" -> "IVECTOR"
+ /*"VSBASIS" -> {"IARRAY1"; "LSAGG"; "STAGG"; "URAGG"; "RCAGG"}*/
+ /*"VSBASIS" -> {"ELAGG"; "OM"; "SINT"; "NNI"; "MONOID-"; "ABELMON-"}*/
+ /*"VSBASIS" -> {"ORDSET-"; "SGROUP-"; "ABELSG-"; "SETCAT-"; "BASTYPE-"}*/
+ /*"VSBASIS" -> {"ELAGG-"; "FLAGG-"; "URAGG-"; "LNAGG-"; "RCAGG-"; "IXAGG-"}*/
+ /*"VSBASIS" -> {"CLAGG-"; "HOAGG-"; "AGG-"; "ELTAGG-"; "BOOLEAN"}*/
+
+16) add vsbasis to proper level
+    (see section on how to add a file to the proper level)
+
+17) update Description: section so it will format properly with
+     )describe VectorSpaceBasis
+
+18) add @<<domain VSBASIS VectorSpaceBasis>> to the @<<algebra>> chunk
+    at the bottom of the file
+
+19) add (|VectorSpaceBasis| . VSBASIS) to src/algebra/exposed.lsp.pamphlet
+
+20) it might be necessary to copy the daase files from a prior successful
+    build before attempting to add new algebra.
+
+\end{verbatim}
 <<*>>=
 PROJECT=bookvol2
 TANGLE=/usr/local/bin/NOTANGLE
diff --git a/books/ps/v103vectorspacebasis.ps b/books/ps/v103vectorspacebasis.ps
new file mode 100644
index 0000000..1db20a0
--- /dev/null
+++ b/books/ps/v103vectorspacebasis.ps
@@ -0,0 +1,268 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: Graphviz version 2.20.2 (Mon Mar 30 10:09:11 UTC 2009)
+%%For: (root) root
+%%Title: pic
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 122 152
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 86 116 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% VSBASIS
+gsave
+[ /Rect [ 1 72 77 108 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=VSBASIS) >>
+  /Subtype /Link
+/ANN pdfmark
+0.273 0.733 1.000 nodecolor
+newpath 77 108 moveto
+1 108 lineto
+1 72 lineto
+77 72 lineto
+closepath fill
+1 setlinewidth
+filled
+0.273 0.733 1.000 nodecolor
+newpath 77 108 moveto
+1 108 lineto
+1 72 lineto
+77 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+8.5 85.9 moveto 61 (VSBASIS) alignedtext
+grestore
+% IVECTOR
+gsave
+[ /Rect [ 0 0 78 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=IVECTOR) >>
+  /Subtype /Link
+/ANN pdfmark
+0.273 0.733 1.000 nodecolor
+newpath 78 36 moveto
+0 36 lineto
+0 0 lineto
+78 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.273 0.733 1.000 nodecolor
+newpath 78 36 moveto
+0 36 lineto
+0 0 lineto
+78 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+7.5 13.9 moveto 63 (IVECTOR) alignedtext
+grestore
+% VSBASIS->IVECTOR
+gsave
+1 setlinewidth
+0.000 0.000 0.000 edgecolor
+newpath 39 72 moveto
+39 64 39 55 39 46 curveto
+stroke
+0.000 0.000 0.000 edgecolor
+newpath 42.5 46 moveto
+39 36 lineto
+35.5 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.000 0.000 0.000 edgecolor
+newpath 42.5 46 moveto
+39 36 lineto
+35.5 46 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 122 152
+end
+restore
+%%EOF
diff --git a/changelog b/changelog
index ceda4a3..7b33517 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,13 @@
+20091207 tpd src/axiom-website/patches.html 20091207.01.fxm.patch
+20091207 tpd src/share/algebra/users.daase/index.kaf update daasefor vsbasis
+20091207 tpd src/share/algebra/operation.daase update databases for vsbasis
+20091207 tpd src/share/algebra/compress.daase update databases for vsbasis
+20091207 tpd src/share/algebra/category.daase update databases for vsbasis
+20091207 tpd src/algebra/exposed.lsp add VectorSpaceBasis to exposed list
+20091207 tpd src/algebra/Makefile add vsbasis.regress, vsbasis.help
+20091207 tpd books/bookvol2 document how to add algebra
+20091207 tpd books/ps/v103vectorspacebasis.ps added
+20091207 fxm books/bookvol10.3 add VectorSpaceBasis
 20091204 tpd src/axiom-website/patches.html 20091204.03.tpd.patch
 20091204 tpd books/bookvol10.2 latex cleanup
 20091204 tpd src/axiom-website/patches.html 20091204.02.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 300408b..f645f3d 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -4492,7 +4492,7 @@ LAYER10=\
   ${OUT}/PERMAN.o   ${OUT}/PFECAT.o   ${OUT}/PFECAT-.o  ${OUT}/POINT.o   \
   ${OUT}/PSEUDLIN.o ${OUT}/PTPACK.o   ${OUT}/REP2.o     ${OUT}/SETMN.o   \
   ${OUT}/SEX.o      ${OUT}/STRING.o   ${OUT}/SYMFUNC.o  ${OUT}/VECTOR2.o \
-  layer10done
+  ${OUT}/VSBASIS.o  layer10done
 
 @
 <<layerpic>>=
@@ -5119,6 +5119,22 @@ LAYER10=\
 /*"VECTOR2" -> {"IXAGG-"; "LIST"; "LSAGG"; "STAGG"; "URAGG"; "RCAGG"}*/
 /*"VECTOR2" -> {"ELAGG"; "OM"; "ILIST"}*/
 
+"VSBASIS" [color="#FF4488",href="bookvol10.3.pdf#nameddest=VSBASIS"]
+/*"VSBASIS" -> {"FIELD"; "EUCDOM"; "PID"; "GCDDOM"; "INTDOM"; "COMRING"}*/
+/*"VSBASIS" -> {"RING"; "RNG"; "ABELGRP"; "CABMON"; "ABELMON"; "ABELSG"}*/
+/*"VSBASIS" -> {"SETCAT"; "BASTYPE"; "KOERCE"; "SGROUP"; "MONOID"}*/
+/*"VSBASIS" -> {"LMODULE"; "BMODULE"; "RMODULE"; "ALGEBRA"; "MODULE"}*/
+/*"VSBASIS" -> {"ENTIRER"; "UFD"; "DIVRING"; "INT"; "LIST"; "ILIST"}*/
+/*"VSBASIS" -> {"VECTCAT"; "A1AGG"; "FLAGG"; "LNAGG"; "IXAGG"; "HOAGG"}*/
+/*"VSBASIS" -> {"AGG"; "TYPE"; "EVALAB"; "IEVALAB"; "ELTAGG"; "ELTAB"}*/
+/*"VSBASIS" -> {"CLAGG"; "KONVERT"; "ORDSET"; "LSAGG-"; "STAGG-"; "VECTOR"}*/
+"VSBASIS" -> "IVECTOR"
+/*"VSBASIS" -> {"IARRAY1"; "LSAGG"; "STAGG"; "URAGG"; "RCAGG"}*/
+/*"VSBASIS" -> {"ELAGG"; "OM"; "SINT"; "NNI"; "MONOID-"; "ABELMON-"}*/
+/*"VSBASIS" -> {"ORDSET-"; "SGROUP-"; "ABELSG-"; "SETCAT-"; "BASTYPE-"}*/
+/*"VSBASIS" -> {"ELAGG-"; "FLAGG-"; "URAGG-"; "LNAGG-"; "RCAGG-"; "IXAGG-"}*/
+/*"VSBASIS" -> {"CLAGG-"; "HOAGG-"; "AGG-"; "ELTAGG-"; "BOOLEAN"}*/
+
 @
 \subsection{Layer11}
 Depends on: DIRPCAT FAXF PFECAT STRING\\
@@ -16577,6 +16593,7 @@ SPADHELP=\
  ${HELP}/UnivariatePolynomial.help \
  ${HELP}/UniversalSegment.help \
  ${HELP}/Vector.help \
+ ${HELP}/VectorSpaceBasis.help \
  ${HELP}/Void.help \
  ${HELP}/WuWenTsunTriangularSet.help \
  ${HELP}/XPBWPolynomial.help \
@@ -16709,6 +16726,7 @@ REGRESS= \
  UnivariatePolynomial.regress \
  UniversalSegment.regress \
  Vector.regress \
+ VectorSpaceBasis.regress \
  Void.regress \
  WuWenTsunTriangularSet.regress \
  XPBWPolynomial.regress \
@@ -18083,6 +18101,16 @@ ${HELP}/Vector.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Vector.input
 	@echo "Vector (VECTOR)" >>${HELPFILE}
 
+${HELP}/VectorSpaceBasis.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8215 create VectorSpaceBasis.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"VectorSpaceBasis.help" ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/VectorSpaceBasis.help
+	@cp ${HELP}/VectorSpaceBasis.help ${HELP}/VSBASIS.help
+	@${TANGLE} -R"VectorSpaceBasis.input" ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/VectorSpaceBasis.input
+	@echo "VectorSpaceBasis (VSBASIS)" >>${HELPFILE}
+
 ${HELP}/Void.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8220 create Void.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Void.help" ${BOOKS}/bookvol10.3.pamphlet \
diff --git a/src/algebra/exposed.lsp.pamphlet b/src/algebra/exposed.lsp.pamphlet
index 915404d..695b338 100644
--- a/src/algebra/exposed.lsp.pamphlet
+++ b/src/algebra/exposed.lsp.pamphlet
@@ -407,6 +407,7 @@
   (|UniversalSegmentFunctions2| . UNISEG2)
   (|UserDefinedVariableOrdering| . UDVO)
   (|Vector| . VECTOR)
+  (|VectorSpaceBasis| . VSBASIS)
   (|VectorFunctions2| . VECTOR2)
   (|ViewDefaultsPackage| . VIEWDEF)
   (|Void| . VOID)
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e03a067..50c392c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2308,5 +2308,7 @@ src/axiom-website/download.html add nov2009 builds <br/>
 src/axiom-website/download.html add fedora10 nov2009 build <br/>
 <a href="patches/20091204.03.tpd.patch">20091204.03.tpd.patch</a>
 books/bookvol10.2 latex cleanup<br/>
+<a href="patches/20091207.01.fxm.patch">20091207.01.fxm.patch</a>
+books/bookvol10.3 add VectorSpaceBasis from Francois Maltey<br/>
  </body>
 </html>
diff --git a/src/share/algebra/category.daase b/src/share/algebra/category.daase
old mode 100755
new mode 100644
index dcaf25b..3f5438d
--- a/src/share/algebra/category.daase
+++ b/src/share/algebra/category.daase
@@ -1,3188 +1,3320 @@
 
-(142351 . 3269429149)        
-(((|#2| |#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001))) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))))) 
+(149482 . 3469245620)        
+(((|#2| |#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025))) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))))) 
 (((|#2| |#2|) . T)) 
-((((-501)) . T)) 
-((($ $) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) ((|#2| |#2|) . T) (((-375 (-501)) (-375 (-501))) |has| |#2| (-37 (-375 (-501))))) 
+((((-532)) . T)) 
+((($ $) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) ((|#2| |#2|) . T) (((-383 (-532)) (-383 (-532))) |has| |#2| (-37 (-383 (-532))))) 
 ((($) . T)) 
 (((|#1|) . T)) 
-((($) . T) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
+((($) . T) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
 (((|#2|) . T)) 
-((($) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) ((|#2|) . T) (((-375 (-501))) |has| |#2| (-37 (-375 (-501))))) 
-(|has| |#1| (-830)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((($) . T) (((-375 (-501))) . T)) 
+((($) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) ((|#2|) . T) (((-383 (-532))) |has| |#2| (-37 (-383 (-532))))) 
+(|has| |#1| (-852)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((($) . T)) 
+((($) . T) (((-383 (-532))) . T)) 
 ((($) . T)) 
 ((($) . T)) 
 (((|#2| |#2|) . T)) 
-((((-131)) . T)) 
-((((-490)) . T) (((-1053)) . T) (((-199)) . T) (((-346)) . T) (((-810 (-346))) . T)) 
-(((|#1|) . T)) 
-((((-199)) . T) (((-786)) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1|) . T)) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-775))) 
-((($ $) . T) (((-375 (-501)) (-375 (-501))) -1405 (|has| |#1| (-331)) (|has| |#1| (-318))) ((|#1| |#1|) . T)) 
-(-1405 (|has| |#1| (-750)) (|has| |#1| (-777))) 
-((((-375 (-501))) |has| |#1| (-950 (-375 (-501)))) (((-501)) |has| |#1| (-950 (-501))) ((|#1|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(|has| |#1| (-775)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
+((((-134)) . T)) 
+((((-508)) . T) (((-1078)) . T) (((-202)) . T) (((-355)) . T) (((-835 (-355))) . T)) 
+(((|#1|) . T)) 
+((((-202)) . T) (((-808)) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1|) . T)) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-798))) 
+((($ $) . T) (((-383 (-532)) (-383 (-532))) -1328 (|has| |#1| (-339)) (|has| |#1| (-325))) ((|#1| |#1|) . T)) 
+(-1328 (|has| |#1| (-773)) (|has| |#1| (-800))) 
+((((-383 (-532))) |has| |#1| (-974 (-383 (-532)))) (((-532)) |has| |#1| (-974 (-532))) ((|#1|) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(|has| |#1| (-798)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
 (((|#1| |#2| |#3|) . T)) 
 (((|#4|) . T)) 
-((($) . T) (((-375 (-501))) -1405 (|has| |#1| (-331)) (|has| |#1| (-318))) ((|#1|) . T)) 
-((((-786)) . T)) 
-((((-786)) |has| |#1| (-1001))) 
+((($) . T) (((-383 (-532))) -1328 (|has| |#1| (-339)) (|has| |#1| (-325))) ((|#1|) . T)) 
+((((-808)) . T)) 
+((((-808)) |has| |#1| (-1025))) 
 (((|#1|) . T) ((|#2|) . T)) 
-(((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) |has| |#1| (-950 (-375 (-501))))) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(((|#2| (-448 (-3581 |#1|) (-701))) . T)) 
-(((|#1| (-487 (-1070))) . T)) 
-((((-791 |#1|) (-791 |#1|)) . T) (((-375 (-501)) (-375 (-501))) . T) (($ $) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(|has| |#4| (-336)) 
-(|has| |#3| (-336)) 
-(((|#1|) . T)) 
-((((-791 |#1|)) . T) (((-375 (-501))) . T) (($) . T)) 
+(((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532))))) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(((|#2| (-465 (-3502 |#1|) (-723))) . T)) 
+(((|#1| (-504 (-1096))) . T)) 
+((((-815 |#1|) (-815 |#1|)) . T) (((-383 (-532)) (-383 (-532))) . T) (($ $) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(|has| |#1| (-1116)) 
+(|has| |#4| (-344)) 
+(|has| |#3| (-344)) 
+(((|#1|) . T)) 
+((((-815 |#1|)) . T) (((-383 (-532))) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-508)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-((($) . T)) 
-((((-786)) -1405 (|has| |#1| (-777)) (|has| |#1| (-1001)))) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((($) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) . T)) 
-((($) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-((((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (((-1139 |#1| |#2| |#3|)) |has| |#1| (-331)) (($) . T) ((|#1|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) . T)) 
-(((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) (($) . T)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-524)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+((($) . T)) 
+((((-808)) -1328 (|has| |#1| (-800)) (|has| |#1| (-1025)))) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((($) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) . T)) 
+((($) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+(((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) (($) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(((|#1|) . T)) 
+((((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (((-1170 |#1| |#2| |#3|)) |has| |#1| (-339)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) . T)) 
+(((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) (($) . T)) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
 (((|#1| |#2|) . T)) 
-((((-786)) . T)) 
+((((-808)) . T)) 
 (((|#1|) . T)) 
-((((-375 (-501)) (-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2| |#2|) . T) (($ $) -1405 (|has| |#2| (-156)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
+((((-383 (-532)) (-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2| |#2|) . T) (($ $) -1328 (|has| |#2| (-159)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
 (((|#1|) . T)) 
-((((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) |has| |#2| (-156)) (($) -1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
-((($) -1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1| |#1|) . T) (($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830)))) 
+((((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) |has| |#2| (-159)) (($) -1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
+((($) -1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1| |#1|) . T) (($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852)))) 
 ((($ $) . T)) 
 (((|#2|) . T)) 
-((((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) . T) (($) -1405 (|has| |#2| (-156)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) . T) (($) -1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830)))) 
+((((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) . T) (($) -1328 (|has| |#2| (-159)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) . T) (($) -1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852)))) 
 ((($) . T)) 
-(|has| |#1| (-336)) 
+(|has| |#1| (-344)) 
 (((|#1|) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
 (((|#1| |#2|) . T)) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-820 (-1070))) (|has| |#1| (-959))) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-820 (-1070))) (|has| |#1| (-959))) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-843 (-1096))) (|has| |#1| (-983))) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-843 (-1096))) (|has| |#1| (-983))) 
 (((|#1| |#1|) . T)) 
-(|has| |#1| (-508)) 
-(((|#2| |#2|) -12 (|has| |#1| (-331)) (|has| |#2| (-278 |#2|))) (((-1070) |#2|) -12 (|has| |#1| (-331)) (|has| |#2| (-476 (-1070) |#2|)))) 
-((((-375 |#2|)) . T) (((-375 (-501))) . T) (($) . T)) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-775))) 
-((($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(|has| |#1| (-1001)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(|has| |#1| (-1001)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(|has| |#1| (-775)) 
-((($) . T) (((-375 (-501))) . T)) 
-(((|#1|) . T)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-318))) 
-(-1405 (|has| |#4| (-723)) (|has| |#4| (-775))) 
-(-1405 (|has| |#4| (-723)) (|has| |#4| (-775))) 
-(-1405 (|has| |#3| (-723)) (|has| |#3| (-775))) 
-(-1405 (|has| |#3| (-723)) (|has| |#3| (-775))) 
+(|has| |#1| (-524)) 
+(((|#2| |#2|) -12 (|has| |#1| (-339)) (|has| |#2| (-282 |#2|))) (((-1096) |#2|) -12 (|has| |#1| (-339)) (|has| |#2| (-493 (-1096) |#2|)))) 
+((((-383 |#2|)) . T) (((-383 (-532))) . T) (($) . T)) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-798))) 
+((($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(|has| |#1| (-1025)) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(|has| |#1| (-1025)) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(|has| |#1| (-798)) 
+((($) . T) (((-383 (-532))) . T)) 
+(((|#1|) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-325))) 
+(-1328 (|has| |#4| (-746)) (|has| |#4| (-798))) 
+(-1328 (|has| |#4| (-746)) (|has| |#4| (-798))) 
+(-1328 (|has| |#3| (-746)) (|has| |#3| (-798))) 
+(-1328 (|has| |#3| (-746)) (|has| |#3| (-798))) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-1001)) 
-(|has| |#1| (-1001)) 
-(((|#1| (-1070) (-990 (-1070)) (-487 (-990 (-1070)))) . T)) 
-((((-501) |#1|) . T)) 
-((((-501)) . T)) 
-((((-501)) . T)) 
-((((-826 |#1|)) . T)) 
-(((|#1| (-487 |#2|)) . T)) 
-((((-501)) . T)) 
-((((-501)) . T)) 
-(((|#1|) . T)) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-(((|#1| (-701)) . T)) 
-(|has| |#2| (-723)) 
-(-1405 (|has| |#2| (-723)) (|has| |#2| (-775))) 
-(|has| |#2| (-775)) 
+(|has| |#2| (-339)) 
+(|has| |#1| (-1025)) 
+(|has| |#1| (-1025)) 
+(((|#1| (-1096) (-1015 (-1096)) (-504 (-1015 (-1096)))) . T)) 
+((((-532) |#1|) . T)) 
+((((-532)) . T)) 
+((((-532)) . T)) 
+((((-853 |#1|)) . T)) 
+(((|#1| (-504 |#2|)) . T)) 
+((((-532)) . T)) 
+((((-532)) . T)) 
+(((|#1|) . T)) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-798)) (|has| |#2| (-983)) SEQ) 
+(((|#1| (-723)) . T)) 
+(|has| |#2| (-746)) 
+(-1328 (|has| |#2| (-746)) (|has| |#2| (-798))) 
+(|has| |#2| (-798)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1053) |#1|) . T)) 
-((((-786)) |has| |#1| (-1001))) 
-(((|#1|) . T)) 
-(((|#3| (-701)) . T)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-132)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(|has| |#1| (-1001)) 
-((((-375 (-501))) . T) (((-501)) . T)) 
-((((-1070) |#2|) |has| |#2| (-476 (-1070) |#2|)) ((|#2| |#2|) |has| |#2| (-278 |#2|))) 
-((((-375 (-501))) . T) (((-501)) . T)) 
+((((-1078) |#1|) . T)) 
+((((-808)) |has| |#1| (-1025))) 
+(((|#1|) . T)) 
+(((|#3| (-723)) . T)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-135)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(|has| |#1| (-1025)) 
+((((-383 (-532))) . T) (((-532)) . T)) 
+((((-1096) |#2|) |has| |#2| (-493 (-1096) |#2|)) ((|#2| |#2|) |has| |#2| (-282 |#2|))) 
+((((-383 (-532))) . T) (((-532)) . T)) 
 (((|#1|) . T) (($) . T)) 
-((((-501)) . T)) 
-((((-501)) . T)) 
-((($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) ((|#1|) |has| |#1| (-156))) 
-((((-501)) . T)) 
-((((-501)) . T)) 
-((((-630) (-1064 (-630))) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-501) |#1|) . T)) 
-((($) . T) (((-501)) . T) (((-375 (-501))) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-331)) 
+((((-532)) . T)) 
+((((-532)) . T)) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) ((|#1|) |has| |#1| (-159))) 
+((((-532)) . T)) 
+((((-532)) . T)) 
+((((-648) (-1092 (-648))) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-532) |#1|) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (-339)) 
+((($) . T) (((-532)) . T) (((-383 (-532))) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-786)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-1053) |#1|) . T)) 
+((((-808)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-1078) |#1|) . T)) 
 (((|#3| |#3|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
 (((|#1| |#1|) . T)) 
-((((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1| |#1|) . T) (($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830)))) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1| |#1|) . T) (((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#1|) . T)) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) . T) (($) -1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830)))) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((($) -1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) ((|#2|) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-959)))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-501) |#1|) . T)) 
-((((-786)) . T)) 
-((((-152 (-199))) |has| |#1| (-933)) (((-152 (-346))) |has| |#1| (-933)) (((-490)) |has| |#1| (-556 (-490))) (((-1064 |#1|)) . T) (((-810 (-501))) |has| |#1| (-556 (-810 (-501)))) (((-810 (-346))) |has| |#1| (-556 (-810 (-346))))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1|) . T)) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-775))) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-775))) 
-((((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508))) ((|#2|) |has| |#1| (-331)) ((|#1|) |has| |#1| (-156))) 
-(((|#1|) |has| |#1| (-156)) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508)))) 
-(|has| |#1| (-331)) 
-(-12 (|has| |#4| (-206)) (|has| |#4| (-959))) 
-(-12 (|has| |#3| (-206)) (|has| |#3| (-959))) 
-(-1405 (|has| |#4| (-156)) (|has| |#4| (-775)) (|has| |#4| (-959))) 
-(-1405 (|has| |#3| (-156)) (|has| |#3| (-775)) (|has| |#3| (-959))) 
-((((-786)) . T)) 
-(((|#1|) . T)) 
-((((-375 (-501))) |has| |#1| (-950 (-375 (-501)))) (((-501)) |has| |#1| (-950 (-501))) ((|#1|) . T)) 
-(((|#1|) . T) (((-501)) |has| |#1| (-577 (-501)))) 
-(((|#2|) . T) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(((|#1|) . T) (((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) . T)) 
-(|has| |#1| (-508)) 
-(|has| |#1| (-508)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(((|#1|) . T)) 
-(|has| |#1| (-508)) 
-(|has| |#1| (-508)) 
-(|has| |#1| (-508)) 
-((((-630)) . T)) 
-(((|#1|) . T)) 
-(-12 (|has| |#1| (-916)) (|has| |#1| (-1090))) 
-(((|#2|) . T) (($) . T) (((-375 (-501))) . T)) 
-((($) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) . T)) 
-((((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (((-1068 |#1| |#2| |#3|)) |has| |#1| (-331)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) . T)) 
-(((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) (($) . T)) 
-(((|#4| |#4|) -1405 (|has| |#4| (-156)) (|has| |#4| (-331)) (|has| |#4| (-959))) (($ $) |has| |#4| (-156))) 
-(((|#3| |#3|) -1405 (|has| |#3| (-156)) (|has| |#3| (-331)) (|has| |#3| (-959))) (($ $) |has| |#3| (-156))) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-((((-490)) |has| |#2| (-556 (-490))) (((-810 (-346))) |has| |#2| (-556 (-810 (-346)))) (((-810 (-501))) |has| |#2| (-556 (-810 (-501))))) 
-((((-786)) . T)) 
+((((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1| |#1|) . T) (($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852)))) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#1|) . T)) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) . T) (($) -1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852)))) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((($) -1328 (|has| |#2| (-159)) (|has| |#2| (-798)) (|has| |#2| (-983))) ((|#2|) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-983)))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-532) |#1|) . T)) 
+((((-808)) . T)) 
+((((-156 (-202))) |has| |#1| (-958)) (((-156 (-355))) |has| |#1| (-958)) (((-508)) |has| |#1| (-573 (-508))) (((-1092 |#1|)) . T) (((-835 (-532))) |has| |#1| (-573 (-835 (-532)))) (((-835 (-355))) |has| |#1| (-573 (-835 (-355))))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1|) . T)) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-798))) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-798))) 
+((((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524))) ((|#2|) |has| |#1| (-339)) ((|#1|) |has| |#1| (-159))) 
+(|has| |#2| (-524)) 
+(|has| |#1| (-339)) 
+(((|#1|) |has| |#1| (-159)) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524)))) 
+(-12 (|has| |#4| (-210)) (|has| |#4| (-983))) 
+(-12 (|has| |#3| (-210)) (|has| |#3| (-983))) 
+(-1328 (|has| |#4| (-159)) (|has| |#4| (-798)) (|has| |#4| (-983))) 
+(-1328 (|has| |#3| (-159)) (|has| |#3| (-798)) (|has| |#3| (-983))) 
+((((-808)) . T)) 
+(((|#1|) . T)) 
+((((-1096)) |has| |#2| (-843 (-1096))) (((-1011)) . T)) 
+((((-383 (-532))) |has| |#1| (-974 (-383 (-532)))) (((-532)) |has| |#1| (-974 (-532))) ((|#1|) . T)) 
+(((|#1|) . T) (((-532)) |has| |#1| (-594 (-532)))) 
+(((|#2|) . T) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(((|#1|) . T) (((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) . T)) 
+(|has| |#1| (-524)) 
+(|has| |#1| (-524)) 
+(((|#1|) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(((|#1|) . T)) 
+(|has| |#1| (-524)) 
+(|has| |#1| (-524)) 
+(|has| |#1| (-524)) 
+((((-648)) . T)) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+(-12 (|has| |#1| (-939)) (|has| |#1| (-1116))) 
+(((|#2|) . T) (($) . T) (((-383 (-532))) . T)) 
+((($) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) . T)) 
+((((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (((-1094 |#1| |#2| |#3|)) |has| |#1| (-339)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) . T)) 
+(((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) (($) . T)) 
+(((|#4| |#4|) -1328 (|has| |#4| (-159)) (|has| |#4| (-339)) (|has| |#4| (-983))) (($ $) |has| |#4| (-159))) 
+(((|#3| |#3|) -1328 (|has| |#3| (-159)) (|has| |#3| (-339)) (|has| |#3| (-983))) (($ $) |has| |#3| (-159))) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+((((-508)) |has| |#2| (-573 (-508))) (((-835 (-355))) |has| |#2| (-573 (-835 (-355)))) (((-835 (-532))) |has| |#2| (-573 (-835 (-532))))) 
+((((-808)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-786)) . T)) 
-((((-490)) |has| |#1| (-556 (-490))) (((-810 (-346))) |has| |#1| (-556 (-810 (-346)))) (((-810 (-501))) |has| |#1| (-556 (-810 (-501))))) 
-((((-786)) . T)) 
-(((|#4|) -1405 (|has| |#4| (-156)) (|has| |#4| (-331)) (|has| |#4| (-959))) (($) |has| |#4| (-156))) 
-(((|#3|) -1405 (|has| |#3| (-156)) (|has| |#3| (-331)) (|has| |#3| (-959))) (($) |has| |#3| (-156))) 
-((((-786)) . T)) 
-((((-490)) . T) (((-501)) . T) (((-810 (-501))) . T) (((-346)) . T) (((-199)) . T)) 
-(((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) |has| |#1| (-950 (-375 (-501))))) 
-((($) . T) (((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) . T)) 
-((((-375 $) (-375 $)) |has| |#2| (-508)) (($ $) . T) ((|#2| |#2|) . T)) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 (-50)))) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-830)) 
-((((-1053) (-50)) . T)) 
-((((-501)) |has| (-375 |#2|) (-577 (-501))) (((-375 |#2|)) . T)) 
-((((-490)) . T) (((-199)) . T) (((-346)) . T) (((-810 (-346))) . T)) 
-((((-786)) . T)) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-820 (-1070))) (|has| |#1| (-959))) 
-(((|#1|) |has| |#1| (-156))) 
-(((|#1| $) |has| |#1| (-256 |#1| |#1|))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-((((-786)) . T)) 
-(|has| |#1| (-777)) 
-(|has| |#1| (-1001)) 
-(((|#1|) . T)) 
-((((-786)) -1405 (|has| |#1| (-777)) (|has| |#1| (-1001)))) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) |has| |#2| (-156)) (($) -1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
-((($) -1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((($) -1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(|has| |#1| (-206)) 
-((($) -1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#1| (-487 (-748 (-1070)))) . T)) 
-(((|#1| (-886)) . T)) 
-((((-791 |#1|) $) |has| (-791 |#1|) (-256 (-791 |#1|) (-791 |#1|)))) 
-((((-501) |#4|) . T)) 
-((((-501) |#3|) . T)) 
+((((-808)) . T)) 
+((((-508)) |has| |#1| (-573 (-508))) (((-835 (-355))) |has| |#1| (-573 (-835 (-355)))) (((-835 (-532))) |has| |#1| (-573 (-835 (-532))))) 
+((((-808)) . T)) 
+(((|#4|) -1328 (|has| |#4| (-159)) (|has| |#4| (-339)) (|has| |#4| (-983))) (($) |has| |#4| (-159))) 
+(((|#3|) -1328 (|has| |#3| (-159)) (|has| |#3| (-339)) (|has| |#3| (-983))) (($) |has| |#3| (-159))) 
+((((-808)) . T)) 
+((((-508)) . T) (((-532)) . T) (((-835 (-532))) . T) (((-355)) . T) (((-202)) . T)) 
+((((-1011)) . T) ((|#2|) . T) (((-532)) |has| |#2| (-974 (-532))) (((-383 (-532))) |has| |#2| (-974 (-383 (-532))))) 
+(((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532))))) 
+((($) . T) (((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) . T)) 
+((((-383 $) (-383 $)) |has| |#2| (-524)) (($ $) . T) ((|#2| |#2|) . T)) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 (-51)))) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (-852)) 
+((((-1078) (-51)) . T)) 
+((((-532)) |has| (-383 |#2|) (-594 (-532))) (((-383 |#2|)) . T)) 
+((((-508)) . T) (((-202)) . T) (((-355)) . T) (((-835 (-355))) . T)) 
+((((-808)) . T)) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-843 (-1096))) (|has| |#1| (-983))) 
+(((|#1|) |has| |#1| (-159))) 
+(((|#1| $) |has| |#1| (-260 |#1| |#1|))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-800)) 
+(|has| |#1| (-1025)) 
+(((|#1|) . T)) 
+((((-808)) -1328 (|has| |#1| (-800)) (|has| |#1| (-1025)))) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) |has| |#2| (-159)) (($) -1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
+(((|#2| (-723)) . T)) 
+((($) -1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(|has| |#1| (-210)) 
+((($) -1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#1| (-504 (-771 (-1096)))) . T)) 
+(((|#1| (-909)) . T)) 
+((((-815 |#1|) $) |has| (-815 |#1|) (-260 (-815 |#1|) (-815 |#1|)))) 
+((((-532) |#4|) . T)) 
+((((-532) |#3|) . T)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
-(|has| |#1| (-1046)) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) . T)) 
-(|has| (-1136 |#1| |#2| |#3| |#4|) (-132)) 
-(|has| (-1136 |#1| |#2| |#3| |#4|) (-134)) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
-(((|#1|) |has| |#1| (-156))) 
-((((-1070)) -12 (|has| |#2| (-820 (-1070))) (|has| |#2| (-959)))) 
-(((|#2|) . T)) 
-(|has| |#1| (-1001)) 
-((((-1053) |#1|) . T)) 
-(((|#1|) . T)) 
-(((|#2|) . T) (((-501)) |has| |#2| (-577 (-501)))) 
-(|has| |#2| (-336)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
+(|has| |#1| (-1071)) 
+(((|#1| (-723) (-1011)) . T)) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) . T)) 
+(|has| (-1164 |#1| |#2| |#3| |#4|) (-135)) 
+(|has| (-1164 |#1| |#2| |#3| |#4|) (-137)) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-137)) 
+(((|#1|) |has| |#1| (-159))) 
+((((-1096)) -12 (|has| |#2| (-843 (-1096))) (|has| |#2| (-983)))) 
+(((|#2|) . T)) 
+(|has| |#1| (-1025)) 
+((((-1078) |#1|) . T)) 
+(((|#1|) . T)) 
+(((|#2|) . T) (((-532)) |has| |#2| (-594 (-532)))) 
+(|has| |#2| (-344)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
 ((($) . T) ((|#1|) . T)) 
-(((|#2|) |has| |#2| (-959))) 
-((((-786)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001))) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))))) 
+(((|#2|) |has| |#2| (-983))) 
+((((-808)) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025))) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))))) 
 (((|#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001))) (((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|)) (-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) |has| (-2 (|:| -3626 (-1053)) (|:| -2922 |#1|)) (-278 (-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))))) 
-((((-501) |#1|) . T)) 
-((((-786)) . T)) 
-((((-490)) -12 (|has| |#1| (-556 (-490))) (|has| |#2| (-556 (-490)))) (((-810 (-346))) -12 (|has| |#1| (-556 (-810 (-346)))) (|has| |#2| (-556 (-810 (-346))))) (((-810 (-501))) -12 (|has| |#1| (-556 (-810 (-501)))) (|has| |#2| (-556 (-810 (-501)))))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025))) (((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|)) (-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) |has| (-2 (|:| -3220 (-1078)) (|:| -2330 |#1|)) (-282 (-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))))) 
+((((-532) |#1|) . T)) 
+((((-808)) . T)) 
+((((-508)) -12 (|has| |#1| (-573 (-508))) (|has| |#2| (-573 (-508)))) (((-835 (-355))) -12 (|has| |#1| (-573 (-835 (-355)))) (|has| |#2| (-573 (-835 (-355))))) (((-835 (-532))) -12 (|has| |#1| (-573 (-835 (-532)))) (|has| |#2| (-573 (-835 (-532)))))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
 ((($) . T)) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1| |#1|) . T) (((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
 ((($) . T)) 
 ((($) . T)) 
 ((($) . T)) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(|has| (-1130 |#2| |#3| |#4|) (-134)) 
-(|has| (-1130 |#2| |#3| |#4|) (-132)) 
-(((|#2|) |has| |#2| (-1001)) (((-501)) -12 (|has| |#2| (-950 (-501))) (|has| |#2| (-1001))) (((-375 (-501))) -12 (|has| |#2| (-950 (-375 (-501)))) (|has| |#2| (-1001)))) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(|has| (-1163 |#2| |#3| |#4|) (-137)) 
+(|has| (-1163 |#2| |#3| |#4|) (-135)) 
+(((|#2|) |has| |#2| (-1025)) (((-532)) -12 (|has| |#2| (-974 (-532))) (|has| |#2| (-1025))) (((-383 (-532))) -12 (|has| |#2| (-974 (-383 (-532)))) (|has| |#2| (-1025)))) 
 (((|#1|) . T)) 
-(|has| |#1| (-1001)) 
+(|has| |#1| (-1025)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-820 (-1070))) (|has| |#1| (-959))) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-843 (-1096))) (|has| |#1| (-983))) 
 (((|#1|) . T)) 
-((((-501) |#1|) . T)) 
-(((|#2|) |has| |#2| (-156))) 
-(((|#1|) |has| |#1| (-156))) 
+((((-532) |#1|) . T)) 
+(((|#2|) |has| |#2| (-159))) 
+(((|#1|) |has| |#1| (-159))) 
 (((|#1|) . T)) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-775))) 
-((((-786)) |has| |#1| (-1001))) 
-(-1405 (|has| |#1| (-440)) (|has| |#1| (-657)) (|has| |#1| (-820 (-1070))) (|has| |#1| (-959)) (|has| |#1| (-1012))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-318))) 
-((((-826 |#1|)) . T)) 
-((((-375 |#2|) |#3|) . T)) 
-(|has| |#1| (-15 * (|#1| (-501) |#1|))) 
-((((-375 (-501))) . T) (($) . T)) 
-(|has| |#1| (-777)) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-798))) 
+((((-808)) |has| |#1| (-1025))) 
+(-1328 (|has| |#1| (-450)) (|has| |#1| (-676)) (|has| |#1| (-843 (-1096))) (|has| |#1| (-983)) (|has| |#1| (-1037))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-325))) 
+((((-853 |#1|)) . T)) 
+((((-383 |#2|) |#3|) . T)) 
+(|has| |#1| (-15 * (|#1| (-532) |#1|))) 
+((((-383 (-532))) . T) (($) . T)) 
+(|has| |#1| (-800)) 
 (((|#1|) . T) (($) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-(((|#1|) . T)) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) |has| |#1| (-156)) (($) |has| |#1| (-508))) 
-(|has| |#1| (-331)) 
-(-1405 (-12 (|has| (-1139 |#1| |#2| |#3|) (-206)) (|has| |#1| (-331))) (|has| |#1| (-15 * (|#1| (-501) |#1|)))) 
-(|has| |#1| (-15 * (|#1| (-375 (-501)) |#1|))) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-15 * (|#1| (-701) |#1|))) 
-((((-501)) . T)) 
-((((-1037 |#2| (-375 (-866 |#1|)))) . T) (((-375 (-866 |#1|))) . T)) 
-((($) . T)) 
-(((|#1|) |has| |#1| (-156)) (($) . T)) 
-(((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) (($) . T)) 
-(((|#1|) . T)) 
-((((-501) |#1|) . T)) 
-(((|#2|) . T)) 
-(-1405 (|has| |#2| (-331)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-(-1405 (|has| |#2| (-723)) (|has| |#2| (-775))) 
-(-1405 (|has| |#2| (-723)) (|has| |#2| (-775))) 
-(((|#1|) . T)) 
-((((-1070)) -12 (|has| |#3| (-820 (-1070))) (|has| |#3| (-959)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(-12 (|has| |#1| (-331)) (|has| |#2| (-750))) 
-(-1405 (|has| |#1| (-276)) (|has| |#1| (-331)) (|has| |#1| (-318)) (|has| |#1| (-508))) 
-((((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1| |#1|) . T) (($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-508)))) 
-((($ $) |has| |#1| (-508))) 
-((((-630) (-1064 (-630))) . T)) 
-((((-786)) . T)) 
-((((-786)) . T) (((-1148 |#4|)) . T)) 
-((((-786)) . T) (((-1148 |#3|)) . T)) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) . T) (($) -1405 (|has| |#1| (-156)) (|has| |#1| (-508)))) 
-((($) |has| |#1| (-508))) 
-((((-786)) . T)) 
-((($) . T)) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501)) (-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (((-1139 |#1| |#2| |#3|) (-1139 |#1| |#2| |#3|)) |has| |#1| (-331)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501)) (-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331)))) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-508))) ((|#1| |#1|) . T) (((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (((-1139 |#1| |#2| |#3|)) |has| |#1| (-331)) ((|#1|) . T)) 
-(((|#1|) . T) (($) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331)))) 
-(((|#3|) |has| |#3| (-959))) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-508))) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(|has| |#1| (-1001)) 
-(((|#2| (-749 |#1|)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-331)) 
-((((-375 $) (-375 $)) |has| |#1| (-508)) (($ $) . T) ((|#1| |#1|) . T)) 
-((((-986) |#2|) . T) (((-986) $) . T) (($ $) . T)) 
-((((-826 |#1|)) . T)) 
-((((-131)) . T)) 
-((((-131)) . T)) 
-(((|#3|) |has| |#3| (-1001)) (((-501)) -12 (|has| |#3| (-950 (-501))) (|has| |#3| (-1001))) (((-375 (-501))) -12 (|has| |#3| (-950 (-375 (-501)))) (|has| |#3| (-1001)))) 
-((((-786)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(((|#1|) . T)) 
-((((-786)) -1405 (|has| |#1| (-777)) (|has| |#1| (-1001)))) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((((-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) . T)) 
-(|has| |#1| (-331)) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-775))) 
-((((-1070) |#1|) |has| |#1| (-476 (-1070) |#1|)) ((|#1| |#1|) |has| |#1| (-278 |#1|))) 
-(|has| |#2| (-750)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-775)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-((((-786)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-490)) |has| |#1| (-556 (-490)))) 
+((((-383 (-532))) . T) (($) . T)) 
+(((|#1|) . T)) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) |has| |#1| (-159)) (($) |has| |#1| (-524))) 
+(|has| |#1| (-15 * (|#1| (-723) |#1|))) 
+(|has| |#1| (-339)) 
+(-1328 (-12 (|has| (-1170 |#1| |#2| |#3|) (-210)) (|has| |#1| (-339))) (|has| |#1| (-15 * (|#1| (-532) |#1|)))) 
+(|has| |#1| (-15 * (|#1| (-383 (-532)) |#1|))) 
+(|has| |#1| (-339)) 
+((((-532)) . T)) 
+(|has| |#1| (-15 * (|#1| (-723) |#1|))) 
+((((-1062 |#2| (-383 (-895 |#1|)))) . T) (((-383 (-895 |#1|))) . T)) 
+((($) . T)) 
+(((|#1|) |has| |#1| (-159)) (($) . T)) 
+(((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) (($) . T)) 
+(((|#1|) . T)) 
+((((-532) |#1|) . T)) 
+(((|#2|) . T)) 
+(-1328 (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+(-1328 (|has| |#2| (-746)) (|has| |#2| (-798))) 
+(-1328 (|has| |#2| (-746)) (|has| |#2| (-798))) 
+(((|#1|) . T)) 
+(|has| |#2| (-135)) 
+(|has| |#2| (-137)) 
+((((-1096)) -12 (|has| |#3| (-843 (-1096))) (|has| |#3| (-983)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(-12 (|has| |#1| (-339)) (|has| |#2| (-773))) 
+(-1328 (|has| |#1| (-280)) (|has| |#1| (-339)) (|has| |#1| (-325)) (|has| |#1| (-524))) 
+((((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1| |#1|) . T) (($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-524)))) 
+((($ $) |has| |#1| (-524))) 
+((((-648) (-1092 (-648))) . T)) 
+((((-808)) . T)) 
+((((-808)) . T) (((-1178 |#4|)) . T)) 
+((((-808)) . T) (((-1178 |#3|)) . T)) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) . T) (($) -1328 (|has| |#1| (-159)) (|has| |#1| (-524)))) 
+((($) |has| |#1| (-524))) 
+((((-808)) . T)) 
+((($) . T)) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-524))) ((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532)) (-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (((-1170 |#1| |#2| |#3|) (-1170 |#1| |#2| |#3|)) |has| |#1| (-339)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532)) (-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339)))) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-524))) ((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-524))) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (((-1170 |#1| |#2| |#3|)) |has| |#1| (-339)) ((|#1|) . T)) 
+(((|#3|) |has| |#3| (-983))) 
+(((|#1|) . T) (($) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339)))) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-524))) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(|has| |#1| (-1025)) 
+(((|#2| (-772 |#1|)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-339)) 
+((((-383 $) (-383 $)) |has| |#1| (-524)) (($ $) . T) ((|#1| |#1|) . T)) 
+((((-1011) |#2|) . T) (((-1011) $) . T) (($ $) . T)) 
+((((-853 |#1|)) . T)) 
+((((-134)) . T)) 
+((((-134)) . T)) 
+(((|#3|) |has| |#3| (-1025)) (((-532)) -12 (|has| |#3| (-974 (-532))) (|has| |#3| (-1025))) (((-383 (-532))) -12 (|has| |#3| (-974 (-383 (-532)))) (|has| |#3| (-1025)))) 
+((((-808)) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-852))) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(((|#1|) . T)) 
+((((-808)) -1328 (|has| |#1| (-800)) (|has| |#1| (-1025)))) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((((-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) . T)) 
+(|has| |#1| (-339)) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-798))) 
+((((-1096) |#1|) |has| |#1| (-493 (-1096) |#1|)) ((|#1| |#1|) |has| |#1| (-282 |#1|))) 
+(|has| |#2| (-773)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-798)) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+((((-808)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-508)) |has| |#1| (-573 (-508)))) 
 (((|#1| |#2|) . T)) 
-((((-1070)) -12 (|has| |#1| (-331)) (|has| |#1| (-820 (-1070))))) 
-((((-1053) |#1|) . T)) 
-(((|#1| |#2| |#3| (-487 |#3|)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-((((-786)) . T)) 
-(((|#1|) . T)) 
-(-1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-(|has| |#1| (-336)) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-((((-501)) . T)) 
-((((-501)) . T)) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(-12 (|has| |#2| (-206)) (|has| |#2| (-959))) 
-((((-1070) (-791 |#1|)) |has| (-791 |#1|) (-476 (-1070) (-791 |#1|))) (((-791 |#1|) (-791 |#1|)) |has| (-791 |#1|) (-278 (-791 |#1|)))) 
-(((|#1|) . T)) 
-((((-501) |#4|) . T)) 
-((((-501) |#3|) . T)) 
-(((|#1|) . T) (((-501)) |has| |#1| (-577 (-501)))) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-((((-1136 |#1| |#2| |#3| |#4|)) . T)) 
-((((-375 (-501))) . T) (((-501)) . T)) 
-((((-786)) |has| |#1| (-1001))) 
+((((-1096)) -12 (|has| |#1| (-339)) (|has| |#1| (-843 (-1096))))) 
+((((-1078) |#1|) . T)) 
+(((|#1| |#2| |#3| (-504 |#3|)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+((((-808)) . T)) 
+(((|#1|) . T)) 
+(-1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+(|has| |#1| (-344)) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+((((-532)) . T)) 
+((((-532)) . T)) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(-12 (|has| |#2| (-210)) (|has| |#2| (-983))) 
+((((-1096) (-815 |#1|)) |has| (-815 |#1|) (-493 (-1096) (-815 |#1|))) (((-815 |#1|) (-815 |#1|)) |has| (-815 |#1|) (-282 (-815 |#1|)))) 
+(((|#1|) . T)) 
+((((-532) |#4|) . T)) 
+((((-532) |#3|) . T)) 
+(((|#1|) . T) (((-532)) |has| |#1| (-594 (-532)))) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+((((-1164 |#1| |#2| |#3| |#4|)) . T)) 
+((((-383 (-532))) . T) (((-532)) . T)) 
+((((-808)) |has| |#1| (-1025))) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((($) . T) (((-501)) . T) (((-375 (-501))) . T)) 
-((((-501)) . T)) 
-((((-501)) . T)) 
-((($) . T) (((-501)) . T) (((-375 (-501))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-501) (-501)) . T) (((-375 (-501)) (-375 (-501))) . T) (($ $) . T)) 
-(((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) |has| |#1| (-950 (-375 (-501))))) 
-(((|#1|) . T) (($) . T) (((-375 (-501))) . T)) 
-(((|#1|) |has| |#1| (-508))) 
-((((-501) |#4|) . T)) 
-((((-501) |#3|) . T)) 
-((((-786)) . T)) 
-((((-501)) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-786)) . T)) 
-((((-501) |#1|) . T)) 
-(((|#1|) . T)) 
-((($ $) . T) (((-787 |#1|) $) . T) (((-787 |#1|) |#2|) . T)) 
-((($) . T)) 
-((($ $) . T) (((-1070) $) . T) (((-1070) |#1|) . T)) 
-(((|#2|) |has| |#2| (-156))) 
-((($) -1405 (|has| |#2| (-331)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) ((|#2|) |has| |#2| (-156)) (((-375 (-501))) |has| |#2| (-37 (-375 (-501))))) 
-(((|#2| |#2|) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-959))) (($ $) |has| |#2| (-156))) 
-((((-131)) . T)) 
-(((|#1|) . T)) 
-(-12 (|has| |#1| (-336)) (|has| |#2| (-336))) 
-((((-786)) . T)) 
-(((|#2|) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-959))) (($) |has| |#2| (-156))) 
-(((|#1|) . T)) 
-((((-786)) . T)) 
-(|has| |#1| (-1001)) 
-(|has| $ (-134)) 
-((((-501) |#1|) . T)) 
-((($) -1405 (|has| |#1| (-276)) (|has| |#1| (-331)) (|has| |#1| (-318)) (|has| |#1| (-508))) (((-375 (-501))) -1405 (|has| |#1| (-331)) (|has| |#1| (-318))) ((|#1|) . T)) 
-((((-1070)) -12 (|has| |#1| (-15 * (|#1| (-375 (-501)) |#1|))) (|has| |#1| (-820 (-1070))))) 
-(|has| |#1| (-331)) 
-(-1405 (-12 (|has| (-1068 |#1| |#2| |#3|) (-206)) (|has| |#1| (-331))) (|has| |#1| (-15 * (|#1| (-501) |#1|)))) 
-(|has| |#1| (-15 * (|#1| (-375 (-501)) |#1|))) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-15 * (|#1| (-701) |#1|))) 
-(((|#1|) . T)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-((((-786)) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-(((|#2| (-487 (-787 |#1|))) . T)) 
-((((-786)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1|) . T)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-((((-528 |#1|)) . T)) 
-((($) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((($) . T) (((-532)) . T) (((-383 (-532))) . T)) 
+((((-532)) . T)) 
+((((-532)) . T)) 
+((($) . T) (((-532)) . T) (((-383 (-532))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-532) (-532)) . T) (((-383 (-532)) (-383 (-532))) . T) (($ $) . T)) 
+(((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532))))) 
+(((|#1|) . T) (($) . T) (((-383 (-532))) . T)) 
+(((|#1|) |has| |#1| (-524))) 
+((((-532) |#4|) . T)) 
+((((-532) |#3|) . T)) 
+((((-808)) . T)) 
+((((-532)) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-808)) . T)) 
+((((-532) |#1|) . T)) 
+(((|#1|) . T)) 
+((($ $) . T) (((-810 |#1|) $) . T) (((-810 |#1|) |#2|) . T)) 
+((($) . T)) 
+((($ $) . T) (((-1096) $) . T) (((-1096) |#1|) . T)) 
+(((|#2|) |has| |#2| (-159))) 
+((($) -1328 (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) ((|#2|) |has| |#2| (-159)) (((-383 (-532))) |has| |#2| (-37 (-383 (-532))))) 
+(((|#2| |#2|) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-983))) (($ $) |has| |#2| (-159))) 
+((((-134)) . T)) 
+(((|#1|) . T)) 
+(-12 (|has| |#1| (-344)) (|has| |#2| (-344))) 
+((((-808)) . T)) 
+(((|#2|) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-983))) (($) |has| |#2| (-159))) 
+(((|#1|) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-1025)) 
+(|has| $ (-137)) 
+((((-532) |#1|) . T)) 
+((($) -1328 (|has| |#1| (-280)) (|has| |#1| (-339)) (|has| |#1| (-325)) (|has| |#1| (-524))) (((-383 (-532))) -1328 (|has| |#1| (-339)) (|has| |#1| (-325))) ((|#1|) . T)) 
+((((-1096)) -12 (|has| |#1| (-15 * (|#1| (-383 (-532)) |#1|))) (|has| |#1| (-843 (-1096))))) 
+(|has| |#1| (-339)) 
+(-1328 (-12 (|has| (-1094 |#1| |#2| |#3|) (-210)) (|has| |#1| (-339))) (|has| |#1| (-15 * (|#1| (-532) |#1|)))) 
+(|has| |#1| (-15 * (|#1| (-383 (-532)) |#1|))) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-15 * (|#1| (-723) |#1|))) 
+(((|#1|) . T)) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+((((-808)) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+(((|#2| (-504 (-810 |#1|))) . T)) 
+((((-808)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1|) . T)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+((((-545 |#1|)) . T)) 
+((($) . T)) 
+(|has| |#1| (-1116)) 
+(|has| |#1| (-1116)) 
 (((|#1|) . T) (($) . T)) 
-((((-501)) |has| |#1| (-577 (-501))) ((|#1|) . T)) 
+((((-532)) |has| |#1| (-594 (-532))) ((|#1|) . T)) 
 (((|#4|) . T)) 
 (((|#3|) . T)) 
-((((-791 |#1|)) . T) (($) . T) (((-375 (-501))) . T)) 
-((((-1070)) -12 (|has| |#2| (-820 (-1070))) (|has| |#2| (-959)))) 
-(((|#1|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-501) |#2|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
+((((-815 |#1|)) . T) (($) . T) (((-383 (-532))) . T)) 
+(|has| |#1| (-1116)) 
+(|has| |#1| (-1116)) 
+((((-1096)) -12 (|has| |#2| (-843 (-1096))) (|has| |#2| (-983)))) 
+(((|#1|) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-532) |#2|) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
 (((|#1| |#2| |#3| |#4| |#5|) . T)) 
-((((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1| |#1|) . T) (($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-508)))) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501)) (-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (((-1068 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3|)) |has| |#1| (-331)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501)) (-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331)))) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-508))) ((|#1| |#1|) . T) (((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#2|) |has| |#2| (-959))) 
-(|has| |#1| (-1001)) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) . T) (($) -1405 (|has| |#1| (-156)) (|has| |#1| (-508)))) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (((-1068 |#1| |#2| |#3|)) |has| |#1| (-331)) ((|#1|) . T)) 
-(((|#1|) . T) (($) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331)))) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-508))) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#1|) |has| |#1| (-156)) (($) . T)) 
-(((|#1|) . T)) 
-((((-375 (-501)) (-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2| |#2|) . T) (($ $) -1405 (|has| |#2| (-156)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
-((((-786)) . T)) 
-((((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) |has| |#2| (-156)) (($) -1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
+((((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1| |#1|) . T) (($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-524)))) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532)) (-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (((-1094 |#1| |#2| |#3|) (-1094 |#1| |#2| |#3|)) |has| |#1| (-339)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532)) (-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339)))) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-524))) ((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#2|) |has| |#2| (-983))) 
+(|has| |#1| (-1025)) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) . T) (($) -1328 (|has| |#1| (-159)) (|has| |#1| (-524)))) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (((-1094 |#1| |#2| |#3|)) |has| |#1| (-339)) ((|#1|) . T)) 
+(((|#1|) . T) (($) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339)))) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-524))) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#1|) |has| |#1| (-159)) (($) . T)) 
+(((|#1|) . T)) 
+((((-383 (-532)) (-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2| |#2|) . T) (($ $) -1328 (|has| |#2| (-159)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
+((((-808)) . T)) 
+((((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) |has| |#2| (-159)) (($) -1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
+((($) . T) ((|#2|) . T) (((-383 (-532))) |has| |#2| (-37 (-383 (-532))))) 
 ((($ $) . T) ((|#2| $) . T) ((|#2| |#1|) . T)) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) |has| |#1| (-156)) (($) -1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830)))) 
-((((-986) |#1|) . T) (((-986) $) . T) (($ $) . T)) 
-((((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) . T) (($) -1405 (|has| |#2| (-156)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
-((($) . T)) 
-(((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) (($) . T)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(((|#2|) |has| |#1| (-331))) 
-(((|#1|) . T)) 
-(((|#2|) |has| |#2| (-1001)) (((-501)) -12 (|has| |#2| (-950 (-501))) (|has| |#2| (-1001))) (((-375 (-501))) -12 (|has| |#2| (-950 (-375 (-501)))) (|has| |#2| (-1001)))) 
-((((-501) |#1|) . T)) 
-(((|#1| (-375 (-501))) . T)) 
-((((-375 |#2|) |#3|) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
-((((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) |has| |#2| (-156)) (($) -1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
-((($) -1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((((-375 (-501))) . T) (($) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-(((|#2| |#3| (-787 |#1|)) . T)) 
-((((-1070)) |has| |#2| (-820 (-1070)))) 
-(((|#1|) . T)) 
-(((|#1| (-487 |#2|) |#2|) . T)) 
-(((|#1| (-701) (-986)) . T)) 
-((((-375 (-501))) |has| |#2| (-331)) (($) . T)) 
-(((|#1| (-487 (-990 (-1070))) (-990 (-1070))) . T)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(((|#1|) . T)) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-(|has| |#2| (-723)) 
-(-1405 (|has| |#2| (-723)) (|has| |#2| (-775))) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-(|has| |#2| (-775)) 
-((((-813 |#1|)) . T) (((-749 |#1|)) . T)) 
-((((-749 (-1070))) . T)) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-(((|#2|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-578 (-501))) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-490)) . T) (((-810 (-501))) . T) (((-346)) . T) (((-199)) . T)) 
-(|has| |#1| (-206)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) |has| |#1| (-159)) (($) -1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852)))) 
+((((-1011) |#1|) . T) (((-1011) $) . T) (($ $) . T)) 
+((((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) . T) (($) -1328 (|has| |#2| (-159)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
+((($) . T)) 
+(((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) (($) . T)) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(((|#2|) |has| |#1| (-339))) 
+(((|#1|) . T)) 
+(|has| |#2| (-852)) 
+(((|#2|) |has| |#2| (-1025)) (((-532)) -12 (|has| |#2| (-974 (-532))) (|has| |#2| (-1025))) (((-383 (-532))) -12 (|has| |#2| (-974 (-383 (-532)))) (|has| |#2| (-1025)))) 
+((((-532) |#1|) . T)) 
+(((|#1| (-383 (-532))) . T)) 
+((((-383 |#2|) |#3|) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-137)) 
+((((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) |has| |#2| (-159)) (($) -1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
+((($) -1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-383 (-532))) . T) (($) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+(((|#2| |#3| (-810 |#1|)) . T)) 
+((((-1096)) |has| |#2| (-843 (-1096)))) 
+(((|#1|) . T)) 
+(((|#1| (-504 |#2|) |#2|) . T)) 
+(((|#1| (-723) (-1011)) . T)) 
+((((-383 (-532))) |has| |#2| (-339)) (($) . T)) 
+(((|#1| (-504 (-1015 (-1096))) (-1015 (-1096))) . T)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(((|#1|) . T)) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-798)) (|has| |#2| (-983)) SEQ) 
+(|has| |#2| (-746)) 
+(-1328 (|has| |#2| (-746)) (|has| |#2| (-798))) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+(|has| |#2| (-798)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-135)) 
+((((-836 |#1|)) . T) (((-772 |#1|)) . T)) 
+((((-772 (-1096))) . T)) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+(((|#2|) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-598 (-532))) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-508)) . T) (((-835 (-532))) . T) (((-355)) . T) (((-202)) . T)) 
+(|has| |#1| (-210)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
 ((($ $) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-1139 |#1| |#2| |#3|) $) -12 (|has| (-1139 |#1| |#2| |#3|) (-256 (-1139 |#1| |#2| |#3|) (-1139 |#1| |#2| |#3|))) (|has| |#1| (-331))) (($ $) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((($ $) . T)) 
+((((-1170 |#1| |#2| |#3|) $) -12 (|has| (-1170 |#1| |#2| |#3|) (-260 (-1170 |#1| |#2| |#3|) (-1170 |#1| |#2| |#3|))) (|has| |#1| (-339))) (($ $) . T)) 
 ((($ $) . T)) 
 ((($ $) . T)) 
 (((|#1|) . T)) 
-((((-1035 |#1| |#2|)) |has| (-1035 |#1| |#2|) (-278 (-1035 |#1| |#2|)))) 
-(((|#4| |#4|) -12 (|has| |#4| (-278 |#4|)) (|has| |#4| (-1001)))) 
-(((|#2|) . T) (((-501)) |has| |#2| (-950 (-501))) (((-375 (-501))) |has| |#2| (-950 (-375 (-501))))) 
-(((|#3| |#3|) -12 (|has| |#3| (-278 |#3|)) (|has| |#3| (-1001)))) 
-(((|#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001))) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))))) 
+((((-1060 |#1| |#2|)) |has| (-1060 |#1| |#2|) (-282 (-1060 |#1| |#2|)))) 
+(((|#4| |#4|) -12 (|has| |#4| (-282 |#4|)) (|has| |#4| (-1025)))) 
+(((|#2|) . T) (((-532)) |has| |#2| (-974 (-532))) (((-383 (-532))) |has| |#2| (-974 (-383 (-532))))) 
+(((|#3| |#3|) -12 (|has| |#3| (-282 |#3|)) (|has| |#3| (-1025)))) 
+(((|#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025))) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))))) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
 (((|#3|) . T)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(((|#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001))) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))))) 
-(((|#2|) . T)) 
-((((-786)) -1405 (|has| |#2| (-25)) (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-336)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959)) (|has| |#2| (-1001))) (((-1148 |#2|)) . T)) 
-(((|#1|) |has| |#1| (-156))) 
-((((-501)) . T)) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) |has| |#1| (-156)) (($) -1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830)))) 
-((($) -1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((((-501) (-131)) . T)) 
-((($) -1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) ((|#2|) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-959)))) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-132)) (|has| |#1| (-134)) (|has| |#1| (-156)) (|has| |#1| (-508)) (|has| |#1| (-959))) 
-(((|#1|) . T)) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-132)) (|has| |#1| (-134)) (|has| |#1| (-156)) (|has| |#1| (-508)) (|has| |#1| (-959))) 
-(((|#2|) |has| |#1| (-331))) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(((|#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025))) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))))) 
+(((|#2|) . T)) 
+((((-808)) -1328 (|has| |#2| (-25)) (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-344)) (|has| |#2| (-676)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983)) (|has| |#2| (-1025))) (((-1178 |#2|)) . T)) 
+(((|#1|) |has| |#1| (-159))) 
+((((-532)) . T)) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) |has| |#1| (-159)) (($) -1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852)))) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-532) (-134)) . T)) 
+((($) -1328 (|has| |#2| (-159)) (|has| |#2| (-798)) (|has| |#2| (-983))) ((|#2|) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-983)))) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-135)) (|has| |#1| (-137)) (|has| |#1| (-159)) (|has| |#1| (-524)) (|has| |#1| (-983))) 
+(((|#1|) . T)) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-135)) (|has| |#1| (-137)) (|has| |#1| (-159)) (|has| |#1| (-524)) (|has| |#1| (-983))) 
+(((|#2|) |has| |#1| (-339))) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
 (((|#1| |#1|) . T) (($ $) . T)) 
-((($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) ((|#1|) |has| |#1| (-156))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1| (-487 (-1070)) (-1070)) . T)) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) ((|#1|) |has| |#1| (-159))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1| (-504 (-1096)) (-1096)) . T)) 
 (((|#1|) . T) (($) . T)) 
-(|has| |#4| (-156)) 
-(|has| |#3| (-156)) 
-((((-375 (-866 |#1|)) (-375 (-866 |#1|))) . T)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(|has| |#1| (-1001)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(|has| |#1| (-1001)) 
-((((-786)) -1405 (|has| |#1| (-777)) (|has| |#1| (-1001)))) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(((|#1| |#1|) |has| |#1| (-156))) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-508))) ((|#1| |#1|) . T) (((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1|) . T)) 
-((((-375 (-866 |#1|))) . T)) 
-(((|#1|) |has| |#1| (-156))) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-508))) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-((((-786)) . T)) 
-((((-1136 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) |has| |#1| (-959)) (((-501)) -12 (|has| |#1| (-577 (-501))) (|has| |#1| (-959)))) 
+(|has| |#4| (-159)) 
+(|has| |#3| (-159)) 
+((((-383 (-895 |#1|)) (-383 (-895 |#1|))) . T)) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(|has| |#1| (-1025)) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(|has| |#1| (-1025)) 
+((((-808)) -1328 (|has| |#1| (-800)) (|has| |#1| (-1025)))) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(((|#1| |#1|) |has| |#1| (-159))) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-524))) ((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1|) . T)) 
+((((-383 (-895 |#1|))) . T)) 
+(((|#1|) |has| |#1| (-159))) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-524))) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+((((-808)) . T)) 
+((((-1164 |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) |has| |#1| (-983)) (((-532)) -12 (|has| |#1| (-594 (-532))) (|has| |#1| (-983)))) 
 (((|#1| |#2|) . T)) 
-(-1405 (|has| |#3| (-156)) (|has| |#3| (-775)) (|has| |#3| (-959))) 
-(|has| |#3| (-723)) 
-(-1405 (|has| |#3| (-723)) (|has| |#3| (-775))) 
-(|has| |#3| (-775)) 
-((((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508))) ((|#2|) |has| |#1| (-331)) ((|#1|) |has| |#1| (-156))) 
-(((|#1|) |has| |#1| (-156)) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508)))) 
-(((|#2|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(((|#1| (-1048 |#1|)) |has| |#1| (-775))) 
-((((-501) |#2|) . T)) 
-(|has| |#1| (-1001)) 
-(((|#1|) . T)) 
-(-12 (|has| |#1| (-331)) (|has| |#2| (-1046))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(|has| |#1| (-1001)) 
-(((|#2|) . T)) 
-((((-490)) |has| |#2| (-556 (-490))) (((-810 (-346))) |has| |#2| (-556 (-810 (-346)))) (((-810 (-501))) |has| |#2| (-556 (-810 (-501))))) 
-(((|#4|) -1405 (|has| |#4| (-156)) (|has| |#4| (-331)))) 
-(((|#3|) -1405 (|has| |#3| (-156)) (|has| |#3| (-331)))) 
-((((-786)) . T)) 
-(((|#1|) . T)) 
-(-1405 (|has| |#2| (-419)) (|has| |#2| (-830))) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-830))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-830))) 
-((($ $) . T) (((-1070) $) |has| |#1| (-206)) (((-1070) |#1|) |has| |#1| (-206)) (((-748 (-1070)) |#1|) . T) (((-748 (-1070)) $) . T)) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-830))) 
-((((-501) |#2|) . T)) 
-((((-786)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((($) -1405 (|has| |#3| (-156)) (|has| |#3| (-775)) (|has| |#3| (-959))) ((|#3|) -1405 (|has| |#3| (-156)) (|has| |#3| (-331)) (|has| |#3| (-959)))) 
-((((-501) |#1|) . T)) 
-(|has| (-375 |#2|) (-134)) 
-(|has| (-375 |#2|) (-132)) 
-(((|#2|) -12 (|has| |#1| (-331)) (|has| |#2| (-278 |#2|)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(((|#1|) . T)) 
-(((|#2|) . T) (($) . T) (((-375 (-501))) . T)) 
-((((-786)) . T)) 
-(|has| |#1| (-508)) 
-(|has| |#1| (-508)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-786)) . T)) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-356) (-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#2| (-1046)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(((|#1|) . T)) 
-((((-356) (-1053)) . T)) 
-(|has| |#1| (-508)) 
-((((-111 |#1|)) . T)) 
-((((-501) |#1|) . T)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(((|#2|) . T)) 
-((((-786)) . T)) 
-((((-749 |#1|)) . T)) 
-(((|#2|) |has| |#2| (-156))) 
-((((-1070) (-50)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-508)) 
-(((|#1|) |has| |#1| (-156))) 
-((((-786)) . T)) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(((|#2|) |has| |#2| (-278 |#2|))) 
-((((-501) (-501)) . T) (((-375 (-501)) (-375 (-501))) . T) (($ $) . T)) 
-(((|#1|) . T)) 
-(((|#1| (-1064 |#1|)) . T)) 
-(|has| $ (-134)) 
-(((|#2|) . T)) 
-((((-501) (-501)) . T) (((-375 (-501)) (-375 (-501))) . T) (($ $) . T)) 
-((($) . T) (((-501)) . T) (((-375 (-501))) . T)) 
-(|has| |#2| (-336)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-501)) . T) (((-375 (-501))) . T) (($) . T)) 
+(-1328 (|has| |#3| (-159)) (|has| |#3| (-798)) (|has| |#3| (-983)) SEQ) 
+(|has| |#3| (-746)) 
+(-1328 (|has| |#3| (-746)) (|has| |#3| (-798))) 
+(|has| |#3| (-798)) 
+((((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524))) ((|#2|) |has| |#1| (-339)) ((|#1|) |has| |#1| (-159))) 
+(((|#1|) |has| |#1| (-159)) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524)))) 
+(((|#2|) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(((|#1| (-1076 |#1|)) |has| |#1| (-798))) 
+((((-532) |#2|) . T)) 
+(|has| |#1| (-1025)) 
+(((|#1|) . T)) 
+(-12 (|has| |#1| (-339)) (|has| |#2| (-1071))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(|has| |#1| (-1025)) 
+(((|#2|) . T)) 
+((((-508)) |has| |#2| (-573 (-508))) (((-835 (-355))) |has| |#2| (-573 (-835 (-355)))) (((-835 (-532))) |has| |#2| (-573 (-835 (-532))))) 
+(((|#4|) -1328 (|has| |#4| (-159)) (|has| |#4| (-339)))) 
+(((|#3|) -1328 (|has| |#3| (-159)) (|has| |#3| (-339)))) 
+((((-808)) . T)) 
+(((|#1|) . T)) 
+(-1328 (|has| |#2| (-427)) (|has| |#2| (-852))) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-852))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-852))) 
+((($ $) . T) (((-1096) $) |has| |#1| (-210)) (((-1096) |#1|) |has| |#1| (-210)) (((-771 (-1096)) |#1|) . T) (((-771 (-1096)) $) . T)) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-852))) 
+((((-532) |#2|) . T)) 
+((((-808)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((($) -1328 (|has| |#3| (-159)) (|has| |#3| (-798)) (|has| |#3| (-983))) ((|#3|) -1328 (|has| |#3| (-159)) (|has| |#3| (-339)) (|has| |#3| (-983)))) 
+((((-532) |#1|) . T)) 
+(|has| (-383 |#2|) (-137)) 
+(|has| (-383 |#2|) (-135)) 
+(((|#2|) -12 (|has| |#1| (-339)) (|has| |#2| (-282 |#2|)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(((|#1|) . T)) 
+(((|#2|) . T) (($) . T) (((-383 (-532))) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-524)) 
+(|has| |#1| (-524)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-808)) . T)) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-364) (-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#2| (-1071)) 
+(|has| |#1| (-524)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(((|#1|) . T)) 
+((((-364) (-1078)) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(|has| |#1| (-524)) 
+((((-114 |#1|)) . T)) 
+((((-532) |#1|) . T)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(((|#2|) . T)) 
+(((|#2|) |has| |#2| (-983)) (((-532)) -12 (|has| |#2| (-594 (-532))) (|has| |#2| (-983)))) 
+((((-808)) . T)) 
+((((-772 |#1|)) . T)) 
+(((|#2|) |has| |#2| (-159))) 
+((((-1096) (-51)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-524)) 
+(((|#1|) |has| |#1| (-159))) 
+((((-808)) . T)) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(((|#2|) |has| |#2| (-282 |#2|))) 
+((((-532) (-532)) . T) (((-383 (-532)) (-383 (-532))) . T) (($ $) . T)) 
+(((|#1|) . T)) 
+(((|#1| (-1092 |#1|)) . T)) 
+(|has| $ (-137)) 
+(((|#2|) . T)) 
+((((-532) (-532)) . T) (((-383 (-532)) (-383 (-532))) . T) (($ $) . T)) 
+((($) . T) (((-532)) . T) (((-383 (-532))) . T)) 
+(|has| |#2| (-344)) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-532)) . T) (((-383 (-532))) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-501)) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-1068 |#1| |#2| |#3|) $) -12 (|has| (-1068 |#1| |#2| |#3|) (-256 (-1068 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3|))) (|has| |#1| (-331))) (($ $) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((($) . T) (((-375 (-501))) -1405 (|has| |#1| (-331)) (|has| |#1| (-318))) ((|#1|) . T)) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((((-786)) |has| |#1| (-1001))) 
+((((-532)) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-1094 |#1| |#2| |#3|) $) -12 (|has| (-1094 |#1| |#2| |#3|) (-260 (-1094 |#1| |#2| |#3|) (-1094 |#1| |#2| |#3|))) (|has| |#1| (-339))) (($ $) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((($) . T) (((-383 (-532))) -1328 (|has| |#1| (-339)) (|has| |#1| (-325))) ((|#1|) . T)) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((((-808)) |has| |#1| (-1025))) 
 ((($ $) . T)) 
 ((($ $) . T)) 
-((((-1139 |#1| |#2| |#3|) (-1139 |#1| |#2| |#3|)) -12 (|has| (-1139 |#1| |#2| |#3|) (-278 (-1139 |#1| |#2| |#3|))) (|has| |#1| (-331))) (((-1070) (-1139 |#1| |#2| |#3|)) -12 (|has| (-1139 |#1| |#2| |#3|) (-476 (-1070) (-1139 |#1| |#2| |#3|))) (|has| |#1| (-331)))) 
-((((-786)) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((($) -1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((((-375 (-501))) . T) (((-501)) . T)) 
-((((-501) (-131)) . T)) 
-((((-131)) . T)) 
-(((|#1|) . T)) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-132)) (|has| |#1| (-134)) (|has| |#1| (-156)) (|has| |#1| (-508)) (|has| |#1| (-959))) 
-((((-107)) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-107)) . T)) 
-(((|#1|) . T)) 
-((((-490)) |has| |#1| (-556 (-490))) (((-199)) |has| |#1| (-933)) (((-346)) |has| |#1| (-933))) 
-((((-786)) . T)) 
-(|has| |#1| (-750)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(|has| |#1| (-777)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-508))) 
-(|has| |#1| (-508)) 
-(|has| |#1| (-830)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1001)) 
-((((-786)) . T)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-508))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(((|#1| (-1148 |#1|) (-1148 |#1|)) . T)) 
-((((-501) (-131)) . T)) 
-((($) . T)) 
-(-1405 (|has| |#4| (-156)) (|has| |#4| (-775)) (|has| |#4| (-959))) 
-(-1405 (|has| |#3| (-156)) (|has| |#3| (-775)) (|has| |#3| (-959))) 
-((((-786)) . T)) 
-(|has| |#1| (-1001)) 
-(((|#1| (-886)) . T)) 
+((((-808)) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-1170 |#1| |#2| |#3|) (-1170 |#1| |#2| |#3|)) -12 (|has| (-1170 |#1| |#2| |#3|) (-282 (-1170 |#1| |#2| |#3|))) (|has| |#1| (-339))) (((-1096) (-1170 |#1| |#2| |#3|)) -12 (|has| (-1170 |#1| |#2| |#3|) (-493 (-1096) (-1170 |#1| |#2| |#3|))) (|has| |#1| (-339)))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((($) -1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-383 (-532))) . T) (((-532)) . T)) 
+((((-532) (-134)) . T)) 
+((((-134)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-800)) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-135)) (|has| |#1| (-137)) (|has| |#1| (-159)) (|has| |#1| (-524)) (|has| |#1| (-983))) 
+((((-110)) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-110)) . T)) 
+(((|#1|) . T)) 
+((((-508)) |has| |#1| (-573 (-508))) (((-202)) |has| |#1| (-958)) (((-355)) |has| |#1| (-958))) 
+((((-808)) . T)) 
+(|has| |#1| (-773)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(|has| |#1| (-800)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-524))) 
+(|has| |#1| (-524)) 
+(|has| |#1| (-852)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1025)) 
+((((-808)) . T)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-524))) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-524))) 
+(((|#1| (-1178 |#1|) (-1178 |#1|)) . T)) 
+((((-532) (-134)) . T)) 
+((($) . T)) 
+(-1328 (|has| |#4| (-159)) (|has| |#4| (-798)) (|has| |#4| (-983))) 
+(-1328 (|has| |#3| (-159)) (|has| |#3| (-798)) (|has| |#3| (-983))) 
+(((|#2| (-723)) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-1025)) 
+(((|#1| (-909)) . T)) 
 (((|#1| |#1|) . T)) 
 ((($) . T)) 
-(-1405 (|has| |#2| (-723)) (|has| |#2| (-775))) 
-(-1405 (|has| |#2| (-723)) (|has| |#2| (-775))) 
-(-12 (|has| |#1| (-440)) (|has| |#2| (-440))) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-(-1405 (-12 (|has| |#1| (-440)) (|has| |#2| (-440))) (-12 (|has| |#1| (-657)) (|has| |#2| (-657)))) 
+(-1328 (|has| |#2| (-746)) (|has| |#2| (-798))) 
+(-1328 (|has| |#2| (-746)) (|has| |#2| (-798))) 
+(-12 (|has| |#1| (-450)) (|has| |#2| (-450))) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-798)) (|has| |#2| (-983)) SEQ) 
+(-1328 (-12 (|has| |#1| (-450)) (|has| |#2| (-450))) (-12 (|has| |#1| (-676)) (|has| |#2| (-676)))) 
 (((|#1|) . T)) 
-(|has| |#2| (-723)) 
-(-1405 (|has| |#2| (-723)) (|has| |#2| (-775))) 
+(|has| |#2| (-746)) 
+(-1328 (|has| |#2| (-746)) (|has| |#2| (-798))) 
 (((|#1| |#2|) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(|has| |#2| (-775)) 
-(-12 (|has| |#1| (-723)) (|has| |#2| (-723))) 
-(-12 (|has| |#1| (-723)) (|has| |#2| (-723))) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(|has| |#2| (-798)) 
+(-12 (|has| |#1| (-746)) (|has| |#2| (-746))) 
+(-12 (|has| |#1| (-746)) (|has| |#2| (-746))) 
 (((|#1| |#2|) . T)) 
-(((|#2|) |has| |#2| (-156))) 
-(((|#1|) |has| |#1| (-156))) 
-((((-786)) . T)) 
-(|has| |#1| (-318)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-((($) . T) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) ((|#1|) . T)) 
-(|has| |#1| (-751)) 
-((((-375 (-501))) |has| |#1| (-950 (-375 (-501)))) (((-501)) |has| |#1| (-950 (-501))) ((|#1|) . T)) 
-(|has| |#1| (-1001)) 
-(((|#1| $) |has| |#1| (-256 |#1| |#1|))) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) |has| |#1| (-156)) (($) |has| |#1| (-508))) 
-((($) |has| |#1| (-508))) 
-(((|#4|) |has| |#4| (-1001))) 
-(((|#3|) |has| |#3| (-1001))) 
-(|has| |#3| (-336)) 
-(((|#1|) . T) (((-786)) . T)) 
-((((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508))) (((-1139 |#1| |#2| |#3|)) |has| |#1| (-331)) ((|#1|) |has| |#1| (-156))) 
-(((|#1|) |has| |#1| (-156)) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508)))) 
-((((-786)) . T)) 
-((($) |has| |#1| (-508)) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#2|) . T)) 
-(((|#1| |#1|) |has| |#1| (-156))) 
+(((|#2|) |has| |#2| (-159))) 
+(((|#1|) |has| |#1| (-159))) 
+((((-808)) . T)) 
+(|has| |#1| (-325)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+((($) . T) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) ((|#1|) . T)) 
+(|has| |#1| (-781)) 
+((((-383 (-532))) |has| |#1| (-974 (-383 (-532)))) (((-532)) |has| |#1| (-974 (-532))) ((|#1|) . T)) 
+(|has| |#1| (-1025)) 
+(((|#1| $) |has| |#1| (-260 |#1| |#1|))) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) |has| |#1| (-159)) (($) |has| |#1| (-524))) 
+((($) |has| |#1| (-524))) 
+(((|#4|) |has| |#4| (-1025))) 
+(((|#3|) |has| |#3| (-1025))) 
+(|has| |#3| (-344)) 
+(((|#1|) . T) (((-808)) . T)) 
+((($) |has| |#1| (-524)) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524))) (((-1170 |#1| |#2| |#3|)) |has| |#1| (-339)) ((|#1|) |has| |#1| (-159))) 
+((((-808)) . T)) 
+(((|#1|) |has| |#1| (-159)) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524)))) 
+((($) |has| |#1| (-524)) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#2|) . T)) 
+(((|#1| |#1|) |has| |#1| (-159))) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-331)) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-156))) 
-((((-375 (-501))) . T) (((-501)) . T)) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-508))) ((|#1| |#1|) . T) (((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-508))) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#2| |#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001)))) 
-((((-131)) . T)) 
-(((|#1|) . T)) 
-((((-131)) . T)) 
-((($) -1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) ((|#2|) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-959)))) 
-((((-131)) . T)) 
+(|has| |#2| (-339)) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (-159))) 
+((((-383 (-532))) . T) (((-532)) . T)) 
+((($ $) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) ((|#2| |#2|) . T) (((-383 (-532)) (-383 (-532))) |has| |#2| (-37 (-383 (-532))))) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-524))) ((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((($) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) ((|#2|) . T) (((-383 (-532))) |has| |#2| (-37 (-383 (-532))))) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-524))) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#2| |#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025)))) 
+((((-134)) . T)) 
+(((|#1|) . T)) 
+((((-134)) . T)) 
+((($) -1328 (|has| |#2| (-159)) (|has| |#2| (-798)) (|has| |#2| (-983))) ((|#2|) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-983)))) 
+((((-134)) . T)) 
 (((|#1| |#2| |#3|) . T)) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-132)) (|has| |#1| (-134)) (|has| |#1| (-156)) (|has| |#1| (-508)) (|has| |#1| (-959))) 
-(|has| $ (-134)) 
-(|has| $ (-134)) 
-(|has| |#1| (-1001)) 
-((((-786)) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-134)) (|has| |#1| (-156)) (|has| |#1| (-440)) (|has| |#1| (-508)) (|has| |#1| (-959)) (|has| |#1| (-1012))) 
-((($ $) |has| |#1| (-256 $ $)) ((|#1| $) |has| |#1| (-256 |#1| |#1|))) 
-(((|#1| (-375 (-501))) . T)) 
-(((|#1|) . T)) 
-((((-1070)) . T)) 
-(|has| |#1| (-508)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(|has| |#1| (-508)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-786)) . T)) 
-(|has| |#2| (-132)) 
-(|has| |#2| (-134)) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-135)) (|has| |#1| (-137)) (|has| |#1| (-159)) (|has| |#1| (-524)) (|has| |#1| (-983))) 
+(|has| $ (-137)) 
+(|has| $ (-137)) 
+(|has| |#1| (-1025)) 
+((((-808)) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-137)) (|has| |#1| (-159)) (|has| |#1| (-450)) (|has| |#1| (-524)) (|has| |#1| (-983)) (|has| |#1| (-1037))) 
+((($ $) |has| |#1| (-260 $ $)) ((|#1| $) |has| |#1| (-260 |#1| |#1|))) 
+(((|#1| (-383 (-532))) . T)) 
+(((|#1|) . T)) 
+((((-1096)) . T)) 
+(|has| |#1| (-524)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(|has| |#1| (-524)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-808)) . T)) 
+(|has| |#2| (-135)) 
+(|has| |#2| (-137)) 
 (((|#2|) . T) (($) . T)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-132)) 
-(|has| |#4| (-775)) 
-(((|#2| (-212 (-3581 |#1|) (-701)) (-787 |#1|)) . T)) 
-(|has| |#3| (-775)) 
-(((|#1| (-487 |#3|) |#3|) . T)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-132)) 
-((((-375 (-501)) (-375 (-501))) |has| |#2| (-331)) (($ $) . T)) 
-((((-791 |#1|)) . T)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-132)) 
-((((-375 (-501))) |has| |#2| (-331)) (($) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(-1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-(-1405 (|has| |#1| (-318)) (|has| |#1| (-336))) 
-((((-1037 |#2| |#1|)) . T) ((|#1|) . T)) 
-(|has| |#2| (-156)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-135)) 
+(|has| |#4| (-798)) 
+(((|#2| (-217 (-3502 |#1|) (-723)) (-810 |#1|)) . T)) 
+(|has| |#3| (-798)) 
+(((|#1| (-504 |#3|) |#3|) . T)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-135)) 
+((((-383 (-532)) (-383 (-532))) |has| |#2| (-339)) (($ $) . T)) 
+((((-815 |#1|)) . T)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-135)) 
+((((-383 (-532))) |has| |#2| (-339)) (($) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(-1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+(-1328 (|has| |#1| (-325)) (|has| |#1| (-344))) 
+((((-1062 |#2| |#1|)) . T) ((|#1|) . T)) 
+(|has| |#2| (-159)) 
 (((|#1| |#2|) . T)) 
-(-12 (|has| |#2| (-206)) (|has| |#2| (-959))) 
-(((|#2|) . T) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(-1405 (|has| |#3| (-723)) (|has| |#3| (-775))) 
-(-1405 (|has| |#3| (-723)) (|has| |#3| (-775))) 
-((((-786)) . T)) 
+(-12 (|has| |#2| (-210)) (|has| |#2| (-983))) 
+(((|#2|) . T) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(-1328 (|has| |#3| (-746)) (|has| |#3| (-798))) 
+(-1328 (|has| |#3| (-746)) (|has| |#3| (-798))) 
+((((-808)) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T) (($) . T)) 
 (((|#1|) . T) (($) . T)) 
-((((-630)) . T)) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-(|has| |#1| (-508)) 
+((((-648)) . T)) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+(|has| |#1| (-524)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-1070) (-50)) . T)) 
-((((-786)) . T)) 
-((((-490)) . T) (((-810 (-501))) . T) (((-346)) . T) (((-199)) . T)) 
+((((-1096) (-51)) . T)) 
+((((-808)) . T)) 
+((((-508)) . T) (((-835 (-532))) . T) (((-355)) . T) (((-202)) . T)) 
 (((|#1|) . T)) 
-((((-786)) . T)) 
-((((-490)) . T) (((-810 (-501))) . T) (((-346)) . T) (((-199)) . T)) 
-(((|#1| (-501)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
+((((-808)) . T)) 
+((((-508)) . T) (((-835 (-532))) . T) (((-355)) . T) (((-202)) . T)) 
+(((|#1| (-532)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-375 (-501))) . T)) 
-(((|#3|) . T) (((-553 $)) . T)) 
+(((|#1| (-383 (-532))) . T)) 
+(((|#3|) . T) (((-571 $)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
 ((($ $) . T) ((|#2| $) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-1068 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3|)) -12 (|has| (-1068 |#1| |#2| |#3|) (-278 (-1068 |#1| |#2| |#3|))) (|has| |#1| (-331))) (((-1070) (-1068 |#1| |#2| |#3|)) -12 (|has| (-1068 |#1| |#2| |#3|) (-476 (-1070) (-1068 |#1| |#2| |#3|))) (|has| |#1| (-331)))) 
-((((-501)) . T) (($) . T) (((-375 (-501))) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-1094 |#1| |#2| |#3|) (-1094 |#1| |#2| |#3|)) -12 (|has| (-1094 |#1| |#2| |#3|) (-282 (-1094 |#1| |#2| |#3|))) (|has| |#1| (-339))) (((-1096) (-1094 |#1| |#2| |#3|)) -12 (|has| (-1094 |#1| |#2| |#3|) (-493 (-1096) (-1094 |#1| |#2| |#3|))) (|has| |#1| (-339)))) 
+((((-532)) . T) (($) . T) (((-383 (-532))) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001))) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))))) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001))) (((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) |has| (-2 (|:| -3626 (-1053)) (|:| -2922 |#1|)) (-278 (-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))))) 
-((((-786)) . T)) 
+(((|#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025))) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))))) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025))) (((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) |has| (-2 (|:| -3220 (-1078)) (|:| -2330 |#1|)) (-282 (-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))))) 
+((((-808)) . T)) 
 (((|#1|) . T)) 
 (((|#3| |#3|) . T)) 
 (((|#1|) . T)) 
 ((($) . T) ((|#2|) . T)) 
-((((-1070) (-50)) . T)) 
+((((-1096) (-51)) . T)) 
 (((|#3|) . T)) 
-((($ $) . T) (((-787 |#1|) $) . T) (((-787 |#1|) |#2|) . T)) 
-(|has| |#1| (-751)) 
-(|has| |#1| (-1001)) 
-(((|#2| |#2|) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-959))) (($ $) |has| |#2| (-156))) 
-(((|#2|) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)))) 
-((((-501) (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T) ((|#1| |#2|) . T)) 
-(((|#2|) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-959))) (($) |has| |#2| (-156))) 
-((((-701)) . T)) 
-((((-501)) . T)) 
-(|has| |#1| (-508)) 
-((((-786)) . T)) 
-(((|#1| (-375 (-501)) (-986)) . T)) 
-(|has| |#1| (-132)) 
-(((|#1|) . T)) 
-(|has| |#1| (-508)) 
-((((-501)) . T)) 
-((((-111 |#1|)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-134)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-508))) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-508))) 
-((((-810 (-501))) . T) (((-810 (-346))) . T) (((-490)) . T) (((-1070)) . T)) 
-((((-786)) . T)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-((($) . T)) 
-((((-786)) . T)) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-(((|#2|) |has| |#2| (-156))) 
-((($) -1405 (|has| |#2| (-331)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) ((|#2|) |has| |#2| (-156)) (((-375 (-501))) |has| |#2| (-37 (-375 (-501))))) 
-((((-791 |#1|)) . T)) 
-(-1405 (|has| |#2| (-25)) (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-336)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959)) (|has| |#2| (-1001))) 
-(-12 (|has| |#3| (-206)) (|has| |#3| (-959))) 
-(|has| |#2| (-1046)) 
-((((-50)) . T) (((-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) . T)) 
+((($ $) . T) (((-810 |#1|) $) . T) (((-810 |#1|) |#2|) . T)) 
+(|has| |#1| (-781)) 
+(|has| |#1| (-1025)) 
+(((|#2| |#2|) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-983))) (($ $) |has| |#2| (-159))) 
+(((|#2|) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)))) 
+((((-532) (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T) ((|#1| |#2|) . T)) 
+(((|#2|) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-983))) (($) |has| |#2| (-159))) 
+((((-723)) . T)) 
+((((-532)) . T)) 
+(|has| |#1| (-524)) 
+((((-808)) . T)) 
+(((|#1| (-383 (-532)) (-1011)) . T)) 
+(|has| |#1| (-135)) 
+(((|#1|) . T)) 
+(|has| |#1| (-524)) 
+((((-532)) . T)) 
+((((-114 |#1|)) . T)) 
+(((|#1|) . T)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-524))) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-524))) 
+(|has| |#1| (-137)) 
+((((-835 (-532))) . T) (((-835 (-355))) . T) (((-508)) . T) (((-1096)) . T)) 
+((((-808)) . T)) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+((($) . T)) 
+((((-808)) . T)) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+((((-532)) |has| |#1| (-594 (-532))) ((|#1|) . T)) 
+(((|#2|) |has| |#2| (-159))) 
+((($) -1328 (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) ((|#2|) |has| |#2| (-159)) (((-383 (-532))) |has| |#2| (-37 (-383 (-532))))) 
+((((-815 |#1|)) . T)) 
+(-1328 (|has| |#2| (-25)) (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-344)) (|has| |#2| (-676)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983)) (|has| |#2| (-1025))) 
+(-12 (|has| |#3| (-210)) (|has| |#3| (-983))) 
+(|has| |#2| (-1071)) 
+((((-51)) . T) (((-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) . T)) 
 (((|#1| |#2|) . T)) 
-(-1405 (|has| |#3| (-156)) (|has| |#3| (-775)) (|has| |#3| (-959))) 
-(((|#1| (-501) (-986)) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1| (-375 (-501)) (-986)) . T)) 
-((($) -1405 (|has| |#1| (-276)) (|has| |#1| (-331)) (|has| |#1| (-318)) (|has| |#1| (-508))) (((-375 (-501))) -1405 (|has| |#1| (-331)) (|has| |#1| (-318))) ((|#1|) . T)) 
-((((-501) |#2|) . T)) 
+(|has| |#2| (-524)) 
+(-1328 (|has| |#3| (-159)) (|has| |#3| (-798)) (|has| |#3| (-983))) 
+(((|#1| (-532) (-1011)) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1| (-383 (-532)) (-1011)) . T)) 
+((($) -1328 (|has| |#1| (-280)) (|has| |#1| (-339)) (|has| |#1| (-325)) (|has| |#1| (-524))) (((-383 (-532))) -1328 (|has| |#1| (-339)) (|has| |#1| (-325))) ((|#1|) . T)) 
+((((-532) |#2|) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-336)) 
-(-12 (|has| |#1| (-336)) (|has| |#2| (-336))) 
-((((-786)) . T)) 
-((((-1070) |#1|) |has| |#1| (-476 (-1070) |#1|)) ((|#1| |#1|) |has| |#1| (-278 |#1|))) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-336))) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-336))) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-336))) 
-(((|#1|) . T)) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) |has| |#1| (-156)) (($) |has| |#1| (-508))) 
-((((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508))) (((-1068 |#1| |#2| |#3|)) |has| |#1| (-331)) ((|#1|) |has| |#1| (-156))) 
-(((|#1|) |has| |#1| (-156)) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508)))) 
-((($) |has| |#1| (-508)) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((((-786)) . T)) 
-(|has| |#1| (-318)) 
-(((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001))) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))))) 
-(|has| |#1| (-508)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-786)) . T)) 
+(|has| |#2| (-344)) 
+(-12 (|has| |#1| (-344)) (|has| |#2| (-344))) 
+((((-808)) . T)) 
+((((-1096) |#1|) |has| |#1| (-493 (-1096) |#1|)) ((|#1| |#1|) |has| |#1| (-282 |#1|))) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-344))) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-344))) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-344))) 
+(((|#1|) . T)) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) |has| |#1| (-159)) (($) |has| |#1| (-524))) 
+((((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524))) (((-1094 |#1| |#2| |#3|)) |has| |#1| (-339)) ((|#1|) |has| |#1| (-159))) 
+(((|#1|) |has| |#1| (-159)) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524)))) 
+((($) |has| |#1| (-524)) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-808)) . T)) 
+(|has| |#1| (-325)) 
+(((|#1|) . T)) 
+((((-808)) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025))) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))))) 
+(|has| |#1| (-524)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-808)) . T)) 
 (((|#1| |#2|) . T)) 
-(-1405 (|has| |#2| (-419)) (|has| |#2| (-830))) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-830))) 
-((((-375 (-501))) . T) (((-501)) . T)) 
-((((-501)) . T)) 
-((((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) |has| |#2| (-156)) (($) -1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
-((($) . T)) 
-((((-786)) . T)) 
-(((|#1|) . T)) 
-((((-791 |#1|)) . T) (($) . T) (((-375 (-501))) . T)) 
-((((-786)) . T)) 
-(((|#3| |#3|) -1405 (|has| |#3| (-156)) (|has| |#3| (-331)) (|has| |#3| (-959))) (($ $) |has| |#3| (-156))) 
-(|has| |#1| (-933)) 
-((((-786)) . T)) 
-(((|#3|) -1405 (|has| |#3| (-156)) (|has| |#3| (-331)) (|has| |#3| (-959))) (($) |has| |#3| (-156))) 
-((((-501) (-107)) . T)) 
-(((|#1|) |has| |#1| (-278 |#1|))) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-((((-1070) $) |has| |#1| (-476 (-1070) $)) (($ $) |has| |#1| (-278 $)) ((|#1| |#1|) |has| |#1| (-278 |#1|)) (((-1070) |#1|) |has| |#1| (-476 (-1070) |#1|))) 
-((((-1070)) |has| |#1| (-820 (-1070)))) 
-(-1405 (-12 (|has| |#1| (-206)) (|has| |#1| (-331))) (|has| |#1| (-318))) 
-((((-356) (-1018)) . T)) 
+(-1328 (|has| |#2| (-427)) (|has| |#2| (-852))) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-852))) 
+((((-383 (-532))) . T) (((-532)) . T)) 
+((((-532)) . T)) 
+((((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) |has| |#2| (-159)) (($) -1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
+((($) . T)) 
+((((-808)) . T)) 
+(((|#1|) . T)) 
+((((-815 |#1|)) . T) (($) . T) (((-383 (-532))) . T)) 
+((((-808)) . T)) 
+(((|#3| |#3|) -1328 (|has| |#3| (-159)) (|has| |#3| (-339)) (|has| |#3| (-983))) (($ $) |has| |#3| (-159))) 
+(|has| |#1| (-958)) 
+((((-808)) . T)) 
+(((|#3|) -1328 (|has| |#3| (-159)) (|has| |#3| (-339)) (|has| |#3| (-983))) (($) |has| |#3| (-159))) 
+((((-532) (-110)) . T)) 
+(((|#1|) |has| |#1| (-282 |#1|))) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+((((-1096) $) |has| |#1| (-493 (-1096) $)) (($ $) |has| |#1| (-282 $)) ((|#1| |#1|) |has| |#1| (-282 |#1|)) (((-1096) |#1|) |has| |#1| (-493 (-1096) |#1|))) 
+(|has| |#2| (-524)) 
+((((-1096)) |has| |#1| (-843 (-1096)))) 
+(-1328 (-12 (|has| |#1| (-210)) (|has| |#1| (-339))) (|has| |#1| (-325))) 
+((((-364) (-1043)) . T)) 
 (((|#1| |#4|) . T)) 
 (((|#1| |#3|) . T)) 
-((((-356) |#1|) . T)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-318))) 
-(|has| |#1| (-1001)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-826 |#1|)) . T)) 
-((((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) |has| |#2| (-156)) (($) -1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) |has| |#1| (-156)) (($) -1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830)))) 
+((((-364) |#1|) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-325))) 
+(|has| |#1| (-1025)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-853 |#1|)) . T)) 
+((((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) |has| |#2| (-159)) (($) -1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) |has| |#1| (-159)) (($) -1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852)))) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
 (((|#1| |#1|) . T)) 
-((((-791 |#1|)) |has| (-791 |#1|) (-278 (-791 |#1|)))) 
+((((-815 |#1|)) |has| (-815 |#1|) (-282 (-815 |#1|)))) 
+(|has| |#1| (-1116)) 
 (((|#1| |#2|) . T)) 
-(-1405 (|has| |#2| (-723)) (|has| |#2| (-775))) 
-(-1405 (|has| |#2| (-723)) (|has| |#2| (-775))) 
-(-12 (|has| |#1| (-723)) (|has| |#2| (-723))) 
+(-1328 (|has| |#2| (-746)) (|has| |#2| (-798))) 
+(-1328 (|has| |#2| (-746)) (|has| |#2| (-798))) 
+(-12 (|has| |#1| (-746)) (|has| |#2| (-746))) 
 (((|#1|) . T)) 
-(-12 (|has| |#1| (-723)) (|has| |#2| (-723))) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
+(-12 (|has| |#1| (-746)) (|has| |#2| (-746))) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
 (((|#2|) . T) (($) . T)) 
-(((|#2|) . T) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(|has| |#1| (-1090)) 
-((((-501) (-501)) . T) (((-375 (-501)) (-375 (-501))) . T) (($ $) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-(((|#4|) |has| |#4| (-959))) 
-(((|#3|) |has| |#3| (-959))) 
-(((|#1| |#1|) . T) (($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-(|has| |#1| (-331)) 
-((((-501)) . T) (((-375 (-501))) . T) (($) . T)) 
-((($ $) . T) (((-375 (-501)) (-375 (-501))) -1405 (|has| |#1| (-331)) (|has| |#1| (-318))) ((|#1| |#1|) . T)) 
-(((|#1|) . T) (($) . T) (((-375 (-501))) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(((|#1|) . T) (($) . T) (((-375 (-501))) . T)) 
-(((|#1|) . T) (($) . T) (((-375 (-501))) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-501) |#3|) . T)) 
-((((-786)) . T)) 
-((((-490)) |has| |#3| (-556 (-490)))) 
-((((-621 |#3|)) . T) (((-786)) . T)) 
+(((|#2|) . T) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(|has| |#1| (-1116)) 
+((((-532) (-532)) . T) (((-383 (-532)) (-383 (-532))) . T) (($ $) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+(((|#4|) |has| |#4| (-983))) 
+(((|#3|) |has| |#3| (-983))) 
+(((|#1| |#1|) . T) (($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+(|has| |#1| (-339)) 
+((((-532)) . T) (((-383 (-532))) . T) (($) . T)) 
+((($ $) . T) (((-383 (-532)) (-383 (-532))) -1328 (|has| |#1| (-339)) (|has| |#1| (-325))) ((|#1| |#1|) . T)) 
+((((-808)) |has| |#1| (-1025))) 
+(((|#1|) . T) (($) . T) (((-383 (-532))) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(((|#1|) . T) (($) . T) (((-383 (-532))) . T)) 
+(((|#1|) . T) (($) . T) (((-383 (-532))) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-532) |#3|) . T)) 
+((((-808)) . T)) 
+((((-508)) |has| |#3| (-573 (-508)))) 
+((((-639 |#3|)) . T) (((-808)) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-775)) 
-(|has| |#1| (-775)) 
-((($) . T) (((-375 (-501))) -1405 (|has| |#1| (-331)) (|has| |#1| (-318))) ((|#1|) . T)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-508))) 
-((((-2 (|:| -3626 (-1070)) (|:| -2922 (-50))) (-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) |has| (-2 (|:| -3626 (-1070)) (|:| -2922 (-50))) (-278 (-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))))) 
-((($) . T)) 
-(|has| |#2| (-777)) 
-((($) . T)) 
-(((|#2|) |has| |#2| (-1001))) 
-((((-786)) -1405 (|has| |#2| (-25)) (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-336)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959)) (|has| |#2| (-1001))) (((-1148 |#2|)) . T)) 
-(|has| |#1| (-777)) 
-(|has| |#1| (-777)) 
-((((-1053) (-50)) . T)) 
-(|has| |#1| (-777)) 
-((((-786)) . T)) 
-((((-501)) |has| (-375 |#2|) (-577 (-501))) (((-375 |#2|)) . T)) 
-((((-501) (-131)) . T)) 
-((((-501) (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T) ((|#1| |#2|) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-(((|#1|) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-786)) . T)) 
-((((-826 |#1|)) . T)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-15 * (|#1| (-375 (-501)) |#1|))) 
-(|has| |#1| (-775)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-775)) 
+(|has| |#1| (-798)) 
+(|has| |#1| (-798)) 
+((($) . T) (((-383 (-532))) -1328 (|has| |#1| (-339)) (|has| |#1| (-325))) ((|#1|) . T)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-524))) 
+((((-2 (|:| -3220 (-1096)) (|:| -2330 (-51))) (-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) |has| (-2 (|:| -3220 (-1096)) (|:| -2330 (-51))) (-282 (-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))))) 
+((($) . T)) 
+((((-383 $) (-383 $)) |has| |#2| (-524)) (($ $) . T) ((|#2| |#2|) . T)) 
+(|has| |#2| (-800)) 
+((($) . T)) 
+(((|#2|) |has| |#2| (-1025))) 
+((((-808)) -1328 (|has| |#2| (-25)) (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-344)) (|has| |#2| (-676)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983)) (|has| |#2| (-1025))) (((-1178 |#2|)) . T)) 
+(|has| |#1| (-800)) 
+(|has| |#1| (-800)) 
+((((-1078) (-51)) . T)) 
+(|has| |#1| (-800)) 
+((((-808)) . T)) 
+((((-532)) |has| (-383 |#2|) (-594 (-532))) (((-383 |#2|)) . T)) 
+((((-532) (-134)) . T)) 
+((((-532) (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T) ((|#1| |#2|) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+(((|#1|) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-808)) . T)) 
+((((-853 |#1|)) . T)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-15 * (|#1| (-383 (-532)) |#1|))) 
+(|has| |#1| (-798)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-798)) 
 (((|#1|) . T) (($) . T)) 
-(|has| |#1| (-775)) 
-((((-1070)) |has| |#1| (-820 (-1070)))) 
-(((|#1| (-1070)) . T)) 
+(|has| |#1| (-798)) 
+((((-1096)) |has| |#1| (-843 (-1096)))) 
+(((|#1| (-1096)) . T)) 
+(((|#1| (-1178 |#1|) (-1178 |#1|)) . T)) 
 (((|#1| |#2|) . T)) 
 ((($ $) . T)) 
-(|has| |#1| (-1001)) 
-(((|#1| (-1070) (-748 (-1070)) (-487 (-748 (-1070)))) . T)) 
-((((-375 (-866 |#1|))) . T)) 
-((((-490)) . T)) 
-((((-786)) . T)) 
+(|has| |#1| (-1025)) 
+(((|#1| (-1096) (-771 (-1096)) (-504 (-771 (-1096)))) . T)) 
+((((-383 (-895 |#1|))) . T)) 
+((((-508)) . T)) 
+((((-808)) . T)) 
 ((($) . T)) 
 (((|#2|) . T) (($) . T)) 
-(((|#1|) |has| |#1| (-156))) 
-((((-501) (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T) ((|#1| |#2|) . T)) 
+(((|#1|) |has| |#1| (-159))) 
+((((-532) (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T) ((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-((($) |has| |#1| (-508)) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
+((($) |has| |#1| (-524)) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
 (((|#3|) . T)) 
-(((|#1|) |has| |#1| (-156))) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) |has| |#1| (-156)) (($) -1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830)))) 
-((($) -1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-490)) |has| |#1| (-556 (-490))) (((-810 (-346))) |has| |#1| (-556 (-810 (-346)))) (((-810 (-501))) |has| |#1| (-556 (-810 (-501))))) 
-((((-786)) . T)) 
-(((|#2|) . T) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(|has| |#2| (-775)) 
-(-12 (|has| |#2| (-206)) (|has| |#2| (-959))) 
-(|has| |#1| (-508)) 
-(|has| |#1| (-1046)) 
-((((-1053) |#1|) . T)) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-((((-375 (-501)) (-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) ((|#1| |#1|) . T)) 
-((((-375 (-501))) |has| |#1| (-950 (-501))) (((-501)) |has| |#1| (-950 (-501))) (((-1070)) |has| |#1| (-950 (-1070))) ((|#1|) . T)) 
-((((-501) |#2|) . T)) 
-((((-375 (-501))) |has| |#1| (-950 (-375 (-501)))) (((-501)) |has| |#1| (-950 (-501))) ((|#1|) . T)) 
-((((-501)) |has| |#1| (-806 (-501))) (((-346)) |has| |#1| (-806 (-346)))) 
-((((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) ((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-578 |#4|)) . T) (((-786)) . T)) 
-((((-490)) |has| |#4| (-556 (-490)))) 
-((((-490)) |has| |#4| (-556 (-490)))) 
-((((-786)) . T) (((-578 |#4|)) . T)) 
-((($) |has| |#1| (-775))) 
-(((|#1|) . T)) 
-((((-578 |#4|)) . T) (((-786)) . T)) 
-((((-490)) |has| |#4| (-556 (-490)))) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-((((-1070)) |has| (-375 |#2|) (-820 (-1070)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001))) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))))) 
-((($) . T)) 
-((($) . T)) 
-(((|#2|) . T)) 
-((((-786)) -1405 (|has| |#3| (-25)) (|has| |#3| (-123)) (|has| |#3| (-156)) (|has| |#3| (-331)) (|has| |#3| (-336)) (|has| |#3| (-723)) (|has| |#3| (-775)) (|has| |#3| (-959)) (|has| |#3| (-1001))) (((-1148 |#3|)) . T)) 
-((((-501) |#2|) . T)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(((|#2| |#2|) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-959))) (($ $) |has| |#2| (-156))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T) ((|#2|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-1053) (-1070) (-501) (-199) (-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-786)) . T)) 
-((((-501) (-107)) . T)) 
-(((|#1|) . T)) 
-((((-786)) . T)) 
-((((-107)) . T)) 
-((((-107)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-107)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-786)) . T)) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((((-786)) |has| |#1| (-1001))) 
-(((|#2|) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-959))) (($) |has| |#2| (-156))) 
-(|has| $ (-134)) 
-((((-375 |#2|)) . T)) 
-((((-375 (-501))) |has| (-375 |#2|) (-950 (-375 (-501)))) (((-501)) |has| (-375 |#2|) (-950 (-501))) (((-375 |#2|)) . T)) 
+(((|#1|) |has| |#1| (-159))) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) |has| |#1| (-159)) (($) -1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852)))) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-508)) |has| |#1| (-573 (-508))) (((-835 (-355))) |has| |#1| (-573 (-835 (-355)))) (((-835 (-532))) |has| |#1| (-573 (-835 (-532))))) 
+((((-808)) . T)) 
+(((|#2|) . T) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(|has| |#2| (-798)) 
+(-12 (|has| |#2| (-210)) (|has| |#2| (-983))) 
+(|has| |#1| (-524)) 
+(|has| |#1| (-1071)) 
+((((-1078) |#1|) . T)) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+((((-383 (-532)) (-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) ((|#1| |#1|) . T)) 
+((((-383 (-532))) |has| |#1| (-974 (-532))) (((-532)) |has| |#1| (-974 (-532))) (((-1096)) |has| |#1| (-974 (-1096))) ((|#1|) . T)) 
+((((-532) |#2|) . T)) 
+((((-383 (-532))) |has| |#1| (-974 (-383 (-532)))) (((-532)) |has| |#1| (-974 (-532))) ((|#1|) . T)) 
+((((-532)) |has| |#1| (-829 (-532))) (((-355)) |has| |#1| (-829 (-355)))) 
+((((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) ((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-598 |#4|)) . T) (((-808)) . T)) 
+((((-508)) |has| |#4| (-573 (-508)))) 
+((((-508)) |has| |#4| (-573 (-508)))) 
+((((-808)) . T) (((-598 |#4|)) . T)) 
+((($) |has| |#1| (-798))) 
+(((|#1|) . T)) 
+((((-598 |#4|)) . T) (((-808)) . T)) 
+((((-508)) |has| |#4| (-573 (-508)))) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+((((-1096)) |has| (-383 |#2|) (-843 (-1096)))) 
+(((|#2| |#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025))) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))))) 
+((($) . T)) 
+((($) . T)) 
+(((|#2|) . T)) 
+((((-808)) -1328 (|has| |#3| (-25)) (|has| |#3| (-126)) (|has| |#3| (-159)) (|has| |#3| (-339)) (|has| |#3| (-344)) (|has| |#3| (-676)) (|has| |#3| (-746)) (|has| |#3| (-798)) (|has| |#3| (-983)) (|has| |#3| (-1025))) (((-1178 |#3|)) . T)) 
+((((-532) |#2|) . T)) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(((|#2| |#2|) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-983))) (($ $) |has| |#2| (-159))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T) ((|#2|) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-1078) (-1096) (-532) (-202) (-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-808)) . T)) 
+((((-532) (-110)) . T)) 
+(((|#1|) . T)) 
+((((-808)) . T)) 
+((((-110)) . T)) 
+((((-110)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-110)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-808)) . T)) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((((-808)) |has| |#1| (-1025))) 
+(((|#2|) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-983))) (($) |has| |#2| (-159))) 
+(|has| $ (-137)) 
+((((-383 |#2|)) . T)) 
+((((-383 (-532))) |has| (-383 |#2|) (-974 (-383 (-532)))) (((-532)) |has| (-383 |#2|) (-974 (-532))) (((-383 |#2|)) . T)) 
 (((|#2| |#2|) . T)) 
-(((|#4|) |has| |#4| (-156))) 
-(|has| |#2| (-132)) 
-(|has| |#2| (-134)) 
-(((|#3|) |has| |#3| (-156))) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-132)) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-336))) 
-(|has| |#1| (-134)) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-336))) 
-(|has| |#1| (-134)) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-336))) 
-(|has| |#1| (-134)) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-(|has| |#2| (-206)) 
-((((-1070) (-50)) . T)) 
-((((-786)) . T)) 
+(((|#4|) |has| |#4| (-159))) 
+(|has| |#2| (-135)) 
+(|has| |#2| (-137)) 
+(((|#3|) |has| |#3| (-159))) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-135)) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-344))) 
+(|has| |#1| (-137)) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-344))) 
+(|has| |#1| (-137)) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-344))) 
+(|has| |#1| (-137)) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+(|has| |#2| (-210)) 
+((((-1096) (-51)) . T)) 
+((((-808)) . T)) 
+(-1328 (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
 (((|#1| |#1|) . T)) 
-((((-1070)) |has| |#2| (-820 (-1070)))) 
-((((-501) (-107)) . T)) 
-(|has| |#1| (-508)) 
+((((-1096)) |has| |#2| (-843 (-1096)))) 
+((((-532) (-110)) . T)) 
+(|has| |#1| (-524)) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#1| |#1|) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
+(((|#1|) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
 (((|#3|) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(((|#1|) . T)) 
-((((-786)) . T)) 
-((((-490)) . T) (((-810 (-501))) . T) (((-346)) . T) (((-199)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-910 |#1|)) . T) ((|#1|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-375 (-501))) . T) (((-375 |#1|)) . T) ((|#1|) . T) (($) . T)) 
-(((|#1| (-1064 |#1|)) . T)) 
-((((-501)) . T) (($) . T) (((-375 (-501))) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(((|#1|) . T)) 
+((((-808)) . T)) 
+((((-508)) . T) (((-835 (-532))) . T) (((-355)) . T) (((-202)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-936 |#1|)) . T) ((|#1|) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-383 (-532))) . T) (((-383 |#1|)) . T) ((|#1|) . T) (($) . T)) 
+(((|#1| (-1092 |#1|)) . T)) 
+((((-532)) . T) (($) . T) (((-383 (-532))) . T)) 
 (((|#3|) . T) (($) . T)) 
-(|has| |#1| (-777)) 
+(|has| |#1| (-800)) 
 (((|#2|) . T)) 
-((((-501)) . T) (($) . T) (((-375 (-501))) . T)) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) . T)) 
-((((-501) |#2|) . T)) 
-((((-786)) |has| |#1| (-1001))) 
+((((-532)) . T) (($) . T) (((-383 (-532))) . T)) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) . T)) 
+((((-532) |#2|) . T)) 
+((((-808)) |has| |#1| (-1025))) 
 (((|#2|) . T)) 
-((((-501) |#3|) . T)) 
+((((-532) |#3|) . T)) 
 (((|#2|) . T)) 
-((((-1139 |#1| |#2| |#3|)) |has| |#1| (-331))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-786)) . T)) 
-(|has| |#1| (-1001)) 
-(((|#4|) -12 (|has| |#4| (-278 |#4|)) (|has| |#4| (-1001)))) 
-(((|#3|) -12 (|has| |#3| (-278 |#3|)) (|has| |#3| (-1001)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-1170 |#1| |#2| |#3|)) |has| |#1| (-339))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-808)) . T)) 
+(|has| |#1| (-1025)) 
+(((|#4|) -12 (|has| |#4| (-282 |#4|)) (|has| |#4| (-1025)))) 
+(((|#3|) -12 (|has| |#3| (-282 |#3|)) (|has| |#3| (-1025)))) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001))) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))))) 
+(((|#2| |#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025))) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))))) 
 (((|#2| |#2|) . T)) 
-(|has| |#2| (-331)) 
-(((|#2|) . T) (((-501)) |has| |#2| (-950 (-501))) (((-375 (-501))) |has| |#2| (-950 (-375 (-501))))) 
 (((|#2|) . T)) 
-((((-1053) (-50)) . T)) 
-(((|#2|) |has| |#2| (-156))) 
-((((-501) |#3|) . T)) 
-((((-501) (-131)) . T)) 
-((((-131)) . T)) 
-((((-786)) . T)) 
-((((-107)) . T)) 
-(|has| |#1| (-134)) 
+(|has| |#2| (-339)) 
+(((|#2|) . T) (((-532)) |has| |#2| (-974 (-532))) (((-383 (-532))) |has| |#2| (-974 (-383 (-532))))) 
+(((|#2|) . T)) 
+((((-1011) |#2|) . T) (((-1011) $) . T) (($ $) . T)) 
+((((-1078) (-51)) . T)) 
+(((|#2|) |has| |#2| (-159))) 
+((((-532) |#3|) . T)) 
+((((-532) (-134)) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+((((-134)) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-852)) 
+((((-110)) . T)) 
+(|has| |#1| (-137)) 
 (((|#1|) . T)) 
-(|has| |#1| (-132)) 
+(|has| |#1| (-135)) 
 ((($) . T)) 
-(|has| |#1| (-508)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
+(|has| |#1| (-524)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
 ((($) . T)) 
 (((|#1|) . T)) 
-(((|#2|) . T) (((-501)) |has| |#2| (-577 (-501)))) 
-((((-786)) . T)) 
-((((-501)) |has| |#1| (-577 (-501))) ((|#1|) . T)) 
-((((-501)) |has| |#1| (-577 (-501))) ((|#1|) . T)) 
-((((-501)) |has| |#1| (-577 (-501))) ((|#1|) . T)) 
-((((-1053) (-50)) . T)) 
+(((|#2|) . T) (((-532)) |has| |#2| (-594 (-532)))) 
+((((-808)) . T)) 
+((((-532)) |has| |#1| (-594 (-532))) ((|#1|) . T)) 
+((((-532)) |has| |#1| (-594 (-532))) ((|#1|) . T)) 
+((((-532)) |has| |#1| (-594 (-532))) ((|#1|) . T)) 
+((((-1078) (-51)) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
 (((|#1| |#2|) . T)) 
-((((-501) (-131)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)))) ((|#2| |#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001)))) 
-((($) -1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(|has| |#1| (-777)) 
-(((|#2| (-701) (-986)) . T)) 
+((((-532) (-134)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)))) ((|#2| |#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025)))) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+((($) -1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(|has| |#1| (-800)) 
+(((|#2| (-723) (-1011)) . T)) 
 (((|#1| |#2|) . T)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-508))) 
-(|has| |#1| (-721)) 
-(((|#1|) |has| |#1| (-156))) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-524))) 
+(|has| |#1| (-744)) 
+(((|#1|) |has| |#1| (-159))) 
 (((|#4|) . T)) 
 (((|#4|) . T)) 
 (((|#1| |#2|) . T)) 
-(-1405 (|has| |#1| (-134)) (-12 (|has| |#1| (-331)) (|has| |#2| (-134)))) 
-(-1405 (|has| |#1| (-132)) (-12 (|has| |#1| (-331)) (|has| |#2| (-132)))) 
+(-1328 (|has| |#1| (-137)) (-12 (|has| |#1| (-339)) (|has| |#2| (-137)))) 
+(-1328 (|has| |#1| (-135)) (-12 (|has| |#1| (-339)) (|has| |#2| (-135)))) 
 (((|#4|) . T)) 
-(|has| |#1| (-132)) 
-((((-1053) |#1|) . T)) 
-(|has| |#1| (-134)) 
+(|has| |#1| (-135)) 
+((((-1078) |#1|) . T)) 
+(|has| |#1| (-137)) 
 (((|#1|) . T)) 
-((((-501)) . T)) 
-((((-786)) . T)) 
+((((-532)) . T)) 
+((((-808)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-786)) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
+((((-808)) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
 (((|#3|) . T)) 
-((((-1139 |#1| |#2| |#3|)) |has| |#1| (-331))) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(((|#1|) . T)) 
-((((-786)) |has| |#1| (-1001))) 
-((((-786)) |has| |#1| (-1001)) (((-877 |#1|)) . T)) 
-(|has| |#1| (-775)) 
-(|has| |#1| (-775)) 
-(|has| |#2| (-331)) 
-(((|#1|) |has| |#1| (-156))) 
-(((|#2|) |has| |#2| (-959))) 
-((((-1053) |#1|) . T)) 
-(((|#3| |#3|) -12 (|has| |#3| (-278 |#3|)) (|has| |#3| (-1001)))) 
-(((|#2| (-813 |#1|)) . T)) 
-((($) . T)) 
-((((-356) (-1053)) . T)) 
-((($) |has| |#1| (-508)) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((((-786)) -1405 (|has| |#2| (-25)) (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-336)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959)) (|has| |#2| (-1001))) (((-1148 |#2|)) . T)) 
-((((-50)) . T) (((-2 (|:| -3626 (-1053)) (|:| -2922 (-50)))) . T)) 
-(((|#1|) . T)) 
-((((-786)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001)))) 
-((((-131)) . T)) 
-(|has| |#2| (-132)) 
-(|has| |#2| (-134)) 
-(|has| |#1| (-440)) 
-(-1405 (|has| |#1| (-440)) (|has| |#1| (-657)) (|has| |#1| (-820 (-1070))) (|has| |#1| (-959))) 
-(|has| |#1| (-331)) 
-((((-786)) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) |has| |#1| (-156)) (($) |has| |#1| (-508))) 
-((($) |has| |#1| (-508))) 
-(|has| |#1| (-775)) 
-(|has| |#1| (-775)) 
-((((-786)) . T)) 
-((((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508))) (((-1139 |#1| |#2| |#3|)) |has| |#1| (-331)) ((|#1|) |has| |#1| (-156))) 
-(((|#1|) |has| |#1| (-156)) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508)))) 
-((($) |has| |#1| (-508)) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
+((((-1170 |#1| |#2| |#3|)) |has| |#1| (-339))) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(((|#1|) . T)) 
+((((-808)) |has| |#1| (-1025))) 
+((((-808)) |has| |#1| (-1025)) (((-900 |#1|)) . T)) 
+(|has| |#1| (-798)) 
+(|has| |#1| (-798)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(|has| |#2| (-339)) 
+(((|#1|) |has| |#1| (-159))) 
+(((|#2|) |has| |#2| (-983))) 
+((((-1078) |#1|) . T)) 
+(((|#3| |#3|) -12 (|has| |#3| (-282 |#3|)) (|has| |#3| (-1025)))) 
+(((|#2| (-836 |#1|)) . T)) 
+((($) . T)) 
+((($) -1328 (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) ((|#2|) |has| |#2| (-159)) (((-383 (-532))) |has| |#2| (-37 (-383 (-532))))) 
+((((-364) (-1078)) . T)) 
+((($) |has| |#1| (-524)) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-808)) -1328 (|has| |#2| (-25)) (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-344)) (|has| |#2| (-676)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983)) (|has| |#2| (-1025))) (((-1178 |#2|)) . T)) 
+((((-51)) . T) (((-2 (|:| -3220 (-1078)) (|:| -2330 (-51)))) . T)) 
+(((|#1|) . T)) 
+((((-808)) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025)))) 
+((((-134)) . T)) 
+(|has| |#2| (-135)) 
+(|has| |#2| (-137)) 
+(|has| |#1| (-450)) 
+(-1328 (|has| |#1| (-450)) (|has| |#1| (-676)) (|has| |#1| (-843 (-1096))) (|has| |#1| (-983))) 
+(|has| |#1| (-339)) 
+((((-808)) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) |has| |#1| (-159)) (($) |has| |#1| (-524))) 
+((($) |has| |#1| (-524))) 
+(|has| |#2| (-524)) 
+(|has| |#1| (-798)) 
+(|has| |#1| (-798)) 
+((((-808)) . T)) 
+((($) |has| |#1| (-524)) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524))) (((-1170 |#1| |#2| |#3|)) |has| |#1| (-339)) ((|#1|) |has| |#1| (-159))) 
+(((|#1|) |has| |#1| (-159)) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524)))) 
+((($) |has| |#1| (-524)) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
 (((|#1| |#2|) . T)) 
-((((-1070)) |has| |#1| (-820 (-1070)))) 
-((((-826 |#1|)) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(|has| |#1| (-1001)) 
-(((|#2| (-448 (-3581 |#1|) (-701)) (-787 |#1|)) . T)) 
-((((-375 (-501))) |has| |#2| (-331)) (($) |has| |#2| (-331))) 
-(((|#1| (-487 (-1070)) (-1070)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
+((((-1096)) |has| |#1| (-843 (-1096)))) 
+((((-853 |#1|)) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-1025)) 
+(((|#2| (-465 (-3502 |#1|) (-723)) (-810 |#1|)) . T)) 
+((((-383 (-532))) |has| |#2| (-339)) (($) |has| |#2| (-339))) 
+(((|#1| (-504 (-1096)) (-1096)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
 (((|#3|) . T)) 
 (((|#3|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#2| (-156)) 
+(|has| |#2| (-159)) 
 (((|#2| |#2|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-137)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
-(((|#1|) . T) (((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) . T)) 
-((((-1068 |#1| |#2| |#3|)) |has| |#1| (-331))) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-1070) (-50)) . T)) 
+(((|#1|) . T) (((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) . T)) 
+((((-1094 |#1| |#2| |#3|)) |has| |#1| (-339))) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-1096) (-51)) . T)) 
 ((($ $) . T)) 
-(((|#1| (-501)) . T)) 
-((((-826 |#1|)) . T)) 
-(((|#1|) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-959))) (($) -1405 (|has| |#1| (-820 (-1070))) (|has| |#1| (-959)))) 
-(((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) |has| |#1| (-950 (-375 (-501))))) 
-(|has| |#1| (-777)) 
-(|has| |#1| (-777)) 
-((((-501) |#2|) . T)) 
-((((-501)) . T)) 
-((((-1139 |#1| |#2| |#3|)) -12 (|has| (-1139 |#1| |#2| |#3|) (-278 (-1139 |#1| |#2| |#3|))) (|has| |#1| (-331)))) 
-(|has| |#1| (-777)) 
-((((-621 |#2|)) . T) (((-786)) . T)) 
+(((|#1| (-532)) . T)) 
+((((-853 |#1|)) . T)) 
+(((|#1|) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-983))) (($) -1328 (|has| |#1| (-843 (-1096))) (|has| |#1| (-983)))) 
+(((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532))))) 
+(|has| |#1| (-800)) 
+(|has| |#1| (-800)) 
+((((-532) |#2|) . T)) 
+((((-532)) . T)) 
+((((-1170 |#1| |#2| |#3|)) -12 (|has| (-1170 |#1| |#2| |#3|) (-282 (-1170 |#1| |#2| |#3|))) (|has| |#1| (-339)))) 
+(|has| |#1| (-800)) 
+((((-639 |#2|)) . T) (((-808)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-375 (-866 |#1|))) . T)) 
-(((|#4| |#4|) -12 (|has| |#4| (-278 |#4|)) (|has| |#4| (-1001)))) 
-(((|#4| |#4|) -12 (|has| |#4| (-278 |#4|)) (|has| |#4| (-1001)))) 
-(((|#1|) |has| |#1| (-156))) 
-(((|#4| |#4|) -12 (|has| |#4| (-278 |#4|)) (|has| |#4| (-1001)))) 
-(((|#3|) -1405 (|has| |#3| (-156)) (|has| |#3| (-331)))) 
-(|has| |#2| (-777)) 
-(|has| |#1| (-777)) 
-(-1405 (|has| |#2| (-331)) (|has| |#2| (-419)) (|has| |#2| (-830))) 
-((($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-((((-501) |#2|) . T)) 
-(((|#2|) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)))) 
-(|has| |#1| (-318)) 
-(((|#3| |#3|) -12 (|has| |#3| (-278 |#3|)) (|has| |#3| (-1001)))) 
-((($) . T) (((-375 (-501))) . T)) 
-((((-501) (-107)) . T)) 
-(|has| |#1| (-750)) 
-(|has| |#1| (-750)) 
-(((|#1|) . T)) 
-(-1405 (|has| |#1| (-276)) (|has| |#1| (-331)) (|has| |#1| (-318))) 
-(|has| |#1| (-775)) 
-(|has| |#1| (-775)) 
-(|has| |#1| (-775)) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-501)) . T) (($) . T) (((-375 (-501))) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-318))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-1070)) |has| |#1| (-820 (-1070))) (((-986)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-775)) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 (-50))) (-2 (|:| -3626 (-1053)) (|:| -2922 (-50)))) |has| (-2 (|:| -3626 (-1053)) (|:| -2922 (-50))) (-278 (-2 (|:| -3626 (-1053)) (|:| -2922 (-50)))))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
+((((-383 (-895 |#1|))) . T)) 
+(((|#4| |#4|) -12 (|has| |#4| (-282 |#4|)) (|has| |#4| (-1025)))) 
+(((|#4| |#4|) -12 (|has| |#4| (-282 |#4|)) (|has| |#4| (-1025)))) 
+(((|#1|) |has| |#1| (-159))) 
+(((|#4| |#4|) -12 (|has| |#4| (-282 |#4|)) (|has| |#4| (-1025)))) 
+(((|#3|) -1328 (|has| |#3| (-159)) (|has| |#3| (-339)))) 
+(|has| |#2| (-800)) 
+(|has| |#1| (-800)) 
+(-1328 (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-852))) 
+((($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+((((-532) |#2|) . T)) 
+(((|#2|) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)))) 
+(|has| |#1| (-325)) 
+(((|#3| |#3|) -12 (|has| |#3| (-282 |#3|)) (|has| |#3| (-1025)))) 
+((($) . T) (((-383 (-532))) . T)) 
+((((-532) (-110)) . T)) 
+(|has| |#1| (-773)) 
+(|has| |#1| (-773)) 
+(((|#1|) . T)) 
+(-1328 (|has| |#1| (-280)) (|has| |#1| (-339)) (|has| |#1| (-325))) 
+(|has| |#1| (-798)) 
+(|has| |#1| (-798)) 
+(|has| |#1| (-798)) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-532)) . T) (($) . T) (((-383 (-532))) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-325))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-1096)) |has| |#1| (-843 (-1096))) (((-1011)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-798)) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 (-51))) (-2 (|:| -3220 (-1078)) (|:| -2330 (-51)))) |has| (-2 (|:| -3220 (-1078)) (|:| -2330 (-51))) (-282 (-2 (|:| -3220 (-1078)) (|:| -2330 (-51)))))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(|has| |#1| (-1025)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| |#2| |#3| (-212 |#2| |#3|) (-212 |#1| |#3|)) . T)) 
+(((|#1| |#2| |#3| (-217 |#2| |#3|) (-217 |#1| |#3|)) . T)) 
 (((|#1|) . T)) 
 (((|#3| |#3|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-487 |#2|) |#2|) . T)) 
-((((-786)) . T)) 
-(((|#1| (-701) (-986)) . T)) 
+(((|#1| (-504 |#2|) |#2|) . T)) 
+((((-808)) . T)) 
+(((|#1| (-723) (-1011)) . T)) 
 (((|#3|) . T)) 
 (((|#1|) . T)) 
-((((-131)) . T)) 
-(((|#2|) |has| |#2| (-156))) 
-(-1405 (|has| |#2| (-25)) (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-336)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959)) (|has| |#2| (-1001))) 
+((((-134)) . T)) 
+(((|#2|) |has| |#2| (-159))) 
+(-1328 (|has| |#2| (-25)) (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-344)) (|has| |#2| (-676)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983)) (|has| |#2| (-1025))) 
 (((|#1|) . T)) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
-(|has| |#3| (-156)) 
-(((|#4|) |has| |#4| (-331))) 
-(((|#3|) |has| |#3| (-331))) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-137)) 
+(|has| |#3| (-159)) 
+(((|#4|) |has| |#4| (-339))) 
+(((|#3|) |has| |#3| (-339))) 
 (((|#1|) . T)) 
-(((|#2|) |has| |#1| (-331))) 
+(((|#2|) |has| |#1| (-339))) 
+(((|#2|) . T)) 
+(((|#1| (-1092 |#1|)) . T)) 
+((((-1011)) . T) ((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532))))) 
+((($) . T) ((|#1|) . T) (((-383 (-532))) . T)) 
 (((|#2|) . T)) 
-(((|#1| (-1064 |#1|)) . T)) 
-((((-986)) . T) ((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) |has| |#1| (-950 (-375 (-501))))) 
-((($) . T) ((|#1|) . T) (((-375 (-501))) . T)) 
+((((-1094 |#1| |#2| |#3|)) |has| |#1| (-339))) 
+((($) |has| |#1| (-798))) 
+(|has| |#1| (-852)) 
+((((-808)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
 (((|#2|) . T)) 
-((((-1068 |#1| |#2| |#3|)) |has| |#1| (-331))) 
-((($) |has| |#1| (-775))) 
-(|has| |#1| (-830)) 
-((((-786)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001))) (((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|)) (-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) |has| (-2 (|:| -3626 (-1053)) (|:| -2922 |#1|)) (-278 (-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))))) 
-(-1405 (|has| |#2| (-419)) (|has| |#2| (-830))) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-830))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025))) (((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|)) (-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) |has| (-2 (|:| -3220 (-1078)) (|:| -2330 |#1|)) (-282 (-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))))) 
+(-1328 (|has| |#2| (-427)) (|has| |#2| (-852))) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-852))) 
 (((|#1|) . T) (($) . T)) 
-(((|#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001)))) 
+(((|#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025)))) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#3|) -1405 (|has| |#3| (-156)) (|has| |#3| (-331)))) 
-(|has| |#1| (-777)) 
-(|has| |#1| (-508)) 
-((((-528 |#1|)) . T)) 
+(((|#3|) -1328 (|has| |#3| (-159)) (|has| |#3| (-339)))) 
+(|has| |#1| (-800)) 
+(|has| |#1| (-524)) 
+((((-545 |#1|)) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
-(-1405 (-12 (|has| |#1| (-331)) (|has| |#2| (-750))) (-12 (|has| |#1| (-331)) (|has| |#2| (-777)))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-((((-826 |#1|)) . T)) 
-(((|#1| (-459 |#1| |#3|) (-459 |#1| |#2|)) . T)) 
+(-1328 (-12 (|has| |#1| (-339)) (|has| |#2| (-773))) (-12 (|has| |#1| (-339)) (|has| |#2| (-800)))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+((((-853 |#1|)) . T)) 
+(((|#1| (-476 |#1| |#3|) (-476 |#1| |#2|)) . T)) 
 (((|#1| |#4| |#5|) . T)) 
-(((|#1| (-701)) . T)) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) |has| |#1| (-156)) (($) |has| |#1| (-508))) 
-((((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508))) (((-1068 |#1| |#2| |#3|)) |has| |#1| (-331)) ((|#1|) |has| |#1| (-156))) 
-(((|#1|) |has| |#1| (-156)) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508)))) 
-((($) |has| |#1| (-508)) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((((-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) . T)) 
-((((-375 |#2|)) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-606 |#1|)) . T)) 
+(((|#1| (-723)) . T)) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) |has| |#1| (-159)) (($) |has| |#1| (-524))) 
+((((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524))) (((-1094 |#1| |#2| |#3|)) |has| |#1| (-339)) ((|#1|) |has| |#1| (-159))) 
+(((|#1|) |has| |#1| (-159)) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524)))) 
+((($) |has| |#1| (-524)) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) . T)) 
+((((-383 |#2|)) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-623 |#1|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-490)) . T)) 
-((((-786)) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-786)) . T)) 
-((((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) |has| |#2| (-156)) (($) -1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(((|#2|) . T)) 
-(-1405 (|has| |#3| (-25)) (|has| |#3| (-123)) (|has| |#3| (-156)) (|has| |#3| (-331)) (|has| |#3| (-336)) (|has| |#3| (-723)) (|has| |#3| (-775)) (|has| |#3| (-959)) (|has| |#3| (-1001))) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-((((-375 (-501))) |has| |#1| (-950 (-375 (-501)))) (((-501)) |has| |#1| (-950 (-501))) ((|#1|) . T)) 
-(|has| |#1| (-1090)) 
-(|has| |#1| (-1090)) 
-(-1405 (|has| |#2| (-25)) (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-336)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959)) (|has| |#2| (-1001))) 
-(|has| |#1| (-1090)) 
-(|has| |#1| (-1090)) 
+((((-508)) . T)) 
+((((-808)) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-808)) . T)) 
+((((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) |has| |#2| (-159)) (($) -1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(((|#2|) . T)) 
+(-1328 (|has| |#3| (-25)) (|has| |#3| (-126)) (|has| |#3| (-159)) (|has| |#3| (-339)) (|has| |#3| (-344)) (|has| |#3| (-676)) (|has| |#3| (-746)) (|has| |#3| (-798)) (|has| |#3| (-983)) (|has| |#3| (-1025))) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+((((-383 (-532))) |has| |#1| (-974 (-383 (-532)))) (((-532)) |has| |#1| (-974 (-532))) ((|#1|) . T)) 
+(|has| |#1| (-1116)) 
+(|has| |#1| (-1116)) 
+(-1328 (|has| |#2| (-25)) (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-344)) (|has| |#2| (-676)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983)) (|has| |#2| (-1025))) 
+(|has| |#1| (-1116)) 
+(|has| |#1| (-1116)) 
 (((|#3| |#3|) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-((($ $) . T) (((-375 (-501)) (-375 (-501))) . T) (((-375 |#1|) (-375 |#1|)) . T) ((|#1| |#1|) . T)) 
-((((-501)) . T) (($) . T) (((-375 (-501))) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+((($ $) . T) (((-383 (-532)) (-383 (-532))) . T) (((-383 |#1|) (-383 |#1|)) . T) ((|#1| |#1|) . T)) 
+((((-532)) . T) (($) . T) (((-383 (-532))) . T)) 
 (((|#3|) . T)) 
-((($) . T) (((-375 (-501))) . T) (((-375 |#1|)) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-1053) (-50)) . T)) 
-(|has| |#1| (-1001)) 
-(-1405 (|has| |#2| (-750)) (|has| |#2| (-777))) 
-(((|#1|) . T)) 
-((($) -1405 (|has| |#1| (-331)) (|has| |#1| (-318))) (((-375 (-501))) -1405 (|has| |#1| (-331)) (|has| |#1| (-318))) ((|#1|) . T)) 
-(((|#1|) |has| |#1| (-156)) (($) . T)) 
-((($) . T)) 
-((((-1068 |#1| |#2| |#3|)) -12 (|has| (-1068 |#1| |#2| |#3|) (-278 (-1068 |#1| |#2| |#3|))) (|has| |#1| (-331)))) 
-((((-786)) . T)) 
-(-1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-((($) . T)) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-786)) . T)) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-830))) 
-(|has| |#2| (-830)) 
-(|has| |#1| (-331)) 
-(((|#2|) |has| |#2| (-1001))) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
+((($) . T) (((-383 (-532))) . T) (((-383 |#1|)) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-1078) (-51)) . T)) 
+(|has| |#1| (-1025)) 
+(-1328 (|has| |#2| (-773)) (|has| |#2| (-800))) 
+(((|#1|) . T)) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-325))) (((-383 (-532))) -1328 (|has| |#1| (-339)) (|has| |#1| (-325))) ((|#1|) . T)) 
+(((|#1|) |has| |#1| (-159)) (($) . T)) 
+((($) . T)) 
+((((-1094 |#1| |#2| |#3|)) -12 (|has| (-1094 |#1| |#2| |#3|) (-282 (-1094 |#1| |#2| |#3|))) (|has| |#1| (-339)))) 
+((((-808)) . T)) 
+(-1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+((($) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+((((-808)) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-852))) 
+(|has| |#2| (-852)) 
+(|has| |#1| (-339)) 
+(((|#2|) |has| |#2| (-1025))) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
 ((($) . T) ((|#2|) . T)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-830))) 
-(|has| |#1| (-830)) 
-(|has| |#1| (-830)) 
-((((-490)) . T) (((-375 (-1064 (-501)))) . T) (((-199)) . T) (((-346)) . T)) 
-((((-346)) . T) (((-199)) . T) (((-786)) . T)) 
-(|has| |#1| (-830)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-(((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001)))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-852))) 
+((((-508)) . T) (((-383 (-1092 (-532)))) . T) (((-202)) . T) (((-355)) . T)) 
+((((-355)) . T) (((-202)) . T) (((-808)) . T)) 
+(|has| |#1| (-852)) 
+(|has| |#1| (-852)) 
+(|has| |#1| (-852)) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+(((|#1|) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025)))) 
+(|has| |#1| (-339)) 
 ((($ $) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
 ((($ $) . T)) 
-((((-501) (-107)) . T)) 
+((((-532) (-110)) . T)) 
 ((($) . T)) 
+(|has| |#2| (-524)) 
 (((|#1|) . T)) 
-((((-501)) . T)) 
-((((-107)) . T)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(((|#1| (-501)) . T)) 
+((((-110)) . T)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) 
+((((-532)) . T)) 
+(((|#1| (-532)) . T)) 
 ((($) . T)) 
-(((|#2|) . T) (((-501)) |has| |#2| (-577 (-501)))) 
-((((-501)) |has| |#1| (-577 (-501))) ((|#1|) . T)) 
+(((|#2|) . T) (((-532)) |has| |#2| (-594 (-532)))) 
+((((-532)) |has| |#1| (-594 (-532))) ((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-501)) . T)) 
+((((-532)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1070)) |has| |#1| (-959))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(((|#1|) . T)) 
-((((-786)) . T)) 
-(((|#1| (-501)) . T)) 
-(((|#1| (-1139 |#1| |#2| |#3|)) . T)) 
-(((|#1|) . T)) 
-(((|#1| (-375 (-501))) . T)) 
-(((|#1| (-1109 |#1| |#2| |#3|)) . T)) 
-(((|#1| (-701)) . T)) 
-(((|#1|) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-786)) . T)) 
-(|has| |#1| (-1001)) 
-((((-1053) |#1|) . T)) 
-((($) . T)) 
-(|has| |#2| (-134)) 
-(|has| |#2| (-132)) 
-(((|#1| (-487 (-748 (-1070))) (-748 (-1070))) . T)) 
-((((-1136 |#1| |#2| |#3| |#4|)) . T)) 
-((((-1136 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) |has| |#1| (-959))) 
-((((-501) (-107)) . T)) 
-((((-786)) |has| |#1| (-1001))) 
-(|has| |#2| (-156)) 
-((((-501)) . T)) 
-(|has| |#2| (-775)) 
-(((|#1|) . T)) 
-((((-501)) . T)) 
-((((-786)) . T)) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-318))) 
-((((-786)) . T)) 
-(|has| |#1| (-134)) 
+((((-1096)) |has| |#1| (-983))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-808)) . T)) 
+(((|#1| (-723)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1| (-532)) . T)) 
+(((|#1| (-1170 |#1| |#2| |#3|)) . T)) 
+(((|#1|) . T)) 
+(((|#1| (-383 (-532))) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-808)) . T)) 
+(((|#1| (-1142 |#1| |#2| |#3|)) . T)) 
+(|has| |#1| (-1025)) 
+(((|#1| (-723)) . T)) 
+(((|#1|) . T)) 
+((((-1078) |#1|) . T)) 
+((($) . T)) 
+(|has| |#2| (-137)) 
+(|has| |#2| (-135)) 
+(((|#1| (-504 (-771 (-1096))) (-771 (-1096))) . T)) 
+((((-1164 |#1| |#2| |#3| |#4|)) . T)) 
+((((-1164 |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) |has| |#1| (-983))) 
+((((-532) (-110)) . T)) 
+((((-808)) |has| |#1| (-1025))) 
+(|has| |#2| (-159)) 
+((((-532)) . T)) 
+(|has| |#2| (-798)) 
+(((|#1|) . T)) 
+((((-532)) . T)) 
+((((-808)) . T)) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-325))) 
+((((-808)) . T)) 
+(|has| |#1| (-137)) 
 (((|#3|) . T)) 
-(-1405 (|has| |#3| (-156)) (|has| |#3| (-775)) (|has| |#3| (-959))) 
-((((-786)) . T)) 
-((((-1130 |#2| |#3| |#4|)) . T) (((-1136 |#1| |#2| |#3| |#4|)) . T)) 
-((((-786)) . T)) 
-((((-47)) -12 (|has| |#1| (-508)) (|has| |#1| (-950 (-501)))) (((-553 $)) . T) ((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) -1405 (-12 (|has| |#1| (-508)) (|has| |#1| (-950 (-501)))) (|has| |#1| (-950 (-375 (-501))))) (((-375 (-866 |#1|))) |has| |#1| (-508)) (((-866 |#1|)) |has| |#1| (-959)) (((-1070)) . T)) 
+(-1328 (|has| |#3| (-159)) (|has| |#3| (-798)) (|has| |#3| (-983))) 
+((((-808)) . T)) 
+((((-1163 |#2| |#3| |#4|)) . T) (((-1164 |#1| |#2| |#3| |#4|)) . T)) 
+((((-808)) . T)) 
+((((-47)) -12 (|has| |#1| (-524)) (|has| |#1| (-974 (-532)))) (((-571 $)) . T) ((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) -1328 (-12 (|has| |#1| (-524)) (|has| |#1| (-974 (-532)))) (|has| |#1| (-974 (-383 (-532))))) (((-383 (-895 |#1|))) |has| |#1| (-524)) (((-895 |#1|)) |has| |#1| (-983)) (((-1096)) . T)) 
 (((|#1|) . T) (($) . T)) 
-(((|#1| (-701)) . T)) 
-((($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) ((|#1|) |has| |#1| (-156))) 
-(((|#1|) |has| |#1| (-278 |#1|))) 
-((((-1136 |#1| |#2| |#3| |#4|)) . T)) 
-((((-501)) |has| |#1| (-806 (-501))) (((-346)) |has| |#1| (-806 (-346)))) 
-(((|#1|) . T)) 
-(|has| |#1| (-508)) 
-(((|#1|) . T)) 
-((((-786)) . T)) 
-(((|#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001))) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))))) 
-(((|#1|) |has| |#1| (-156))) 
-((($) |has| |#1| (-508)) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001)))) 
-(((|#1|) . T)) 
-(((|#3|) |has| |#3| (-1001))) 
-(((|#2|) -1405 (|has| |#2| (-156)) (|has| |#2| (-331)))) 
-((((-1130 |#2| |#3| |#4|)) . T)) 
-((((-107)) . T)) 
-(|has| |#1| (-750)) 
-(|has| |#1| (-750)) 
-(((|#1| (-501) (-986)) . T)) 
-((($) |has| |#1| (-278 $)) ((|#1|) |has| |#1| (-278 |#1|))) 
-(|has| |#1| (-775)) 
-(|has| |#1| (-775)) 
-(((|#1| (-501) (-986)) . T)) 
-(-1405 (|has| |#1| (-820 (-1070))) (|has| |#1| (-959))) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(((|#1| (-375 (-501)) (-986)) . T)) 
-(((|#1| (-701) (-986)) . T)) 
-(|has| |#1| (-777)) 
-((((-826 |#1|) (-826 |#1|)) . T) (($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-(|has| |#2| (-132)) 
-(|has| |#2| (-134)) 
-(((|#2|) . T)) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-1001)) 
-((((-826 |#1|)) . T) (($) . T) (((-375 (-501))) . T)) 
-(|has| |#1| (-1001)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1001)) 
-((((-501)) -12 (|has| |#1| (-331)) (|has| |#2| (-577 (-501)))) ((|#2|) |has| |#1| (-331))) 
-(-1405 (|has| |#2| (-25)) (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-336)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959)) (|has| |#2| (-1001))) 
-(((|#2|) |has| |#2| (-156))) 
-(((|#1|) |has| |#1| (-156))) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) . T)) 
-((((-786)) . T)) 
-(|has| |#3| (-775)) 
-((((-786)) . T)) 
-((((-1130 |#2| |#3| |#4|) (-287 |#2| |#3| |#4|)) . T)) 
-((((-786)) . T)) 
-(((|#1| |#1|) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-959)))) 
-(((|#1|) . T)) 
-((((-501)) . T)) 
-((((-501)) . T)) 
-(((|#1|) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-959)))) 
-(((|#2|) |has| |#2| (-331))) 
-((($) . T) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-331))) 
-(|has| |#1| (-777)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(((|#2|) . T)) 
-((((-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) |has| (-2 (|:| -3626 (-1070)) (|:| -2922 (-50))) (-278 (-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))))) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-830))) 
-(((|#2|) . T) (((-501)) |has| |#2| (-577 (-501)))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-490)) . T) (((-501)) . T) (((-810 (-501))) . T) (((-346)) . T) (((-199)) . T)) 
-((((-786)) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-501)) . T) (($) . T) (((-375 (-501))) . T)) 
-((((-501)) . T) (($) . T) (((-375 (-501))) . T)) 
-(|has| |#1| (-206)) 
-(((|#1|) . T)) 
-(((|#1| (-501)) . T)) 
-(|has| |#1| (-775)) 
-(((|#1| (-1068 |#1| |#2| |#3|)) . T)) 
+(((|#1| (-723)) . T)) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) ((|#1|) |has| |#1| (-159))) 
+(((|#1|) |has| |#1| (-282 |#1|))) 
+((((-1164 |#1| |#2| |#3| |#4|)) . T)) 
+((((-532)) |has| |#1| (-829 (-532))) (((-355)) |has| |#1| (-829 (-355)))) 
+(((|#1|) . T)) 
+(|has| |#1| (-524)) 
+(((|#1|) . T)) 
+((((-808)) . T)) 
+(((|#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025))) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))))) 
+(((|#1|) |has| |#1| (-159))) 
+((($) |has| |#1| (-524)) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#2| |#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025)))) 
+(((|#1|) . T)) 
+(((|#3|) |has| |#3| (-1025))) 
+(((|#2|) -1328 (|has| |#2| (-159)) (|has| |#2| (-339)))) 
+((((-1163 |#2| |#3| |#4|)) . T)) 
+((((-110)) . T)) 
+(|has| |#1| (-773)) 
+(|has| |#1| (-773)) 
+(((|#1| (-532) (-1011)) . T)) 
+((($) |has| |#1| (-282 $)) ((|#1|) |has| |#1| (-282 |#1|))) 
+(|has| |#1| (-798)) 
+(|has| |#1| (-798)) 
+(((|#1| (-723) (-1011)) . T)) 
+(-1328 (|has| |#1| (-843 (-1096))) (|has| |#1| (-983))) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-1096)) . T)) 
+(((|#1| (-532) (-1011)) . T)) 
+(((|#1| (-383 (-532)) (-1011)) . T)) 
+(((|#1| (-723) (-1011)) . T)) 
+(|has| |#1| (-800)) 
+((((-853 |#1|) (-853 |#1|)) . T) (($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+(|has| |#2| (-135)) 
+(|has| |#2| (-137)) 
+(((|#2|) . T)) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-1025)) 
+((((-853 |#1|)) . T) (($) . T) (((-383 (-532))) . T)) 
+(|has| |#1| (-1025)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1025)) 
+((((-532)) -12 (|has| |#1| (-339)) (|has| |#2| (-594 (-532)))) ((|#2|) |has| |#1| (-339))) 
+(((|#2|) |has| |#2| (-983))) 
+(-1328 (|has| |#2| (-25)) (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-344)) (|has| |#2| (-676)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983)) (|has| |#2| (-1025))) 
+(((|#2|) |has| |#2| (-159))) 
+(((|#1|) |has| |#1| (-159))) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) . T)) 
+((((-808)) . T)) 
+(|has| |#3| (-798)) 
+((((-808)) . T)) 
+((((-1163 |#2| |#3| |#4|) (-292 |#2| |#3| |#4|)) . T)) 
+((((-808)) . T)) 
+(((|#1| |#1|) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-983)))) 
+(((|#1|) . T)) 
+((((-532)) . T)) 
+((((-532)) . T)) 
+((((-694 |#1| |#2|)) . T) (((-571 $)) . T) ((|#2|) . T) (((-532)) . T) (((-383 (-532))) -1328 (-12 (|has| |#2| (-524)) (|has| |#2| (-974 (-532)))) (|has| |#2| (-974 (-383 (-532))))) (((-383 (-895 |#2|))) |has| |#2| (-524)) (((-895 |#2|)) |has| |#2| (-983)) (((-1096)) . T)) 
+(((|#1|) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-983)))) 
+(((|#2|) |has| |#2| (-339))) 
+((((-532)) |has| |#2| (-829 (-532))) (((-355)) |has| |#2| (-829 (-355)))) 
+(((|#2|) . T)) 
+(|has| |#1| (-800)) 
+((($) . T) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-339))) 
+(((|#2|) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(((|#2|) . T)) 
+((((-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) |has| (-2 (|:| -3220 (-1096)) (|:| -2330 (-51))) (-282 (-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))))) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-852))) 
+(((|#2|) . T) (((-532)) |has| |#2| (-594 (-532)))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-508)) . T) (((-532)) . T) (((-835 (-532))) . T) (((-355)) . T) (((-202)) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-532)) . T) (($) . T) (((-383 (-532))) . T)) 
+((((-532)) . T) (($) . T) (((-383 (-532))) . T)) 
+(|has| |#1| (-210)) 
+(((|#1|) . T)) 
+(((|#1| (-532)) . T)) 
+(|has| |#1| (-798)) 
+(((|#1| (-1094 |#1| |#2| |#3|)) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-375 (-501))) . T)) 
-(((|#1| (-1061 |#1| |#2| |#3|)) . T)) 
-(((|#1| (-701)) . T)) 
+(((|#1| (-383 (-532))) . T)) 
+(((|#1| (-1086 |#1| |#2| |#3|)) . T)) 
+(((|#1| (-723)) . T)) 
 (((|#1|) . T)) 
-(((|#1| |#1| |#2| (-212 |#1| |#2|) (-212 |#1| |#2|)) . T)) 
+(((|#1| |#1| |#2| (-217 |#1| |#2|) (-217 |#1| |#2|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-132)) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-135)) 
 (((|#1| |#2|) . T)) 
-((((-131)) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(((|#1|) . T)) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-(((|#1| |#1|) . T) (((-375 (-501)) (-375 (-501))) . T) (($ $) . T)) 
-((((-786)) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-((($) . T) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((((-786)) |has| |#1| (-1001))) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-331)) 
-(|has| (-375 |#2|) (-206)) 
-(|has| |#1| (-830)) 
-(((|#2|) |has| |#2| (-959))) 
-(((|#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001))) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))))) 
-(|has| |#1| (-331)) 
-(((|#1|) |has| |#1| (-156))) 
+((((-134)) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(((|#1|) . T)) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+(((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) . T) (($ $) . T)) 
+((((-808)) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+((($) . T) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-808)) |has| |#1| (-1025))) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-339)) 
+(|has| (-383 |#2|) (-210)) 
+(|has| |#1| (-852)) 
+(((|#2|) |has| |#2| (-983))) 
+(((|#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025))) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))))) 
+(|has| |#1| (-339)) 
+(((|#1|) |has| |#1| (-159))) 
 (((|#1| |#1|) . T)) 
-((((-791 |#1|)) . T)) 
-((((-786)) . T)) 
+((((-815 |#1|)) . T)) 
+((((-808)) . T)) 
 (((|#1|) . T)) 
-(((|#2|) |has| |#2| (-1001))) 
-(|has| |#2| (-777)) 
+(((|#2|) |has| |#2| (-1025))) 
+(|has| |#2| (-800)) 
 (((|#1|) . T)) 
-((((-375 (-501))) . T) (((-501)) . T) (((-553 $)) . T)) 
+(|has| |#1| (-339)) 
+((((-383 (-532))) . T) (((-532)) . T) (((-571 $)) . T)) 
 (((|#1|) . T)) 
-((((-786)) . T)) 
+((((-808)) . T)) 
 ((($) . T)) 
-(|has| |#1| (-777)) 
-((((-786)) . T)) 
-(((|#1| (-487 |#2|) |#2|) . T)) 
-(((|#1| (-501) (-986)) . T)) 
-((((-826 |#1|)) . T)) 
-((((-786)) . T)) 
+(|has| |#1| (-800)) 
+((((-808)) . T)) 
+(((|#1| (-504 |#2|) |#2|) . T)) 
+(((|#1| (-532) (-1011)) . T)) 
+((((-853 |#1|)) . T)) 
+((((-808)) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-375 (-501)) (-986)) . T)) 
-(((|#1| (-701) (-986)) . T)) 
-((((-375 |#2|) (-375 |#2|)) . T) (((-375 (-501)) (-375 (-501))) . T) (($ $) . T)) 
-(((|#1|) . T) (((-501)) -1405 (|has| (-375 (-501)) (-950 (-501))) (|has| |#1| (-950 (-501)))) (((-375 (-501))) . T)) 
-(((|#1| (-546 |#1| |#3|) (-546 |#1| |#2|)) . T)) 
-(((|#1|) |has| |#1| (-156))) 
+(((|#1| (-383 (-532)) (-1011)) . T)) 
+(((|#1| (-723) (-1011)) . T)) 
+((((-383 |#2|) (-383 |#2|)) . T) (((-383 (-532)) (-383 (-532))) . T) (($ $) . T)) 
+(((|#1|) . T) (((-532)) -1328 (|has| (-383 (-532)) (-974 (-532))) (|has| |#1| (-974 (-532)))) (((-383 (-532))) . T)) 
+(((|#1| (-563 |#1| |#3|) (-563 |#1| |#2|)) . T)) 
+(((|#1|) |has| |#1| (-159))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-375 |#2|)) . T) (((-375 (-501))) . T) (($) . T)) 
-(|has| |#2| (-206)) 
-(((|#2| (-487 (-787 |#1|)) (-787 |#1|)) . T)) 
-((((-786)) . T)) 
-((($) |has| |#1| (-508)) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((((-786)) . T)) 
+((((-383 |#2|)) . T) (((-383 (-532))) . T) (($) . T)) 
+(|has| |#2| (-210)) 
+(((|#2| (-504 (-810 |#1|)) (-810 |#1|)) . T)) 
+((($) -1328 (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) ((|#2|) |has| |#2| (-159)) (((-383 (-532))) |has| |#2| (-37 (-383 (-532))))) 
+((((-808)) . T)) 
+((($) |has| |#1| (-524)) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-808)) . T)) 
 (((|#1| |#3|) . T)) 
-((((-786)) . T)) 
-(((|#1|) |has| |#1| (-156))) 
-((((-630)) . T)) 
-((((-630)) . T)) 
-(((|#2|) |has| |#2| (-156))) 
-(|has| |#2| (-775)) 
-((((-107)) |has| |#1| (-1001)) (((-786)) -1405 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-440)) (|has| |#1| (-657)) (|has| |#1| (-820 (-1070))) (|has| |#1| (-959)) (|has| |#1| (-1012)) (|has| |#1| (-1001)))) 
+((((-808)) . T)) 
+(|has| |#2| (-1071)) 
+(((|#1|) |has| |#1| (-159))) 
+((((-648)) . T)) 
+((((-648)) . T)) 
+(((|#2|) |has| |#2| (-159))) 
+(|has| |#2| (-798)) 
+((((-110)) |has| |#1| (-1025)) (((-808)) -1328 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-450)) (|has| |#1| (-676)) (|has| |#1| (-843 (-1096))) (|has| |#1| (-983)) (|has| |#1| (-1037)) (|has| |#1| (-1025)))) 
 (((|#1|) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 (-50)))) . T)) 
-((((-786)) . T)) 
-((((-501) |#1|) . T)) 
-((((-630)) . T) (((-375 (-501))) . T) (((-501)) . T)) 
-(((|#1| |#1|) |has| |#1| (-156))) 
-(((|#2|) . T)) 
-(((|#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001))) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))))) 
-((((-346)) . T)) 
-((((-630)) . T)) 
-((((-375 (-501))) |has| |#2| (-331)) (($) |has| |#2| (-331))) 
-(((|#1|) |has| |#1| (-156))) 
-((((-375 (-866 |#1|))) . T)) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 (-51)))) . T)) 
+((((-808)) . T)) 
+((((-532) |#1|) . T)) 
+((((-648)) . T) (((-383 (-532))) . T) (((-532)) . T)) 
+(((|#1| |#1|) |has| |#1| (-159))) 
+(((|#2|) . T)) 
+(((|#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025))) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))))) 
+((((-355)) . T)) 
+((((-648)) . T)) 
+((((-383 (-532))) |has| |#2| (-339)) (($) |has| |#2| (-339))) 
+(((|#1|) |has| |#1| (-159))) 
+((((-383 (-895 |#1|))) . T)) 
 (((|#2| |#2|) . T)) 
-(-1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(((|#2|) . T)) 
-(|has| |#2| (-777)) 
-(((|#3|) |has| |#3| (-959))) 
-(|has| |#2| (-830)) 
-(|has| |#1| (-830)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-777)) 
-((((-1070)) |has| |#2| (-820 (-1070)))) 
-((((-786)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-(|has| |#1| (-440)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-331)) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-134)) (|has| |#1| (-156)) (|has| |#1| (-440)) (|has| |#1| (-508)) (|has| |#1| (-959)) (|has| |#1| (-1012))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-111 |#1|)) . T)) 
-((((-111 |#1|)) . T)) 
-(|has| |#1| (-318)) 
-((((-131)) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((($) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(((|#2|) . T) (((-786)) . T)) 
-(((|#2|) . T) (((-786)) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-777)) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) . T)) 
+(-1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+((($) . T)) 
+(((|#2|) . T)) 
+(|has| |#2| (-800)) 
+(((|#3|) |has| |#3| (-983))) 
+(|has| |#2| (-852)) 
+(|has| |#1| (-852)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-800)) 
+((((-1096)) |has| |#2| (-843 (-1096)))) 
+((((-808)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+(|has| |#1| (-450)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-339)) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-137)) (|has| |#1| (-159)) (|has| |#1| (-450)) (|has| |#1| (-524)) (|has| |#1| (-983)) (|has| |#1| (-1037))) 
+((((-1096)) |has| |#1| (-843 (-1096))) (((-1011)) . T)) 
+((((-114 |#1|)) . T)) 
+((((-114 |#1|)) . T)) 
+(|has| |#1| (-325)) 
+((((-134)) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((($) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(((|#2|) . T) (((-808)) . T)) 
+(((|#2|) . T) (((-808)) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-800)) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-132)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)))) ((|#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001)))) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-135)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)))) ((|#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025)))) 
 (((|#2|) . T)) 
+(((|#1|) . T)) 
 (((|#3|) . T)) 
-((((-111 |#1|)) . T)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-777)) 
-(((|#2|) . T) (((-375 (-501))) |has| |#1| (-950 (-375 (-501)))) (((-501)) |has| |#1| (-950 (-501))) ((|#1|) . T)) 
-((((-111 |#1|)) . T)) 
-(((|#2|) |has| |#2| (-156))) 
-(((|#1|) . T)) 
-((((-501)) . T)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-331)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-490)) |has| |#1| (-556 (-490))) (((-810 (-501))) |has| |#1| (-556 (-810 (-501)))) (((-810 (-346))) |has| |#1| (-556 (-810 (-346)))) (((-346)) |has| |#1| (-933)) (((-199)) |has| |#1| (-933))) 
-(((|#1|) |has| |#1| (-331))) 
-((((-786)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((($ $) . T) (((-553 $) $) . T)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-((($) . T) (((-1136 |#1| |#2| |#3| |#4|)) . T) (((-375 (-501))) . T)) 
-((($) -1405 (|has| |#1| (-132)) (|has| |#1| (-134)) (|has| |#1| (-156)) (|has| |#1| (-508)) (|has| |#1| (-959))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-508))) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-331)) 
-((((-346)) . T) (((-501)) . T) (((-375 (-501))) . T)) 
-((((-578 (-710 |#1| (-787 |#2|)))) . T) (((-786)) . T)) 
-((((-490)) |has| (-710 |#1| (-787 |#2|)) (-556 (-490)))) 
-((((-346)) . T)) 
-(((|#3|) -12 (|has| |#3| (-278 |#3|)) (|has| |#3| (-1001)))) 
-((((-786)) . T)) 
-(-1405 (|has| |#2| (-419)) (|has| |#2| (-830))) 
-(((|#1|) . T)) 
-(|has| |#1| (-777)) 
-(|has| |#1| (-777)) 
-((((-786)) |has| |#1| (-1001))) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-(((|#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001)))) 
-(|has| |#1| (-1001)) 
-((((-786)) . T)) 
-((((-375 (-501))) . T) (((-501)) . T) (((-553 $)) . T)) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
-((((-501)) . T)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-((((-1130 |#2| |#3| |#4|)) . T) (((-375 (-501))) |has| (-1130 |#2| |#3| |#4|) (-37 (-375 (-501)))) (($) . T)) 
-((((-501)) . T)) 
-(-1405 (-12 (|has| (-1139 |#1| |#2| |#3|) (-134)) (|has| |#1| (-331))) (|has| |#1| (-134))) 
-(-1405 (-12 (|has| (-1139 |#1| |#2| |#3|) (-132)) (|has| |#1| (-331))) (|has| |#1| (-132))) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-206)) 
-(|has| |#1| (-331)) 
+((((-114 |#1|)) . T)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-800)) 
+(((|#2|) . T) (((-383 (-532))) |has| |#1| (-974 (-383 (-532)))) (((-532)) |has| |#1| (-974 (-532))) ((|#1|) . T)) 
+((((-114 |#1|)) . T)) 
+(((|#2|) |has| |#2| (-159))) 
+(((|#1|) . T)) 
+((((-532)) . T)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-339)) 
+((((-1011)) . T) ((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532))))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-508)) |has| |#1| (-573 (-508))) (((-835 (-532))) |has| |#1| (-573 (-835 (-532)))) (((-835 (-355))) |has| |#1| (-573 (-835 (-355)))) (((-355)) |has| |#1| (-958)) (((-202)) |has| |#1| (-958))) 
+(((|#1|) |has| |#1| (-339))) 
+((((-808)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((($ $) . T) (((-571 $) $) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+((($) . T) (((-1164 |#1| |#2| |#3| |#4|)) . T) (((-383 (-532))) . T)) 
+((($) -1328 (|has| |#1| (-135)) (|has| |#1| (-137)) (|has| |#1| (-159)) (|has| |#1| (-524)) (|has| |#1| (-983))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-524))) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-339)) 
+((((-355)) . T) (((-532)) . T) (((-383 (-532))) . T)) 
+((((-598 (-733 |#1| (-810 |#2|)))) . T) (((-808)) . T)) 
+((((-508)) |has| (-733 |#1| (-810 |#2|)) (-573 (-508)))) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-355)) . T)) 
+(((|#3|) -12 (|has| |#3| (-282 |#3|)) (|has| |#3| (-1025)))) 
+((((-808)) . T)) 
+(-1328 (|has| |#2| (-427)) (|has| |#2| (-852))) 
+(((|#1|) . T)) 
+(|has| |#1| (-800)) 
+(|has| |#1| (-800)) 
+((((-808)) |has| |#1| (-1025))) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+(((|#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025)))) 
+(|has| |#1| (-1025)) 
+((((-808)) . T)) 
+(((|#1| (-723)) . T)) 
+((((-383 (-532))) . T) (((-532)) . T) (((-571 $)) . T)) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-137)) 
+((((-532)) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+((((-1163 |#2| |#3| |#4|)) . T) (((-383 (-532))) |has| (-1163 |#2| |#3| |#4|) (-37 (-383 (-532)))) (($) . T)) 
+(|has| |#2| (-450)) 
+((((-532)) . T)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-339)) 
+(-1328 (-12 (|has| (-1170 |#1| |#2| |#3|) (-137)) (|has| |#1| (-339))) (|has| |#1| (-137))) 
+(-1328 (-12 (|has| (-1170 |#1| |#2| |#3|) (-135)) (|has| |#1| (-339))) (|has| |#1| (-135))) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-210)) 
+(|has| |#1| (-339)) 
 (((|#3|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-501)) |has| |#2| (-577 (-501))) ((|#2|) . T)) 
-(((|#2|) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-137)) 
+((((-532)) |has| |#2| (-594 (-532))) ((|#2|) . T)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-135)) 
+(((|#2|) . T)) 
+(|has| |#1| (-1025)) 
 (((|#1| |#2|) . T)) 
-(((|#1|) . T) (((-501)) |has| |#1| (-577 (-501)))) 
-(((|#3|) |has| |#3| (-156))) 
-(-1405 (|has| |#2| (-25)) (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-336)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959)) (|has| |#2| (-1001))) 
-((((-501)) . T)) 
-(((|#1| $) |has| |#1| (-256 |#1| |#1|))) 
-((((-375 (-501))) . T) (($) . T) (((-375 |#1|)) . T) ((|#1|) . T)) 
-((((-786)) . T)) 
+(((|#1|) . T) (((-532)) |has| |#1| (-594 (-532)))) 
+(((|#3|) |has| |#3| (-159))) 
+(-1328 (|has| |#2| (-25)) (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-344)) (|has| |#2| (-676)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983)) (|has| |#2| (-1025))) 
+((((-532)) . T)) 
+(((|#1| $) |has| |#1| (-260 |#1| |#1|))) 
+((((-383 (-532))) . T) (($) . T) (((-383 |#1|)) . T) ((|#1|) . T)) 
+((((-808)) . T)) 
 (((|#3|) . T)) 
-(((|#1| |#1|) . T) (($ $) -1405 (|has| |#1| (-260)) (|has| |#1| (-331))) (((-375 (-501)) (-375 (-501))) |has| |#1| (-331))) 
-((((-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) . T)) 
-((($) . T)) 
-((((-501) |#1|) . T)) 
-((((-1070)) |has| (-375 |#2|) (-820 (-1070)))) 
-(((|#1|) . T) (($) -1405 (|has| |#1| (-260)) (|has| |#1| (-331))) (((-375 (-501))) |has| |#1| (-331))) 
-((((-490)) |has| |#2| (-556 (-490)))) 
-((((-621 |#2|)) . T) (((-786)) . T)) 
-(((|#1|) . T)) 
-(((|#4|) -12 (|has| |#4| (-278 |#4|)) (|has| |#4| (-1001)))) 
-(((|#4|) -12 (|has| |#4| (-278 |#4|)) (|has| |#4| (-1001)))) 
-((((-791 |#1|)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(-1405 (|has| |#4| (-723)) (|has| |#4| (-775))) 
-(-1405 (|has| |#3| (-723)) (|has| |#3| (-775))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(((|#4|) -12 (|has| |#4| (-278 |#4|)) (|has| |#4| (-1001)))) 
-(((|#2|) |has| |#2| (-959))) 
-(((|#1|) . T)) 
-((((-375 |#2|)) . T)) 
-(((|#1|) . T)) 
-(((|#3|) -12 (|has| |#3| (-278 |#3|)) (|has| |#3| (-1001)))) 
-((((-501) |#1|) . T)) 
-(((|#1|) . T)) 
-((($) . T)) 
-((((-501)) . T) (($) . T) (((-375 (-501))) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-1108))) 
-((($) . T)) 
-((((-375 (-501))) |has| (-375 |#2|) (-950 (-375 (-501)))) (((-501)) |has| (-375 |#2|) (-950 (-501))) (((-375 |#2|)) . T)) 
-(((|#2|) . T) (((-501)) |has| |#2| (-577 (-501)))) 
-(((|#1| (-701)) . T)) 
-(|has| |#1| (-777)) 
-(((|#1|) . T) (((-501)) |has| |#1| (-577 (-501)))) 
-((($) -1405 (|has| |#1| (-331)) (|has| |#1| (-318))) (((-375 (-501))) -1405 (|has| |#1| (-331)) (|has| |#1| (-318))) ((|#1|) . T)) 
-((((-501)) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 (-50)))) |has| (-2 (|:| -3626 (-1053)) (|:| -2922 (-50))) (-278 (-2 (|:| -3626 (-1053)) (|:| -2922 (-50)))))) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(|has| |#1| (-775)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-318)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
+(((|#1| |#1|) . T) (($ $) -1328 (|has| |#1| (-264)) (|has| |#1| (-339))) (((-383 (-532)) (-383 (-532))) |has| |#1| (-339))) 
+((((-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) . T)) 
+((($) . T)) 
+((($) . T) ((|#2|) |has| |#2| (-159)) (((-383 (-532))) |has| |#2| (-524))) 
+((((-532) |#1|) . T)) 
+((((-1096)) |has| (-383 |#2|) (-843 (-1096)))) 
+(((|#1|) . T) (($) -1328 (|has| |#1| (-264)) (|has| |#1| (-339))) (((-383 (-532))) |has| |#1| (-339))) 
+((((-508)) |has| |#2| (-573 (-508)))) 
+((((-639 |#2|)) . T) (((-808)) . T)) 
+(((|#1|) . T)) 
+(((|#4|) -12 (|has| |#4| (-282 |#4|)) (|has| |#4| (-1025)))) 
+(((|#4|) -12 (|has| |#4| (-282 |#4|)) (|has| |#4| (-1025)))) 
+((((-815 |#1|)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(-1328 (|has| |#4| (-746)) (|has| |#4| (-798))) 
+(-1328 (|has| |#3| (-746)) (|has| |#3| (-798))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(((|#4|) -12 (|has| |#4| (-282 |#4|)) (|has| |#4| (-1025)))) 
+(((|#2|) |has| |#2| (-983))) 
+(((|#1|) . T)) 
+((((-383 |#2|)) . T)) 
+(((|#1|) . T)) 
+(((|#3|) -12 (|has| |#3| (-282 |#3|)) (|has| |#3| (-1025)))) 
+((((-532) |#1|) . T)) 
+(((|#1|) . T)) 
+((($) . T)) 
+((((-532)) . T) (($) . T) (((-383 (-532))) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-1134))) 
+((($) . T)) 
+((((-383 (-532))) |has| (-383 |#2|) (-974 (-383 (-532)))) (((-532)) |has| (-383 |#2|) (-974 (-532))) (((-383 |#2|)) . T)) 
+(((|#2|) . T) (((-532)) |has| |#2| (-594 (-532)))) 
+(((|#1| (-723)) . T)) 
+(|has| |#1| (-800)) 
+(((|#1|) . T) (((-532)) |has| |#1| (-594 (-532)))) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-325))) (((-383 (-532))) -1328 (|has| |#1| (-339)) (|has| |#1| (-325))) ((|#1|) . T)) 
+((((-532)) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 (-51)))) |has| (-2 (|:| -3220 (-1078)) (|:| -2330 (-51))) (-282 (-2 (|:| -3220 (-1078)) (|:| -2330 (-51)))))) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(|has| |#1| (-798)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-325)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(((|#2|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-131)) . T)) 
-((((-710 |#1| (-787 |#2|))) . T)) 
-((((-786)) |has| |#1| (-1001))) 
-(|has| |#1| (-1090)) 
-(((|#1|) . T)) 
-(-1405 (|has| |#3| (-25)) (|has| |#3| (-123)) (|has| |#3| (-156)) (|has| |#3| (-331)) (|has| |#3| (-336)) (|has| |#3| (-723)) (|has| |#3| (-775)) (|has| |#3| (-959)) (|has| |#3| (-1001))) 
-((((-1070) |#1|) |has| |#1| (-476 (-1070) |#1|))) 
-(((|#2|) . T)) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1| |#1|) . T) (((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((((-826 |#1|)) . T)) 
-((($) . T)) 
-((((-375 (-866 |#1|))) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-490)) |has| |#4| (-556 (-490)))) 
-((((-786)) . T) (((-578 |#4|)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-775)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001))) (((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) |has| (-2 (|:| -3626 (-1053)) (|:| -2922 |#1|)) (-278 (-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))))) 
-(|has| |#1| (-1001)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-777)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((($) . T) (((-375 (-501))) . T)) 
-((($) -1405 (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) ((|#1|) |has| |#1| (-156))) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
-(-1405 (-12 (|has| (-1068 |#1| |#2| |#3|) (-134)) (|has| |#1| (-331))) (|has| |#1| (-134))) 
-(-1405 (-12 (|has| (-1068 |#1| |#2| |#3|) (-132)) (|has| |#1| (-331))) (|has| |#1| (-132))) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-132)) 
-((((-786)) |has| |#1| (-1001))) 
-((((-1139 |#1| |#2| |#3|)) |has| |#1| (-331))) 
-(|has| |#1| (-775)) 
+((((-134)) . T)) 
+((((-733 |#1| (-810 |#2|))) . T)) 
+((((-808)) |has| |#1| (-1025))) 
+(|has| |#1| (-1116)) 
+(((|#1|) . T)) 
+(-1328 (|has| |#3| (-25)) (|has| |#3| (-126)) (|has| |#3| (-159)) (|has| |#3| (-339)) (|has| |#3| (-344)) (|has| |#3| (-676)) (|has| |#3| (-746)) (|has| |#3| (-798)) (|has| |#3| (-983)) (|has| |#3| (-1025))) 
+((((-1096) |#1|) |has| |#1| (-493 (-1096) |#1|))) 
+(((|#2|) . T)) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-853 |#1|)) . T)) 
+((($) . T)) 
+((((-383 (-895 |#1|))) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-508)) |has| |#4| (-573 (-508)))) 
+((((-808)) . T) (((-598 |#4|)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-798)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025))) (((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) |has| (-2 (|:| -3220 (-1078)) (|:| -2330 |#1|)) (-282 (-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))))) 
+(|has| |#1| (-1025)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-800)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((($) . T) (((-383 (-532))) . T)) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) ((|#1|) |has| |#1| (-159))) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-137)) 
+(-1328 (-12 (|has| (-1094 |#1| |#2| |#3|) (-137)) (|has| |#1| (-339))) (|has| |#1| (-137))) 
+(-1328 (-12 (|has| (-1094 |#1| |#2| |#3|) (-135)) (|has| |#1| (-339))) (|has| |#1| (-135))) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-135)) 
+((((-808)) |has| |#1| (-1025))) 
+((((-1170 |#1| |#2| |#3|)) |has| |#1| (-339))) 
+(|has| |#1| (-798)) 
 (((|#1| |#2|) . T)) 
-(((|#1|) . T) (((-501)) |has| |#1| (-577 (-501)))) 
-((((-501)) |has| |#1| (-577 (-501))) ((|#1|) . T)) 
-((((-826 |#1|)) . T) (((-375 (-501))) . T) (($) . T)) 
-(|has| |#1| (-1001)) 
-(((|#1|) . T) (($) . T) (((-375 (-501))) . T) (((-501)) . T)) 
-(|has| |#2| (-132)) 
-(|has| |#2| (-134)) 
-((((-826 |#1|)) . T) (((-375 (-501))) . T) (($) . T)) 
-(|has| |#1| (-1001)) 
-(((|#2|) |has| |#2| (-156))) 
+(((|#1|) . T) (((-532)) |has| |#1| (-594 (-532)))) 
+((((-532)) |has| |#1| (-594 (-532))) ((|#1|) . T)) 
+((((-853 |#1|)) . T) (((-383 (-532))) . T) (($) . T)) 
+(|has| |#1| (-1025)) 
+(((|#1|) . T) (($) . T) (((-383 (-532))) . T) (((-532)) . T)) 
+(|has| |#2| (-135)) 
+(|has| |#2| (-137)) 
+((((-853 |#1|)) . T) (((-383 (-532))) . T) (($) . T)) 
+(((|#2| (-723) (-1011)) . T)) 
+(|has| |#1| (-1025)) 
+(((|#2|) |has| |#2| (-159))) 
 (((|#2|) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#3|) |has| |#3| (-331))) 
-((((-375 |#2|)) . T)) 
-((((-786)) . T)) 
-(((|#1|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-1070) |#1|) |has| |#1| (-476 (-1070) |#1|)) ((|#1| |#1|) |has| |#1| (-278 |#1|))) 
-(((|#1|) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)))) 
-((((-282 |#1|)) . T)) 
-(((|#2|) |has| |#2| (-331))) 
-(((|#2|) . T)) 
-((((-375 (-501))) . T) (((-630)) . T) (($) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-710 |#1| (-787 |#2|)) (-710 |#1| (-787 |#2|))) |has| (-710 |#1| (-787 |#2|)) (-278 (-710 |#1| (-787 |#2|))))) 
-((((-787 |#1|)) . T)) 
-(((|#2|) |has| |#2| (-156))) 
-(((|#1|) |has| |#1| (-156))) 
-(((|#2|) . T)) 
-((((-1070)) |has| |#1| (-820 (-1070))) (((-986)) . T)) 
-((((-1070)) |has| |#1| (-820 (-1070))) (((-990 (-1070))) . T)) 
-(((|#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(((|#4|) |has| |#4| (-959)) (((-501)) -12 (|has| |#4| (-577 (-501))) (|has| |#4| (-959)))) 
-(((|#3|) |has| |#3| (-959)) (((-501)) -12 (|has| |#3| (-577 (-501))) (|has| |#3| (-959)))) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
+(((|#3|) |has| |#3| (-339))) 
+((((-383 |#2|)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(((|#1|) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-1096) |#1|) |has| |#1| (-493 (-1096) |#1|)) ((|#1| |#1|) |has| |#1| (-282 |#1|))) 
+(((|#1|) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)))) 
+((((-288 |#1|)) . T)) 
+(((|#2|) |has| |#2| (-339))) 
+(((|#2|) . T)) 
+((((-383 (-532))) . T) (((-648)) . T) (($) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-733 |#1| (-810 |#2|)) (-733 |#1| (-810 |#2|))) |has| (-733 |#1| (-810 |#2|)) (-282 (-733 |#1| (-810 |#2|))))) 
+((((-810 |#1|)) . T)) 
+(((|#2|) |has| |#2| (-159))) 
+(((|#1|) |has| |#1| (-159))) 
+(((|#2|) . T)) 
+((((-1096)) |has| |#1| (-843 (-1096))) (((-1011)) . T)) 
+((((-1096)) |has| |#1| (-843 (-1096))) (((-1015 (-1096))) . T)) 
+(((|#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(((|#4|) |has| |#4| (-983)) (((-532)) -12 (|has| |#4| (-594 (-532))) (|has| |#4| (-983)))) 
+(((|#3|) |has| |#3| (-983)) (((-532)) -12 (|has| |#3| (-594 (-532))) (|has| |#3| (-983)))) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-137)) 
 ((($ $) . T)) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-440)) (|has| |#1| (-657)) (|has| |#1| (-820 (-1070))) (|has| |#1| (-959)) (|has| |#1| (-1012)) (|has| |#1| (-1001))) 
-(|has| |#1| (-508)) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-450)) (|has| |#1| (-676)) (|has| |#1| (-843 (-1096))) (|has| |#1| (-983)) (|has| |#1| (-1037)) (|has| |#1| (-1025))) 
+(|has| |#1| (-524)) 
 (((|#2|) . T)) 
-((((-501)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(((|#1|) . T)) 
+((((-532)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
 (((|#1|) . T)) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-134)) (|has| |#1| (-156)) (|has| |#1| (-508)) (|has| |#1| (-959))) 
-((((-528 |#1|)) . T)) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-137)) (|has| |#1| (-159)) (|has| |#1| (-524)) (|has| |#1| (-983))) 
+((((-545 |#1|)) . T)) 
 ((($) . T)) 
-(((|#1| (-56 |#1|) (-56 |#1|)) . T)) 
+(((|#1| (-58 |#1|) (-58 |#1|)) . T)) 
+(((|#1|) . T)) 
 (((|#1|) . T)) 
 ((($) . T)) 
 (((|#1|) . T)) 
-((((-786)) . T)) 
-(((|#2|) |has| |#2| (-6 (-4169 "*")))) 
+((((-808)) . T)) 
+(((|#2|) |has| |#2| (-6 (-4291 "*")))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-375 (-501))) |has| |#2| (-950 (-375 (-501)))) (((-501)) |has| |#2| (-950 (-501))) ((|#2|) . T) (((-787 |#1|)) . T)) 
-((($) . T) (((-111 |#1|)) . T) (((-375 (-501))) . T)) 
-((((-1023 |#1| |#2|)) . T) ((|#2|) . T) ((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) |has| |#1| (-950 (-375 (-501))))) 
-((((-1064 |#1|)) . T) (((-986)) . T) ((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) |has| |#1| (-950 (-375 (-501))))) 
-((((-1023 |#1| (-1070))) . T) (((-990 (-1070))) . T) ((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) |has| |#1| (-950 (-375 (-501)))) (((-1070)) . T)) 
-(|has| |#1| (-1001)) 
+((((-383 (-532))) |has| |#2| (-974 (-383 (-532)))) (((-532)) |has| |#2| (-974 (-532))) ((|#2|) . T) (((-810 |#1|)) . T)) 
+((($) . T) (((-114 |#1|)) . T) (((-383 (-532))) . T)) 
+((((-1048 |#1| |#2|)) . T) ((|#2|) . T) ((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532))))) 
+((((-1092 |#1|)) . T) (((-1011)) . T) ((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532))))) 
+((((-1048 |#1| (-1096))) . T) (((-1015 (-1096))) . T) ((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532)))) (((-1096)) . T)) 
+(|has| |#1| (-1025)) 
 ((($) . T)) 
-(|has| |#1| (-1001)) 
-((((-501)) -12 (|has| |#1| (-806 (-501))) (|has| |#2| (-806 (-501)))) (((-346)) -12 (|has| |#1| (-806 (-346))) (|has| |#2| (-806 (-346))))) 
+(|has| |#1| (-1025)) 
+((((-532)) -12 (|has| |#1| (-829 (-532))) (|has| |#2| (-829 (-532)))) (((-355)) -12 (|has| |#1| (-829 (-355))) (|has| |#2| (-829 (-355))))) 
 (((|#1| |#2|) . T)) 
-((((-1070) |#1|) . T)) 
+((((-1096) |#1|) . T)) 
 (((|#4|) . T)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-318))) 
-((((-1070) (-50)) . T)) 
-((((-1130 |#2| |#3| |#4|) (-287 |#2| |#3| |#4|)) . T)) 
-((((-375 (-501))) |has| |#1| (-950 (-375 (-501)))) (((-501)) |has| |#1| (-950 (-501))) ((|#1|) . T)) 
-((((-786)) . T)) 
-(-1405 (|has| |#2| (-25)) (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-336)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959)) (|has| |#2| (-1001))) 
-((((-1136 |#1| |#2| |#3| |#4|) (-1136 |#1| |#2| |#3| |#4|)) . T) (((-375 (-501)) (-375 (-501))) . T) (($ $) . T)) 
-(((|#1| |#1|) |has| |#1| (-156)) (((-375 (-501)) (-375 (-501))) |has| |#1| (-508)) (($ $) |has| |#1| (-508))) 
-(((|#1|) . T) (($) . T) (((-375 (-501))) . T)) 
-(((|#1| $) |has| |#1| (-256 |#1| |#1|))) 
-((((-1136 |#1| |#2| |#3| |#4|)) . T) (((-375 (-501))) . T) (($) . T)) 
-(((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-508)) (($) |has| |#1| (-508))) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-132)) 
-((((-375 (-501))) . T) (($) . T)) 
-(((|#3|) |has| |#3| (-331))) 
-(((|#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001)))) 
-((((-1070)) . T)) 
-(((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001)))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-325))) 
+((((-1096) (-51)) . T)) 
+((((-1163 |#2| |#3| |#4|) (-292 |#2| |#3| |#4|)) . T)) 
+((((-383 (-532))) |has| |#1| (-974 (-383 (-532)))) (((-532)) |has| |#1| (-974 (-532))) ((|#1|) . T)) 
+((($) . T) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-808)) . T)) 
+(-1328 (|has| |#2| (-25)) (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-344)) (|has| |#2| (-676)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983)) (|has| |#2| (-1025))) 
+((((-1164 |#1| |#2| |#3| |#4|) (-1164 |#1| |#2| |#3| |#4|)) . T) (((-383 (-532)) (-383 (-532))) . T) (($ $) . T)) 
+(((|#1| |#1|) |has| |#1| (-159)) (((-383 (-532)) (-383 (-532))) |has| |#1| (-524)) (($ $) |has| |#1| (-524))) 
+(((|#1|) . T) (($) . T) (((-383 (-532))) . T)) 
+(|has| |#1| (-852)) 
+(((|#1| $) |has| |#1| (-260 |#1| |#1|))) 
+((((-1164 |#1| |#2| |#3| |#4|)) . T) (((-383 (-532))) . T) (($) . T)) 
+(((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-524)) (($) |has| |#1| (-524))) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-135)) 
+((((-383 (-532))) . T) (($) . T)) 
+(((|#3|) |has| |#3| (-339))) 
+(((|#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025)))) 
+((((-1096)) . T)) 
+(((|#1|) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025)))) 
+(-1328 (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-852))) 
 (((|#2| |#3|) . T)) 
-(-1405 (|has| |#2| (-331)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-(((|#1| (-487 |#2|)) . T)) 
-(((|#1| (-701)) . T)) 
-(((|#1| (-487 (-990 (-1070)))) . T)) 
-(((|#1|) |has| |#1| (-156))) 
-(((|#1|) . T)) 
-(|has| |#2| (-830)) 
-(-1405 (|has| |#2| (-723)) (|has| |#2| (-775))) 
-((((-786)) . T)) 
-((($ $) . T) (((-1130 |#2| |#3| |#4|) (-1130 |#2| |#3| |#4|)) . T) (((-375 (-501)) (-375 (-501))) |has| (-1130 |#2| |#3| |#4|) (-37 (-375 (-501))))) 
-((((-826 |#1|)) . T)) 
-(-12 (|has| |#1| (-331)) (|has| |#2| (-750))) 
-((($) . T) (((-375 (-501))) . T)) 
-((($) . T)) 
-((($) . T)) 
-(|has| |#1| (-331)) 
-(-1405 (|has| |#1| (-276)) (|has| |#1| (-331)) (|has| |#1| (-318)) (|has| |#1| (-508))) 
-(|has| |#1| (-331)) 
-((($) . T) (((-1130 |#2| |#3| |#4|)) . T) (((-375 (-501))) |has| (-1130 |#2| |#3| |#4|) (-37 (-375 (-501))))) 
+(-1328 (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+(((|#1| (-504 |#2|)) . T)) 
+(((|#1| (-723)) . T)) 
+(((|#1| (-504 (-1015 (-1096)))) . T)) 
+(((|#1|) |has| |#1| (-159))) 
+(((|#1|) . T)) 
+(|has| |#2| (-852)) 
+(-1328 (|has| |#2| (-746)) (|has| |#2| (-798))) 
+((((-808)) . T)) 
+((($ $) . T) (((-1163 |#2| |#3| |#4|) (-1163 |#2| |#3| |#4|)) . T) (((-383 (-532)) (-383 (-532))) |has| (-1163 |#2| |#3| |#4|) (-37 (-383 (-532))))) 
+((((-853 |#1|)) . T)) 
+(-12 (|has| |#1| (-339)) (|has| |#2| (-773))) 
+((($) . T) (((-383 (-532))) . T)) 
+((($) . T)) 
+((($) . T)) 
+(|has| |#1| (-339)) 
+(-1328 (|has| |#1| (-280)) (|has| |#1| (-339)) (|has| |#1| (-325)) (|has| |#1| (-524))) 
+(|has| |#1| (-339)) 
+((($) . T) (((-1163 |#2| |#3| |#4|)) . T) (((-383 (-532))) |has| (-1163 |#2| |#3| |#4|) (-37 (-383 (-532))))) 
 (((|#1| |#2|) . T)) 
-((((-1068 |#1| |#2| |#3|)) |has| |#1| (-331))) 
-(-1405 (-12 (|has| |#1| (-276)) (|has| |#1| (-830))) (|has| |#1| (-331)) (|has| |#1| (-318))) 
-(-1405 (|has| |#1| (-820 (-1070))) (|has| |#1| (-959))) 
-((((-501)) |has| |#1| (-577 (-501))) ((|#1|) . T)) 
+(|has| |#2| (-524)) 
+((((-1094 |#1| |#2| |#3|)) |has| |#1| (-339))) 
+(-1328 (-12 (|has| |#1| (-280)) (|has| |#1| (-852))) (|has| |#1| (-339)) (|has| |#1| (-325))) 
+(-1328 (|has| |#1| (-843 (-1096))) (|has| |#1| (-983))) 
+((((-532)) |has| |#1| (-594 (-532))) ((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-107)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-110)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-375 |#2|)) . T) (((-375 (-501))) . T) (($) . T)) 
+((((-383 |#2|)) . T) (((-383 (-532))) . T) (($) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-(((|#1| (-487 (-787 |#2|)) (-787 |#2|) (-710 |#1| (-787 |#2|))) . T)) 
-(|has| |#2| (-331)) 
-(|has| |#1| (-777)) 
+(((|#1| (-504 (-810 |#2|)) (-810 |#2|) (-733 |#1| (-810 |#2|))) . T)) 
+(|has| |#2| (-339)) 
+(|has| |#1| (-800)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-786)) . T)) 
-(|has| |#1| (-1001)) 
+((((-808)) . T)) 
+(|has| |#1| (-1025)) 
 (((|#4|) . T)) 
 (((|#4|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-375 $) (-375 $)) |has| |#1| (-508)) (($ $) . T) ((|#1| |#1|) . T)) 
-(|has| |#2| (-750)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-383 $) (-383 $)) |has| |#1| (-524)) (($ $) . T) ((|#1| |#1|) . T)) 
+(((|#2| |#2|) |has| |#2| (-159)) (((-383 (-532)) (-383 (-532))) |has| |#2| (-524)) (($ $) . T)) 
+(|has| |#2| (-773)) 
 (((|#4|) . T)) 
 ((($) . T)) 
+(((|#2|) |has| |#2| (-159)) (((-383 (-532))) |has| |#2| (-524)) (($) . T)) 
+((((-808)) . T)) 
+(((|#1| (-504 (-1096))) . T)) 
 ((($ $) . T)) 
 ((($) . T)) 
-((((-786)) . T)) 
-(((|#1| (-487 (-1070))) . T)) 
-(((|#1|) |has| |#1| (-156))) 
-((((-786)) . T)) 
-(((|#4| |#4|) -12 (|has| |#4| (-278 |#4|)) (|has| |#4| (-1001)))) 
-(((|#2|) -1405 (|has| |#2| (-6 (-4169 "*"))) (|has| |#2| (-156)))) 
-(-1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(|has| |#2| (-777)) 
-(|has| |#2| (-830)) 
-(|has| |#1| (-830)) 
-(((|#2|) |has| |#2| (-156))) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-1139 |#1| |#2| |#3|)) |has| |#1| (-331))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-490)) . T) (((-501)) . T) (((-810 (-501))) . T) (((-346)) . T) (((-199)) . T)) 
+(((|#1|) |has| |#1| (-159))) 
+((((-808)) . T)) 
+(((|#4| |#4|) -12 (|has| |#4| (-282 |#4|)) (|has| |#4| (-1025)))) 
+(((|#2|) -1328 (|has| |#2| (-6 (-4291 "*"))) (|has| |#2| (-159)))) 
+(-1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(|has| |#2| (-800)) 
+(|has| |#2| (-852)) 
+(|has| |#1| (-852)) 
+(((|#2|) |has| |#2| (-159))) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-1170 |#1| |#2| |#3|)) |has| |#1| (-339))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-508)) . T) (((-532)) . T) (((-835 (-532))) . T) (((-355)) . T) (((-202)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 (-50)))) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 (-51)))) . T)) 
 (((|#1|) . T)) 
-((((-786)) . T)) 
+((((-808)) . T)) 
 (((|#1| |#2|) . T)) 
-(((|#1| (-375 (-501))) . T)) 
+(((|#1| (-383 (-532))) . T)) 
 (((|#1|) . T)) 
-(-1405 (|has| |#1| (-260)) (|has| |#1| (-331))) 
-((((-131)) . T)) 
-((((-375 |#2|)) . T) (((-375 (-501))) . T) (($) . T)) 
-(|has| |#1| (-775)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1| |#1| |#2| (-212 |#1| |#2|) (-212 |#1| |#2|)) . T)) 
+(-1328 (|has| |#1| (-264)) (|has| |#1| (-339))) 
+((((-134)) . T)) 
+((((-383 |#2|)) . T) (((-383 (-532))) . T) (($) . T)) 
+(|has| |#1| (-798)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1| |#1| |#2| (-217 |#1| |#2|) (-217 |#1| |#2|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
 (((|#2| |#2|) . T) ((|#1| |#1|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-490)) |has| |#1| (-556 (-490))) (((-810 (-501))) |has| |#1| (-556 (-810 (-501)))) (((-810 (-346))) |has| |#1| (-556 (-810 (-346))))) 
-((((-1070) (-50)) . T)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-578 (-131))) . T) (((-1053)) . T)) 
-((((-786)) . T)) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) . T)) 
-((((-1070) |#1|) |has| |#1| (-476 (-1070) |#1|)) ((|#1| |#1|) |has| |#1| (-278 |#1|))) 
-(|has| |#1| (-777)) 
-((((-786)) . T)) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((((-786)) . T)) 
-(((|#2|) |has| |#2| (-331))) 
-((((-786)) . T)) 
-((((-490)) |has| |#4| (-556 (-490)))) 
-((((-786)) . T) (((-578 |#4|)) . T)) 
-(((|#2|) . T)) 
-((((-826 |#1|)) . T) (((-375 (-501))) . T) (($) . T)) 
-(-1405 (|has| |#4| (-156)) (|has| |#4| (-775)) (|has| |#4| (-959))) 
-(-1405 (|has| |#3| (-156)) (|has| |#3| (-775)) (|has| |#3| (-959))) 
-((((-1070) (-50)) . T)) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(-1405 (|has| |#2| (-25)) (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-(|has| |#1| (-830)) 
-(|has| |#1| (-830)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-((((-786)) . T)) 
-((((-501)) . T)) 
-((((-375 (-501)) (-375 (-501))) . T) (($ $) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-(((|#1| (-375 (-501)) (-986)) . T)) 
-(|has| |#1| (-1001)) 
-(|has| |#1| (-508)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(|has| |#1| (-750)) 
-((((-826 |#1|) (-826 |#1|)) . T) (($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-((((-375 |#2|)) . T)) 
-(|has| |#1| (-775)) 
-((((-786)) |has| |#1| (-1001))) 
-(((|#1| |#1|) . T) (((-375 (-501)) (-375 (-501))) . T) (((-501) (-501)) . T) (($ $) . T)) 
-((((-826 |#1|)) . T) (($) . T) (((-375 (-501))) . T)) 
-(((|#2|) |has| |#2| (-959)) (((-501)) -12 (|has| |#2| (-577 (-501))) (|has| |#2| (-959)))) 
-(((|#1|) . T) (((-375 (-501))) . T) (((-501)) . T) (($) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-508)) |has| |#1| (-573 (-508))) (((-835 (-532))) |has| |#1| (-573 (-835 (-532)))) (((-835 (-355))) |has| |#1| (-573 (-835 (-355))))) 
+((((-1096) (-51)) . T)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-598 (-134))) . T) (((-1078)) . T)) 
+((((-808)) . T)) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) . T)) 
+((((-1096) |#1|) |has| |#1| (-493 (-1096) |#1|)) ((|#1| |#1|) |has| |#1| (-282 |#1|))) 
+(|has| |#1| (-800)) 
+((((-808)) . T)) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((((-808)) . T)) 
+(((|#2|) |has| |#2| (-339))) 
+((((-808)) . T)) 
+((((-508)) |has| |#4| (-573 (-508)))) 
+((((-808)) . T) (((-598 |#4|)) . T)) 
+(((|#2|) . T)) 
+((((-853 |#1|)) . T) (((-383 (-532))) . T) (($) . T)) 
+(-1328 (|has| |#4| (-159)) (|has| |#4| (-676)) (|has| |#4| (-798)) (|has| |#4| (-983))) 
+(-1328 (|has| |#3| (-159)) (|has| |#3| (-676)) (|has| |#3| (-798)) (|has| |#3| (-983))) 
+((((-1096) (-51)) . T)) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(-1328 (|has| |#2| (-25)) (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+(|has| |#1| (-852)) 
+(|has| |#1| (-852)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+((((-808)) . T)) 
+((((-532)) . T)) 
+((((-383 (-532)) (-383 (-532))) . T) (($ $) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+(((|#1| (-383 (-532)) (-1011)) . T)) 
+(|has| |#1| (-1025)) 
+(|has| |#1| (-524)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(|has| |#1| (-773)) 
+((((-853 |#1|) (-853 |#1|)) . T) (($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+((((-383 |#2|)) . T)) 
+(|has| |#1| (-798)) 
+((((-808)) |has| |#1| (-1025))) 
+(((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) . T) (((-532) (-532)) . T) (($ $) . T)) 
+((((-853 |#1|)) . T) (($) . T) (((-383 (-532))) . T)) 
+(((|#2|) |has| |#2| (-983)) (((-532)) -12 (|has| |#2| (-594 (-532))) (|has| |#2| (-983)))) 
+(|has| |#2| (-137)) 
+(|has| |#2| (-135)) 
+(((|#1|) . T) (((-383 (-532))) . T) (((-532)) . T) (($) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-132)) 
-(((|#2|) . T)) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-336))) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-336))) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-336))) 
-((((-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) . T)) 
-((((-50)) . T) (((-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) . T)) 
-(|has| |#1| (-318)) 
-((((-501)) . T)) 
-((((-786)) . T)) 
-((((-1136 |#1| |#2| |#3| |#4|) $) |has| (-1136 |#1| |#2| |#3| |#4|) (-256 (-1136 |#1| |#2| |#3| |#4|) (-1136 |#1| |#2| |#3| |#4|)))) 
-(|has| |#1| (-331)) 
-((((-986) |#1|) . T) (((-986) $) . T) (($ $) . T)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-318))) 
-((((-375 (-501)) (-375 (-501))) . T) (((-630) (-630)) . T) (($ $) . T)) 
-((((-282 |#1|)) . T) (($) . T)) 
-(((|#1|) . T) (((-375 (-501))) |has| |#1| (-331))) 
-(|has| |#1| (-1001)) 
-(((|#1|) . T)) 
-(((|#1|) -1405 (|has| |#2| (-335 |#1|)) (|has| |#2| (-386 |#1|)))) 
-(((|#1|) -1405 (|has| |#2| (-335 |#1|)) (|has| |#2| (-386 |#1|)))) 
-(((|#2|) . T)) 
-((((-375 (-501))) . T) (((-630)) . T) (($) . T)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-135)) 
+(((|#2|) . T)) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-344))) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-344))) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-344))) 
+((((-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) . T)) 
+((((-51)) . T) (((-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) . T)) 
+(|has| |#1| (-325)) 
+((((-532)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-508)) |has| |#2| (-573 (-508))) (((-835 (-532))) |has| |#2| (-573 (-835 (-532)))) (((-835 (-355))) |has| |#2| (-573 (-835 (-355))))) 
+((((-1164 |#1| |#2| |#3| |#4|) $) |has| (-1164 |#1| |#2| |#3| |#4|) (-260 (-1164 |#1| |#2| |#3| |#4|) (-1164 |#1| |#2| |#3| |#4|)))) 
+(|has| |#1| (-339)) 
+((((-1011) |#1|) . T) (((-1011) $) . T) (($ $) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-325))) 
+((((-383 (-532)) (-383 (-532))) . T) (((-648) (-648)) . T) (($ $) . T)) 
+((((-288 |#1|)) . T) (($) . T)) 
+(((|#1|) . T) (((-383 (-532))) |has| |#1| (-339))) 
+(|has| |#1| (-1025)) 
+(((|#1|) . T)) 
+(((|#1|) -1328 (|has| |#2| (-343 |#1|)) (|has| |#2| (-393 |#1|)))) 
+(((|#1|) -1328 (|has| |#2| (-343 |#1|)) (|has| |#2| (-393 |#1|)))) 
+(((|#2|) . T)) 
+((((-383 (-532))) . T) (((-648)) . T) (($) . T)) 
 (((|#3| |#3|) . T)) 
-(|has| |#2| (-206)) 
-((((-787 |#1|)) . T)) 
-((((-1070)) |has| |#1| (-820 (-1070))) ((|#3|) . T)) 
-(-12 (|has| |#1| (-331)) (|has| |#2| (-933))) 
-((((-1068 |#1| |#2| |#3|)) |has| |#1| (-331))) 
-((((-786)) . T)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-331)) 
-((((-375 (-501))) . T) (($) . T) (((-375 |#1|)) . T) ((|#1|) . T)) 
-((((-501)) . T)) 
-(|has| |#1| (-1001)) 
+(|has| |#2| (-210)) 
+((((-810 |#1|)) . T)) 
+((((-1096)) |has| |#1| (-843 (-1096))) ((|#3|) . T)) 
+(-12 (|has| |#1| (-339)) (|has| |#2| (-958))) 
+((((-1094 |#1| |#2| |#3|)) |has| |#1| (-339))) 
+((((-808)) . T)) 
+(((|#1| (-723)) . T)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-339)) 
+((((-383 (-532))) . T) (($) . T) (((-383 |#1|)) . T) ((|#1|) . T)) 
+((((-532)) . T)) 
+(|has| |#1| (-1025)) 
 (((|#3|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-((((-501)) . T)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(((|#2|) . T) (((-501)) |has| |#2| (-577 (-501)))) 
+((((-532)) . T)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(((|#2|) . T) (((-532)) |has| |#2| (-594 (-532)))) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
-((((-528 |#1|)) . T) (((-375 (-501))) . T) (($) . T)) 
-((($) . T) (((-375 (-501))) . T)) 
+((((-545 |#1|)) . T) (((-383 (-532))) . T) (($) . T)) 
+((($) . T) (((-383 (-532))) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1|) . T) (($) . T)) 
-(((|#1| (-1148 |#1|) (-1148 |#1|)) . T)) 
+(((|#1| (-1178 |#1|) (-1178 |#1|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-111 |#1|) (-111 |#1|)) . T) (((-375 (-501)) (-375 (-501))) . T) (($ $) . T)) 
-((((-375 (-501))) |has| |#2| (-950 (-375 (-501)))) (((-501)) |has| |#2| (-950 (-501))) ((|#2|) . T) (((-787 |#1|)) . T)) 
-((((-1023 |#1| |#2|)) . T) ((|#3|) . T) ((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) |has| |#1| (-950 (-375 (-501)))) ((|#2|) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-114 |#1|) (-114 |#1|)) . T) (((-383 (-532)) (-383 (-532))) . T) (($ $) . T)) 
+((((-383 (-532))) |has| |#2| (-974 (-383 (-532)))) (((-532)) |has| |#2| (-974 (-532))) ((|#2|) . T) (((-810 |#1|)) . T)) 
+((((-1048 |#1| |#2|)) . T) ((|#3|) . T) ((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532)))) ((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((($ $) . T)) 
-((((-606 |#1|)) . T)) 
-((($) . T) (((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) . T)) 
-((((-111 |#1|)) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-501)) -12 (|has| |#1| (-806 (-501))) (|has| |#3| (-806 (-501)))) (((-346)) -12 (|has| |#1| (-806 (-346))) (|has| |#3| (-806 (-346))))) 
+((((-623 |#1|)) . T)) 
+((($) . T) (((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) . T)) 
+((((-114 |#1|)) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-532)) -12 (|has| |#1| (-829 (-532))) (|has| |#3| (-829 (-532)))) (((-355)) -12 (|has| |#1| (-829 (-355))) (|has| |#3| (-829 (-355))))) 
 (((|#2|) . T) ((|#6|) . T)) 
-(((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) (($) . T)) 
-((((-131)) . T)) 
+(((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) (($) . T)) 
+((((-134)) . T)) 
 ((($) . T)) 
-((($) . T) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((($) . T) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
+((($) . T) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((($) . T) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
 (((|#1|) . T)) 
-(|has| |#2| (-830)) 
-(|has| |#1| (-830)) 
-(|has| |#1| (-830)) 
+(|has| |#2| (-852)) 
+(|has| |#1| (-852)) 
+(|has| |#1| (-852)) 
 (((|#4|) . T)) 
-(|has| |#2| (-933)) 
+(|has| |#2| (-958)) 
 ((($) . T)) 
-(|has| |#1| (-830)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
+(|has| |#1| (-852)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
 ((($) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
 (((|#1|) . T) (($) . T)) 
 ((($) . T)) 
-(|has| |#1| (-331)) 
-((((-826 |#1|)) . T)) 
-((($) -1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-(-1405 (|has| |#1| (-336)) (|has| |#1| (-777))) 
-(((|#1|) . T)) 
-((((-786)) . T)) 
-((((-1070)) -12 (|has| |#1| (-15 * (|#1| (-375 (-501)) |#1|))) (|has| |#1| (-820 (-1070))))) 
-((((-375 |#2|) |#3|) . T)) 
-((($) . T) (((-375 (-501))) . T)) 
-((((-701) |#1|) . T)) 
-(((|#2| (-212 (-3581 |#1|) (-701))) . T)) 
-(((|#1| (-487 |#3|)) . T)) 
-((((-375 (-501))) . T)) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-((((-786)) . T)) 
-((((-2 (|:| -3626 (-1070)) (|:| -2922 (-50))) (-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) |has| (-2 (|:| -3626 (-1070)) (|:| -2922 (-50))) (-278 (-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))))) 
-(|has| |#1| (-830)) 
-(|has| |#2| (-331)) 
-(-1405 (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-((((-152 (-346))) . T) (((-199)) . T) (((-346)) . T)) 
-((((-786)) . T)) 
-(((|#1|) . T)) 
-((((-346)) . T) (((-501)) . T)) 
-((((-375 (-501)) (-375 (-501))) . T) (($ $) . T)) 
+(|has| |#1| (-339)) 
+((((-853 |#1|)) . T)) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+(-1328 (|has| |#1| (-344)) (|has| |#1| (-800))) 
+(((|#1|) . T)) 
+((((-808)) . T)) 
+((((-1096)) -12 (|has| |#1| (-15 * (|#1| (-383 (-532)) |#1|))) (|has| |#1| (-843 (-1096))))) 
+((((-383 |#2|) |#3|) . T)) 
+((($) . T) (((-383 (-532))) . T)) 
+((((-723) |#1|) . T)) 
+(((|#2| (-217 (-3502 |#1|) (-723))) . T)) 
+(((|#1| (-504 |#3|)) . T)) 
+((((-383 (-532))) . T)) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+((((-808)) . T)) 
+((((-2 (|:| -3220 (-1096)) (|:| -2330 (-51))) (-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) |has| (-2 (|:| -3220 (-1096)) (|:| -2330 (-51))) (-282 (-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))))) 
+(|has| |#1| (-852)) 
+(|has| |#2| (-339)) 
+(-1328 (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+((((-156 (-355))) . T) (((-202)) . T) (((-355)) . T)) 
+((((-808)) . T)) 
+(((|#1|) . T)) 
+((((-355)) . T) (((-532)) . T)) 
+((((-383 (-532)) (-383 (-532))) . T) (($ $) . T)) 
 ((($ $) . T)) 
 ((($ $) . T)) 
 (((|#1| |#1|) . T)) 
-((((-786)) . T)) 
-(|has| |#1| (-508)) 
-((((-375 (-501))) . T) (($) . T)) 
-((($) . T)) 
-((($) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(-1405 (|has| |#1| (-276)) (|has| |#1| (-331)) (|has| |#1| (-318))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(-12 (|has| |#1| (-500)) (|has| |#1| (-751))) 
-((((-786)) . T)) 
-(|has| |#1| (-331)) 
-((((-1070)) -1405 (-12 (|has| |#1| (-15 * (|#1| (-501) |#1|))) (|has| |#1| (-820 (-1070)))) (-12 (|has| |#1| (-331)) (|has| |#2| (-820 (-1070)))))) 
-(|has| |#1| (-331)) 
-((((-1070)) -12 (|has| |#1| (-15 * (|#1| (-375 (-501)) |#1|))) (|has| |#1| (-820 (-1070))))) 
-((((-375 (-501))) . T) (($) . T)) 
-((($) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) . T)) 
-((((-501) |#1|) . T)) 
-(((|#1|) . T)) 
-(((|#2|) |has| |#1| (-331))) 
-(((|#2|) |has| |#1| (-331))) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-156))) 
-(((|#1|) . T)) 
-(((|#2|) . T) (((-1070)) -12 (|has| |#1| (-331)) (|has| |#2| (-950 (-1070)))) (((-501)) -12 (|has| |#1| (-331)) (|has| |#2| (-950 (-501)))) (((-375 (-501))) -12 (|has| |#1| (-331)) (|has| |#2| (-950 (-501))))) 
-(((|#2|) . T)) 
-((((-1070) (-1136 |#1| |#2| |#3| |#4|)) |has| (-1136 |#1| |#2| |#3| |#4|) (-476 (-1070) (-1136 |#1| |#2| |#3| |#4|))) (((-1136 |#1| |#2| |#3| |#4|) (-1136 |#1| |#2| |#3| |#4|)) |has| (-1136 |#1| |#2| |#3| |#4|) (-278 (-1136 |#1| |#2| |#3| |#4|)))) 
-((((-553 $) $) . T) (($ $) . T)) 
-((((-152 (-199))) . T) (((-152 (-346))) . T) (((-1064 (-630))) . T) (((-810 (-346))) . T)) 
-((((-786)) . T)) 
-(|has| |#1| (-508)) 
-(|has| |#1| (-508)) 
-(|has| (-375 |#2|) (-206)) 
-(((|#1| (-375 (-501))) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-524)) 
+((((-383 (-532))) . T) (($) . T)) 
+((($) . T)) 
+((($) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(-1328 (|has| |#1| (-280)) (|has| |#1| (-339)) (|has| |#1| (-325))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(-12 (|has| |#1| (-517)) (|has| |#1| (-781))) 
+((((-808)) . T)) 
+((((-1096)) -1328 (-12 (|has| |#1| (-15 * (|#1| (-532) |#1|))) (|has| |#1| (-843 (-1096)))) (-12 (|has| |#1| (-339)) (|has| |#2| (-843 (-1096)))))) 
+(|has| |#1| (-339)) 
+((((-1096)) -12 (|has| |#1| (-15 * (|#1| (-383 (-532)) |#1|))) (|has| |#1| (-843 (-1096))))) 
+(|has| |#1| (-339)) 
+((((-383 (-532))) . T) (($) . T)) 
+((($) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) . T)) 
+((((-532) |#1|) . T)) 
+(((|#1|) . T)) 
+(((|#2|) |has| |#1| (-339))) 
+(((|#2|) |has| |#1| (-339))) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (-159))) 
+(((|#1|) . T)) 
+(((|#2|) . T) (((-1096)) -12 (|has| |#1| (-339)) (|has| |#2| (-974 (-1096)))) (((-532)) -12 (|has| |#1| (-339)) (|has| |#2| (-974 (-532)))) (((-383 (-532))) -12 (|has| |#1| (-339)) (|has| |#2| (-974 (-532))))) 
+(((|#2|) . T)) 
+((((-1096) (-1164 |#1| |#2| |#3| |#4|)) |has| (-1164 |#1| |#2| |#3| |#4|) (-493 (-1096) (-1164 |#1| |#2| |#3| |#4|))) (((-1164 |#1| |#2| |#3| |#4|) (-1164 |#1| |#2| |#3| |#4|)) |has| (-1164 |#1| |#2| |#3| |#4|) (-282 (-1164 |#1| |#2| |#3| |#4|)))) 
+((((-571 $) $) . T) (($ $) . T)) 
+((((-156 (-202))) . T) (((-156 (-355))) . T) (((-1092 (-648))) . T) (((-835 (-355))) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-524)) 
+(|has| |#1| (-524)) 
+(|has| (-383 |#2|) (-210)) 
+(((|#1| (-383 (-532))) . T)) 
 ((($ $) . T)) 
-((((-1070)) |has| |#2| (-820 (-1070)))) 
-((($) . T)) 
-((((-786)) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(|has| |#1| (-331)) 
-(((|#2|) |has| |#1| (-331))) 
-((((-346)) -12 (|has| |#1| (-331)) (|has| |#2| (-806 (-346)))) (((-501)) -12 (|has| |#1| (-331)) (|has| |#2| (-806 (-501))))) 
-(|has| |#1| (-331)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-508)) 
-(((|#4| |#4|) -12 (|has| |#4| (-278 |#4|)) (|has| |#4| (-1001)))) 
+((((-1096)) |has| |#2| (-843 (-1096)))) 
+((($) . T)) 
+((((-808)) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(|has| |#1| (-524)) 
+(((|#2|) |has| |#1| (-339))) 
+((((-355)) -12 (|has| |#1| (-339)) (|has| |#2| (-829 (-355)))) (((-532)) -12 (|has| |#1| (-339)) (|has| |#2| (-829 (-532))))) 
+(|has| |#1| (-339)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(|has| |#1| (-339)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-524)) 
+(((|#4| |#4|) -12 (|has| |#4| (-282 |#4|)) (|has| |#4| (-1025)))) 
 (((|#3|) . T)) 
 (((|#1|) . T)) 
-(-1405 (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
+(|has| |#2| (-800)) 
+(-1328 (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-676)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-336))) 
-(|has| |#1| (-134)) 
-((((-1053) |#1|) . T)) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-336))) 
-(|has| |#1| (-134)) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-336))) 
-(|has| |#1| (-134)) 
-((((-528 |#1|)) . T)) 
-((($) . T)) 
-((((-375 |#2|)) . T)) 
-(|has| |#1| (-508)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-318))) 
-(|has| |#1| (-134)) 
-((((-786)) . T)) 
-((($) . T)) 
-((((-375 (-501))) |has| |#2| (-950 (-501))) (((-501)) |has| |#2| (-950 (-501))) (((-1070)) |has| |#2| (-950 (-1070))) ((|#2|) . T)) 
-((((-375 |#2|) (-375 |#2|)) . T) (((-375 (-501)) (-375 (-501))) . T) (($ $) . T)) 
-((((-1035 |#1| |#2|)) . T)) 
-(((|#1| (-501)) . T)) 
-(((|#1| (-375 (-501))) . T)) 
-((((-501)) |has| |#2| (-806 (-501))) (((-346)) |has| |#2| (-806 (-346)))) 
-(((|#2|) . T)) 
-((((-375 |#2|)) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-107)) . T)) 
-(((|#1| |#2| (-212 |#1| |#2|) (-212 |#1| |#2|)) . T)) 
-(((|#2|) . T)) 
-((((-786)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-1070) (-50)) . T)) 
-((((-375 |#2|)) . T)) 
-((((-786)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1001)) 
-(|has| |#1| (-721)) 
-(|has| |#1| (-721)) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((((-786)) -1405 (|has| |#1| (-777)) (|has| |#1| (-1001)))) 
-((((-108)) . T) ((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-199)) . T) (((-346)) . T) (((-810 (-346))) . T)) 
-((((-786)) . T)) 
-((((-1136 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-375 (-501))) . T)) 
-(((|#1|) |has| |#1| (-156)) (($) |has| |#1| (-508)) (((-375 (-501))) |has| |#1| (-508))) 
-(((|#2|) . T)) 
-((((-786)) . T)) 
-((((-826 |#1|) (-826 |#1|)) . T) (($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-826 |#1|)) . T) (($) . T) (((-375 (-501))) . T)) 
-(|has| |#1| (-331)) 
-(((|#2|) . T)) 
-((((-501)) . T)) 
-((((-501)) . T)) 
-(-1405 (|has| |#2| (-723)) (|has| |#2| (-775))) 
-((((-152 (-346))) . T) (((-199)) . T) (((-346)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-1053)) . T) (((-490)) . T) (((-501)) . T) (((-810 (-501))) . T) (((-346)) . T) (((-199)) . T)) 
-((((-786)) . T)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-132)) 
-((($) . T) (((-1130 |#2| |#3| |#4|)) |has| (-1130 |#2| |#3| |#4|) (-156)) (((-375 (-501))) |has| (-1130 |#2| |#3| |#4|) (-37 (-375 (-501))))) 
-(((|#1|) . T) (($) . T) (((-375 (-501))) . T)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-331)) 
-((((-786)) |has| |#1| (-1001))) 
-((((-786)) |has| |#1| (-1001))) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-440)) (|has| |#1| (-657)) (|has| |#1| (-820 (-1070))) (|has| |#1| (-959)) (|has| |#1| (-1012)) (|has| |#1| (-1001))) 
-(|has| |#1| (-1046)) 
-((((-501) |#1|) . T)) 
-(((|#1|) . T)) 
-((((-111 |#1|) $) |has| (-111 |#1|) (-256 (-111 |#1|) (-111 |#1|)))) 
-(((|#1|) |has| |#1| (-156))) 
-(((|#1|) . T)) 
-((((-108)) . T) ((|#1|) . T)) 
-((((-786)) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-344))) 
+(|has| |#1| (-137)) 
+((((-1078) |#1|) . T)) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-344))) 
+(|has| |#1| (-137)) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-344))) 
+(|has| |#1| (-137)) 
+((((-545 |#1|)) . T)) 
+((($) . T)) 
+((((-383 |#2|)) . T)) 
+(|has| |#1| (-524)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-325))) 
+(|has| |#1| (-137)) 
+((((-808)) . T)) 
+((($) . T)) 
+((((-383 |#2|) (-383 |#2|)) . T) (((-383 (-532)) (-383 (-532))) . T) (($ $) . T)) 
+((((-383 (-532))) |has| |#2| (-974 (-532))) (((-532)) |has| |#2| (-974 (-532))) (((-1096)) |has| |#2| (-974 (-1096))) ((|#2|) . T)) 
+((((-1060 |#1| |#2|)) . T)) 
+(((|#1| (-532)) . T)) 
+(((|#1| (-383 (-532))) . T)) 
+((((-532)) |has| |#2| (-829 (-532))) (((-355)) |has| |#2| (-829 (-355)))) 
+(((|#2|) . T)) 
+((((-383 |#2|)) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-110)) . T)) 
+(((|#1| |#2| (-217 |#1| |#2|) (-217 |#1| |#2|)) . T)) 
+(((|#2|) . T)) 
+((((-808)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-1096) (-51)) . T)) 
+((((-383 |#2|)) . T)) 
+((((-808)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1025)) 
+(|has| |#1| (-744)) 
+(|has| |#1| (-744)) 
+((((-808)) . T)) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((((-808)) -1328 (|has| |#1| (-800)) (|has| |#1| (-1025)))) 
+((((-112)) . T) ((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-202)) . T) (((-355)) . T) (((-835 (-355))) . T)) 
+((((-808)) . T)) 
+((((-1164 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-383 (-532))) . T)) 
+(((|#1|) |has| |#1| (-159)) (($) |has| |#1| (-524)) (((-383 (-532))) |has| |#1| (-524))) 
+((((-808)) . T)) 
+((((-571 $) $) . T) (($ $) . T)) 
+(((|#2|) . T)) 
+((((-808)) . T)) 
+((((-853 |#1|) (-853 |#1|)) . T) (($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-853 |#1|)) . T) (($) . T) (((-383 (-532))) . T)) 
+(|has| |#1| (-339)) 
+(((|#2|) . T)) 
+((((-532)) . T)) 
+((((-532)) . T)) 
+(-1328 (|has| |#2| (-746)) (|has| |#2| (-798))) 
+((((-156 (-355))) . T) (((-202)) . T) (((-355)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-1078)) . T) (((-508)) . T) (((-532)) . T) (((-835 (-532))) . T) (((-355)) . T) (((-202)) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-135)) 
+((($) . T) (((-1163 |#2| |#3| |#4|)) |has| (-1163 |#2| |#3| |#4|) (-159)) (((-383 (-532))) |has| (-1163 |#2| |#3| |#4|) (-37 (-383 (-532))))) 
+(((|#1|) . T) (($) . T) (((-383 (-532))) . T)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-339)) 
+((((-808)) |has| |#1| (-1025))) 
+((((-808)) |has| |#1| (-1025))) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-450)) (|has| |#1| (-676)) (|has| |#1| (-843 (-1096))) (|has| |#1| (-983)) (|has| |#1| (-1037)) (|has| |#1| (-1025))) 
+(|has| |#1| (-1071)) 
+((((-532) |#1|) . T)) 
+(((|#1|) . T)) 
+((((-114 |#1|) $) |has| (-114 |#1|) (-260 (-114 |#1|) (-114 |#1|)))) 
+(((|#1|) |has| |#1| (-159))) 
+((((-808)) . T)) 
+(((|#1|) . T)) 
+((((-112)) . T) ((|#1|) . T)) 
+((((-808)) . T)) 
+((((-383 $) (-383 $)) |has| |#1| (-524)) (($ $) . T) ((|#1| |#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1070) |#1|) . T)) 
-(((|#1|) |has| |#1| (-278 |#1|))) 
-((((-501) |#1|) . T)) 
+(((|#1|) |has| |#1| (-282 |#1|))) 
+((((-532) |#1|) . T)) 
+((((-1096) |#1|) . T)) 
 (((|#1|) . T)) 
-((((-501)) . T) (((-375 (-501))) . T)) 
+((((-532)) . T) (((-383 (-532))) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-508)) 
-((((-375 |#2|)) . T) (((-375 (-501))) . T) (($) . T)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-((((-346)) . T)) 
+(((|#2|) |has| |#2| (-159)) (($) . T) (((-383 (-532))) |has| |#2| (-524))) 
+(|has| |#1| (-524)) 
+((((-383 |#2|)) . T) (((-383 (-532))) . T) (($) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+((((-355)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-508)) 
-(|has| |#1| (-1001)) 
-((((-710 |#1| (-787 |#2|))) |has| (-710 |#1| (-787 |#2|)) (-278 (-710 |#1| (-787 |#2|))))) 
-(-1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-524)) 
+(|has| |#1| (-1025)) 
+((((-733 |#1| (-810 |#2|))) |has| (-733 |#1| (-810 |#2|)) (-282 (-733 |#1| (-810 |#2|))))) 
+(-1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
 (((|#1|) . T)) 
 (((|#2| |#3|) . T)) 
-(|has| |#2| (-830)) 
+(|has| |#2| (-852)) 
 (((|#1|) . T)) 
-(((|#1| (-487 |#2|)) . T)) 
-(((|#1| (-701)) . T)) 
-(|has| |#1| (-206)) 
-(((|#1| (-487 (-990 (-1070)))) . T)) 
-(|has| |#2| (-331)) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 (-50)))) . T)) 
+(((|#1| (-504 |#2|)) . T)) 
+(((|#1| (-723)) . T)) 
+(|has| |#1| (-210)) 
+(((|#1| (-504 (-1015 (-1096)))) . T)) 
+(|has| |#2| (-339)) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 (-51)))) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(-1405 (|has| |#3| (-723)) (|has| |#3| (-775))) 
-((((-786)) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(-1328 (|has| |#3| (-746)) (|has| |#3| (-798))) 
+((((-808)) . T)) 
 (((|#1|) . T)) 
-((($ $) . T) (((-553 $) $) . T)) 
+((($ $) . T) (((-571 $) $) . T)) 
 (((|#1|) . T)) 
-((((-501)) . T)) 
+((((-532)) . T)) 
 (((|#3|) . T)) 
-((((-786)) . T)) 
-(-1405 (|has| |#1| (-276)) (|has| |#1| (-331)) (|has| |#1| (-318))) 
-(-1405 (|has| |#1| (-132)) (|has| |#1| (-134)) (|has| |#1| (-156)) (|has| |#1| (-508)) (|has| |#1| (-959))) 
-((((-528 |#1|) (-528 |#1|)) . T) (($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-((($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-(((|#1|) |has| |#1| (-156))) 
-((((-528 |#1|)) . T) (($) . T) (((-375 (-501))) . T)) 
-((($) . T) (((-375 (-501))) . T)) 
-((($) . T) (((-375 (-501))) . T)) 
-(((|#2|) |has| |#2| (-6 (-4169 "*")))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-262 |#3|)) . T)) 
-(((|#1|) . T)) 
-((((-375 (-501)) (-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2| |#2|) . T) (($ $) -1405 (|has| |#2| (-156)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
+((((-808)) . T)) 
+(-1328 (|has| |#1| (-280)) (|has| |#1| (-339)) (|has| |#1| (-325))) 
+(-1328 (|has| |#1| (-135)) (|has| |#1| (-137)) (|has| |#1| (-159)) (|has| |#1| (-524)) (|has| |#1| (-983))) 
+((((-532)) |has| |#2| (-594 (-532))) ((|#2|) . T)) 
+((((-545 |#1|) (-545 |#1|)) . T) (($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+((($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+(((|#1|) |has| |#1| (-159))) 
+(((|#1| (-1178 |#1|) (-1178 |#1|)) . T)) 
+((((-545 |#1|)) . T) (($) . T) (((-383 (-532))) . T)) 
+((($) . T) (((-383 (-532))) . T)) 
+((($) . T) (((-383 (-532))) . T)) 
+(((|#2|) |has| |#2| (-6 (-4291 "*")))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-267 |#3|)) . T)) 
+(((|#1|) . T)) 
+((((-383 (-532)) (-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2| |#2|) . T) (($ $) -1328 (|has| |#2| (-159)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
 (((|#2| |#2|) . T) ((|#6| |#6|) . T)) 
-((($) . T) (((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) . T)) 
-((($) . T) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (($) . T)) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1| |#1|) . T) (((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1| |#1|) . T) (((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#2|) . T)) 
-((((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) . T) (($) -1405 (|has| |#2| (-156)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
+((($) . T) (((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) . T)) 
+((($) . T) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (($) . T)) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#2|) . T)) 
+((((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) . T) (($) -1328 (|has| |#2| (-159)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
 (((|#2|) . T) ((|#6|) . T)) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1| |#1|) . T) (((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((((-786)) . T)) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(|has| |#2| (-830)) 
-(|has| |#1| (-830)) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-808)) . T)) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(|has| |#2| (-852)) 
+(|has| |#1| (-852)) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
 (((|#1|) . T)) 
-((((-2 (|:| -3626 (-1053)) (|:| -2922 |#1|))) . T)) 
+((((-2 (|:| -3220 (-1078)) (|:| -2330 |#1|))) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1001)) 
-(((|#1|) . T)) 
-((((-1070)) . T) ((|#1|) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(((|#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001)))) 
-((((-375 (-501)) (-375 (-501))) . T)) 
-((((-375 (-501))) . T)) 
-(-1405 (|has| |#2| (-25)) (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-((((-490)) . T)) 
-((((-786)) . T)) 
-((((-1070)) |has| |#2| (-820 (-1070))) (((-986)) . T)) 
-((((-1130 |#2| |#3| |#4|)) . T)) 
-((((-826 |#1|)) . T)) 
-((($) . T) (((-375 (-501))) . T)) 
-(-12 (|has| |#1| (-331)) (|has| |#2| (-750))) 
-(-12 (|has| |#1| (-331)) (|has| |#2| (-750))) 
-(|has| |#1| (-1108)) 
-(((|#2|) . T)) 
-((($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-((((-1070)) |has| |#1| (-820 (-1070)))) 
-((((-826 |#1|)) . T) (((-375 (-501))) . T) (($) . T)) 
-((($) . T) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) ((|#1|) . T)) 
-((((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1| |#1|) . T) (($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-508)))) 
-((($) . T) (((-375 (-501))) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (((-501)) . T) (($) . T)) 
-(((|#2|) |has| |#2| (-959)) (((-501)) -12 (|has| |#2| (-577 (-501))) (|has| |#2| (-959)))) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) . T) (($) -1405 (|has| |#1| (-156)) (|has| |#1| (-508)))) 
-(|has| |#1| (-508)) 
-(((|#1|) |has| |#1| (-331))) 
-((((-501)) . T)) 
-(|has| |#1| (-721)) 
-(|has| |#1| (-721)) 
-((((-1070) (-111 |#1|)) |has| (-111 |#1|) (-476 (-1070) (-111 |#1|))) (((-111 |#1|) (-111 |#1|)) |has| (-111 |#1|) (-278 (-111 |#1|)))) 
-(((|#2|) . T) (((-501)) |has| |#2| (-950 (-501))) (((-375 (-501))) |has| |#2| (-950 (-375 (-501))))) 
-((((-986)) . T) ((|#2|) . T) (((-501)) |has| |#2| (-950 (-501))) (((-375 (-501))) |has| |#2| (-950 (-375 (-501))))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-501) (-701)) . T) ((|#3| (-701)) . T)) 
+(|has| |#1| (-1025)) 
+(((|#1|) . T)) 
+((((-1096)) . T) ((|#1|) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(((|#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025)))) 
+((((-383 (-532)) (-383 (-532))) . T)) 
+((((-383 (-532))) . T)) 
+(-1328 (|has| |#2| (-25)) (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+((((-508)) . T)) 
+((((-808)) . T)) 
+((((-1096)) |has| |#2| (-843 (-1096))) (((-1011)) . T)) 
+((((-1163 |#2| |#3| |#4|)) . T)) 
+((((-853 |#1|)) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+((($) . T) (((-383 (-532))) . T)) 
+(-12 (|has| |#1| (-339)) (|has| |#2| (-773))) 
+(-12 (|has| |#1| (-339)) (|has| |#2| (-773))) 
+(|has| |#1| (-1134)) 
+(((|#2|) . T)) 
+((($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+((((-1096)) |has| |#1| (-843 (-1096)))) 
+((((-853 |#1|)) . T) (((-383 (-532))) . T) (($) . T)) 
+((($) . T) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) ((|#1|) . T)) 
+((((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1| |#1|) . T) (($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-524)))) 
+((($) . T) (((-383 (-532))) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (((-532)) . T) (($) . T)) 
+(((|#2|) |has| |#2| (-983)) (((-532)) -12 (|has| |#2| (-594 (-532))) (|has| |#2| (-983)))) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) . T) (($) -1328 (|has| |#1| (-159)) (|has| |#1| (-524)))) 
+(|has| |#1| (-524)) 
+(((|#1|) |has| |#1| (-339))) 
+((((-532)) . T)) 
+(|has| |#1| (-744)) 
+(|has| |#1| (-744)) 
+((((-1096) (-114 |#1|)) |has| (-114 |#1|) (-493 (-1096) (-114 |#1|))) (((-114 |#1|) (-114 |#1|)) |has| (-114 |#1|) (-282 (-114 |#1|)))) 
+(((|#2|) . T) (((-532)) |has| |#2| (-974 (-532))) (((-383 (-532))) |has| |#2| (-974 (-383 (-532))))) 
+((((-1011)) . T) ((|#2|) . T) (((-532)) |has| |#2| (-974 (-532))) (((-383 (-532))) |has| |#2| (-974 (-383 (-532))))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-532) (-723)) . T) ((|#3| (-723)) . T)) 
+((((-1011) |#1|) . T) (((-1011) $) . T) (($ $) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-786)) . T)) 
-(|has| |#2| (-750)) 
-(|has| |#2| (-750)) 
-((((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) ((|#2|) |has| |#1| (-331)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) |has| |#1| (-950 (-375 (-501))))) 
-((((-501)) |has| |#1| (-806 (-501))) (((-346)) |has| |#1| (-806 (-346)))) 
+(((|#2|) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-808)) . T)) 
+(|has| |#2| (-773)) 
+(|has| |#2| (-773)) 
+((((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) ((|#2|) |has| |#1| (-339)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532))))) 
+((((-532)) |has| |#1| (-829 (-532))) (((-355)) |has| |#1| (-829 (-355)))) 
 (((|#1|) . T)) 
-((((-791 |#1|)) . T)) 
-((((-791 |#1|)) . T)) 
-((((-375 (-501))) . T) (((-630)) . T) (($) . T)) 
-(|has| |#1| (-331)) 
-(-12 (|has| |#1| (-331)) (|has| |#2| (-830))) 
-(|has| |#1| (-331)) 
+((((-815 |#1|)) . T)) 
+((((-815 |#1|)) . T)) 
+(-12 (|has| |#1| (-339)) (|has| |#2| (-852))) 
+((((-383 (-532))) . T) (((-648)) . T) (($) . T)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-339)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#4|) -12 (|has| |#4| (-278 |#4|)) (|has| |#4| (-1001)))) 
-(|has| |#1| (-331)) 
+(((|#4|) -12 (|has| |#4| (-282 |#4|)) (|has| |#4| (-1025)))) 
+(|has| |#1| (-339)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-787 |#1|)) . T)) 
+((((-810 |#1|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#2| (-701)) . T)) 
-((((-1070)) . T)) 
-((((-791 |#1|)) . T)) 
-(-1405 (|has| |#3| (-25)) (|has| |#3| (-123)) (|has| |#3| (-156)) (|has| |#3| (-331)) (|has| |#3| (-723)) (|has| |#3| (-775)) (|has| |#3| (-959))) 
-(-1405 (|has| |#3| (-156)) (|has| |#3| (-331)) (|has| |#3| (-775)) (|has| |#3| (-959))) 
-((((-786)) . T)) 
+(((|#2| (-723)) . T)) 
+((((-1096)) . T)) 
+((((-815 |#1|)) . T)) 
+(-1328 (|has| |#3| (-25)) (|has| |#3| (-126)) (|has| |#3| (-159)) (|has| |#3| (-339)) (|has| |#3| (-746)) (|has| |#3| (-798)) (|has| |#3| (-983))) 
+(-1328 (|has| |#3| (-159)) (|has| |#3| (-339)) (|has| |#3| (-798)) (|has| |#3| (-983))) 
+((((-808)) . T)) 
 (((|#1|) . T)) 
-(-1405 (|has| |#2| (-723)) (|has| |#2| (-775))) 
-(-1405 (-12 (|has| |#1| (-723)) (|has| |#2| (-723))) (-12 (|has| |#1| (-777)) (|has| |#2| (-777)))) 
-((((-791 |#1|)) . T)) 
+(-1328 (|has| |#2| (-746)) (|has| |#2| (-798))) 
+(-1328 (-12 (|has| |#1| (-746)) (|has| |#2| (-746))) (-12 (|has| |#1| (-800)) (|has| |#2| (-800)))) 
+((((-815 |#1|)) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
-((($ $) . T) (((-553 $) $) . T)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+((($ $) . T) (((-571 $) $) . T)) 
 ((($) . T)) 
-((((-786)) . T)) 
-((((-501)) . T)) 
+((((-808)) . T)) 
+((((-532)) . T)) 
 (((|#2|) . T)) 
-((((-786)) . T)) 
-(((|#1|) . T) (((-375 (-501))) |has| |#1| (-331))) 
-((((-786)) . T)) 
+((((-808)) . T)) 
+(((|#1|) . T) (((-383 (-532))) |has| |#1| (-339))) 
+((((-808)) . T)) 
 (((|#1|) . T)) 
-((((-786)) . T)) 
-((($) . T) ((|#2|) . T) (((-375 (-501))) . T)) 
-(|has| |#1| (-1001)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
+((((-808)) . T)) 
+((($) . T) ((|#2|) . T) (((-383 (-532))) . T)) 
+(|has| |#1| (-1025)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-786)) . T)) 
-(|has| |#2| (-830)) 
-((((-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) . T)) 
-((((-490)) |has| |#2| (-556 (-490))) (((-810 (-346))) |has| |#2| (-556 (-810 (-346)))) (((-810 (-501))) |has| |#2| (-556 (-810 (-501))))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(((|#3|) |has| |#3| (-959)) (((-501)) -12 (|has| |#3| (-577 (-501))) (|has| |#3| (-959)))) 
-((((-1023 |#1| |#2|)) . T) (((-866 |#1|)) |has| |#2| (-556 (-1070))) (((-786)) . T)) 
-((((-866 |#1|)) |has| |#2| (-556 (-1070))) (((-1053)) -12 (|has| |#1| (-950 (-501))) (|has| |#2| (-556 (-1070)))) (((-810 (-501))) -12 (|has| |#1| (-556 (-810 (-501)))) (|has| |#2| (-556 (-810 (-501))))) (((-810 (-346))) -12 (|has| |#1| (-556 (-810 (-346)))) (|has| |#2| (-556 (-810 (-346))))) (((-490)) -12 (|has| |#1| (-556 (-490))) (|has| |#2| (-556 (-490))))) 
-((((-1064 |#1|)) . T) (((-786)) . T)) 
-((((-786)) . T)) 
-((((-375 (-501))) |has| |#2| (-950 (-375 (-501)))) (((-501)) |has| |#2| (-950 (-501))) ((|#2|) . T) (((-787 |#1|)) . T)) 
-((((-111 |#1|)) . T) (($) . T) (((-375 (-501))) . T)) 
-((((-375 (-501))) |has| |#1| (-950 (-375 (-501)))) (((-501)) |has| |#1| (-950 (-501))) ((|#1|) . T) (((-1070)) . T)) 
-((((-786)) . T)) 
-((((-501)) . T)) 
+((((-808)) . T)) 
+(|has| |#2| (-852)) 
+((((-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) . T)) 
+((((-508)) |has| |#2| (-573 (-508))) (((-835 (-355))) |has| |#2| (-573 (-835 (-355)))) (((-835 (-532))) |has| |#2| (-573 (-835 (-532))))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(((|#3|) |has| |#3| (-983)) (((-532)) -12 (|has| |#3| (-594 (-532))) (|has| |#3| (-983)))) 
+((((-1048 |#1| |#2|)) . T) (((-895 |#1|)) |has| |#2| (-573 (-1096))) (((-808)) . T)) 
+((((-895 |#1|)) |has| |#2| (-573 (-1096))) (((-1078)) -12 (|has| |#1| (-974 (-532))) (|has| |#2| (-573 (-1096)))) (((-835 (-532))) -12 (|has| |#1| (-573 (-835 (-532)))) (|has| |#2| (-573 (-835 (-532))))) (((-835 (-355))) -12 (|has| |#1| (-573 (-835 (-355)))) (|has| |#2| (-573 (-835 (-355))))) (((-508)) -12 (|has| |#1| (-573 (-508))) (|has| |#2| (-573 (-508))))) 
+((((-1092 |#1|)) . T) (((-808)) . T)) 
+((((-808)) . T)) 
+((((-383 (-532))) |has| |#2| (-974 (-383 (-532)))) (((-532)) |has| |#2| (-974 (-532))) ((|#2|) . T) (((-810 |#1|)) . T)) 
+((((-114 |#1|)) . T) (($) . T) (((-383 (-532))) . T)) 
+((((-383 (-532))) |has| |#1| (-974 (-383 (-532)))) (((-532)) |has| |#1| (-974 (-532))) ((|#1|) . T) (((-1096)) . T)) 
+((((-808)) . T)) 
+((((-532)) . T)) 
 ((($) . T)) 
-((((-346)) |has| |#1| (-806 (-346))) (((-501)) |has| |#1| (-806 (-501)))) 
-((((-501)) . T)) 
+((((-355)) |has| |#1| (-829 (-355))) (((-532)) |has| |#1| (-829 (-532)))) 
+((((-532)) . T)) 
 (((|#1|) . T)) 
-((((-786)) . T)) 
+((((-808)) . T)) 
 (((|#1|) . T)) 
-((((-786)) . T)) 
-(((|#1|) |has| |#1| (-156)) (($) . T)) 
-((((-501)) . T) (((-375 (-501))) . T)) 
-(((|#1|) |has| |#1| (-278 |#1|))) 
-((((-786)) . T)) 
-((((-346)) . T)) 
+((((-808)) . T)) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#1|) |has| |#1| (-159)) (($) . T)) 
+((((-532)) . T) (((-383 (-532))) . T)) 
+(((|#1|) |has| |#1| (-282 |#1|))) 
+((((-808)) . T)) 
+((((-355)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-786)) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-((((-375 |#2|) |#3|) . T)) 
+((((-808)) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+((((-383 |#2|) |#3|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1001)) 
-(((|#2| (-448 (-3581 |#1|) (-701))) . T)) 
-((((-501) |#1|) . T)) 
+(|has| |#1| (-1025)) 
+(((|#2| (-465 (-3502 |#1|) (-723))) . T)) 
+((((-532) |#1|) . T)) 
 (((|#2| |#2|) . T)) 
-(((|#1| (-487 (-1070))) . T)) 
-(-1405 (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-((((-501)) . T)) 
+(((|#1| (-504 (-1096))) . T)) 
+(-1328 (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+((((-532)) . T)) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
-((((-1070)) |has| |#1| (-820 (-1070))) (((-986)) . T)) 
-(((|#1|) . T) (((-501)) |has| |#1| (-577 (-501)))) 
-(|has| |#1| (-508)) 
-((($) . T) (((-375 (-501))) . T)) 
+((((-1096)) |has| |#1| (-843 (-1096))) (((-1011)) . T)) 
+(((|#1|) . T) (((-532)) |has| |#1| (-594 (-532)))) 
+(|has| |#1| (-524)) 
+((($) . T) (((-383 (-532))) . T)) 
 ((($) . T)) 
 ((($) . T)) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
 (((|#1|) . T)) 
-((($) -1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((((-786)) . T)) 
-((((-131)) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T)) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-808)) . T)) 
+((((-134)) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-786)) . T)) 
+((((-808)) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1046)) 
-(((|#1| (-487 (-787 |#2|)) (-787 |#2|) (-710 |#1| (-787 |#2|))) . T)) 
+(|has| |#1| (-1071)) 
+(((|#1| (-504 (-810 |#2|)) (-810 |#2|) (-733 |#1| (-810 |#2|))) . T)) 
 (((|#1|) . T)) 
-((((-375 $) (-375 $)) |has| |#1| (-508)) (($ $) . T) ((|#1| |#1|) . T)) 
-(((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) |has| |#1| (-950 (-375 (-501))))) 
-((((-375 (-501))) |has| |#1| (-950 (-375 (-501)))) (((-501)) |has| |#1| (-950 (-501))) ((|#1|) . T) ((|#2|) . T)) 
-((((-986)) . T) ((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) |has| |#1| (-950 (-375 (-501))))) 
-((((-346)) -12 (|has| |#1| (-806 (-346))) (|has| |#2| (-806 (-346)))) (((-501)) -12 (|has| |#1| (-806 (-501))) (|has| |#2| (-806 (-501))))) 
-((((-1136 |#1| |#2| |#3| |#4|)) . T)) 
-((((-501) |#1|) . T)) 
+((((-383 $) (-383 $)) |has| |#1| (-524)) (($ $) . T) ((|#1| |#1|) . T)) 
+(((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532))))) 
+((((-383 (-532))) |has| |#1| (-974 (-383 (-532)))) (((-532)) |has| |#1| (-974 (-532))) ((|#1|) . T) ((|#2|) . T)) 
+((((-1011)) . T) ((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532))))) 
+((((-355)) -12 (|has| |#1| (-829 (-355))) (|has| |#2| (-829 (-355)))) (((-532)) -12 (|has| |#1| (-829 (-532))) (|has| |#2| (-829 (-532))))) 
+((((-1164 |#1| |#2| |#3| |#4|)) . T)) 
+((((-532) |#1|) . T)) 
 (((|#1| |#1|) . T)) 
 ((($) . T) ((|#2|) . T)) 
-(((|#1|) |has| |#1| (-156)) (($) . T)) 
-((($) . T)) 
-((((-630)) . T)) 
-((((-710 |#1| (-787 |#2|))) . T)) 
-((($) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-(|has| |#1| (-1001)) 
-(|has| |#1| (-1001)) 
-(|has| |#2| (-331)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-501)) . T)) 
-((((-1070)) -12 (|has| |#4| (-820 (-1070))) (|has| |#4| (-959)))) 
-((((-1070)) -12 (|has| |#3| (-820 (-1070))) (|has| |#3| (-959)))) 
-(((|#1|) . T)) 
-(|has| |#1| (-206)) 
-(((|#1| (-487 |#3|)) . T)) 
-(|has| |#1| (-336)) 
-(((|#2| (-212 (-3581 |#1|) (-701))) . T)) 
-(|has| |#1| (-336)) 
-(|has| |#1| (-336)) 
+(((|#1|) |has| |#1| (-159)) (($) . T)) 
+((($) . T)) 
+((((-648)) . T)) 
+((((-733 |#1| (-810 |#2|))) . T)) 
+((($) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+(|has| |#1| (-1025)) 
+(|has| |#1| (-1025)) 
+(|has| |#2| (-339)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-532)) . T)) 
+((((-1096)) -12 (|has| |#4| (-843 (-1096))) (|has| |#4| (-983)))) 
+((((-1096)) -12 (|has| |#3| (-843 (-1096))) (|has| |#3| (-983)))) 
+(-1328 (|has| |#2| (-339)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+(((|#1|) . T)) 
+(|has| |#1| (-210)) 
+(((|#1| (-504 |#3|)) . T)) 
+(|has| |#1| (-344)) 
+(((|#2| (-217 (-3502 |#1|) (-723))) . T)) 
+(|has| |#1| (-344)) 
+(|has| |#1| (-344)) 
+(|has| |#2| (-852)) 
 (((|#1|) . T) (($) . T)) 
-(((|#1| (-487 |#2|)) . T)) 
-(-1405 (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-(((|#1| (-701)) . T)) 
-(|has| |#1| (-508)) 
-(-1405 (|has| |#2| (-25)) (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
+(-1328 (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+(((|#1| (-504 |#2|)) . T)) 
+(((|#1| (-723)) . T)) 
+(-1328 (|has| |#2| (-25)) (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) 
-((((-786)) . T)) 
-(-1405 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-123)) (|has| |#2| (-123))) (-12 (|has| |#1| (-723)) (|has| |#2| (-723)))) 
-(-1405 (|has| |#3| (-123)) (|has| |#3| (-156)) (|has| |#3| (-331)) (|has| |#3| (-723)) (|has| |#3| (-775)) (|has| |#3| (-959))) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-(((|#1|) |has| |#1| (-156))) 
-(((|#4|) |has| |#4| (-959))) 
-(((|#3|) |has| |#3| (-959))) 
-(-12 (|has| |#1| (-331)) (|has| |#2| (-750))) 
-(-12 (|has| |#1| (-331)) (|has| |#2| (-750))) 
-((((-786)) -1405 (|has| |#1| (-777)) (|has| |#1| (-1001)))) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((((-375 |#2|)) . T) (((-375 (-501))) . T) (($) . T)) 
-((($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-((((-786)) . T)) 
-((($) . T) (((-375 (-501))) . T)) 
-(((|#1|) . T)) 
-(((|#4|) |has| |#4| (-1001)) (((-501)) -12 (|has| |#4| (-950 (-501))) (|has| |#4| (-1001))) (((-375 (-501))) -12 (|has| |#4| (-950 (-375 (-501)))) (|has| |#4| (-1001)))) 
-(((|#3|) |has| |#3| (-1001)) (((-501)) -12 (|has| |#3| (-950 (-501))) (|has| |#3| (-1001))) (((-375 (-501))) -12 (|has| |#3| (-950 (-375 (-501)))) (|has| |#3| (-1001)))) 
-(|has| |#2| (-331)) 
-(((|#2|) |has| |#2| (-959)) (((-501)) -12 (|has| |#2| (-577 (-501))) (|has| |#2| (-959)))) 
-(((|#1|) . T)) 
-(|has| |#2| (-331)) 
-((((-375 (-501)) (-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2| |#2|) . T) (($ $) -1405 (|has| |#2| (-156)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1| |#1|) . T) (((-375 (-501)) (-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#1| |#1|) . T) (($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
+((((-808)) . T)) 
+(-1328 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-126)) (|has| |#2| (-126))) (-12 (|has| |#1| (-746)) (|has| |#2| (-746)))) 
+(|has| |#1| (-524)) 
+(-1328 (|has| |#3| (-126)) (|has| |#3| (-159)) (|has| |#3| (-339)) (|has| |#3| (-746)) (|has| |#3| (-798)) (|has| |#3| (-983))) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-676)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+(((|#1|) |has| |#1| (-159))) 
+(((|#4|) |has| |#4| (-983))) 
+(((|#3|) |has| |#3| (-983))) 
+(-12 (|has| |#1| (-339)) (|has| |#2| (-773))) 
+(-12 (|has| |#1| (-339)) (|has| |#2| (-773))) 
+((((-808)) -1328 (|has| |#1| (-800)) (|has| |#1| (-1025)))) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((((-383 |#2|)) . T) (((-383 (-532))) . T) (($) . T)) 
+((($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+((((-808)) . T)) 
+((($) . T) (((-383 (-532))) . T)) 
+(((|#1|) . T)) 
+(((|#4|) |has| |#4| (-1025)) (((-532)) -12 (|has| |#4| (-974 (-532))) (|has| |#4| (-1025))) (((-383 (-532))) -12 (|has| |#4| (-974 (-383 (-532)))) (|has| |#4| (-1025)))) 
+(((|#3|) |has| |#3| (-1025)) (((-532)) -12 (|has| |#3| (-974 (-532))) (|has| |#3| (-1025))) (((-383 (-532))) -12 (|has| |#3| (-974 (-383 (-532)))) (|has| |#3| (-1025)))) 
+(|has| |#2| (-339)) 
+(((|#2|) |has| |#2| (-983)) (((-532)) -12 (|has| |#2| (-594 (-532))) (|has| |#2| (-983)))) 
+(((|#1|) . T)) 
+(|has| |#2| (-339)) 
+((((-383 (-532)) (-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2| |#2|) . T) (($ $) -1328 (|has| |#2| (-159)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1| |#1|) . T) (((-383 (-532)) (-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#1| |#1|) . T) (($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
 (((|#2| |#2|) . T)) 
-((((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) . T) (($) -1405 (|has| |#2| (-156)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#1|) . T) (($) . T) (((-375 (-501))) . T)) 
-(((|#1|) . T) (($) . T) (((-375 (-501))) . T)) 
-(((|#1|) . T) (($) . T) (((-375 (-501))) . T)) 
-(((|#2|) . T)) 
-((($) . T)) 
-((((-786)) |has| |#1| (-1001))) 
-((((-1136 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-750)) 
-(|has| |#2| (-750)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-15 * (|#1| (-375 (-501)) |#1|))) 
-(|has| |#1| (-331)) 
-(((|#1|) |has| |#2| (-386 |#1|))) 
-(((|#1|) |has| |#2| (-386 |#1|))) 
-((((-826 |#1|)) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-786)) -1405 (|has| |#1| (-777)) (|has| |#1| (-1001)))) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((((-786)) . T)) 
-((((-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) |has| (-2 (|:| -3626 (-1070)) (|:| -2922 (-50))) (-278 (-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))))) 
-(-1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-((((-501) |#1|) . T)) 
-((((-501) |#1|) . T)) 
-((((-501) |#1|) . T)) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-((((-501) |#1|) . T)) 
-(((|#1|) . T)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-((((-1070)) |has| |#1| (-820 (-1070))) (((-748 (-1070))) . T)) 
-(-1405 (|has| |#3| (-123)) (|has| |#3| (-156)) (|has| |#3| (-331)) (|has| |#3| (-723)) (|has| |#3| (-775)) (|has| |#3| (-959))) 
-((((-749 |#1|)) . T)) 
+((((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) . T) (($) -1328 (|has| |#2| (-159)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#1|) . T) (($) . T) (((-383 (-532))) . T)) 
+(((|#1|) . T) (($) . T) (((-383 (-532))) . T)) 
+(((|#1|) . T) (($) . T) (((-383 (-532))) . T)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+((($) . T)) 
+((((-808)) |has| |#1| (-1025))) 
+((((-1164 |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (-773)) 
+(|has| |#2| (-773)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-339)) 
+(|has| |#1| (-15 * (|#1| (-383 (-532)) |#1|))) 
+(|has| |#1| (-339)) 
+(((|#1|) |has| |#2| (-393 |#1|))) 
+(((|#1|) |has| |#2| (-393 |#1|))) 
+((((-853 |#1|)) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-808)) -1328 (|has| |#1| (-800)) (|has| |#1| (-1025)))) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((((-808)) . T)) 
+((((-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) |has| (-2 (|:| -3220 (-1096)) (|:| -2330 (-51))) (-282 (-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))))) 
+(-1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+((((-532) |#1|) . T)) 
+((((-532) |#1|) . T)) 
+((((-532) |#1|) . T)) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+((((-532) |#1|) . T)) 
+(((|#1|) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+((((-1096)) |has| |#1| (-843 (-1096))) (((-771 (-1096))) . T)) 
+(-1328 (|has| |#3| (-126)) (|has| |#3| (-159)) (|has| |#3| (-339)) (|has| |#3| (-746)) (|has| |#3| (-798)) (|has| |#3| (-983))) 
+((((-772 |#1|)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-786)) . T)) 
-(-1405 (|has| |#3| (-156)) (|has| |#3| (-775)) (|has| |#3| (-959))) 
+((((-808)) . T)) 
+(-1328 (|has| |#3| (-159)) (|has| |#3| (-676)) (|has| |#3| (-798)) (|has| |#3| (-983))) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-((((-786)) . T)) 
-((((-1136 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-375 (-501))) . T)) 
-(((|#1|) |has| |#1| (-156)) (($) |has| |#1| (-508)) (((-375 (-501))) |has| |#1| (-508))) 
-(((|#2|) . T) (((-501)) |has| |#2| (-577 (-501)))) 
-(|has| |#1| (-331)) 
-(-1405 (|has| |#1| (-15 * (|#1| (-501) |#1|))) (-12 (|has| |#1| (-331)) (|has| |#2| (-206)))) 
-(|has| |#1| (-15 * (|#1| (-375 (-501)) |#1|))) 
-(|has| |#1| (-331)) 
-(((|#1|) . T)) 
-((((-375 (-501)) (-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) ((|#1| |#1|) . T)) 
-((((-501) |#1|) . T)) 
-((((-282 |#1|)) . T)) 
-((((-630) (-1064 (-630))) . T)) 
-((((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) (($) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) ((|#1|) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+((((-808)) . T)) 
+((((-1164 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-383 (-532))) . T)) 
+(((|#1|) |has| |#1| (-159)) (($) |has| |#1| (-524)) (((-383 (-532))) |has| |#1| (-524))) 
+(((|#2|) . T) (((-532)) |has| |#2| (-594 (-532)))) 
+(|has| |#1| (-339)) 
+(-1328 (|has| |#1| (-15 * (|#1| (-532) |#1|))) (-12 (|has| |#1| (-339)) (|has| |#2| (-210)))) 
+(|has| |#1| (-15 * (|#1| (-383 (-532)) |#1|))) 
+(|has| |#1| (-339)) 
+(((|#1|) . T)) 
+((((-383 (-532)) (-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) ((|#1| |#1|) . T)) 
+((((-532) |#1|) . T)) 
+((((-288 |#1|)) . T)) 
+((((-648) (-1092 (-648))) . T)) 
+((((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) (($) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) ((|#1|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-(|has| |#1| (-775)) 
-((($ $) . T) (((-787 |#1|) $) . T) (((-787 |#1|) |#2|) . T)) 
-((((-1023 |#1| (-1070))) . T) (((-748 (-1070))) . T) ((|#1|) . T) (((-501)) |has| |#1| (-950 (-501))) (((-375 (-501))) |has| |#1| (-950 (-375 (-501)))) (((-1070)) . T)) 
+(|has| |#1| (-798)) 
+((($ $) . T) (((-810 |#1|) $) . T) (((-810 |#1|) |#2|) . T)) 
+((((-1048 |#1| (-1096))) . T) (((-771 (-1096))) . T) ((|#1|) . T) (((-532)) |has| |#1| (-974 (-532))) (((-383 (-532))) |has| |#1| (-974 (-383 (-532)))) (((-1096)) . T)) 
 ((($) . T)) 
 (((|#2| |#1|) . T) ((|#2| $) . T) (($ $) . T)) 
-((((-986) |#1|) . T) (((-986) $) . T) (($ $) . T)) 
-((($ $) . T) (((-1070) $) |has| |#1| (-206)) (((-1070) |#1|) |has| |#1| (-206)) (((-990 (-1070)) |#1|) . T) (((-990 (-1070)) $) . T)) 
+((((-1011) |#1|) . T) (((-1011) $) . T) (($ $) . T)) 
+((($ $) . T) (((-1096) $) |has| |#1| (-210)) (((-1096) |#1|) |has| |#1| (-210)) (((-1015 (-1096)) |#1|) . T) (((-1015 (-1096)) $) . T)) 
 ((($) . T) ((|#2|) . T)) 
-((($) . T) ((|#2|) . T) (((-375 (-501))) |has| |#2| (-37 (-375 (-501))))) 
-(|has| |#2| (-830)) 
-((($) . T) (((-1130 |#2| |#3| |#4|)) |has| (-1130 |#2| |#3| |#4|) (-156)) (((-375 (-501))) |has| (-1130 |#2| |#3| |#4|) (-37 (-375 (-501))))) 
-((((-501) |#1|) . T)) 
-((((-1136 |#1| |#2| |#3| |#4|)) |has| (-1136 |#1| |#2| |#3| |#4|) (-278 (-1136 |#1| |#2| |#3| |#4|)))) 
-((($) . T)) 
-(((|#1|) . T)) 
-((($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501)) (-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) ((|#2| |#2|) |has| |#1| (-331)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501)) (-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331)))) 
-(|has| |#2| (-206)) 
-(|has| $ (-134)) 
-((((-786)) . T)) 
-((($) . T) (((-375 (-501))) -1405 (|has| |#1| (-331)) (|has| |#1| (-318))) ((|#1|) . T)) 
-((((-786)) . T)) 
-(|has| |#1| (-775)) 
-((((-1070)) -12 (|has| |#1| (-15 * (|#1| (-501) |#1|))) (|has| |#1| (-820 (-1070))))) 
-((((-375 |#2|) |#3|) . T)) 
-(((|#1|) . T)) 
-((((-786)) . T)) 
-(((|#2| (-606 |#1|)) . T)) 
-(-12 (|has| |#1| (-276)) (|has| |#1| (-830))) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
+((($) . T) ((|#2|) . T) (((-383 (-532))) |has| |#2| (-37 (-383 (-532))))) 
+(|has| |#2| (-852)) 
+((($) . T) (((-1163 |#2| |#3| |#4|)) |has| (-1163 |#2| |#3| |#4|) (-159)) (((-383 (-532))) |has| (-1163 |#2| |#3| |#4|) (-37 (-383 (-532))))) 
+((((-532) |#1|) . T)) 
+((((-1164 |#1| |#2| |#3| |#4|)) |has| (-1164 |#1| |#2| |#3| |#4|) (-282 (-1164 |#1| |#2| |#3| |#4|)))) 
+((($) . T)) 
+(((|#1|) . T)) 
+((($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532)) (-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) ((|#2| |#2|) |has| |#1| (-339)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532)) (-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339)))) 
+(((|#2|) . T)) 
+(|has| |#2| (-210)) 
+(|has| $ (-137)) 
+((((-808)) . T)) 
+((($) . T) (((-383 (-532))) -1328 (|has| |#1| (-339)) (|has| |#1| (-325))) ((|#1|) . T)) 
+((((-808)) . T)) 
+(|has| |#1| (-798)) 
+((((-1096)) -12 (|has| |#1| (-15 * (|#1| (-532) |#1|))) (|has| |#1| (-843 (-1096))))) 
+((((-383 |#2|) |#3|) . T)) 
+(((|#1|) . T)) 
+((((-808)) . T)) 
+(((|#2| (-623 |#1|)) . T)) 
+(-12 (|has| |#1| (-280)) (|has| |#1| (-852))) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
 (((|#4|) . T)) 
-(|has| |#1| (-508)) 
-((((-1070)) -1405 (-12 (|has| (-1139 |#1| |#2| |#3|) (-820 (-1070))) (|has| |#1| (-331))) (-12 (|has| |#1| (-15 * (|#1| (-501) |#1|))) (|has| |#1| (-820 (-1070)))))) 
-((($) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331))) ((|#2|) |has| |#1| (-331)) ((|#1|) . T)) 
-((((-1070)) -12 (|has| |#1| (-15 * (|#1| (-375 (-501)) |#1|))) (|has| |#1| (-820 (-1070))))) 
-(((|#1|) . T) (($) -1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-508))) (((-375 (-501))) -1405 (|has| |#1| (-37 (-375 (-501)))) (|has| |#1| (-331)))) 
-((((-1070)) -12 (|has| |#1| (-15 * (|#1| (-701) |#1|))) (|has| |#1| (-820 (-1070))))) 
-(((|#4|) -12 (|has| |#4| (-278 |#4|)) (|has| |#4| (-1001)))) 
-((((-501) |#1|) . T)) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-(((|#1|) . T)) 
-(((|#1| (-487 (-748 (-1070)))) . T)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(((|#1|) . T)) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-(((|#1|) . T)) 
-(-1405 (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-(-1405 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-123)) (|has| |#2| (-123))) (-12 (|has| |#1| (-723)) (|has| |#2| (-723)))) 
-((((-1139 |#1| |#2| |#3|)) |has| |#1| (-331))) 
-((($) . T) (((-791 |#1|)) . T) (((-375 (-501))) . T)) 
-((((-1139 |#1| |#2| |#3|)) |has| |#1| (-331))) 
-(|has| |#1| (-508)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-375 |#2|)) . T)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-318))) 
-((((-786)) -1405 (|has| |#1| (-777)) (|has| |#1| (-1001)))) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((((-786)) |has| |#1| (-1001))) 
-((((-786)) -1405 (|has| |#1| (-777)) (|has| |#1| (-1001)))) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((((-786)) -1405 (|has| |#1| (-777)) (|has| |#1| (-1001)))) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((((-786)) |has| |#1| (-1001))) 
-(((|#1|) . T)) 
-(((|#2| |#2|) . T) (((-375 (-501)) (-375 (-501))) . T) (($ $) . T)) 
-((((-501)) . T)) 
-((((-786)) . T)) 
-(((|#2|) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-528 |#1|)) . T) (((-375 (-501))) . T) (($) . T)) 
-((((-786)) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-((((-501) |#1|) . T)) 
-((((-786)) . T)) 
-((($ $) . T) (((-1070) $) . T)) 
-((((-1139 |#1| |#2| |#3|)) . T)) 
-((((-1139 |#1| |#2| |#3|)) . T) (((-1109 |#1| |#2| |#3|)) . T)) 
-(((|#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1| (-487 (-787 |#2|)) (-787 |#2|) (-710 |#1| (-787 |#2|))) . T)) 
-((((-490)) |has| |#2| (-556 (-490))) (((-810 (-346))) |has| |#2| (-556 (-810 (-346)))) (((-810 (-501))) |has| |#2| (-556 (-810 (-501))))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-810 (-501))) -12 (|has| |#1| (-556 (-810 (-501)))) (|has| |#3| (-556 (-810 (-501))))) (((-810 (-346))) -12 (|has| |#1| (-556 (-810 (-346)))) (|has| |#3| (-556 (-810 (-346))))) (((-490)) -12 (|has| |#1| (-556 (-490))) (|has| |#3| (-556 (-490))))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(((|#1| |#2| (-212 |#1| |#2|) (-212 |#1| |#2|)) . T)) 
-((((-786)) . T)) 
-((((-1139 |#1| |#2| |#3|)) |has| |#1| (-331))) 
-((((-1070)) . T) (((-786)) . T)) 
-(|has| |#1| (-331)) 
-((((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) |has| |#2| (-156)) (($) -1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830)))) 
+(|has| |#1| (-524)) 
+((((-1096)) -12 (|has| |#1| (-15 * (|#1| (-723) |#1|))) (|has| |#1| (-843 (-1096))))) 
+((($) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339))) ((|#2|) |has| |#1| (-339)) ((|#1|) . T)) 
+((((-1096)) -1328 (-12 (|has| (-1170 |#1| |#2| |#3|) (-843 (-1096))) (|has| |#1| (-339))) (-12 (|has| |#1| (-15 * (|#1| (-532) |#1|))) (|has| |#1| (-843 (-1096)))))) 
+(((|#1|) . T) (($) -1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-524))) (((-383 (-532))) -1328 (|has| |#1| (-37 (-383 (-532)))) (|has| |#1| (-339)))) 
+((((-1096)) -12 (|has| |#1| (-15 * (|#1| (-383 (-532)) |#1|))) (|has| |#1| (-843 (-1096))))) 
+((((-1096)) -12 (|has| |#1| (-15 * (|#1| (-723) |#1|))) (|has| |#1| (-843 (-1096))))) 
+(((|#4|) -12 (|has| |#4| (-282 |#4|)) (|has| |#4| (-1025)))) 
+((((-532) |#1|) . T)) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+(((|#1|) . T)) 
+(((|#1| (-504 (-771 (-1096)))) . T)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(((|#1|) . T)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+(((|#1|) . T)) 
+(-1328 (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+(-1328 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-126)) (|has| |#2| (-126))) (-12 (|has| |#1| (-746)) (|has| |#2| (-746)))) 
+((((-1170 |#1| |#2| |#3|)) |has| |#1| (-339))) 
+((($) . T) (((-815 |#1|)) . T) (((-383 (-532))) . T)) 
+((((-1170 |#1| |#2| |#3|)) |has| |#1| (-339))) 
+(|has| |#1| (-524)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-383 |#2|)) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-325))) 
+((((-808)) -1328 (|has| |#1| (-800)) (|has| |#1| (-1025)))) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((((-808)) |has| |#1| (-1025))) 
+((((-808)) -1328 (|has| |#1| (-800)) (|has| |#1| (-1025)))) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((((-808)) -1328 (|has| |#1| (-800)) (|has| |#1| (-1025)))) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((((-808)) |has| |#1| (-1025))) 
+(((|#2|) |has| |#2| (-159)) (($) . T) (((-383 (-532))) |has| |#2| (-524))) 
+(((|#1|) . T)) 
+(((|#2| |#2|) . T) (((-383 (-532)) (-383 (-532))) . T) (($ $) . T)) 
+((((-532)) . T)) 
+(((|#2|) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-808)) . T)) 
+((((-545 |#1|)) . T) (((-383 (-532))) . T) (($) . T)) 
+((((-808)) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+((((-532) |#1|) . T)) 
+((((-808)) . T)) 
+((($ $) . T) (((-1096) $) . T)) 
+((((-1170 |#1| |#2| |#3|)) . T)) 
+((((-1170 |#1| |#2| |#3|)) . T) (((-1142 |#1| |#2| |#3|)) . T)) 
+(((|#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1| (-504 (-810 |#2|)) (-810 |#2|) (-733 |#1| (-810 |#2|))) . T)) 
+((((-508)) |has| |#2| (-573 (-508))) (((-835 (-355))) |has| |#2| (-573 (-835 (-355)))) (((-835 (-532))) |has| |#2| (-573 (-835 (-532))))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-835 (-532))) -12 (|has| |#1| (-573 (-835 (-532)))) (|has| |#3| (-573 (-835 (-532))))) (((-835 (-355))) -12 (|has| |#1| (-573 (-835 (-355)))) (|has| |#3| (-573 (-835 (-355))))) (((-508)) -12 (|has| |#1| (-573 (-508))) (|has| |#3| (-573 (-508))))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(((|#1| |#2| (-217 |#1| |#2|) (-217 |#1| |#2|)) . T)) 
+((((-808)) . T)) 
+((((-1170 |#1| |#2| |#3|)) |has| |#1| (-339))) 
+((((-1096)) . T) (((-808)) . T)) 
+(|has| |#1| (-339)) 
+((((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) |has| |#2| (-159)) (($) -1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852)))) 
 (((|#2|) . T) ((|#6|) . T)) 
-((($) . T) (((-375 (-501))) |has| |#2| (-37 (-375 (-501)))) ((|#2|) . T)) 
-((($) -1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((($) -1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-((((-1003)) . T)) 
-((((-786)) . T)) 
-((($) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) . T)) 
-((($) . T)) 
-((($) -1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) ((|#1|) |has| |#1| (-156)) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(|has| |#2| (-830)) 
-(|has| |#1| (-830)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1| |#1|) |has| |#1| (-156))) 
-((((-630)) . T)) 
-((((-786)) |has| |#1| (-1001))) 
-(((|#1|) |has| |#1| (-156))) 
-(((|#1|) |has| |#1| (-156))) 
-((((-375 (-501))) . T) (($) . T)) 
-(((|#1| (-501)) . T)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-318))) 
-(|has| |#1| (-331)) 
-(|has| |#1| (-331)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-318))) 
-(-1405 (|has| |#1| (-156)) (|has| |#1| (-508))) 
-(((|#1| (-501)) . T)) 
-(((|#1| (-375 (-501))) . T)) 
-(((|#1| (-701)) . T)) 
-((((-375 (-501))) . T)) 
-(((|#1| (-487 |#2|) |#2|) . T)) 
-((((-501) |#1|) . T)) 
-((((-501) |#1|) . T)) 
-(|has| |#1| (-1001)) 
-((((-501) |#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-810 (-346))) . T) (((-810 (-501))) . T) (((-1070)) . T) (((-490)) . T)) 
-(((|#1|) . T)) 
-((((-786)) . T)) 
-(-1405 (|has| |#2| (-123)) (|has| |#2| (-156)) (|has| |#2| (-331)) (|has| |#2| (-723)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-(-1405 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-123)) (|has| |#2| (-123))) (-12 (|has| |#1| (-723)) (|has| |#2| (-723)))) 
-((((-501)) . T)) 
-((((-501)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
+((($) . T) (((-383 (-532))) |has| |#2| (-37 (-383 (-532)))) ((|#2|) . T)) 
+((($) -1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((((-1029)) . T)) 
+((((-808)) . T)) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+((($) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) . T)) 
+((($) . T)) 
+((($) -1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(|has| |#2| (-852)) 
+(|has| |#1| (-852)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1| |#1|) |has| |#1| (-159))) 
+((((-648)) . T)) 
+((((-808)) |has| |#1| (-1025))) 
+(((|#1|) |has| |#1| (-159))) 
+((($) . T)) 
+(((|#1|) |has| |#1| (-159))) 
+((((-383 (-532))) . T) (($) . T)) 
+(((|#1| (-532)) . T)) 
+((((-808)) . T)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-325))) 
+(|has| |#1| (-339)) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-325))) 
+(|has| |#1| (-339)) 
+(-1328 (|has| |#1| (-159)) (|has| |#1| (-524))) 
+(((|#1| (-723)) . T)) 
+(((|#1| (-532)) . T)) 
+(((|#1| (-383 (-532))) . T)) 
+(((|#1| (-723)) . T)) 
+((((-383 (-532))) . T)) 
+(((|#1| (-504 |#2|) |#2|) . T)) 
+((((-532) |#1|) . T)) 
+((((-532) |#1|) . T)) 
+(|has| |#1| (-1025)) 
+((((-532) |#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-835 (-355))) . T) (((-835 (-532))) . T) (((-1096)) . T) (((-508)) . T)) 
+(((|#1|) . T)) 
+((((-808)) . T)) 
+(-1328 (|has| |#2| (-126)) (|has| |#2| (-159)) (|has| |#2| (-339)) (|has| |#2| (-746)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+(-1328 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-126)) (|has| |#2| (-126))) (-12 (|has| |#1| (-746)) (|has| |#2| (-746)))) 
+((((-532)) . T)) 
+((((-532)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(-1405 (|has| |#2| (-156)) (|has| |#2| (-775)) (|has| |#2| (-959))) 
-((((-1070)) -12 (|has| |#2| (-820 (-1070))) (|has| |#2| (-959)))) 
-(-1405 (-12 (|has| |#1| (-440)) (|has| |#2| (-440))) (-12 (|has| |#1| (-657)) (|has| |#2| (-657)))) 
-(|has| |#1| (-132)) 
-(|has| |#1| (-134)) 
-(|has| |#1| (-331)) 
+(-1328 (|has| |#2| (-159)) (|has| |#2| (-676)) (|has| |#2| (-798)) (|has| |#2| (-983))) 
+((((-1096)) -12 (|has| |#2| (-843 (-1096))) (|has| |#2| (-983)))) 
+(-1328 (-12 (|has| |#1| (-450)) (|has| |#2| (-450))) (-12 (|has| |#1| (-676)) (|has| |#2| (-676)))) 
+(|has| |#1| (-135)) 
+(|has| |#1| (-137)) 
+(|has| |#1| (-339)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-206)) 
-((((-786)) . T)) 
-(((|#1| (-701) (-986)) . T)) 
-((((-501) |#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-501) |#1|) . T)) 
-((((-501) |#1|) . T)) 
-((((-111 |#1|)) . T)) 
-((((-375 (-501))) . T) (((-501)) . T)) 
-(((|#2|) |has| |#2| (-959))) 
-((((-375 (-501))) . T) (($) . T)) 
-(((|#2|) . T)) 
-((((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) |has| |#1| (-156)) (($) |has| |#1| (-508))) 
-((((-501)) . T)) 
-((((-501)) . T)) 
-((((-1053) (-1070) (-501) (-199) (-786)) . T)) 
+(|has| |#1| (-210)) 
+((((-808)) . T)) 
+(((|#1| (-723) (-1011)) . T)) 
+((((-532) |#1|) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-532) |#1|) . T)) 
+((((-532) |#1|) . T)) 
+((((-114 |#1|)) . T)) 
+((((-383 (-532))) . T) (((-532)) . T)) 
+(((|#2|) |has| |#2| (-983))) 
+((((-383 (-532))) . T) (($) . T)) 
+(((|#2|) . T)) 
+((((-532)) . T)) 
+((((-532)) . T)) 
+((((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) |has| |#1| (-159)) (($) |has| |#1| (-524))) 
+((((-1078) (-1096) (-532) (-202) (-808)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2|) . T)) 
-(-1405 (|has| |#1| (-318)) (|has| |#1| (-336))) 
+(-1328 (|has| |#1| (-325)) (|has| |#1| (-344))) 
 (((|#1| |#2|) . T)) 
+(((|#1|) . T)) 
 ((($) . T) ((|#1|) . T)) 
-((((-786)) . T)) 
-((($) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501)))) ((|#1|) . T)) 
-((($) . T) ((|#1|) . T) (((-375 (-501))) |has| |#1| (-37 (-375 (-501))))) 
-(((|#2|) |has| |#2| (-1001)) (((-501)) -12 (|has| |#2| (-950 (-501))) (|has| |#2| (-1001))) (((-375 (-501))) -12 (|has| |#2| (-950 (-375 (-501)))) (|has| |#2| (-1001)))) 
-((((-490)) |has| |#1| (-556 (-490)))) 
-((((-786)) -1405 (|has| |#1| (-777)) (|has| |#1| (-1001)))) 
-((($) . T) (((-375 (-501))) . T)) 
-(|has| |#1| (-830)) 
-(|has| |#1| (-830)) 
-((((-199)) -12 (|has| |#1| (-331)) (|has| |#2| (-933))) (((-346)) -12 (|has| |#1| (-331)) (|has| |#2| (-933))) (((-810 (-346))) -12 (|has| |#1| (-331)) (|has| |#2| (-556 (-810 (-346))))) (((-810 (-501))) -12 (|has| |#1| (-331)) (|has| |#2| (-556 (-810 (-501))))) (((-490)) -12 (|has| |#1| (-331)) (|has| |#2| (-556 (-490))))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
+((((-808)) . T)) 
+((($) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532)))) ((|#1|) . T)) 
+((($) . T) ((|#1|) . T) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
+(((|#2|) |has| |#2| (-1025)) (((-532)) -12 (|has| |#2| (-974 (-532))) (|has| |#2| (-1025))) (((-383 (-532))) -12 (|has| |#2| (-974 (-383 (-532)))) (|has| |#2| (-1025)))) 
+((((-508)) |has| |#1| (-573 (-508)))) 
+((((-808)) -1328 (|has| |#1| (-800)) (|has| |#1| (-1025)))) 
+((($) . T) (((-383 (-532))) . T)) 
+(|has| |#1| (-852)) 
+(|has| |#1| (-852)) 
+((((-202)) -12 (|has| |#1| (-339)) (|has| |#2| (-958))) (((-355)) -12 (|has| |#1| (-339)) (|has| |#2| (-958))) (((-835 (-355))) -12 (|has| |#1| (-339)) (|has| |#2| (-573 (-835 (-355))))) (((-835 (-532))) -12 (|has| |#1| (-339)) (|has| |#2| (-573 (-835 (-532))))) (((-508)) -12 (|has| |#1| (-339)) (|has| |#2| (-573 (-508))))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
 (((|#2| |#2|) . T)) 
-(((|#1| |#1|) |has| |#1| (-156))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-508))) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-775))) 
-(((|#2|) . T)) 
-(-1405 (|has| |#1| (-21)) (|has| |#1| (-775))) 
-(((|#1|) |has| |#1| (-156))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(|has| (-375 |#2|) (-134)) 
-((((-375 |#2|) |#3|) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-331)) 
-((($ $) . T) (((-375 (-501)) (-375 (-501))) . T)) 
-(|has| (-375 |#2|) (-132)) 
-((((-630)) . T)) 
-(((|#1|) . T) (((-375 (-501))) . T) (((-501)) . T) (($) . T)) 
-((((-501) (-501)) . T)) 
-((($) . T) (((-375 (-501))) . T)) 
-(-1405 (|has| |#4| (-156)) (|has| |#4| (-775)) (|has| |#4| (-959))) 
-(-1405 (|has| |#3| (-156)) (|has| |#3| (-775)) (|has| |#3| (-959))) 
-(|has| |#4| (-723)) 
-(-1405 (|has| |#4| (-723)) (|has| |#4| (-775))) 
-(|has| |#4| (-775)) 
-(|has| |#3| (-723)) 
-(-1405 (|has| |#3| (-723)) (|has| |#3| (-775))) 
-(|has| |#3| (-775)) 
-((((-501)) . T)) 
-(((|#2|) . T)) 
-((((-1070)) -1405 (-12 (|has| (-1068 |#1| |#2| |#3|) (-820 (-1070))) (|has| |#1| (-331))) (-12 (|has| |#1| (-15 * (|#1| (-501) |#1|))) (|has| |#1| (-820 (-1070)))))) 
-((((-1070)) -12 (|has| |#1| (-15 * (|#1| (-375 (-501)) |#1|))) (|has| |#1| (-820 (-1070))))) 
-((((-1070)) -12 (|has| |#1| (-15 * (|#1| (-701) |#1|))) (|has| |#1| (-820 (-1070))))) 
+(((|#1| |#1|) |has| |#1| (-159))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-524))) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-798))) 
+(((|#2|) . T)) 
+(-1328 (|has| |#1| (-21)) (|has| |#1| (-798))) 
+(((|#1|) |has| |#1| (-159))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(|has| (-383 |#2|) (-137)) 
+((((-383 |#2|) |#3|) . T)) 
+((((-383 (-532))) . T) (($) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-339)) 
+((($ $) . T) (((-383 (-532)) (-383 (-532))) . T)) 
+(|has| (-383 |#2|) (-135)) 
+((((-648)) . T)) 
+(((|#1|) . T) (((-383 (-532))) . T) (((-532)) . T) (($) . T)) 
+((((-532) (-532)) . T)) 
+((($) . T) (((-383 (-532))) . T)) 
+(-1328 (|has| |#4| (-159)) (|has| |#4| (-798)) (|has| |#4| (-983)) SEQ) 
+(-1328 (|has| |#3| (-159)) (|has| |#3| (-798)) (|has| |#3| (-983)) SEQ) 
+(|has| |#4| (-746)) 
+(-1328 (|has| |#4| (-746)) (|has| |#4| (-798))) 
+(|has| |#4| (-798)) 
+(|has| |#3| (-746)) 
+(-1328 (|has| |#3| (-746)) (|has| |#3| (-798))) 
+(|has| |#3| (-798)) 
+((((-532)) . T)) 
+(((|#2|) . T)) 
+((((-1096)) -1328 (-12 (|has| (-1094 |#1| |#2| |#3|) (-843 (-1096))) (|has| |#1| (-339))) (-12 (|has| |#1| (-15 * (|#1| (-532) |#1|))) (|has| |#1| (-843 (-1096)))))) 
+((((-1096)) -12 (|has| |#1| (-15 * (|#1| (-383 (-532)) |#1|))) (|has| |#1| (-843 (-1096))))) 
+((((-1096)) -12 (|has| |#1| (-15 * (|#1| (-723) |#1|))) (|has| |#1| (-843 (-1096))))) 
 (((|#1| |#1|) . T) (($ $) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(|has| |#2| (-339)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T) (($) . T)) 
 (((|#1|) . T)) 
-((((-787 |#1|)) . T)) 
-((((-1068 |#1| |#2| |#3|)) |has| |#1| (-331))) 
-((((-1068 |#1| |#2| |#3|)) |has| |#1| (-331))) 
-((((-1035 |#1| |#2|)) . T)) 
-(((|#2|) . T) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) . T)) 
-((($) . T)) 
-(|has| |#1| (-933)) 
-(((|#2|) . T) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-((((-786)) . T)) 
-((((-490)) |has| |#2| (-556 (-490))) (((-810 (-501))) |has| |#2| (-556 (-810 (-501)))) (((-810 (-346))) |has| |#2| (-556 (-810 (-346)))) (((-346)) |has| |#2| (-933)) (((-199)) |has| |#2| (-933))) 
-((((-1070) (-50)) . T)) 
-(|has| |#1| (-37 (-375 (-501)))) 
-(|has| |#1| (-37 (-375 (-501)))) 
+((((-810 |#1|)) . T)) 
+((((-1094 |#1| |#2| |#3|)) |has| |#1| (-339))) 
+((((-1094 |#1| |#2| |#3|)) |has| |#1| (-339))) 
+((((-1060 |#1| |#2|)) . T)) 
+(((|#2|) . T) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) . T)) 
+((($) . T)) 
+(|has| |#1| (-958)) 
+(((|#2|) . T) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+((((-808)) . T)) 
+((((-508)) |has| |#2| (-573 (-508))) (((-835 (-532))) |has| |#2| (-573 (-835 (-532)))) (((-835 (-355))) |has| |#2| (-573 (-835 (-355)))) (((-355)) |has| |#2| (-958)) (((-202)) |has| |#2| (-958))) 
+((((-1096) (-51)) . T)) 
+(|has| |#1| (-37 (-383 (-532)))) 
+(|has| |#1| (-37 (-383 (-532)))) 
 (((|#2|) . T)) 
 ((($ $) . T)) 
-((((-375 (-501))) . T) (((-630)) . T) (($) . T)) 
-((((-1068 |#1| |#2| |#3|)) . T)) 
-((((-1068 |#1| |#2| |#3|)) . T) (((-1061 |#1| |#2| |#3|)) . T)) 
-((((-786)) . T)) 
-((((-786)) |has| |#1| (-1001))) 
-((((-501) |#1|) . T)) 
-((((-1068 |#1| |#2| |#3|)) |has| |#1| (-331))) 
+((((-383 (-532))) . T) (((-648)) . T) (($) . T)) 
+((((-1094 |#1| |#2| |#3|)) . T)) 
+((((-1094 |#1| |#2| |#3|)) . T) (((-1086 |#1| |#2| |#3|)) . T)) 
+((((-808)) . T)) 
+((((-808)) |has| |#1| (-1025))) 
+((((-532) |#1|) . T)) 
+((((-1094 |#1| |#2| |#3|)) |has| |#1| (-339))) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
-(|has| |#2| (-331)) 
-(((|#3|) . T) ((|#2|) . T) (($) -1405 (|has| |#4| (-156)) (|has| |#4| (-775)) (|has| |#4| (-959))) ((|#4|) -1405 (|has| |#4| (-156)) (|has| |#4| (-331)) (|has| |#4| (-959)))) 
-(((|#2|) . T) (($) -1405 (|has| |#3| (-156)) (|has| |#3| (-775)) (|has| |#3| (-959))) ((|#3|) -1405 (|has| |#3| (-156)) (|has| |#3| (-331)) (|has| |#3| (-959)))) 
+(|has| |#2| (-339)) 
+(((|#3|) . T) ((|#2|) . T) (($) -1328 (|has| |#4| (-159)) (|has| |#4| (-798)) (|has| |#4| (-983))) ((|#4|) -1328 (|has| |#4| (-159)) (|has| |#4| (-339)) (|has| |#4| (-983)))) 
+(((|#2|) . T) (($) -1328 (|has| |#3| (-159)) (|has| |#3| (-798)) (|has| |#3| (-983))) ((|#3|) -1328 (|has| |#3| (-159)) (|has| |#3| (-339)) (|has| |#3| (-983)))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-331)) 
-((((-111 |#1|)) . T)) 
+(|has| |#1| (-339)) 
+((((-114 |#1|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-375 (-501))) |has| |#2| (-950 (-375 (-501)))) (((-501)) |has| |#2| (-950 (-501))) ((|#2|) . T) (((-787 |#1|)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
+((((-383 (-532))) |has| |#2| (-974 (-383 (-532)))) (((-532)) |has| |#2| (-974 (-532))) ((|#2|) . T) (((-810 |#1|)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
 (((|#1|) . T)) 
-((((-786)) |has| |#1| (-1001))) 
-((((-501) |#1|) . T)) 
+((((-808)) |has| |#1| (-1025))) 
+((((-532) |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#2| $) -12 (|has| |#1| (-331)) (|has| |#2| (-256 |#2| |#2|))) (($ $) . T)) 
+(((|#2| $) -12 (|has| |#1| (-339)) (|has| |#2| (-260 |#2| |#2|))) (($ $) . T)) 
 ((($ $) . T)) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-419)) (|has| |#1| (-830))) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-((((-786)) . T)) 
-(((|#1| (-487 |#2|)) . T)) 
-((((-2 (|:| -3626 (-1070)) (|:| -2922 (-50)))) . T)) 
-(((|#1| (-501)) . T)) 
-(((|#1| (-375 (-501))) . T)) 
-(((|#1| (-701)) . T)) 
-((((-111 |#1|)) . T) (($) . T) (((-375 (-501))) . T)) 
-(-1405 (|has| |#2| (-419)) (|has| |#2| (-508)) (|has| |#2| (-830))) 
-(-1405 (|has| |#1| (-419)) (|has| |#1| (-508)) (|has| |#1| (-830))) 
-((($) . T)) 
-(((|#2| (-487 (-787 |#1|))) . T)) 
-((((-501) |#1|) . T)) 
-(((|#2|) . T)) 
-(((|#2| (-701)) . T)) 
-((((-786)) |has| |#1| (-1001))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-852))) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+((((-808)) . T)) 
+(((|#1| (-504 |#2|)) . T)) 
+((((-2 (|:| -3220 (-1096)) (|:| -2330 (-51)))) . T)) 
+(((|#1| (-532)) . T)) 
+(((|#1| (-383 (-532))) . T)) 
+(((|#1| (-723)) . T)) 
+((((-114 |#1|)) . T) (($) . T) (((-383 (-532))) . T)) 
+(-1328 (|has| |#2| (-427)) (|has| |#2| (-524)) (|has| |#2| (-852))) 
+(-1328 (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) 
+((($) . T)) 
+(((|#2| (-504 (-810 |#1|))) . T)) 
+((((-532) |#1|) . T)) 
+(((|#2|) . T)) 
+(((|#2| (-723)) . T)) 
+((((-808)) |has| |#1| (-1025))) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1053) |#1|) . T)) 
-((((-375 |#2|)) . T)) 
-((((-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) . T)) 
-(|has| |#1| (-508)) 
-(|has| |#1| (-508)) 
+((((-1078) |#1|) . T)) 
+((((-383 |#2|)) . T)) 
+((((-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) . T)) 
+(|has| |#1| (-524)) 
+(|has| |#1| (-524)) 
+((($) -1328 (|has| |#1| (-339)) (|has| |#1| (-427)) (|has| |#1| (-524)) (|has| |#1| (-852))) ((|#1|) |has| |#1| (-159)) (((-383 (-532))) |has| |#1| (-37 (-383 (-532))))) 
 ((($) . T) ((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-(((|#2| $) |has| |#2| (-256 |#2| |#2|))) 
-(((|#1| (-578 |#1|)) |has| |#1| (-775))) 
-(-1405 (|has| |#1| (-206)) (|has| |#1| (-318))) 
-(-1405 (|has| |#1| (-331)) (|has| |#1| (-318))) 
-(|has| |#1| (-1001)) 
-(((|#1|) . T)) 
-((((-375 (-501))) . T) (($) . T)) 
-((((-910 |#1|)) . T) ((|#1|) . T) (((-501)) -1405 (|has| (-910 |#1|) (-950 (-501))) (|has| |#1| (-950 (-501)))) (((-375 (-501))) -1405 (|has| (-910 |#1|) (-950 (-375 (-501)))) (|has| |#1| (-950 (-375 (-501)))))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-((((-1070)) |has| |#1| (-820 (-1070)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-278 |#1|)) (|has| |#1| (-1001)))) 
-(((|#1| (-546 |#1| |#3|) (-546 |#1| |#2|)) . T)) 
+(((|#2| $) |has| |#2| (-260 |#2| |#2|))) 
+(((|#1| (-598 |#1|)) |has| |#1| (-798))) 
+(-1328 (|has| |#1| (-210)) (|has| |#1| (-325))) 
+(-1328 (|has| |#1| (-339)) (|has| |#1| (-325))) 
+(|has| |#1| (-1025)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1071)) 
+((((-383 (-532))) . T) (($) . T)) 
+((((-936 |#1|)) . T) ((|#1|) . T) (((-532)) -1328 (|has| (-936 |#1|) (-974 (-532))) (|has| |#1| (-974 (-532)))) (((-383 (-532))) -1328 (|has| (-936 |#1|) (-974 (-383 (-532)))) (|has| |#1| (-974 (-383 (-532)))))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+((((-1096)) |has| |#1| (-843 (-1096)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-282 |#1|)) (|has| |#1| (-1025)))) 
+(((|#1| (-563 |#1| |#3|) (-563 |#1| |#2|)) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-1035 |#1| |#2|) (-1035 |#1| |#2|)) |has| (-1035 |#1| |#2|) (-278 (-1035 |#1| |#2|)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-278 |#2|)) (|has| |#2| (-1001))) (((-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))) |has| (-2 (|:| -3626 |#1|) (|:| -2922 |#2|)) (-278 (-2 (|:| -3626 |#1|) (|:| -2922 |#2|))))) 
-((((-111 |#1|)) |has| (-111 |#1|) (-278 (-111 |#1|)))) 
-(-1405 (|has| |#1| (-777)) (|has| |#1| (-1001))) 
+((((-1060 |#1| |#2|) (-1060 |#1| |#2|)) |has| (-1060 |#1| |#2|) (-282 (-1060 |#1| |#2|)))) 
+(((|#2| |#2|) -12 (|has| |#2| (-282 |#2|)) (|has| |#2| (-1025))) (((-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))) |has| (-2 (|:| -3220 |#1|) (|:| -2330 |#2|)) (-282 (-2 (|:| -3220 |#1|) (|:| -2330 |#2|))))) 
+((((-114 |#1|)) |has| (-114 |#1|) (-282 (-114 |#1|)))) 
+(-1328 (|has| |#1| (-800)) (|has| |#1| (-1025))) 
 ((($ $) . T)) 
-((($ $) . T) (((-787 |#1|) $) . T) (((-787 |#1|) |#2|) . T)) 
-((($ $) . T) ((|#2| $) |has| |#1| (-206)) ((|#2| |#1|) |has| |#1| (-206)) ((|#3| |#1|) . T) ((|#3| $) . T)) 
-(((-587 . -1001) T) ((-235 . -476) 142242) ((-220 . -476) 142180) ((-522 . -106) 142165) ((-487 . -23) T) ((-218 . -1001) 142115) ((-112 . -278) 142059) ((-445 . -476) 141819) ((-625 . -97) T) ((-1036 . -476) 141727) ((-358 . -123) T) ((-1160 . -891) 141696) ((-546 . -454) 141680) ((-558 . -123) T) ((-749 . -773) T) ((-484 . -55) 141630) ((-56 . -476) 141563) ((-480 . -476) 141496) ((-373 . -820) 141455) ((-152 . -959) T) ((-478 . -476) 141388) ((-460 . -476) 141321) ((-459 . -476) 141254) ((-728 . -950) 141041) ((-630 . -37) 141006) ((-312 . -318) T) ((-991 . -995) 140990) ((-991 . -1001) 140968) ((-152 . -216) 140919) ((-152 . -206) 140870) ((-991 . -996) 140828) ((-794 . -256) 140786) ((-199 . -727) T) ((-199 . -722) T) ((-625 . -254) NIL) ((-1045 . -1081) 140765) ((-375 . -906) 140749) ((-632 . -21) T) ((-632 . -25) T) ((-1162 . -583) 140723) ((-282 . -145) 140702) ((-282 . -130) 140681) ((-1045 . -102) 140631) ((-125 . -25) T) ((-39 . -204) 140608) ((-111 . -21) T) ((-111 . -25) T) ((-550 . -258) 140584) ((-442 . -258) 140563) ((-1118 . -959) T) ((-782 . -959) T) ((-728 . -306) 140547) ((-112 . -1046) NIL) ((-89 . -555) 140514) ((-444 . -123) T) ((-538 . -1104) T) ((-1118 . -294) 140491) ((-522 . -959) T) ((-1118 . -206) T) ((-587 . -648) 140475) ((-877 . -258) 140452) ((-58 . -33) T) ((-969 . -727) T) ((-969 . -722) T) ((-746 . -657) T) ((-662 . -46) 140417) ((-562 . -37) 140404) ((-323 . -260) T) ((-321 . -260) T) ((-313 . -260) T) ((-235 . -260) 140335) ((-220 . -260) 140266) ((-937 . -97) T) ((-381 . -657) T) ((-112 . -37) 140211) ((-381 . -440) T) ((-308 . -97) T) ((-1097 . -965) T) ((-642 . -965) T) ((-1068 . -46) 140188) ((-1067 . -46) 140158) ((-1061 . -46) 140135) ((-948 . -138) 140081) ((-826 . -260) T) ((-1024 . -46) 140053) ((-625 . -278) NIL) ((-477 . -555) 140035) ((-473 . -555) 140017) ((-470 . -555) 139999) ((-295 . -1001) 139949) ((-643 . -419) 139880) ((-47 . -97) T) ((-1135 . -256) 139865) ((-1114 . -256) 139785) ((-578 . -601) 139769) ((-578 . -586) 139753) ((-307 . -21) T) ((-307 . -25) T) ((-39 . -318) NIL) ((-157 . -21) T) ((-157 . -25) T) ((-578 . -340) 139737) ((-546 . -256) 139714) ((-356 . -97) T) ((-1018 . -130) T) ((-121 . -555) 139681) ((-795 . -1001) T) ((-589 . -380) 139665) ((-645 . -555) 139647) ((-146 . -555) 139629) ((-142 . -555) 139611) ((-1162 . -657) T) ((-997 . -33) T) ((-793 . -727) NIL) ((-793 . -722) NIL) ((-784 . -777) T) ((-662 . -806) NIL) ((-1171 . -123) T) ((-350 . -123) T) ((-825 . -97) T) ((-662 . -950) 139489) ((-487 . -123) T) ((-989 . -380) 139473) ((-914 . -454) 139457) ((-112 . -368) 139434) ((-1061 . -1104) 139413) ((-711 . -380) 139397) ((-710 . -380) 139381) ((-863 . -33) T) ((-625 . -1046) NIL) ((-222 . -583) 139218) ((-221 . -583) 139042) ((-747 . -841) 139021) ((-421 . -380) 139005) ((-546 . -19) 138989) ((-1041 . -1099) 138958) ((-1061 . -806) NIL) ((-1061 . -804) 138910) ((-546 . -548) 138887) ((-1091 . -555) 138854) ((-1069 . -555) 138836) ((-61 . -364) T) ((-1067 . -950) 138771) ((-1061 . -950) 138737) ((-625 . -37) 138687) ((-441 . -256) 138672) ((-662 . -345) 138656) ((-589 . -965) T) ((-1135 . -916) 138622) ((-1114 . -916) 138588) ((-970 . -1081) 138563) ((-794 . -556) 138366) ((-794 . -555) 138348) ((-1077 . -454) 138285) ((-373 . -933) 138264) ((-47 . -278) 138251) ((-970 . -102) 138197) ((-445 . -454) 138134) ((-481 . -1104) T) ((-1036 . -454) 138105) ((-1061 . -306) 138057) ((-1061 . -345) 138009) ((-404 . -97) T) ((-989 . -965) T) ((-222 . -33) T) ((-221 . -33) T) ((-711 . -965) T) ((-710 . -965) T) ((-662 . -820) 137986) ((-421 . -965) T) ((-56 . -454) 137970) ((-947 . -964) 137944) ((-480 . -454) 137928) ((-478 . -454) 137912) ((-460 . -454) 137896) ((-459 . -454) 137880) ((-218 . -476) 137813) ((-947 . -106) 137780) ((-1068 . -820) 137693) ((-605 . -1012) T) ((-1067 . -820) 137599) ((-1061 . -820) 137432) ((-1024 . -820) 137416) ((-308 . -1046) T) ((-290 . -964) 137398) ((-222 . -721) 137377) ((-222 . -724) 137328) ((-222 . -723) 137307) ((-221 . -721) 137286) ((-221 . -724) 137237) ((-221 . -723) 137216) ((-49 . -965) T) ((-222 . -657) 137147) ((-221 . -657) 137078) ((-1097 . -1001) T) ((-605 . -23) T) ((-528 . -965) T) ((-479 . -965) T) ((-346 . -964) 137043) ((-290 . -106) 137018) ((-71 . -351) T) ((-71 . -364) T) ((-937 . -37) 136955) ((-625 . -368) 136937) ((-94 . -97) T) ((-642 . -1001) T) ((-917 . -132) 136909) ((-346 . -106) 136858) ((-287 . -1108) 136837) ((-441 . -916) 136803) ((-308 . -37) 136768) ((-39 . -338) 136740) ((-917 . -134) 136712) ((-122 . -120) 136696) ((-116 . -120) 136680) ((-764 . -964) 136650) ((-762 . -21) 136602) ((-758 . -964) 136586) ((-762 . -25) 136538) ((-287 . -508) 136489) ((-501 . -751) T) ((-212 . -1104) T) ((-764 . -106) 136454) ((-758 . -106) 136433) ((-1135 . -555) 136415) ((-1114 . -555) 136397) ((-1114 . -556) 136070) ((-1064 . -830) 136049) ((-1023 . -830) 136028) ((-47 . -37) 135993) ((-1168 . -1012) T) ((-546 . -555) 135932) ((-546 . -556) 135893) ((-1167 . -1012) T) ((-212 . -950) 135722) ((-1064 . -583) 135647) ((-1023 . -583) 135572) ((-649 . -555) 135554) ((-781 . -583) 135528) ((-1168 . -23) T) ((-1167 . -23) T) ((-947 . -959) T) ((-1077 . -256) 135507) ((-152 . -336) 135458) ((-918 . -1104) T) ((-43 . -23) T) ((-445 . -256) 135437) ((-530 . -1001) T) ((-1041 . -1009) 135406) ((-1003 . -1004) 135358) ((-358 . -21) T) ((-358 . -25) T) ((-139 . -1012) T) ((-1175 . -97) T) ((-918 . -804) 135340) ((-918 . -806) 135322) ((-1097 . -648) 135219) ((-562 . -204) 135203) ((-558 . -21) T) ((-259 . -508) T) ((-558 . -25) T) ((-1084 . -1001) T) ((-642 . -648) 135168) ((-212 . -345) 135138) ((-918 . -950) 135098) ((-346 . -959) T) ((-197 . -965) T) ((-112 . -204) 135075) ((-56 . -256) 135052) ((-139 . -23) T) ((-478 . -256) 135029) ((-295 . -476) 134962) ((-459 . -256) 134939) ((-346 . -216) T) ((-346 . -206) T) ((-764 . -959) T) ((-758 . -959) T) ((-643 . -870) 134909) ((-632 . -777) T) ((-441 . -555) 134891) ((-758 . -206) 134870) ((-125 . -777) T) ((-589 . -1001) T) ((-1077 . -548) 134849) ((-502 . -1081) 134828) ((-301 . -1001) T) ((-287 . -331) 134807) ((-375 . -134) 134786) ((-375 . -132) 134765) ((-883 . -1012) 134664) ((-212 . -820) 134597) ((-745 . -1012) 134528) ((-591 . -779) 134512) ((-445 . -548) 134491) ((-502 . -102) 134441) ((-918 . -345) 134423) ((-918 . -306) 134405) ((-92 . -1001) T) ((-883 . -23) 134216) ((-444 . -21) T) ((-444 . -25) T) ((-745 . -23) 134087) ((-1070 . -555) 134069) ((-56 . -19) 134053) ((-1070 . -556) 133975) ((-1064 . -657) T) ((-1023 . -657) T) ((-478 . -19) 133959) ((-459 . -19) 133943) ((-56 . -548) 133920) ((-989 . -1001) T) ((-821 . -97) 133898) ((-781 . -657) T) ((-711 . -1001) T) ((-478 . -548) 133875) ((-459 . -548) 133852) ((-710 . -1001) T) ((-710 . -972) 133819) ((-428 . -1001) T) ((-421 . -1001) T) ((-530 . -648) 133794) ((-584 . -1001) T) ((-918 . -820) NIL) ((-1139 . -46) 133771) ((-565 . -1012) T) ((-605 . -123) T) ((-1136 . -97) T) ((-1130 . -46) 133741) ((-1109 . -46) 133718) ((-1097 . -156) 133669) ((-983 . -1108) 133620) ((-246 . -1001) T) ((-84 . -408) T) ((-84 . -364) T) ((-1067 . -276) 133599) ((-1061 . -276) 133578) ((-49 . -1001) T) ((-983 . -508) 133529) ((-642 . -156) T) ((-540 . -46) 133506) ((-199 . -583) 133471) ((-528 . -1001) T) ((-479 . -1001) T) ((-327 . -1108) T) ((-322 . -1108) T) ((-314 . -1108) T) ((-452 . -750) T) ((-452 . -841) T) ((-287 . -1012) T) ((-103 . -1108) T) ((-307 . -777) T) ((-192 . -841) T) ((-192 . -750) T) ((-645 . -964) 133441) ((-327 . -508) T) ((-322 . -508) T) ((-314 . -508) T) ((-103 . -508) T) ((-589 . -648) 133411) ((-1061 . -933) NIL) ((-287 . -23) T) ((-65 . -1104) T) ((-914 . -555) 133378) ((-625 . -204) 133360) ((-645 . -106) 133325) ((-578 . -33) T) ((-218 . -454) 133309) ((-997 . -999) 133293) ((-155 . -1001) T) ((-866 . -830) 133272) ((-447 . -830) 133251) ((-1171 . -21) T) ((-1171 . -25) T) ((-1168 . -123) T) ((-1167 . -123) T) ((-989 . -648) 133100) ((-969 . -583) 133087) ((-866 . -583) 133012) ((-490 . -555) 132994) ((-490 . -556) 132975) ((-711 . -648) 132804) ((-710 . -648) 132653) ((-1160 . -97) T) ((-981 . -97) T) ((-350 . -25) T) ((-350 . -21) T) ((-447 . -583) 132578) ((-428 . -648) 132549) ((-421 . -648) 132398) ((-901 . -97) T) ((-667 . -97) T) ((-487 . -25) T) ((-1109 . -1104) 132377) ((-1145 . -555) 132343) ((-1109 . -806) NIL) ((-1109 . -804) 132295) ((-128 . -97) T) ((-43 . -123) T) ((-1077 . -556) NIL) ((-1077 . -555) 132277) ((-1037 . -1021) 132222) ((-312 . -965) T) ((-599 . -555) 132204) ((-259 . -1012) T) ((-323 . -555) 132186) ((-321 . -555) 132168) ((-313 . -555) 132150) ((-235 . -556) 131898) ((-235 . -555) 131880) ((-220 . -555) 131862) ((-220 . -556) 131723) ((-956 . -1099) 131652) ((-821 . -278) 131590) ((-1175 . -1046) T) ((-1130 . -950) 131525) ((-1109 . -950) 131491) ((-1097 . -476) 131458) ((-1036 . -555) 131440) ((-749 . -657) T) ((-546 . -258) 131417) ((-528 . -648) 131382) ((-445 . -556) NIL) ((-445 . -555) 131364) ((-479 . -648) 131309) ((-282 . -97) T) ((-281 . -97) T) ((-259 . -23) T) ((-139 . -123) T) ((-354 . -657) T) ((-794 . -964) 131261) ((-826 . -555) 131243) ((-826 . -556) 131225) ((-794 . -106) 131156) ((-126 . -97) T) ((-108 . -97) T) ((-643 . -1125) 131140) ((-645 . -959) T) ((-625 . -318) NIL) ((-480 . -555) 131107) ((-346 . -727) T) ((-197 . -1001) T) ((-346 . -722) T) ((-199 . -724) T) ((-199 . -721) T) ((-56 . -556) 131068) ((-56 . -555) 131007) ((-199 . -657) T) ((-478 . -556) 130968) ((-478 . -555) 130907) ((-460 . -555) 130874) ((-459 . -556) 130835) ((-459 . -555) 130774) ((-983 . -331) 130725) ((-39 . -380) 130702) ((-76 . -1104) T) ((-793 . -830) NIL) ((-327 . -297) 130686) ((-327 . -331) T) ((-322 . -297) 130670) ((-322 . -331) T) ((-314 . -297) 130654) ((-314 . -331) T) ((-282 . -254) 130633) ((-103 . -331) T) ((-68 . -1104) T) ((-1109 . -306) 130585) ((-793 . -583) 130530) ((-1109 . -345) 130482) ((-883 . -123) 130337) ((-745 . -123) 130208) ((-877 . -586) 130192) ((-989 . -156) 130103) ((-877 . -340) 130087) ((-969 . -724) T) ((-969 . -721) T) ((-711 . -156) 129978) ((-710 . -156) 129889) ((-746 . -46) 129851) ((-969 . -657) T) ((-295 . -454) 129835) ((-866 . -657) T) ((-421 . -156) 129746) ((-218 . -256) 129723) ((-447 . -657) T) ((-1160 . -278) 129661) ((-1139 . -820) 129574) ((-1135 . -964) 129409) ((-1130 . -820) 129315) ((-1114 . -964) 129123) ((-1109 . -820) 128956) ((-1097 . -260) 128935) ((-1041 . -138) 128919) ((-980 . -97) T) ((-845 . -874) T) ((-74 . -1104) T) ((-667 . -278) 128857) ((-152 . -830) 128810) ((-599 . -352) 128782) ((-30 . -874) T) ((-1 . -555) 128764) ((-1018 . -97) T) ((-983 . -23) T) ((-49 . -560) 128748) ((-983 . -1012) T) ((-917 . -378) 128720) ((-540 . -820) 128633) ((-406 . -97) T) ((-128 . -278) NIL) ((-794 . -959) T) ((-762 . -777) 128612) ((-79 . -1104) T) ((-642 . -260) T) ((-39 . -965) T) ((-528 . -156) T) ((-479 . -156) T) ((-474 . -555) 128594) ((-152 . -583) 128504) ((-469 . -555) 128486) ((-320 . -134) 128468) ((-320 . -132) T) ((-327 . -1012) T) ((-322 . -1012) T) ((-314 . -1012) T) ((-918 . -276) T) ((-834 . -276) T) ((-794 . -216) T) ((-103 . -1012) T) ((-794 . -206) 128447) ((-1135 . -106) 128261) ((-1114 . -106) 128043) ((-218 . -1138) 128027) ((-501 . -775) T) ((-327 . -23) T) ((-308 . -318) T) ((-282 . -278) 128014) ((-281 . -278) 127910) ((-322 . -23) T) ((-287 . -123) T) ((-314 . -23) T) ((-918 . -933) T) ((-103 . -23) T) ((-218 . -548) 127887) ((-1136 . -37) 127744) ((-1118 . -830) 127723) ((-107 . -1001) T) ((-948 . -97) T) ((-1118 . -583) 127648) ((-793 . -724) NIL) ((-782 . -583) 127622) ((-793 . -721) NIL) ((-746 . -806) NIL) ((-793 . -657) T) ((-989 . -476) 127487) ((-711 . -476) 127435) ((-710 . -476) 127387) ((-522 . -583) 127374) ((-746 . -950) 127204) ((-421 . -476) 127142) ((-356 . -357) T) ((-58 . -1104) T) ((-558 . -777) 127121) ((-463 . -597) T) ((-1041 . -891) 127090) ((-917 . -419) T) ((-630 . -775) T) ((-473 . -722) T) ((-441 . -964) 126925) ((-312 . -1001) T) ((-281 . -1046) NIL) ((-259 . -123) T) ((-361 . -1001) T) ((-625 . -338) 126892) ((-791 . -965) T) ((-197 . -560) 126869) ((-295 . -256) 126846) ((-441 . -106) 126660) ((-1135 . -959) T) ((-1114 . -959) T) ((-746 . -345) 126644) ((-152 . -657) T) ((-591 . -97) T) ((-1135 . -216) 126623) ((-1135 . -206) 126575) ((-1114 . -206) 126480) ((-1114 . -216) 126459) ((-917 . -370) NIL) ((-605 . -577) 126407) ((-282 . -37) 126317) ((-281 . -37) 126246) ((-67 . -555) 126228) ((-287 . -456) 126194) ((-1077 . -258) 126173) ((-1013 . -1012) 126104) ((-82 . -1104) T) ((-60 . -555) 126086) ((-445 . -258) 126065) ((-1162 . -950) 126042) ((-1059 . -1001) T) ((-1013 . -23) 125913) ((-746 . -820) 125849) ((-1118 . -657) T) ((-997 . -1104) T) ((-989 . -260) 125780) ((-813 . -97) T) ((-711 . -260) 125691) ((-295 . -19) 125675) ((-56 . -258) 125652) ((-710 . -260) 125583) ((-782 . -657) T) ((-112 . -775) NIL) ((-478 . -258) 125560) ((-295 . -548) 125537) ((-459 . -258) 125514) ((-421 . -260) 125445) ((-948 . -278) 125296) ((-522 . -657) T) ((-587 . -555) 125278) ((-218 . -556) 125239) ((-218 . -555) 125178) ((-1042 . -33) T) ((-863 . -1104) T) ((-312 . -648) 125123) ((-605 . -25) T) ((-605 . -21) T) ((-441 . -959) T) ((-571 . -386) 125088) ((-549 . -386) 125053) ((-1018 . -1046) T) ((-528 . -260) T) ((-479 . -260) T) ((-1130 . -276) 125032) ((-441 . -206) 124984) ((-441 . -216) 124963) ((-1109 . -276) 124942) ((-983 . -123) T) ((-794 . -727) 124921) ((-131 . -97) T) ((-39 . -1001) T) ((-794 . -722) 124900) ((-578 . -924) 124884) ((-527 . -965) T) ((-501 . -965) T) ((-458 . -965) T) ((-375 . -419) T) ((-327 . -123) T) ((-282 . -368) 124868) ((-281 . -368) 124829) ((-322 . -123) T) ((-314 . -123) T) ((-1109 . -933) NIL) ((-991 . -555) 124796) ((-103 . -123) T) ((-1018 . -37) 124783) ((-839 . -1001) T) ((-701 . -1001) T) ((-606 . -1001) T) ((-632 . -134) T) ((-111 . -134) T) ((-1168 . -21) T) ((-1168 . -25) T) ((-1167 . -21) T) ((-1167 . -25) T) ((-599 . -964) 124767) ((-487 . -777) T) ((-463 . -777) T) ((-323 . -964) 124719) ((-321 . -964) 124671) ((-313 . -964) 124623) ((-222 . -1104) T) ((-221 . -1104) T) ((-235 . -964) 124466) ((-220 . -964) 124309) ((-599 . -106) 124288) ((-323 . -106) 124219) ((-321 . -106) 124150) ((-313 . -106) 124081) ((-235 . -106) 123903) ((-220 . -106) 123725) ((-747 . -1108) 123704) ((-562 . -380) 123688) ((-43 . -21) T) ((-43 . -25) T) ((-745 . -577) 123596) ((-747 . -508) 123575) ((-222 . -950) 123404) ((-221 . -950) 123233) ((-121 . -114) 123217) ((-826 . -964) 123182) ((-630 . -965) T) ((-643 . -97) T) ((-312 . -156) T) ((-139 . -21) T) ((-139 . -25) T) ((-85 . -555) 123164) ((-826 . -106) 123113) ((-39 . -648) 123058) ((-791 . -1001) T) ((-295 . -556) 123019) ((-295 . -555) 122958) ((-1114 . -722) 122911) ((-1114 . -727) 122864) ((-222 . -345) 122834) ((-221 . -345) 122804) ((-591 . -37) 122774) ((-550 . -33) T) ((-448 . -1012) 122705) ((-442 . -33) T) ((-1013 . -123) 122576) ((-883 . -25) 122387) ((-795 . -555) 122369) ((-883 . -21) 122324) ((-745 . -21) 122235) ((-745 . -25) 122087) ((-562 . -965) T) ((-1072 . -508) 122066) ((-1064 . -46) 122043) ((-323 . -959) T) ((-321 . -959) T) ((-448 . -23) 121914) ((-313 . -959) T) ((-235 . -959) T) ((-220 . -959) T) ((-1023 . -46) 121886) ((-112 . -965) T) ((-947 . -583) 121860) ((-877 . -33) T) ((-323 . -206) 121839) ((-323 . -216) T) ((-321 . -206) 121818) ((-321 . -216) T) ((-220 . -294) 121775) ((-313 . -206) 121754) ((-313 . -216) T) ((-235 . -294) 121726) ((-235 . -206) 121705) ((-1048 . -138) 121689) ((-222 . -820) 121622) ((-221 . -820) 121555) ((-986 . -777) T) ((-1116 . -1104) T) ((-383 . -1012) T) ((-962 . -23) T) ((-826 . -959) T) ((-290 . -583) 121537) ((-937 . -775) T) ((-1097 . -916) 121503) ((-1067 . -841) 121482) ((-1061 . -841) 121461) ((-826 . -216) T) ((-747 . -331) 121440) ((-349 . -23) T) ((-122 . -1001) 121418) ((-116 . -1001) 121396) ((-826 . -206) T) ((-1061 . -750) NIL) ((-346 . -583) 121361) ((-791 . -648) 121348) ((-956 . -138) 121313) ((-39 . -156) T) ((-625 . -380) 121295) ((-643 . -278) 121282) ((-764 . -583) 121242) ((-758 . -583) 121216) ((-287 . -25) T) ((-287 . -21) T) ((-589 . -256) 121195) ((-527 . -1001) T) ((-501 . -1001) T) ((-458 . -1001) T) ((-218 . -258) 121172) ((-281 . -204) 121133) ((-1064 . -806) NIL) ((-1023 . -806) 120992) ((-1064 . -950) 120875) ((-1023 . -950) 120760) ((-781 . -950) 120658) ((-711 . -256) 120585) ((-747 . -1012) T) ((-947 . -657) T) ((-546 . -586) 120569) ((-956 . -891) 120498) ((-910 . -97) T) ((-747 . -23) T) ((-643 . -1046) 120476) ((-625 . -965) T) ((-546 . -340) 120460) ((-320 . -419) T) ((-312 . -260) T) ((-1151 . -1001) T) ((-367 . -97) T) ((-259 . -21) T) ((-259 . -25) T) ((-329 . -657) T) ((-630 . -1001) T) ((-329 . -440) T) ((-1097 . -555) 120442) ((-1064 . -345) 120426) ((-1023 . -345) 120410) ((-937 . -380) 120372) ((-128 . -202) 120354) ((-346 . -724) T) ((-346 . -721) T) ((-791 . -156) T) ((-346 . -657) T) ((-642 . -555) 120336) ((-643 . -37) 120165) ((-1148 . -1147) 120149) ((-320 . -370) T) ((-1148 . -1001) 120099) ((-527 . -648) 120086) ((-501 . -648) 120073) ((-458 . -648) 120038) ((-282 . -568) 120017) ((-764 . -657) T) ((-758 . -657) T) ((-578 . -1104) T) ((-983 . -577) 119965) ((-1064 . -820) 119909) ((-1023 . -820) 119893) ((-587 . -964) 119877) ((-103 . -577) 119859) ((-448 . -123) 119730) ((-1072 . -1012) T) ((-866 . -46) 119699) ((-562 . -1001) T) ((-587 . -106) 119678) ((-295 . -258) 119655) ((-447 . -46) 119612) ((-1072 . -23) T) ((-112 . -1001) T) ((-98 . -97) 119590) ((-1159 . -1012) T) ((-962 . -123) T) ((-937 . -965) T) ((-749 . -950) 119574) ((-917 . -655) 119546) ((-1159 . -23) T) ((-630 . -648) 119511) ((-530 . -555) 119493) ((-354 . -950) 119477) ((-308 . -965) T) ((-349 . -123) T) ((-292 . -950) 119461) ((-199 . -806) 119443) ((-918 . -841) T) ((-89 . -33) T) ((-918 . -750) T) ((-834 . -841) T) ((-452 . -1108) T) ((-1084 . -555) 119425) ((-1005 . -1001) T) ((-192 . -1108) T) ((-910 . -278) 119390) ((-199 . -950) 119350) ((-39 . -260) T) ((-983 . -21) T) ((-983 . -25) T) ((-1018 . -751) T) ((-452 . -508) T) ((-327 . -25) T) ((-192 . -508) T) ((-327 . -21) T) ((-322 . -25) T) ((-322 . -21) T) ((-645 . -583) 119310) ((-314 . -25) T) ((-314 . -21) T) ((-103 . -25) T) ((-103 . -21) T) ((-47 . -965) T) ((-527 . -156) T) ((-501 . -156) T) ((-458 . -156) T) ((-589 . -555) 119292) ((-667 . -668) 119276) ((-301 . -555) 119258) ((-66 . -351) T) ((-66 . -364) T) ((-997 . -102) 119242) ((-969 . -806) 119224) ((-866 . -806) 119149) ((-590 . -1012) T) ((-562 . -648) 119136) ((-447 . -806) NIL) ((-1041 . -97) T) ((-969 . -950) 119118) ((-92 . -555) 119100) ((-444 . -134) T) ((-866 . -950) 118982) ((-112 . -648) 118927) ((-590 . -23) T) ((-447 . -950) 118805) ((-989 . -556) NIL) ((-989 . -555) 118787) ((-711 . -556) NIL) ((-711 . -555) 118748) ((-710 . -556) 118383) ((-710 . -555) 118297) ((-1013 . -577) 118205) ((-428 . -555) 118187) ((-421 . -555) 118169) ((-421 . -556) 118030) ((-948 . -202) 117976) ((-121 . -33) T) ((-747 . -123) T) ((-794 . -830) 117955) ((-584 . -555) 117937) ((-323 . -1165) 117921) ((-321 . -1165) 117905) ((-313 . -1165) 117889) ((-122 . -476) 117822) ((-116 . -476) 117755) ((-474 . -722) T) ((-474 . -727) T) ((-473 . -724) T) ((-98 . -278) 117693) ((-196 . -97) 117671) ((-625 . -1001) T) ((-630 . -156) T) ((-794 . -583) 117623) ((-63 . -353) T) ((-246 . -555) 117605) ((-63 . -364) T) ((-866 . -345) 117589) ((-791 . -260) T) ((-49 . -555) 117571) ((-910 . -37) 117519) ((-528 . -555) 117501) ((-447 . -345) 117485) ((-528 . -556) 117467) ((-479 . -555) 117449) ((-826 . -1165) 117436) ((-793 . -1104) T) ((-632 . -419) T) ((-458 . -476) 117402) ((-452 . -331) T) ((-323 . -336) 117381) ((-321 . -336) 117360) ((-313 . -336) 117339) ((-192 . -331) T) ((-645 . -657) T) ((-111 . -419) T) ((-1170 . -1161) 117323) ((-793 . -804) 117300) ((-793 . -806) NIL) ((-883 . -777) 117199) ((-745 . -777) 117150) ((-591 . -593) 117134) ((-1091 . -33) T) ((-155 . -555) 117116) ((-1013 . -21) 117027) ((-1013 . -25) 116879) ((-793 . -950) 116856) ((-866 . -820) 116837) ((-1118 . -46) 116814) ((-826 . -336) T) ((-56 . -586) 116798) ((-478 . -586) 116782) ((-447 . -820) 116759) ((-69 . -408) T) ((-69 . -364) T) ((-459 . -586) 116743) ((-56 . -340) 116727) ((-562 . -156) T) ((-478 . -340) 116711) ((-459 . -340) 116695) ((-758 . -640) 116679) ((-1064 . -276) 116658) ((-1072 . -123) T) ((-112 . -156) T) ((-1041 . -278) 116596) ((-152 . -1104) T) ((-571 . -675) 116580) ((-549 . -675) 116564) ((-1159 . -123) T) ((-1130 . -841) 116543) ((-1114 . -830) 116496) ((-1109 . -841) 116475) ((-625 . -648) 116425) ((-1109 . -750) NIL) ((-937 . -1001) T) ((-793 . -345) 116402) ((-793 . -306) 116379) ((-822 . -1012) T) ((-152 . -804) 116363) ((-152 . -806) 116288) ((-452 . -1012) T) ((-192 . -1012) T) ((-308 . -1001) T) ((-75 . -408) T) ((-75 . -364) T) ((-152 . -950) 116186) ((-287 . -777) T) ((-1148 . -476) 116119) ((-1135 . -583) 116016) ((-1114 . -583) 115886) ((-794 . -724) 115865) ((-794 . -721) 115844) ((-794 . -657) T) ((-452 . -23) T) ((-197 . -555) 115826) ((-157 . -419) T) ((-196 . -278) 115764) ((-80 . -408) T) ((-80 . -364) T) ((-192 . -23) T) ((-1171 . -1166) 115743) ((-527 . -260) T) ((-501 . -260) T) ((-610 . -950) 115727) ((-458 . -260) T) ((-126 . -437) 115682) ((-47 . -1001) T) ((-643 . -204) 115666) ((-793 . -820) NIL) ((-1118 . -806) NIL) ((-808 . -97) T) ((-805 . -97) T) ((-356 . -1001) T) ((-152 . -345) 115650) ((-152 . -306) 115634) ((-1118 . -950) 115517) ((-782 . -950) 115415) ((-1037 . -97) T) ((-590 . -123) T) ((-112 . -476) 115278) ((-587 . -722) 115257) ((-587 . -727) 115236) ((-522 . -950) 115218) ((-262 . -1156) 115188) ((-788 . -97) T) ((-875 . -508) 115167) ((-1097 . -964) 115050) ((-448 . -577) 114958) ((-825 . -1001) T) ((-937 . -648) 114895) ((-642 . -964) 114860) ((-546 . -33) T) ((-1042 . -1104) T) ((-1097 . -106) 114722) ((-441 . -583) 114619) ((-308 . -648) 114564) ((-152 . -820) 114523) ((-630 . -260) T) ((-625 . -156) T) ((-642 . -106) 114472) ((-1175 . -965) T) ((-1118 . -345) 114456) ((-373 . -1108) 114434) ((-281 . -775) NIL) ((-373 . -508) T) ((-199 . -276) T) ((-1114 . -721) 114387) ((-1114 . -724) 114340) ((-1135 . -657) T) ((-1114 . -657) T) ((-47 . -648) 114305) ((-199 . -933) T) ((-320 . -1156) 114282) ((-1136 . -380) 114248) ((-649 . -657) T) ((-1118 . -820) 114192) ((-107 . -555) 114174) ((-107 . -556) 114156) ((-649 . -440) T) ((-448 . -21) 114067) ((-122 . -454) 114051) ((-116 . -454) 114035) ((-448 . -25) 113887) ((-562 . -260) T) ((-530 . -964) 113862) ((-404 . -1001) T) ((-969 . -276) T) ((-112 . -260) T) ((-1003 . -97) T) ((-917 . -97) T) ((-530 . -106) 113823) ((-1037 . -278) 113761) ((-1097 . -959) T) ((-969 . -933) T) ((-64 . -1104) T) ((-962 . -25) T) ((-962 . -21) T) ((-642 . -959) T) ((-349 . -21) T) ((-349 . -25) T) ((-625 . -476) NIL) ((-937 . -156) T) ((-642 . -216) T) ((-969 . -500) T) ((-465 . -97) T) ((-312 . -555) 113743) ((-308 . -156) T) ((-361 . -555) 113725) ((-441 . -657) T) ((-1018 . -775) T) ((-810 . -950) 113693) ((-103 . -777) T) ((-589 . -964) 113677) ((-452 . -123) T) ((-1136 . -965) T) ((-192 . -123) T) ((-1048 . -97) 113655) ((-94 . -1001) T) ((-218 . -601) 113639) ((-218 . -586) 113623) ((-589 . -106) 113602) ((-282 . -380) 113586) ((-218 . -340) 113570) ((-1054 . -208) 113517) ((-910 . -204) 113501) ((-72 . -1104) T) ((-47 . -156) T) ((-632 . -355) T) ((-632 . -130) T) ((-1170 . -97) T) ((-989 . -964) 113344) ((-235 . -830) 113323) ((-220 . -830) 113302) ((-711 . -964) 113125) ((-710 . -964) 112968) ((-550 . -1104) T) ((-1059 . -555) 112950) ((-989 . -106) 112772) ((-956 . -97) T) ((-442 . -1104) T) ((-428 . -964) 112743) ((-421 . -964) 112586) ((-599 . -583) 112570) ((-793 . -276) T) ((-711 . -106) 112372) ((-710 . -106) 112194) ((-323 . -583) 112146) ((-321 . -583) 112098) ((-313 . -583) 112050) ((-235 . -583) 111975) ((-220 . -583) 111900) ((-1053 . -777) T) ((-428 . -106) 111861) ((-421 . -106) 111683) ((-990 . -950) 111667) ((-979 . -950) 111644) ((-914 . -33) T) ((-877 . -1104) T) ((-121 . -924) 111628) ((-875 . -1012) T) ((-793 . -933) NIL) ((-666 . -1012) T) ((-646 . -1012) T) ((-1148 . -454) 111612) ((-1037 . -37) 111572) ((-875 . -23) T) ((-769 . -97) T) ((-747 . -21) T) ((-747 . -25) T) ((-666 . -23) T) ((-646 . -23) T) ((-105 . -597) T) ((-826 . -583) 111537) ((-528 . -964) 111502) ((-479 . -964) 111447) ((-420 . -23) T) ((-375 . -97) T) ((-232 . -97) T) ((-625 . -260) T) ((-788 . -37) 111417) ((-528 . -106) 111366) ((-479 . -106) 111283) ((-373 . -1012) T) ((-282 . -965) 111174) ((-281 . -965) T) ((-589 . -959) T) ((-1175 . -1001) T) ((-152 . -276) 111105) ((-373 . -23) T) ((-39 . -555) 111087) ((-39 . -556) 111071) ((-103 . -906) 111053) ((-111 . -792) 111037) ((-47 . -476) 111003) ((-1091 . -924) 110987) ((-1077 . -33) T) ((-839 . -555) 110969) ((-1013 . -777) 110920) ((-701 . -555) 110902) ((-606 . -555) 110884) ((-1048 . -278) 110822) ((-445 . -33) T) ((-993 . -1104) T) ((-444 . -419) T) ((-989 . -959) T) ((-1036 . -33) T) ((-711 . -959) T) ((-710 . -959) T) ((-582 . -208) 110806) ((-570 . -208) 110752) ((-1118 . -276) 110731) ((-989 . -294) 110693) ((-421 . -959) T) ((-1072 . -21) T) ((-989 . -206) 110672) ((-711 . -294) 110649) ((-711 . -206) T) ((-710 . -294) 110621) ((-295 . -586) 110605) ((-662 . -1108) 110584) ((-1072 . -25) T) ((-56 . -33) T) ((-480 . -33) T) ((-478 . -33) T) ((-421 . -294) 110563) ((-295 . -340) 110547) ((-460 . -33) T) ((-459 . -33) T) ((-917 . -1046) NIL) ((-571 . -97) T) ((-549 . -97) T) ((-662 . -508) 110478) ((-323 . -657) T) ((-321 . -657) T) ((-313 . -657) T) ((-235 . -657) T) ((-220 . -657) T) ((-956 . -278) 110386) ((-821 . -1001) 110364) ((-49 . -959) T) ((-1159 . -21) T) ((-1159 . -25) T) ((-1068 . -508) 110343) ((-1067 . -1108) 110322) ((-528 . -959) T) ((-479 . -959) T) ((-1061 . -1108) 110301) ((-329 . -950) 110285) ((-290 . -950) 110269) ((-937 . -260) T) ((-346 . -806) 110251) ((-1067 . -508) 110202) ((-1061 . -508) 110153) ((-917 . -37) 110098) ((-728 . -1012) T) ((-826 . -657) T) ((-528 . -216) T) ((-528 . -206) T) ((-479 . -206) T) ((-479 . -216) T) ((-1024 . -508) 110077) ((-308 . -260) T) ((-582 . -626) 110061) ((-346 . -950) 110021) ((-1018 . -965) T) ((-98 . -120) 110005) ((-728 . -23) T) ((-1148 . -256) 109982) ((-375 . -278) 109947) ((-1168 . -1166) 109923) ((-1167 . -1166) 109902) ((-1136 . -1001) T) ((-791 . -555) 109884) ((-764 . -950) 109853) ((-179 . -717) T) ((-178 . -717) T) ((-177 . -717) T) ((-176 . -717) T) ((-175 . -717) T) ((-174 . -717) T) ((-173 . -717) T) ((-172 . -717) T) ((-171 . -717) T) ((-170 . -717) T) ((-458 . -916) T) ((-245 . -766) T) ((-244 . -766) T) ((-243 . -766) T) ((-242 . -766) T) ((-47 . -260) T) ((-241 . -766) T) ((-240 . -766) T) ((-239 . -766) T) ((-169 . -717) T) ((-553 . -777) T) ((-591 . -380) 109837) ((-105 . -777) T) ((-590 . -21) T) ((-590 . -25) T) ((-1170 . -37) 109807) ((-112 . -256) 109737) ((-1148 . -19) 109721) ((-1148 . -548) 109698) ((-1160 . -1001) T) ((-981 . -1001) T) ((-901 . -1001) T) ((-875 . -123) T) ((-667 . -1001) T) ((-666 . -123) T) ((-646 . -123) T) ((-474 . -723) T) ((-375 . -1046) 109676) ((-420 . -123) T) ((-474 . -724) T) ((-197 . -959) T) ((-262 . -97) 109459) ((-128 . -1001) T) ((-630 . -916) T) ((-89 . -1104) T) ((-122 . -555) 109426) ((-116 . -555) 109393) ((-1175 . -156) T) ((-1067 . -331) 109372) ((-1061 . -331) 109351) ((-282 . -1001) T) ((-373 . -123) T) ((-281 . -1001) T) ((-375 . -37) 109303) ((-1031 . -97) T) ((-1136 . -648) 109160) ((-591 . -965) T) ((-287 . -132) 109139) ((-287 . -134) 109118) ((-126 . -1001) T) ((-108 . -1001) T) ((-784 . -97) T) ((-527 . -555) 109100) ((-501 . -556) 108999) ((-501 . -555) 108981) ((-458 . -555) 108963) ((-458 . -556) 108908) ((-450 . -23) T) ((-448 . -777) 108859) ((-452 . -577) 108841) ((-192 . -577) 108823) ((-199 . -372) T) ((-587 . -583) 108807) ((-1064 . -841) 108786) ((-662 . -1012) T) ((-320 . -97) T) ((-748 . -777) T) ((-662 . -23) T) ((-312 . -964) 108731) ((-1053 . -1052) T) ((-1042 . -102) 108715) ((-1068 . -1012) T) ((-1067 . -1012) T) ((-477 . -950) 108699) ((-1061 . -1012) T) ((-1024 . -1012) T) ((-312 . -106) 108616) ((-918 . -1108) T) ((-121 . -1104) T) ((-834 . -1108) T) ((-625 . -256) NIL) ((-1151 . -555) 108598) ((-1068 . -23) T) ((-918 . -508) T) ((-1067 . -23) T) ((-834 . -508) T) ((-1061 . -23) T) ((-1037 . -204) 108582) ((-1024 . -23) T) ((-980 . -1001) T) ((-728 . -123) T) ((-282 . -648) 108492) ((-281 . -648) 108421) ((-630 . -555) 108403) ((-630 . -556) 108348) ((-375 . -368) 108332) ((-406 . -1001) T) ((-452 . -25) T) ((-452 . -21) T) ((-1018 . -1001) T) ((-192 . -25) T) ((-192 . -21) T) ((-643 . -380) 108316) ((-645 . -950) 108285) ((-1148 . -555) 108224) ((-1148 . -556) 108185) ((-1136 . -156) T) ((-218 . -33) T) ((-847 . -889) T) ((-1091 . -1104) T) ((-587 . -721) 108164) ((-587 . -724) 108143) ((-366 . -364) T) ((-484 . -97) 108121) ((-948 . -1001) T) ((-196 . -909) 108105) ((-467 . -97) T) ((-562 . -555) 108087) ((-44 . -777) NIL) ((-562 . -556) 108064) ((-948 . -552) 108039) ((-821 . -476) 107972) ((-312 . -959) T) ((-112 . -556) NIL) ((-112 . -555) 107954) ((-794 . -1104) T) ((-605 . -386) 107938) ((-605 . -1021) 107883) ((-463 . -138) 107865) ((-312 . -206) T) ((-312 . -216) T) ((-39 . -964) 107810) ((-794 . -804) 107794) ((-794 . -806) 107719) ((-643 . -965) T) ((-625 . -916) NIL) ((-1135 . -46) 107689) ((-1114 . -46) 107666) ((-1036 . -924) 107637) ((-199 . -841) T) ((-39 . -106) 107554) ((-794 . -950) 107421) ((-1018 . -648) 107408) ((-1005 . -555) 107390) ((-983 . -134) 107369) ((-983 . -132) 107320) ((-918 . -331) T) ((-287 . -1093) 107286) ((-346 . -276) T) ((-287 . -1090) 107252) ((-282 . -156) 107231) ((-281 . -156) T) ((-917 . -204) 107208) ((-834 . -331) T) ((-528 . -1165) 107195) ((-479 . -1165) 107172) ((-327 . -134) 107151) ((-327 . -132) 107102) ((-322 . -134) 107081) ((-322 . -132) 107032) ((-550 . -1081) 107008) ((-314 . -134) 106987) ((-314 . -132) 106938) ((-287 . -34) 106904) ((-442 . -1081) 106883) ((0 . |EnumerationCategory|) T) ((-287 . -91) 106849) ((-346 . -933) T) ((-103 . -134) T) ((-103 . -132) NIL) ((-44 . -208) 106799) ((-591 . -1001) T) ((-550 . -102) 106746) ((-450 . -123) T) ((-442 . -102) 106696) ((-212 . -1012) 106627) ((-794 . -345) 106611) ((-794 . -306) 106595) ((-212 . -23) 106466) ((-969 . -841) T) ((-969 . -750) T) ((-528 . -336) T) ((-479 . -336) T) ((-320 . -1046) T) ((-295 . -33) T) ((-43 . -386) 106450) ((-358 . -675) 106434) ((-1160 . -476) 106367) ((-662 . -123) T) ((-1139 . -508) 106346) ((-1130 . -1108) 106325) ((-1130 . -508) 106276) ((-667 . -476) 106209) ((-1114 . -1104) 106188) ((-1114 . -806) 106061) ((-813 . -1001) T) ((-131 . -771) T) ((-1114 . -804) 106031) ((-1109 . -1108) 106010) ((-1109 . -508) 105961) ((-484 . -278) 105899) ((-1068 . -123) T) ((-128 . -476) NIL) ((-1067 . -123) T) ((-1061 . -123) T) ((-1024 . -123) T) ((-937 . -916) T) ((-320 . -37) 105864) ((-918 . -1012) T) ((-834 . -1012) T) ((-81 . -555) 105846) ((-39 . -959) T) ((-791 . -964) 105833) ((-918 . -23) T) ((-794 . -820) 105792) ((-632 . -97) T) ((-917 . -318) NIL) ((-546 . -1104) T) ((-886 . -23) T) ((-834 . -23) T) ((-791 . -106) 105777) ((-397 . -1012) T) ((-441 . -46) 105747) ((-125 . -97) T) ((-39 . -206) 105719) ((-39 . -216) T) ((-111 . -97) T) ((-541 . -508) 105698) ((-540 . -508) 105677) ((-625 . -555) 105659) ((-625 . -556) 105567) ((-282 . -476) 105533) ((-281 . -476) 105284) ((-1135 . -950) 105268) ((-1114 . -950) 105057) ((-910 . -380) 105041) ((-397 . -23) T) ((-1018 . -156) T) ((-1136 . -260) T) ((-591 . -648) 105011) ((-131 . -1001) T) ((-47 . -916) T) ((-375 . -204) 104995) ((-264 . -208) 104945) ((-793 . -841) T) ((-793 . -750) NIL) ((-787 . -777) T) ((-1114 . -306) 104915) ((-1114 . -345) 104885) ((-196 . -1019) 104869) ((-1148 . -258) 104846) ((-1097 . -583) 104771) ((-875 . -21) T) ((-875 . -25) T) ((-666 . -21) T) ((-666 . -25) T) ((-646 . -21) T) ((-646 . -25) T) ((-642 . -583) 104736) ((-420 . -21) T) ((-420 . -25) T) ((-307 . -97) T) ((-157 . -97) T) ((-910 . -965) T) ((-791 . -959) T) ((-703 . -97) T) ((-1135 . -820) 104642) ((-1130 . -331) 104621) ((-1114 . -820) 104472) ((-1109 . -331) 104451) ((-937 . -555) 104433) ((-375 . -751) 104386) ((-1068 . -456) 104352) ((-152 . -841) 104283) ((-1067 . -456) 104249) ((-1061 . -456) 104215) ((-643 . -1001) T) ((-1024 . -456) 104181) ((-527 . -964) 104168) ((-501 . -964) 104155) ((-458 . -964) 104120) ((-282 . -260) 104099) ((-281 . -260) T) ((-308 . -555) 104081) ((-373 . -25) T) ((-373 . -21) T) ((-94 . -256) 104060) ((-527 . -106) 104045) ((-501 . -106) 104030) ((-458 . -106) 103979) ((-1070 . -806) 103946) ((-821 . -454) 103930) ((-47 . -555) 103912) ((-47 . -556) 103857) ((-212 . -123) 103728) ((-1118 . -841) 103707) ((-746 . -1108) 103686) ((-948 . -476) 103494) ((-356 . -555) 103476) ((-746 . -508) 103407) ((-530 . -583) 103382) ((-235 . -46) 103354) ((-220 . -46) 103311) ((-487 . -471) 103288) ((-914 . -1104) T) ((-630 . -964) 103253) ((-1139 . -1012) T) ((-1130 . -1012) T) ((-1109 . -1012) T) ((-917 . -338) 103225) ((-107 . -336) T) ((-441 . -820) 103131) ((-1139 . -23) T) ((-1130 . -23) T) ((-825 . -555) 103113) ((-89 . -102) 103097) ((-1097 . -657) T) ((-822 . -777) 103048) ((-632 . -1046) T) ((-630 . -106) 102997) ((-1109 . -23) T) ((-541 . -1012) T) ((-540 . -1012) T) ((-643 . -648) 102826) ((-642 . -657) T) ((-1018 . -260) T) ((-918 . -123) T) ((-452 . -777) T) ((-886 . -123) T) ((-834 . -123) T) ((-527 . -959) T) ((-192 . -777) T) ((-501 . -959) T) ((-728 . -25) T) ((-728 . -21) T) ((-458 . -959) T) ((-541 . -23) T) ((-312 . -1165) 102803) ((-287 . -419) 102782) ((-307 . -278) 102769) ((-540 . -23) T) ((-397 . -123) T) ((-589 . -583) 102743) ((-218 . -924) 102727) ((-794 . -276) T) ((-1171 . -1161) 102711) ((-632 . -37) 102698) ((-501 . -206) T) ((-458 . -216) T) ((-458 . -206) T) ((-701 . -722) T) ((-701 . -727) T) ((-1045 . -208) 102648) ((-989 . -830) 102627) ((-111 . -37) 102614) ((-185 . -730) T) ((-184 . -730) T) ((-183 . -730) T) ((-182 . -730) T) ((-794 . -933) 102593) ((-1160 . -454) 102577) ((-711 . -830) 102556) ((-710 . -830) 102535) ((-1077 . -1104) T) ((-421 . -830) 102514) ((-667 . -454) 102498) ((-989 . -583) 102423) ((-711 . -583) 102348) ((-562 . -964) 102335) ((-445 . -1104) T) ((-312 . -336) T) ((-128 . -454) 102317) ((-710 . -583) 102242) ((-1036 . -1104) T) ((-428 . -583) 102213) ((-235 . -806) 102072) ((-220 . -806) NIL) ((-112 . -964) 102017) ((-421 . -583) 101942) ((-599 . -950) 101919) ((-562 . -106) 101904) ((-323 . -950) 101888) ((-321 . -950) 101872) ((-313 . -950) 101856) ((-235 . -950) 101702) ((-220 . -950) 101580) ((-112 . -106) 101497) ((-56 . -1104) T) ((-480 . -1104) T) ((-478 . -1104) T) ((-460 . -1104) T) ((-459 . -1104) T) ((-404 . -555) 101479) ((-402 . -555) 101461) ((-3 . -97) T) ((-940 . -1099) 101430) ((-762 . -97) T) ((-621 . -55) 101388) ((-630 . -959) T) ((-49 . -583) 101362) ((-259 . -419) T) ((-443 . -1099) 101331) ((0 . -97) T) ((-528 . -583) 101296) ((-479 . -583) 101241) ((-48 . -97) T) ((-826 . -950) 101228) ((-630 . -216) T) ((-983 . -378) 101207) ((-662 . -577) 101155) ((-910 . -1001) T) ((-643 . -156) 101046) ((-452 . -906) 101028) ((-235 . -345) 101012) ((-220 . -345) 100996) ((-367 . -1001) T) ((-307 . -37) 100980) ((-939 . -97) 100958) ((-192 . -906) 100940) ((-157 . -37) 100872) ((-1135 . -276) 100851) ((-1114 . -276) 100830) ((-589 . -657) T) ((-94 . -555) 100812) ((-1061 . -577) 100764) ((-450 . -25) T) ((-450 . -21) T) ((-1114 . -933) 100717) ((-562 . -959) T) ((-346 . -372) T) ((-358 . -97) T) ((-235 . -820) 100663) ((-220 . -820) 100640) ((-112 . -959) T) ((-746 . -1012) T) ((-989 . -657) T) ((-562 . -206) 100619) ((-558 . -97) T) ((-711 . -657) T) ((-710 . -657) T) ((-381 . -1012) T) ((-112 . -216) T) ((-39 . -336) NIL) ((-112 . -206) NIL) ((-421 . -657) T) ((-746 . -23) T) ((-662 . -25) T) ((-662 . -21) T) ((-634 . -777) T) ((-981 . -256) 100598) ((-73 . -365) T) ((-73 . -364) T) ((-625 . -964) 100548) ((-1139 . -123) T) ((-1130 . -123) T) ((-1109 . -123) T) ((-1037 . -380) 100532) ((-571 . -335) 100464) ((-549 . -335) 100396) ((-1048 . -1044) 100380) ((-98 . -1001) 100358) ((-1068 . -25) T) ((-1068 . -21) T) ((-1067 . -21) T) ((-910 . -648) 100306) ((-197 . -583) 100273) ((-625 . -106) 100200) ((-49 . -657) T) ((-1067 . -25) T) ((-320 . -318) T) ((-1061 . -21) T) ((-983 . -419) 100151) ((-1061 . -25) T) ((-643 . -476) 100099) ((-528 . -657) T) ((-479 . -657) T) ((-1024 . -21) T) ((-1024 . -25) T) ((-541 . -123) T) ((-540 . -123) T) ((-327 . -419) T) ((-322 . -419) T) ((-314 . -419) T) ((-441 . -276) 100078) ((-281 . -256) 99944) ((-103 . -419) T) ((-77 . -408) T) ((-77 . -364) T) ((-444 . -97) T) ((-1175 . -555) 99926) ((-1175 . -556) 99908) ((-983 . -370) 99887) ((-948 . -454) 99819) ((-501 . -727) T) ((-501 . -722) T) ((-970 . -208) 99765) ((-327 . -370) 99716) ((-322 . -370) 99667) ((-314 . -370) 99618) ((-1162 . -1012) T) ((-1162 . -23) T) ((-1152 . -97) T) ((-1037 . -965) T) ((-605 . -675) 99602) ((-1072 . -132) 99581) ((-1072 . -134) 99560) ((-1041 . -1001) T) ((-1041 . -977) 99529) ((-67 . -1104) T) ((-937 . -964) 99466) ((-788 . -965) T) ((-212 . -577) 99374) ((-625 . -959) T) ((-308 . -964) 99319) ((-60 . -1104) T) ((-937 . -106) 99228) ((-821 . -555) 99195) ((-625 . -216) T) ((-625 . -206) NIL) ((-769 . -775) 99174) ((-630 . -727) T) ((-630 . -722) T) ((-917 . -380) 99151) ((-308 . -106) 99068) ((-346 . -841) T) ((-375 . -775) 99047) ((-643 . -260) 98958) ((-197 . -657) T) ((-1139 . -456) 98924) ((-1130 . -456) 98890) ((-1109 . -456) 98856) ((-282 . -916) 98835) ((-196 . -1001) 98813) ((-287 . -888) 98776) ((-100 . -97) T) ((-47 . -964) 98741) ((-1171 . -97) T) ((-350 . -97) T) ((-47 . -106) 98690) ((-918 . -577) 98672) ((-1136 . -555) 98654) ((-487 . -97) T) ((-463 . -97) T) ((-1031 . -1032) 98638) ((-139 . -1156) 98622) ((-218 . -1104) T) ((-1064 . -1108) 98601) ((-1023 . -1108) 98580) ((-212 . -21) 98491) ((-212 . -25) 98343) ((-122 . -114) 98327) ((-116 . -114) 98311) ((-43 . -675) 98295) ((-1064 . -508) 98206) ((-1023 . -508) 98137) ((-948 . -256) 98112) ((-746 . -123) T) ((-112 . -727) NIL) ((-112 . -722) NIL) ((-323 . -276) T) ((-321 . -276) T) ((-313 . -276) T) ((-991 . -1104) T) ((-222 . -1012) 98043) ((-221 . -1012) 97974) ((-937 . -959) T) ((-917 . -965) T) ((-312 . -583) 97919) ((-558 . -37) 97903) ((-1160 . -555) 97865) ((-1160 . -556) 97826) ((-981 . -555) 97808) ((-937 . -216) T) ((-308 . -959) T) ((-745 . -1156) 97778) ((-222 . -23) T) ((-221 . -23) T) ((-901 . -555) 97760) ((-667 . -556) 97721) ((-667 . -555) 97703) ((-728 . -777) 97682) ((-910 . -476) 97594) ((-308 . -206) T) ((-308 . -216) T) ((-1054 . -138) 97541) ((-918 . -25) T) ((-128 . -555) 97523) ((-128 . -556) 97482) ((-826 . -276) T) ((-918 . -21) T) ((-886 . -25) T) ((-834 . -21) T) ((-834 . -25) T) ((-397 . -21) T) ((-397 . -25) T) ((-769 . -380) 97466) ((-47 . -959) T) ((-1168 . -1161) 97450) ((-1167 . -1161) 97434) ((-948 . -548) 97409) ((-282 . -556) 97270) ((-282 . -555) 97252) ((-281 . -556) NIL) ((-281 . -555) 97234) ((-47 . -216) T) ((-47 . -206) T) ((-591 . -256) 97195) ((-502 . -208) 97145) ((-126 . -555) 97127) ((-108 . -555) 97109) ((-444 . -37) 97074) ((-1171 . -1169) 97053) ((-1162 . -123) T) ((-1170 . -965) T) ((-986 . -97) T) ((-85 . -1104) T) ((-463 . -278) NIL) ((-914 . -102) 97037) ((-808 . -1001) T) ((-805 . -1001) T) ((-1148 . -586) 97021) ((-1148 . -340) 97005) ((-295 . -1104) T) ((-538 . -777) T) ((-1037 . -1001) T) ((-1037 . -961) 96945) ((-98 . -476) 96878) ((-845 . -555) 96860) ((-312 . -657) T) ((-30 . -555) 96842) ((-788 . -1001) T) ((-769 . -965) 96821) ((-39 . -583) 96766) ((-199 . -1108) T) ((-375 . -965) T) ((-1053 . -138) 96748) ((-910 . -260) 96699) ((-199 . -508) T) ((-287 . -1132) 96683) ((-287 . -1128) 96653) ((-1077 . -1081) 96632) ((-980 . -555) 96614) ((-582 . -138) 96598) ((-570 . -138) 96544) ((-1077 . -102) 96494) ((-445 . -1081) 96473) ((-452 . -134) T) ((-452 . -132) NIL) ((-1018 . -556) 96388) ((-406 . -555) 96370) ((-192 . -134) T) ((-192 . -132) NIL) ((-1018 . -555) 96352) ((-50 . -97) T) ((-1109 . -577) 96304) ((-445 . -102) 96254) ((-908 . -23) T) ((-1171 . -37) 96224) ((-1064 . -1012) T) ((-1023 . -1012) T) ((-969 . -1108) T) ((-781 . -1012) T) ((-866 . -1108) 96203) ((-447 . -1108) 96182) ((-662 . -777) 96161) ((-969 . -508) T) ((-866 . -508) 96092) ((-1064 . -23) T) ((-1023 . -23) T) ((-781 . -23) T) ((-447 . -508) 96023) ((-1037 . -648) 95955) ((-1041 . -476) 95888) ((-948 . -556) NIL) ((-948 . -555) 95870) ((-788 . -648) 95840) ((-1097 . -46) 95809) ((-222 . -123) T) ((-221 . -123) T) ((-1003 . -1001) T) ((-917 . -1001) T) ((-61 . -555) 95791) ((-1061 . -777) NIL) ((-937 . -722) T) ((-937 . -727) T) ((-1175 . -964) 95778) ((-1175 . -106) 95763) ((-791 . -583) 95750) ((-1139 . -25) T) ((-1139 . -21) T) ((-1130 . -21) T) ((-1130 . -25) T) ((-1109 . -21) T) ((-1109 . -25) T) ((-940 . -138) 95734) ((-794 . -750) 95713) ((-794 . -841) T) ((-643 . -256) 95640) ((-541 . -21) T) ((-541 . -25) T) ((-540 . -21) T) ((-39 . -657) T) ((-196 . -476) 95573) ((-540 . -25) T) ((-443 . -138) 95557) ((-430 . -138) 95541) ((-839 . -657) T) ((-701 . -723) T) ((-701 . -724) T) ((-465 . -1001) T) ((-701 . -657) T) ((-199 . -331) T) ((-1048 . -1001) 95519) ((-793 . -1108) T) ((-591 . -555) 95501) ((-793 . -508) T) ((-625 . -336) NIL) ((-327 . -1156) 95485) ((-605 . -97) T) ((-322 . -1156) 95469) ((-314 . -1156) 95453) ((-1170 . -1001) T) ((-481 . -777) 95432) ((-747 . -419) 95411) ((-956 . -1001) T) ((-956 . -977) 95340) ((-940 . -891) 95309) ((-749 . -1012) T) ((-917 . -648) 95254) ((-354 . -1012) T) ((-443 . -891) 95223) ((-430 . -891) 95192) ((-105 . -138) 95174) ((-71 . -555) 95156) ((-813 . -555) 95138) ((-983 . -655) 95117) ((-1175 . -959) T) ((-746 . -577) 95065) ((-262 . -965) 95008) ((-152 . -1108) 94913) ((-199 . -1012) T) ((-292 . -23) T) ((-1061 . -906) 94865) ((-769 . -1001) T) ((-1024 . -671) 94844) ((-1136 . -964) 94733) ((-1135 . -841) 94712) ((-791 . -657) T) ((-152 . -508) 94623) ((-1114 . -841) 94602) ((-527 . -583) 94589) ((-375 . -1001) T) ((-501 . -583) 94576) ((-232 . -1001) T) ((-458 . -583) 94541) ((-199 . -23) T) ((-1114 . -750) 94494) ((-1168 . -97) T) ((-308 . -1165) 94471) ((-1167 . -97) T) ((-1136 . -106) 94321) ((-131 . -555) 94303) ((-908 . -123) T) ((-43 . -97) T) ((-212 . -777) 94254) ((-1118 . -1108) 94233) ((-98 . -454) 94217) ((-1170 . -648) 94187) ((-989 . -46) 94149) ((-969 . -1012) T) ((-866 . -1012) T) ((-122 . -33) T) ((-116 . -33) T) ((-711 . -46) 94126) ((-710 . -46) 94098) ((-1118 . -508) 94009) ((-308 . -336) T) ((-447 . -1012) T) ((-1064 . -123) T) ((-1023 . -123) T) ((-421 . -46) 93988) ((-793 . -331) T) ((-781 . -123) T) ((-139 . -97) T) ((-969 . -23) T) ((-866 . -23) T) ((-522 . -508) T) ((-746 . -25) T) ((-746 . -21) T) ((-1037 . -476) 93921) ((-530 . -950) 93905) ((-447 . -23) T) ((-320 . -965) T) ((-1097 . -820) 93886) ((-605 . -278) 93824) ((-1013 . -1156) 93794) ((-630 . -583) 93759) ((-917 . -156) T) ((-875 . -132) 93738) ((-571 . -1001) T) ((-549 . -1001) T) ((-875 . -134) 93717) ((-918 . -777) T) ((-666 . -134) 93696) ((-666 . -132) 93675) ((-886 . -777) T) ((-441 . -841) 93654) ((-282 . -964) 93564) ((-281 . -964) 93493) ((-910 . -256) 93451) ((-375 . -648) 93403) ((-632 . -775) T) ((-1136 . -959) T) ((-282 . -106) 93292) ((-281 . -106) 93177) ((-883 . -97) T) ((-745 . -97) 92988) ((-643 . -556) NIL) ((-643 . -555) 92970) ((-589 . -950) 92868) ((-1136 . -294) 92812) ((-948 . -258) 92787) ((-527 . -657) T) ((-501 . -724) T) ((-152 . -331) 92738) ((-501 . -721) T) ((-501 . -657) T) ((-458 . -657) T) ((-1041 . -454) 92722) ((-989 . -806) NIL) ((-793 . -1012) T) ((-112 . -830) NIL) ((-1168 . -1169) 92698) ((-1167 . -1169) 92677) ((-711 . -806) NIL) ((-710 . -806) 92536) ((-1162 . -25) T) ((-1162 . -21) T) ((-1102 . -97) 92514) ((-1006 . -364) T) ((-562 . -583) 92501) ((-421 . -806) NIL) ((-609 . -97) 92479) ((-989 . -950) 92309) ((-793 . -23) T) ((-711 . -950) 92171) ((-710 . -950) 92030) ((-112 . -583) 91975) ((-421 . -950) 91853) ((-584 . -950) 91837) ((-565 . -97) T) ((-196 . -454) 91821) ((-1148 . -33) T) ((-571 . -648) 91805) ((-549 . -648) 91789) ((-605 . -37) 91749) ((-287 . -97) T) ((-84 . -555) 91731) ((-49 . -950) 91715) ((-1018 . -964) 91702) ((-989 . -345) 91686) ((-58 . -55) 91648) ((-630 . -724) T) ((-630 . -721) T) ((-528 . -950) 91635) ((-479 . -950) 91612) ((-630 . -657) T) ((-282 . -959) 91503) ((-292 . -123) T) ((-281 . -959) T) ((-152 . -1012) T) ((-711 . -345) 91487) ((-710 . -345) 91471) ((-44 . -138) 91421) ((-918 . -906) 91403) ((-421 . -345) 91387) ((-375 . -156) T) ((-282 . -216) 91366) ((-281 . -216) T) ((-281 . -206) NIL) ((-262 . -1001) 91149) ((-199 . -123) T) ((-1018 . -106) 91134) ((-152 . -23) T) ((-728 . -134) 91113) ((-728 . -132) 91092) ((-222 . -577) 91000) ((-221 . -577) 90908) ((-287 . -254) 90874) ((-1048 . -476) 90807) ((-1031 . -1001) T) ((-199 . -967) T) ((-745 . -278) 90745) ((-989 . -820) 90681) ((-711 . -820) 90625) ((-710 . -820) 90609) ((-1168 . -37) 90579) ((-1167 . -37) 90549) ((-1118 . -1012) T) ((-782 . -1012) T) ((-421 . -820) 90526) ((-784 . -1001) T) ((-1118 . -23) T) ((-522 . -1012) T) ((-782 . -23) T) ((-562 . -657) T) ((-323 . -841) T) ((-321 . -841) T) ((-259 . -97) T) ((-313 . -841) T) ((-969 . -123) T) ((-866 . -123) T) ((-112 . -724) NIL) ((-112 . -721) NIL) ((-112 . -657) T) ((-625 . -830) NIL) ((-956 . -476) 90410) ((-447 . -123) T) ((-522 . -23) T) ((-609 . -278) 90348) ((-571 . -692) T) ((-549 . -692) T) ((-1109 . -777) NIL) ((-917 . -260) T) ((-222 . -21) T) ((-625 . -583) 90298) ((-320 . -1001) T) ((-222 . -25) T) ((-221 . -21) T) ((-221 . -25) T) ((-139 . -37) 90282) ((-2 . -97) T) ((-826 . -841) T) ((-448 . -1156) 90252) ((-197 . -950) 90229) ((-1018 . -959) T) ((-642 . -276) T) ((-262 . -648) 90171) ((-632 . -965) T) ((-452 . -419) T) ((-375 . -476) 90083) ((-192 . -419) T) ((-1018 . -206) T) ((-264 . -138) 90033) ((-910 . -556) 89994) ((-910 . -555) 89976) ((-904 . -555) 89958) ((-111 . -965) T) ((-591 . -964) 89942) ((-199 . -456) T) ((-367 . -555) 89924) ((-367 . -556) 89901) ((-962 . -1156) 89871) ((-591 . -106) 89850) ((-1037 . -454) 89834) ((-745 . -37) 89804) ((-62 . -408) T) ((-62 . -364) T) ((-1054 . -97) T) ((-793 . -123) T) ((-449 . -97) 89782) ((-1175 . -336) T) ((-983 . -97) T) ((-968 . -97) T) ((-320 . -648) 89727) ((-662 . -134) 89706) ((-662 . -132) 89685) ((-937 . -583) 89622) ((-484 . -1001) 89600) ((-327 . -97) T) ((-322 . -97) T) ((-314 . -97) T) ((-103 . -97) T) ((-467 . -1001) T) ((-308 . -583) 89545) ((-1064 . -577) 89493) ((-1023 . -577) 89441) ((-349 . -471) 89420) ((-762 . -775) 89399) ((-346 . -1108) T) ((-625 . -657) T) ((-307 . -965) T) ((-1109 . -906) 89351) ((-157 . -965) T) ((-98 . -555) 89318) ((-1068 . -132) 89297) ((-1068 . -134) 89276) ((-346 . -508) T) ((-1067 . -134) 89255) ((-1067 . -132) 89234) ((-1061 . -132) 89141) ((-375 . -260) T) ((-1061 . -134) 89048) ((-1024 . -134) 89027) ((-1024 . -132) 89006) ((-287 . -37) 88847) ((-152 . -123) T) ((-281 . -727) NIL) ((-281 . -722) NIL) ((-591 . -959) T) ((-47 . -583) 88812) ((-908 . -21) T) ((-122 . -924) 88796) ((-116 . -924) 88780) ((-908 . -25) T) ((-821 . -114) 88764) ((-1053 . -97) T) ((-746 . -777) 88743) ((-1118 . -123) T) ((-1064 . -25) T) ((-1064 . -21) T) ((-782 . -123) T) ((-1023 . -25) T) ((-1023 . -21) T) ((-781 . -25) T) ((-781 . -21) T) ((-711 . -276) 88722) ((-582 . -97) 88700) ((-570 . -97) T) ((-1054 . -278) 88495) ((-522 . -123) T) ((-558 . -775) 88474) ((-1048 . -454) 88458) ((-1045 . -138) 88408) ((-1041 . -555) 88370) ((-1041 . -556) 88331) ((-937 . -721) T) ((-937 . -724) T) ((-937 . -657) T) ((-449 . -278) 88269) ((-420 . -386) 88239) ((-320 . -156) T) ((-259 . -37) 88226) ((-245 . -97) T) ((-244 . -97) T) ((-243 . -97) T) ((-242 . -97) T) ((-241 . -97) T) ((-240 . -97) T) ((-239 . -97) T) ((-312 . -950) 88203) ((-188 . -97) T) ((-187 . -97) T) ((-185 . -97) T) ((-184 . -97) T) ((-183 . -97) T) ((-182 . -97) T) ((-179 . -97) T) ((-178 . -97) T) ((-643 . -964) 88026) ((-177 . -97) T) ((-176 . -97) T) ((-175 . -97) T) ((-174 . -97) T) ((-173 . -97) T) ((-172 . -97) T) ((-171 . -97) T) ((-170 . -97) T) ((-169 . -97) T) ((-308 . -657) T) ((-643 . -106) 87828) ((-605 . -204) 87812) ((-528 . -276) T) ((-479 . -276) T) ((-262 . -476) 87761) ((-103 . -278) NIL) ((-70 . -364) T) ((-1013 . -97) 87572) ((-762 . -380) 87556) ((-1018 . -727) T) ((-1018 . -722) T) ((-632 . -1001) T) ((-346 . -331) T) ((-152 . -456) 87534) ((-196 . -555) 87501) ((-125 . -1001) T) ((-111 . -1001) T) ((-47 . -657) T) ((-956 . -454) 87466) ((-128 . -394) 87448) ((-128 . -336) T) ((-940 . -97) T) ((-472 . -471) 87427) ((-443 . -97) T) ((-430 . -97) T) ((-947 . -1012) T) ((-1068 . -34) 87393) ((-1068 . -91) 87359) ((-1068 . -1093) 87325) ((-1068 . -1090) 87291) ((-1053 . -278) NIL) ((-87 . -365) T) ((-87 . -364) T) ((-983 . -1046) 87270) ((-1067 . -1090) 87236) ((-1067 . -1093) 87202) ((-947 . -23) T) ((-1067 . -91) 87168) ((-522 . -456) T) ((-1067 . -34) 87134) ((-1061 . -1090) 87100) ((-1061 . -1093) 87066) ((-1061 . -91) 87032) ((-329 . -1012) T) ((-327 . -1046) 87011) ((-322 . -1046) 86990) ((-314 . -1046) 86969) ((-1061 . -34) 86935) ((-1024 . -34) 86901) ((-1024 . -91) 86867) ((-103 . -1046) T) ((-1024 . -1093) 86833) ((-762 . -965) 86812) ((-582 . -278) 86750) ((-570 . -278) 86601) ((-1024 . -1090) 86567) ((-643 . -959) T) ((-969 . -577) 86549) ((-983 . -37) 86417) ((-866 . -577) 86365) ((-918 . -134) T) ((-918 . -132) NIL) ((-346 . -1012) T) ((-292 . -25) T) ((-290 . -23) T) ((-863 . -777) 86344) ((-643 . -294) 86321) ((-447 . -577) 86269) ((-39 . -950) 86146) ((-632 . -648) 86133) ((-643 . -206) T) ((-307 . -1001) T) ((-157 . -1001) T) ((-299 . -777) T) ((-373 . -419) 86083) ((-346 . -23) T) ((-327 . -37) 86048) ((-322 . -37) 86013) ((-314 . -37) 85978) ((-78 . -408) T) ((-78 . -364) T) ((-199 . -25) T) ((-199 . -21) T) ((-764 . -1012) T) ((-103 . -37) 85928) ((-758 . -1012) T) ((-703 . -1001) T) ((-111 . -648) 85915) ((-606 . -950) 85899) ((-553 . -97) T) ((-764 . -23) T) ((-758 . -23) T) ((-1048 . -256) 85876) ((-1013 . -278) 85814) ((-997 . -208) 85798) ((-59 . -365) T) ((-59 . -364) T) ((-105 . -97) T) ((-39 . -345) 85775) ((-590 . -779) 85759) ((-969 . -21) T) ((-969 . -25) T) ((-745 . -204) 85729) ((-866 . -25) T) ((-866 . -21) T) ((-558 . -965) T) ((-447 . -25) T) ((-447 . -21) T) ((-940 . -278) 85667) ((-808 . -555) 85649) ((-805 . -555) 85631) ((-222 . -777) 85582) ((-221 . -777) 85533) ((-484 . -476) 85466) ((-793 . -577) 85443) ((-443 . -278) 85381) ((-430 . -278) 85319) ((-320 . -260) T) ((-1048 . -1138) 85303) ((-1037 . -555) 85265) ((-1037 . -556) 85226) ((-1035 . -97) T) ((-910 . -964) 85122) ((-39 . -820) 85074) ((-1048 . -548) 85051) ((-1175 . -583) 85038) ((-970 . -138) 84984) ((-794 . -1108) T) ((-910 . -106) 84859) ((-307 . -648) 84843) ((-788 . -555) 84825) ((-157 . -648) 84757) ((-375 . -256) 84715) ((-794 . -508) T) ((-103 . -368) 84697) ((-83 . -353) T) ((-83 . -364) T) ((-632 . -156) T) ((-94 . -657) T) ((-448 . -97) 84508) ((-94 . -440) T) ((-111 . -156) T) ((-1013 . -37) 84478) ((-152 . -577) 84426) ((-962 . -97) T) ((-793 . -25) T) ((-745 . -211) 84405) ((-793 . -21) T) ((-748 . -97) T) ((-383 . -97) T) ((-349 . -97) T) ((-105 . -278) NIL) ((-122 . -1104) T) ((-116 . -1104) T) ((-947 . -123) T) ((-605 . -335) 84389) ((-910 . -959) T) ((-1118 . -577) 84337) ((-1003 . -555) 84319) ((-917 . -555) 84301) ((-477 . -23) T) ((-473 . -23) T) ((-312 . -276) T) ((-470 . -23) T) ((-290 . -123) T) ((-3 . -1001) T) ((-917 . -556) 84285) ((-910 . -216) 84264) ((-910 . -206) 84243) ((-1175 . -657) T) ((-1139 . -132) 84222) ((-762 . -1001) T) ((-1139 . -134) 84201) ((-1135 . -1108) 84180) ((-1130 . -134) 84159) ((-1130 . -132) 84138) ((-1114 . -1108) 84117) ((-1109 . -132) 84024) ((-1109 . -134) 83931) ((-346 . -123) T) ((-501 . -806) 83913) ((0 . -1001) T) ((-157 . -156) T) ((-152 . -21) T) ((-152 . -25) T) ((-48 . -1001) T) ((-1136 . -583) 83802) ((-1135 . -508) 83753) ((-645 . -1012) T) ((-1114 . -508) 83704) ((-501 . -950) 83686) ((-540 . -134) 83665) ((-540 . -132) 83644) ((-458 . -950) 83587) ((-86 . -353) T) ((-86 . -364) T) ((-794 . -331) T) ((-764 . -123) T) ((-758 . -123) T) ((-645 . -23) T) ((-465 . -555) 83569) ((-1171 . -965) T) ((-346 . -967) T) ((-939 . -1001) 83547) ((-821 . -33) T) ((-448 . -278) 83485) ((-1048 . -556) 83446) ((-1048 . -555) 83413) ((-1064 . -777) 83392) ((-44 . -97) T) ((-1023 . -777) 83371) ((-747 . -97) T) ((-1118 . -25) T) ((-1118 . -21) T) ((-782 . -25) T) ((-43 . -335) 83355) ((-782 . -21) T) ((-662 . -419) 83306) ((-1170 . -555) 83288) ((-522 . -25) T) ((-522 . -21) T) ((-358 . -1001) T) ((-962 . -278) 83226) ((-558 . -1001) T) ((-630 . -806) 83208) ((-1148 . -1104) T) ((-131 . -336) T) ((-956 . -556) 83150) ((-956 . -555) 83093) ((-281 . -830) NIL) ((-630 . -950) 83038) ((-642 . -841) T) ((-441 . -1108) 83017) ((-1067 . -419) 82996) ((-1061 . -419) 82975) ((-298 . -97) T) ((-794 . -1012) T) ((-282 . -583) 82797) ((-281 . -583) 82726) ((-441 . -508) 82677) ((-307 . -476) 82643) ((-502 . -138) 82593) ((-39 . -276) T) ((-769 . -555) 82575) ((-632 . -260) T) ((-794 . -23) T) ((-346 . -456) T) ((-983 . -204) 82545) ((-472 . -97) T) ((-375 . -556) 82348) ((-375 . -555) 82330) ((-232 . -555) 82312) ((-111 . -260) T) ((-1136 . -657) T) ((-1135 . -331) 82291) ((-1114 . -331) 82270) ((-1160 . -33) T) ((-112 . -1104) T) ((-103 . -204) 82252) ((-1072 . -97) T) ((-444 . -1001) T) ((-484 . -454) 82236) ((-667 . -33) T) ((-448 . -37) 82206) ((-128 . -33) T) ((-112 . -804) 82183) ((-112 . -806) NIL) ((-562 . -950) 82068) ((-578 . -777) 82047) ((-1159 . -97) T) ((-264 . -97) T) ((-643 . -336) 82026) ((-112 . -950) 82003) ((-358 . -648) 81987) ((-558 . -648) 81971) ((-44 . -278) 81775) ((-746 . -132) 81754) ((-746 . -134) 81733) ((-1170 . -352) 81712) ((-749 . -777) T) ((-1152 . -1001) T) ((-1054 . -202) 81659) ((-354 . -777) 81638) ((-1139 . -1093) 81604) ((-1139 . -1090) 81570) ((-1130 . -1090) 81536) ((-477 . -123) T) ((-1130 . -1093) 81502) ((-1109 . -1090) 81468) ((-1109 . -1093) 81434) ((-1139 . -34) 81400) ((-1139 . -91) 81366) ((-571 . -555) 81335) ((-549 . -555) 81304) ((-199 . -777) T) ((-1135 . -1012) T) ((-1130 . -91) 81270) ((-1130 . -34) 81236) ((-1018 . -583) 81223) ((-1114 . -1012) T) ((-1109 . -91) 81189) ((-538 . -138) 81171) ((-983 . -318) 81150) ((-112 . -345) 81127) ((-112 . -306) 81104) ((-157 . -260) T) ((-1109 . -34) 81070) ((-791 . -276) T) ((-281 . -724) NIL) ((-281 . -721) NIL) ((-282 . -657) 80920) ((-281 . -657) T) ((-441 . -331) 80899) ((-327 . -318) 80878) ((-322 . -318) 80857) ((-314 . -318) 80836) ((-282 . -440) 80815) ((-1135 . -23) T) ((-1114 . -23) T) ((-649 . -1012) T) ((-645 . -123) T) ((-590 . -97) T) ((-444 . -648) 80780) ((-44 . -252) 80730) ((-100 . -1001) T) ((-66 . -555) 80712) ((-787 . -97) T) ((-562 . -820) 80671) ((-1171 . -1001) T) ((-350 . -1001) T) ((-81 . -1104) T) ((-969 . -777) T) ((-866 . -777) 80650) ((-112 . -820) NIL) ((-711 . -841) 80629) ((-644 . -777) T) ((-487 . -1001) T) ((-463 . -1001) T) ((-323 . -1108) T) ((-321 . -1108) T) ((-313 . -1108) T) ((-235 . -1108) 80608) ((-220 . -1108) 80587) ((-1013 . -204) 80557) ((-447 . -777) 80536) ((-1037 . -964) 80520) ((-358 . -692) T) ((-1053 . -751) T) ((-625 . -1104) T) ((-323 . -508) T) ((-321 . -508) T) ((-313 . -508) T) ((-235 . -508) 80451) ((-220 . -508) 80382) ((-1037 . -106) 80361) ((-420 . -675) 80331) ((-788 . -964) 80301) ((-747 . -37) 80238) ((-625 . -804) 80220) ((-625 . -806) 80202) ((-264 . -278) 80006) ((-826 . -1108) T) ((-605 . -380) 79990) ((-788 . -106) 79955) ((-625 . -950) 79900) ((-918 . -419) T) ((-826 . -508) T) ((-528 . -841) T) ((-441 . -1012) T) ((-479 . -841) T) ((-1048 . -258) 79877) ((-834 . -419) T) ((-63 . -555) 79859) ((-570 . -202) 79805) ((-441 . -23) T) ((-1018 . -724) T) ((-794 . -123) T) ((-1018 . -721) T) ((-1162 . -1166) 79784) ((-1018 . -657) T) ((-591 . -583) 79758) ((-262 . -555) 79500) ((-948 . -33) T) ((-745 . -775) 79479) ((-527 . -276) T) ((-501 . -276) T) ((-458 . -276) T) ((-1171 . -648) 79449) ((-625 . -345) 79431) ((-625 . -306) 79413) ((-444 . -156) T) ((-350 . -648) 79383) ((-793 . -777) NIL) ((-501 . -933) T) ((-458 . -933) T) ((-1031 . -555) 79365) ((-1013 . -211) 79344) ((-189 . -97) T) ((-1045 . -97) T) ((-69 . -555) 79326) ((-1037 . -959) T) ((-1072 . -37) 79223) ((-784 . -555) 79205) ((-501 . -500) T) ((-605 . -965) T) ((-662 . -870) 79158) ((-1037 . -206) 79137) ((-986 . -1001) T) ((-947 . -25) T) ((-947 . -21) T) ((-917 . -964) 79082) ((-822 . -97) T) ((-788 . -959) T) ((-625 . -820) NIL) ((-323 . -297) 79066) ((-323 . -331) T) ((-321 . -297) 79050) ((-321 . -331) T) ((-313 . -297) 79034) ((-313 . -331) T) ((-452 . -97) T) ((-1159 . -37) 79004) ((-484 . -618) 78954) ((-192 . -97) T) ((-937 . -950) 78836) ((-917 . -106) 78753) ((-1068 . -888) 78723) ((-1067 . -888) 78686) ((-481 . -138) 78670) ((-983 . -338) 78649) ((-320 . -555) 78631) ((-290 . -21) T) ((-308 . -950) 78608) ((-290 . -25) T) ((-1061 . -888) 78578) ((-1024 . -888) 78545) ((-75 . -555) 78527) ((-630 . -276) T) ((-152 . -777) 78506) ((-826 . -331) T) ((-346 . -25) T) ((-346 . -21) T) ((-826 . -297) 78493) ((-80 . -555) 78475) ((-630 . -933) T) ((-610 . -777) T) ((-1135 . -123) T) ((-1114 . -123) T) ((-821 . -924) 78459) ((-764 . -21) T) ((-47 . -950) 78402) ((-764 . -25) T) ((-758 . -25) T) ((-758 . -21) T) ((-1168 . -965) T) ((-1167 . -965) T) ((-591 . -657) T) ((-1170 . -964) 78386) ((-1118 . -777) 78365) ((-745 . -380) 78334) ((-98 . -114) 78318) ((-50 . -1001) T) ((-847 . -555) 78300) ((-793 . -906) 78277) ((-754 . -97) T) ((-1170 . -106) 78256) ((-590 . -37) 78226) ((-522 . -777) T) ((-323 . -1012) T) ((-321 . -1012) T) ((-313 . -1012) T) ((-235 . -1012) T) ((-220 . -1012) T) ((-562 . -276) 78205) ((-1045 . -278) 78009) ((-599 . -23) T) ((-448 . -204) 77979) ((-139 . -965) T) ((-323 . -23) T) ((-321 . -23) T) ((-313 . -23) T) ((-112 . -276) T) ((-235 . -23) T) ((-220 . -23) T) ((-917 . -959) T) ((-643 . -830) 77958) ((-917 . -206) 77930) ((-917 . -216) T) ((-112 . -933) NIL) ((-826 . -1012) T) ((-1130 . -419) 77909) ((-1109 . -419) 77888) ((-484 . -555) 77855) ((-643 . -583) 77780) ((-375 . -964) 77732) ((-467 . -555) 77714) ((-826 . -23) T) ((-452 . -278) NIL) ((-441 . -123) T) ((-192 . -278) NIL) ((-375 . -106) 77645) ((-745 . -965) 77576) ((-667 . -999) 77560) ((-1135 . -456) 77526) ((-1114 . -456) 77492) ((-128 . -999) 77474) ((-444 . -260) T) ((-1170 . -959) T) ((-970 . -97) T) ((-463 . -476) NIL) ((-634 . -97) T) ((-448 . -211) 77453) ((-1064 . -132) 77432) ((-1064 . -134) 77411) ((-1023 . -134) 77390) ((-1023 . -132) 77369) ((-571 . -964) 77353) ((-549 . -964) 77337) ((-605 . -1001) T) ((-605 . -961) 77277) ((-1068 . -1142) 77261) ((-1068 . -1128) 77238) ((-452 . -1046) T) ((-1067 . -1134) 77199) ((-1067 . -1128) 77169) ((-1067 . -1132) 77153) ((-192 . -1046) T) ((-312 . -841) T) ((-748 . -237) 77137) ((-571 . -106) 77116) ((-549 . -106) 77095) ((-1061 . -1113) 77056) ((-769 . -959) 77035) ((-1061 . -1128) 77012) ((-477 . -25) T) ((-458 . -267) T) ((-474 . -23) T) ((-473 . -25) T) ((-470 . -25) T) ((-469 . -23) T) ((-1061 . -1111) 76996) ((-375 . -959) T) ((-287 . -965) T) ((-625 . -276) T) ((-103 . -775) T) ((-375 . -216) T) ((-375 . -206) 76975) ((-643 . -657) T) ((-452 . -37) 76925) ((-192 . -37) 76875) ((-441 . -456) 76841) ((-1053 . -1039) T) ((-1002 . -97) T) ((-632 . -555) 76823) ((-632 . -556) 76738) ((-645 . -21) T) ((-645 . -25) T) ((-125 . -555) 76720) ((-111 . -555) 76702) ((-142 . -25) T) ((-1168 . -1001) T) ((-794 . -577) 76650) ((-1167 . -1001) T) ((-875 . -97) T) ((-666 . -97) T) ((-646 . -97) T) ((-420 . -97) T) ((-746 . -419) 76601) ((-43 . -1001) T) ((-990 . -777) T) ((-599 . -123) T) ((-970 . -278) 76452) ((-605 . -648) 76436) ((-259 . -965) T) ((-323 . -123) T) ((-321 . -123) T) ((-313 . -123) T) ((-235 . -123) T) ((-220 . -123) T) ((-373 . -97) T) ((-139 . -1001) T) ((-44 . -202) 76386) ((-877 . -777) 76365) ((-910 . -583) 76303) ((-212 . -1156) 76273) ((-937 . -276) T) ((-262 . -964) 76195) ((-826 . -123) T) ((-39 . -841) T) ((-452 . -368) 76177) ((-308 . -276) T) ((-192 . -368) 76159) ((-983 . -380) 76143) ((-262 . -106) 76060) ((-794 . -25) T) ((-794 . -21) T) ((-307 . -555) 76042) ((-1136 . -46) 75986) ((-199 . -134) T) ((-157 . -555) 75968) ((-1013 . -775) 75947) ((-703 . -555) 75929) ((-550 . -208) 75876) ((-442 . -208) 75826) ((-1168 . -648) 75796) ((-47 . -276) T) ((-1167 . -648) 75766) ((-883 . -1001) T) ((-745 . -1001) 75577) ((-280 . -97) T) ((-821 . -1104) T) ((-47 . -933) T) ((-1114 . -577) 75485) ((-621 . -97) 75463) ((-43 . -648) 75447) ((-502 . -97) T) ((-65 . -351) T) ((-65 . -364) T) ((-587 . -23) T) ((-605 . -692) T) ((-1102 . -1001) 75425) ((-320 . -964) 75370) ((-609 . -1001) 75348) ((-969 . -134) T) ((-866 . -134) 75327) ((-866 . -132) 75306) ((-728 . -97) T) ((-139 . -648) 75290) ((-447 . -134) 75269) ((-447 . -132) 75248) ((-320 . -106) 75165) ((-983 . -965) T) ((-290 . -777) 75144) ((-1139 . -888) 75114) ((-565 . -1001) T) ((-1130 . -888) 75077) ((-474 . -123) T) ((-469 . -123) T) ((-264 . -202) 75027) ((-327 . -965) T) ((-322 . -965) T) ((-314 . -965) T) ((-262 . -959) 74970) ((-1109 . -888) 74940) ((-346 . -777) T) ((-103 . -965) T) ((-910 . -657) T) ((-791 . -841) T) ((-769 . -727) 74919) ((-769 . -722) 74898) ((-373 . -278) 74837) ((-435 . -97) T) ((-540 . -888) 74807) ((-287 . -1001) T) ((-375 . -727) 74786) ((-375 . -722) 74765) ((-463 . -454) 74747) ((-1136 . -950) 74713) ((-1135 . -21) T) ((-1135 . -25) T) ((-1114 . -21) T) ((-1114 . -25) T) ((-745 . -648) 74655) ((-630 . -372) T) ((-1160 . -1104) T) ((-1013 . -380) 74624) ((-917 . -336) NIL) ((-98 . -33) T) ((-667 . -1104) T) ((-43 . -692) T) ((-538 . -97) T) ((-76 . -365) T) ((-76 . -364) T) ((-590 . -593) 74608) ((-128 . -1104) T) ((-793 . -134) T) ((-793 . -132) NIL) ((-320 . -959) T) ((-68 . -351) T) ((-68 . -364) T) ((-1060 . -97) T) ((-605 . -476) 74541) ((-621 . -278) 74479) ((-875 . -37) 74376) ((-666 . -37) 74346) ((-502 . -278) 74150) ((-282 . -1104) T) ((-320 . -206) T) ((-320 . -216) T) ((-281 . -1104) T) ((-259 . -1001) T) ((-1074 . -555) 74132) ((-642 . -1108) T) ((-1048 . -586) 74116) ((-1097 . -508) 74095) ((-642 . -508) T) ((-282 . -804) 74079) ((-282 . -806) 74004) ((-281 . -804) 73965) ((-281 . -806) NIL) ((-728 . -278) 73930) ((-287 . -648) 73771) ((-292 . -291) 73748) ((-450 . -97) T) ((-441 . -25) T) ((-441 . -21) T) ((-373 . -37) 73722) ((-282 . -950) 73390) ((-199 . -1090) T) ((-199 . -1093) T) ((-3 . -555) 73372) ((-281 . -950) 73302) ((-2 . -1001) T) ((-2 . |RecordCategory|) T) ((-762 . -555) 73284) ((-1013 . -965) 73215) ((-527 . -841) T) ((-501 . -750) T) ((-501 . -841) T) ((-458 . -841) T) ((-126 . -950) 73199) ((-199 . -91) T) ((-152 . -134) 73178) ((-74 . -408) T) ((0 . -555) 73160) ((-74 . -364) T) ((-152 . -132) 73111) ((-199 . -34) T) ((-48 . -555) 73093) ((-444 . -965) T) ((-452 . -204) 73075) ((-449 . -884) 73059) ((-448 . -775) 73038) ((-192 . -204) 73020) ((-79 . -408) T) ((-79 . -364) T) ((-1041 . -33) T) ((-745 . -156) 72999) ((-662 . -97) T) ((-939 . -555) 72966) ((-463 . -256) 72941) ((-282 . -345) 72911) ((-281 . -345) 72872) ((-281 . -306) 72833) ((-746 . -870) 72780) ((-587 . -123) T) ((-1118 . -132) 72759) ((-1118 . -134) 72738) ((-1068 . -97) T) ((-1067 . -97) T) ((-1061 . -97) T) ((-1054 . -1001) T) ((-1024 . -97) T) ((-196 . -33) T) ((-259 . -648) 72725) ((-1054 . -552) 72701) ((-538 . -278) NIL) ((-449 . -1001) 72679) ((-358 . -555) 72661) ((-473 . -777) T) ((-1045 . -202) 72611) ((-1139 . -1142) 72595) ((-1139 . -1128) 72572) ((-1130 . -1134) 72533) ((-1130 . -1128) 72503) ((-1130 . -1132) 72487) ((-1109 . -1113) 72448) ((-1109 . -1128) 72425) ((-558 . -555) 72407) ((-1109 . -1111) 72391) ((-630 . -841) T) ((-1068 . -254) 72357) ((-1067 . -254) 72323) ((-1061 . -254) 72289) ((-983 . -1001) T) ((-968 . -1001) T) ((-47 . -267) T) ((-282 . -820) 72256) ((-281 . -820) NIL) ((-968 . -974) 72235) ((-1018 . -806) 72217) ((-728 . -37) 72201) ((-235 . -577) 72149) ((-220 . -577) 72097) ((-632 . -964) 72084) ((-540 . -1128) 72061) ((-1024 . -254) 72027) ((-287 . -156) 71958) ((-327 . -1001) T) ((-322 . -1001) T) ((-314 . -1001) T) ((-463 . -19) 71940) ((-1018 . -950) 71922) ((-997 . -138) 71906) ((-103 . -1001) T) ((-111 . -964) 71893) ((-642 . -331) T) ((-463 . -548) 71868) ((-632 . -106) 71853) ((-405 . -97) T) ((-44 . -1044) 71803) ((-111 . -106) 71788) ((-571 . -651) T) ((-549 . -651) T) ((-745 . -476) 71721) ((-948 . -1104) T) ((-863 . -138) 71705) ((-481 . -97) 71655) ((-989 . -1108) 71634) ((-444 . -555) 71586) ((-444 . -556) 71508) ((-61 . -1104) T) ((-711 . -1108) 71487) ((-710 . -1108) 71466) ((-1064 . -419) 71397) ((-1053 . -1001) T) ((-1037 . -583) 71371) ((-989 . -508) 71302) ((-448 . -380) 71271) ((-562 . -841) 71250) ((-421 . -1108) 71229) ((-1023 . -419) 71180) ((-366 . -555) 71162) ((-609 . -476) 71095) ((-711 . -508) 71006) ((-710 . -508) 70937) ((-662 . -278) 70924) ((-599 . -25) T) ((-599 . -21) T) ((-421 . -508) 70855) ((-112 . -841) T) ((-112 . -750) NIL) ((-323 . -25) T) ((-323 . -21) T) ((-321 . -25) T) ((-321 . -21) T) ((-313 . -25) T) ((-313 . -21) T) ((-235 . -25) T) ((-235 . -21) T) ((-82 . -353) T) ((-82 . -364) T) ((-220 . -25) T) ((-220 . -21) T) ((-1152 . -555) 70837) ((-1097 . -1012) T) ((-1097 . -23) T) ((-1061 . -278) 70722) ((-1024 . -278) 70709) ((-788 . -583) 70669) ((-983 . -648) 70537) ((-863 . -895) 70521) ((-259 . -156) T) ((-826 . -21) T) ((-826 . -25) T) ((-794 . -777) 70472) ((-642 . -1012) T) ((-642 . -23) T) ((-582 . -1001) 70450) ((-570 . -552) 70425) ((-570 . -1001) T) ((-528 . -1108) T) ((-479 . -1108) T) ((-528 . -508) T) ((-479 . -508) T) ((-327 . -648) 70377) ((-322 . -648) 70329) ((-157 . -964) 70261) ((-307 . -964) 70245) ((-103 . -648) 70195) ((-157 . -106) 70094) ((-314 . -648) 70046) ((-307 . -106) 70025) ((-245 . -1001) T) ((-244 . -1001) T) ((-243 . -1001) T) ((-242 . -1001) T) ((-632 . -959) T) ((-241 . -1001) T) ((-240 . -1001) T) ((-239 . -1001) T) ((-188 . -1001) T) ((-187 . -1001) T) ((-185 . -1001) T) ((-152 . -1093) 70003) ((-152 . -1090) 69981) ((-184 . -1001) T) ((-183 . -1001) T) ((-111 . -959) T) ((-182 . -1001) T) ((-179 . -1001) T) ((-632 . -206) T) ((-178 . -1001) T) ((-177 . -1001) T) ((-176 . -1001) T) ((-175 . -1001) T) ((-174 . -1001) T) ((-173 . -1001) T) ((-172 . -1001) T) ((-171 . -1001) T) ((-170 . -1001) T) ((-169 . -1001) T) ((-212 . -97) 69792) ((-152 . -34) 69770) ((-152 . -91) 69748) ((-591 . -950) 69646) ((-448 . -965) 69577) ((-1013 . -1001) 69388) ((-1037 . -33) T) ((-605 . -454) 69372) ((-71 . -1104) T) ((-100 . -555) 69354) ((-1171 . -555) 69336) ((-350 . -555) 69318) ((-522 . -1093) T) ((-522 . -1090) T) ((-662 . -37) 69167) ((-487 . -555) 69149) ((-481 . -278) 69087) ((-463 . -555) 69069) ((-463 . -556) 69051) ((-1061 . -1046) NIL) ((-940 . -977) 69020) ((-940 . -1001) T) ((-918 . -97) T) ((-886 . -97) T) ((-834 . -97) T) ((-813 . -950) 68997) ((-1037 . -657) T) ((-917 . -583) 68942) ((-443 . -1001) T) ((-430 . -1001) T) ((-530 . -23) T) ((-522 . -34) T) ((-522 . -91) T) ((-397 . -97) T) ((-970 . -202) 68888) ((-1068 . -37) 68785) ((-788 . -657) T) ((-625 . -841) T) ((-474 . -25) T) ((-469 . -21) T) ((-469 . -25) T) ((-1067 . -37) 68626) ((-307 . -959) T) ((-1061 . -37) 68422) ((-983 . -156) T) ((-157 . -959) T) ((-1024 . -37) 68319) ((-643 . -46) 68296) ((-327 . -156) T) ((-322 . -156) T) ((-480 . -55) 68270) ((-460 . -55) 68220) ((-320 . -1165) 68197) ((-199 . -419) T) ((-287 . -260) 68148) ((-314 . -156) T) ((-157 . -216) T) ((-1114 . -777) 68047) ((-103 . -156) T) ((-794 . -906) 68031) ((-589 . -1012) T) ((-528 . -331) T) ((-528 . -297) 68018) ((-479 . -297) 67995) ((-479 . -331) T) ((-282 . -276) 67974) ((-281 . -276) T) ((-546 . -777) 67953) ((-1013 . -648) 67895) ((-481 . -252) 67879) ((-589 . -23) T) ((-373 . -204) 67863) ((-281 . -933) NIL) ((-301 . -23) T) ((-98 . -924) 67847) ((-44 . -35) 67826) ((-553 . -1001) T) ((-320 . -336) T) ((-458 . -27) T) ((-212 . -278) 67764) ((-989 . -1012) T) ((-1170 . -583) 67738) ((-711 . -1012) T) ((-710 . -1012) T) ((-421 . -1012) T) ((-969 . -419) T) ((-866 . -419) 67689) ((-105 . -1001) T) ((-989 . -23) T) ((-747 . -965) T) ((-711 . -23) T) ((-710 . -23) T) ((-447 . -419) 67640) ((-1054 . -476) 67388) ((-350 . -352) 67367) ((-1072 . -380) 67351) ((-428 . -23) T) ((-421 . -23) T) ((-449 . -476) 67284) ((-259 . -260) T) ((-986 . -555) 67266) ((-375 . -830) 67245) ((-49 . -1012) T) ((-937 . -841) T) ((-917 . -657) T) ((-643 . -806) NIL) ((-528 . -1012) T) ((-479 . -1012) T) ((-769 . -583) 67218) ((-1097 . -123) T) ((-1061 . -368) 67170) ((-918 . -278) NIL) ((-745 . -454) 67154) ((-308 . -841) T) ((-1048 . -33) T) ((-375 . -583) 67106) ((-49 . -23) T) ((-642 . -123) T) ((-643 . -950) 66989) ((-528 . -23) T) ((-103 . -476) NIL) ((-479 . -23) T) ((-152 . -378) 66960) ((-1035 . -1001) T) ((-1162 . -1161) 66944) ((-632 . -727) T) ((-632 . -722) T) ((-346 . -134) T) ((-1018 . -276) T) ((-1114 . -906) 66914) ((-47 . -841) T) ((-609 . -454) 66898) ((-222 . -1156) 66868) ((-221 . -1156) 66838) ((-1070 . -777) T) ((-1013 . -156) 66817) ((-1018 . -933) T) ((-956 . -33) T) ((-764 . -134) 66796) ((-764 . -132) 66775) ((-667 . -102) 66759) ((-553 . -124) T) ((-448 . -1001) 66570) ((-1072 . -965) T) ((-793 . -419) T) ((-84 . -1104) T) ((-212 . -37) 66540) ((-128 . -102) 66522) ((-643 . -345) 66506) ((-1018 . -500) T) ((-358 . -964) 66490) ((-1170 . -657) T) ((-1064 . -870) 66460) ((-50 . -555) 66442) ((-1023 . -870) 66409) ((-590 . -380) 66393) ((-1159 . -965) T) ((-558 . -964) 66377) ((-587 . -25) T) ((-587 . -21) T) ((-1053 . -476) NIL) ((-1139 . -97) T) ((-1130 . -97) T) ((-358 . -106) 66356) ((-196 . -225) 66340) ((-1109 . -97) T) ((-962 . -1001) T) ((-918 . -1046) T) ((-962 . -961) 66280) ((-748 . -1001) T) ((-312 . -1108) T) ((-571 . -583) 66264) ((-558 . -106) 66243) ((-549 . -583) 66227) ((-541 . -97) T) ((-530 . -123) T) ((-540 . -97) T) ((-383 . -1001) T) ((-349 . -1001) T) ((-582 . -476) 66160) ((-570 . -476) 65968) ((-762 . -959) 65947) ((-578 . -138) 65931) ((-312 . -508) T) ((-643 . -820) 65875) ((-502 . -202) 65825) ((-1139 . -254) 65791) ((-983 . -260) 65742) ((-452 . -775) T) ((-197 . -1012) T) ((-1130 . -254) 65708) ((-1109 . -254) 65674) ((-918 . -37) 65624) ((-192 . -775) T) ((-1097 . -456) 65590) ((-834 . -37) 65542) ((-769 . -724) 65521) ((-769 . -721) 65500) ((-769 . -657) 65479) ((-327 . -260) T) ((-322 . -260) T) ((-314 . -260) T) ((-152 . -419) 65410) ((-397 . -37) 65394) ((-103 . -260) T) ((-197 . -23) T) ((-375 . -724) 65373) ((-375 . -721) 65352) ((-375 . -657) T) ((-463 . -258) 65327) ((-444 . -964) 65292) ((-589 . -123) T) ((-1013 . -476) 65225) ((-301 . -123) T) ((-152 . -370) 65204) ((-448 . -648) 65146) ((-745 . -256) 65123) ((-444 . -106) 65072) ((-590 . -965) T) ((-1118 . -419) 65003) ((-989 . -123) T) ((-235 . -777) 64982) ((-220 . -777) 64961) ((-711 . -123) T) ((-710 . -123) T) ((-522 . -419) T) ((-962 . -648) 64903) ((-558 . -959) T) ((-940 . -476) 64836) ((-428 . -123) T) ((-421 . -123) T) ((-44 . -1001) T) ((-349 . -648) 64806) ((-747 . -1001) T) ((-443 . -476) 64739) ((-430 . -476) 64672) ((-420 . -335) 64642) ((-44 . -552) 64621) ((-282 . -267) T) ((-605 . -555) 64583) ((-56 . -777) 64562) ((-1109 . -278) 64447) ((-918 . -368) 64429) ((-745 . -548) 64406) ((-478 . -777) 64385) ((-459 . -777) 64364) ((-39 . -1108) T) ((-910 . -950) 64262) ((-49 . -123) T) ((-528 . -123) T) ((-479 . -123) T) ((-262 . -583) 64124) ((-312 . -297) 64101) ((-312 . -331) T) ((-290 . -291) 64078) ((-287 . -256) 64063) ((-39 . -508) T) ((-346 . -1090) T) ((-346 . -1093) T) ((-948 . -1081) 64038) ((-1077 . -208) 63988) ((-1061 . -204) 63940) ((-298 . -1001) T) ((-346 . -91) T) ((-346 . -34) T) ((-948 . -102) 63886) ((-444 . -959) T) ((-445 . -208) 63836) ((-1054 . -454) 63770) ((-1171 . -964) 63754) ((-350 . -964) 63738) ((-444 . -216) T) ((-746 . -97) T) ((-645 . -134) 63717) ((-645 . -132) 63696) ((-449 . -454) 63680) ((-450 . -304) 63649) ((-1171 . -106) 63628) ((-472 . -1001) T) ((-448 . -156) 63607) ((-910 . -345) 63591) ((-381 . -97) T) ((-350 . -106) 63570) ((-910 . -306) 63554) ((-250 . -898) 63538) ((-249 . -898) 63522) ((-1168 . -555) 63504) ((-1167 . -555) 63486) ((-105 . -476) NIL) ((-1064 . -1125) 63470) ((-781 . -779) 63454) ((-1072 . -1001) T) ((-98 . -1104) T) ((-866 . -870) 63415) ((-747 . -648) 63352) ((-1109 . -1046) NIL) ((-447 . -870) 63297) ((-969 . -130) T) ((-58 . -97) 63275) ((-43 . -555) 63257) ((-73 . -555) 63239) ((-320 . -583) 63184) ((-1159 . -1001) T) ((-474 . -777) T) ((-312 . -1012) T) ((-264 . -1001) T) ((-910 . -820) 63143) ((-264 . -552) 63122) ((-1139 . -37) 63019) ((-1130 . -37) 62860) ((-452 . -965) T) ((-1109 . -37) 62656) ((-192 . -965) T) ((-312 . -23) T) ((-139 . -555) 62638) ((-762 . -727) 62617) ((-762 . -722) 62596) ((-541 . -37) 62569) ((-540 . -37) 62466) ((-791 . -508) T) ((-197 . -123) T) ((-287 . -916) 62432) ((-77 . -555) 62414) ((-643 . -276) 62393) ((-262 . -657) 62296) ((-756 . -97) T) ((-787 . -771) T) ((-262 . -440) 62275) ((-1162 . -97) T) ((-39 . -331) T) ((-794 . -134) 62254) ((-794 . -132) 62233) ((-1053 . -454) 62215) ((-1171 . -959) T) ((-448 . -476) 62148) ((-1041 . -1104) T) ((-883 . -555) 62130) ((-582 . -454) 62114) ((-570 . -454) 62046) ((-745 . -555) 61825) ((-47 . -27) T) ((-1072 . -648) 61722) ((-590 . -1001) T) ((-405 . -333) 61696) ((-997 . -97) T) ((-746 . -278) 61683) ((-787 . -1001) T) ((-1167 . -352) 61655) ((-962 . -476) 61588) ((-1054 . -256) 61564) ((-212 . -204) 61534) ((-1159 . -648) 61504) ((-747 . -156) 61483) ((-558 . -727) 61462) ((-558 . -722) 61441) ((-1102 . -555) 61388) ((-196 . -1104) T) ((-609 . -555) 61355) ((-1048 . -924) 61339) ((-320 . -657) T) ((-863 . -97) 61289) ((-1109 . -368) 61241) ((-1013 . -454) 61225) ((-58 . -278) 61163) ((-299 . -97) T) ((-1097 . -21) T) ((-1097 . -25) T) ((-39 . -1012) T) ((-642 . -21) T) ((-565 . -555) 61145) ((-477 . -291) 61124) ((-642 . -25) T) ((-103 . -256) NIL) ((-839 . -1012) T) ((-39 . -23) T) ((-701 . -1012) T) ((-501 . -1108) T) ((-458 . -1108) T) ((-287 . -555) 61106) ((-918 . -204) 61088) ((-152 . -150) 61072) ((-527 . -508) T) ((-501 . -508) T) ((-458 . -508) T) ((-701 . -23) T) ((-1135 . -134) 61051) ((-1054 . -548) 61027) ((-1135 . -132) 61006) ((-940 . -454) 60990) ((-1114 . -132) 60915) ((-1114 . -134) 60840) ((-1162 . -1169) 60819) ((-443 . -454) 60803) ((-430 . -454) 60787) ((-484 . -33) T) ((-590 . -648) 60757) ((-587 . -777) 60736) ((-1072 . -156) 60687) ((-332 . -97) T) ((-212 . -211) 60666) ((-222 . -97) T) ((-221 . -97) T) ((-1118 . -870) 60636) ((-104 . -97) T) ((-218 . -777) 60615) ((-746 . -37) 60464) ((-44 . -476) 60224) ((-1053 . -256) 60199) ((-189 . -1001) T) ((-1045 . -1001) T) ((-1045 . -552) 60178) ((-530 . -25) T) ((-530 . -21) T) ((-997 . -278) 60116) ((-875 . -380) 60100) ((-630 . -1108) T) ((-570 . -256) 60075) ((-989 . -577) 60023) ((-711 . -577) 59971) ((-710 . -577) 59919) ((-312 . -123) T) ((-259 . -555) 59901) ((-630 . -508) T) ((-822 . -1001) T) ((-791 . -1012) T) ((-421 . -577) 59849) ((-822 . -824) 59833) ((-346 . -419) T) ((-452 . -1001) T) ((-632 . -583) 59820) ((-863 . -278) 59758) ((-192 . -1001) T) ((-282 . -841) 59737) ((-281 . -841) T) ((-281 . -750) NIL) ((-358 . -651) T) ((-791 . -23) T) ((-111 . -583) 59724) ((-441 . -132) 59703) ((-373 . -380) 59687) ((-441 . -134) 59666) ((-105 . -454) 59648) ((-2 . -555) 59630) ((-1053 . -19) 59612) ((-1053 . -548) 59587) ((-589 . -21) T) ((-589 . -25) T) ((-538 . -1039) T) ((-1013 . -256) 59564) ((-301 . -25) T) ((-301 . -21) T) ((-458 . -331) T) ((-1162 . -37) 59534) ((-1037 . -1104) T) ((-570 . -548) 59509) ((-989 . -25) T) ((-989 . -21) T) ((-487 . -722) T) ((-487 . -727) T) ((-112 . -1108) T) ((-875 . -965) T) ((-562 . -508) T) ((-666 . -965) T) ((-646 . -965) T) ((-711 . -25) T) ((-711 . -21) T) ((-710 . -21) T) ((-710 . -25) T) ((-605 . -964) 59493) ((-428 . -25) T) ((-112 . -508) T) ((-428 . -21) T) ((-421 . -25) T) ((-421 . -21) T) ((-1037 . -950) 59391) ((-747 . -260) 59370) ((-754 . -1001) T) ((-605 . -106) 59349) ((-264 . -476) 59109) ((-1168 . -964) 59093) ((-1167 . -964) 59077) ((-222 . -278) 59015) ((-221 . -278) 58953) ((-1116 . -97) 58931) ((-1054 . -556) NIL) ((-1054 . -555) 58913) ((-1135 . -1090) 58879) ((-1135 . -1093) 58845) ((-1114 . -1090) 58811) ((-1114 . -1093) 58777) ((-1109 . -204) 58729) ((-1037 . -345) 58713) ((-1018 . -750) T) ((-1018 . -841) T) ((-1013 . -548) 58690) ((-983 . -556) 58674) ((-449 . -555) 58641) ((-745 . -258) 58618) ((-550 . -138) 58565) ((-373 . -965) T) ((-452 . -648) 58515) ((-448 . -454) 58499) ((-295 . -777) 58478) ((-307 . -583) 58452) ((-49 . -21) T) ((-49 . -25) T) ((-192 . -648) 58402) ((-152 . -655) 58373) ((-157 . -583) 58305) ((-528 . -21) T) ((-528 . -25) T) ((-479 . -25) T) ((-479 . -21) T) ((-442 . -138) 58255) ((-983 . -555) 58237) ((-968 . -555) 58219) ((-908 . -97) T) ((-786 . -97) T) ((-728 . -380) 58183) ((-39 . -123) T) ((-630 . -331) T) ((-188 . -815) T) ((-632 . -724) T) ((-632 . -721) T) ((-527 . -1012) T) ((-501 . -1012) T) ((-458 . -1012) T) ((-632 . -657) T) ((-327 . -555) 58165) ((-322 . -555) 58147) ((-314 . -555) 58129) ((-64 . -365) T) ((-64 . -364) T) ((-103 . -556) 58059) ((-103 . -555) 58041) ((-187 . -815) T) ((-877 . -138) 58025) ((-1135 . -91) 57991) ((-701 . -123) T) ((-125 . -657) T) ((-111 . -657) T) ((-1135 . -34) 57957) ((-962 . -454) 57941) ((-527 . -23) T) ((-501 . -23) T) ((-458 . -23) T) ((-1114 . -91) 57907) ((-1114 . -34) 57873) ((-1064 . -97) T) ((-1023 . -97) T) ((-781 . -97) T) ((-1168 . -106) 57852) ((-1167 . -106) 57831) ((-43 . -964) 57815) ((-1118 . -1125) 57799) ((-782 . -779) 57783) ((-1072 . -260) 57762) ((-105 . -256) 57737) ((-1037 . -820) 57696) ((-43 . -106) 57675) ((-605 . -959) T) ((-1053 . -556) NIL) ((-1053 . -555) 57657) ((-970 . -552) 57632) ((-970 . -1001) T) ((-72 . -408) T) ((-72 . -364) T) ((-605 . -206) 57611) ((-139 . -964) 57595) ((-522 . -506) 57579) ((-323 . -134) 57558) ((-323 . -132) 57509) ((-321 . -134) 57488) ((-634 . -1001) T) ((-321 . -132) 57439) ((-313 . -134) 57418) ((-313 . -132) 57369) ((-235 . -132) 57348) ((-235 . -134) 57327) ((-222 . -37) 57297) ((-220 . -134) 57276) ((-112 . -331) T) ((-220 . -132) 57255) ((-221 . -37) 57225) ((-139 . -106) 57204) ((-917 . -950) 57081) ((-1061 . -775) NIL) ((-625 . -1108) T) ((-728 . -965) T) ((-630 . -1012) T) ((-1168 . -959) T) ((-1167 . -959) T) ((-1048 . -1104) T) ((-917 . -345) 57058) ((-826 . -132) T) ((-826 . -134) 57040) ((-791 . -123) T) ((-745 . -964) 56938) ((-625 . -508) T) ((-630 . -23) T) ((-582 . -555) 56905) ((-582 . -556) 56866) ((-570 . -556) NIL) ((-570 . -555) 56848) ((-452 . -156) T) ((-197 . -21) T) ((-192 . -156) T) ((-197 . -25) T) ((-441 . -1093) 56814) ((-441 . -1090) 56780) ((-245 . -555) 56762) ((-244 . -555) 56744) ((-243 . -555) 56726) ((-242 . -555) 56708) ((-241 . -555) 56690) ((-463 . -586) 56672) ((-240 . -555) 56654) ((-307 . -657) T) ((-239 . -555) 56636) ((-105 . -19) 56618) ((-157 . -657) T) ((-463 . -340) 56600) ((-188 . -555) 56582) ((-481 . -1044) 56566) ((-463 . -118) T) ((-105 . -548) 56541) ((-187 . -555) 56523) ((-441 . -34) 56489) ((-441 . -91) 56455) ((-185 . -555) 56437) ((-184 . -555) 56419) ((-183 . -555) 56401) ((-182 . -555) 56383) ((-179 . -555) 56365) ((-178 . -555) 56347) ((-177 . -555) 56329) ((-176 . -555) 56311) ((-175 . -555) 56293) ((-174 . -555) 56275) ((-173 . -555) 56257) ((-490 . -1004) 56209) ((-172 . -555) 56191) ((-171 . -555) 56173) ((-44 . -454) 56110) ((-170 . -555) 56092) ((-169 . -555) 56074) ((-745 . -106) 55965) ((-578 . -97) 55915) ((-448 . -256) 55892) ((-1013 . -555) 55671) ((-1002 . -1001) T) ((-956 . -1104) T) ((-562 . -1012) T) ((-1170 . -950) 55655) ((-1064 . -278) 55642) ((-1023 . -278) 55629) ((-112 . -1012) T) ((-749 . -97) T) ((-562 . -23) T) ((-1045 . -476) 55389) ((-354 . -97) T) ((-292 . -97) T) ((-917 . -820) 55341) ((-875 . -1001) T) ((-139 . -959) T) ((-112 . -23) T) ((-662 . -380) 55325) ((-666 . -1001) T) ((-646 . -1001) T) ((-634 . -124) T) ((-420 . -1001) T) ((-282 . -389) 55309) ((-375 . -1104) T) ((-940 . -556) 55270) ((-937 . -1108) T) ((-199 . -97) T) ((-940 . -555) 55232) ((-746 . -204) 55216) ((-937 . -508) T) ((-762 . -583) 55189) ((-308 . -1108) T) ((-443 . -555) 55151) ((-443 . -556) 55112) ((-430 . -556) 55073) ((-430 . -555) 55035) ((-375 . -804) 55019) ((-287 . -964) 54854) ((-375 . -806) 54779) ((-769 . -950) 54677) ((-452 . -476) NIL) ((-448 . -548) 54654) ((-308 . -508) T) ((-192 . -476) NIL) ((-794 . -419) T) ((-373 . -1001) T) ((-375 . -950) 54521) ((-287 . -106) 54335) ((-625 . -331) T) ((-199 . -254) T) ((-47 . -1108) T) ((-745 . -959) 54266) ((-527 . -123) T) ((-501 . -123) T) ((-458 . -123) T) ((-47 . -508) T) ((-1054 . -258) 54242) ((-1064 . -1046) 54220) ((-282 . -27) 54199) ((-969 . -97) T) ((-745 . -206) 54152) ((-212 . -775) 54131) ((-866 . -97) T) ((-644 . -97) T) ((-264 . -454) 54068) ((-447 . -97) T) ((-662 . -965) T) ((-553 . -555) 54050) ((-553 . -556) 53911) ((-375 . -345) 53895) ((-375 . -306) 53879) ((-1064 . -37) 53708) ((-1023 . -37) 53557) ((-781 . -37) 53527) ((-358 . -583) 53511) ((-578 . -278) 53449) ((-875 . -648) 53346) ((-196 . -102) 53330) ((-44 . -256) 53255) ((-666 . -648) 53225) ((-558 . -583) 53199) ((-280 . -1001) T) ((-259 . -964) 53186) ((-105 . -555) 53168) ((-105 . -556) 53150) ((-420 . -648) 53120) ((-746 . -224) 53059) ((-621 . -1001) 53037) ((-502 . -1001) T) ((-1068 . -965) T) ((-1067 . -965) T) ((-259 . -106) 53022) ((-1061 . -965) T) ((-1024 . -965) T) ((-502 . -552) 53001) ((-918 . -775) T) ((-625 . -1012) T) ((-1097 . -671) 52977) ((-287 . -959) T) ((-312 . -25) T) ((-312 . -21) T) ((-375 . -820) 52936) ((-66 . -1104) T) ((-762 . -724) 52915) ((-373 . -648) 52889) ((-728 . -1001) T) ((-762 . -721) 52868) ((-630 . -123) T) ((-643 . -841) 52847) ((-625 . -23) T) ((-452 . -260) T) ((-762 . -657) 52826) ((-287 . -206) 52778) ((-287 . -216) 52757) ((-192 . -260) T) ((-937 . -331) T) ((-1135 . -419) 52736) ((-1114 . -419) 52715) ((-308 . -297) 52692) ((-308 . -331) T) ((-1035 . -555) 52674) ((-44 . -1138) 52624) ((-793 . -97) T) ((-578 . -252) 52608) ((-630 . -967) T) ((-444 . -583) 52573) ((-435 . -1001) T) ((-44 . -548) 52498) ((-1053 . -258) 52473) ((-39 . -577) 52407) ((-47 . -331) T) ((-1006 . -555) 52389) ((-989 . -777) 52368) ((-570 . -258) 52343) ((-711 . -777) 52322) ((-710 . -777) 52301) ((-448 . -555) 52080) ((-212 . -380) 52049) ((-866 . -278) 52036) ((-421 . -777) 52015) ((-63 . -1104) T) ((-562 . -123) T) ((-447 . -278) 52002) ((-970 . -476) 51810) ((-259 . -959) T) ((-112 . -123) T) ((-420 . -692) T) ((-875 . -156) 51761) ((-983 . -964) 51671) ((-558 . -724) 51650) ((-538 . -1001) T) ((-558 . -721) 51629) ((-558 . -657) T) ((-264 . -256) 51608) ((-262 . -1104) T) ((-962 . -555) 51570) ((-962 . -556) 51531) ((-937 . -1012) T) ((-152 . -97) T) ((-246 . -777) T) ((-748 . -555) 51513) ((-1060 . -1001) T) ((-1013 . -258) 51490) ((-997 . -202) 51474) ((-728 . -648) 51458) ((-327 . -964) 51410) ((-322 . -964) 51362) ((-308 . -1012) T) ((-383 . -555) 51344) ((-349 . -555) 51326) ((-314 . -964) 51278) ((-917 . -276) T) ((-983 . -106) 51167) ((-937 . -23) T) ((-103 . -964) 51117) ((-818 . -97) T) ((-768 . -97) T) ((-738 . -97) T) ((-699 . -97) T) ((-610 . -97) T) ((-441 . -419) 51096) ((-373 . -156) T) ((-327 . -106) 51027) ((-322 . -106) 50958) ((-314 . -106) 50889) ((-222 . -204) 50859) ((-221 . -204) 50829) ((-308 . -23) T) ((-69 . -1104) T) ((-199 . -37) 50794) ((-103 . -106) 50721) ((-39 . -25) T) ((-39 . -21) T) ((-605 . -651) T) ((-152 . -254) 50699) ((-47 . -1012) T) ((-839 . -25) T) ((-701 . -25) T) ((-1045 . -454) 50636) ((-450 . -1001) T) ((-1171 . -583) 50610) ((-1118 . -97) T) ((-782 . -97) T) ((-212 . -965) 50541) ((-969 . -1046) T) ((-883 . -722) 50494) ((-350 . -583) 50478) ((-47 . -23) T) ((-883 . -727) 50431) ((-745 . -727) 50382) ((-745 . -722) 50333) ((-264 . -548) 50312) ((-444 . -657) T) ((-522 . -97) T) ((-793 . -278) 50256) ((-590 . -256) 50235) ((-107 . -597) T) ((-75 . -1104) T) ((-969 . -37) 50222) ((-599 . -342) 50201) ((-866 . -37) 50050) ((-662 . -1001) T) ((-447 . -37) 49899) ((-80 . -1104) T) ((-522 . -254) T) ((-1109 . -775) NIL) ((-1068 . -1001) T) ((-1067 . -1001) T) ((-1061 . -1001) T) ((-320 . -950) 49876) ((-983 . -959) T) ((-918 . -965) T) ((-44 . -555) 49858) ((-44 . -556) NIL) ((-834 . -965) T) ((-747 . -555) 49840) ((-1042 . -97) 49818) ((-983 . -216) 49769) ((-397 . -965) T) ((-327 . -959) T) ((-322 . -959) T) ((-332 . -333) 49746) ((-314 . -959) T) ((-222 . -211) 49725) ((-221 . -211) 49704) ((-104 . -333) 49678) ((-983 . -206) 49603) ((-1024 . -1001) T) ((-262 . -820) 49562) ((-103 . -959) T) ((-625 . -123) T) ((-373 . -476) 49404) ((-327 . -206) 49383) ((-327 . -216) T) ((-43 . -651) T) ((-322 . -206) 49362) ((-322 . -216) T) ((-314 . -206) 49341) ((-314 . -216) T) ((-152 . -278) 49306) ((-103 . -216) T) ((-103 . -206) T) ((-287 . -722) T) ((-791 . -21) T) ((-791 . -25) T) ((-375 . -276) T) ((-463 . -33) T) ((-105 . -258) 49281) ((-1013 . -964) 49179) ((-793 . -1046) NIL) ((-298 . -555) 49161) ((-375 . -933) 49140) ((-1013 . -106) 49031) ((-405 . -1001) T) ((-1171 . -657) T) ((-62 . -555) 49013) ((-793 . -37) 48958) ((-484 . -1104) T) ((-546 . -138) 48942) ((-472 . -555) 48924) ((-1118 . -278) 48911) ((-662 . -648) 48760) ((-487 . -723) T) ((-487 . -724) T) ((-501 . -577) 48742) ((-458 . -577) 48702) ((-323 . -419) T) ((-321 . -419) T) ((-313 . -419) T) ((-235 . -419) 48653) ((-481 . -1001) 48603) ((-220 . -419) 48554) ((-1045 . -256) 48533) ((-1072 . -555) 48515) ((-621 . -476) 48448) ((-875 . -260) 48427) ((-502 . -476) 48187) ((-1064 . -204) 48171) ((-152 . -1046) 48150) ((-1159 . -555) 48132) ((-1068 . -648) 48029) ((-1067 . -648) 47870) ((-810 . -97) T) ((-1061 . -648) 47666) ((-1024 . -648) 47563) ((-1048 . -608) 47547) ((-323 . -370) 47498) ((-321 . -370) 47449) ((-313 . -370) 47400) ((-937 . -123) T) ((-728 . -476) 47312) ((-264 . -556) NIL) ((-264 . -555) 47294) ((-826 . -419) T) ((-883 . -336) 47247) ((-745 . -336) 47226) ((-473 . -471) 47205) ((-470 . -471) 47184) ((-452 . -256) NIL) ((-448 . -258) 47161) ((-373 . -260) T) ((-308 . -123) T) ((-192 . -256) NIL) ((-625 . -456) NIL) ((-94 . -1012) T) ((-152 . -37) 46989) ((-1135 . -888) 46952) ((-1042 . -278) 46890) ((-1114 . -888) 46860) ((-826 . -370) T) ((-1013 . -959) 46791) ((-1136 . -508) T) ((-1045 . -548) 46770) ((-107 . -777) T) ((-970 . -454) 46702) ((-527 . -21) T) ((-527 . -25) T) ((-501 . -21) T) ((-501 . -25) T) ((-458 . -25) T) ((-458 . -21) T) ((-1118 . -1046) 46680) ((-1013 . -206) 46633) ((-47 . -123) T) ((-1086 . -97) T) ((-212 . -1001) 46444) ((-793 . -368) 46421) ((-990 . -97) T) ((-979 . -97) T) ((-550 . -97) T) ((-442 . -97) T) ((-1118 . -37) 46250) ((-782 . -37) 46220) ((-662 . -156) 46131) ((-590 . -555) 46113) ((-522 . -37) 46100) ((-877 . -97) 46050) ((-787 . -555) 46032) ((-787 . -556) 45954) ((-538 . -476) NIL) ((-1139 . -965) T) ((-1130 . -965) T) ((-1109 . -965) T) ((-541 . -965) T) ((-540 . -965) T) ((-1175 . -1012) T) ((-1068 . -156) 45905) ((-1067 . -156) 45836) ((-1061 . -156) 45767) ((-1024 . -156) 45718) ((-918 . -1001) T) ((-886 . -1001) T) ((-834 . -1001) T) ((-1097 . -134) 45697) ((-728 . -726) 45681) ((-630 . -25) T) ((-630 . -21) T) ((-112 . -577) 45658) ((-632 . -806) 45640) ((-397 . -1001) T) ((-282 . -1108) 45619) ((-281 . -1108) T) ((-152 . -368) 45603) ((-1097 . -132) 45582) ((-441 . -888) 45545) ((-70 . -555) 45527) ((-103 . -727) T) ((-103 . -722) T) ((-282 . -508) 45506) ((-632 . -950) 45488) ((-281 . -508) T) ((-1175 . -23) T) ((-125 . -950) 45470) ((-448 . -964) 45368) ((-44 . -258) 45293) ((-212 . -648) 45235) ((-448 . -106) 45126) ((-993 . -97) 45104) ((-947 . -97) T) ((-578 . -751) 45083) ((-662 . -476) 45021) ((-962 . -964) 45005) ((-562 . -21) T) ((-562 . -25) T) ((-970 . -256) 44980) ((-329 . -97) T) ((-290 . -97) T) ((-605 . -583) 44954) ((-349 . -964) 44938) ((-962 . -106) 44917) ((-746 . -380) 44901) ((-112 . -25) T) ((-87 . -555) 44883) ((-112 . -21) T) ((-550 . -278) 44678) ((-442 . -278) 44482) ((-1045 . -556) NIL) ((-349 . -106) 44461) ((-346 . -97) T) ((-189 . -555) 44443) ((-1045 . -555) 44425) ((-918 . -648) 44375) ((-1061 . -476) 44109) ((-834 . -648) 44061) ((-1024 . -476) 44031) ((-320 . -276) T) ((-1077 . -138) 43981) ((-877 . -278) 43919) ((-764 . -97) T) ((-397 . -648) 43903) ((-199 . -751) T) ((-758 . -97) T) ((-755 . -97) T) ((-445 . -138) 43853) ((-1135 . -1134) 43832) ((-1018 . -1108) T) ((-307 . -950) 43799) ((-1135 . -1128) 43769) ((-1135 . -1132) 43753) ((-1114 . -1113) 43732) ((-78 . -555) 43714) ((-822 . -555) 43696) ((-1114 . -1128) 43673) ((-1018 . -508) T) ((-839 . -777) T) ((-452 . -556) 43603) ((-452 . -555) 43585) ((-701 . -777) T) ((-346 . -254) T) ((-606 . -777) T) ((-1114 . -1111) 43569) ((-1136 . -1012) T) ((-192 . -556) 43499) ((-192 . -555) 43481) ((-970 . -548) 43456) ((-56 . -138) 43440) ((-478 . -138) 43424) ((-459 . -138) 43408) ((-327 . -1165) 43392) ((-322 . -1165) 43376) ((-314 . -1165) 43360) ((-282 . -331) 43339) ((-281 . -331) T) ((-448 . -959) 43270) ((-625 . -577) 43252) ((-1168 . -583) 43226) ((-1167 . -583) 43200) ((-1136 . -23) T) ((-621 . -454) 43184) ((-59 . -555) 43166) ((-1013 . -727) 43117) ((-1013 . -722) 43068) ((-502 . -454) 43005) ((-605 . -33) T) ((-448 . -206) 42958) ((-264 . -258) 42937) ((-212 . -156) 42916) ((-746 . -965) T) ((-43 . -583) 42874) ((-983 . -336) 42825) ((-662 . -260) 42756) ((-481 . -476) 42689) ((-747 . -964) 42640) ((-989 . -132) 42619) ((-327 . -336) 42598) ((-322 . -336) 42577) ((-314 . -336) 42556) ((-989 . -134) 42535) ((-793 . -204) 42512) ((-747 . -106) 42447) ((-711 . -132) 42426) ((-711 . -134) 42405) ((-235 . -870) 42372) ((-222 . -775) 42351) ((-220 . -870) 42296) ((-221 . -775) 42275) ((-710 . -132) 42254) ((-710 . -134) 42233) ((-139 . -583) 42207) ((-421 . -134) 42186) ((-421 . -132) 42165) ((-605 . -657) T) ((-754 . -555) 42147) ((-1139 . -1001) T) ((-1130 . -1001) T) ((-1109 . -1001) T) ((-1097 . -1093) 42113) ((-1097 . -1090) 42079) ((-1068 . -260) 42058) ((-1067 . -260) 42009) ((-1061 . -260) 41960) ((-1024 . -260) 41939) ((-307 . -820) 41920) ((-918 . -156) T) ((-834 . -156) T) ((-541 . -1001) T) ((-540 . -1001) T) ((-625 . -21) T) ((-625 . -25) T) ((-441 . -1132) 41904) ((-441 . -1128) 41874) ((-373 . -256) 41802) ((-282 . -1012) 41652) ((-281 . -1012) T) ((-1097 . -34) 41618) ((-1097 . -91) 41584) ((-83 . -555) 41566) ((-89 . -97) 41544) ((-1175 . -123) T) ((-528 . -132) T) ((-528 . -134) 41526) ((-479 . -134) 41508) ((-479 . -132) T) ((-282 . -23) 41361) ((-39 . -310) 41335) ((-281 . -23) T) ((-1053 . -586) 41317) ((-745 . -583) 41167) ((-1162 . -965) T) ((-1053 . -340) 41149) ((-152 . -204) 41133) ((-538 . -454) 41115) ((-212 . -476) 41048) ((-1168 . -657) T) ((-1167 . -657) T) ((-1072 . -964) 40931) ((-1072 . -106) 40793) ((-747 . -959) T) ((-477 . -97) T) ((-47 . -577) 40753) ((-473 . -97) T) ((-470 . -97) T) ((-1159 . -964) 40723) ((-947 . -37) 40707) ((-747 . -206) T) ((-747 . -216) 40686) ((-502 . -256) 40665) ((-1159 . -106) 40630) ((-1118 . -204) 40614) ((-1139 . -648) 40511) ((-970 . -556) NIL) ((-970 . -555) 40493) ((-1130 . -648) 40334) ((-1109 . -648) 40130) ((-917 . -841) T) ((-634 . -555) 40099) ((-139 . -657) T) ((-1013 . -336) 40078) ((-918 . -476) NIL) ((-222 . -380) 40047) ((-221 . -380) 40016) ((-937 . -25) T) ((-937 . -21) T) ((-541 . -648) 39989) ((-540 . -648) 39886) ((-728 . -256) 39844) ((-121 . -97) 39822) ((-762 . -950) 39720) ((-152 . -751) 39699) ((-287 . -583) 39596) ((-745 . -33) T) ((-645 . -97) T) ((-1018 . -1012) T) ((-939 . -1104) T) ((-346 . -37) 39561) ((-308 . -25) T) ((-308 . -21) T) ((-146 . -97) T) ((-142 . -97) T) ((-323 . -1156) 39545) ((-321 . -1156) 39529) ((-313 . -1156) 39513) ((-152 . -318) 39492) ((-501 . -777) T) ((-458 . -777) T) ((-1018 . -23) T) ((-86 . -555) 39474) ((-632 . -276) T) ((-764 . -37) 39444) ((-758 . -37) 39414) ((-1136 . -123) T) ((-1045 . -258) 39393) ((-883 . -723) 39346) ((-883 . -724) 39299) ((-745 . -721) 39278) ((-111 . -276) T) ((-89 . -278) 39216) ((-609 . -33) T) ((-502 . -548) 39195) ((-47 . -25) T) ((-47 . -21) T) ((-745 . -724) 39146) ((-745 . -723) 39125) ((-632 . -933) T) ((-590 . -964) 39109) ((-883 . -657) 39008) ((-745 . -657) 38939) ((-883 . -440) 38892) ((-448 . -727) 38843) ((-448 . -722) 38794) ((-826 . -1156) 38781) ((-1072 . -959) T) ((-590 . -106) 38760) ((-1072 . -294) 38737) ((-1091 . -97) 38715) ((-1002 . -555) 38697) ((-632 . -500) T) ((-746 . -1001) T) ((-1159 . -959) T) ((-381 . -1001) T) ((-222 . -965) 38628) ((-221 . -965) 38559) ((-259 . -583) 38546) ((-538 . -256) 38521) ((-621 . -618) 38479) ((-875 . -555) 38461) ((-794 . -97) T) ((-666 . -555) 38443) ((-646 . -555) 38425) ((-1139 . -156) 38376) ((-1130 . -156) 38307) ((-1109 . -156) 38238) ((-630 . -777) T) ((-918 . -260) T) ((-420 . -555) 38220) ((-565 . -657) T) ((-58 . -1001) 38198) ((-218 . -138) 38182) ((-834 . -260) T) ((-937 . -926) T) ((-565 . -440) T) ((-643 . -1108) 38161) ((-541 . -156) 38140) ((-540 . -156) 38091) ((-1148 . -777) 38070) ((-643 . -508) 37981) ((-375 . -841) T) ((-375 . -750) 37960) ((-287 . -724) T) ((-287 . -657) T) ((-373 . -555) 37942) ((-373 . -556) 37845) ((-578 . -1044) 37829) ((-105 . -586) 37811) ((-121 . -278) 37749) ((-105 . -340) 37731) ((-157 . -276) T) ((-366 . -1104) T) ((-282 . -123) 37603) ((-281 . -123) T) ((-67 . -364) T) ((-105 . -118) T) ((-481 . -454) 37587) ((-591 . -1012) T) ((-538 . -19) 37569) ((-60 . -408) T) ((-60 . -364) T) ((-756 . -1001) T) ((-538 . -548) 37544) ((-444 . -950) 37504) ((-590 . -959) T) ((-591 . -23) T) ((-1162 . -1001) T) ((-746 . -648) 37353) ((-112 . -777) NIL) ((-1064 . -380) 37337) ((-1023 . -380) 37321) ((-781 . -380) 37305) ((-1135 . -97) T) ((-1114 . -97) T) ((-1091 . -278) 37243) ((-280 . -555) 37225) ((-1109 . -476) 36959) ((-997 . -1001) T) ((-1068 . -256) 36944) ((-1067 . -256) 36929) ((-259 . -657) T) ((-103 . -830) NIL) ((-621 . -555) 36896) ((-621 . -556) 36857) ((-983 . -583) 36767) ((-545 . -555) 36749) ((-502 . -556) NIL) ((-502 . -555) 36731) ((-1061 . -256) 36579) ((-452 . -964) 36529) ((-642 . -419) T) ((-474 . -471) 36508) ((-469 . -471) 36487) ((-192 . -964) 36437) ((-327 . -583) 36389) ((-322 . -583) 36341) ((-199 . -775) T) ((-314 . -583) 36293) ((-546 . -97) 36243) ((-448 . -336) 36222) ((-103 . -583) 36172) ((-452 . -106) 36099) ((-212 . -454) 36083) ((-312 . -134) 36065) ((-312 . -132) T) ((-152 . -338) 36036) ((-863 . -1147) 36020) ((-192 . -106) 35947) ((-794 . -278) 35912) ((-863 . -1001) 35862) ((-728 . -556) 35823) ((-728 . -555) 35805) ((-649 . -97) T) ((-299 . -1001) T) ((-1018 . -123) T) ((-645 . -37) 35775) ((-282 . -456) 35754) ((-463 . -1104) T) ((-1135 . -254) 35720) ((-1114 . -254) 35686) ((-295 . -138) 35670) ((-970 . -258) 35645) ((-1162 . -648) 35615) ((-1054 . -33) T) ((-1171 . -950) 35592) ((-435 . -555) 35574) ((-449 . -33) T) ((-350 . -950) 35558) ((-1064 . -965) T) ((-1023 . -965) T) ((-781 . -965) T) ((-969 . -775) T) ((-746 . -156) 35469) ((-481 . -256) 35446) ((-112 . -906) 35423) ((-1139 . -260) 35402) ((-1086 . -333) 35376) ((-990 . -237) 35360) ((-441 . -97) T) ((-332 . -1001) T) ((-222 . -1001) T) ((-221 . -1001) T) ((-1130 . -260) 35311) ((-104 . -1001) T) ((-1109 . -260) 35262) ((-794 . -1046) 35240) ((-1068 . -916) 35206) ((-550 . -333) 35146) ((-1067 . -916) 35112) ((-550 . -202) 35059) ((-538 . -555) 35041) ((-538 . -556) NIL) ((-625 . -777) T) ((-442 . -202) 34991) ((-452 . -959) T) ((-1061 . -916) 34957) ((-85 . -407) T) ((-85 . -364) T) ((-192 . -959) T) ((-1024 . -916) 34923) ((-983 . -657) T) ((-643 . -1012) T) ((-541 . -260) 34902) ((-540 . -260) 34881) ((-452 . -216) T) ((-452 . -206) T) ((-192 . -216) T) ((-192 . -206) T) ((-1060 . -555) 34863) ((-794 . -37) 34815) ((-327 . -657) T) ((-322 . -657) T) ((-314 . -657) T) ((-103 . -724) T) ((-103 . -721) T) ((-481 . -1138) 34799) ((-103 . -657) T) ((-643 . -23) T) ((-1175 . -25) T) ((-441 . -254) 34765) ((-1175 . -21) T) ((-1114 . -278) 34704) ((-1070 . -97) T) ((-39 . -132) 34676) ((-39 . -134) 34648) ((-481 . -548) 34625) ((-1013 . -583) 34475) ((-546 . -278) 34413) ((-44 . -586) 34363) ((-44 . -601) 34313) ((-44 . -340) 34263) ((-1053 . -33) T) ((-793 . -775) NIL) ((-591 . -123) T) ((-450 . -555) 34245) ((-212 . -256) 34222) ((-582 . -33) T) ((-570 . -33) T) ((-989 . -419) 34173) ((-746 . -476) 34038) ((-711 . -419) 33969) ((-710 . -419) 33920) ((-421 . -419) 33871) ((-866 . -380) 33855) ((-662 . -555) 33837) ((-222 . -648) 33779) ((-221 . -648) 33721) ((-662 . -556) 33582) ((-447 . -380) 33566) ((-307 . -267) T) ((-320 . -841) T) ((-914 . -97) 33544) ((-937 . -777) T) ((-58 . -476) 33477) ((-1114 . -1046) 33429) ((-918 . -256) NIL) ((-199 . -965) T) ((-346 . -751) T) ((-1013 . -33) T) ((-528 . -419) T) ((-479 . -419) T) ((-1116 . -995) 33413) ((-1116 . -1001) 33391) ((-212 . -548) 33368) ((-1116 . -996) 33325) ((-1068 . -555) 33307) ((-1067 . -555) 33289) ((-1061 . -555) 33271) ((-1061 . -556) NIL) ((-1024 . -555) 33253) ((-794 . -368) 33237) ((-490 . -97) T) ((-1135 . -37) 33078) ((-1114 . -37) 32892) ((-791 . -134) T) ((-528 . -370) T) ((-47 . -777) T) ((-479 . -370) T) ((-1136 . -21) T) ((-1136 . -25) T) ((-1013 . -721) 32871) ((-1013 . -724) 32822) ((-1013 . -723) 32801) ((-908 . -1001) T) ((-940 . -33) T) ((-786 . -1001) T) ((-1145 . -97) T) ((-1013 . -657) 32732) ((-599 . -97) T) ((-502 . -258) 32711) ((-1077 . -97) T) ((-443 . -33) T) ((-430 . -33) T) ((-323 . -97) T) ((-321 . -97) T) ((-313 . -97) T) ((-235 . -97) T) ((-220 . -97) T) ((-444 . -276) T) ((-969 . -965) T) ((-866 . -965) T) ((-282 . -577) 32619) ((-281 . -577) 32580) ((-447 . -965) T) ((-445 . -97) T) ((-405 . -555) 32562) ((-1064 . -1001) T) ((-1023 . -1001) T) ((-781 . -1001) T) ((-1036 . -97) T) ((-746 . -260) 32493) ((-875 . -964) 32376) ((-444 . -933) T) ((-666 . -964) 32346) ((-420 . -964) 32316) ((-1042 . -1019) 32300) ((-997 . -476) 32233) ((-875 . -106) 32095) ((-826 . -97) T) ((-666 . -106) 32060) ((-56 . -97) 32010) ((-481 . -556) 31971) ((-481 . -555) 31910) ((-480 . -97) 31888) ((-478 . -97) 31838) ((-460 . -97) 31816) ((-459 . -97) 31766) ((-420 . -106) 31717) ((-222 . -156) 31696) ((-221 . -156) 31675) ((-373 . -964) 31649) ((-1097 . -888) 31610) ((-910 . -1012) T) ((-863 . -476) 31543) ((-452 . -727) T) ((-441 . -37) 31384) ((-373 . -106) 31351) ((-452 . -722) T) ((-914 . -278) 31289) ((-192 . -727) T) ((-192 . -722) T) ((-910 . -23) T) ((-643 . -123) T) ((-1114 . -368) 31259) ((-282 . -25) 31112) ((-152 . -380) 31096) ((-282 . -21) 30968) ((-281 . -25) T) ((-281 . -21) T) ((-787 . -336) T) ((-105 . -33) T) ((-448 . -583) 30818) ((-793 . -965) T) ((-538 . -258) 30793) ((-527 . -134) T) ((-501 . -134) T) ((-458 . -134) T) ((-1064 . -648) 30622) ((-1023 . -648) 30471) ((-1018 . -577) 30453) ((-781 . -648) 30423) ((-605 . -1104) T) ((-1 . -97) T) ((-212 . -555) 30202) ((-1118 . -380) 30186) ((-1077 . -278) 29990) ((-875 . -959) T) ((-666 . -959) T) ((-646 . -959) T) ((-578 . -1001) 29940) ((-962 . -583) 29924) ((-782 . -380) 29908) ((-474 . -97) T) ((-469 . -97) T) ((-220 . -278) 29895) ((-235 . -278) 29882) ((-875 . -294) 29861) ((-349 . -583) 29845) ((-445 . -278) 29649) ((-222 . -476) 29582) ((-605 . -950) 29480) ((-221 . -476) 29413) ((-1036 . -278) 29339) ((-749 . -1001) T) ((-728 . -964) 29323) ((-1139 . -256) 29308) ((-1130 . -256) 29293) ((-1109 . -256) 29141) ((-354 . -1001) T) ((-292 . -1001) T) ((-373 . -959) T) ((-152 . -965) T) ((-56 . -278) 29079) ((-728 . -106) 29058) ((-540 . -256) 29043) ((-480 . -278) 28981) ((-478 . -278) 28919) ((-460 . -278) 28857) ((-459 . -278) 28795) ((-373 . -206) 28774) ((-448 . -33) T) ((-918 . -556) 28704) ((-199 . -1001) T) ((-918 . -555) 28686) ((-886 . -555) 28668) ((-886 . -556) 28643) ((-834 . -555) 28625) ((-630 . -134) T) ((-632 . -841) T) ((-632 . -750) T) ((-397 . -555) 28607) ((-1018 . -21) T) ((-1018 . -25) T) ((-605 . -345) 28591) ((-111 . -841) T) ((-794 . -204) 28575) ((-73 . -1104) T) ((-121 . -120) 28559) ((-962 . -33) T) ((-1168 . -950) 28533) ((-1167 . -950) 28490) ((-1118 . -965) T) ((-782 . -965) T) ((-448 . -721) 28469) ((-323 . -1046) 28448) ((-321 . -1046) 28427) ((-313 . -1046) 28406) ((-448 . -724) 28357) ((-448 . -723) 28336) ((-448 . -657) 28267) ((-58 . -454) 28251) ((-522 . -965) T) ((-1064 . -156) 28142) ((-1023 . -156) 28053) ((-969 . -1001) T) ((-989 . -870) 28000) ((-866 . -1001) T) ((-747 . -583) 27951) ((-711 . -870) 27921) ((-644 . -1001) T) ((-710 . -870) 27888) ((-478 . -252) 27872) ((-605 . -820) 27831) ((-447 . -1001) T) ((-421 . -870) 27798) ((-77 . -1104) T) ((-323 . -37) 27763) ((-321 . -37) 27728) ((-313 . -37) 27693) ((-235 . -37) 27542) ((-220 . -37) 27391) ((-826 . -1046) T) ((-562 . -134) 27370) ((-562 . -132) 27349) ((-112 . -134) T) ((-112 . -132) NIL) ((-383 . -657) T) ((-728 . -959) T) ((-312 . -419) T) ((-1139 . -916) 27315) ((-1130 . -916) 27281) ((-1109 . -916) 27247) ((-826 . -37) 27212) ((-199 . -648) 27177) ((-39 . -378) 27149) ((-287 . -46) 27119) ((-910 . -123) T) ((-745 . -1104) T) ((-157 . -841) T) ((-312 . -370) T) ((-481 . -258) 27096) ((-44 . -33) T) ((-745 . -950) 26925) ((-591 . -21) T) ((-587 . -97) T) ((-591 . -25) T) ((-997 . -454) 26909) ((-1114 . -204) 26879) ((-609 . -1104) T) ((-218 . -97) 26829) ((-793 . -1001) T) ((-1072 . -583) 26754) ((-969 . -648) 26741) ((-662 . -964) 26584) ((-1064 . -476) 26532) ((-866 . -648) 26381) ((-1023 . -476) 26333) ((-447 . -648) 26182) ((-65 . -555) 26164) ((-662 . -106) 25986) ((-863 . -454) 25970) ((-1159 . -583) 25930) ((-747 . -657) T) ((-1068 . -964) 25813) ((-1067 . -964) 25648) ((-1061 . -964) 25438) ((-1024 . -964) 25321) ((-917 . -1108) T) ((-991 . -97) 25299) ((-745 . -345) 25269) ((-917 . -508) T) ((-1068 . -106) 25131) ((-1067 . -106) 24945) ((-1061 . -106) 24691) ((-1024 . -106) 24553) ((-1005 . -1004) 24517) ((-346 . -775) T) ((-1139 . -555) 24499) ((-1130 . -555) 24481) ((-1109 . -555) 24463) ((-1109 . -556) NIL) ((-212 . -258) 24440) ((-39 . -419) T) ((-199 . -156) T) ((-152 . -1001) T) ((-625 . -134) T) ((-625 . -132) NIL) ((-541 . -555) 24422) ((-540 . -555) 24404) ((-818 . -1001) T) ((-768 . -1001) T) ((-738 . -1001) T) ((-699 . -1001) T) ((-589 . -779) 24388) ((-610 . -1001) T) ((-745 . -820) 24321) ((-39 . -370) NIL) ((-1018 . -597) T) ((-793 . -648) 24266) ((-222 . -454) 24250) ((-221 . -454) 24234) ((-643 . -577) 24182) ((-590 . -583) 24156) ((-264 . -33) T) ((-662 . -959) T) ((-528 . -1156) 24143) ((-479 . -1156) 24120) ((-1118 . -1001) T) ((-1064 . -260) 24031) ((-1023 . -260) 23962) ((-969 . -156) T) ((-782 . -1001) T) ((-866 . -156) 23873) ((-711 . -1125) 23857) ((-578 . -476) 23790) ((-76 . -555) 23772) ((-662 . -294) 23737) ((-1072 . -657) T) ((-522 . -1001) T) ((-447 . -156) 23648) ((-218 . -278) 23586) ((-1037 . -1012) T) ((-68 . -555) 23568) ((-1159 . -657) T) ((-1068 . -959) T) ((-1067 . -959) T) ((-295 . -97) 23518) ((-1061 . -959) T) ((-1037 . -23) T) ((-1024 . -959) T) ((-89 . -1019) 23502) ((-788 . -1012) T) ((-1068 . -206) 23461) ((-1067 . -216) 23440) ((-1067 . -206) 23392) ((-1061 . -206) 23279) ((-1061 . -216) 23258) ((-287 . -820) 23164) ((-788 . -23) T) ((-152 . -648) 22992) ((-375 . -1108) T) ((-1002 . -336) T) ((-937 . -134) T) ((-917 . -331) T) ((-791 . -419) T) ((-863 . -256) 22969) ((-282 . -777) T) ((-281 . -777) NIL) ((-795 . -97) T) ((-643 . -25) T) ((-375 . -508) T) ((-643 . -21) T) ((-308 . -134) 22951) ((-308 . -132) T) ((-1042 . -1001) 22929) ((-420 . -651) T) ((-74 . -555) 22911) ((-108 . -777) T) ((-218 . -252) 22895) ((-212 . -964) 22793) ((-79 . -555) 22775) ((-666 . -336) 22728) ((-1070 . -751) T) ((-667 . -208) 22712) ((-1054 . -1104) T) ((-128 . -208) 22694) ((-212 . -106) 22585) ((-1118 . -648) 22414) ((-47 . -134) T) ((-793 . -156) T) ((-782 . -648) 22384) ((-449 . -1104) T) ((-866 . -476) 22330) ((-590 . -657) T) ((-522 . -648) 22317) ((-947 . -965) T) ((-447 . -476) 22255) ((-863 . -19) 22239) ((-863 . -548) 22216) ((-746 . -556) NIL) ((-746 . -555) 22198) ((-918 . -964) 22148) ((-381 . -555) 22130) ((-222 . -256) 22107) ((-221 . -256) 22084) ((-452 . -830) NIL) ((-282 . -29) 22054) ((-103 . -1104) T) ((-917 . -1012) T) ((-192 . -830) NIL) ((-834 . -964) 22006) ((-983 . -950) 21904) ((-918 . -106) 21831) ((-235 . -204) 21815) ((-667 . -626) 21799) ((-397 . -964) 21783) ((-346 . -965) T) ((-917 . -23) T) ((-834 . -106) 21714) ((-625 . -1093) NIL) ((-452 . -583) 21664) ((-103 . -804) 21646) ((-103 . -806) 21628) ((-625 . -1090) NIL) ((-192 . -583) 21578) ((-327 . -950) 21562) ((-322 . -950) 21546) ((-295 . -278) 21484) ((-314 . -950) 21468) ((-199 . -260) T) ((-397 . -106) 21447) ((-58 . -555) 21414) ((-152 . -156) T) ((-1018 . -777) T) ((-103 . -950) 21374) ((-810 . -1001) T) ((-764 . -965) T) ((-758 . -965) T) ((-625 . -34) NIL) ((-625 . -91) NIL) ((-281 . -906) 21335) ((-527 . -419) T) ((-501 . -419) T) ((-458 . -419) T) ((-375 . -331) T) ((-212 . -959) 21266) ((-1045 . -33) T) ((-444 . -841) T) ((-910 . -577) 21214) ((-222 . -548) 21191) ((-221 . -548) 21168) ((-983 . -345) 21152) ((-793 . -476) 21015) ((-212 . -206) 20968) ((-1053 . -1104) T) ((-756 . -555) 20950) ((-1170 . -1012) T) ((-1162 . -555) 20932) ((-1118 . -156) 20823) ((-103 . -345) 20805) ((-103 . -306) 20787) ((-969 . -260) T) ((-866 . -260) 20718) ((-728 . -336) 20697) ((-582 . -1104) T) ((-570 . -1104) T) ((-447 . -260) 20628) ((-522 . -156) T) ((-295 . -252) 20612) ((-1170 . -23) T) ((-1097 . -97) T) ((-1086 . -1001) T) ((-990 . -1001) T) ((-979 . -1001) T) ((-82 . -555) 20594) ((-642 . -97) T) ((-323 . -318) 20573) ((-550 . -1001) T) ((-321 . -318) 20552) ((-313 . -318) 20531) ((-442 . -1001) T) ((-1077 . -202) 20481) ((-235 . -224) 20443) ((-1037 . -123) T) ((-550 . -552) 20419) ((-983 . -820) 20352) ((-918 . -959) T) ((-834 . -959) T) ((-442 . -552) 20331) ((-1061 . -722) NIL) ((-1061 . -727) NIL) ((-997 . -556) 20292) ((-445 . -202) 20242) ((-997 . -555) 20224) ((-918 . -216) T) ((-918 . -206) T) ((-397 . -959) T) ((-877 . -1001) 20174) ((-834 . -216) T) ((-788 . -123) T) ((-630 . -419) T) ((-769 . -1012) 20153) ((-103 . -820) NIL) ((-1097 . -254) 20119) ((-794 . -775) 20098) ((-1013 . -1104) T) ((-822 . -657) T) ((-152 . -476) 20010) ((-910 . -25) T) ((-822 . -440) T) ((-375 . -1012) T) ((-452 . -724) T) ((-452 . -721) T) ((-826 . -318) T) ((-452 . -657) T) ((-192 . -724) T) ((-192 . -721) T) ((-910 . -21) T) ((-192 . -657) T) ((-769 . -23) 19962) ((-287 . -276) 19941) ((-948 . -208) 19887) ((-375 . -23) T) ((-863 . -556) 19848) ((-863 . -555) 19787) ((-578 . -454) 19771) ((-44 . -924) 19721) ((-299 . -555) 19703) ((-1013 . -950) 19532) ((-538 . -586) 19514) ((-538 . -340) 19496) ((-312 . -1156) 19473) ((-940 . -1104) T) ((-793 . -260) T) ((-1118 . -476) 19421) ((-443 . -1104) T) ((-430 . -1104) T) ((-530 . -97) T) ((-1064 . -256) 19348) ((-562 . -419) 19327) ((-914 . -909) 19311) ((-1162 . -352) 19283) ((-112 . -419) T) ((-1084 . -97) T) ((-993 . -1001) 19261) ((-947 . -1001) T) ((-813 . -777) T) ((-320 . -1108) T) ((-1139 . -964) 19144) ((-1013 . -345) 19114) ((-1130 . -964) 18949) ((-1109 . -964) 18739) ((-1139 . -106) 18601) ((-1130 . -106) 18415) ((-1109 . -106) 18161) ((-1097 . -278) 18148) ((-320 . -508) T) ((-332 . -555) 18130) ((-259 . -276) T) ((-541 . -964) 18103) ((-540 . -964) 17986) ((-329 . -1001) T) ((-290 . -1001) T) ((-222 . -555) 17947) ((-221 . -555) 17908) ((-917 . -123) T) ((-104 . -555) 17890) ((-571 . -23) T) ((-625 . -378) 17857) ((-549 . -23) T) ((-589 . -97) T) ((-541 . -106) 17828) ((-540 . -106) 17690) ((-346 . -1001) T) ((-301 . -97) T) ((-152 . -260) 17601) ((-1114 . -775) 17554) ((-645 . -965) T) ((-1042 . -476) 17487) ((-1013 . -820) 17420) ((-764 . -1001) T) ((-758 . -1001) T) ((-755 . -1001) T) ((-92 . -97) T) ((-131 . -777) T) ((-553 . -804) 17404) ((-105 . -1104) T) ((-989 . -97) T) ((-970 . -33) T) ((-711 . -97) T) ((-710 . -97) T) ((-428 . -97) T) ((-421 . -97) T) ((-212 . -727) 17355) ((-212 . -722) 17306) ((-584 . -97) T) ((-1118 . -260) 17217) ((-599 . -573) 17201) ((-578 . -256) 17178) ((-947 . -648) 17162) ((-522 . -260) T) ((-875 . -583) 17087) ((-1170 . -123) T) ((-666 . -583) 17047) ((-646 . -583) 17034) ((-246 . -97) T) ((-420 . -583) 16964) ((-49 . -97) T) ((-528 . -97) T) ((-479 . -97) T) ((-1139 . -959) T) ((-1130 . -959) T) ((-1109 . -959) T) ((-290 . -648) 16946) ((-1139 . -206) 16905) ((-1130 . -216) 16884) ((-1130 . -206) 16836) ((-1109 . -206) 16723) ((-1109 . -216) 16702) ((-1097 . -37) 16599) ((-541 . -959) T) ((-540 . -959) T) ((-918 . -727) T) ((-918 . -722) T) ((-886 . -727) T) ((-886 . -722) T) ((-794 . -965) T) ((-791 . -792) 16583) ((-625 . -419) T) ((-346 . -648) 16548) ((-373 . -583) 16522) ((-643 . -777) 16501) ((-642 . -37) 16466) ((-540 . -206) 16425) ((-39 . -655) 16397) ((-320 . -297) 16374) ((-320 . -331) T) ((-983 . -276) 16325) ((-262 . -1012) 16207) ((-1006 . -1104) T) ((-155 . -97) T) ((-1116 . -555) 16174) ((-769 . -123) 16126) ((-578 . -1138) 16110) ((-764 . -648) 16080) ((-758 . -648) 16050) ((-448 . -1104) T) ((-327 . -276) T) ((-322 . -276) T) ((-314 . -276) T) ((-578 . -548) 16027) ((-375 . -123) T) ((-481 . -601) 16011) ((-103 . -276) T) ((-262 . -23) 15895) ((-481 . -586) 15879) ((-625 . -370) NIL) ((-481 . -340) 15863) ((-89 . -1001) 15841) ((-103 . -933) T) ((-501 . -130) T) ((-1148 . -138) 15825) ((-448 . -950) 15654) ((-1136 . -132) 15615) ((-1136 . -134) 15576) ((-962 . -1104) T) ((-908 . -555) 15558) ((-786 . -555) 15540) ((-746 . -964) 15383) ((-989 . -278) 15370) ((-711 . -278) 15357) ((-710 . -278) 15344) ((-746 . -106) 15166) ((-421 . -278) 15153) ((-1064 . -556) NIL) ((-1064 . -555) 15135) ((-1023 . -555) 15117) ((-1023 . -556) 14865) ((-947 . -156) T) ((-781 . -555) 14847) ((-863 . -258) 14824) ((-550 . -476) 14572) ((-748 . -950) 14556) ((-442 . -476) 14316) ((-875 . -657) T) ((-666 . -657) T) ((-646 . -657) T) ((-320 . -1012) T) ((-1073 . -555) 14298) ((-197 . -97) T) ((-448 . -345) 14268) ((-477 . -1001) T) ((-473 . -1001) T) ((-470 . -1001) T) ((-728 . -583) 14242) ((-937 . -419) T) ((-877 . -476) 14175) ((-320 . -23) T) ((-571 . -123) T) ((-549 . -123) T) ((-308 . -419) T) ((-212 . -336) 14154) ((-346 . -156) T) ((-1135 . -965) T) ((-1114 . -965) T) ((-199 . -916) T) ((-630 . -355) T) ((-373 . -657) T) ((-632 . -1108) T) ((-1037 . -577) 14102) ((-527 . -792) 14086) ((-1054 . -1081) 14062) ((-632 . -508) T) ((-121 . -1001) 14040) ((-1162 . -964) 14024) ((-645 . -1001) T) ((-448 . -820) 13957) ((-589 . -37) 13927) ((-308 . -370) T) ((-282 . -134) 13906) ((-282 . -132) 13885) ((-111 . -508) T) ((-281 . -134) 13841) ((-281 . -132) 13797) ((-47 . -419) T) ((-146 . -1001) T) ((-142 . -1001) T) ((-1054 . -102) 13744) ((-711 . -1046) 13722) ((-621 . -33) T) ((-1162 . -106) 13701) ((-502 . -33) T) ((-449 . -102) 13685) ((-222 . -258) 13662) ((-221 . -258) 13639) ((-793 . -256) 13569) ((-44 . -1104) T) ((-746 . -959) T) ((-1072 . -46) 13546) ((-746 . -294) 13508) ((-989 . -37) 13357) ((-746 . -206) 13336) ((-711 . -37) 13165) ((-710 . -37) 13014) ((-421 . -37) 12863) ((-578 . -556) 12824) ((-578 . -555) 12763) ((-528 . -1046) T) ((-479 . -1046) T) ((-1042 . -454) 12747) ((-1091 . -1001) 12725) ((-1037 . -25) T) ((-1037 . -21) T) ((-441 . -965) T) ((-1109 . -722) NIL) ((-1109 . -727) NIL) ((-910 . -777) 12704) ((-749 . -555) 12686) ((-788 . -21) T) ((-788 . -25) T) ((-728 . -657) T) ((-157 . -1108) T) ((-528 . -37) 12651) ((-479 . -37) 12616) ((-354 . -555) 12598) ((-292 . -555) 12580) ((-152 . -256) 12538) ((-62 . -1104) T) ((-107 . -97) T) ((-794 . -1001) T) ((-157 . -508) T) ((-645 . -648) 12508) ((-262 . -123) 12392) ((-199 . -555) 12374) ((-199 . -556) 12304) ((-917 . -577) 12238) ((-1162 . -959) T) ((-1018 . -134) T) ((-570 . -1081) 12213) ((-662 . -830) 12192) ((-538 . -33) T) ((-582 . -102) 12176) ((-570 . -102) 12122) ((-1118 . -256) 12049) ((-662 . -583) 11974) ((-264 . -1104) T) ((-1072 . -950) 11872) ((-1061 . -830) NIL) ((-969 . -556) 11787) ((-969 . -555) 11769) ((-312 . -97) T) ((-222 . -964) 11667) ((-221 . -964) 11565) ((-361 . -97) T) ((-866 . -555) 11547) ((-866 . -556) 11408) ((-644 . -555) 11390) ((-1160 . -1099) 11359) ((-447 . -555) 11341) ((-447 . -556) 11202) ((-220 . -380) 11186) ((-235 . -380) 11170) ((-222 . -106) 11061) ((-221 . -106) 10952) ((-1068 . -583) 10877) ((-1067 . -583) 10774) ((-1061 . -583) 10626) ((-1024 . -583) 10551) ((-320 . -123) T) ((-81 . -408) T) ((-81 . -364) T) ((-917 . -25) T) ((-917 . -21) T) ((-794 . -648) 10503) ((-346 . -260) T) ((-152 . -916) 10455) ((-625 . -355) T) ((-910 . -912) 10439) ((-632 . -1012) T) ((-625 . -150) 10421) ((-1135 . -1001) T) ((-1114 . -1001) T) ((-282 . -1090) 10400) ((-282 . -1093) 10379) ((-1059 . -97) T) ((-282 . -879) 10358) ((-125 . -1012) T) ((-111 . -1012) T) ((-546 . -1147) 10342) ((-632 . -23) T) ((-546 . -1001) 10292) ((-89 . -476) 10225) ((-157 . -331) T) ((-282 . -91) 10204) ((-282 . -34) 10183) ((-550 . -454) 10117) ((-125 . -23) T) ((-111 . -23) T) ((-649 . -1001) T) ((-442 . -454) 10054) ((-375 . -577) 10002) ((-590 . -950) 9900) ((-877 . -454) 9884) ((-323 . -965) T) ((-321 . -965) T) ((-313 . -965) T) ((-235 . -965) T) ((-220 . -965) T) ((-793 . -556) NIL) ((-793 . -555) 9866) ((-1170 . -21) T) ((-522 . -916) T) ((-662 . -657) T) ((-1170 . -25) T) ((-222 . -959) 9797) ((-221 . -959) 9728) ((-70 . -1104) T) ((-222 . -206) 9681) ((-221 . -206) 9634) ((-39 . -97) T) ((-826 . -965) T) ((-1068 . -657) T) ((-1067 . -657) T) ((-1061 . -657) T) ((-1061 . -721) NIL) ((-1061 . -724) NIL) ((-839 . -97) T) ((-1024 . -657) T) ((-701 . -97) T) ((-606 . -97) T) ((-441 . -1001) T) ((-307 . -1012) T) ((-157 . -1012) T) ((-287 . -841) 9613) ((-1135 . -648) 9454) ((-794 . -156) T) ((-1114 . -648) 9268) ((-769 . -21) 9220) ((-769 . -25) 9172) ((-218 . -1044) 9156) ((-121 . -476) 9089) ((-375 . -25) T) ((-375 . -21) T) ((-307 . -23) T) ((-152 . -556) 8857) ((-152 . -555) 8839) ((-157 . -23) T) ((-578 . -258) 8816) ((-481 . -33) T) ((-818 . -555) 8798) ((-87 . -1104) T) ((-768 . -555) 8780) ((-738 . -555) 8762) ((-699 . -555) 8744) ((-610 . -555) 8726) ((-212 . -583) 8576) ((-1070 . -1001) T) ((-1064 . -964) 8399) ((-1045 . -1104) T) ((-1023 . -964) 8242) ((-781 . -964) 8226) ((-1064 . -106) 8028) ((-1023 . -106) 7850) ((-781 . -106) 7829) ((-1118 . -556) NIL) ((-1118 . -555) 7811) ((-312 . -1046) T) ((-782 . -555) 7793) ((-979 . -256) 7772) ((-78 . -1104) T) ((-918 . -830) NIL) ((-550 . -256) 7748) ((-1091 . -476) 7681) ((-452 . -1104) T) ((-522 . -555) 7663) ((-442 . -256) 7642) ((-192 . -1104) T) ((-989 . -204) 7626) ((-259 . -841) T) ((-747 . -276) 7605) ((-791 . -97) T) ((-711 . -204) 7589) ((-918 . -583) 7539) ((-877 . -256) 7516) ((-834 . -583) 7468) ((-571 . -21) T) ((-571 . -25) T) ((-549 . -21) T) ((-312 . -37) 7433) ((-625 . -655) 7400) ((-452 . -804) 7382) ((-452 . -806) 7364) ((-441 . -648) 7205) ((-192 . -804) 7187) ((-59 . -1104) T) ((-192 . -806) 7169) ((-549 . -25) T) ((-397 . -583) 7143) ((-452 . -950) 7103) ((-794 . -476) 7015) ((-192 . -950) 6975) ((-212 . -33) T) ((-914 . -1001) 6953) ((-1135 . -156) 6884) ((-1114 . -156) 6815) ((-643 . -132) 6794) ((-643 . -134) 6773) ((-632 . -123) T) ((-126 . -432) 6750) ((-589 . -593) 6734) ((-1042 . -555) 6701) ((-111 . -123) T) ((-444 . -1108) T) ((-550 . -548) 6677) ((-442 . -548) 6656) ((-301 . -304) 6625) ((-490 . -1001) T) ((-444 . -508) T) ((-1064 . -959) T) ((-1023 . -959) T) ((-781 . -959) T) ((-212 . -721) 6604) ((-212 . -724) 6555) ((-212 . -723) 6534) ((-1064 . -294) 6511) ((-212 . -657) 6442) ((-877 . -19) 6426) ((-452 . -345) 6408) ((-452 . -306) 6390) ((-1023 . -294) 6362) ((-308 . -1156) 6339) ((-192 . -345) 6321) ((-192 . -306) 6303) ((-877 . -548) 6280) ((-1064 . -206) T) ((-599 . -1001) T) ((-1145 . -1001) T) ((-1077 . -1001) T) ((-989 . -224) 6219) ((-323 . -1001) T) ((-321 . -1001) T) ((-313 . -1001) T) ((-235 . -1001) T) ((-220 . -1001) T) ((-83 . -1104) T) ((-122 . -97) 6197) ((-116 . -97) 6175) ((-1077 . -552) 6154) ((-445 . -1001) T) ((-1036 . -1001) T) ((-445 . -552) 6133) ((-222 . -727) 6084) ((-222 . -722) 6035) ((-221 . -727) 5986) ((-39 . -1046) NIL) ((-221 . -722) 5937) ((-983 . -841) 5888) ((-918 . -724) T) ((-918 . -721) T) ((-918 . -657) T) ((-886 . -724) T) ((-834 . -657) T) ((-89 . -454) 5872) ((-452 . -820) NIL) ((-826 . -1001) T) ((-199 . -964) 5837) ((-794 . -260) T) ((-192 . -820) NIL) ((-762 . -1012) 5816) ((-56 . -1001) 5766) ((-480 . -1001) 5744) ((-478 . -1001) 5694) ((-460 . -1001) 5672) ((-459 . -1001) 5622) ((-527 . -97) T) ((-501 . -97) T) ((-458 . -97) T) ((-441 . -156) 5553) ((-327 . -841) T) ((-322 . -841) T) ((-314 . -841) T) ((-199 . -106) 5502) ((-762 . -23) 5454) ((-397 . -657) T) ((-103 . -841) T) ((-39 . -37) 5399) ((-103 . -750) T) ((-528 . -318) T) ((-479 . -318) T) ((-1114 . -476) 5259) ((-282 . -419) 5238) ((-281 . -419) T) ((-764 . -256) 5217) ((-307 . -123) T) ((-157 . -123) T) ((-262 . -25) 5082) ((-262 . -21) 4966) ((-44 . -1081) 4945) ((-64 . -555) 4927) ((-810 . -555) 4909) ((-546 . -476) 4842) ((-44 . -102) 4792) ((-997 . -394) 4776) ((-997 . -336) 4755) ((-970 . -1104) T) ((-969 . -964) 4742) ((-866 . -964) 4585) ((-447 . -964) 4428) ((-599 . -648) 4412) ((-969 . -106) 4397) ((-866 . -106) 4219) ((-444 . -331) T) ((-323 . -648) 4171) ((-321 . -648) 4123) ((-313 . -648) 4075) ((-235 . -648) 3924) ((-220 . -648) 3773) ((-863 . -586) 3757) ((-447 . -106) 3579) ((-1151 . -97) T) ((-863 . -340) 3563) ((-1109 . -830) NIL) ((-72 . -555) 3545) ((-875 . -46) 3524) ((-558 . -1012) T) ((-1 . -1001) T) ((-630 . -97) T) ((-1148 . -97) 3474) ((-1139 . -583) 3399) ((-1130 . -583) 3296) ((-121 . -454) 3280) ((-1086 . -555) 3262) ((-990 . -555) 3244) ((-358 . -23) T) ((-979 . -555) 3226) ((-86 . -1104) T) ((-1109 . -583) 3078) ((-826 . -648) 3043) ((-558 . -23) T) ((-550 . -555) 3025) ((-550 . -556) NIL) ((-442 . -556) NIL) ((-442 . -555) 3007) ((-474 . -1001) T) ((-469 . -1001) T) ((-320 . -25) T) ((-320 . -21) T) ((-122 . -278) 2945) ((-116 . -278) 2883) ((-541 . -583) 2870) ((-199 . -959) T) ((-540 . -583) 2795) ((-346 . -916) T) ((-199 . -216) T) ((-199 . -206) T) ((-877 . -556) 2756) ((-877 . -555) 2695) ((-791 . -37) 2682) ((-1135 . -260) 2633) ((-1114 . -260) 2584) ((-1018 . -419) T) ((-465 . -777) T) ((-282 . -1034) 2563) ((-910 . -134) 2542) ((-910 . -132) 2521) ((-458 . -278) 2508) ((-264 . -1081) 2487) ((-444 . -1012) T) ((-793 . -964) 2432) ((-562 . -97) T) ((-1091 . -454) 2416) ((-222 . -336) 2395) ((-221 . -336) 2374) ((-264 . -102) 2324) ((-969 . -959) T) ((-112 . -97) T) ((-866 . -959) T) ((-793 . -106) 2241) ((-444 . -23) T) ((-447 . -959) T) ((-969 . -206) T) ((-866 . -294) 2210) ((-447 . -294) 2167) ((-323 . -156) T) ((-321 . -156) T) ((-313 . -156) T) ((-235 . -156) 2078) ((-220 . -156) 1989) ((-875 . -950) 1887) ((-666 . -950) 1858) ((-1005 . -97) T) ((-993 . -555) 1825) ((-947 . -555) 1807) ((-1139 . -657) T) ((-1130 . -657) T) ((-1109 . -721) NIL) ((-152 . -964) 1717) ((-1109 . -724) NIL) ((-826 . -156) T) ((-1109 . -657) T) ((-1160 . -138) 1701) ((-917 . -310) 1675) ((-914 . -476) 1608) ((-769 . -777) 1587) ((-501 . -1046) T) ((-441 . -260) 1538) ((-541 . -657) T) ((-329 . -555) 1520) ((-290 . -555) 1502) ((-373 . -950) 1400) ((-540 . -657) T) ((-375 . -777) 1351) ((-152 . -106) 1240) ((-762 . -123) 1192) ((-667 . -138) 1176) ((-1148 . -278) 1114) ((-452 . -276) T) ((-346 . -555) 1081) ((-481 . -924) 1065) ((-346 . -556) 979) ((-192 . -276) T) ((-128 . -138) 961) ((-645 . -256) 940) ((-452 . -933) T) ((-527 . -37) 927) ((-501 . -37) 914) ((-458 . -37) 879) ((-192 . -933) T) ((-793 . -959) T) ((-764 . -555) 861) ((-758 . -555) 843) ((-755 . -555) 825) ((-746 . -830) 804) ((-1171 . -1012) T) ((-1118 . -964) 627) ((-782 . -964) 611) ((-793 . -216) T) ((-793 . -206) NIL) ((-621 . -1104) T) ((-1171 . -23) T) ((-746 . -583) 536) ((-502 . -1104) T) ((-373 . -306) 520) ((-522 . -964) 507) ((-1118 . -106) 309) ((-632 . -577) 291) ((-782 . -106) 270) ((-350 . -23) T) ((-1077 . -476) 30)) 
\ No newline at end of file
+((($ $) . T) (((-810 |#1|) $) . T) (((-810 |#1|) |#2|) . T)) 
+((($ $) . T) ((|#2| $) |has| |#1| (-210)) ((|#2| |#1|) |has| |#1| (-210)) ((|#3| |#1|) . T) ((|#3| $) . T)) 
+(((-614 . -1025) T) ((-239 . -493) 149373) ((-224 . -493) 149311) ((-539 . -109) 149296) ((-504 . -23) T) ((-222 . -1025) 149246) ((-115 . -282) 149190) ((-462 . -493) 148950) ((-643 . -99) T) ((-1061 . -493) 148858) ((-366 . -126) T) ((-1190 . -914) 148827) ((-563 . -471) 148811) ((-577 . -126) T) ((-772 . -796) T) ((-501 . -56) 148761) ((-58 . -493) 148694) ((-497 . -493) 148627) ((-394 . -843) 148586) ((-156 . -983) T) ((-495 . -493) 148519) ((-477 . -493) 148452) ((-476 . -493) 148385) ((-752 . -974) 148172) ((-648 . -37) 148137) ((-317 . -325) T) ((-1090 . -1071) 148115) ((-1020 . -1019) 148099) ((-1020 . -1025) 148077) ((-156 . -220) 148028) ((-156 . -210) 147979) ((-1020 . -1021) 147937) ((-817 . -260) 147895) ((-202 . -748) T) ((-202 . -745) T) ((-643 . -258) NIL) ((-1070 . -1107) 147874) ((-383 . -930) 147858) ((-650 . -21) T) ((-650 . -25) T) ((-1192 . -600) 147832) ((-1090 . -37) 147661) ((-288 . -148) 147640) ((-288 . -133) 147619) ((-1070 . -105) 147569) ((-128 . -25) T) ((-39 . -208) 147546) ((-114 . -21) T) ((-114 . -25) T) ((-567 . -262) 147522) ((-452 . -262) 147501) ((-1151 . -983) T) ((-805 . -983) T) ((-752 . -312) 147485) ((-115 . -1071) NIL) ((-90 . -572) 147452) ((-461 . -126) T) ((-555 . -1130) T) ((-1151 . -300) 147429) ((-539 . -983) T) ((-1151 . -210) T) ((-614 . -667) 147413) ((-900 . -262) 147390) ((-59 . -33) T) ((-994 . -748) T) ((-994 . -745) T) ((-769 . -676) T) ((-681 . -46) 147355) ((-579 . -37) 147342) ((-331 . -264) T) ((-328 . -264) T) ((-318 . -264) T) ((-239 . -264) 147273) ((-224 . -264) 147204) ((-960 . -99) T) ((-389 . -676) T) ((-115 . -37) 147149) ((-389 . -450) T) ((-330 . -99) T) ((-1125 . -990) T) ((-661 . -990) T) ((-1094 . -46) 147126) ((-1093 . -46) 147096) ((-1086 . -46) 147073) ((-972 . -141) 147019) ((-853 . -264) T) ((-1049 . -46) 146991) ((-643 . -282) NIL) ((-494 . -572) 146973) ((-489 . -572) 146955) ((-487 . -572) 146937) ((-301 . -1025) 146887) ((-662 . -427) 146818) ((-47 . -99) T) ((-1162 . -260) 146803) ((-1141 . -260) 146723) ((-598 . -618) 146707) ((-598 . -603) 146691) ((-313 . -21) T) ((-313 . -25) T) ((-39 . -325) NIL) ((-160 . -21) T) ((-160 . -25) T) ((-598 . -349) 146675) ((-563 . -260) 146652) ((-364 . -99) T) ((-1043 . -133) T) ((-124 . -572) 146619) ((-818 . -1025) T) ((-610 . -387) 146603) ((-664 . -572) 146585) ((-149 . -572) 146567) ((-145 . -572) 146549) ((-1192 . -676) T) ((-1027 . -33) T) ((-816 . -748) NIL) ((-816 . -745) NIL) ((-807 . -800) T) ((-681 . -829) NIL) ((-1201 . -126) T) ((-357 . -126) T) ((-847 . -99) T) ((-681 . -974) 146427) ((-504 . -126) T) ((-1014 . -387) 146411) ((-937 . -471) 146395) ((-115 . -376) 146372) ((-1086 . -1130) 146351) ((-735 . -387) 146335) ((-733 . -387) 146319) ((-886 . -33) T) ((-643 . -1071) NIL) ((-226 . -600) 146156) ((-225 . -600) 145980) ((-770 . -863) 145959) ((-429 . -387) 145943) ((-563 . -19) 145927) ((-1066 . -1124) 145896) ((-1086 . -829) NIL) ((-1086 . -827) 145848) ((-563 . -565) 145825) ((-1117 . -572) 145792) ((-1095 . -572) 145774) ((-61 . -371) T) ((-1093 . -974) 145709) ((-1086 . -974) 145675) ((-643 . -37) 145625) ((-451 . -260) 145610) ((-681 . -353) 145594) ((-610 . -990) T) ((-1162 . -939) 145560) ((-1141 . -939) 145526) ((-995 . -1107) 145501) ((-817 . -573) 145304) ((-817 . -572) 145286) ((-1104 . -471) 145223) ((-394 . -958) 145202) ((-47 . -282) 145189) ((-995 . -105) 145135) ((-462 . -471) 145072) ((-498 . -1130) T) ((-1061 . -471) 145043) ((-1086 . -312) 144995) ((-1086 . -353) 144947) ((-413 . -99) T) ((-1014 . -990) T) ((-226 . -33) T) ((-225 . -33) T) ((-735 . -990) T) ((-733 . -990) T) ((-681 . -843) 144924) ((-429 . -990) T) ((-58 . -471) 144908) ((-971 . -989) 144882) ((-497 . -471) 144866) ((-495 . -471) 144850) ((-477 . -471) 144834) ((-476 . -471) 144818) ((-694 . -863) 144797) ((-222 . -493) 144730) ((-971 . -109) 144697) ((-1094 . -843) 144610) ((-622 . -1037) T) ((-1093 . -843) 144516) ((-1086 . -843) 144349) ((-1049 . -843) 144333) ((-330 . -1071) T) ((-295 . -989) 144315) ((-226 . -744) 144294) ((-226 . -747) 144245) ((-226 . -746) 144224) ((-225 . -744) 144203) ((-225 . -747) 144154) ((-225 . -746) 144133) ((-49 . -990) T) ((-226 . -676) 144060) ((-225 . -676) 143987) ((-1125 . -1025) T) ((-622 . -23) T) ((-545 . -990) T) ((-496 . -990) T) ((-355 . -989) 143952) ((-295 . -109) 143927) ((-72 . -359) T) ((-72 . -371) T) ((-960 . -37) 143864) ((-643 . -376) 143846) ((-95 . -99) T) ((-661 . -1025) T) ((-940 . -135) 143818) ((-355 . -109) 143767) ((-292 . -1134) 143746) ((-451 . -939) 143712) ((-330 . -37) 143677) ((-39 . -346) 143649) ((-940 . -137) 143621) ((-125 . -123) 143605) ((-119 . -123) 143589) ((-787 . -989) 143559) ((-786 . -21) 143511) ((-780 . -989) 143495) ((-786 . -25) 143447) ((-292 . -524) 143398) ((-532 . -781) T) ((-217 . -1130) T) ((-787 . -109) 143363) ((-780 . -109) 143342) ((-1162 . -572) 143324) ((-1141 . -572) 143306) ((-1141 . -573) 142979) ((-1092 . -852) 142958) ((-1048 . -852) 142937) ((-47 . -37) 142902) ((-1199 . -1037) T) ((-563 . -572) 142841) ((-563 . -573) 142802) ((-1197 . -1037) T) ((-217 . -974) 142631) ((-1092 . -600) 142556) ((-1048 . -600) 142481) ((-668 . -572) 142463) ((-804 . -600) 142437) ((-1199 . -23) T) ((-1197 . -23) T) ((-1090 . -208) 142421) ((-971 . -983) T) ((-1104 . -260) 142400) ((-156 . -344) 142351) ((-941 . -1130) T) ((-43 . -23) T) ((-462 . -260) 142330) ((-549 . -1025) T) ((-1066 . -1034) 142299) ((-1029 . -1028) 142251) ((-366 . -21) T) ((-366 . -25) T) ((-142 . -1037) T) ((-1205 . -99) T) ((-1125 . -667) 142148) ((-941 . -827) 142130) ((-941 . -829) 142112) ((-693 . -99) T) ((-579 . -208) 142096) ((-577 . -21) T) ((-263 . -524) T) ((-577 . -25) T) ((-1111 . -1025) T) ((-661 . -667) 142061) ((-217 . -353) 142031) ((-941 . -974) 141991) ((-355 . -983) T) ((-200 . -990) T) ((-115 . -208) 141968) ((-58 . -260) 141945) ((-142 . -23) T) ((-495 . -260) 141922) ((-301 . -493) 141855) ((-476 . -260) 141832) ((-355 . -220) T) ((-355 . -210) T) ((-787 . -983) T) ((-780 . -983) T) ((-662 . -892) 141801) ((-650 . -800) T) ((-451 . -572) 141783) ((-780 . -210) 141762) ((-128 . -800) T) ((-610 . -1025) T) ((-1104 . -565) 141741) ((-518 . -1107) 141720) ((-310 . -1025) T) ((-292 . -339) 141699) ((-383 . -137) 141678) ((-383 . -135) 141657) ((-906 . -1037) 141556) ((-217 . -843) 141489) ((-768 . -1037) 141400) ((-606 . -802) 141384) ((-462 . -565) 141363) ((-518 . -105) 141313) ((-941 . -353) 141295) ((-941 . -312) 141277) ((-93 . -1025) T) ((-906 . -23) 141088) ((-461 . -21) T) ((-461 . -25) T) ((-768 . -23) 140959) ((-1096 . -572) 140941) ((-58 . -19) 140925) ((-1096 . -573) 140847) ((-1092 . -676) T) ((-1048 . -676) T) ((-495 . -19) 140831) ((-476 . -19) 140815) ((-58 . -565) 140792) ((-1014 . -1025) T) ((-844 . -99) 140770) ((-804 . -676) T) ((-735 . -1025) T) ((-495 . -565) 140747) ((-476 . -565) 140724) ((-733 . -1025) T) ((-733 . -997) 140691) ((-436 . -1025) T) ((-429 . -1025) T) ((-549 . -667) 140666) ((-601 . -1025) T) ((-1170 . -46) 140643) ((-1164 . -99) T) ((-941 . -843) NIL) ((-1163 . -46) 140613) ((-582 . -1037) T) ((-622 . -126) T) ((-1142 . -46) 140590) ((-1136 . -46) 140567) ((-1125 . -159) 140518) ((-1093 . -280) 140497) ((-1009 . -1134) 140448) ((-250 . -1025) T) ((-84 . -416) T) ((-84 . -371) T) ((-1086 . -280) 140427) ((-1009 . -524) 140378) ((-49 . -1025) T) ((-730 . -572) 140360) ((-661 . -159) T) ((-557 . -46) 140337) ((-202 . -600) 140302) ((-545 . -1025) T) ((-496 . -1025) T) ((-335 . -1134) T) ((-329 . -1134) T) ((-319 . -1134) T) ((-469 . -773) T) ((-469 . -863) T) ((-292 . -1037) T) ((-106 . -1134) T) ((-664 . -989) 140272) ((-313 . -800) T) ((-195 . -863) T) ((-195 . -773) T) ((-693 . -282) 140259) ((-335 . -524) T) ((-329 . -524) T) ((-319 . -524) T) ((-106 . -524) T) ((-610 . -667) 140229) ((-1086 . -958) NIL) ((-292 . -23) T) ((-66 . -1130) T) ((-937 . -572) 140196) ((-643 . -208) 140178) ((-664 . -109) 140143) ((-598 . -33) T) ((-222 . -471) 140127) ((-1027 . -1023) 140111) ((-158 . -1025) T) ((-895 . -852) 140090) ((-464 . -852) 140069) ((-1201 . -21) T) ((-1201 . -25) T) ((-1199 . -126) T) ((-1197 . -126) T) ((-1014 . -667) 139918) ((-994 . -600) 139905) ((-895 . -600) 139830) ((-735 . -667) 139659) ((-508 . -572) 139641) ((-508 . -573) 139622) ((-733 . -667) 139471) ((-1190 . -99) T) ((-1006 . -99) T) ((-357 . -25) T) ((-357 . -21) T) ((-464 . -600) 139396) ((-436 . -667) 139367) ((-429 . -667) 139216) ((-925 . -99) T) ((-687 . -99) T) ((-504 . -25) T) ((-1142 . -1130) 139195) ((-1174 . -572) 139161) ((-1142 . -829) NIL) ((-1142 . -827) 139113) ((-131 . -99) T) ((-43 . -126) T) ((-1104 . -573) NIL) ((-1104 . -572) 139095) ((-1062 . -1046) 139040) ((-317 . -990) T) ((-616 . -572) 139022) ((-263 . -1037) T) ((-331 . -572) 139004) ((-328 . -572) 138986) ((-318 . -572) 138968) ((-239 . -573) 138716) ((-239 . -572) 138698) ((-224 . -572) 138680) ((-224 . -573) 138541) ((-980 . -1124) 138470) ((-844 . -282) 138408) ((-1205 . -1071) T) ((-1163 . -974) 138343) ((-1142 . -974) 138309) ((-1125 . -493) 138276) ((-1061 . -572) 138258) ((-772 . -676) T) ((-563 . -262) 138235) ((-545 . -667) 138200) ((-462 . -573) NIL) ((-462 . -572) 138182) ((-496 . -667) 138127) ((-288 . -99) T) ((-285 . -99) T) ((-263 . -23) T) ((-142 . -126) T) ((-853 . -572) 138109) ((-362 . -676) T) ((-817 . -989) 138061) ((-853 . -573) 138043) ((-817 . -109) 137974) ((-130 . -99) T) ((-112 . -99) T) ((-662 . -1154) 137958) ((-664 . -983) T) ((-693 . -37) 137882) ((-643 . -325) NIL) ((-497 . -572) 137849) ((-355 . -748) T) ((-200 . -1025) T) ((-355 . -745) T) ((-202 . -747) T) ((-202 . -744) T) ((-58 . -573) 137810) ((-58 . -572) 137749) ((-202 . -676) T) ((-495 . -573) 137710) ((-495 . -572) 137649) ((-477 . -572) 137616) ((-476 . -573) 137577) ((-476 . -572) 137516) ((-1009 . -339) 137467) ((-39 . -387) 137444) ((-76 . -1130) T) ((-816 . -852) NIL) ((-335 . -303) 137428) ((-335 . -339) T) ((-329 . -303) 137412) ((-329 . -339) T) ((-319 . -303) 137396) ((-319 . -339) T) ((-288 . -258) 137375) ((-106 . -339) T) ((-69 . -1130) T) ((-1142 . -312) 137327) ((-816 . -600) 137272) ((-1142 . -353) 137224) ((-906 . -126) 137079) ((-768 . -126) 136950) ((-900 . -603) 136934) ((-1014 . -159) 136845) ((-900 . -349) 136829) ((-994 . -747) T) ((-994 . -744) T) ((-735 . -159) 136720) ((-733 . -159) 136631) ((-769 . -46) 136593) ((-994 . -676) T) ((-301 . -471) 136577) ((-895 . -676) T) ((-429 . -159) 136488) ((-222 . -260) 136465) ((-464 . -676) T) ((-1190 . -282) 136403) ((-1170 . -843) 136316) ((-1163 . -843) 136222) ((-1162 . -989) 136057) ((-1142 . -843) 135890) ((-1141 . -989) 135698) ((-1136 . -843) 135611) ((-1125 . -264) 135590) ((-1066 . -141) 135574) ((-1004 . -99) T) ((-870 . -897) T) ((-74 . -1130) T) ((-687 . -282) 135512) ((-156 . -852) 135465) ((-616 . -358) 135437) ((-30 . -897) T) ((-1 . -572) 135419) ((-1043 . -99) T) ((-1009 . -23) T) ((-49 . -576) 135403) ((-1009 . -1037) T) ((-940 . -385) 135375) ((-557 . -843) 135288) ((-414 . -99) T) ((-131 . -282) NIL) ((-817 . -983) T) ((-786 . -800) 135267) ((-80 . -1130) T) ((-661 . -264) T) ((-39 . -990) T) ((-545 . -159) T) ((-496 . -159) T) ((-490 . -572) 135249) ((-156 . -600) 135159) ((-486 . -572) 135141) ((-327 . -137) 135123) ((-327 . -135) T) ((-335 . -1037) T) ((-329 . -1037) T) ((-319 . -1037) T) ((-941 . -280) T) ((-857 . -280) T) ((-817 . -220) T) ((-106 . -1037) T) ((-817 . -210) 135102) ((-693 . -376) 135086) ((-1162 . -109) 134900) ((-1141 . -109) 134682) ((-222 . -1166) 134666) ((-532 . -798) T) ((-335 . -23) T) ((-330 . -325) T) ((-288 . -282) 134653) ((-285 . -282) 134549) ((-329 . -23) T) ((-292 . -126) T) ((-319 . -23) T) ((-941 . -958) T) ((-106 . -23) T) ((-222 . -565) 134526) ((-1164 . -37) 134383) ((-1151 . -852) 134362) ((-110 . -1025) T) ((-972 . -99) T) ((-1151 . -600) 134287) ((-816 . -747) NIL) ((-805 . -600) 134261) ((-816 . -744) NIL) ((-769 . -829) NIL) ((-816 . -676) T) ((-1014 . -493) 134124) ((-735 . -493) 134070) ((-733 . -493) 134022) ((-539 . -600) 134009) ((-769 . -974) 133839) ((-429 . -493) 133777) ((-364 . -365) T) ((-59 . -1130) T) ((-577 . -800) 133756) ((-480 . -613) T) ((-1066 . -914) 133725) ((-940 . -427) T) ((-648 . -798) T) ((-489 . -745) T) ((-451 . -989) 133560) ((-317 . -1025) T) ((-285 . -1071) NIL) ((-263 . -126) T) ((-370 . -1025) T) ((-643 . -346) 133527) ((-815 . -990) T) ((-200 . -576) 133504) ((-301 . -260) 133481) ((-451 . -109) 133295) ((-1162 . -983) T) ((-1141 . -983) T) ((-769 . -353) 133279) ((-156 . -676) T) ((-606 . -99) T) ((-1162 . -220) 133258) ((-1162 . -210) 133210) ((-1141 . -210) 133115) ((-1141 . -220) 133094) ((-940 . -378) NIL) ((-622 . -594) 133042) ((-288 . -37) 132952) ((-285 . -37) 132881) ((-68 . -572) 132863) ((-292 . -473) 132829) ((-1104 . -262) 132808) ((-1038 . -1037) 132719) ((-82 . -1130) T) ((-60 . -572) 132701) ((-462 . -262) 132680) ((-1192 . -974) 132657) ((-1084 . -1025) T) ((-1038 . -23) 132528) ((-769 . -843) 132464) ((-1151 . -676) T) ((-1027 . -1130) T) ((-1014 . -264) 132395) ((-836 . -99) T) ((-735 . -264) 132306) ((-301 . -19) 132290) ((-58 . -262) 132267) ((-733 . -264) 132198) ((-805 . -676) T) ((-115 . -798) NIL) ((-495 . -262) 132175) ((-301 . -565) 132152) ((-476 . -262) 132129) ((-429 . -264) 132060) ((-972 . -282) 131911) ((-539 . -676) T) ((-614 . -572) 131893) ((-222 . -573) 131854) ((-222 . -572) 131793) ((-1067 . -33) T) ((-886 . -1130) T) ((-317 . -667) 131738) ((-622 . -25) T) ((-622 . -21) T) ((-451 . -983) T) ((-590 . -393) 131703) ((-566 . -393) 131668) ((-1043 . -1071) T) ((-545 . -264) T) ((-496 . -264) T) ((-1163 . -280) 131647) ((-451 . -210) 131599) ((-451 . -220) 131578) ((-1142 . -280) 131557) ((-1009 . -126) T) ((-817 . -748) 131536) ((-134 . -99) T) ((-39 . -1025) T) ((-817 . -745) 131515) ((-598 . -947) 131499) ((-544 . -990) T) ((-532 . -990) T) ((-475 . -990) T) ((-383 . -427) T) ((-335 . -126) T) ((-288 . -376) 131483) ((-285 . -376) 131444) ((-329 . -126) T) ((-319 . -126) T) ((-1142 . -958) NIL) ((-1020 . -572) 131411) ((-106 . -126) T) ((-1043 . -37) 131398) ((-864 . -1025) T) ((-723 . -1025) T) ((-623 . -1025) T) ((-650 . -137) T) ((-1090 . -387) 131382) ((-114 . -137) T) ((-1199 . -21) T) ((-1199 . -25) T) ((-1197 . -21) T) ((-1197 . -25) T) ((-616 . -989) 131366) ((-504 . -800) T) ((-480 . -800) T) ((-331 . -989) 131318) ((-328 . -989) 131270) ((-318 . -989) 131222) ((-226 . -1130) T) ((-225 . -1130) T) ((-239 . -989) 131065) ((-224 . -989) 130908) ((-616 . -109) 130887) ((-331 . -109) 130818) ((-328 . -109) 130749) ((-318 . -109) 130680) ((-239 . -109) 130502) ((-224 . -109) 130324) ((-770 . -1134) 130303) ((-579 . -387) 130287) ((-43 . -21) T) ((-43 . -25) T) ((-768 . -594) 130195) ((-770 . -524) 130174) ((-226 . -974) 130003) ((-225 . -974) 129832) ((-124 . -117) 129816) ((-853 . -989) 129781) ((-648 . -990) T) ((-662 . -99) T) ((-317 . -159) T) ((-142 . -21) T) ((-142 . -25) T) ((-87 . -572) 129763) ((-853 . -109) 129712) ((-39 . -667) 129657) ((-815 . -1025) T) ((-301 . -573) 129618) ((-301 . -572) 129557) ((-1141 . -745) 129510) ((-1090 . -990) T) ((-1141 . -748) 129463) ((-226 . -353) 129433) ((-225 . -353) 129403) ((-606 . -37) 129373) ((-567 . -33) T) ((-465 . -1037) 129284) ((-452 . -33) T) ((-1038 . -126) 129155) ((-1098 . -524) 129134) ((-906 . -25) 128945) ((-818 . -572) 128927) ((-906 . -21) 128882) ((-768 . -21) 128793) ((-768 . -25) 128645) ((-1092 . -46) 128622) ((-579 . -990) T) ((-1048 . -46) 128594) ((-437 . -1025) T) ((-331 . -983) T) ((-328 . -983) T) ((-465 . -23) 128465) ((-318 . -983) T) ((-239 . -983) T) ((-224 . -983) T) ((-971 . -600) 128439) ((-115 . -990) T) ((-900 . -33) T) ((-694 . -1134) 128418) ((-331 . -210) 128397) ((-331 . -220) T) ((-328 . -210) 128376) ((-224 . -300) 128333) ((-328 . -220) T) ((-318 . -210) 128312) ((-318 . -220) T) ((-239 . -300) 128284) ((-239 . -210) 128263) ((-1076 . -141) 128247) ((-694 . -524) 128158) ((-226 . -843) 128091) ((-225 . -843) 128024) ((-1011 . -800) T) ((-1145 . -1130) T) ((-390 . -1037) T) ((-987 . -23) T) ((-853 . -983) T) ((-295 . -600) 128006) ((-960 . -798) T) ((-1125 . -939) 127972) ((-1093 . -863) 127951) ((-1086 . -863) 127930) ((-853 . -220) T) ((-770 . -339) 127909) ((-361 . -23) T) ((-125 . -1025) 127887) ((-119 . -1025) 127865) ((-853 . -210) T) ((-1086 . -773) NIL) ((-355 . -600) 127830) ((-815 . -667) 127817) ((-980 . -141) 127782) ((-39 . -159) T) ((-643 . -387) 127764) ((-662 . -282) 127751) ((-787 . -600) 127711) ((-780 . -600) 127685) ((-292 . -25) T) ((-292 . -21) T) ((-610 . -260) 127664) ((-544 . -1025) T) ((-532 . -1025) T) ((-475 . -1025) T) ((-222 . -262) 127641) ((-285 . -208) 127602) ((-1092 . -829) NIL) ((-1048 . -829) 127461) ((-1092 . -974) 127343) ((-1048 . -974) 127228) ((-804 . -974) 127126) ((-735 . -260) 127053) ((-770 . -1037) T) ((-971 . -676) T) ((-563 . -603) 127037) ((-980 . -914) 126966) ((-936 . -99) T) ((-770 . -23) T) ((-662 . -1071) 126944) ((-643 . -990) T) ((-563 . -349) 126928) ((-327 . -427) T) ((-317 . -264) T) ((-1179 . -1025) T) ((-438 . -99) T) ((-375 . -99) T) ((-263 . -21) T) ((-263 . -25) T) ((-337 . -676) T) ((-660 . -1025) T) ((-648 . -1025) T) ((-337 . -450) T) ((-1125 . -572) 126910) ((-1092 . -353) 126894) ((-1048 . -353) 126878) ((-960 . -387) 126840) ((-131 . -206) 126822) ((-355 . -747) T) ((-355 . -744) T) ((-815 . -159) T) ((-355 . -676) T) ((-661 . -572) 126804) ((-662 . -37) 126633) ((-1178 . -1176) 126617) ((-327 . -378) T) ((-1178 . -1025) 126567) ((-544 . -667) 126554) ((-532 . -667) 126541) ((-475 . -667) 126506) ((-288 . -584) 126485) ((-787 . -676) T) ((-780 . -676) T) ((-1090 . -1025) T) ((-598 . -1130) T) ((-1009 . -594) 126433) ((-1092 . -843) 126376) ((-1048 . -843) 126360) ((-614 . -989) 126344) ((-106 . -594) 126326) ((-465 . -126) 126197) ((-1098 . -1037) T) ((-895 . -46) 126166) ((-694 . -1037) T) ((-579 . -1025) T) ((-614 . -109) 126145) ((-301 . -262) 126122) ((-464 . -46) 126079) ((-1098 . -23) T) ((-115 . -1025) T) ((-100 . -99) 126057) ((-694 . -23) T) ((-1189 . -1037) T) ((-987 . -126) T) ((-960 . -990) T) ((-772 . -974) 126041) ((-940 . -674) 126013) ((-1189 . -23) T) ((-648 . -667) 125978) ((-549 . -572) 125960) ((-362 . -974) 125944) ((-330 . -990) T) ((-361 . -126) T) ((-297 . -974) 125928) ((-202 . -829) 125910) ((-941 . -863) T) ((-90 . -33) T) ((-941 . -773) T) ((-857 . -863) T) ((-469 . -1134) T) ((-1111 . -572) 125892) ((-1030 . -1025) T) ((-195 . -1134) T) ((-936 . -282) 125857) ((-202 . -974) 125817) ((-39 . -264) T) ((-1009 . -21) T) ((-1009 . -25) T) ((-1043 . -781) T) ((-469 . -524) T) ((-335 . -25) T) ((-195 . -524) T) ((-335 . -21) T) ((-329 . -25) T) ((-329 . -21) T) ((-664 . -600) 125777) ((-319 . -25) T) ((-319 . -21) T) ((-106 . -25) T) ((-106 . -21) T) ((-47 . -990) T) ((-1090 . -667) 125606) ((-544 . -159) T) ((-532 . -159) T) ((-475 . -159) T) ((-610 . -572) 125588) ((-687 . -686) 125572) ((-310 . -572) 125554) ((-67 . -359) T) ((-67 . -371) T) ((-1027 . -105) 125538) ((-994 . -829) 125520) ((-895 . -829) 125445) ((-605 . -1037) T) ((-579 . -667) 125432) ((-464 . -829) NIL) ((-1066 . -99) T) ((-994 . -974) 125414) ((-93 . -572) 125396) ((-461 . -137) T) ((-895 . -974) 125278) ((-115 . -667) 125223) ((-605 . -23) T) ((-464 . -974) 125101) ((-1014 . -573) NIL) ((-1014 . -572) 125083) ((-735 . -573) NIL) ((-735 . -572) 125044) ((-733 . -573) 124679) ((-733 . -572) 124593) ((-1038 . -594) 124501) ((-436 . -572) 124483) ((-429 . -572) 124465) ((-429 . -573) 124326) ((-972 . -206) 124272) ((-124 . -33) T) ((-770 . -126) T) ((-817 . -852) 124251) ((-601 . -572) 124233) ((-331 . -1196) 124217) ((-328 . -1196) 124201) ((-318 . -1196) 124185) ((-125 . -493) 124118) ((-119 . -493) 124051) ((-490 . -745) T) ((-490 . -748) T) ((-489 . -747) T) ((-100 . -282) 123989) ((-199 . -99) 123967) ((-643 . -1025) T) ((-648 . -159) T) ((-817 . -600) 123919) ((-64 . -360) T) ((-250 . -572) 123901) ((-64 . -371) T) ((-895 . -353) 123885) ((-815 . -264) T) ((-49 . -572) 123867) ((-936 . -37) 123815) ((-545 . -572) 123797) ((-464 . -353) 123781) ((-545 . -573) 123763) ((-496 . -572) 123745) ((-853 . -1196) 123732) ((-816 . -1130) T) ((-650 . -427) T) ((-475 . -493) 123698) ((-469 . -339) T) ((-331 . -344) 123677) ((-328 . -344) 123656) ((-318 . -344) 123635) ((-195 . -339) T) ((-664 . -676) T) ((-114 . -427) T) ((-1090 . -159) 123526) ((-1200 . -1191) 123510) ((-816 . -827) 123487) ((-816 . -829) NIL) ((-906 . -800) 123386) ((-768 . -800) 123337) ((-606 . -608) 123321) ((-1117 . -33) T) ((-158 . -572) 123303) ((-1038 . -21) 123214) ((-1038 . -25) 123066) ((-816 . -974) 123043) ((-895 . -843) 123024) ((-1151 . -46) 123001) ((-853 . -344) T) ((-58 . -603) 122985) ((-495 . -603) 122969) ((-464 . -843) 122946) ((-70 . -416) T) ((-70 . -371) T) ((-476 . -603) 122930) ((-58 . -349) 122914) ((-579 . -159) T) ((-495 . -349) 122898) ((-476 . -349) 122882) ((-780 . -658) 122866) ((-1092 . -280) 122845) ((-1098 . -126) T) ((-115 . -159) T) ((-694 . -126) T) ((-1066 . -282) 122783) ((-156 . -1130) T) ((-590 . -696) 122767) ((-566 . -696) 122751) ((-1189 . -126) T) ((-1163 . -863) 122730) ((-1142 . -863) 122709) ((-1142 . -773) NIL) ((-643 . -667) 122659) ((-1141 . -852) 122612) ((-960 . -1025) T) ((-816 . -353) 122589) ((-816 . -312) 122566) ((-848 . -1037) T) ((-156 . -827) 122550) ((-156 . -829) 122475) ((-469 . -1037) T) ((-330 . -1025) T) ((-195 . -1037) T) ((-75 . -416) T) ((-75 . -371) T) ((-156 . -974) 122373) ((-292 . -800) T) ((-1178 . -493) 122306) ((-1162 . -600) 122203) ((-1141 . -600) 122073) ((-817 . -747) 122052) ((-817 . -744) 122031) ((-817 . -676) T) ((-469 . -23) T) ((-200 . -572) 122013) ((-160 . -427) T) ((-199 . -282) 121951) ((-85 . -416) T) ((-85 . -371) T) ((-195 . -23) T) ((-693 . -387) 121935) ((-1201 . -1194) 121914) ((-544 . -264) T) ((-532 . -264) T) ((-627 . -974) 121898) ((-475 . -264) T) ((-1090 . -493) 121844) ((-130 . -447) 121799) ((-47 . -1025) T) ((-662 . -208) 121783) ((-816 . -843) NIL) ((-1151 . -829) NIL) ((-832 . -99) T) ((-828 . -99) T) ((-364 . -1025) T) ((-156 . -353) 121767) ((-156 . -312) 121751) ((-1151 . -974) 121633) ((-805 . -974) 121531) ((-1062 . -99) T) ((-605 . -126) T) ((-115 . -493) 121394) ((-614 . -745) 121373) ((-614 . -748) 121352) ((-539 . -974) 121334) ((-267 . -1186) 121304) ((-811 . -99) T) ((-905 . -524) 121283) ((-1125 . -989) 121166) ((-465 . -594) 121074) ((-847 . -1025) T) ((-960 . -667) 121011) ((-661 . -989) 120976) ((-563 . -33) T) ((-1067 . -1130) T) ((-1125 . -109) 120838) ((-451 . -600) 120735) ((-330 . -667) 120680) ((-156 . -843) 120639) ((-648 . -264) T) ((-693 . -990) T) ((-643 . -159) T) ((-661 . -109) 120588) ((-1205 . -990) T) ((-1151 . -353) 120572) ((-394 . -1134) 120550) ((-285 . -798) NIL) ((-394 . -524) T) ((-202 . -280) T) ((-1141 . -744) 120503) ((-1141 . -747) 120456) ((-1162 . -676) T) ((-1141 . -676) T) ((-47 . -667) 120421) ((-1090 . -264) 120332) ((-202 . -958) T) ((-327 . -1186) 120309) ((-1164 . -387) 120275) ((-668 . -676) T) ((-1151 . -843) 120218) ((-110 . -572) 120200) ((-110 . -573) 120182) ((-668 . -450) T) ((-465 . -21) 120093) ((-125 . -471) 120077) ((-119 . -471) 120061) ((-465 . -25) 119913) ((-579 . -264) T) ((-549 . -989) 119888) ((-413 . -1025) T) ((-994 . -280) T) ((-115 . -264) T) ((-1029 . -99) T) ((-940 . -99) T) ((-549 . -109) 119849) ((-1062 . -282) 119787) ((-1125 . -983) T) ((-994 . -958) T) ((-65 . -1130) T) ((-987 . -25) T) ((-987 . -21) T) ((-661 . -983) T) ((-361 . -21) T) ((-361 . -25) T) ((-643 . -493) NIL) ((-960 . -159) T) ((-661 . -220) T) ((-994 . -517) T) ((-482 . -99) T) ((-330 . -159) T) ((-317 . -572) 119769) ((-370 . -572) 119751) ((-451 . -676) T) ((-1043 . -798) T) ((-835 . -974) 119719) ((-106 . -800) T) ((-610 . -989) 119703) ((-469 . -126) T) ((-1164 . -990) T) ((-195 . -126) T) ((-1076 . -99) 119681) ((-95 . -1025) T) ((-222 . -618) 119665) ((-222 . -603) 119649) ((-610 . -109) 119628) ((-288 . -387) 119612) ((-222 . -349) 119596) ((-1079 . -212) 119543) ((-936 . -208) 119527) ((-73 . -1130) T) ((-47 . -159) T) ((-650 . -363) T) ((-650 . -133) T) ((-1200 . -99) T) ((-1014 . -989) 119370) ((-239 . -852) 119349) ((-224 . -852) 119328) ((-735 . -989) 119151) ((-733 . -989) 118994) ((-567 . -1130) T) ((-1084 . -572) 118976) ((-1014 . -109) 118798) ((-980 . -99) T) ((-452 . -1130) T) ((-436 . -989) 118769) ((-429 . -989) 118612) ((-616 . -600) 118596) ((-816 . -280) T) ((-735 . -109) 118398) ((-733 . -109) 118220) ((-331 . -600) 118172) ((-328 . -600) 118124) ((-318 . -600) 118076) ((-239 . -600) 118001) ((-224 . -600) 117926) ((-1078 . -800) T) ((-436 . -109) 117887) ((-429 . -109) 117709) ((-1015 . -974) 117693) ((-1005 . -974) 117670) ((-937 . -33) T) ((-900 . -1130) T) ((-124 . -947) 117654) ((-905 . -1037) T) ((-816 . -958) NIL) ((-685 . -1037) T) ((-665 . -1037) T) ((-1178 . -471) 117638) ((-1062 . -37) 117598) ((-905 . -23) T) ((-853 . -600) 117563) ((-793 . -99) T) ((-770 . -21) T) ((-770 . -25) T) ((-685 . -23) T) ((-665 . -23) T) ((-108 . -613) T) ((-730 . -676) T) ((-545 . -989) 117528) ((-496 . -989) 117473) ((-204 . -56) 117431) ((-428 . -23) T) ((-383 . -99) T) ((-238 . -99) T) ((-730 . -450) T) ((-643 . -264) T) ((-811 . -37) 117401) ((-545 . -109) 117350) ((-496 . -109) 117267) ((-694 . -594) 117215) ((-394 . -1037) T) ((-288 . -990) 117106) ((-285 . -990) T) ((-693 . -1025) T) ((-610 . -983) T) ((-1205 . -1025) T) ((-156 . -280) 117037) ((-394 . -23) T) ((-39 . -572) 117019) ((-39 . -573) 117003) ((-106 . -930) 116985) ((-114 . -814) 116969) ((-47 . -493) 116935) ((-1117 . -947) 116919) ((-1104 . -33) T) ((-864 . -572) 116901) ((-1038 . -800) 116852) ((-723 . -572) 116834) ((-623 . -572) 116816) ((-1076 . -282) 116754) ((-462 . -33) T) ((-1018 . -1130) T) ((-461 . -427) T) ((-1014 . -983) T) ((-1061 . -33) T) ((-735 . -983) T) ((-733 . -983) T) ((-599 . -212) 116738) ((-587 . -212) 116684) ((-1151 . -280) 116663) ((-1014 . -300) 116624) ((-429 . -983) T) ((-1098 . -21) T) ((-1014 . -210) 116603) ((-735 . -300) 116580) ((-735 . -210) T) ((-733 . -300) 116552) ((-301 . -603) 116536) ((-681 . -1134) 116515) ((-1098 . -25) T) ((-58 . -33) T) ((-497 . -33) T) ((-495 . -33) T) ((-429 . -300) 116494) ((-301 . -349) 116478) ((-477 . -33) T) ((-476 . -33) T) ((-940 . -1071) NIL) ((-590 . -99) T) ((-566 . -99) T) ((-681 . -524) 116409) ((-331 . -676) T) ((-328 . -676) T) ((-318 . -676) T) ((-239 . -676) T) ((-224 . -676) T) ((-694 . -25) T) ((-694 . -21) T) ((-980 . -282) 116317) ((-844 . -1025) 116295) ((-49 . -983) T) ((-1189 . -21) T) ((-1189 . -25) T) ((-1094 . -524) 116274) ((-1093 . -1134) 116253) ((-545 . -983) T) ((-496 . -983) T) ((-1086 . -1134) 116232) ((-337 . -974) 116216) ((-295 . -974) 116200) ((-960 . -264) T) ((-355 . -829) 116182) ((-1093 . -524) 116133) ((-1086 . -524) 116084) ((-940 . -37) 116029) ((-752 . -1037) T) ((-853 . -676) T) ((-545 . -220) T) ((-545 . -210) T) ((-496 . -210) T) ((-496 . -220) T) ((-1049 . -524) 116008) ((-330 . -264) T) ((-693 . -667) 115932) ((-599 . -644) 115916) ((-355 . -974) 115876) ((-1043 . -990) T) ((-100 . -123) 115860) ((-752 . -23) T) ((-1199 . -1194) 115836) ((-1178 . -260) 115813) ((-383 . -282) 115778) ((-1197 . -1194) 115757) ((-1164 . -1025) T) ((-1090 . -260) 115684) ((-815 . -572) 115666) ((-787 . -974) 115635) ((-182 . -740) T) ((-181 . -740) T) ((-180 . -740) T) ((-179 . -740) T) ((-178 . -740) T) ((-177 . -740) T) ((-176 . -740) T) ((-175 . -740) T) ((-174 . -740) T) ((-173 . -740) T) ((-475 . -939) T) ((-249 . -789) T) ((-248 . -789) T) ((-247 . -789) T) ((-246 . -789) T) ((-47 . -264) T) ((-245 . -789) T) ((-244 . -789) T) ((-243 . -789) T) ((-172 . -740) T) ((-571 . -800) T) ((-606 . -387) 115619) ((-108 . -800) T) ((-605 . -21) T) ((-605 . -25) T) ((-437 . -572) 115601) ((-1200 . -37) 115571) ((-115 . -260) 115501) ((-1178 . -19) 115485) ((-1178 . -565) 115462) ((-1190 . -1025) T) ((-1006 . -1025) T) ((-925 . -1025) T) ((-905 . -126) T) ((-687 . -1025) T) ((-685 . -126) T) ((-665 . -126) T) ((-490 . -746) T) ((-383 . -1071) 115440) ((-428 . -126) T) ((-490 . -747) T) ((-200 . -983) T) ((-267 . -99) 115223) ((-131 . -1025) T) ((-648 . -939) T) ((-90 . -1130) T) ((-125 . -572) 115190) ((-119 . -572) 115157) ((-693 . -159) T) ((-1205 . -159) T) ((-1093 . -339) 115136) ((-1086 . -339) 115115) ((-288 . -1025) T) ((-394 . -126) T) ((-285 . -1025) T) ((-383 . -37) 115067) ((-1056 . -99) T) ((-1164 . -667) 114924) ((-606 . -990) T) ((-292 . -135) 114903) ((-292 . -137) 114882) ((-130 . -1025) T) ((-112 . -1025) T) ((-807 . -99) T) ((-544 . -572) 114864) ((-532 . -573) 114763) ((-532 . -572) 114745) ((-475 . -572) 114727) ((-475 . -573) 114672) ((-467 . -23) T) ((-465 . -800) 114623) ((-469 . -594) 114605) ((-195 . -594) 114587) ((-202 . -380) T) ((-614 . -600) 114571) ((-1092 . -863) 114550) ((-681 . -1037) T) ((-327 . -99) T) ((-771 . -800) T) ((-681 . -23) T) ((-317 . -989) 114495) ((-1078 . -1077) T) ((-1067 . -105) 114479) ((-1094 . -1037) T) ((-1093 . -1037) T) ((-494 . -974) 114463) ((-1086 . -1037) T) ((-1049 . -1037) T) ((-317 . -109) 114380) ((-941 . -1134) T) ((-124 . -1130) T) ((-857 . -1134) T) ((-643 . -260) NIL) ((-1179 . -572) 114362) ((-1094 . -23) T) ((-1093 . -23) T) ((-1086 . -23) T) ((-941 . -524) T) ((-1062 . -208) 114346) ((-857 . -524) T) ((-1049 . -23) T) ((-1004 . -1025) T) ((-693 . -493) 114312) ((-752 . -126) T) ((-660 . -572) 114294) ((-288 . -667) 114204) ((-285 . -667) 114133) ((-648 . -572) 114115) ((-648 . -573) 114060) ((-383 . -376) 114044) ((-414 . -1025) T) ((-469 . -25) T) ((-469 . -21) T) ((-1043 . -1025) T) ((-195 . -25) T) ((-195 . -21) T) ((-662 . -387) 114028) ((-664 . -974) 113997) ((-1178 . -572) 113936) ((-1178 . -573) 113897) ((-1164 . -159) T) ((-222 . -33) T) ((-1090 . -573) NIL) ((-1090 . -572) 113879) ((-869 . -912) T) ((-1117 . -1130) T) ((-614 . -744) 113858) ((-614 . -747) 113837) ((-374 . -371) T) ((-501 . -99) 113815) ((-972 . -1025) T) ((-199 . -932) 113799) ((-484 . -99) T) ((-579 . -572) 113781) ((-44 . -800) NIL) ((-579 . -573) 113758) ((-972 . -569) 113733) ((-844 . -493) 113666) ((-317 . -983) T) ((-115 . -573) NIL) ((-115 . -572) 113648) ((-817 . -1130) T) ((-622 . -393) 113632) ((-622 . -1046) 113577) ((-480 . -141) 113559) ((-317 . -210) T) ((-317 . -220) T) ((-39 . -989) 113504) ((-817 . -827) 113488) ((-817 . -829) 113413) ((-662 . -990) T) ((-643 . -939) NIL) ((-1162 . -46) 113383) ((-1141 . -46) 113360) ((-1061 . -947) 113331) ((-817 . -974) 113198) ((-202 . -863) T) ((-39 . -109) 113115) ((-693 . -264) T) ((-1043 . -667) 113102) ((-1030 . -572) 113084) ((-1009 . -137) 113063) ((-1009 . -135) 113014) ((-941 . -339) T) ((-292 . -1119) 112980) ((-355 . -280) T) ((-292 . -1116) 112946) ((-288 . -159) 112925) ((-285 . -159) T) ((-940 . -208) 112902) ((-857 . -339) T) ((-545 . -1196) 112889) ((-496 . -1196) 112866) ((-335 . -137) 112845) ((-335 . -135) 112796) ((-329 . -137) 112775) ((-329 . -135) 112726) ((-567 . -1107) 112702) ((-319 . -137) 112681) ((-319 . -135) 112632) ((-292 . -34) 112598) ((-452 . -1107) 112577) ((0 . |EnumerationCategory|) T) ((-292 . -92) 112543) ((-355 . -958) T) ((-106 . -137) T) ((-106 . -135) NIL) ((-44 . -212) 112493) ((-606 . -1025) T) ((-567 . -105) 112440) ((-467 . -126) T) ((-452 . -105) 112390) ((-217 . -1037) 112301) ((-817 . -353) 112285) ((-817 . -312) 112269) ((-217 . -23) 112140) ((-994 . -863) T) ((-994 . -773) T) ((-545 . -344) T) ((-496 . -344) T) ((-694 . -800) 112119) ((-327 . -1071) T) ((-301 . -33) T) ((-43 . -393) 112103) ((-366 . -696) 112087) ((-1190 . -493) 112020) ((-681 . -126) T) ((-1170 . -524) 111999) ((-1163 . -1134) 111978) ((-1163 . -524) 111929) ((-1142 . -1134) 111908) ((-687 . -493) 111841) ((-1142 . -524) 111792) ((-1141 . -1130) 111771) ((-836 . -1025) T) ((-134 . -794) T) ((-1141 . -829) 111644) ((-1141 . -827) 111614) ((-1136 . -524) 111593) ((-501 . -282) 111531) ((-1094 . -126) T) ((-131 . -493) NIL) ((-1093 . -126) T) ((-1086 . -126) T) ((-1049 . -126) T) ((-960 . -939) T) ((-327 . -37) 111496) ((-941 . -1037) T) ((-857 . -1037) T) ((-81 . -572) 111478) ((-39 . -983) T) ((-815 . -989) 111465) ((-941 . -23) T) ((-817 . -843) 111424) ((-650 . -99) T) ((-940 . -325) NIL) ((-563 . -1130) T) ((-909 . -23) T) ((-857 . -23) T) ((-815 . -109) 111409) ((-403 . -1037) T) ((-451 . -46) 111379) ((-128 . -99) T) ((-39 . -210) 111351) ((-39 . -220) T) ((-114 . -99) T) ((-558 . -524) 111330) ((-557 . -524) 111309) ((-643 . -572) 111291) ((-643 . -573) 111199) ((-288 . -493) 111165) ((-285 . -493) 110916) ((-1162 . -974) 110900) ((-1141 . -974) 110689) ((-936 . -387) 110673) ((-403 . -23) T) ((-1043 . -159) T) ((-1164 . -264) T) ((-606 . -667) 110643) ((-134 . -1025) T) ((-47 . -939) T) ((-383 . -208) 110627) ((-268 . -212) 110577) ((-816 . -863) T) ((-816 . -773) NIL) ((-810 . -800) T) ((-1141 . -312) 110547) ((-1141 . -353) 110517) ((-199 . -1044) 110501) ((-1178 . -262) 110478) ((-1125 . -600) 110403) ((-905 . -21) T) ((-905 . -25) T) ((-685 . -21) T) ((-685 . -25) T) ((-665 . -21) T) ((-665 . -25) T) ((-661 . -600) 110368) ((-428 . -21) T) ((-428 . -25) T) ((-313 . -99) T) ((-160 . -99) T) ((-936 . -990) T) ((-815 . -983) T) ((-726 . -99) T) ((-1163 . -339) 110347) ((-1162 . -843) 110253) ((-1142 . -339) 110232) ((-1141 . -843) 110083) ((-960 . -572) 110065) ((-383 . -781) 110018) ((-1094 . -473) 109984) ((-156 . -863) 109915) ((-1093 . -473) 109881) ((-1086 . -473) 109847) ((-662 . -1025) T) ((-1049 . -473) 109813) ((-544 . -989) 109800) ((-532 . -989) 109787) ((-475 . -989) 109752) ((-288 . -264) 109731) ((-285 . -264) T) ((-330 . -572) 109713) ((-394 . -25) T) ((-394 . -21) T) ((-95 . -260) 109692) ((-544 . -109) 109677) ((-532 . -109) 109662) ((-475 . -109) 109611) ((-1096 . -829) 109578) ((-844 . -471) 109562) ((-47 . -572) 109544) ((-47 . -573) 109489) ((-217 . -126) 109360) ((-1151 . -863) 109339) ((-769 . -1134) 109318) ((-972 . -493) 109126) ((-364 . -572) 109108) ((-769 . -524) 109039) ((-549 . -600) 109014) ((-239 . -46) 108986) ((-224 . -46) 108943) ((-504 . -488) 108920) ((-937 . -1130) T) ((-648 . -989) 108885) ((-1170 . -23) T) ((-1170 . -1037) T) ((-1163 . -1037) T) ((-1142 . -1037) T) ((-1136 . -1037) T) ((-940 . -346) 108857) ((-110 . -344) T) ((-451 . -843) 108763) ((-1163 . -23) T) ((-1142 . -23) T) ((-847 . -572) 108745) ((-90 . -105) 108729) ((-1125 . -676) T) ((-848 . -800) 108680) ((-650 . -1071) T) ((-648 . -109) 108629) ((-1136 . -23) T) ((-558 . -1037) T) ((-557 . -1037) T) ((-662 . -667) 108458) ((-661 . -676) T) ((-1043 . -264) T) ((-941 . -126) T) ((-469 . -800) T) ((-909 . -126) T) ((-857 . -126) T) ((-752 . -25) T) ((-195 . -800) T) ((-752 . -21) T) ((-544 . -983) T) ((-532 . -983) T) ((-475 . -983) T) ((-558 . -23) T) ((-317 . -1196) 108435) ((-292 . -427) 108414) ((-313 . -282) 108401) ((-557 . -23) T) ((-403 . -126) T) ((-610 . -600) 108375) ((-1090 . -989) 108198) ((-222 . -947) 108182) ((-817 . -280) T) ((-1201 . -1191) 108166) ((-650 . -37) 108153) ((-532 . -210) T) ((-475 . -220) T) ((-475 . -210) T) ((-723 . -745) T) ((-723 . -748) T) ((-1090 . -109) 107955) ((-1070 . -212) 107905) ((-1014 . -852) 107884) ((-114 . -37) 107871) ((-188 . -753) T) ((-187 . -753) T) ((-186 . -753) T) ((-185 . -753) T) ((-817 . -958) 107850) ((-1190 . -471) 107834) ((-735 . -852) 107813) ((-733 . -852) 107792) ((-1104 . -1130) T) ((-429 . -852) 107771) ((-687 . -471) 107755) ((-1014 . -600) 107680) ((-735 . -600) 107605) ((-579 . -989) 107592) ((-462 . -1130) T) ((-317 . -344) T) ((-131 . -471) 107574) ((-733 . -600) 107499) ((-1061 . -1130) T) ((-436 . -600) 107470) ((-239 . -829) 107329) ((-224 . -829) NIL) ((-115 . -989) 107274) ((-429 . -600) 107199) ((-616 . -974) 107176) ((-579 . -109) 107161) ((-331 . -974) 107145) ((-328 . -974) 107129) ((-318 . -974) 107113) ((-239 . -974) 106959) ((-224 . -974) 106837) ((-115 . -109) 106754) ((-58 . -1130) T) ((-497 . -1130) T) ((-495 . -1130) T) ((-477 . -1130) T) ((-476 . -1130) T) ((-413 . -572) 106736) ((-410 . -572) 106718) ((-3 . -99) T) ((-964 . -1124) 106687) ((-786 . -99) T) ((-639 . -56) 106645) ((-648 . -983) T) ((-49 . -600) 106619) ((-263 . -427) T) ((-453 . -1124) 106588) ((0 . -99) T) ((-545 . -600) 106553) ((-496 . -600) 106498) ((-48 . -99) T) ((-853 . -974) 106485) ((-648 . -220) T) ((-1009 . -385) 106464) ((-681 . -594) 106412) ((-936 . -1025) T) ((-662 . -159) 106303) ((-469 . -930) 106285) ((-438 . -1025) T) ((-239 . -353) 106269) ((-224 . -353) 106253) ((-375 . -1025) T) ((-1090 . -983) T) ((-313 . -37) 106237) ((-963 . -99) 106215) ((-195 . -930) 106197) ((-160 . -37) 106129) ((-1162 . -280) 106108) ((-1141 . -280) 106087) ((-1090 . -300) 106064) ((-610 . -676) T) ((-1090 . -210) T) ((-95 . -572) 106046) ((-1086 . -594) 105998) ((-467 . -25) T) ((-467 . -21) T) ((-1141 . -958) 105951) ((-579 . -983) T) ((-355 . -380) T) ((-366 . -99) T) ((-239 . -843) 105897) ((-224 . -843) 105874) ((-115 . -983) T) ((-769 . -1037) T) ((-1014 . -676) T) ((-579 . -210) 105853) ((-577 . -99) T) ((-735 . -676) T) ((-733 . -676) T) ((-389 . -1037) T) ((-115 . -220) T) ((-39 . -344) NIL) ((-115 . -210) NIL) ((-429 . -676) T) ((-769 . -23) T) ((-681 . -25) T) ((-681 . -21) T) ((-652 . -800) T) ((-1006 . -260) 105832) ((-77 . -372) T) ((-77 . -371) T) ((-643 . -989) 105782) ((-1170 . -126) T) ((-1163 . -126) T) ((-1142 . -126) T) ((-1136 . -126) T) ((-1062 . -387) 105766) ((-590 . -343) 105698) ((-566 . -343) 105630) ((-1076 . -1069) 105614) ((-100 . -1025) 105592) ((-1094 . -25) T) ((-1094 . -21) T) ((-1093 . -21) T) ((-936 . -667) 105540) ((-200 . -600) 105507) ((-643 . -109) 105434) ((-49 . -676) T) ((-1093 . -25) T) ((-327 . -325) T) ((-1086 . -21) T) ((-1009 . -427) 105385) ((-1086 . -25) T) ((-662 . -493) 105331) ((-545 . -676) T) ((-496 . -676) T) ((-1049 . -21) T) ((-1049 . -25) T) ((-558 . -126) T) ((-557 . -126) T) ((-335 . -427) T) ((-329 . -427) T) ((-319 . -427) T) ((-451 . -280) 105310) ((-285 . -260) 105176) ((-106 . -427) T) ((-78 . -416) T) ((-78 . -371) T) ((-461 . -99) T) ((-693 . -573) 105037) ((-693 . -572) 105019) ((-1205 . -572) 105001) ((-1205 . -573) 104983) ((-1009 . -378) 104962) ((-972 . -471) 104894) ((-532 . -748) T) ((-532 . -745) T) ((-995 . -212) 104840) ((-335 . -378) 104791) ((-329 . -378) 104742) ((-319 . -378) 104693) ((-1192 . -1037) T) ((-1192 . -23) T) ((-1180 . -99) T) ((-1062 . -990) T) ((-622 . -696) 104677) ((-1098 . -135) 104656) ((-1098 . -137) 104635) ((-1066 . -1025) T) ((-1066 . -1002) 104604) ((-68 . -1130) T) ((-960 . -989) 104541) ((-811 . -990) T) ((-694 . -135) 104520) ((-694 . -137) 104499) ((-217 . -594) 104407) ((-643 . -983) T) ((-330 . -989) 104352) ((-60 . -1130) T) ((-960 . -109) 104261) ((-844 . -572) 104228) ((-643 . -220) T) ((-643 . -210) NIL) ((-793 . -798) 104207) ((-648 . -748) T) ((-648 . -745) T) ((-940 . -387) 104184) ((-330 . -109) 104101) ((-355 . -863) T) ((-383 . -798) 104080) ((-662 . -264) 103991) ((-200 . -676) T) ((-1170 . -473) 103957) ((-1163 . -473) 103923) ((-1142 . -473) 103889) ((-1136 . -473) 103855) ((-288 . -939) 103834) ((-199 . -1025) 103812) ((-292 . -911) 103774) ((-103 . -99) T) ((-47 . -989) 103739) ((-1201 . -99) T) ((-357 . -99) T) ((-47 . -109) 103688) ((-941 . -594) 103670) ((-1164 . -572) 103652) ((-504 . -99) T) ((-480 . -99) T) ((-1056 . -1057) 103636) ((-142 . -1186) 103620) ((-222 . -1130) T) ((-1092 . -1134) 103599) ((-1048 . -1134) 103578) ((-217 . -21) 103489) ((-217 . -25) 103341) ((-125 . -117) 103325) ((-119 . -117) 103309) ((-43 . -696) 103293) ((-1092 . -524) 103204) ((-1048 . -524) 103135) ((-972 . -260) 103110) ((-769 . -126) T) ((-115 . -748) NIL) ((-115 . -745) NIL) ((-331 . -280) T) ((-328 . -280) T) ((-318 . -280) T) ((-1020 . -1130) T) ((-226 . -1037) 103021) ((-225 . -1037) 102932) ((-960 . -983) T) ((-940 . -990) T) ((-317 . -600) 102877) ((-577 . -37) 102861) ((-1190 . -572) 102823) ((-1190 . -573) 102784) ((-1006 . -572) 102766) ((-960 . -220) T) ((-330 . -983) T) ((-768 . -1186) 102736) ((-226 . -23) T) ((-225 . -23) T) ((-925 . -572) 102718) ((-687 . -573) 102679) ((-687 . -572) 102661) ((-752 . -800) 102640) ((-936 . -493) 102552) ((-330 . -210) T) ((-330 . -220) T) ((-1079 . -141) 102499) ((-941 . -25) T) ((-131 . -572) 102481) ((-131 . -573) 102440) ((-853 . -280) T) ((-941 . -21) T) ((-909 . -25) T) ((-857 . -21) T) ((-857 . -25) T) ((-403 . -21) T) ((-403 . -25) T) ((-793 . -387) 102424) ((-47 . -983) T) ((-1199 . -1191) 102408) ((-1197 . -1191) 102392) ((-972 . -565) 102367) ((-288 . -573) 102228) ((-288 . -572) 102210) ((-285 . -573) NIL) ((-285 . -572) 102192) ((-47 . -220) T) ((-47 . -210) T) ((-606 . -260) 102153) ((-518 . -212) 102103) ((-130 . -572) 102085) ((-112 . -572) 102067) ((-461 . -37) 102032) ((-1201 . -1198) 102011) ((-1192 . -126) T) ((-1200 . -990) T) ((-1011 . -99) T) ((-87 . -1130) T) ((-480 . -282) NIL) ((-937 . -105) 101995) ((-832 . -1025) T) ((-828 . -1025) T) ((-1178 . -603) 101979) ((-1178 . -349) 101963) ((-301 . -1130) T) ((-555 . -800) T) ((-1062 . -1025) T) ((-1062 . -986) 101903) ((-100 . -493) 101836) ((-870 . -572) 101818) ((-317 . -676) T) ((-30 . -572) 101800) ((-811 . -1025) T) ((-793 . -990) 101779) ((-39 . -600) 101724) ((-202 . -1134) T) ((-383 . -990) T) ((-1078 . -141) 101706) ((-936 . -264) 101657) ((-202 . -524) T) ((-292 . -1159) 101641) ((-292 . -1156) 101611) ((-1104 . -1107) 101590) ((-1004 . -572) 101572) ((-599 . -141) 101556) ((-587 . -141) 101502) ((-1104 . -105) 101452) ((-462 . -1107) 101431) ((-469 . -137) T) ((-469 . -135) NIL) ((-1043 . -573) 101346) ((-414 . -572) 101328) ((-195 . -137) T) ((-195 . -135) NIL) ((-1043 . -572) 101310) ((-51 . -99) T) ((-1142 . -594) 101262) ((-462 . -105) 101212) ((-931 . -23) T) ((-1201 . -37) 101182) ((-1092 . -1037) T) ((-1048 . -1037) T) ((-994 . -1134) T) ((-804 . -1037) T) ((-895 . -1134) 101161) ((-464 . -1134) 101140) ((-681 . -800) 101119) ((-994 . -524) T) ((-895 . -524) 101050) ((-1092 . -23) T) ((-1048 . -23) T) ((-804 . -23) T) ((-464 . -524) 100981) ((-1062 . -667) 100913) ((-1066 . -493) 100846) ((-972 . -573) NIL) ((-972 . -572) 100828) ((-811 . -667) 100798) ((-1205 . -989) 100785) ((-1205 . -109) 100770) ((-1125 . -46) 100739) ((-226 . -126) T) ((-225 . -126) T) ((-1029 . -1025) T) ((-940 . -1025) T) ((-61 . -572) 100721) ((-1086 . -800) NIL) ((-960 . -745) T) ((-960 . -748) T) ((-1170 . -25) T) ((-693 . -989) 100645) ((-1170 . -21) T) ((-1163 . -21) T) ((-815 . -600) 100632) ((-1163 . -25) T) ((-1142 . -21) T) ((-1142 . -25) T) ((-1136 . -25) T) ((-1136 . -21) T) ((-964 . -141) 100616) ((-817 . -773) 100595) ((-817 . -863) T) ((-693 . -109) 100498) ((-662 . -260) 100425) ((-558 . -21) T) ((-558 . -25) T) ((-557 . -21) T) ((-39 . -676) T) ((-199 . -493) 100358) ((-557 . -25) T) ((-453 . -141) 100342) ((-440 . -141) 100326) ((-864 . -676) T) ((-723 . -746) T) ((-723 . -747) T) ((-482 . -1025) T) ((-723 . -676) T) ((-202 . -339) T) ((-1076 . -1025) 100304) ((-816 . -1134) T) ((-606 . -572) 100286) ((-816 . -524) T) ((-643 . -344) NIL) ((-335 . -1186) 100270) ((-622 . -99) T) ((-329 . -1186) 100254) ((-319 . -1186) 100238) ((-1200 . -1025) T) ((-498 . -800) 100217) ((-770 . -427) 100196) ((-980 . -1025) T) ((-980 . -1002) 100125) ((-964 . -914) 100094) ((-772 . -1037) T) ((-940 . -667) 100039) ((-362 . -1037) T) ((-453 . -914) 100008) ((-440 . -914) 99977) ((-108 . -141) 99959) ((-72 . -572) 99941) ((-836 . -572) 99923) ((-1009 . -674) 99902) ((-693 . -983) T) ((-1205 . -983) T) ((-769 . -594) 99850) ((-267 . -990) 99793) ((-156 . -1134) 99698) ((-202 . -1037) T) ((-297 . -23) T) ((-1086 . -930) 99650) ((-793 . -1025) T) ((-693 . -220) 99629) ((-1049 . -690) 99608) ((-1164 . -989) 99497) ((-1162 . -863) 99476) ((-815 . -676) T) ((-156 . -524) 99387) ((-1141 . -863) 99366) ((-544 . -600) 99353) ((-383 . -1025) T) ((-532 . -600) 99340) ((-238 . -1025) T) ((-475 . -600) 99305) ((-202 . -23) T) ((-1141 . -773) 99258) ((-1199 . -99) T) ((-330 . -1196) 99235) ((-1197 . -99) T) ((-1164 . -109) 99085) ((-134 . -572) 99067) ((-931 . -126) T) ((-43 . -99) T) ((-217 . -800) 99018) ((-1151 . -1134) 98997) ((-100 . -471) 98981) ((-1200 . -667) 98951) ((-1014 . -46) 98912) ((-994 . -1037) T) ((-895 . -1037) T) ((-125 . -33) T) ((-119 . -33) T) ((-735 . -46) 98889) ((-733 . -46) 98861) ((-1151 . -524) 98772) ((-1092 . -126) T) ((-330 . -344) T) ((-464 . -1037) T) ((-1048 . -126) T) ((-994 . -23) T) ((-429 . -46) 98751) ((-816 . -339) T) ((-804 . -126) T) ((-142 . -99) T) ((-694 . -427) 98682) ((-895 . -23) T) ((-539 . -524) T) ((-769 . -25) T) ((-769 . -21) T) ((-1062 . -493) 98615) ((-549 . -974) 98599) ((-464 . -23) T) ((-327 . -990) T) ((-1125 . -843) 98580) ((-622 . -282) 98518) ((-1038 . -1186) 98488) ((-648 . -600) 98453) ((-940 . -159) T) ((-905 . -135) 98432) ((-590 . -1025) T) ((-566 . -1025) T) ((-905 . -137) 98411) ((-941 . -800) T) ((-685 . -137) 98390) ((-685 . -135) 98369) ((-909 . -800) T) ((-451 . -863) 98348) ((-288 . -989) 98258) ((-285 . -989) 98187) ((-936 . -260) 98145) ((-1090 . -852) 98124) ((-383 . -667) 98076) ((-650 . -798) T) ((-1164 . -983) T) ((-288 . -109) 97965) ((-285 . -109) 97850) ((-906 . -99) T) ((-768 . -99) 97641) ((-662 . -573) NIL) ((-662 . -572) 97623) ((-1090 . -600) 97548) ((-610 . -974) 97446) ((-1164 . -300) 97390) ((-972 . -262) 97365) ((-544 . -676) T) ((-532 . -747) T) ((-156 . -339) 97316) ((-532 . -744) T) ((-532 . -676) T) ((-475 . -676) T) ((-1066 . -471) 97300) ((-1014 . -829) NIL) ((-816 . -1037) T) ((-115 . -852) NIL) ((-1199 . -1198) 97276) ((-1197 . -1198) 97255) ((-735 . -829) NIL) ((-733 . -829) 97114) ((-1192 . -25) T) ((-1192 . -21) T) ((-1128 . -99) 97092) ((-1031 . -371) T) ((-579 . -600) 97079) ((-429 . -829) NIL) ((-626 . -99) 97057) ((-1014 . -974) 96886) ((-816 . -23) T) ((-735 . -974) 96747) ((-733 . -974) 96606) ((-115 . -600) 96551) ((-429 . -974) 96429) ((-601 . -974) 96413) ((-582 . -99) T) ((-199 . -471) 96397) ((-1178 . -33) T) ((-590 . -667) 96381) ((-566 . -667) 96365) ((-622 . -37) 96325) ((-292 . -99) T) ((-84 . -572) 96307) ((-49 . -974) 96291) ((-1043 . -989) 96278) ((-1014 . -353) 96262) ((-735 . -353) 96246) ((-59 . -56) 96208) ((-648 . -747) T) ((-648 . -744) T) ((-545 . -974) 96195) ((-496 . -974) 96172) ((-648 . -676) T) ((-297 . -126) T) ((-288 . -983) 96063) ((-285 . -983) T) ((-156 . -1037) T) ((-733 . -353) 96047) ((-44 . -141) 95997) ((-941 . -930) 95979) ((-429 . -353) 95963) ((-383 . -159) T) ((-288 . -220) 95942) ((-285 . -220) T) ((-285 . -210) NIL) ((-267 . -1025) 95725) ((-202 . -126) T) ((-1043 . -109) 95710) ((-156 . -23) T) ((-752 . -137) 95689) ((-752 . -135) 95668) ((-226 . -594) 95576) ((-225 . -594) 95484) ((-292 . -258) 95450) ((-1090 . -676) T) ((-1076 . -493) 95383) ((-1056 . -1025) T) ((-202 . -992) T) ((-768 . -282) 95321) ((-1014 . -843) 95256) ((-735 . -843) 95199) ((-733 . -843) 95183) ((-1199 . -37) 95153) ((-1197 . -37) 95123) ((-1151 . -1037) T) ((-805 . -1037) T) ((-429 . -843) 95100) ((-807 . -1025) T) ((-1151 . -23) T) ((-539 . -1037) T) ((-805 . -23) T) ((-579 . -676) T) ((-331 . -863) T) ((-328 . -863) T) ((-263 . -99) T) ((-318 . -863) T) ((-994 . -126) T) ((-895 . -126) T) ((-115 . -747) NIL) ((-115 . -744) NIL) ((-115 . -676) T) ((-643 . -852) NIL) ((-980 . -493) 94984) ((-464 . -126) T) ((-539 . -23) T) ((-626 . -282) 94922) ((-590 . -713) T) ((-566 . -713) T) ((-1142 . -800) NIL) ((-940 . -264) T) ((-226 . -21) T) ((-643 . -600) 94872) ((-327 . -1025) T) ((-226 . -25) T) ((-225 . -21) T) ((-225 . -25) T) ((-142 . -37) 94856) ((-2 . -99) T) ((-853 . -863) T) ((-465 . -1186) 94826) ((-200 . -974) 94803) ((-1043 . -983) T) ((-661 . -280) T) ((-267 . -667) 94745) ((-650 . -990) T) ((-469 . -427) T) ((-383 . -493) 94657) ((-195 . -427) T) ((-1043 . -210) T) ((-268 . -141) 94607) ((-936 . -573) 94568) ((-936 . -572) 94550) ((-927 . -572) 94532) ((-114 . -990) T) ((-606 . -989) 94516) ((-202 . -473) T) ((-438 . -572) 94498) ((-375 . -572) 94480) ((-375 . -573) 94457) ((-987 . -1186) 94427) ((-606 . -109) 94406) ((-1062 . -471) 94390) ((-768 . -37) 94360) ((-62 . -416) T) ((-62 . -371) T) ((-1079 . -99) T) ((-816 . -126) T) ((-466 . -99) 94338) ((-1205 . -344) T) ((-694 . -892) 94307) ((-1009 . -99) T) ((-993 . -99) T) ((-327 . -667) 94252) ((-681 . -137) 94231) ((-681 . -135) 94210) ((-960 . -600) 94147) ((-501 . -1025) 94125) ((-335 . -99) T) ((-329 . -99) T) ((-319 . -99) T) ((-106 . -99) T) ((-484 . -1025) T) ((-330 . -600) 94070) ((-1092 . -594) 94018) ((-1048 . -594) 93966) ((-361 . -488) 93945) ((-786 . -798) 93924) ((-355 . -1134) T) ((-643 . -676) T) ((-313 . -990) T) ((-1142 . -930) 93876) ((-160 . -990) T) ((-100 . -572) 93843) ((-1094 . -135) 93822) ((-1094 . -137) 93801) ((-355 . -524) T) ((-1093 . -137) 93780) ((-1093 . -135) 93759) ((-1086 . -135) 93666) ((-383 . -264) T) ((-1086 . -137) 93573) ((-1049 . -137) 93552) ((-1049 . -135) 93531) ((-292 . -37) 93372) ((-156 . -126) T) ((-285 . -748) NIL) ((-285 . -745) NIL) ((-606 . -983) T) ((-47 . -600) 93337) ((-931 . -21) T) ((-125 . -947) 93321) ((-119 . -947) 93305) ((-931 . -25) T) ((-844 . -117) 93289) ((-1078 . -99) T) ((-769 . -800) 93268) ((-1151 . -126) T) ((-1092 . -25) T) ((-1092 . -21) T) ((-805 . -126) T) ((-1048 . -25) T) ((-1048 . -21) T) ((-804 . -25) T) ((-804 . -21) T) ((-735 . -280) 93247) ((-599 . -99) 93225) ((-587 . -99) T) ((-1079 . -282) 93020) ((-539 . -126) T) ((-577 . -798) 92999) ((-1076 . -471) 92983) ((-1070 . -141) 92933) ((-1066 . -572) 92895) ((-1066 . -573) 92856) ((-960 . -744) T) ((-960 . -747) T) ((-960 . -676) T) ((-466 . -282) 92794) ((-428 . -393) 92764) ((-327 . -159) T) ((-263 . -37) 92751) ((-249 . -99) T) ((-248 . -99) T) ((-247 . -99) T) ((-246 . -99) T) ((-245 . -99) T) ((-244 . -99) T) ((-243 . -99) T) ((-317 . -974) 92728) ((-191 . -99) T) ((-190 . -99) T) ((-188 . -99) T) ((-187 . -99) T) ((-186 . -99) T) ((-185 . -99) T) ((-182 . -99) T) ((-181 . -99) T) ((-662 . -989) 92551) ((-180 . -99) T) ((-179 . -99) T) ((-178 . -99) T) ((-177 . -99) T) ((-176 . -99) T) ((-175 . -99) T) ((-174 . -99) T) ((-173 . -99) T) ((-172 . -99) T) ((-330 . -676) T) ((-662 . -109) 92353) ((-622 . -208) 92337) ((-545 . -280) T) ((-496 . -280) T) ((-267 . -493) 92286) ((-106 . -282) NIL) ((-71 . -371) T) ((-1038 . -99) 92077) ((-786 . -387) 92061) ((-1043 . -748) T) ((-1043 . -745) T) ((-650 . -1025) T) ((-355 . -339) T) ((-156 . -473) 92039) ((-199 . -572) 92006) ((-128 . -1025) T) ((-114 . -1025) T) ((-47 . -676) T) ((-980 . -471) 91971) ((-131 . -401) 91953) ((-131 . -344) T) ((-964 . -99) T) ((-491 . -488) 91932) ((-453 . -99) T) ((-440 . -99) T) ((-971 . -1037) T) ((-694 . -1154) 91916) ((-1094 . -34) 91882) ((-1094 . -92) 91848) ((-1094 . -1119) 91814) ((-1094 . -1116) 91780) ((-1078 . -282) NIL) ((-88 . -372) T) ((-88 . -371) T) ((-1009 . -1071) 91759) ((-1093 . -1116) 91725) ((-1093 . -1119) 91691) ((-971 . -23) T) ((-1093 . -92) 91657) ((-539 . -473) T) ((-1093 . -34) 91623) ((-1086 . -1116) 91589) ((-1086 . -1119) 91555) ((-1086 . -92) 91521) ((-337 . -1037) T) ((-335 . -1071) 91500) ((-329 . -1071) 91479) ((-319 . -1071) 91458) ((-1086 . -34) 91424) ((-1049 . -34) 91390) ((-1049 . -92) 91356) ((-106 . -1071) T) ((-1049 . -1119) 91322) ((-786 . -990) 91301) ((-599 . -282) 91239) ((-587 . -282) 91090) ((-1049 . -1116) 91056) ((-662 . -983) T) ((-994 . -594) 91038) ((-1009 . -37) 90906) ((-895 . -594) 90854) ((-941 . -137) T) ((-941 . -135) NIL) ((-355 . -1037) T) ((-297 . -25) T) ((-295 . -23) T) ((-886 . -800) 90833) ((-662 . -300) 90810) ((-464 . -594) 90758) ((-39 . -974) 90635) ((-650 . -667) 90622) ((-662 . -210) T) ((-313 . -1025) T) ((-160 . -1025) T) ((-305 . -800) T) ((-394 . -427) 90572) ((-355 . -23) T) ((-335 . -37) 90537) ((-329 . -37) 90502) ((-319 . -37) 90467) ((-79 . -416) T) ((-79 . -371) T) ((-202 . -25) T) ((-202 . -21) T) ((-787 . -1037) T) ((-106 . -37) 90417) ((-780 . -1037) T) ((-726 . -1025) T) ((-114 . -667) 90404) ((-623 . -974) 90388) ((-571 . -99) T) ((-787 . -23) T) ((-780 . -23) T) ((-1076 . -260) 90365) ((-1038 . -282) 90303) ((-1027 . -212) 90287) ((-63 . -372) T) ((-63 . -371) T) ((-108 . -99) T) ((-39 . -353) 90264) ((-605 . -802) 90248) ((-994 . -21) T) ((-994 . -25) T) ((-768 . -208) 90218) ((-895 . -25) T) ((-895 . -21) T) ((-577 . -990) T) ((-464 . -25) T) ((-464 . -21) T) ((-964 . -282) 90156) ((-832 . -572) 90138) ((-828 . -572) 90120) ((-226 . -800) 90071) ((-225 . -800) 90022) ((-501 . -493) 89955) ((-816 . -594) 89932) ((-453 . -282) 89870) ((-440 . -282) 89808) ((-327 . -264) T) ((-1076 . -1166) 89792) ((-1062 . -572) 89754) ((-1062 . -573) 89715) ((-1060 . -99) T) ((-936 . -989) 89611) ((-39 . -843) 89563) ((-1076 . -565) 89540) ((-693 . -600) 89464) ((-1205 . -600) 89451) ((-995 . -141) 89397) ((-817 . -1134) T) ((-936 . -109) 89272) ((-313 . -667) 89256) ((-811 . -572) 89238) ((-160 . -667) 89170) ((-383 . -260) 89128) ((-817 . -524) T) ((-106 . -376) 89110) ((-83 . -360) T) ((-83 . -371) T) ((-650 . -159) T) ((-95 . -676) T) ((-465 . -99) 88901) ((-95 . -450) T) ((-114 . -159) T) ((-1038 . -37) 88871) ((-156 . -594) 88819) ((-987 . -99) T) ((-816 . -25) T) ((-768 . -215) 88798) ((-816 . -21) T) ((-771 . -99) T) ((-390 . -99) T) ((-361 . -99) T) ((-108 . -282) NIL) ((-204 . -99) 88776) ((-125 . -1130) T) ((-119 . -1130) T) ((-971 . -126) T) ((-622 . -343) 88760) ((-1205 . -676) T) ((-1170 . -135) 88739) ((-936 . -983) T) ((-1170 . -137) 88718) ((-1151 . -594) 88666) ((-1163 . -137) 88645) ((-1029 . -572) 88627) ((-940 . -572) 88609) ((-494 . -23) T) ((-489 . -23) T) ((-317 . -280) T) ((-487 . -23) T) ((-295 . -126) T) ((-3 . -1025) T) ((-940 . -573) 88593) ((-936 . -220) 88572) ((-936 . -210) 88551) ((-1163 . -135) 88530) ((-1162 . -1134) 88509) ((-786 . -1025) T) ((-1142 . -135) 88416) ((-1142 . -137) 88323) ((-1141 . -1134) 88302) ((-1136 . -135) 88281) ((-1136 . -137) 88260) ((-355 . -126) T) ((-160 . -159) T) ((-693 . -676) T) ((-532 . -829) 88242) ((0 . -1025) T) ((-156 . -21) T) ((-156 . -25) T) ((-693 . -450) 88221) ((-48 . -1025) T) ((-1164 . -600) 88110) ((-1162 . -524) 88061) ((-664 . -1037) T) ((-1141 . -524) 88012) ((-532 . -974) 87994) ((-557 . -137) 87973) ((-557 . -135) 87952) ((-475 . -974) 87895) ((-86 . -360) T) ((-86 . -371) T) ((-817 . -339) T) ((-1090 . -46) 87872) ((-787 . -126) T) ((-780 . -126) T) ((-664 . -23) T) ((-482 . -572) 87854) ((-1201 . -990) T) ((-355 . -992) T) ((-963 . -1025) 87832) ((-844 . -33) T) ((-465 . -282) 87770) ((-1076 . -573) 87731) ((-1076 . -572) 87698) ((-1092 . -800) 87677) ((-44 . -99) T) ((-1048 . -800) 87656) ((-770 . -99) T) ((-1151 . -25) T) ((-1151 . -21) T) ((-805 . -25) T) ((-43 . -343) 87640) ((-805 . -21) T) ((-681 . -427) 87591) ((-1200 . -572) 87573) ((-539 . -25) T) ((-539 . -21) T) ((-366 . -1025) T) ((-987 . -282) 87511) ((-577 . -1025) T) ((-648 . -829) 87493) ((-1178 . -1130) T) ((-204 . -282) 87431) ((-134 . -344) T) ((-980 . -573) 87373) ((-980 . -572) 87316) ((-285 . -852) NIL) ((-648 . -974) 87261) ((-661 . -863) T) ((-451 . -1134) 87240) ((-1093 . -427) 87219) ((-1086 . -427) 87198) ((-304 . -99) T) ((-817 . -1037) T) ((-288 . -600) 87020) ((-285 . -600) 86949) ((-451 . -524) 86900) ((-313 . -493) 86866) ((-518 . -141) 86816) ((-39 . -280) T) ((-1090 . -829) NIL) ((-793 . -572) 86798) ((-650 . -264) T) ((-817 . -23) T) ((-355 . -473) T) ((-1009 . -208) 86768) ((-491 . -99) T) ((-383 . -573) 86571) ((-383 . -572) 86553) ((-238 . -572) 86535) ((-114 . -264) T) ((-1090 . -974) 86417) ((-1164 . -676) T) ((-1162 . -339) 86396) ((-1141 . -339) 86375) ((-1190 . -33) T) ((-115 . -1130) T) ((-106 . -208) 86357) ((-1098 . -99) T) ((-461 . -1025) T) ((-501 . -471) 86341) ((-694 . -99) T) ((-687 . -33) T) ((-465 . -37) 86311) ((-131 . -33) T) ((-115 . -827) 86288) ((-115 . -829) NIL) ((-579 . -974) 86173) ((-598 . -800) 86152) ((-1189 . -99) T) ((-268 . -99) T) ((-662 . -344) 86131) ((-115 . -974) 86108) ((-366 . -667) 86092) ((-1090 . -353) 86076) ((-577 . -667) 86060) ((-44 . -282) 85864) ((-769 . -135) 85843) ((-769 . -137) 85822) ((-1200 . -358) 85801) ((-772 . -800) T) ((-1180 . -1025) T) ((-1079 . -206) 85748) ((-362 . -800) 85727) ((-1170 . -34) 85693) ((-1170 . -92) 85659) ((-1170 . -1119) 85625) ((-1170 . -1116) 85591) ((-1163 . -1116) 85557) ((-1163 . -1119) 85523) ((-1142 . -1116) 85489) ((-494 . -126) T) ((-1142 . -1119) 85455) ((-1136 . -1119) 85421) ((-1136 . -1116) 85387) ((-1163 . -92) 85353) ((-1163 . -34) 85319) ((-1162 . -1037) T) ((-590 . -572) 85288) ((-566 . -572) 85257) ((-202 . -800) T) ((-1142 . -92) 85223) ((-1142 . -34) 85189) ((-1141 . -1037) T) ((-1043 . -600) 85176) ((-1136 . -34) 85142) ((-1136 . -92) 85108) ((-555 . -141) 85090) ((-1009 . -325) 85069) ((-115 . -353) 85046) ((-115 . -312) 85023) ((-160 . -264) T) ((-1090 . -843) 84966) ((-815 . -280) T) ((-285 . -747) NIL) ((-285 . -744) NIL) ((-288 . -676) 84816) ((-285 . -676) T) ((-451 . -339) 84795) ((-335 . -325) 84774) ((-329 . -325) 84753) ((-319 . -325) 84732) ((-288 . -450) 84711) ((-1162 . -23) T) ((-1141 . -23) T) ((-668 . -1037) T) ((-664 . -126) T) ((-605 . -99) T) ((-461 . -667) 84676) ((-44 . -256) 84626) ((-103 . -1025) T) ((-67 . -572) 84608) ((-810 . -99) T) ((-579 . -843) 84567) ((-1201 . -1025) T) ((-357 . -1025) T) ((-81 . -1130) T) ((-994 . -800) T) ((-895 . -800) 84546) ((-115 . -843) NIL) ((-735 . -863) 84525) ((-663 . -800) T) ((-504 . -1025) T) ((-480 . -1025) T) ((-331 . -1134) T) ((-328 . -1134) T) ((-318 . -1134) T) ((-239 . -1134) 84504) ((-224 . -1134) 84483) ((-1038 . -208) 84453) ((-464 . -800) 84432) ((-1078 . -781) T) ((-1062 . -989) 84416) ((-366 . -713) T) ((-643 . -1130) T) ((-694 . -282) 84403) ((-331 . -524) T) ((-328 . -524) T) ((-318 . -524) T) ((-239 . -524) 84334) ((-224 . -524) 84265) ((-1062 . -109) 84244) ((-428 . -696) 84214) ((-811 . -989) 84184) ((-770 . -37) 84121) ((-643 . -827) 84103) ((-643 . -829) 84085) ((-268 . -282) 83889) ((-853 . -1134) T) ((-622 . -387) 83873) ((-811 . -109) 83838) ((-643 . -974) 83783) ((-941 . -427) T) ((-853 . -524) T) ((-545 . -863) T) ((-451 . -1037) T) ((-496 . -863) T) ((-1076 . -262) 83760) ((-857 . -427) T) ((-64 . -572) 83742) ((-587 . -206) 83688) ((-451 . -23) T) ((-1043 . -747) T) ((-817 . -126) T) ((-1043 . -744) T) ((-1192 . -1194) 83667) ((-1043 . -676) T) ((-606 . -600) 83641) ((-267 . -572) 83383) ((-972 . -33) T) ((-768 . -798) 83362) ((-544 . -280) T) ((-532 . -280) T) ((-475 . -280) T) ((-1201 . -667) 83332) ((-643 . -353) 83314) ((-643 . -312) 83296) ((-461 . -159) T) ((-357 . -667) 83266) ((-694 . -1071) 83244) ((-816 . -800) NIL) ((-532 . -958) T) ((-475 . -958) T) ((-1056 . -572) 83226) ((-1038 . -215) 83205) ((-192 . -99) T) ((-1070 . -99) T) ((-70 . -572) 83187) ((-1062 . -983) T) ((-1098 . -37) 83084) ((-807 . -572) 83066) ((-532 . -517) T) ((-622 . -990) T) ((-694 . -37) 82895) ((-681 . -892) 82848) ((-1062 . -210) 82827) ((-1011 . -1025) T) ((-971 . -25) T) ((-971 . -21) T) ((-940 . -989) 82772) ((-848 . -99) T) ((-811 . -983) T) ((-730 . -1037) T) ((-643 . -843) NIL) ((-331 . -303) 82756) ((-331 . -339) T) ((-328 . -303) 82740) ((-328 . -339) T) ((-318 . -303) 82724) ((-318 . -339) T) ((-469 . -99) T) ((-1189 . -37) 82694) ((-501 . -637) 82644) ((-195 . -99) T) ((-960 . -974) 82526) ((-940 . -109) 82443) ((-1094 . -911) 82412) ((-1093 . -911) 82374) ((-498 . -141) 82358) ((-1009 . -346) 82337) ((-327 . -572) 82319) ((-295 . -21) T) ((-330 . -974) 82296) ((-295 . -25) T) ((-1086 . -911) 82265) ((-1049 . -911) 82232) ((-75 . -572) 82214) ((-648 . -280) T) ((-156 . -800) 82193) ((-853 . -339) T) ((-355 . -25) T) ((-355 . -21) T) ((-853 . -303) 82180) ((-85 . -572) 82162) ((-648 . -958) T) ((-627 . -800) T) ((-1162 . -126) T) ((-1141 . -126) T) ((-844 . -947) 82146) ((-787 . -21) T) ((-47 . -974) 82089) ((-787 . -25) T) ((-780 . -25) T) ((-780 . -21) T) ((-1199 . -990) T) ((-1197 . -990) T) ((-606 . -676) T) ((-1090 . -280) 82068) ((-1200 . -989) 82052) ((-1151 . -800) 82031) ((-768 . -387) 82000) ((-100 . -117) 81984) ((-51 . -1025) T) ((-869 . -572) 81966) ((-816 . -930) 81943) ((-776 . -99) T) ((-1200 . -109) 81922) ((-605 . -37) 81892) ((-539 . -800) T) ((-331 . -1037) T) ((-328 . -1037) T) ((-318 . -1037) T) ((-239 . -1037) T) ((-224 . -1037) T) ((-579 . -280) 81871) ((-1070 . -282) 81675) ((-616 . -23) T) ((-465 . -208) 81645) ((-142 . -990) T) ((-331 . -23) T) ((-328 . -23) T) ((-318 . -23) T) ((-115 . -280) T) ((-239 . -23) T) ((-224 . -23) T) ((-940 . -983) T) ((-662 . -852) 81624) ((-940 . -210) 81596) ((-940 . -220) T) ((-115 . -958) NIL) ((-853 . -1037) T) ((-1163 . -427) 81575) ((-1142 . -427) 81554) ((-501 . -572) 81521) ((-662 . -600) 81446) ((-383 . -989) 81398) ((-484 . -572) 81380) ((-853 . -23) T) ((-469 . -282) NIL) ((-451 . -126) T) ((-195 . -282) NIL) ((-383 . -109) 81311) ((-768 . -990) 81242) ((-687 . -1023) 81226) ((-1162 . -473) 81192) ((-1141 . -473) 81158) ((-131 . -1023) 81140) ((-461 . -264) T) ((-1200 . -983) T) ((-995 . -99) T) ((-480 . -493) NIL) ((-652 . -99) T) ((-465 . -215) 81119) ((-1092 . -135) 81098) ((-1092 . -137) 81077) ((-1048 . -137) 81056) ((-1048 . -135) 81035) ((-590 . -989) 81019) ((-566 . -989) 81003) ((-622 . -1025) T) ((-622 . -986) 80943) ((-1094 . -1169) 80927) ((-1094 . -1156) 80904) ((-469 . -1071) T) ((-1093 . -1161) 80865) ((-1093 . -1156) 80835) ((-1093 . -1159) 80819) ((-195 . -1071) T) ((-317 . -863) T) ((-771 . -241) 80803) ((-590 . -109) 80782) ((-566 . -109) 80761) ((-1086 . -1140) 80722) ((-793 . -983) 80701) ((-1086 . -1156) 80678) ((-494 . -25) T) ((-475 . -275) T) ((-490 . -23) T) ((-489 . -25) T) ((-487 . -25) T) ((-486 . -23) T) ((-1086 . -1138) 80662) ((-383 . -983) T) ((-292 . -990) T) ((-643 . -280) T) ((-106 . -798) T) ((-383 . -220) T) ((-383 . -210) 80641) ((-662 . -676) T) ((-469 . -37) 80591) ((-195 . -37) 80541) ((-451 . -473) 80507) ((-1078 . -1064) T) ((-1026 . -99) T) ((-650 . -572) 80489) ((-650 . -573) 80404) ((-664 . -21) T) ((-664 . -25) T) ((-128 . -572) 80386) ((-114 . -572) 80368) ((-145 . -25) T) ((-1199 . -1025) T) ((-817 . -594) 80316) ((-1197 . -1025) T) ((-905 . -99) T) ((-685 . -99) T) ((-665 . -99) T) ((-428 . -99) T) ((-769 . -427) 80267) ((-43 . -1025) T) ((-1015 . -800) T) ((-616 . -126) T) ((-995 . -282) 80118) ((-622 . -667) 80102) ((-263 . -990) T) ((-331 . -126) T) ((-328 . -126) T) ((-318 . -126) T) ((-239 . -126) T) ((-224 . -126) T) ((-693 . -1130) T) ((-394 . -99) T) ((-142 . -1025) T) ((-44 . -206) 80052) ((-694 . -208) 80036) ((-936 . -600) 79974) ((-900 . -800) 79953) ((-693 . -827) 79937) ((-693 . -829) 79862) ((-217 . -1186) 79832) ((-960 . -280) T) ((-267 . -989) 79754) ((-853 . -126) T) ((-39 . -863) T) ((-693 . -974) 79479) ((-469 . -376) 79461) ((-330 . -280) T) ((-195 . -376) 79443) ((-1009 . -387) 79427) ((-267 . -109) 79344) ((-817 . -25) T) ((-817 . -21) T) ((-313 . -572) 79326) ((-1164 . -46) 79270) ((-202 . -137) T) ((-160 . -572) 79252) ((-1038 . -798) 79231) ((-726 . -572) 79213) ((-567 . -212) 79160) ((-452 . -212) 79110) ((-1199 . -667) 79080) ((-47 . -280) T) ((-1197 . -667) 79050) ((-906 . -1025) T) ((-768 . -1025) 78841) ((-284 . -99) T) ((-844 . -1130) T) ((-693 . -353) 78811) ((-47 . -958) T) ((-1141 . -594) 78719) ((-639 . -99) 78697) ((-43 . -667) 78681) ((-518 . -99) T) ((-66 . -359) T) ((-66 . -371) T) ((-614 . -23) T) ((-622 . -713) T) ((-1128 . -1025) 78659) ((-327 . -989) 78604) ((-626 . -1025) 78582) ((-994 . -137) T) ((-895 . -137) 78561) ((-895 . -135) 78540) ((-752 . -99) T) ((-142 . -667) 78524) ((-464 . -137) 78503) ((-464 . -135) 78482) ((-327 . -109) 78399) ((-1009 . -990) T) ((-295 . -800) 78378) ((-1170 . -911) 78347) ((-1163 . -911) 78309) ((-1142 . -911) 78278) ((-582 . -1025) T) ((-490 . -126) T) ((-693 . -843) 78259) ((-486 . -126) T) ((-268 . -206) 78209) ((-335 . -990) T) ((-329 . -990) T) ((-319 . -990) T) ((-267 . -983) 78152) ((-1136 . -911) 78121) ((-355 . -800) T) ((-106 . -990) T) ((-936 . -676) T) ((-815 . -863) T) ((-793 . -748) 78100) ((-793 . -745) 78079) ((-394 . -282) 78018) ((-445 . -99) T) ((-557 . -911) 77987) ((-292 . -1025) T) ((-383 . -748) 77966) ((-383 . -745) 77945) ((-480 . -471) 77927) ((-1164 . -974) 77893) ((-1162 . -21) T) ((-1162 . -25) T) ((-1141 . -21) T) ((-1141 . -25) T) ((-768 . -667) 77835) ((-648 . -380) T) ((-1190 . -1130) T) ((-1038 . -387) 77804) ((-940 . -344) NIL) ((-100 . -33) T) ((-687 . -1130) T) ((-43 . -713) T) ((-555 . -99) T) ((-76 . -372) T) ((-76 . -371) T) ((-605 . -608) 77788) ((-131 . -1130) T) ((-816 . -137) T) ((-816 . -135) NIL) ((-327 . -983) T) ((-69 . -359) T) ((-69 . -371) T) ((-1085 . -99) T) ((-622 . -493) 77721) ((-639 . -282) 77659) ((-905 . -37) 77556) ((-685 . -37) 77526) ((-518 . -282) 77330) ((-288 . -1130) T) ((-327 . -210) T) ((-327 . -220) T) ((-285 . -1130) T) ((-263 . -1025) T) ((-1100 . -572) 77312) ((-661 . -1134) T) ((-1076 . -603) 77296) ((-1125 . -524) 77275) ((-661 . -524) T) ((-288 . -827) 77259) ((-288 . -829) 77184) ((-285 . -827) 77145) ((-285 . -829) NIL) ((-752 . -282) 77110) ((-292 . -667) 76951) ((-297 . -296) 76928) ((-467 . -99) T) ((-451 . -25) T) ((-451 . -21) T) ((-394 . -37) 76902) ((-288 . -974) 76570) ((-202 . -1116) T) ((-202 . -1119) T) ((-3 . -572) 76552) ((-285 . -974) 76482) ((-2 . -1025) T) ((-2 . |RecordCategory|) T) ((-786 . -572) 76464) ((-1038 . -990) 76395) ((-544 . -863) T) ((-532 . -773) T) ((-532 . -863) T) ((-475 . -863) T) ((-130 . -974) 76379) ((-202 . -92) T) ((-156 . -137) 76358) ((-74 . -416) T) ((0 . -572) 76340) ((-74 . -371) T) ((-156 . -135) 76291) ((-202 . -34) T) ((-48 . -572) 76273) ((-461 . -990) T) ((-469 . -208) 76255) ((-466 . -907) 76239) ((-465 . -798) 76218) ((-195 . -208) 76200) ((-80 . -416) T) ((-80 . -371) T) ((-1066 . -33) T) ((-768 . -159) 76179) ((-681 . -99) T) ((-963 . -572) 76146) ((-480 . -260) 76121) ((-288 . -353) 76091) ((-285 . -353) 76052) ((-285 . -312) 76013) ((-769 . -892) 75960) ((-614 . -126) T) ((-1151 . -135) 75939) ((-1151 . -137) 75918) ((-1094 . -99) T) ((-1093 . -99) T) ((-1086 . -99) T) ((-1079 . -1025) T) ((-1049 . -99) T) ((-199 . -33) T) ((-263 . -667) 75905) ((-1079 . -569) 75881) ((-555 . -282) NIL) ((-1170 . -1169) 75865) ((-1170 . -1156) 75842) ((-466 . -1025) 75820) ((-1163 . -1161) 75781) ((-366 . -572) 75763) ((-489 . -800) T) ((-1070 . -206) 75713) ((-1163 . -1156) 75683) ((-1163 . -1159) 75667) ((-1142 . -1140) 75628) ((-1142 . -1156) 75605) ((-1142 . -1138) 75589) ((-1136 . -1169) 75573) ((-1136 . -1156) 75550) ((-577 . -572) 75532) ((-1094 . -258) 75498) ((-648 . -863) T) ((-1093 . -258) 75464) ((-1086 . -258) 75430) ((-1049 . -258) 75396) ((-1009 . -1025) T) ((-993 . -1025) T) ((-47 . -275) T) ((-288 . -843) 75363) ((-285 . -843) NIL) ((-993 . -999) 75342) ((-1043 . -829) 75324) ((-752 . -37) 75308) ((-239 . -594) 75256) ((-224 . -594) 75204) ((-650 . -989) 75191) ((-557 . -1156) 75168) ((-1043 . -974) 75150) ((-292 . -159) 75081) ((-335 . -1025) T) ((-329 . -1025) T) ((-319 . -1025) T) ((-480 . -19) 75063) ((-1027 . -141) 75047) ((-693 . -280) 75026) ((-106 . -1025) T) ((-114 . -989) 75013) ((-661 . -339) T) ((-480 . -565) 74988) ((-650 . -109) 74973) ((-412 . -99) T) ((-44 . -1069) 74923) ((-114 . -109) 74908) ((-1090 . -863) 74887) ((-590 . -670) T) ((-566 . -670) T) ((-768 . -493) 74820) ((-972 . -1130) T) ((-886 . -141) 74804) ((-498 . -99) 74754) ((-1014 . -1134) 74733) ((-735 . -1134) 74712) ((-733 . -1134) 74691) ((-61 . -1130) T) ((-461 . -572) 74643) ((-461 . -573) 74565) ((-1092 . -427) 74496) ((-1078 . -1025) T) ((-1062 . -600) 74470) ((-1014 . -524) 74401) ((-465 . -387) 74370) ((-579 . -863) 74349) ((-429 . -1134) 74328) ((-1048 . -427) 74279) ((-735 . -524) 74190) ((-374 . -572) 74172) ((-733 . -524) 74103) ((-626 . -493) 74036) ((-681 . -282) 74023) ((-616 . -25) T) ((-616 . -21) T) ((-429 . -524) 73954) ((-115 . -863) T) ((-115 . -773) NIL) ((-331 . -25) T) ((-331 . -21) T) ((-328 . -25) T) ((-328 . -21) T) ((-318 . -25) T) ((-318 . -21) T) ((-239 . -25) T) ((-239 . -21) T) ((-82 . -360) T) ((-82 . -371) T) ((-224 . -25) T) ((-224 . -21) T) ((-1180 . -572) 73936) ((-1125 . -1037) T) ((-1125 . -23) T) ((-1086 . -282) 73821) ((-1049 . -282) 73808) ((-811 . -600) 73768) ((-1009 . -667) 73636) ((-886 . -918) 73620) ((-263 . -159) T) ((-853 . -21) T) ((-853 . -25) T) ((-817 . -800) 73571) ((-661 . -1037) T) ((-661 . -23) T) ((-599 . -1025) 73549) ((-587 . -569) 73524) ((-587 . -1025) T) ((-545 . -1134) T) ((-496 . -1134) T) ((-545 . -524) T) ((-496 . -524) T) ((-335 . -667) 73476) ((-329 . -667) 73428) ((-160 . -989) 73360) ((-313 . -989) 73344) ((-106 . -667) 73294) ((-160 . -109) 73193) ((-319 . -667) 73145) ((-313 . -109) 73124) ((-249 . -1025) T) ((-248 . -1025) T) ((-247 . -1025) T) ((-246 . -1025) T) ((-650 . -983) T) ((-245 . -1025) T) ((-244 . -1025) T) ((-243 . -1025) T) ((-191 . -1025) T) ((-190 . -1025) T) ((-188 . -1025) T) ((-156 . -1119) 73102) ((-156 . -1116) 73080) ((-187 . -1025) T) ((-186 . -1025) T) ((-114 . -983) T) ((-185 . -1025) T) ((-182 . -1025) T) ((-650 . -210) T) ((-181 . -1025) T) ((-180 . -1025) T) ((-179 . -1025) T) ((-178 . -1025) T) ((-177 . -1025) T) ((-176 . -1025) T) ((-175 . -1025) T) ((-174 . -1025) T) ((-173 . -1025) T) ((-172 . -1025) T) ((-217 . -99) 72871) ((-156 . -34) 72849) ((-156 . -92) 72827) ((-606 . -974) 72725) ((-465 . -990) 72656) ((-1038 . -1025) 72447) ((-1062 . -33) T) ((-622 . -471) 72431) ((-72 . -1130) T) ((-103 . -572) 72413) ((-1201 . -572) 72395) ((-357 . -572) 72377) ((-539 . -1119) T) ((-539 . -1116) T) ((-681 . -37) 72226) ((-504 . -572) 72208) ((-498 . -282) 72146) ((-480 . -572) 72128) ((-480 . -573) 72110) ((-1086 . -1071) NIL) ((-964 . -1002) 72079) ((-964 . -1025) T) ((-941 . -99) T) ((-909 . -99) T) ((-857 . -99) T) ((-836 . -974) 72056) ((-1062 . -676) T) ((-940 . -600) 72001) ((-453 . -1025) T) ((-440 . -1025) T) ((-549 . -23) T) ((-539 . -34) T) ((-539 . -92) T) ((-403 . -99) T) ((-995 . -206) 71947) ((-1094 . -37) 71844) ((-811 . -676) T) ((-643 . -863) T) ((-490 . -25) T) ((-486 . -21) T) ((-486 . -25) T) ((-1093 . -37) 71685) ((-313 . -983) T) ((-1086 . -37) 71481) ((-1009 . -159) T) ((-160 . -983) T) ((-1049 . -37) 71378) ((-662 . -46) 71355) ((-335 . -159) T) ((-329 . -159) T) ((-497 . -56) 71329) ((-477 . -56) 71279) ((-327 . -1196) 71256) ((-202 . -427) T) ((-292 . -264) 71207) ((-319 . -159) T) ((-160 . -220) T) ((-1141 . -800) 71106) ((-106 . -159) T) ((-817 . -930) 71090) ((-610 . -1037) T) ((-545 . -339) T) ((-545 . -303) 71077) ((-496 . -303) 71054) ((-496 . -339) T) ((-288 . -280) 71033) ((-285 . -280) T) ((-563 . -800) 71012) ((-1038 . -667) 70954) ((-498 . -256) 70938) ((-610 . -23) T) ((-394 . -208) 70922) ((-285 . -958) NIL) ((-310 . -23) T) ((-100 . -947) 70906) ((-44 . -35) 70885) ((-571 . -1025) T) ((-327 . -344) T) ((-475 . -27) T) ((-217 . -282) 70823) ((-1014 . -1037) T) ((-1200 . -600) 70797) ((-735 . -1037) T) ((-733 . -1037) T) ((-429 . -1037) T) ((-994 . -427) T) ((-895 . -427) 70748) ((-108 . -1025) T) ((-1014 . -23) T) ((-770 . -990) T) ((-735 . -23) T) ((-733 . -23) T) ((-464 . -427) 70699) ((-1079 . -493) 70447) ((-357 . -358) 70426) ((-1098 . -387) 70410) ((-436 . -23) T) ((-429 . -23) T) ((-694 . -387) 70394) ((-693 . -275) T) ((-466 . -493) 70327) ((-263 . -264) T) ((-1011 . -572) 70309) ((-383 . -852) 70288) ((-49 . -1037) T) ((-960 . -863) T) ((-940 . -676) T) ((-662 . -829) NIL) ((-545 . -1037) T) ((-496 . -1037) T) ((-793 . -600) 70261) ((-1125 . -126) T) ((-1086 . -376) 70213) ((-941 . -282) NIL) ((-768 . -471) 70197) ((-330 . -863) T) ((-1076 . -33) T) ((-383 . -600) 70149) ((-49 . -23) T) ((-661 . -126) T) ((-662 . -974) 70031) ((-545 . -23) T) ((-106 . -493) NIL) ((-496 . -23) T) ((-156 . -385) 70002) ((-202 . -1059) T) ((-1060 . -1025) T) ((-1192 . -1191) 69986) ((-650 . -748) T) ((-650 . -745) T) ((-355 . -137) T) ((-1043 . -280) T) ((-1141 . -930) 69956) ((-47 . -863) T) ((-626 . -471) 69940) ((-226 . -1186) 69910) ((-225 . -1186) 69880) ((-1096 . -800) T) ((-1038 . -159) 69859) ((-1043 . -958) T) ((-980 . -33) T) ((-787 . -137) 69838) ((-787 . -135) 69817) ((-687 . -105) 69801) ((-571 . -127) T) ((-465 . -1025) 69592) ((-1098 . -990) T) ((-816 . -427) T) ((-84 . -1130) T) ((-217 . -37) 69562) ((-131 . -105) 69544) ((-662 . -353) 69528) ((-694 . -990) T) ((-1043 . -517) T) ((-366 . -989) 69512) ((-1200 . -676) T) ((-1092 . -892) 69481) ((-51 . -572) 69463) ((-1048 . -892) 69430) ((-605 . -387) 69414) ((-1189 . -990) T) ((-1170 . -99) T) ((-577 . -989) 69398) ((-614 . -25) T) ((-614 . -21) T) ((-1078 . -493) NIL) ((-1163 . -99) T) ((-1142 . -99) T) ((-366 . -109) 69377) ((-199 . -229) 69361) ((-1136 . -99) T) ((-987 . -1025) T) ((-941 . -1071) T) ((-987 . -986) 69301) ((-771 . -1025) T) ((-317 . -1134) T) ((-590 . -600) 69285) ((-577 . -109) 69264) ((-566 . -600) 69248) ((-558 . -99) T) ((-549 . -126) T) ((-557 . -99) T) ((-390 . -1025) T) ((-361 . -1025) T) ((-204 . -1025) 69226) ((-599 . -493) 69159) ((-587 . -493) 68967) ((-786 . -983) 68946) ((-598 . -141) 68930) ((-317 . -524) T) ((-662 . -843) 68873) ((-518 . -206) 68823) ((-1170 . -258) 68789) ((-1163 . -258) 68755) ((-1009 . -264) 68706) ((-469 . -798) T) ((-200 . -1037) T) ((-1142 . -258) 68672) ((-1136 . -258) 68638) ((-941 . -37) 68588) ((-195 . -798) T) ((-1125 . -473) 68554) ((-857 . -37) 68506) ((-793 . -747) 68485) ((-793 . -744) 68464) ((-793 . -676) 68443) ((-335 . -264) T) ((-329 . -264) T) ((-319 . -264) T) ((-156 . -427) 68374) ((-403 . -37) 68358) ((-106 . -264) T) ((-200 . -23) T) ((-383 . -747) 68337) ((-383 . -744) 68316) ((-383 . -676) T) ((-480 . -262) 68291) ((-461 . -989) 68256) ((-610 . -126) T) ((-1038 . -493) 68189) ((-310 . -126) T) ((-156 . -378) 68168) ((-465 . -667) 68110) ((-768 . -260) 68087) ((-461 . -109) 68036) ((-605 . -990) T) ((-1151 . -427) 67967) ((-1014 . -126) T) ((-239 . -800) 67946) ((-224 . -800) 67925) ((-735 . -126) T) ((-733 . -126) T) ((-539 . -427) T) ((-987 . -667) 67867) ((-577 . -983) T) ((-964 . -493) 67800) ((-436 . -126) T) ((-429 . -126) T) ((-44 . -1025) T) ((-361 . -667) 67770) ((-770 . -1025) T) ((-453 . -493) 67703) ((-440 . -493) 67636) ((-428 . -343) 67606) ((-44 . -569) 67585) ((-288 . -275) T) ((-622 . -572) 67547) ((-58 . -800) 67526) ((-1142 . -282) 67411) ((-941 . -376) 67393) ((-768 . -565) 67370) ((-495 . -800) 67349) ((-476 . -800) 67328) ((-39 . -1134) T) ((-936 . -974) 67226) ((-49 . -126) T) ((-545 . -126) T) ((-496 . -126) T) ((-267 . -600) 67088) ((-317 . -303) 67065) ((-317 . -339) T) ((-295 . -296) 67042) ((-292 . -260) 67027) ((-39 . -524) T) ((-355 . -1116) T) ((-355 . -1119) T) ((-972 . -1107) 67002) ((-1104 . -212) 66952) ((-1086 . -208) 66904) ((-304 . -1025) T) ((-355 . -92) T) ((-355 . -34) T) ((-972 . -105) 66850) ((-461 . -983) T) ((-462 . -212) 66800) ((-1079 . -471) 66734) ((-1201 . -989) 66718) ((-357 . -989) 66702) ((-461 . -220) T) ((-769 . -99) T) ((-664 . -137) 66681) ((-664 . -135) 66660) ((-466 . -471) 66644) ((-467 . -309) 66613) ((-1201 . -109) 66592) ((-491 . -1025) T) ((-465 . -159) 66571) ((-936 . -353) 66555) ((-389 . -99) T) ((-357 . -109) 66534) ((-936 . -312) 66518) ((-254 . -921) 66502) ((-253 . -921) 66486) ((-1199 . -572) 66468) ((-1197 . -572) 66450) ((-108 . -493) NIL) ((-1092 . -1154) 66434) ((-804 . -802) 66418) ((-1098 . -1025) T) ((-100 . -1130) T) ((-895 . -892) 66379) ((-694 . -1025) T) ((-770 . -667) 66316) ((-1142 . -1071) NIL) ((-464 . -892) 66261) ((-994 . -133) T) ((-59 . -99) 66239) ((-43 . -572) 66221) ((-77 . -572) 66203) ((-327 . -600) 66148) ((-1189 . -1025) T) ((-490 . -800) T) ((-317 . -1037) T) ((-268 . -1025) T) ((-936 . -843) 66107) ((-268 . -569) 66086) ((-1170 . -37) 65983) ((-1163 . -37) 65824) ((-1142 . -37) 65620) ((-469 . -990) T) ((-1136 . -37) 65517) ((-195 . -990) T) ((-317 . -23) T) ((-142 . -572) 65499) ((-786 . -748) 65478) ((-786 . -745) 65457) ((-693 . -863) 65436) ((-558 . -37) 65409) ((-557 . -37) 65306) ((-815 . -524) T) ((-200 . -126) T) ((-292 . -939) 65272) ((-78 . -572) 65254) ((-662 . -280) 65233) ((-267 . -676) 65136) ((-777 . -99) T) ((-810 . -794) T) ((-267 . -450) 65115) ((-1192 . -99) T) ((-39 . -339) T) ((-817 . -137) 65094) ((-817 . -135) 65073) ((-1078 . -471) 65055) ((-1201 . -983) T) ((-465 . -493) 64988) ((-1066 . -1130) T) ((-906 . -572) 64970) ((-599 . -471) 64954) ((-587 . -471) 64886) ((-768 . -572) 64645) ((-47 . -27) T) ((-1098 . -667) 64542) ((-605 . -1025) T) ((-412 . -340) 64516) ((-694 . -667) 64345) ((-1027 . -99) T) ((-769 . -282) 64332) ((-810 . -1025) T) ((-1197 . -358) 64304) ((-987 . -493) 64237) ((-1079 . -260) 64213) ((-217 . -208) 64183) ((-1189 . -667) 64153) ((-770 . -159) 64132) ((-204 . -493) 64065) ((-577 . -748) 64044) ((-577 . -745) 64023) ((-1128 . -572) 63970) ((-199 . -1130) T) ((-626 . -572) 63937) ((-1076 . -947) 63921) ((-327 . -676) T) ((-886 . -99) 63871) ((-1142 . -376) 63823) ((-1038 . -471) 63807) ((-59 . -282) 63745) ((-305 . -99) T) ((-1125 . -21) T) ((-1125 . -25) T) ((-39 . -1037) T) ((-661 . -21) T) ((-582 . -572) 63727) ((-494 . -296) 63706) ((-661 . -25) T) ((-106 . -260) NIL) ((-864 . -1037) T) ((-39 . -23) T) ((-723 . -1037) T) ((-532 . -1134) T) ((-475 . -1134) T) ((-292 . -572) 63688) ((-941 . -208) 63670) ((-156 . -153) 63654) ((-544 . -524) T) ((-532 . -524) T) ((-475 . -524) T) ((-723 . -23) T) ((-1162 . -137) 63633) ((-1079 . -565) 63609) ((-1162 . -135) 63588) ((-964 . -471) 63572) ((-1141 . -135) 63497) ((-1141 . -137) 63422) ((-1192 . -1198) 63401) ((-453 . -471) 63385) ((-440 . -471) 63369) ((-501 . -33) T) ((-605 . -667) 63339) ((-614 . -800) 63318) ((-1098 . -159) 63269) ((-341 . -99) T) ((-217 . -215) 63248) ((-226 . -99) T) ((-225 . -99) T) ((-1151 . -892) 63217) ((-107 . -99) T) ((-222 . -800) 63196) ((-769 . -37) 63045) ((-694 . -159) 62936) ((-44 . -493) 62696) ((-1078 . -260) 62671) ((-192 . -1025) T) ((-1070 . -1025) T) ((-1070 . -569) 62650) ((-549 . -25) T) ((-549 . -21) T) ((-1027 . -282) 62588) ((-905 . -387) 62572) ((-648 . -1134) T) ((-587 . -260) 62547) ((-1014 . -594) 62495) ((-735 . -594) 62443) ((-733 . -594) 62391) ((-317 . -126) T) ((-263 . -572) 62373) ((-648 . -524) T) ((-848 . -1025) T) ((-815 . -1037) T) ((-429 . -594) 62321) ((-848 . -846) 62305) ((-355 . -427) T) ((-469 . -1025) T) ((-650 . -600) 62292) ((-886 . -282) 62230) ((-195 . -1025) T) ((-288 . -863) 62209) ((-285 . -863) T) ((-285 . -773) NIL) ((-366 . -670) T) ((-815 . -23) T) ((-114 . -600) 62196) ((-451 . -135) 62175) ((-394 . -387) 62159) ((-451 . -137) 62138) ((-108 . -471) 62120) ((-1090 . -1134) 62099) ((-2 . -572) 62081) ((-1078 . -19) 62063) ((-1090 . -524) 61974) ((-1078 . -565) 61949) ((-610 . -21) T) ((-610 . -25) T) ((-555 . -1064) T) ((-1038 . -260) 61926) ((-310 . -25) T) ((-310 . -21) T) ((-475 . -339) T) ((-1192 . -37) 61896) ((-1062 . -1130) T) ((-587 . -565) 61871) ((-1014 . -25) T) ((-1014 . -21) T) ((-905 . -990) T) ((-504 . -745) T) ((-504 . -748) T) ((-115 . -1134) T) ((-694 . -493) 61817) ((-579 . -524) T) ((-735 . -25) T) ((-735 . -21) T) ((-733 . -21) T) ((-733 . -25) T) ((-685 . -990) T) ((-665 . -990) T) ((-622 . -989) 61801) ((-436 . -25) T) ((-115 . -524) T) ((-436 . -21) T) ((-429 . -25) T) ((-429 . -21) T) ((-1062 . -974) 61699) ((-770 . -264) 61678) ((-693 . -406) 61662) ((-776 . -1025) T) ((-622 . -109) 61641) ((-268 . -493) 61401) ((-1199 . -989) 61385) ((-1197 . -989) 61369) ((-226 . -282) 61307) ((-225 . -282) 61245) ((-1145 . -99) 61223) ((-1079 . -573) NIL) ((-1079 . -572) 61205) ((-1162 . -1116) 61171) ((-1162 . -1119) 61137) ((-1142 . -208) 61089) ((-1141 . -1116) 61055) ((-1141 . -1119) 61021) ((-1062 . -353) 61005) ((-1043 . -773) T) ((-1043 . -863) T) ((-1038 . -565) 60982) ((-1009 . -573) 60966) ((-466 . -572) 60933) ((-768 . -262) 60910) ((-567 . -141) 60857) ((-394 . -990) T) ((-469 . -667) 60807) ((-465 . -471) 60791) ((-301 . -800) 60770) ((-313 . -600) 60744) ((-49 . -21) T) ((-49 . -25) T) ((-195 . -667) 60694) ((-156 . -674) 60665) ((-160 . -600) 60597) ((-545 . -21) T) ((-545 . -25) T) ((-496 . -25) T) ((-496 . -21) T) ((-452 . -141) 60547) ((-1009 . -572) 60529) ((-993 . -572) 60511) ((-931 . -99) T) ((-808 . -99) T) ((-752 . -387) 60475) ((-39 . -126) T) ((-648 . -339) T) ((-191 . -838) T) ((-650 . -747) T) ((-650 . -744) T) ((-544 . -1037) T) ((-532 . -1037) T) ((-475 . -1037) T) ((-650 . -676) T) ((-335 . -572) 60457) ((-329 . -572) 60439) ((-319 . -572) 60421) ((-65 . -372) T) ((-65 . -371) T) ((-106 . -573) 60351) ((-106 . -572) 60333) ((-190 . -838) T) ((-900 . -141) 60317) ((-1162 . -92) 60283) ((-723 . -126) T) ((-128 . -676) T) ((-114 . -676) T) ((-1162 . -34) 60249) ((-987 . -471) 60233) ((-544 . -23) T) ((-532 . -23) T) ((-475 . -23) T) ((-1141 . -92) 60199) ((-1141 . -34) 60165) ((-1092 . -99) T) ((-1048 . -99) T) ((-804 . -99) T) ((-204 . -471) 60149) ((-1199 . -109) 60128) ((-1197 . -109) 60107) ((-43 . -989) 60091) ((-1151 . -1154) 60075) ((-805 . -802) 60059) ((-1098 . -264) 60038) ((-108 . -260) 60013) ((-1062 . -843) 59972) ((-43 . -109) 59951) ((-694 . -264) 59862) ((-622 . -983) T) ((-1078 . -573) NIL) ((-1078 . -572) 59844) ((-995 . -569) 59819) ((-995 . -1025) T) ((-73 . -416) T) ((-73 . -371) T) ((-622 . -210) 59798) ((-142 . -989) 59782) ((-539 . -522) 59766) ((-331 . -137) 59745) ((-331 . -135) 59696) ((-328 . -137) 59675) ((-652 . -1025) T) ((-328 . -135) 59626) ((-318 . -137) 59605) ((-318 . -135) 59556) ((-239 . -135) 59535) ((-239 . -137) 59514) ((-226 . -37) 59484) ((-224 . -137) 59463) ((-115 . -339) T) ((-224 . -135) 59442) ((-225 . -37) 59412) ((-142 . -109) 59391) ((-940 . -974) 59268) ((-1086 . -798) NIL) ((-643 . -1134) T) ((-752 . -990) T) ((-648 . -1037) T) ((-1199 . -983) T) ((-1197 . -983) T) ((-1090 . -1037) T) ((-1076 . -1130) T) ((-940 . -353) 59245) ((-853 . -135) T) ((-853 . -137) 59227) ((-815 . -126) T) ((-768 . -989) 59125) ((-643 . -524) T) ((-648 . -23) T) ((-599 . -572) 59092) ((-599 . -573) 59053) ((-587 . -573) NIL) ((-587 . -572) 59035) ((-469 . -159) T) ((-200 . -21) T) ((-195 . -159) T) ((-200 . -25) T) ((-451 . -1119) 59001) ((-451 . -1116) 58967) ((-249 . -572) 58949) ((-248 . -572) 58931) ((-247 . -572) 58913) ((-246 . -572) 58895) ((-245 . -572) 58877) ((-480 . -603) 58859) ((-244 . -572) 58841) ((-313 . -676) T) ((-243 . -572) 58823) ((-108 . -19) 58805) ((-160 . -676) T) ((-480 . -349) 58787) ((-191 . -572) 58769) ((-498 . -1069) 58753) ((-480 . -121) T) ((-108 . -565) 58728) ((-190 . -572) 58710) ((-451 . -34) 58676) ((-451 . -92) 58642) ((-188 . -572) 58624) ((-187 . -572) 58606) ((-186 . -572) 58588) ((-185 . -572) 58570) ((-182 . -572) 58552) ((-181 . -572) 58534) ((-180 . -572) 58516) ((-179 . -572) 58498) ((-178 . -572) 58480) ((-177 . -572) 58462) ((-176 . -572) 58444) ((-508 . -1028) 58396) ((-175 . -572) 58378) ((-174 . -572) 58360) ((-44 . -471) 58297) ((-173 . -572) 58279) ((-172 . -572) 58261) ((-1090 . -23) T) ((-768 . -109) 58152) ((-598 . -99) 58102) ((-465 . -260) 58079) ((-1038 . -572) 57838) ((-1026 . -1025) T) ((-980 . -1130) T) ((-579 . -1037) T) ((-1200 . -974) 57822) ((-1092 . -282) 57809) ((-1048 . -282) 57796) ((-115 . -1037) T) ((-772 . -99) T) ((-579 . -23) T) ((-1070 . -493) 57556) ((-362 . -99) T) ((-297 . -99) T) ((-940 . -843) 57508) ((-905 . -1025) T) ((-142 . -983) T) ((-115 . -23) T) ((-681 . -387) 57492) ((-685 . -1025) T) ((-665 . -1025) T) ((-652 . -127) T) ((-428 . -1025) T) ((-288 . -406) 57476) ((-383 . -1130) T) ((-964 . -573) 57437) ((-960 . -1134) T) ((-202 . -99) T) ((-964 . -572) 57399) ((-769 . -208) 57383) ((-960 . -524) T) ((-786 . -600) 57356) ((-330 . -1134) T) ((-453 . -572) 57318) ((-453 . -573) 57279) ((-440 . -573) 57240) ((-440 . -572) 57202) ((-383 . -827) 57186) ((-292 . -989) 57021) ((-383 . -829) 56946) ((-793 . -974) 56844) ((-469 . -493) NIL) ((-465 . -565) 56821) ((-330 . -524) T) ((-195 . -493) NIL) ((-817 . -427) T) ((-394 . -1025) T) ((-383 . -974) 56688) ((-292 . -109) 56502) ((-643 . -339) T) ((-202 . -258) T) ((-47 . -1134) T) ((-768 . -983) 56433) ((-544 . -126) T) ((-532 . -126) T) ((-475 . -126) T) ((-47 . -524) T) ((-1079 . -262) 56409) ((-1092 . -1071) 56387) ((-288 . -27) 56366) ((-994 . -99) T) ((-768 . -210) 56319) ((-217 . -798) 56298) ((-895 . -99) T) ((-663 . -99) T) ((-268 . -471) 56235) ((-464 . -99) T) ((-681 . -990) T) ((-571 . -572) 56217) ((-571 . -573) 56078) ((-383 . -353) 56062) ((-383 . -312) 56046) ((-1092 . -37) 55875) ((-1048 . -37) 55724) ((-804 . -37) 55694) ((-366 . -600) 55678) ((-598 . -282) 55616) ((-905 . -667) 55513) ((-199 . -105) 55497) ((-44 . -260) 55422) ((-685 . -667) 55392) ((-577 . -600) 55366) ((-284 . -1025) T) ((-263 . -989) 55353) ((-108 . -572) 55335) ((-108 . -573) 55317) ((-428 . -667) 55287) ((-769 . -228) 55226) ((-639 . -1025) 55204) ((-518 . -1025) T) ((-1094 . -990) T) ((-1093 . -990) T) ((-263 . -109) 55189) ((-1086 . -990) T) ((-1049 . -990) T) ((-518 . -569) 55168) ((-941 . -798) T) ((-204 . -637) 55126) ((-643 . -1037) T) ((-1125 . -690) 55102) ((-292 . -983) T) ((-317 . -25) T) ((-317 . -21) T) ((-383 . -843) 55061) ((-67 . -1130) T) ((-786 . -747) 55040) ((-394 . -667) 55014) ((-752 . -1025) T) ((-786 . -744) 54993) ((-648 . -126) T) ((-662 . -863) 54972) ((-643 . -23) T) ((-469 . -264) T) ((-786 . -676) 54951) ((-292 . -210) 54903) ((-292 . -220) 54882) ((-195 . -264) T) ((-960 . -339) T) ((-1162 . -427) 54861) ((-1141 . -427) 54840) ((-330 . -303) 54817) ((-330 . -339) T) ((-1060 . -572) 54799) ((-44 . -1166) 54749) ((-816 . -99) T) ((-598 . -256) 54733) ((-648 . -992) T) ((-461 . -600) 54698) ((-445 . -1025) T) ((-44 . -565) 54623) ((-1078 . -262) 54598) ((-1090 . -126) T) ((-39 . -594) 54532) ((-47 . -339) T) ((-1031 . -572) 54514) ((-1014 . -800) 54493) ((-587 . -262) 54468) ((-735 . -800) 54447) ((-733 . -800) 54426) ((-465 . -572) 54185) ((-217 . -387) 54154) ((-895 . -282) 54141) ((-429 . -800) 54120) ((-64 . -1130) T) ((-694 . -260) 54047) ((-579 . -126) T) ((-464 . -282) 54034) ((-995 . -493) 53842) ((-263 . -983) T) ((-115 . -126) T) ((-428 . -713) T) ((-905 . -159) 53793) ((-1009 . -989) 53703) ((-577 . -747) 53682) ((-555 . -1025) T) ((-577 . -744) 53661) ((-577 . -676) T) ((-268 . -260) 53640) ((-267 . -1130) T) ((-987 . -572) 53602) ((-987 . -573) 53563) ((-960 . -1037) T) ((-156 . -99) T) ((-250 . -800) T) ((-1085 . -1025) T) ((-771 . -572) 53545) ((-1038 . -262) 53522) ((-1027 . -206) 53506) ((-940 . -280) T) ((-752 . -667) 53490) ((-335 . -989) 53442) ((-330 . -1037) T) ((-329 . -989) 53394) ((-390 . -572) 53376) ((-361 . -572) 53358) ((-319 . -989) 53310) ((-204 . -572) 53277) ((-1009 . -109) 53166) ((-960 . -23) T) ((-106 . -989) 53116) ((-841 . -99) T) ((-791 . -99) T) ((-761 . -99) T) ((-721 . -99) T) ((-627 . -99) T) ((-451 . -427) 53095) ((-394 . -159) T) ((-335 . -109) 53026) ((-329 . -109) 52957) ((-319 . -109) 52888) ((-226 . -208) 52858) ((-225 . -208) 52828) ((-330 . -23) T) ((-70 . -1130) T) ((-202 . -37) 52793) ((-106 . -109) 52720) ((-39 . -25) T) ((-39 . -21) T) ((-622 . -670) T) ((-156 . -258) 52698) ((-47 . -1037) T) ((-864 . -25) T) ((-723 . -25) T) ((-1070 . -471) 52635) ((-467 . -1025) T) ((-1201 . -600) 52609) ((-1151 . -99) T) ((-805 . -99) T) ((-217 . -990) 52540) ((-994 . -1071) T) ((-906 . -745) 52493) ((-357 . -600) 52477) ((-47 . -23) T) ((-906 . -748) 52430) ((-768 . -748) 52381) ((-768 . -745) 52332) ((-268 . -565) 52311) ((-461 . -676) T) ((-1090 . -473) 52289) ((-539 . -99) T) ((-816 . -282) 52233) ((-605 . -260) 52212) ((-110 . -613) T) ((-75 . -1130) T) ((-994 . -37) 52199) ((-616 . -350) 52178) ((-895 . -37) 52027) ((-681 . -1025) T) ((-464 . -37) 51876) ((-85 . -1130) T) ((-539 . -258) T) ((-1142 . -798) NIL) ((-1094 . -1025) T) ((-1093 . -1025) T) ((-1086 . -1025) T) ((-327 . -974) 51853) ((-1009 . -983) T) ((-941 . -990) T) ((-44 . -572) 51835) ((-44 . -573) NIL) ((-857 . -990) T) ((-770 . -572) 51817) ((-1067 . -99) 51795) ((-1009 . -220) 51746) ((-403 . -990) T) ((-335 . -983) T) ((-329 . -983) T) ((-341 . -340) 51723) ((-319 . -983) T) ((-226 . -215) 51702) ((-225 . -215) 51681) ((-107 . -340) 51655) ((-1009 . -210) 51580) ((-1049 . -1025) T) ((-267 . -843) 51539) ((-106 . -983) T) ((-693 . -1134) 51518) ((-643 . -126) T) ((-394 . -493) 51360) ((-335 . -210) 51339) ((-335 . -220) T) ((-43 . -670) T) ((-329 . -210) 51318) ((-329 . -220) T) ((-319 . -210) 51297) ((-319 . -220) T) ((-693 . -524) T) ((-156 . -282) 51262) ((-106 . -220) T) ((-106 . -210) T) ((-292 . -745) T) ((-815 . -21) T) ((-815 . -25) T) ((-383 . -280) T) ((-480 . -33) T) ((-108 . -262) 51237) ((-1038 . -989) 51135) ((-816 . -1071) NIL) ((-304 . -572) 51117) ((-383 . -958) 51096) ((-1038 . -109) 50987) ((-412 . -1025) T) ((-1201 . -676) T) ((-62 . -572) 50969) ((-816 . -37) 50914) ((-501 . -1130) T) ((-563 . -141) 50898) ((-491 . -572) 50880) ((-1151 . -282) 50867) ((-681 . -667) 50716) ((-504 . -746) T) ((-504 . -747) T) ((-532 . -594) 50698) ((-475 . -594) 50658) ((-331 . -427) T) ((-328 . -427) T) ((-318 . -427) T) ((-239 . -427) 50609) ((-498 . -1025) 50559) ((-224 . -427) 50510) ((-1070 . -260) 50489) ((-1098 . -572) 50471) ((-639 . -493) 50404) ((-905 . -264) 50383) ((-518 . -493) 50143) ((-694 . -573) NIL) ((-694 . -572) 50125) ((-1092 . -208) 50109) ((-156 . -1071) 50088) ((-1189 . -572) 50070) ((-1094 . -667) 49967) ((-1093 . -667) 49808) ((-835 . -99) T) ((-1086 . -667) 49604) ((-1049 . -667) 49501) ((-1076 . -625) 49485) ((-331 . -378) 49436) ((-328 . -378) 49387) ((-318 . -378) 49338) ((-960 . -126) T) ((-752 . -493) 49250) ((-268 . -573) NIL) ((-268 . -572) 49232) ((-853 . -427) T) ((-906 . -344) 49185) ((-768 . -344) 49164) ((-489 . -488) 49143) ((-487 . -488) 49122) ((-469 . -260) NIL) ((-465 . -262) 49099) ((-394 . -264) T) ((-330 . -126) T) ((-195 . -260) NIL) ((-643 . -473) NIL) ((-95 . -1037) T) ((-156 . -37) 48927) ((-1162 . -911) 48889) ((-1067 . -282) 48827) ((-1141 . -911) 48796) ((-853 . -378) T) ((-1038 . -983) 48727) ((-1164 . -524) T) ((-693 . -339) 48706) ((-1070 . -565) 48685) ((-110 . -800) T) ((-995 . -471) 48617) ((-544 . -21) T) ((-544 . -25) T) ((-532 . -21) T) ((-532 . -25) T) ((-475 . -25) T) ((-475 . -21) T) ((-1151 . -1071) 48595) ((-1038 . -210) 48548) ((-47 . -126) T) ((-1112 . -99) T) ((-217 . -1025) 48339) ((-816 . -376) 48316) ((-1015 . -99) T) ((-1005 . -99) T) ((-567 . -99) T) ((-452 . -99) T) ((-1151 . -37) 48145) ((-805 . -37) 48115) ((-1090 . -594) 48063) ((-681 . -159) 47974) ((-605 . -572) 47956) ((-539 . -37) 47943) ((-900 . -99) 47893) ((-810 . -572) 47875) ((-810 . -573) 47797) ((-555 . -493) NIL) ((-1170 . -990) T) ((-1163 . -990) T) ((-1142 . -990) T) ((-1136 . -990) T) ((-1205 . -1037) T) ((-558 . -990) T) ((-557 . -990) T) ((-1125 . -137) 47776) ((-1094 . -159) 47727) ((-1093 . -159) 47658) ((-1086 . -159) 47589) ((-1049 . -159) 47540) ((-941 . -1025) T) ((-909 . -1025) T) ((-857 . -1025) T) ((-752 . -750) 47524) ((-693 . -1037) T) ((-648 . -25) T) ((-648 . -21) T) ((-115 . -594) 47501) ((-650 . -829) 47483) ((-403 . -1025) T) ((-288 . -1134) 47462) ((-285 . -1134) T) ((-156 . -376) 47446) ((-1125 . -135) 47425) ((-451 . -911) 47387) ((-71 . -572) 47369) ((-693 . -23) T) ((-106 . -748) T) ((-106 . -745) T) ((-288 . -524) 47348) ((-650 . -974) 47330) ((-285 . -524) T) ((-1205 . -23) T) ((-128 . -974) 47312) ((-465 . -989) 47210) ((-44 . -262) 47135) ((-1090 . -25) T) ((-1090 . -21) T) ((-217 . -667) 47077) ((-465 . -109) 46968) ((-1018 . -99) 46946) ((-971 . -99) T) ((-598 . -781) 46925) ((-681 . -493) 46863) ((-987 . -989) 46847) ((-579 . -21) T) ((-579 . -25) T) ((-995 . -260) 46822) ((-337 . -99) T) ((-295 . -99) T) ((-622 . -600) 46796) ((-361 . -989) 46780) ((-987 . -109) 46759) ((-769 . -387) 46743) ((-115 . -25) T) ((-88 . -572) 46725) ((-115 . -21) T) ((-567 . -282) 46520) ((-452 . -282) 46324) ((-1070 . -573) NIL) ((-361 . -109) 46303) ((-355 . -99) T) ((-192 . -572) 46285) ((-1070 . -572) 46267) ((-941 . -667) 46217) ((-1086 . -493) 45951) ((-857 . -667) 45903) ((-1049 . -493) 45873) ((-327 . -280) T) ((-1104 . -141) 45823) ((-900 . -282) 45761) ((-787 . -99) T) ((-403 . -667) 45745) ((-202 . -781) T) ((-780 . -99) T) ((-778 . -99) T) ((-462 . -141) 45695) ((-1162 . -1161) 45674) ((-1043 . -1134) T) ((-313 . -974) 45641) ((-1162 . -1156) 45611) ((-1162 . -1159) 45595) ((-1141 . -1140) 45574) ((-79 . -572) 45556) ((-848 . -572) 45538) ((-1141 . -1156) 45515) ((-1043 . -524) T) ((-864 . -800) T) ((-469 . -573) 45445) ((-469 . -572) 45427) ((-723 . -800) T) ((-355 . -258) T) ((-623 . -800) T) ((-1141 . -1138) 45411) ((-1164 . -1037) T) ((-195 . -573) 45341) ((-195 . -572) 45323) ((-995 . -565) 45298) ((-58 . -141) 45282) ((-495 . -141) 45266) ((-476 . -141) 45250) ((-335 . -1196) 45234) ((-329 . -1196) 45218) ((-319 . -1196) 45202) ((-288 . -339) 45181) ((-285 . -339) T) ((-465 . -983) 45112) ((-643 . -594) 45094) ((-1199 . -600) 45068) ((-1197 . -600) 45042) ((-1164 . -23) T) ((-639 . -471) 45026) ((-63 . -572) 45008) ((-1038 . -748) 44959) ((-1038 . -745) 44910) ((-518 . -471) 44847) ((-622 . -33) T) ((-465 . -210) 44800) ((-268 . -262) 44779) ((-217 . -159) 44758) ((-769 . -990) T) ((-43 . -600) 44716) ((-1009 . -344) 44667) ((-681 . -264) 44598) ((-498 . -493) 44531) ((-770 . -989) 44482) ((-1014 . -135) 44461) ((-335 . -344) 44440) ((-329 . -344) 44419) ((-319 . -344) 44398) ((-1014 . -137) 44377) ((-816 . -208) 44354) ((-770 . -109) 44289) ((-735 . -135) 44268) ((-735 . -137) 44247) ((-239 . -892) 44214) ((-226 . -798) 44193) ((-224 . -892) 44138) ((-225 . -798) 44117) ((-733 . -135) 44096) ((-733 . -137) 44075) ((-142 . -600) 44049) ((-429 . -137) 44028) ((-429 . -135) 44007) ((-622 . -676) T) ((-776 . -572) 43989) ((-1170 . -1025) T) ((-1163 . -1025) T) ((-1142 . -1025) T) ((-1136 . -1025) T) ((-1125 . -1119) 43955) ((-1125 . -1116) 43921) ((-1094 . -264) 43900) ((-1093 . -264) 43851) ((-1086 . -264) 43802) ((-1049 . -264) 43781) ((-313 . -843) 43762) ((-941 . -159) T) ((-857 . -159) T) ((-558 . -1025) T) ((-557 . -1025) T) ((-643 . -21) T) ((-643 . -25) T) ((-451 . -1159) 43746) ((-451 . -1156) 43716) ((-394 . -260) 43644) ((-288 . -1037) 43494) ((-285 . -1037) T) ((-1125 . -34) 43460) ((-1125 . -92) 43426) ((-83 . -572) 43408) ((-90 . -99) 43386) ((-1205 . -126) T) ((-693 . -126) T) ((-545 . -135) T) ((-545 . -137) 43368) ((-496 . -137) 43350) ((-496 . -135) T) ((-288 . -23) 43203) ((-39 . -316) 43177) ((-285 . -23) T) ((-1078 . -603) 43159) ((-768 . -600) 43009) ((-1192 . -990) T) ((-1078 . -349) 42991) ((-156 . -208) 42975) ((-555 . -471) 42957) ((-217 . -493) 42890) ((-1199 . -676) T) ((-1197 . -676) T) ((-1098 . -989) 42773) ((-694 . -989) 42596) ((-1098 . -109) 42458) ((-770 . -983) T) ((-694 . -109) 42260) ((-494 . -99) T) ((-47 . -594) 42220) ((-489 . -99) T) ((-487 . -99) T) ((-1189 . -989) 42190) ((-971 . -37) 42174) ((-770 . -210) T) ((-770 . -220) 42153) ((-518 . -260) 42132) ((-1189 . -109) 42097) ((-1151 . -208) 42081) ((-1170 . -667) 41978) ((-1163 . -667) 41819) ((-995 . -573) NIL) ((-995 . -572) 41801) ((-1142 . -667) 41597) ((-1136 . -667) 41494) ((-940 . -863) T) ((-652 . -572) 41463) ((-142 . -676) T) ((-1038 . -344) 41442) ((-941 . -493) NIL) ((-226 . -387) 41411) ((-225 . -387) 41380) ((-960 . -25) T) ((-960 . -21) T) ((-558 . -667) 41353) ((-557 . -667) 41250) ((-752 . -260) 41208) ((-124 . -99) 41186) ((-786 . -974) 41084) ((-156 . -781) 41063) ((-292 . -600) 40960) ((-768 . -33) T) ((-664 . -99) T) ((-1043 . -1037) T) ((-963 . -1130) T) ((-355 . -37) 40925) ((-330 . -25) T) ((-330 . -21) T) ((-149 . -99) T) ((-145 . -99) T) ((-331 . -1186) 40909) ((-328 . -1186) 40893) ((-318 . -1186) 40877) ((-156 . -325) 40856) ((-532 . -800) T) ((-475 . -800) T) ((-1043 . -23) T) ((-86 . -572) 40838) ((-650 . -280) T) ((-787 . -37) 40808) ((-780 . -37) 40778) ((-1164 . -126) T) ((-1070 . -262) 40757) ((-906 . -746) 40710) ((-906 . -747) 40663) ((-768 . -744) 40642) ((-114 . -280) T) ((-90 . -282) 40580) ((-626 . -33) T) ((-518 . -565) 40559) ((-47 . -25) T) ((-47 . -21) T) ((-768 . -747) 40510) ((-768 . -746) 40489) ((-650 . -958) T) ((-605 . -989) 40473) ((-906 . -676) 40372) ((-768 . -676) 40299) ((-906 . -450) 40252) ((-465 . -748) 40203) ((-465 . -745) 40154) ((-853 . -1186) 40141) ((-1098 . -983) T) ((-694 . -983) T) ((-605 . -109) 40120) ((-1098 . -300) 40097) ((-1117 . -99) 40075) ((-1026 . -572) 40057) ((-650 . -517) T) ((-694 . -300) 40034) ((-769 . -1025) T) ((-694 . -210) T) ((-1189 . -983) T) ((-389 . -1025) T) ((-226 . -990) 39965) ((-225 . -990) 39896) ((-263 . -600) 39883) ((-555 . -260) 39858) ((-639 . -637) 39816) ((-1170 . -159) 39767) ((-905 . -572) 39749) ((-817 . -99) T) ((-685 . -572) 39731) ((-665 . -572) 39713) ((-1163 . -159) 39644) ((-1142 . -159) 39575) ((-1136 . -159) 39526) ((-648 . -800) T) ((-941 . -264) T) ((-428 . -572) 39508) ((-582 . -676) T) ((-59 . -1025) 39486) ((-222 . -141) 39470) ((-857 . -264) T) ((-960 . -949) T) ((-582 . -450) T) ((-662 . -1134) 39449) ((-558 . -159) 39428) ((-557 . -159) 39379) ((-1178 . -800) 39358) ((-662 . -524) 39269) ((-383 . -863) T) ((-383 . -773) 39248) ((-292 . -747) T) ((-292 . -676) T) ((-394 . -572) 39230) ((-394 . -573) 39133) ((-598 . -1069) 39117) ((-108 . -603) 39099) ((-124 . -282) 39037) ((-108 . -349) 39019) ((-160 . -280) T) ((-374 . -1130) T) ((-288 . -126) 38891) ((-285 . -126) T) ((-68 . -371) T) ((-108 . -121) T) ((-1090 . -800) 38870) ((-498 . -471) 38854) ((-606 . -1037) T) ((-555 . -19) 38836) ((-60 . -416) T) ((-60 . -371) T) ((-777 . -1025) T) ((-555 . -565) 38811) ((-461 . -974) 38771) ((-605 . -983) T) ((-606 . -23) T) ((-1192 . -1025) T) ((-769 . -667) 38620) ((-115 . -800) NIL) ((-1092 . -387) 38604) ((-1048 . -387) 38588) ((-804 . -387) 38572) ((-1162 . -99) T) ((-1142 . -493) 38306) ((-1117 . -282) 38244) ((-284 . -572) 38226) ((-1141 . -99) T) ((-1027 . -1025) T) ((-1094 . -260) 38211) ((-1093 . -260) 38196) ((-263 . -676) T) ((-106 . -852) NIL) ((-639 . -572) 38163) ((-639 . -573) 38124) ((-1009 . -600) 38034) ((-562 . -572) 38016) ((-518 . -573) NIL) ((-518 . -572) 37998) ((-1086 . -260) 37846) ((-469 . -989) 37796) ((-661 . -427) T) ((-490 . -488) 37775) ((-486 . -488) 37754) ((-195 . -989) 37704) ((-335 . -600) 37656) ((-329 . -600) 37608) ((-202 . -798) T) ((-319 . -600) 37560) ((-563 . -99) 37510) ((-465 . -344) 37489) ((-106 . -600) 37439) ((-469 . -109) 37366) ((-217 . -471) 37350) ((-317 . -137) 37332) ((-317 . -135) T) ((-156 . -346) 37303) ((-886 . -1176) 37287) ((-195 . -109) 37214) ((-817 . -282) 37179) ((-886 . -1025) 37129) ((-752 . -573) 37090) ((-752 . -572) 37072) ((-668 . -99) T) ((-305 . -1025) T) ((-1043 . -126) T) ((-664 . -37) 37042) ((-288 . -473) 37021) ((-480 . -1130) T) ((-1162 . -258) 36987) ((-1141 . -258) 36953) ((-301 . -141) 36937) ((-995 . -262) 36912) ((-1192 . -667) 36882) ((-1079 . -33) T) ((-1201 . -974) 36859) ((-445 . -572) 36841) ((-466 . -33) T) ((-693 . -594) 36749) ((-357 . -974) 36733) ((-1092 . -990) T) ((-1048 . -990) T) ((-804 . -990) T) ((-994 . -798) T) ((-769 . -159) 36644) ((-498 . -260) 36621) ((-115 . -930) 36598) ((-1170 . -264) 36577) ((-1163 . -264) 36528) ((-1112 . -340) 36502) ((-1015 . -241) 36486) ((-451 . -99) T) ((-341 . -1025) T) ((-226 . -1025) T) ((-225 . -1025) T) ((-1142 . -264) 36437) ((-107 . -1025) T) ((-1136 . -264) 36416) ((-817 . -1071) 36394) ((-1094 . -939) 36360) ((-567 . -340) 36300) ((-1093 . -939) 36266) ((-567 . -206) 36213) ((-555 . -572) 36195) ((-555 . -573) NIL) ((-643 . -800) T) ((-452 . -206) 36145) ((-469 . -983) T) ((-1086 . -939) 36111) ((-87 . -415) T) ((-87 . -371) T) ((-195 . -983) T) ((-1049 . -939) 36077) ((-1009 . -676) T) ((-662 . -1037) T) ((-558 . -264) 36056) ((-557 . -264) 36035) ((-469 . -220) T) ((-469 . -210) T) ((-1085 . -572) 36017) ((-817 . -37) 35969) ((-195 . -220) T) ((-195 . -210) T) ((-498 . -1166) 35953) ((-693 . -25) T) ((-335 . -676) T) ((-329 . -676) T) ((-319 . -676) T) ((-106 . -747) T) ((-106 . -744) T) ((-693 . -21) T) ((-106 . -676) T) ((-662 . -23) T) ((-1205 . -25) T) ((-451 . -258) 35919) ((-1205 . -21) T) ((-1141 . -282) 35858) ((-1096 . -99) T) ((-39 . -135) 35830) ((-39 . -137) 35802) ((-498 . -565) 35779) ((-1038 . -600) 35629) ((-563 . -282) 35567) ((-44 . -603) 35517) ((-44 . -618) 35467) ((-44 . -349) 35417) ((-1078 . -33) T) ((-816 . -798) NIL) ((-606 . -126) T) ((-467 . -572) 35399) ((-217 . -260) 35376) ((-599 . -33) T) ((-587 . -33) T) ((-1014 . -427) 35327) ((-769 . -493) 35192) ((-735 . -427) 35123) ((-733 . -427) 35074) ((-730 . -99) T) ((-429 . -427) 35025) ((-895 . -387) 35009) ((-681 . -572) 34991) ((-226 . -667) 34933) ((-225 . -667) 34875) ((-681 . -573) 34736) ((-464 . -387) 34720) ((-313 . -275) T) ((-327 . -863) T) ((-937 . -99) 34698) ((-960 . -800) T) ((-59 . -493) 34631) ((-1141 . -1071) 34583) ((-941 . -260) NIL) ((-202 . -990) T) ((-355 . -781) T) ((-1038 . -33) T) ((-545 . -427) T) ((-496 . -427) T) ((-1145 . -1019) 34567) ((-1145 . -1025) 34545) ((-217 . -565) 34522) ((-1145 . -1021) 34479) ((-1094 . -572) 34461) ((-1093 . -572) 34443) ((-1086 . -572) 34425) ((-1086 . -573) NIL) ((-1049 . -572) 34407) ((-817 . -376) 34391) ((-508 . -99) T) ((-1162 . -37) 34232) ((-1141 . -37) 34046) ((-815 . -137) T) ((-545 . -378) T) ((-47 . -800) T) ((-496 . -378) T) ((-1164 . -21) T) ((-1164 . -25) T) ((-1038 . -744) 34025) ((-1038 . -747) 33976) ((-1038 . -746) 33955) ((-931 . -1025) T) ((-964 . -33) T) ((-808 . -1025) T) ((-1174 . -99) T) ((-1038 . -676) 33882) ((-616 . -99) T) ((-518 . -262) 33861) ((-1104 . -99) T) ((-453 . -33) T) ((-440 . -33) T) ((-331 . -99) T) ((-328 . -99) T) ((-318 . -99) T) ((-239 . -99) T) ((-224 . -99) T) ((-461 . -280) T) ((-994 . -990) T) ((-895 . -990) T) ((-288 . -594) 33769) ((-285 . -594) 33730) ((-464 . -990) T) ((-462 . -99) T) ((-412 . -572) 33712) ((-1092 . -1025) T) ((-1048 . -1025) T) ((-804 . -1025) T) ((-1061 . -99) T) ((-769 . -264) 33643) ((-905 . -989) 33526) ((-461 . -958) T) ((-685 . -989) 33496) ((-428 . -989) 33466) ((-1067 . -1044) 33450) ((-1027 . -493) 33383) ((-905 . -109) 33245) ((-853 . -99) T) ((-685 . -109) 33210) ((-58 . -99) 33160) ((-498 . -573) 33121) ((-498 . -572) 33060) ((-497 . -99) 33038) ((-495 . -99) 32988) ((-477 . -99) 32966) ((-476 . -99) 32916) ((-428 . -109) 32867) ((-226 . -159) 32846) ((-225 . -159) 32825) ((-394 . -989) 32799) ((-1125 . -911) 32760) ((-936 . -1037) T) ((-886 . -493) 32693) ((-469 . -748) T) ((-451 . -37) 32534) ((-394 . -109) 32501) ((-469 . -745) T) ((-937 . -282) 32439) ((-195 . -748) T) ((-195 . -745) T) ((-936 . -23) T) ((-662 . -126) T) ((-1141 . -376) 32409) ((-288 . -25) 32262) ((-156 . -387) 32246) ((-288 . -21) 32118) ((-285 . -25) T) ((-285 . -21) T) ((-810 . -344) T) ((-108 . -33) T) ((-465 . -600) 31968) ((-816 . -990) T) ((-555 . -262) 31943) ((-544 . -137) T) ((-532 . -137) T) ((-475 . -137) T) ((-1092 . -667) 31772) ((-1048 . -667) 31621) ((-1043 . -594) 31603) ((-804 . -667) 31573) ((-622 . -1130) T) ((-1 . -99) T) ((-217 . -572) 31332) ((-1151 . -387) 31316) ((-1104 . -282) 31120) ((-905 . -983) T) ((-685 . -983) T) ((-665 . -983) T) ((-598 . -1025) 31070) ((-987 . -600) 31054) ((-805 . -387) 31038) ((-490 . -99) T) ((-486 . -99) T) ((-224 . -282) 31025) ((-239 . -282) 31012) ((-905 . -300) 30991) ((-361 . -600) 30975) ((-462 . -282) 30779) ((-226 . -493) 30712) ((-622 . -974) 30610) ((-225 . -493) 30543) ((-1061 . -282) 30469) ((-772 . -1025) T) ((-752 . -989) 30453) ((-1170 . -260) 30438) ((-1163 . -260) 30423) ((-1142 . -260) 30271) ((-1136 . -260) 30256) ((-362 . -1025) T) ((-297 . -1025) T) ((-394 . -983) T) ((-156 . -990) T) ((-58 . -282) 30194) ((-752 . -109) 30173) ((-557 . -260) 30158) ((-497 . -282) 30096) ((-495 . -282) 30034) ((-477 . -282) 29972) ((-476 . -282) 29910) ((-394 . -210) 29889) ((-465 . -33) T) ((-941 . -573) 29819) ((-202 . -1025) T) ((-941 . -572) 29801) ((-909 . -572) 29783) ((-909 . -573) 29758) ((-857 . -572) 29740) ((-648 . -137) T) ((-650 . -863) T) ((-650 . -773) T) ((-403 . -572) 29722) ((-1043 . -21) T) ((-1043 . -25) T) ((-622 . -353) 29706) ((-114 . -863) T) ((-817 . -208) 29690) ((-77 . -1130) T) ((-124 . -123) 29674) ((-987 . -33) T) ((-1199 . -974) 29648) ((-1197 . -974) 29605) ((-1151 . -990) T) ((-1090 . -135) 29584) ((-1090 . -137) 29563) ((-805 . -990) T) ((-465 . -744) 29542) ((-331 . -1071) 29521) ((-328 . -1071) 29500) ((-318 . -1071) 29479) ((-465 . -747) 29430) ((-465 . -746) 29409) ((-204 . -33) T) ((-465 . -676) 29336) ((-59 . -471) 29320) ((-539 . -990) T) ((-1092 . -159) 29211) ((-1048 . -159) 29122) ((-994 . -1025) T) ((-1014 . -892) 29067) ((-895 . -1025) T) ((-770 . -600) 29018) ((-735 . -892) 28987) ((-663 . -1025) T) ((-733 . -892) 28954) ((-495 . -256) 28938) ((-622 . -843) 28897) ((-464 . -1025) T) ((-429 . -892) 28864) ((-78 . -1130) T) ((-331 . -37) 28829) ((-328 . -37) 28794) ((-318 . -37) 28759) ((-239 . -37) 28608) ((-224 . -37) 28457) ((-853 . -1071) T) ((-579 . -137) 28436) ((-579 . -135) 28415) ((-115 . -137) T) ((-115 . -135) NIL) ((-390 . -676) T) ((-752 . -983) T) ((-317 . -427) T) ((-1170 . -939) 28381) ((-1163 . -939) 28347) ((-1142 . -939) 28313) ((-1136 . -939) 28279) ((-853 . -37) 28244) ((-202 . -667) 28209) ((-693 . -800) T) ((-39 . -385) 28181) ((-292 . -46) 28151) ((-936 . -126) T) ((-768 . -1130) T) ((-160 . -863) T) ((-317 . -378) T) ((-498 . -262) 28128) ((-44 . -33) T) ((-768 . -974) 27957) ((-614 . -99) T) ((-606 . -21) T) ((-606 . -25) T) ((-694 . -852) 27936) ((-1027 . -471) 27920) ((-1141 . -208) 27890) ((-626 . -1130) T) ((-222 . -99) 27840) ((-816 . -1025) T) ((-1098 . -600) 27765) ((-994 . -667) 27752) ((-681 . -989) 27595) ((-1092 . -493) 27541) ((-895 . -667) 27390) ((-1048 . -493) 27342) ((-694 . -600) 27267) ((-464 . -667) 27116) ((-66 . -572) 27098) ((-681 . -109) 26920) ((-886 . -471) 26904) ((-1189 . -600) 26864) ((-770 . -676) T) ((-1094 . -989) 26747) ((-1093 . -989) 26582) ((-1086 . -989) 26372) ((-1049 . -989) 26255) ((-940 . -1134) T) ((-1020 . -99) 26233) ((-768 . -353) 26203) ((-940 . -524) T) ((-1094 . -109) 26065) ((-1093 . -109) 25879) ((-1086 . -109) 25625) ((-1049 . -109) 25487) ((-1030 . -1028) 25451) ((-355 . -798) T) ((-1170 . -572) 25433) ((-1163 . -572) 25415) ((-1142 . -572) 25397) ((-1142 . -573) NIL) ((-1136 . -572) 25379) ((-217 . -262) 25356) ((-39 . -427) T) ((-202 . -159) T) ((-156 . -1025) T) ((-643 . -137) T) ((-643 . -135) NIL) ((-558 . -572) 25338) ((-557 . -572) 25320) ((-841 . -1025) T) ((-791 . -1025) T) ((-761 . -1025) T) ((-721 . -1025) T) ((-610 . -802) 25304) ((-627 . -1025) T) ((-768 . -843) 25237) ((-1090 . -1116) 25215) ((-1090 . -1119) 25193) ((-39 . -378) NIL) ((-1043 . -613) T) ((-816 . -667) 25138) ((-226 . -471) 25122) ((-225 . -471) 25106) ((-662 . -594) 25054) ((-605 . -600) 25028) ((-268 . -33) T) ((-1090 . -92) 25006) ((-1090 . -34) 24984) ((-681 . -983) T) ((-545 . -1186) 24971) ((-496 . -1186) 24948) ((-1151 . -1025) T) ((-1092 . -264) 24859) ((-1048 . -264) 24790) ((-994 . -159) T) ((-805 . -1025) T) ((-895 . -159) 24701) ((-735 . -1154) 24685) ((-598 . -493) 24618) ((-76 . -572) 24600) ((-681 . -300) 24565) ((-1098 . -676) T) ((-539 . -1025) T) ((-464 . -159) 24476) ((-694 . -676) T) ((-222 . -282) 24414) ((-1062 . -1037) T) ((-69 . -572) 24396) ((-1189 . -676) T) ((-1094 . -983) T) ((-1093 . -983) T) ((-301 . -99) 24346) ((-1086 . -983) T) ((-1062 . -23) T) ((-1049 . -983) T) ((-90 . -1044) 24330) ((-811 . -1037) T) ((-1094 . -210) 24289) ((-1093 . -220) 24268) ((-1093 . -210) 24220) ((-1086 . -210) 24107) ((-1086 . -220) 24086) ((-292 . -843) 23992) ((-811 . -23) T) ((-156 . -667) 23820) ((-383 . -1134) T) ((-1026 . -344) T) ((-960 . -137) T) ((-940 . -339) T) ((-815 . -427) T) ((-886 . -260) 23797) ((-288 . -800) T) ((-285 . -800) NIL) ((-818 . -99) T) ((-662 . -25) T) ((-383 . -524) T) ((-662 . -21) T) ((-330 . -137) 23779) ((-330 . -135) T) ((-1067 . -1025) 23757) ((-428 . -670) T) ((-74 . -572) 23739) ((-112 . -800) T) ((-222 . -256) 23723) ((-217 . -989) 23621) ((-80 . -572) 23603) ((-685 . -344) 23556) ((-1096 . -781) T) ((-687 . -212) 23540) ((-1079 . -1130) T) ((-131 . -212) 23522) ((-217 . -109) 23413) ((-1151 . -667) 23242) ((-47 . -137) T) ((-816 . -159) T) ((-805 . -667) 23212) ((-466 . -1130) T) ((-895 . -493) 23158) ((-605 . -676) T) ((-539 . -667) 23145) ((-971 . -990) T) ((-464 . -493) 23083) ((-886 . -19) 23067) ((-886 . -565) 23044) ((-769 . -573) NIL) ((-769 . -572) 23026) ((-941 . -989) 22976) ((-389 . -572) 22958) ((-226 . -260) 22935) ((-225 . -260) 22912) ((-469 . -852) NIL) ((-288 . -29) 22882) ((-106 . -1130) T) ((-940 . -1037) T) ((-195 . -852) NIL) ((-857 . -989) 22834) ((-1009 . -974) 22732) ((-941 . -109) 22659) ((-239 . -208) 22643) ((-687 . -644) 22627) ((-403 . -989) 22611) ((-355 . -990) T) ((-940 . -23) T) ((-857 . -109) 22542) ((-643 . -1119) NIL) ((-469 . -600) 22492) ((-106 . -827) 22474) ((-106 . -829) 22456) ((-643 . -1116) NIL) ((-195 . -600) 22406) ((-335 . -974) 22390) ((-329 . -974) 22374) ((-301 . -282) 22312) ((-319 . -974) 22296) ((-202 . -264) T) ((-403 . -109) 22275) ((-59 . -572) 22242) ((-156 . -159) T) ((-1043 . -800) T) ((-106 . -974) 22202) ((-835 . -1025) T) ((-787 . -990) T) ((-780 . -990) T) ((-643 . -34) NIL) ((-643 . -92) NIL) ((-285 . -930) 22163) ((-544 . -427) T) ((-532 . -427) T) ((-475 . -427) T) ((-383 . -339) T) ((-217 . -983) 22094) ((-1070 . -33) T) ((-461 . -863) T) ((-936 . -594) 22042) ((-226 . -565) 22019) ((-225 . -565) 21996) ((-1009 . -353) 21980) ((-816 . -493) 21843) ((-217 . -210) 21796) ((-1078 . -1130) T) ((-777 . -572) 21778) ((-1200 . -1037) T) ((-1192 . -572) 21760) ((-1151 . -159) 21651) ((-106 . -353) 21633) ((-106 . -312) 21615) ((-994 . -264) T) ((-895 . -264) 21546) ((-752 . -344) 21525) ((-599 . -1130) T) ((-587 . -1130) T) ((-464 . -264) 21456) ((-539 . -159) T) ((-301 . -256) 21440) ((-1200 . -23) T) ((-1125 . -99) T) ((-1112 . -1025) T) ((-1015 . -1025) T) ((-1005 . -1025) T) ((-82 . -572) 21422) ((-661 . -99) T) ((-331 . -325) 21401) ((-567 . -1025) T) ((-328 . -325) 21380) ((-318 . -325) 21359) ((-452 . -1025) T) ((-1104 . -206) 21309) ((-239 . -228) 21271) ((-1062 . -126) T) ((-567 . -569) 21247) ((-1009 . -843) 21180) ((-941 . -983) T) ((-857 . -983) T) ((-452 . -569) 21159) ((-1086 . -745) NIL) ((-1086 . -748) NIL) ((-1027 . -573) 21120) ((-462 . -206) 21070) ((-1027 . -572) 21052) ((-941 . -220) T) ((-941 . -210) T) ((-403 . -983) T) ((-900 . -1025) 21002) ((-857 . -220) T) ((-811 . -126) T) ((-648 . -427) T) ((-793 . -1037) 20981) ((-106 . -843) NIL) ((-1125 . -258) 20947) ((-817 . -798) 20926) ((-1038 . -1130) T) ((-848 . -676) T) ((-156 . -493) 20838) ((-936 . -25) T) ((-848 . -450) T) ((-383 . -1037) T) ((-469 . -747) T) ((-469 . -744) T) ((-853 . -325) T) ((-469 . -676) T) ((-195 . -747) T) ((-195 . -744) T) ((-936 . -21) T) ((-195 . -676) T) ((-793 . -23) 20790) ((-292 . -280) 20769) ((-972 . -212) 20715) ((-383 . -23) T) ((-886 . -573) 20676) ((-886 . -572) 20615) ((-598 . -471) 20599) ((-44 . -947) 20549) ((-1090 . -427) 20480) ((-305 . -572) 20462) ((-1038 . -974) 20291) ((-555 . -603) 20273) ((-555 . -349) 20255) ((-317 . -1186) 20232) ((-964 . -1130) T) ((-816 . -264) T) ((-1151 . -493) 20178) ((-453 . -1130) T) ((-440 . -1130) T) ((-549 . -99) T) ((-1092 . -260) 20105) ((-579 . -427) 20084) ((-937 . -932) 20068) ((-1192 . -358) 20040) ((-115 . -427) T) ((-1111 . -99) T) ((-1018 . -1025) 20018) ((-971 . -1025) T) ((-836 . -800) T) ((-1170 . -989) 19901) ((-327 . -1134) T) ((-1163 . -989) 19736) ((-1038 . -353) 19706) ((-1142 . -989) 19496) ((-1136 . -989) 19379) ((-1170 . -109) 19241) ((-1163 . -109) 19055) ((-1142 . -109) 18801) ((-1136 . -109) 18663) ((-1125 . -282) 18650) ((-327 . -524) T) ((-341 . -572) 18632) ((-263 . -280) T) ((-558 . -989) 18605) ((-557 . -989) 18488) ((-337 . -1025) T) ((-295 . -1025) T) ((-226 . -572) 18449) ((-225 . -572) 18410) ((-940 . -126) T) ((-107 . -572) 18392) ((-590 . -23) T) ((-643 . -385) 18359) ((-566 . -23) T) ((-610 . -99) T) ((-558 . -109) 18330) ((-557 . -109) 18192) ((-355 . -1025) T) ((-310 . -99) T) ((-156 . -264) 18103) ((-1141 . -798) 18056) ((-664 . -990) T) ((-1067 . -493) 17989) ((-1038 . -843) 17922) ((-787 . -1025) T) ((-780 . -1025) T) ((-778 . -1025) T) ((-93 . -99) T) ((-134 . -800) T) ((-693 . -137) 17901) ((-693 . -135) 17880) ((-571 . -827) 17864) ((-108 . -1130) T) ((-1014 . -99) T) ((-995 . -33) T) ((-735 . -99) T) ((-733 . -99) T) ((-436 . -99) T) ((-429 . -99) T) ((-217 . -748) 17815) ((-217 . -745) 17766) ((-601 . -99) T) ((-1151 . -264) 17677) ((-616 . -589) 17661) ((-598 . -260) 17638) ((-971 . -667) 17622) ((-539 . -264) T) ((-905 . -600) 17547) ((-1200 . -126) T) ((-685 . -600) 17507) ((-665 . -600) 17494) ((-250 . -99) T) ((-428 . -600) 17424) ((-49 . -99) T) ((-545 . -99) T) ((-496 . -99) T) ((-1170 . -983) T) ((-1163 . -983) T) ((-1142 . -983) T) ((-1136 . -983) T) ((-1170 . -210) 17383) ((-295 . -667) 17365) ((-1163 . -220) 17344) ((-1163 . -210) 17296) ((-1142 . -210) 17183) ((-1142 . -220) 17162) ((-1136 . -210) 17121) ((-1125 . -37) 17018) ((-558 . -983) T) ((-557 . -983) T) ((-941 . -748) T) ((-941 . -745) T) ((-909 . -748) T) ((-909 . -745) T) ((-817 . -990) T) ((-815 . -814) 17002) ((-643 . -427) T) ((-355 . -667) 16967) ((-394 . -600) 16941) ((-662 . -800) 16920) ((-661 . -37) 16885) ((-557 . -210) 16844) ((-39 . -674) 16816) ((-327 . -303) 16793) ((-327 . -339) T) ((-1009 . -280) 16744) ((-267 . -1037) 16626) ((-1031 . -1130) T) ((-158 . -99) T) ((-1145 . -572) 16593) ((-793 . -126) 16545) ((-598 . -1166) 16529) ((-787 . -667) 16499) ((-780 . -667) 16469) ((-465 . -1130) T) ((-335 . -280) T) ((-329 . -280) T) ((-319 . -280) T) ((-598 . -565) 16446) ((-383 . -126) T) ((-498 . -618) 16430) ((-106 . -280) T) ((-267 . -23) 16314) ((-498 . -603) 16298) ((-643 . -378) NIL) ((-498 . -349) 16282) ((-90 . -1025) 16260) ((-106 . -958) T) ((-532 . -133) T) ((-1178 . -141) 16244) ((-465 . -974) 16073) ((-1164 . -135) 16034) ((-1164 . -137) 15995) ((-987 . -1130) T) ((-931 . -572) 15977) ((-808 . -572) 15959) ((-769 . -989) 15802) ((-1014 . -282) 15789) ((-204 . -1130) T) ((-735 . -282) 15776) ((-733 . -282) 15763) ((-769 . -109) 15585) ((-429 . -282) 15572) ((-1092 . -573) NIL) ((-1092 . -572) 15554) ((-1048 . -572) 15536) ((-1048 . -573) 15284) ((-971 . -159) T) ((-804 . -572) 15266) ((-886 . -262) 15243) ((-567 . -493) 14991) ((-771 . -974) 14975) ((-452 . -493) 14735) ((-905 . -676) T) ((-685 . -676) T) ((-665 . -676) T) ((-327 . -1037) T) ((-1099 . -572) 14717) ((-200 . -99) T) ((-465 . -353) 14687) ((-494 . -1025) T) ((-489 . -1025) T) ((-487 . -1025) T) ((-752 . -600) 14661) ((-960 . -427) T) ((-900 . -493) 14594) ((-327 . -23) T) ((-590 . -126) T) ((-566 . -126) T) ((-330 . -427) T) ((-217 . -344) 14573) ((-355 . -159) T) ((-1162 . -990) T) ((-1141 . -990) T) ((-202 . -939) T) ((-648 . -363) T) ((-394 . -676) T) ((-650 . -1134) T) ((-1062 . -594) 14521) ((-544 . -814) 14505) ((-1079 . -1107) 14481) ((-650 . -524) T) ((-124 . -1025) 14459) ((-1192 . -989) 14443) ((-664 . -1025) T) ((-465 . -843) 14376) ((-610 . -37) 14346) ((-330 . -378) T) ((-288 . -137) 14325) ((-288 . -135) 14304) ((-114 . -524) T) ((-285 . -137) 14260) ((-285 . -135) 14216) ((-47 . -427) T) ((-149 . -1025) T) ((-145 . -1025) T) ((-1079 . -105) 14163) ((-1090 . -892) 14132) ((-735 . -1071) 14110) ((-639 . -33) T) ((-1192 . -109) 14089) ((-518 . -33) T) ((-466 . -105) 14073) ((-226 . -262) 14050) ((-225 . -262) 14027) ((-816 . -260) 13957) ((-44 . -1130) T) ((-769 . -983) T) ((-1098 . -46) 13934) ((-769 . -300) 13896) ((-1014 . -37) 13745) ((-769 . -210) 13724) ((-735 . -37) 13553) ((-733 . -37) 13402) ((-694 . -46) 13379) ((-429 . -37) 13228) ((-598 . -573) 13189) ((-598 . -572) 13128) ((-545 . -1071) T) ((-496 . -1071) T) ((-1067 . -471) 13112) ((-1117 . -1025) 13090) ((-1062 . -25) T) ((-1062 . -21) T) ((-451 . -990) T) ((-1142 . -745) NIL) ((-1142 . -748) NIL) ((-936 . -800) 13069) ((-772 . -572) 13051) ((-811 . -21) T) ((-811 . -25) T) ((-752 . -676) T) ((-160 . -1134) T) ((-545 . -37) 13016) ((-496 . -37) 12981) ((-362 . -572) 12963) ((-297 . -572) 12945) ((-156 . -260) 12903) ((-62 . -1130) T) ((-110 . -99) T) ((-817 . -1025) T) ((-160 . -524) T) ((-664 . -667) 12873) ((-267 . -126) 12757) ((-202 . -572) 12739) ((-202 . -573) 12669) ((-940 . -594) 12603) ((-1192 . -983) T) ((-1043 . -137) T) ((-587 . -1107) 12578) ((-681 . -852) 12557) ((-555 . -33) T) ((-599 . -105) 12541) ((-587 . -105) 12487) ((-694 . -829) NIL) ((-1151 . -260) 12414) ((-681 . -600) 12339) ((-268 . -1130) T) ((-1098 . -974) 12237) ((-694 . -974) 12119) ((-1086 . -852) NIL) ((-994 . -573) 12034) ((-994 . -572) 12016) ((-317 . -99) T) ((-226 . -989) 11914) ((-225 . -989) 11812) ((-370 . -99) T) ((-895 . -572) 11794) ((-895 . -573) 11655) ((-663 . -572) 11637) ((-1190 . -1124) 11606) ((-464 . -572) 11588) ((-464 . -573) 11449) ((-224 . -387) 11433) ((-239 . -387) 11417) ((-226 . -109) 11308) ((-225 . -109) 11199) ((-1094 . -600) 11124) ((-1093 . -600) 11021) ((-1086 . -600) 10873) ((-1049 . -600) 10798) ((-327 . -126) T) ((-81 . -416) T) ((-81 . -371) T) ((-940 . -25) T) ((-940 . -21) T) ((-817 . -667) 10750) ((-355 . -264) T) ((-156 . -939) 10702) ((-694 . -353) 10686) ((-643 . -363) T) ((-936 . -934) 10670) ((-650 . -1037) T) ((-643 . -153) 10652) ((-1162 . -1025) T) ((-1141 . -1025) T) ((-288 . -1116) 10631) ((-288 . -1119) 10610) ((-1084 . -99) T) ((-288 . -901) 10589) ((-128 . -1037) T) ((-114 . -1037) T) ((-563 . -1176) 10573) ((-650 . -23) T) ((-563 . -1025) 10523) ((-90 . -493) 10456) ((-160 . -339) T) ((-1090 . -1154) 10440) ((-288 . -92) 10419) ((-288 . -34) 10398) ((-567 . -471) 10332) ((-128 . -23) T) ((-114 . -23) T) ((-668 . -1025) T) ((-452 . -471) 10269) ((-383 . -594) 10217) ((-605 . -974) 10115) ((-694 . -843) 10058) ((-900 . -471) 10042) ((-331 . -990) T) ((-328 . -990) T) ((-318 . -990) T) ((-239 . -990) T) ((-224 . -990) T) ((-816 . -573) NIL) ((-816 . -572) 10024) ((-1200 . -21) T) ((-539 . -939) T) ((-681 . -676) T) ((-1200 . -25) T) ((-226 . -983) 9955) ((-225 . -983) 9886) ((-71 . -1130) T) ((-226 . -210) 9839) ((-225 . -210) 9792) ((-39 . -99) T) ((-853 . -990) T) ((-1094 . -676) T) ((-1093 . -676) T) ((-1086 . -676) T) ((-1086 . -744) NIL) ((-1086 . -747) NIL) ((-864 . -99) T) ((-1049 . -676) T) ((-723 . -99) T) ((-623 . -99) T) ((-451 . -1025) T) ((-313 . -1037) T) ((-1162 . -667) 9633) ((-160 . -1037) T) ((-292 . -863) 9612) ((-693 . -427) 9591) ((-817 . -159) T) ((-1141 . -667) 9405) ((-793 . -21) 9357) ((-793 . -25) 9309) ((-222 . -1069) 9293) ((-124 . -493) 9226) ((-383 . -25) T) ((-383 . -21) T) ((-313 . -23) T) ((-156 . -573) 8994) ((-156 . -572) 8976) ((-160 . -23) T) ((-598 . -262) 8953) ((-498 . -33) T) ((-841 . -572) 8935) ((-88 . -1130) T) ((-791 . -572) 8917) ((-761 . -572) 8899) ((-721 . -572) 8881) ((-627 . -572) 8863) ((-217 . -600) 8713) ((-1096 . -1025) T) ((-1092 . -989) 8536) ((-1070 . -1130) T) ((-1048 . -989) 8379) ((-804 . -989) 8363) ((-1092 . -109) 8165) ((-1048 . -109) 7987) ((-804 . -109) 7966) ((-1151 . -573) NIL) ((-1151 . -572) 7948) ((-317 . -1071) T) ((-805 . -572) 7930) ((-1005 . -260) 7909) ((-79 . -1130) T) ((-941 . -852) NIL) ((-567 . -260) 7885) ((-1117 . -493) 7818) ((-469 . -1130) T) ((-539 . -572) 7800) ((-452 . -260) 7779) ((-195 . -1130) T) ((-1014 . -208) 7763) ((-941 . -600) 7713) ((-263 . -863) T) ((-770 . -280) 7692) ((-815 . -99) T) ((-735 . -208) 7676) ((-730 . -1025) T) ((-900 . -260) 7653) ((-857 . -600) 7605) ((-590 . -21) T) ((-590 . -25) T) ((-566 . -21) T) ((-317 . -37) 7570) ((-643 . -674) 7537) ((-469 . -827) 7519) ((-469 . -829) 7501) ((-451 . -667) 7342) ((-195 . -827) 7324) ((-63 . -1130) T) ((-195 . -829) 7306) ((-566 . -25) T) ((-403 . -600) 7280) ((-469 . -974) 7240) ((-817 . -493) 7152) ((-195 . -974) 7112) ((-217 . -33) T) ((-937 . -1025) 7090) ((-1162 . -159) 7021) ((-1141 . -159) 6952) ((-662 . -135) 6931) ((-662 . -137) 6910) ((-650 . -126) T) ((-130 . -442) 6887) ((-437 . -99) T) ((-610 . -608) 6871) ((-1067 . -572) 6838) ((-114 . -126) T) ((-461 . -1134) T) ((-567 . -565) 6814) ((-452 . -565) 6793) ((-310 . -309) 6762) ((-508 . -1025) T) ((-461 . -524) T) ((-1092 . -983) T) ((-1048 . -983) T) ((-804 . -983) T) ((-217 . -744) 6741) ((-217 . -747) 6692) ((-217 . -746) 6671) ((-1092 . -300) 6648) ((-217 . -676) 6575) ((-900 . -19) 6559) ((-469 . -353) 6541) ((-469 . -312) 6523) ((-1048 . -300) 6495) ((-330 . -1186) 6472) ((-195 . -353) 6454) ((-195 . -312) 6436) ((-900 . -565) 6413) ((-1092 . -210) T) ((-616 . -1025) T) ((-1174 . -1025) T) ((-1104 . -1025) T) ((-1014 . -228) 6350) ((-331 . -1025) T) ((-328 . -1025) T) ((-318 . -1025) T) ((-239 . -1025) T) ((-224 . -1025) T) ((-83 . -1130) T) ((-125 . -99) 6328) ((-119 . -99) 6306) ((-694 . -280) 6285) ((-1104 . -569) 6264) ((-462 . -1025) T) ((-1061 . -1025) T) ((-462 . -569) 6243) ((-226 . -748) 6194) ((-226 . -745) 6145) ((-225 . -748) 6096) ((-39 . -1071) NIL) ((-225 . -745) 6047) ((-1009 . -863) 5998) ((-941 . -747) T) ((-941 . -744) T) ((-941 . -676) T) ((-909 . -747) T) ((-857 . -676) T) ((-90 . -471) 5982) ((-469 . -843) NIL) ((-853 . -1025) T) ((-202 . -989) 5947) ((-817 . -264) T) ((-195 . -843) NIL) ((-786 . -1037) 5926) ((-58 . -1025) 5876) ((-497 . -1025) 5854) ((-495 . -1025) 5804) ((-477 . -1025) 5782) ((-476 . -1025) 5732) ((-544 . -99) T) ((-532 . -99) T) ((-475 . -99) T) ((-451 . -159) 5663) ((-335 . -863) T) ((-329 . -863) T) ((-319 . -863) T) ((-202 . -109) 5612) ((-786 . -23) 5564) ((-403 . -676) T) ((-106 . -863) T) ((-39 . -37) 5509) ((-106 . -773) T) ((-545 . -325) T) ((-496 . -325) T) ((-1141 . -493) 5369) ((-288 . -427) 5348) ((-285 . -427) T) ((-787 . -260) 5327) ((-313 . -126) T) ((-160 . -126) T) ((-267 . -25) 5192) ((-267 . -21) 5076) ((-44 . -1107) 5055) ((-65 . -572) 5037) ((-835 . -572) 5019) ((-563 . -493) 4952) ((-44 . -105) 4902) ((-1027 . -401) 4886) ((-1027 . -344) 4865) ((-995 . -1130) T) ((-994 . -989) 4852) ((-895 . -989) 4695) ((-464 . -989) 4538) ((-616 . -667) 4522) ((-994 . -109) 4507) ((-895 . -109) 4329) ((-461 . -339) T) ((-331 . -667) 4281) ((-328 . -667) 4233) ((-318 . -667) 4185) ((-239 . -667) 4034) ((-224 . -667) 3883) ((-886 . -603) 3867) ((-464 . -109) 3689) ((-1179 . -99) T) ((-886 . -349) 3673) ((-1142 . -852) NIL) ((-73 . -572) 3655) ((-905 . -46) 3634) ((-577 . -1037) T) ((-1 . -1025) T) ((-660 . -99) T) ((-648 . -99) T) ((-1178 . -99) 3584) ((-1170 . -600) 3509) ((-1163 . -600) 3406) ((-1142 . -600) 3258) ((-124 . -471) 3242) ((-1112 . -572) 3224) ((-1015 . -572) 3206) ((-366 . -23) T) ((-1005 . -572) 3188) ((-86 . -1130) T) ((-1136 . -600) 3113) ((-853 . -667) 3078) ((-577 . -23) T) ((-567 . -572) 3060) ((-567 . -573) NIL) ((-452 . -573) NIL) ((-452 . -572) 3042) ((-490 . -1025) T) ((-486 . -1025) T) ((-327 . -25) T) ((-327 . -21) T) ((-125 . -282) 2980) ((-119 . -282) 2918) ((-558 . -600) 2905) ((-202 . -983) T) ((-557 . -600) 2830) ((-355 . -939) T) ((-202 . -220) T) ((-202 . -210) T) ((-1090 . -99) T) ((-900 . -573) 2791) ((-900 . -572) 2730) ((-815 . -37) 2717) ((-1162 . -264) 2668) ((-1141 . -264) 2619) ((-1043 . -427) T) ((-482 . -800) T) ((-288 . -1059) 2598) ((-936 . -137) 2577) ((-936 . -135) 2556) ((-693 . -148) T) ((-693 . -133) T) ((-475 . -282) 2543) ((-268 . -1107) 2522) ((-461 . -1037) T) ((-816 . -989) 2467) ((-579 . -99) T) ((-1117 . -471) 2451) ((-226 . -344) 2430) ((-225 . -344) 2409) ((-1090 . -258) 2387) ((-268 . -105) 2337) ((-994 . -983) T) ((-115 . -99) T) ((-895 . -983) T) ((-816 . -109) 2254) ((-461 . -23) T) ((-464 . -983) T) ((-994 . -210) T) ((-895 . -300) 2223) ((-464 . -300) 2180) ((-331 . -159) T) ((-328 . -159) T) ((-318 . -159) T) ((-239 . -159) 2091) ((-224 . -159) 2002) ((-905 . -974) 1900) ((-685 . -974) 1871) ((-1030 . -99) T) ((-1018 . -572) 1838) ((-971 . -572) 1820) ((-1170 . -676) T) ((-1163 . -676) T) ((-1142 . -676) T) ((-1142 . -744) NIL) ((-156 . -989) 1730) ((-1142 . -747) NIL) ((-853 . -159) T) ((-1136 . -676) T) ((-1190 . -141) 1714) ((-940 . -316) 1688) ((-937 . -493) 1621) ((-793 . -800) 1600) ((-532 . -1071) T) ((-451 . -264) 1551) ((-558 . -676) T) ((-337 . -572) 1533) ((-295 . -572) 1515) ((-394 . -974) 1413) ((-557 . -676) T) ((-383 . -800) 1364) ((-156 . -109) 1253) ((-786 . -126) 1205) ((-687 . -141) 1189) ((-1178 . -282) 1127) ((-469 . -280) T) ((-355 . -572) 1094) ((-498 . -947) 1078) ((-355 . -573) 992) ((-195 . -280) T) ((-131 . -141) 974) ((-664 . -260) 953) ((-469 . -958) T) ((-544 . -37) 940) ((-532 . -37) 927) ((-475 . -37) 892) ((-1090 . -282) 879) ((-195 . -958) T) ((-816 . -983) T) ((-787 . -572) 861) ((-780 . -572) 843) ((-778 . -572) 825) ((-769 . -852) 804) ((-1201 . -1037) T) ((-1151 . -989) 627) ((-805 . -989) 611) ((-816 . -220) T) ((-816 . -210) NIL) ((-639 . -1130) T) ((-1201 . -23) T) ((-769 . -600) 536) ((-518 . -1130) T) ((-394 . -312) 520) ((-539 . -989) 507) ((-1151 . -109) 309) ((-650 . -594) 291) ((-805 . -109) 270) ((-357 . -23) T) ((-1104 . -493) 30)) 
\ No newline at end of file
diff --git a/src/share/algebra/compress.daase b/src/share/algebra/compress.daase
old mode 100755
new mode 100644
index 2a92971..19a6d1a
--- a/src/share/algebra/compress.daase
+++ b/src/share/algebra/compress.daase
@@ -1,3 +1,3 @@
 
-(30 . 3269429128)            
-(4170 |Enumeration| |Mapping| |Record| |Union| |ofCategory| |isDomain| ATTRIBUTE |package| |domain| |category| CATEGORY |nobranch| AND |Join| |ofType| SIGNATURE "failed" "algebra" |OneDimensionalArrayAggregate&| |OneDimensionalArrayAggregate| |AbelianGroup&| |AbelianGroup| |AbelianMonoid&| |AbelianMonoid| |AbelianSemiGroup&| |AbelianSemiGroup| |AlgebraicallyClosedField&| |AlgebraicallyClosedField| |AlgebraicallyClosedFunctionSpace&| |AlgebraicallyClosedFunctionSpace| |PlaneAlgebraicCurvePlot| |AlgebraicFunction| |Aggregate&| |Aggregate| |ArcHyperbolicFunctionCategory| |AssociationListAggregate| |Algebra&| |Algebra| |AlgFactor| |AlgebraicFunctionField| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraPackage| |AlgebraGivenByStructuralConstants| |AssociationList| |AbelianMonoidRing&| |AbelianMonoidRing| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |AnyFunctions1| |ApplyUnivariateSkewPolynomial| |ApplyRules| |TwoDimensionalArrayCategory&| |TwoDimensionalArrayCategory| |OneDimensionalArray| |OneDimensionalArrayFunctions2| |TwoDimensionalArray| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |ArrayStack| |ArcTrigonometricFunctionCategory&| |ArcTrigonometricFunctionCategory| |AttributeButtons| |AttributeRegistry| |Automorphism| |BalancedFactorisation| |BasicType&| |BasicType| |BalancedBinaryTree| |BezoutMatrix| |BasicFunctions| |BagAggregate&| |BagAggregate| |BinaryExpansion| |BinaryFile| |Bits| |BiModule| |Boolean| |BasicOperator| |BasicOperatorFunctions1| |BoundIntegerRoots| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryRecursiveAggregate&| |BinaryRecursiveAggregate| |BrillhartTests| |BinarySearchTree| |BitAggregate&| |BitAggregate| |BinaryTreeCategory&| |BinaryTreeCategory| |BinaryTournament| |BinaryTree| |CancellationAbelianMonoid| |CachableSet| |CardinalNumber| |CartesianTensor| |CartesianTensorFunctions2| |CharacterClass| |CommonDenominator| |CombinatorialFunctionCategory| |Character| |CharacteristicNonZero| |CharacteristicPolynomialPackage| |CharacteristicZero| |ChangeOfVariable| |ComplexIntegerSolveLinearPolynomialEquation| |Collection&| |Collection| |CliffordAlgebra| |TwoDimensionalPlotClipping| |ComplexRootPackage| |Color| |CombinatorialFunction| |IntegerCombinatoricFunctions| |CombinatorialOpsCategory| |Commutator| |CommonOperators| |CommuteUnivariatePolynomialCategory| |ComplexCategory&| |ComplexCategory| |ComplexFactorization| |Complex| |ComplexFunctions2| |ComplexPattern| |SubSpaceComponentProperty| |CommutativeRing| |ContinuedFraction| |CoordinateSystems| |CharacteristicPolynomialInMonogenicalAlgebra| |ComplexPatternMatch| |CRApackage| |ComplexRootFindingPackage| |CyclicStreamTools| |ComplexTrigonometricManipulations| |CoerceVectorMatrixPackage| |CycleIndicators| |CyclotomicPolynomialPackage| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d01TransformFunctionType| |d01WeightsPackage| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |Database| |DoubleResultantPackage| |DistinctDegreeFactorize| |DecimalExpansion| |ElementaryFunctionDefiniteIntegration| |RationalFunctionDefiniteIntegration| |DegreeReductionPackage| |Dequeue| |DeRhamComplex| |DefiniteIntegrationTools| |DoubleFloat| |DoubleFloatSpecialFunctions| |Dictionary&| |Dictionary| |DifferentialExtension&| |DifferentialExtension| |DifferentialRing&| |DifferentialRing| |DictionaryOperations&| |DictionaryOperations| |DiophantineSolutionPackage| |DirectProductCategory&| |DirectProductCategory| |DirectProduct| |DirectProductFunctions2| |DisplayPackage| |DivisionRing&| |DivisionRing| |DoublyLinkedAggregate| |DataList| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |DirectProductMatrixModule| |DirectProductModule| |DifferentialPolynomialCategory&| |DifferentialPolynomialCategory| |DequeueAggregate| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |DrawComplex| |DrawNumericHack| |TopLevelDrawFunctionsForPoints| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DifferentialVariableCategory| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType| |ExtAlgBasis| |ElementaryFunction| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ExtensibleLinearAggregate&| |ExtensibleLinearAggregate| |ElementaryFunctionCategory&| |ElementaryFunctionCategory| |EllipticFunctionsUnivariateTaylorSeries| |Eltable| |EltableAggregate&| |EltableAggregate| |EuclideanModularRing| |EntireRing| |EigenPackage| |Equation| |EquationFunctions2| |EqTable| |ErrorFunctions| |ExpressionSpace&| |ExpressionSpace| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpertSystemContinuityPackage| |ExpertSystemContinuityPackage1| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |EuclideanDomain&| |EuclideanDomain| |Evalable&| |Evalable| |EvaluateCycleIndicators| |Exit| |ExponentialExpansion| |Expression| |ExpressionFunctions2| |ExpressionToUnivariatePowerSeries| |ExpressionSpaceODESolver| |ExpressionTubePlot| |ExponentialOfUnivariatePuiseuxSeries| |FactoredFunctions| |FactoringUtilities| |FreeAbelianGroup| |FreeAbelianMonoidCategory| |FreeAbelianMonoid| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRing| |FlexibleArray| |FiniteAlgebraicExtensionField&| |FiniteAlgebraicExtensionField| |FortranCode| |FourierComponent| |FortranCodePackage1| |FiniteDivisor| |FiniteDivisorFunctions2| |FiniteDivisorCategory&| |FiniteDivisorCategory| |FullyEvalableOver&| |FullyEvalableOver| |FortranExpression| |FiniteField| |FunctionFieldCategory&| |FunctionFieldCategory| |FunctionFieldCategoryFunctions2| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldCyclicGroupExtension| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldCategory&| |FiniteFieldCategory| |FunctionFieldIntegralBasis| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldNormalBasisExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldExtension| |FGLMIfCanPackage| |FreeGroup| |Field&| |Field| |File| |FileCategory| |FiniteRankNonAssociativeAlgebra&| |FiniteRankNonAssociativeAlgebra| |Finite| |FiniteRankAlgebra&| |FiniteRankAlgebra| |FiniteLinearAggregate&| |FiniteLinearAggregate| |FiniteLinearAggregateFunctions2| |FreeLieAlgebra| |FiniteLinearAggregateSort| |FullyLinearlyExplicitRingOver&| |FullyLinearlyExplicitRingOver| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FreeModule| |FreeModule1| |FortranMatrixCategory| |FreeModuleCat| |FortranMatrixFunctionCategory| |FreeMonoid| |FortranMachineTypeCategory| |FileName| |FileNameCategory| |FreeNilpotentLie| |FortranOutputStackPackage| |FindOrderFinite| |ScriptFormulaFormat| |ScriptFormulaFormat1| |FortranPackage| |FortranProgramCategory| |FortranFunctionCategory| |FortranProgram| |FullPartialFractionExpansion| |FullyPatternMatchable| |FieldOfPrimeCharacteristic&| |FieldOfPrimeCharacteristic| |FloatingPointSystem&| |FloatingPointSystem| |Factored| |FactoredFunctions2| |Fraction| |FractionFunctions2| |FramedAlgebra&| |FramedAlgebra| |FullyRetractableTo&| |FullyRetractableTo| |FractionalIdeal| |FractionalIdealFunctions2| |FramedModule| |FramedNonAssociativeAlgebraFunctions2| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebra| |FactoredFunctionUtilities| |FunctionSpace&| |FunctionSpace| |FunctionSpaceFunctions2| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FiniteSetAggregate&| |FiniteSetAggregate| |FiniteSetAggregateFunctions2| |FunctionSpaceComplexIntegration| |FourierSeries| |FunctionSpaceIntegration| |FunctionalSpecialFunction| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FortranScalarType| |FunctionSpaceUnivariatePolynomialFactor| |FortranType| |FortranTemplate| |FunctionCalled| |FortranVectorCategory| |FortranVectorFunctionCategory| |GaloisGroupFactorizer| |GaloisGroupFactorizationUtilities| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GroebnerPackage| |EuclideanGroebnerBasisPackage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GcdDomain&| |GcdDomain| |GenericNonAssociativeAlgebra| |GeneralDistributedMultivariatePolynomial| |GenExEuclid| |GeneralizedMultivariateFactorize| |GeneralPolynomialGcdPackage| |GenUFactorize| |GenerateUnivariatePowerSeries| |GeneralHenselPackage| |GeneralModulePolynomial| |GosperSummationMethod| |GeneralPolynomialSet| |GradedAlgebra&| |GradedAlgebra| |GrayCode| |GraphicsDefaults| |GraphImage| |GradedModule&| |GradedModule| |GroebnerSolve| |Group&| |Group| |GeneralUnivariatePowerSeries| |GeneralSparseTable| |GeneralTriangularSet| |Pi| |HashTable| |HallBasis| |HomogeneousDistributedMultivariatePolynomial| |HomogeneousDirectProduct| |Heap| |HyperellipticFiniteDivisor| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousAggregate| |HyperbolicFunctionCategory&| |HyperbolicFunctionCategory| |InnerAlgFactor| |InnerAlgebraicNumber| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |ChineseRemainderToolsForIntegralBases| |IntegralBasisTools| |IndexedBits| |IntegralBasisPolynomialTools| |IndexCard| |InnerCommonDenominator| |PolynomialIdeals| |IdealDecompositionPackage| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |InnerEvalable&| |InnerEvalable| |InnerFreeAbelianMonoid| |IndexedFlexibleArray| |InnerFiniteField| |InnerIndexedTwoDimensionalArray| |IndexedList| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |IndexedMatrix| |InnerNormalBasisFieldFunctions| |IncrementingMaps| |IndexedExponents| |InnerNumericEigenPackage| |Infinity| |InputForm| |InputFormFunctions1| |InfiniteProductCharacteristicZero| |InnerNumericFloatSolvePackage| |InnerModularGcd| |InnerMultFact| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerPolySign| |IntegerNumberSystem&| |IntegerNumberSystem| |Integer| |InnerTable| |AlgebraicIntegration| |AlgebraicIntegrate| |IntegerBits| |IntervalCategory| |IntegralDomain&| |IntegralDomain| |ElementaryIntegration| |IntegerFactorizationPackage| |IntegrationFunctionsTable| |GenusZeroIntegration| |IntegerNumberTheoryFunctions| |AlgebraicHermiteIntegration| |TranscendentalHermiteIntegration| |AnnaNumericalIntegrationPackage| |PureAlgebraicIntegration| |PatternMatchIntegration| |RationalIntegration| |IntegerRetractions| |RationalFunctionIntegration| |Interval| |IntegerSolveLinearPolynomialEquation| |IntegrationTools| |TranscendentalIntegration| |InverseLaplaceTransform| |InnerPAdicInteger| |InnerPrimeField| |InternalPrintPackage| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultToFunction| |IntegerRoots| |IrredPolyOverFiniteField| |IntegrationResultRFToFunction| |IrrRepSymNatPackage| |InternalRationalUnivariateRepresentationPackage| |IndexedString| |InnerPolySum| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerTrigonometricManipulations| |InfiniteTuple| |IndexedVector| |IndexedAggregate&| |IndexedAggregate| |AssociatedJordanAlgebra| |KeyedAccessFile| |KeyedDictionary&| |KeyedDictionary| |Kernel| |KernelFunctions2| |CoercibleTo| |ConvertibleTo| |Kovacic| |LocalAlgebra| |LeftAlgebra&| |LeftAlgebra| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LexTriangularPackage| |LiouvillianFunction| |LiouvillianFunctionCategory| |LinGroebnerPackage| |Library| |AssociatedLieAlgebra| |LieAlgebra&| |LieAlgebra| |PowerSeriesLimitPackage| |RationalFunctionLimitPackage| |LinearDependence| |LinearlyExplicitRingOver| |List| |ListFunctions2| |ListToMap| |ListFunctions3| |ListMultiDictionary| |LeftModule| |ListMonoidOps| |LinearAggregate&| |LinearAggregate| |Localize| |ElementaryFunctionLODESolver| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorCategory| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |Logic&| |Logic| |LinearPolynomialEquationByFractions| |LiePolynomial| |ListAggregate&| |ListAggregate| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LieSquareMatrix| |LyndonWord| |LazyStreamAggregate&| |LazyStreamAggregate| |ThreeDimensionalMatrix| |Magma| |MappingPackageInternalHacks1| |MappingPackageInternalHacks2| |MappingPackageInternalHacks3| |MappingPackage1| |MappingPackage2| |MappingPackage3| |MatrixCategory&| |MatrixCategory| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |Matrix| |StorageEfficientMatrixOperations| |MultiVariableCalculusFunctions| |MatrixCommonDenominator| |MachineComplex| |MultiDictionary| |ModularDistinctDegreeFactorizer| |MeshCreationRoutinesForThreeDimensions| |MultFiniteFactorize| |MachineFloat| |ModularHermitianRowReduction| |MachineInteger| |MakeBinaryCompiledFunction| |MakeCachableSet| |MakeFloatCompiledFunction| |MakeFunction| |MakeRecord| |MakeUnaryCompiledFunction| |MultivariateLifting| |MonogenicLinearOperator| |MultipleMap| |ModularField| |ModMonic| |ModuleMonomial| |ModuleOperator| |ModularRing| |Module&| |Module| |MoebiusTransform| |Monad&| |Monad| |MonadWithUnit&| |MonadWithUnit| |MonogenicAlgebra&| |MonogenicAlgebra| |Monoid&| |Monoid| |MonomialExtensionTools| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MultivariatePolynomial| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MonoidRingFunctions2| |MonoidRing| |Multiset| |MultisetAggregate| |MoreSystemCommands| |MergeThing| |MultivariateTaylorSeriesCategory| |MultivariateFactorize| |MultivariateSquareFree| |NonAssociativeAlgebra&| |NonAssociativeAlgebra| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagIntegrationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagInterpolationPackage| |NagFittingPackage| |NagOptimisationPackage| |NagMatrixOperationsPackage| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagLapack| |NagSpecialFunctionsPackage| |NAGLinkSupportPackage| |NonAssociativeRng&| |NonAssociativeRng| |NonAssociativeRing&| |NonAssociativeRing| |NumericComplexEigenPackage| |NumericContinuedFraction| |NonCommutativeOperatorDivision| |NumberFieldIntegralBasis| |NumericalIntegrationProblem| |NonLinearSolvePackage| |NonNegativeInteger| |NonLinearFirstOrderODESolver| |None| |NoneFunctions1| |NormInMonogenicAlgebra| |NormalizationPackage| |NormRetractPackage| |NPCoef| |NumericRealEigenPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2| |NumberTheoreticPolynomialFunctions| |NormalizedTriangularSetCategory| |Numeric| |NumberFormats| |NumericalIntegrationCategory| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |NumericTubePlot| |OrderedAbelianGroup| |OrderedAbelianMonoid| |OrderedAbelianMonoidSup| |OrderedAbelianSemiGroup| |OctonionCategory&| |OctonionCategory| |OrderedCancellationAbelianMonoid| |Octonion| |OctonionCategoryFunctions2| |OrdinaryDifferentialEquationsSolverCategory| |ConstantLODE| |ElementaryFunctionODESolver| |ODEIntensityFunctionsTable| |ODEIntegration| |AnnaOrdinaryDifferentialEquationPackage| |PureAlgebraicLODE| |PrimitiveRatDE| |NumericalODEProblem| |PrimitiveRatRicDE| |RationalLODE| |ReduceLODE| |RationalRicDE| |SystemODESolver| |ODETools| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrderlyDifferentialVariable| |OrderedFreeMonoid| |OrderedIntegralDomain| |OpenMath| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |ExpressionToOpenMath| |OppositeMonogenicLinearOperator| |OpenMathPackage| |OrderedMultisetAggregate| |OpenMathServerPackage| |OnePointCompletion| |OnePointCompletionFunctions2| |Operator| |OperationsQuery| |NumericalOptimizationCategory| |AnnaNumericalOptimizationPackage| |NumericalOptimizationProblem| |OrderedCompletion| |OrderedCompletionFunctions2| |OrderedFinite| |OrderingFunctions| |OrderedMonoid| |OrderedRing&| |OrderedRing| |OrderedSet&| |OrderedSet| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategory| |UnivariateSkewPolynomialCategoryOps| |SparseUnivariateSkewPolynomial| |UnivariateSkewPolynomial| |OrthogonalPolynomialFunctions| |OrdSetInts| |OutputPackage| |OutputForm| |OrderedVariableList| |OrdinaryWeightedPolynomials| |PadeApproximants| |PadeApproximantPackage| |PAdicInteger| |PAdicIntegerCategory| |PAdicRational| |PAdicRationalConstructor| |Palette| |PolynomialAN2Expression| |ParametricPlaneCurveFunctions2| |ParametricPlaneCurve| |ParametricSpaceCurveFunctions2| |ParametricSpaceCurve| |ParametricSurfaceFunctions2| |ParametricSurface| |PartitionsAndPermutations| |Patternable| |PatternMatchListResult| |PatternMatchable| |PatternMatch| |PatternMatchResult| |PatternMatchResultFunctions2| |Pattern| |PatternFunctions1| |PatternFunctions2| |PoincareBirkhoffWittLyndonBasis| |PolynomialComposition| |PartialDifferentialEquationsSolverCategory| |PolynomialDecomposition| |AnnaPartialDifferentialEquationPackage| |NumericalPDEProblem| |PartialDifferentialRing&| |PartialDifferentialRing| |PendantTree| |Permutation| |Permanent| |PermutationCategory| |PermutationGroup| |PrimeField| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialFactorizationExplicit| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PartialFraction| |PartialFractionPackage| |PolynomialGcdPackage| |PermutationGroupExamples| |PolyGroebner| |PositiveInteger| |PiCoercions| |PrincipalIdealDomain| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |ParametricLinearEquations| |Plot| |PlotFunctions1| |Plot3D| |PlotTools| |PatternMatchAssertions| |FunctionSpaceAssertions| |PatternMatchPushDown| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchPolynomialCategory| |AttachPredicates| |FunctionSpaceAttachPredicates| |PatternMatchQuotientFieldCategory| |PatternMatchSymbol| |PatternMatchTools| |PolynomialNumberTheoryFunctions| |Point| |PolToPol| |RealPolynomialUtilitiesPackage| |Polynomial| |PolynomialFunctions2| |PolynomialToUnivariatePolynomial| |PolynomialCategory&| |PolynomialCategory| |PolynomialCategoryQuotientFunctions| |PolynomialCategoryLifting| |PolynomialRoots| |PlottablePlaneCurveCategory| |PolynomialRing| |PrecomputedAssociatedEquations| |PrimitiveArray| |PrimitiveArrayFunctions2| |PrimitiveFunctionCategory| |PrimitiveElement| |IntegerPrimesPackage| |PrintPackage| |Product| |PriorityQueueAggregate| |PseudoRemainderSequence| |Partition| |PowerSeriesCategory&| |PowerSeriesCategory| |PlottableSpaceCurveCategory| |PolynomialSetCategory&| |PolynomialSetCategory| |PolynomialSetUtilitiesPackage| |PseudoLinearNormalForm| |PolynomialSquareFree| |PointCategory| |PointFunctions2| |PointPackage| |PartialTranscendentalFunctions| |PushVariables| |PAdicWildFunctionFieldIntegralBasis| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |QueryEquation| |QuotientFieldCategory&| |QuotientFieldCategory| |QuotientFieldCategoryFunctions2| |QuadraticForm| |QueueAggregate| |Quaternion| |QuaternionCategory&| |QuaternionCategory| |QuaternionCategoryFunctions2| |Queue| |RadicalCategory&| |RadicalCategory| |RadicalFunctionField| |RadixExpansion| |RadixUtilities| |RandomNumberSource| |RationalFactorize| |RationalRetractions| |RecursiveAggregate&| |RecursiveAggregate| |RealClosedField&| |RealClosedField| |ElementaryRischDE| |ElementaryRischDESystem| |TranscendentalRischDE| |TranscendentalRischDESystem| |RandomDistributions| |ReducedDivisor| |RealConstant| |RealZeroPackage| |RealZeroPackageQ| |RealSolvePackage| |RealClosure| |ReductionOfOrder| |Reference| |RegularTriangularSet| |RadicalEigenPackage| |RepresentationPackage1| |RepresentationPackage2| |RepeatedDoubling| |RepeatedSquaring| |ResolveLatticeCompletion| |ResidueRing| |Result| |RetractableTo&| |RetractableTo| |RetractSolvePackage| |RationalFunction| |RandomFloatDistributions| |RationalFunctionFactor| |RationalFunctionFactorizer| |RegularChain| |RandomIntegerDistributions| |Ring&| |Ring| |RectangularMatrixCategory&| |RectangularMatrixCategory| |RectangularMatrix| |RectangularMatrixCategoryFunctions2| |RightModule| |Rng| |RealNumberSystem&| |RealNumberSystem| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RecursivePolynomialCategory&| |RecursivePolynomialCategory| |RealRootCharacterizationCategory&| |RealRootCharacterizationCategory| |RegularSetDecompositionPackage| |RegularTriangularSetCategory&| |RegularTriangularSetCategory| |RegularTriangularSetGcdPackage| |RewriteRule| |RuleCalled| |Ruleset| |RationalUnivariateRepresentationPackage| |SimpleAlgebraicExtension| |SimpleAlgebraicExtensionAlgFactor| |SAERationalFunctionAlgFactor| |SingletonAsOrderedSet| |SortedCache| |StructuralConstantsPackage| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Segment| |SegmentFunctions2| |SegmentBinding| |SegmentBindingFunctions2| |SegmentCategory| |SegmentExpansionCategory| |Set| |SetAggregate&| |SetAggregate| |SetCategory&| |SetCategory| |SetOfMIntegersInOneToN| |SExpression| |SExpressionCategory| |SExpressionOf| |SimpleFortranProgram| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage| |SquareFreeRegularTriangularSetCategory| |SymmetricGroupCombinatoricFunctions| |SemiGroup&| |SemiGroup| |SplitHomogeneousDirectProduct| |SturmHabichtPackage| |ElementaryFunctionSign| |RationalFunctionSign| |SimplifyAlgebraicNumberConvertPackage| |SingleInteger| |StackAggregate| |SquareMatrixCategory&| |SquareMatrixCategory| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |PolynomialSolveByFormulas| |RadicalSolvePackage| |TransSolvePackageService| |TransSolvePackage| |SortPackage| |ThreeSpace| |ThreeSpaceCategory| |SpecialOutputPackage| |SpecialFunctionCategory| |SplittingNode| |SplittingTree| |SquareMatrix| |StringAggregate&| |StringAggregate| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |Stack| |StreamAggregate&| |StreamAggregate| |SparseTable| |StepThrough| |StreamInfiniteProduct| |Stream| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StringCategory| |String| |StringTable| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |SubResultantPackage| |SubSpace| |SuchThat| |SparseUnivariateLaurentSeries| |FunctionSpaceSum| |RationalFunctionSum| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialFunctions2| |SupFractionFactorizer| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Switch| |Symbol| |SymmetricFunctions| |SymmetricPolynomial| |TheSymbolTable| |SymbolTable| |SystemSolvePackage| |TableauxBumpers| |Table| |Tableau| |TangentExpansions| |TableAggregate&| |TableAggregate| |TabulatedComputationPackage| |TemplateUtilities| |TexFormat| |TexFormat1| |TextFile| |ToolsForSign| |TopLevelThreeSpace| |TranscendentalFunctionCategory&| |TranscendentalFunctionCategory| |Tree| |TrigonometricFunctionCategory&| |TrigonometricFunctionCategory| |TrigonometricManipulations| |TriangularMatrixOperations| |TranscendentalManipulations| |TaylorSeries| |TriangularSetCategory&| |TriangularSetCategory| |TubePlot| |TubePlotTools| |Tuple| |TwoFactorize| |Type| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |UniqueFactorizationDomain&| |UniqueFactorizationDomain| |UnivariateLaurentSeries| |UnivariateLaurentSeriesFunctions2| |UnivariateLaurentSeriesCategory| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesConstructorCategory| |UnivariateLaurentSeriesConstructor| |UnivariateFactorize| |UniversalSegment| |UniversalSegmentFunctions2| |UnivariatePolynomial| |UnivariatePolynomialFunctions2| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategory| |UnivariatePolynomialCategoryFunctions2| |UnivariatePowerSeriesCategory&| |UnivariatePowerSeriesCategory| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesCategory| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesConstructorCategory| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnaryRecursiveAggregate&| |UnaryRecursiveAggregate| |UnivariateTaylorSeries| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesCategory| |UnivariateTaylorSeriesODESolver| |UTSodetools| |Variable| |VectorCategory&| |VectorCategory| |Vector| |VectorFunctions2| |ViewportPackage| |TwoDimensionalViewport| |ThreeDimensionalViewport| |ViewDefaultsPackage| |Void| |VectorSpace&| |VectorSpace| |WeierstrassPreparation| |WildFunctionFieldIntegralBasis| |WeightedPolynomials| |WuWenTsunTriangularSet| |XAlgebra| |XDistributedPolynomial| |XExponentialPackage| |ExtensionField&| |ExtensionField| |XFreeAlgebra| |XPBWPolynomial| |XPolynomial| |XPolynomialsCat| |XPolynomialRing| |XRecursivePolynomial| |ParadoxicalCombinatorsForStreams| |ZeroDimensionalSolvePackage| |IntegerLinearDependence| |IntegerMod| |Enumeration| |Mapping| |Record| |Union| |Category| |sincos| |intPatternMatch| |apply| |axes| |compdegd| |concat!| |setLabelValue| |ptFunc| |triangular?| |first| |ratDenom| |realEigenvalues| |toroidal| |inverseLaplace| |ravel| |iitanh| |lSpaceBasis| |swapRows!| |rest| |any?| |degree| |removeRoughlyRedundantFactorsInPol| |sec2cos| |setelt!| |reshape| |numberOfComponents| |overlabel| |removeRedundantFactors| |purelyAlgebraicLeadingMonomial?| |replaceKthElement| |startStats!| |map| |gcdcofact| |mapmult| |generateIrredPoly| |isAbsolutelyIrreducible?| |unrankImproperPartitions1| |collectQuasiMonic| |laguerre| |algebraicOf| |select!| |pointColorPalette| |besselY| |leftExtendedGcd| |readIfCan!| |bipolar| |printInfo!| |iicsch| |coerceImages| |setStatus| |changeThreshhold| |laplacian| |mathieu24| |multiEuclidean| |cAcos| |yRange| |decimal| |makeSeries| |curryRight| |OMgetError| |expenseOfEvaluationIF| |aLinear| |update| |double?| |sumOfSquares| |prevPrime| |oddlambert| |convert| GE |allRootsOf| |extract!| |maxrow| |resultantEuclideannaif| |wordInStrongGenerators| |findCycle| |imagk| |monic?| |rules| |cubic| |pop!| |explimitedint| |eq?| |brillhartTrials| |doubleDisc| |cond| |check| |complete| |reducedDiscriminant| |endSubProgram| |useNagFunctions| |rootsOf| |clipWithRanges| |associative?| |charthRoot| |inverseIntegralMatrixAtInfinity| |integralDerivationMatrix| |inf| |assign| |subNodeOf?| |and| |divisor| |fixedDivisor| |OMreadFile| |inverseColeman| |isPlus| |rationalPoints| |areEquivalent?| |leastAffineMultiple| |opeval| |rdregime| |resultantEuclidean| |scalarMatrix| |dot| |exprToUPS| |factorsOfCyclicGroupSize| |showTypeInOutput| |safetyMargin| |primintfldpoly| |binomial| |OMunhandledSymbol| |extractSplittingLeaf| |getMultiplicationTable| |coefficients| |romberg| |symmetricSquare| |split!| |matrixGcd| |fortranCompilerName| |increment| |evaluateInverse| |acothIfCan| |OMputError| |left| |startPolynomial| |normalForm| |lift| |primitiveElement| |integralRepresents| |supDimElseRittWu?| |right| |car| |OMbindTCP| |max| |OMputEndApp| |genericRightTraceForm| |uniform| |highCommonTerms| |inspect| |cdr| |closedCurve| |diff| |selectFiniteRoutines| |changeWeightLevel| |jacobi| |moduleSum| |option?| |separate| |quoByVar| |kmax| |symbolIfCan| |partialQuotients| |nthRoot| |totalGroebner| |comparison| |closeComponent| |alternatingGroup| |supersub| |t| |createPrimitiveElement| |SFunction| |doubleRank| |integralLastSubResultant| |outputFloating| |invertible?| |one?| |module| |level| |trueEqual| |elRow1!| |atanIfCan| |monomRDEsys| |character?| |associator| |linearDependence| |redmat| |listexp| |rightMult| |compactFraction| |BumInSepFFE| |stFunc1| |separateFactors| |viewSizeDefault| |c02aff| |reducedForm| |reverse!| |limitedIntegrate| |c02agf| |setchildren!| |reduceByQuasiMonic| |rectangularMatrix| |sortConstraints| |strongGenerators| |last| |simplifyPower| |iiasin| |delete!| |completeSmith| |c05adf| |checkPrecision| |representationType| |printingInfo?| |An| |cardinality| |scripted?| |terms| |c05nbf| NOT |rootPower| |iFTable| |subPolSet?| |csubst| |nullary?| |redPol| |c05pbf| OR |applyRules| |empty?| |roughEqualIdeals?| |removeSquaresIfCan| |localAbs| |stiffnessAndStabilityFactor| |c06eaf| AND |iiperm| |orthonormalBasis| |complementaryBasis| |sign| |laurentRep| |LyndonWordsList1| |c06ebf| |zeroVector| |complexEigenvectors| |youngGroup| |c06ecf| |radicalEigenvalues| |child| |OMputBind| |adaptive| |duplicates?| |groebSolve| |multiset| |c06ekf| |complexElementary| |expandTrigProducts| |makeVariable| |ramified?| |outputFixed| |c06fpf| |trapezoidal| |coerceListOfPairs| |supRittWu?| |union| |logGamma| |scaleRoots| |expenseOfEvaluation| |subspace| |computePowers| |c06fqf| |viewThetaDefault| |twist| |prime| |horizConcat| |round| |intChoose| |cycleTail| |c06frf| |modTree| |expint| |getCurve| |linearMatrix| |moreAlgebraic?| |createLowComplexityTable| |c06fuf| |homogeneous?| |lowerPolynomial| |myDegree| |tanhIfCan| |delete| |whatInfinity| |c06gbf| |viewWriteDefault| |leftRegularRepresentation| |insert| |reorder| |cExp| |OMputInteger| |options| |c06gcf| |mainVariable?| |stoseLastSubResultant| |assoc| * |eigenvector| |edf2fi| |rootBound| |bumprow| |ranges| |taylorRep| |c06gqf| |differentialVariables| |integerIfCan| |monicRightFactorIfCan| |mainPrimitivePart| |infieldIntegrate| |approxSqrt| |c06gsf| |normalDeriv| |genericRightMinimalPolynomial| |overbar| |keys| |tanSum| |commutativeEquality| |d01ajf| |tab| |range| |weight| UTS2UP |d01akf| |OMgetEndBind| |asinIfCan| |tail| |pushup| |associatedSystem| |cartesian| |stop| |unitNormal| |outputMeasure| |makeResult| |d01alf| |indicialEquation| |bitCoef| |maxIndex| |d01amf| |maxPoints3D| |shift| |remove| |OMgetVariable| |generic?| |quotientByP| |showFortranOutputStack| |fortranCarriageReturn| |radicalRoots| |d01anf| |rubiksGroup| |rightLcm| |null?| |decreasePrecision| |unexpand| |d01apf| |generalInfiniteProduct| |particularSolution| |curve| |OMputEndAttr| |argscript| |algintegrate| |useSingleFactorBound?| |linearPart| |expintfldpoly| |stronglyReduced?| |bitTruth| |zeroDimensional?| |OMputEndError| |d01aqf| |monicDivide| |pdf2df| |generalizedEigenvector| |changeName| |prinshINFO| |squareFree| |diagonals| |d01asf| |univariatePolynomial| |iilog| |second| |d01bbf| |diagonal| |minRowIndex| |gramschmidt| |typeList| |wordsForStrongGenerators| |parabolicCylindrical| |morphism| |d01fcf| |removeZeroes| |factors| |insertionSort!| |quasiComponent| |gderiv| |mkPrim| |d01gaf| |SturmHabicht| |UpTriBddDenomInv| |hasTopPredicate?| |bernoulliB| |linearDependenceOverZ| |sizeMultiplication| |hasSolution?| |modularGcd| |d01gbf| |initiallyReduced?| |rst| |computeBasis| |d02bbf| |setvalue!| |viewport3D| |basicSet| |mathieu12| |univariatePolynomials| |flexibleArray| |leftDiscriminant| |returnTypeOf| |cscIfCan| |d02bhf| |OMcloseConn| |complexExpand| |clearTable!| |nonSingularModel| |cyclicParents| |getBadValues| |harmonic| |d02cjf| |accuracyIF| |unrankImproperPartitions0| |biRank| |socf2socdf| |inverse| |univariateSolve| |invertibleSet| |d02ejf| |mapExpon| |chiSquare| |exprHasLogarithmicWeights| |top!| |lazyPseudoQuotient| |triangSolve| |exQuo| |d02gaf| |prime?| |identityMatrix| |singleFactorBound| |elRow2!| |stoseInternalLastSubResultant| |resultantReduit| |positiveSolve| |log| |d02gbf| |numberOfOperations| |collectUpper| |unit?| |normal01| |taylorIfCan| |stoseInvertible?sqfreg| |d02kef| |commonDenominator| |subQuasiComponent?| |makeSketch| |high| |nrows| |iflist2Result| |d02raf| |diagonalProduct| |nextsousResultant2| |rangeIsFinite| |points| |nextSubsetGray| |d03edf| |head| |ode1| |iiacsc| |functionIsOscillatory| |d03eef| |roughBase?| |colorDef| |OMgetEndAttr| |drawComplexVectorField| |lowerCase!| |repeatUntilLoop| |genericPosition| |d03faf| |poisson| |modifyPointData| |slex| |deepestInitial| |someBasis| |append| |interpolate| |oddInfiniteProduct| |OMgetBind| |e01baf| |integer?| |asimpson| |lambda| |rowEchelonLocal| |function| |e01bef| |B1solve| |yCoord| |decompose| |roughBasicSet| |cRationalPower| |graphStates| |e01bff| |OMconnectTCP| |extendedResultant| |interReduce| |rational?| |lcm| |e01bgf| |totalDegree| |cosSinInfo| |patternVariable| |setOrder| |slash| |makeSUP| |basisOfCommutingElements| |innerSolve1| |irreducibleFactors| |e01bhf| |augment| |critM| |const| |polar| |clikeUniv| |e01daf| |phiCoord| RF2UTS |complexRoots| |HenselLift| |fortranComplex| |abs| |e01saf| |rightFactorIfCan| |viewPhiDefault| |clipPointsDefault| |quasiAlgebraicSet| |makeFR| |lprop| |e01sbf| |halfExtendedSubResultantGcd1| |besselJ| |dmp2rfi| |transcendenceDegree| |lfextendedint| |content| |mathieu23| |e01sef| |extractPoint| |unit| |tan2cot| |seriesSolve| |mainForm| |e01sff| |minimize| |e02adf| |returns| |compiledFunction| |partialNumerators| |e02aef| |resultant| |mathieu22| |initializeGroupForWordProblem| |padecf| |innerSolve| |oblateSpheroidal| |smith| |e02agf| |blankSeparate| |product| |boundOfCauchy| |e02ahf| |resetVariableOrder| |initiallyReduce| |structuralConstants| |symmetricProduct| |leftUnits| |decrease| |bezoutResultant| |printCode| |multMonom| |e02ajf| |interpret| |getOrder| |recolor| |subResultantGcdEuclidean| |e02akf| |aCubic| |simpleBounds?| |removeZero| |e02baf| |simplify| |qqq| |lazyPrem| |width| |halfExtendedSubResultantGcd2| |exactQuotient!| |sparsityIF| |logical?| |e02bbf| |factorSquareFreeByRecursion| |iisqrt2| |lfintegrate| |minimalPolynomial| |e02bcf| |radicalEigenvectors| |OMputApp| |block| |cCoth| |paraboloidal| |e02bdf| |ridHack1| |point| |exponential| |createMultiplicationTable| |dimensionOfIrreducibleRepresentation| |e02bef| |linearAssociatedLog| |bottom!| |bit?| |OMputEndBind| |e02daf| |OMReadError?| |OMgetAtp| |rangePascalTriangle| |RittWuCompare| |e02dcf| |isOp| |viewPosDefault| |red| |e02ddf| |acoshIfCan| |changeBase| |unitVector| |e02def| |OMgetEndAtp| |preprocess| |getStream| |pushdown| |mantissa| |primeFactor| |e02dff| |box| |LiePolyIfCan| |complexZeros| |mapSolve| |elliptic?| |e02gaf| |internalSubQuasiComponent?| |leftDivide| |debug| |e02zaf| |viewDeltaXDefault| |iisech| |palgextint| |meshFun2Var| |e04dgf| |generalTwoFactor| |torsion?| |palgLODE| |e04fdf| |Zero| |LazardQuotient| |remainder| |operator| |e04gcf| |subResultantGcd| |nextPrime| |e04jaf| |makeYoungTableau| |outputAsScript| |OMgetEndError| |e04mbf| |dequeue!| |mapBivariate| |euclideanSize| |e04naf| |reverseLex| |moebiusMu| |selectNonFiniteRoutines| |e04ucf| |imagi| |plotPolar| |fglmIfCan| |e04ycf| |genericLeftTraceForm| |lflimitedint| |graphImage| |f01brf| |virtualDegree| |showScalarValues| |rationalFunction| |f01bsf| |numericalIntegration| |cfirst| |iiacoth| |f01maf| |fullPartialFraction| |rightRecip| LE |infinite?| |f01mcf| |palgextint0| |reduceLODE| Y |removeSuperfluousCases| |f01qcf| |setright!| |integralBasis| |firstNumer| |f01qdf| |PDESolve| |lyndon?| |clearTheIFTable| |f01qef| |viewZoomDefault| |qelt| |dequeue| |f01rcf| |optpair| |rightTrace| |subresultantVector| |f01rdf| |LyndonCoordinates| |filename| |listOfTerms| |makeFloatFunction| |f01ref| |birth| |univcase| |divisors| |f02aaf| |removeConstantTerm| |legendreP| |primes| |f02abf| |One| |btwFact| LODO2FUN |normal?| |f02adf| |euclideanNormalForm| |f02aef| |distance| |rowEchelon| |position| |LyndonWordsList| |pquo| |selectPolynomials| |f02aff| |f02agf| |completeEchelonBasis| |coth2tanh| |lagrange| |createPrimitiveNormalPoly| |f02ajf| |midpoint| |repeating| |unaryFunction| |f02akf| |generate| |xor| |simplifyExp| |f02awf| |makeprod| |hcrf| |monicModulo| |rightUnit| |incrementBy| |f02axf| |symFunc| |withPredicates| |children| |f02bbf| |solveRetract| |normalized?| |base| |errorKind| |expand| |clearCache| |nand| |generalizedContinuumHypothesisAssumed| |null| |purelyAlgebraic?| |f02bjf| |filterWhile| |eyeDistance| |complex| |commutative?| |numberOfDivisors| |complexLimit| |f02fjf| |filterUntil| |zeroDimPrime?| |minPoly| |discreteLog| |listConjugateBases| |f02wef| |select| |nilFactor| |exp| |multiEuclideanTree| |swap!| |leftRecip| |f02xef| |queue| |cn| |var2Steps| |ScanArabic| |reopen!| |f04adf| |isPower| |iicosh| |positiveRemainder| |pi| |integer| |f04arf| |lhs| |elt| |drawCurves| |asecIfCan| |hexDigit| |string| |redPo| |f04asf| |mesh?| |rhs| |expintegrate| |float| |neglist| |lastSubResultant| |topFortranOutputStack| |f04atf| |tanIfCan| |rootPoly| |makeRecord| |extractIndex| |f04axf| |numberOfFractionalTerms| |gbasis| |infinity| |f04faf| |univariatePolynomialsGcds| |sylvesterSequence| |antiCommutator| |selectOrPolynomials| |clipParametric| |lfunc| |f04jgf| |relativeApprox| |selectPDERoutines| |plusInfinity| |iroot| |prepareSubResAlgo| |Ci| |f04maf| |sorted?| |iisqrt3| |enqueue!| |f04mbf| |subHeight| |hyperelliptic| |minusInfinity| |mapMatrixIfCan| |bumptab1| |f04mcf| |trunc| |getPickedPoints| |modularGcdPrimitive| |normalise| |generalLambert| |f04qaf| |cyclotomicDecomposition| |f07adf| |atrapezoidal| |lastSubResultantElseSplit| |bat1| |unparse| |getZechTable| |createLowComplexityNormalBasis| |octon| |f07aef| |normDeriv2| |extractTop!| |zeroSetSplit| |sts2stst| |f07fdf| |simplifyLog| |sdf2lst| |rur| |f07fef| |csc2sin| |LagrangeInterpolation| |s01eaf| |quasiRegular?| |leftRemainder| |coordinates| |rarrow| |setRealSteps| |monomialIntegrate| |cAtanh| |s13aaf| |normal| |untab| |escape| |problemPoints| |gradient| |call| |s13acf| |acschIfCan| |curry| |makeop| |s13adf| |discriminantEuclidean| |checkRur| |vark| |pr2dmp| |s14aaf| |cotIfCan| |besselI| |close| |shiftRoots| |OMserve| |coefChoose| |s14abf| |addBadValue| |Nul| |ksec| |numerator| |s14baf| |generalPosition| |style| |limit| |s15adf| |outerProduct| |calcRanges| |display| |basisOfNucleus| |OMgetType| |cyclicCopy| |s15aef| |reduced?| |integral?| |super| |s17acf| |airyBi| |ScanFloatIgnoreSpaces| |binaryTree| |dioSolve| |OMgetInteger| |s17adf| |appendPoint| |leftZero| |rationalPoint?| |s17aef| |commutator| |safeFloor| |constantOpIfCan| |outputGeneral| |s17aff| |abelianGroup| |value| |certainlySubVariety?| |s17agf| |nthFactor| |ParCond| |imagE| |qsetelt!| |s17ahf| |divideExponents| |evenlambert| |rightQuotient| |packageCall| |library| |palgintegrate| |positive?| |s17ajf| |rightFactorCandidate| |stoseInvertibleSetreg| |oneDimensionalArray| |rationalPower| |inc| |s17akf| |leftAlternative?| |s17dcf| |recip| |midpoints| |numberOfCycles| |constDsolve| |s17def| |lineColorDefault| |optimize| |removeSinhSq| |OMgetEndObject| |selectIntegrationRoutines| |rootOfIrreduciblePoly| |musserTrials| |write!| |s17dgf| |separateDegrees| |spherical| |coleman| |s17dhf| |postfix| |setlast!| |rquo| |KrullNumber| |binaryFunction| |wholePart| |set| |writable?| |headRemainder| |ReduceOrder| |useEisensteinCriterion?| |show| |makeCos| |lazyIrreducibleFactors| |singularitiesOf| |pToHdmp| |sumSquares| |complexNormalize| |mapCoef| |member?| |true| |merge!| |cCot| |fortranTypeOf| |evenInfiniteProduct| |invertibleElseSplit?| |satisfy?| |iiatan| |cross| |prepareDecompose| |shiftLeft| |expextendedint| |Lazard| |trace| |lazyPremWithDefault| |newSubProgram| |rspace| |arity| |drawStyle| |derivationCoordinates| |seed| |iitan| |constantToUnaryFunction| |pointData| |cAcoth| |listOfLists| |basisOfRightNucloid| |traceMatrix| |parametersOf| |symmetricGroup| |corrPoly| |multiple?| |clearTheSymbolTable| |mainCharacterization| |rightRank| |rischNormalize| |crushedSet| |exteriorDifferential| |distdfact| |semiSubResultantGcdEuclidean1| |OMsend| |rotate!| |gethi| |inGroundField?| |remove!| |groebnerFactorize| |input| |parametric?| |lex| |dimensionsOf| |gcdPrimitive| |newLine| |definingPolynomial| |traverse| |realEigenvectors| |insertTop!| |splitLinear| |quadraticForm| |leftCharacteristicPolynomial| |setProperty| |palgLODE0| |printStatement| |mainCoefficients| |bumptab| |doubleComplex?| |realRoots| |component| |probablyZeroDim?| |gcdcofactprim| |stiffnessAndStabilityOfODEIF| |qroot| |polyred| |cyclicGroup| |minimumDegree| |palgint0| |log2| |edf2df| |subresultantSequence| |addPoint| |setFormula!| |rightMinimalPolynomial| |OMputEndBVar| |factorset| |deepestTail| |unvectorise| |internalAugment| |shrinkable| |extractIfCan| |showRegion| |zCoord| |modularFactor| |nextNormalPrimitivePoly| |inRadical?| |factorSquareFreePolynomial| |quartic| |expPot| ~ |tanQ| |htrigs| |rightTraceMatrix| |regime| |yellow| |ef2edf| |hermiteH| |linSolve| |aspFilename| |addiag| |prindINFO| |cyclicSubmodule| |pair?| |linGenPos| |tRange| |rootSimp| |perfectSqrt| |weierstrass| |stripCommentsAndBlanks| |firstSubsetGray| |iteratedInitials| |singular?| |primintegrate| |univariate?| |pushucoef| |setMaxPoints| |monicCompleteDecompose| |safeCeiling| |internalLastSubResultant| |airyAi| |rewriteIdealWithHeadRemainder| |setTopPredicate| |leaf?| |open| |FormatArabic| |mindeg| |setStatus!| |power!| |whileLoop| |f2df| |rootSplit| |fortranDouble| |declare| |pseudoDivide| |ScanFloatIgnoreSpacesIfCan| |OMputAttr| |copyInto!| |exprToXXP| |polCase| |row| |normalDenom| |setTex!| |mvar| |rCoord| |denomLODE| |move| |createNormalPrimitivePoly| |back| |linear?| |inverseIntegralMatrix| |every?| |float?| |logIfCan| |fTable| EQ |permutationRepresentation| |conditionP| |brillhartIrreducible?| |internalIntegrate0| |beauzamyBound| |df2ef| |tan2trig| |toseSquareFreePart| |maximumExponent| |validExponential| |fortranReal| |tanh2coth| |makeViewport3D| |primaryDecomp| |binaryTournament| |operators| |error| |approximate| |interval| |pile| |stopTable!| |approxNthRoot| |setFieldInfo| |groebnerIdeal| |rightDiscriminant| |basisOfRightNucleus| |setRow!| |radicalSimplify| |assert| |edf2ef| |OMlistSymbols| |constantKernel| |binary| |lepol| |diophantineSystem| |in?| |fixPredicate| |rotate| |vertConcat| |acosIfCan| |setprevious!| |notelem| |oddintegers| |jordanAdmissible?| |acotIfCan| |divide| |bubbleSort!| |noLinearFactor?| |testModulus| |setScreenResolution3D| |jacobian| |top| |quickSort| |dominantTerm| |mkAnswer| |basisOfCentroid| |Aleph| |ran| |continue| |lfextlimint| |exptMod| |elliptic| |computeInt| |cyclePartition| |trace2PowMod| |iidsum| |cAtan| |curryLeft| |associates?| |moduloP| |pascalTriangle| |acscIfCan| |paren| |doublyTransitive?| |rootRadius| |numberOfIrreduciblePoly| |printTypes| |mapGen| |factorSquareFree| |rule| |conjug| |sinhcosh| |weights| |zeroMatrix| |qfactor| |central?| |cos2sec| |removeCosSq| |upperCase?| |basisOfLeftAnnihilator| |extractBottom!| |critT| |integralMatrixAtInfinity| |colorFunction| |linearAssociatedExp| |stopTableGcd!| |constantRight| |radPoly| |Hausdorff| |connect| |trim| |hermite| |quadraticNorm| |thetaCoord| |superscript| |putColorInfo| |setColumn!| |setnext!| |collectUnder| |leadingIdeal| |OMgetEndApp| |getMultiplicationMatrix| |leader| |hMonic| |symbolTable| |physicalLength!| |constant?| |numericalOptimization| |genericRightTrace| |dAndcExp| |symbol?| |coefficient| |say| |OMsetEncoding| |addPoint2| |eq| |perspective| |userOrdered?| |outputAsTex| |heapSort| |removeRoughlyRedundantFactorsInPols| |pushFortranOutputStack| |previous| |quadratic?| |quatern| |hitherPlane| |kovacic| |llprop| |prolateSpheroidal| |systemSizeIF| |popFortranOutputStack| |specialTrigs| |ramifiedAtInfinity?| |iter| |putGraph| |map!| |find| |bivariatePolynomials| |outputAsFortran| |objectOf| |definingInequation| |badValues| |failed?| |pmComplexintegrate| |eigenvalues| |rightExactQuotient| |leftQuotient| |imagJ| |discriminant| |limitPlus| |stirling1| |setfirst!| |critBonD| |kroneckerDelta| |mainSquareFreePart| |var1Steps| |sample| |OMgetAttr| |processTemplate| |plus| |digit| |semiSubResultantGcdEuclidean2| |definingEquations| |next| |algSplitSimple| |hdmpToP| |zeroDimPrimary?| |isExpt| |divergence| |unitsColorDefault| |firstUncouplingMatrix| |SturmHabichtMultiple| |changeMeasure| |solid?| |sumOfKthPowerDivisors| |exponents| |autoReduced?| |bitLength| |infLex?| |zero| |nary?| |dec| |eulerE| |fractRadix| |indicialEquationAtInfinity| |basisOfMiddleNucleus| |mapUp!| |cSech| |factorPolynomial| |iExquo| |imaginary| |leastPower| |OMlistCDs| |initial| |critMTonD1| |middle| |pastel| |stoseInvertibleSet| |leftRankPolynomial| |prinb| |times| |iicsc| |li| |rowEch| |string?| |setref| |symmetricTensors| |flatten| |removeRoughlyRedundantFactorsInContents| |pdct| |critB| |mdeg| |differentiate| |OMputFloat| |meshPar2Var| |stronglyReduce| |direction| |asinhIfCan| |setAdaptive| |euclideanGroebner| |nthRootIfCan| |radicalSolve| |roughSubIdeal?| |monom| |drawComplex| |maxrank| |mergeDifference| |primPartElseUnitCanonical!| |inrootof| |vector| |inR?| |critpOrder| |listBranches| |algebraicVariables| |iiacsch| |symmetricRemainder| |common| |deriv| |cyclic?| |setPredicates| |subResultantsChain| |antiCommutative?| |norm| |stoseInvertible?| |linearPolynomials| |cAcsch| |matrix| |fixedPointExquo| |viewWriteAvailable| |ellipticCylindrical| |stopTableInvSet!| |addMatch| |rename!| |isList| |algebraicSort| |functionIsContinuousAtEndPoints| |solve1| |sin2csc| |iisec| |droot| |plus!| |void| |semiResultantReduitEuclidean| |pushdterm| |expressIdealMember| |ratPoly| |palgRDE0| |transcendentalDecompose| |bernoulli| |leftUnit| |OMreadStr| |complement| |firstDenom| |tryFunctionalDecomposition| |indices| |algebraic?| |startTable!| |showClipRegion| |messagePrint| |pol| |integralBasisAtInfinity| |nlde| |OMputEndObject| |headReduced?| |leadingSupport| |ratDsolve| |tanNa| |isQuotient| |continuedFraction| |removeDuplicates| |numberOfVariables| |branchPointAtInfinity?| |transpose| |minPol| |setDifference| |realSolve| |epilogue| |exprHasWeightCosWXorSinWX| |mainMonomial| |setIntersection| |ode2| |infieldint| |nonQsign| |selectAndPolynomials| |listRepresentation| |patternMatchTimes| |stoseIntegralLastSubResultant| |factorGroebnerBasis| |setUnion| |rationalApproximation| |linear| |getMeasure| |height| |OMputBVar| |substitute| |completeHensel| |numFunEvals3D| |plot| |stoseSquareFreePart| |OMencodingXML| |standardBasisOfCyclicSubmodule| |physicalLength| |monomial?| |npcoef| |linkToFortran| |maxPoints| |absolutelyIrreducible?| |explogs2trigs| |charpol| |monomials| |mapdiv| |complexNumericIfCan| |fortranLinkerArgs| |skewSFunction| |pureLex| |heap| |cCsch| |HermiteIntegrate| |hypergeometric0F1| |tubePointsDefault| |nthExponent| |innerEigenvectors| |polygamma| |sturmVariationsOf| |squareFreeLexTriangular| |genericLeftMinimalPolynomial| |ddFact| |mainDefiningPolynomial| |parts| |palglimint| |minColIndex| |power| |over| |sncndn| |linearlyDependentOverZ?| |iibinom| |sech2cosh| |lexTriangular| |dim| |iiacosh| |ptree| |localUnquote| |makeGraphImage| |denominators| |principal?| |pointColor| |atom?| |bits| |mainVariable| |leftGcd| |rroot| |lastSubResultantEuclidean| |flagFactor| |imagI| |sin?| |contractSolve| |OMputVariable| |coord| |output| |addPointLast| |coth2trigh| |permanent| |rightOne| |scanOneDimSubspaces| |makeTerm| |cAsin| |toScale| |doubleResultant| |roughUnitIdeal?| |derivative| |build| |primlimitedint| |result| |triangularSystems| |solve| |optional?| |flexible?| |sizeLess?| |monomialIntPoly| |curveColor| |cot2trig| |listLoops| |third| |cycleEntry| |polyRDE| |mainKernel| |iCompose| |clip| |OMconnInDevice| |selectODEIVPRoutines| |jacobiIdentity?| |surface| |integralMatrix| |pade| |nodeOf?| |rombergo| |solveLinearlyOverQ| |fractionPart| |sequences| |ceiling| |setCondition!| |truncate| |pointLists| |largest| |delta| |equality| |tube| |finiteBound| |numericIfCan| |showArrayValues| |medialSet| |s17dlf| |freeOf?| |internal?| |OMencodingSGML| |hexDigit?| |s18acf| |createIrreduciblePoly| |changeNameToObjf| |cycles| |GospersMethod| |s18adf| |lists| |createMultiplicationMatrix| |factorsOfDegree| |expIfCan| |s18aef| |hconcat| |ffactor| |root| |printStats!| |s18aff| |subscript| |option| |lieAlgebra?| |rischDE| |sturmSequence| |s18dcf| |indicialEquations| |printHeader| |outputArgs| |entry?| |s18def| |setAdaptive3D| |unravel| |stFunc2| |s19aaf| |sinhIfCan| |index?| |numberOfComputedEntries| |s19abf| |OMgetString| |copy!| |zoom| |s19acf| |rename| |OMopenString| |sort| |permutationGroup| |s19adf| |outlineRender| |unitCanonical| |bag| |s20acf| |currentSubProgram| |showTheIFTable| |rationalIfCan| |s20adf| |atanhIfCan| |setMinPoints3D| |lowerCase| |s21baf| |stirling2| |setMaxPoints3D| |stopMusserTrials| |s21bbf| |karatsuba| |complex?| |setProperties| |s21bcf| |fixedPoint| |makeCrit| |anticoord| |s21bdf| |times!| |sqfree| |random| |setMinPoints| |symbol| |radical| |ODESolve| |hdmpToDmp| |center| |decomposeFunc| |lazyEvaluate| |rootOf| |iicot| |debug3D| |choosemon| |stosePrepareSubResAlgo| |axesColorDefault| |objects| |extensionDegree| |blue| |duplicates| |Si| |associatedEquations| |rightPower| |RemainderList| |matrixConcat3D| |makeViewport2D| |label| |perfectNthPower?| |multiplyExponents| |branchIfCan| |setleft!| |viewDefaults| |removeDuplicates!| |entry| |systemCommand| |semiDiscriminantEuclidean| |number?| |cosIfCan| |algDsolve| |symbolTableOf| |rightDivide| |tubePoints| |OMgetApp| |drawToScale| |tubeRadius| |weighted| |arg1| |scalarTypeOf| |rk4a| |arg2| |lazyResidueClass| |permutation| |OMputAtp| |characteristicPolynomial| |bfEntry| |properties| |parabolic| |numer| |stack| |isTimes| |denom| |goto| |nil| |column| |translate| |open?| |euler| |noKaratsuba| |quasiRegular| F |genericRightNorm| |sayLength| |lazyPseudoRemainder| |countRealRoots| |OMUnknownSymbol?| |insertRoot!| |leadingIndex| |elColumn2!| |leftFactorIfCan| |status| |maxRowIndex| |child?| |bsolve| |graphCurves| |series| |hspace| |getMatch| |nextLatticePermutation| |baseRDEsys| |mat| |dfRange| |degreeSubResultant| |symmetric?| |clipBoolean| |po| |singRicDE| |monicLeftDivide| |primextintfrac| |getButtonValue| |push!| |script| |curveColorPalette| |cAsec| |argument| |meshPar1Var| |sechIfCan| |prefix| |reset| |size?| |resultantReduitEuclidean| |inHallBasis?| |write| |LyndonBasis| |tubePlot| |edf2efi| |cyclotomicFactorization| BY |tex| |rischDEsys| |Vectorise| |internalIntegrate| |modifyPoint| |ignore?| |sPol| |dictionary| |low| |irreducibleRepresentation| |zeroSetSplitIntoTriangularSystems| |tensorProduct| |swap| |cCosh| |generic| |nonLinearPart| |sinh2csch| |rem| |f2st| |backOldPos| |closedCurve?| |exponent| |integral| |tab1| |vspace| |not| |And| |OMmakeConn| |quo| |fixedPoints| |algebraicCoefficients?| |cAcosh| |Or| |increasePrecision| |div| |digamma| |radicalEigenvector| |iiasech| |point?| |Not| |comment| |fillPascalTriangle| |nthFlag| |lquo| |adaptive3D?| |OMread| |shade| |parent| |rightUnits| |figureUnits| |conditionsForIdempotents| |ocf2ocdf| |alphanumeric| |pdf2ef| |showTheFTable| |seriesToOutputForm| |presuper| |cache| |laurentIfCan| |viewport2D| |idealiser| |primeFrobenius| |fortranInteger| |tanintegrate| |regularRepresentation| |ratpart| |recur| |reciprocalPolynomial| |qinterval| |bat| |besselK| |vectorise| |externalList| |errorInfo| |primextendedint| |unmakeSUP| |generalSqFr| |quoted?| |fill!| |front| |condition| |returnType!| |revert| |int| |prem| |internalInfRittWu?| |/\\| |ricDsolve| |forLoop| |extendedSubResultantGcd| |xRange| |conjugate| |constantOperator| |\\/| |fractionFreeGauss!| |finite?| |cot2tan| |wronskianMatrix| |lookup| |xCoord| |cCsc| |generalizedContinuumHypothesisAssumed?| |rightZero| |is?| |conjugates| |removeRedundantFactorsInContents| |knownInfBasis| |reseed| |pack!| |unprotectedRemoveRedundantFactors| |LiePoly| |lowerCase?| |e| |semiIndiceSubResultantEuclidean| |henselFact| |modulus| |empty| |linearlyDependent?| |lllip| |cothIfCan| |exprToGenUPS| |randomLC| |optAttributes| |powern| |cSec| |computeCycleEntry| |quasiMonic?| |diagonalMatrix| |nor| |factorSFBRlcUnit| |kernel| |perfectNthRoot| |genericRightDiscriminant| |dn| |approximants| |overset?| |represents| |list| |leadingCoefficientRicDE| |iiexp| |graphs| |domainOf| |ldf2lst| |OMconnOutDevice| |draw| |OMsupportsCD?| |external?| |asechIfCan| |leastMonomial| |less?| |setleaves!| |leftOne| |LazardQuotient2| |nthExpon| |nthFractionalTerm| |bright| |scan| |lighting| |normalizedAssociate| |exists?| |hessian| |factorFraction| |powerAssociative?| |order| |explicitlyEmpty?| |getCode| |even?| |squareTop| |alphabetic?| |resultantnaif| |makeObject| |subtractIfCan| |genericLeftDiscriminant| |karatsubaDivide| |purelyTranscendental?| |cTanh| |primitivePart!| |setClosed| |Frobenius| |powmod| |setOfMinN| |loopPoints| |integrate| |coef| |numberOfNormalPoly| |linears| |fortran| |createRandomElement| |cPower| |eval| |leftMult| |position!| |cons| |geometric| |SturmHabichtCoefficients| |node?| |coshIfCan| |magnitude| |resetNew| |split| |nsqfree| |rootProduct| |polygon| |reindex| |exponentialOrder| |semiLastSubResultantEuclidean| |laguerreL| |innerint| |mapDown!| |prod| |merge| |symmetricDifference| |semiDegreeSubResultantEuclidean| |fortranLiteralLine| |reduction| |algebraicDecompose| |chainSubResultants| |localReal?| |rightRemainder| |OMencodingBinary| |iiacos| |makeEq| |legendre| |implies| |makingStats?| |newReduc| |setEpilogue!| |iicoth| |tanh2trigh| |secIfCan| |quotient| |refine| |UnVectorise| |completeEval| |solveid| |numeric| |cyclicEqual?| |removeIrreducibleRedundantFactors| |leftRank| |save| |removeRedundantFactorsInPols| |squareFreePrim| |ncols| |composites| |deepCopy| |setsubMatrix!| |setImagSteps| |updateStatus!| |iiGamma| |cschIfCan| |getRef| |pow| |alternative?| |OMgetEndBVar| |factorial| |cycleRagits| ** |identitySquareMatrix| |consnewpol| |radix| |log10| |squareFreeFactors| |var2StepsDefault| |indiceSubResultant| |exprHasAlgebraicWeight| |iiatanh| |bandedJacobian| |partition| |region| |possiblyInfinite?| |lazyPseudoDivide| |curve?| |cycleLength| |complexIntegrate| |lyndon| |invertIfCan| |setLegalFortranSourceExtensions| |zRange| |goodnessOfFit| |singularAtInfinity?| |minPoints| |dihedral| |balancedBinaryTree| |normFactors| |testDim| |createPrimitivePoly| |zero?| |makeUnit| |lyndonIfCan| |maxdeg| |coerceP| |chvar| |balancedFactorisation| |splitConstant| |listYoungTableaus| |nthCoef| |sylvesterMatrix| |lazyPquo| |argumentList!| |root?| |fractRagits| |denominator| |df2mf| |moebius| |solid| |OMopenFile| |getGoodPrime| |cyclic| |torsionIfCan| |determinant| |critMonD1| |outputForm| |halfExtendedResultant2| |setrest!| |leadingBasisTerm| |sh| |chiSquare1| |toseInvertibleSet| |squareFreePolynomial| |deleteProperty!| |internalZeroSetSplit| |difference| |factorList| |orbit| |cAcot| |pole?| |factorials| |rightCharacteristicPolynomial| |subscriptedVariables| |setAttributeButtonStep| |changeVar| |weakBiRank| |mkcomm| |signAround| |closed?| |constantCoefficientRicDE| |unary?| |elements| |startTableGcd!| |repeating?| |lazy?| |totolex| |bracket| |selectfirst| |compBound| |showAll?| |extractProperty| |usingTable?| |PollardSmallFactor| |defineProperty| |variationOfParameters| |simpson| |measure2Result| |taylorQuoByVar| |Beta| |groebgen| |fortranDoubleComplex| |selectMultiDimensionalRoutines| |numberOfFactors| |cAsech| |csch2sinh| |characteristicSerie| |cap| |BasicMethod| |mapUnivariateIfCan| |close!| |leadingExponent| |normalize| |distFact| |irreducible?| |iicos| |pointColorDefault| |fibonacci| |more?| |members| |leftPower| |companionBlocks| |floor| |hasPredicate?| |basisOfLeftNucloid| |leaves| |varselect| |cycleElt| |var1StepsDefault| |cyclicEntries| FG2F |stFuncN| |permutations| |iiasec| |iprint| |OMreceive| |cSin| |rewriteIdealWithQuasiMonicGenerators| |dimensions| |randnum| |numberOfComposites| |quasiMonicPolynomials| |setEmpty!| |cAsinh| |sup| |fi2df| |frobenius| |showTheSymbolTable| |directSum| |bivariate?| |presub| |mapUnivariate| |rightScalarTimes!| |bipolarCylindrical| |shuffle| |subSet| |compose| |integralCoordinates| |se2rfi| |intersect| |stoseInvertibleSetsqfreg| |subCase?| |eigenvectors| |gcdPolynomial| |bezoutMatrix| |increase| |goodPoint| |totalDifferential| |addmod| |polynomial| |tableForDiscreteLogarithm| |tanAn| |solveLinearPolynomialEquationByFractions| |badNum| |infinityNorm| |outputSpacing| |invmod| |padicFraction| |iiacot| |powers| |sort!| |getGraph| |aQuadratic| |df2fi| |shanksDiscLogAlgorithm| |Lazard2| |restorePrecision| |zeroOf| |upperCase!| |resetAttributeButtons| |endOfFile?| |factorOfDegree| |mainVariables| |computeCycleLength| |laplace| |ldf2vmf| |separant| |insertBottom!| |karatsubaOnce| |latex| |solveLinearPolynomialEquationByRecursion| |createZechTable| |ideal| |pToDmp| |arrayStack| |setPoly| |genericLeftTrace| |polygon?| |nextPrimitiveNormalPoly| |pseudoQuotient| |trigs| |functionIsFracPolynomial?| |splitDenominator| |leftMinimalPolynomial| |isMult| |saturate| |numberOfChildren| |extendIfCan| |color| |fortranCharacter| |createNormalElement| |trivialIdeal?| |psolve| |variable| |stoseInvertible?reg| |showAllElements| |scale| |imagj| |basisOfCenter| |retract| |maxColIndex| |measure| |nextItem| |subTriSet?| |chebyshevT| |normalizedDivide| |removeSinSq| |space| |polyPart| |eigenMatrix| |solveLinear| |cosh2sech| |pomopo!| |startTableInvSet!| |read!| |index| |matrixDimensions| |evaluate| |countRealRootsMultiple| |binarySearchTree| |divideIfCan| |fullDisplay| |nextNormalPoly| |varList| |mapExponents| |getlo| |fintegrate| |rational| |graeffe| |relationsIdeal| |primitive?| |palgint| |infRittWu?| |universe| |nextColeman| |readLine!| |lazyIntegrate| |pushuconst| |elementary| |shallowCopy| |hue| |iisinh| |primitivePart| |tracePowMod| |message| |screenResolution| |extendedint| |splitSquarefree| |totalfract| |logpart| |expandPower| |bringDown| |leviCivitaSymbol| |fortranLogical| |prinpolINFO| |explicitEntries?| |reduce| |subMatrix| |complexSolve| |acsch| |removeSuperfluousQuasiComponents| |nullSpace| |gcdprim| |plenaryPower| |minset| |cCos| |redpps| |toseInvertible?| |resize| |hasoln| |sumOfDivisors| |eisensteinIrreducible?| |getDatabase| |froot| |FormatRoman| |reduceBasisAtInfinity| |powerSum| |unitNormalize| |create3Space| |trapezoidalo| |wreath| |minordet| |cyclotomic| |initials| |rootKerSimp| |key?| |setErrorBound| |rowEchLocal| |bandedHessian| |combineFeatureCompatibility| |#| |indiceSubResultantEuclidean| |realElementary| D |complexForm| |controlPanel| |quotedOperators| |zerosOf| |possiblyNewVariety?| |transcendent?| |contract| |nthr| |getVariableOrder| |irreducibleFactor| |antisymmetricTensors| |imagK| |isobaric?| |OMputEndAtp| |subset?| |OMclose| |numberOfImproperPartitions| |uniform01| |lifting| |nodes| |useSingleFactorBound| |sub| |symmetricPower| |multiplyCoefficients| |sinIfCan| |qPot| |id| |upperCase| |dimension| |wrregime| |prologue| |removeCoshSq| |pointSizeDefault| |headReduce| |vedf2vef| |radicalOfLeftTraceForm| |table| |mindegTerm| |predicates| |graphState| |nextPartition| |key| |minIndex| |numFunEvals| |partialFraction| |df2st| |subst| |dark| |screenResolution3D| |new| |multisect| |rootNormalize| |zeroSquareMatrix| |lintgcd| |polyRicDE| |prefixRagits| |leftLcm| |anfactor| |shiftRight| |ipow| |tree| |enumerate| |resetBadValues| |frst| |palglimint0| |hclf| |semiResultantEuclidean1| |bombieriNorm| |enterPointData| |explicitlyFinite?| |rewriteSetByReducingWithParticularGenerators| |rightAlternative?| |iiasinh| |recoverAfterFail| |alphabetic| |mirror| |depth| |finiteBasis| |cTan| |gcd| |rightRankPolynomial| |predicate| |false| |cAcsc| |squareMatrix| |denomRicDE| |OMwrite| |integralAtInfinity?| |createThreeSpace| |iisin| |antiAssociative?| |squareFreePart| |fracPart| |numerators| |internalDecompose| |rk4f| |zeroDim?| |clearTheFTable| |pattern| |contains?| |cSinh| SEGMENT |alternating| |interpretString| |rank| |OMgetSymbol| |coerce| |routines| |setScreenResolution| |exquo| |iidprod| |minGbasis| |diagonal?| |coordinate| |construct| |obj| |compile| |sn| |operation| |mesh| |Gamma| |numberOfMonomials| |lfinfieldint| |hash| |tower| |enterInCache| |lifting1| |infix| |count| |countable?| |meatAxe| |chineseRemainder| |complexNumeric| |extend| |antisymmetric?| |padicallyExpand| |linearAssociatedOrder| |SturmHabichtSequence| |mainMonomials| |kernels| |fprindINFO| |monicDecomposeIfCan| |groebner| |univariate| |odd?| |principalIdeal| F2FG |multinomial| |printInfo| |credPol| |checkForZero| ~= |collect| |crest| |factor| |normalizeAtInfinity| |tablePow| |idealSimplify| |sqrt| |factor1| |insertMatch| |init| |mathieu11| |test| |real| |selectSumOfSquaresRoutines| = |nullity| |idealiserMatrix| |setelt| |imag| |leftExactQuotient| |cup| |xn| |directProduct| |intermediateResultsIF| |degreeSubResultantEuclidean| < |lazyVariations| |copy| |retractIfCan| |solveInField| |yCoordinates| > |mightHaveRoots| |destruct| |binomThmExpt| |formula| <= |adjoint| ^= |extendedEuclidean| |cLog| >= |ScanRoman| |simpsono| |rk4qc| |setPosition| |exponential1| |leftNorm| |reverse| |mainValue| |monomial| |constantIfCan| |setValue!| + |setVariableOrder| |digit?| |exp1| |multivariate| |minPoints3D| |size| - |limitedint| |semicolonSeparate| |variables| |typeLists| |print| / |roman| |characteristicSet| |incrementKthElement| |bezoutDiscriminant| |jordanAlgebra?| |patternMatch| |primlimintfrac| |belong?| |leftScalarTimes!| |ParCondList| |dmpToHdmp| |comp| |maxint| |basisOfRightAnnihilator| |taylor| |localIntegralBasis| |complexEigenvalues| |leftTrace| |laurent| |cycle| |intensity| |basisOfLeftNucleus| |puiseux| |hex| |tableau| |updatD| |setButtonValue| |newTypeLists| |mix| |inv| |replace| |green| |leftFactor| |ground?| |wholeRagits| |relerror| |overlap| |ground| |tryFunctionalDecomposition?| |generalizedEigenvectors| |minrank| |leadingMonomial| |copies| |wordInGenerators| |perfectSquare?| |directory| |leadingCoefficient| |nextPrimitivePoly| |generalizedInverse| |viewDeltaYDefault| |primitiveMonomials| |primPartElseUnitCanonical| |intcompBasis| |lazyGintegrate| |reductum| |expandLog| |shellSort| |splitNodeOf!| |OMputSymbol| |repSq| |selectsecond| |quadratic| |property| |rightRegularRepresentation| |reducedSystem| |createGenericMatrix| |OMgetBVar| |createNormalPoly| |shallowExpand| |cycleSplit!| |lieAdmissible?| |pointPlot| |units| |useEisensteinCriterion| |Ei| |deleteRoutine!| |sizePascalTriangle| |minus!| |internalSubPolSet?| |commaSeparate| |att2Result| |listOfMonoms| |code| |submod| |argumentListOf| |list?| |expt| |partitions| |infiniteProduct| |transform| |mainContent| |tValues| |nullary| |constant| |clearFortranOutputStack| |genericLeftNorm| |rightExtendedGcd| |factorByRecursion| |conical| |tubeRadiusDefault| |light| |atoms| |janko2| |mkIntegral| |erf| |create| |brace| |quote| |rightGcd| |composite| |invmultisect| |realZeros| |conditions| |diag| |lp| |vconcat| |makeMulti| |match| |semiResultantEuclideannaif| |dflist| |dilog| |rightNorm| |dom| |rdHack1| |groebner?| |sin| |noncommutativeJordanAlgebra?| |fortranLiteral| |initTable!| |cos| |concat| |swapColumns!| |subResultantChain| |tan| |adaptive?| |coercePreimagesImages| |cot| |shufflein| |char| |precision| |polynomialZeros| |sec| |totalLex| |iomode| ^ |csc| |leadingTerm| |readLineIfCan!| |asin| |showTheRoutinesTable| |showIntensityFunctions| |acos| GF2FG |LowTriBddDenomInv| |atan| |randomR| |digits| |acot| |elem?| |raisePolynomial| |asec| |characteristic| |OMsupportsSymbol?| |acsc| |degreePartition| |branchPoint?| |sinh| |title| |double| |minimumExponent| |bfKeys| |cosh| |OMputObject| |summation| |tanh| |upDateBranches| |schwerpunkt| |coth| |exactQuotient| |generators| |sech| |reducedContinuedFraction| |name| |generator| |eulerPhi| |lexico| |match?| |csch| |makeSin| |deref| |omError| |asinh| |op| |completeHermite| |retractable?| |acosh| |lexGroebner| |convergents| |solveLinearPolynomialEquation| |atanh| |topPredicate| |iipow| |aromberg| |square?| |acoth| |viewpoint| |declare!| LT |OMputString| |asech| |nextsubResultant2| |ord| |dmpToP| |superHeight| |iifact| |search| |multiple| |components| |equation| |OMgetObject| |OMgetFloat| |nextIrreduciblePoly| |divideIfCan!| |toseLastSubResultant| |optional| |mergeFactors| |partialDenominators| |element?| |substring?| |movedPoints| |addMatchRestricted| |trailingCoefficient| |lllp| |ode| |mpsode| |numberOfHues| |extendedIntegrate| |bivariateSLPEBR| |suffix?| |applyQuote| |schema| |lo| |palginfieldint| |clipSurface| |iiabs| |factorAndSplit| |deepExpand| |updatF| |OMencodingUnknown| |incr| |outputList| |expr| |prefix?| |or| |semiResultantEuclidean2| |setClipValue| |hi| |monomRDE| |ruleset| |sum| |monicRightDivide| |normalElement| |nextSublist| |negative?| |cylindrical| |integerBound| |palgRDE| |dihedralGroup| |node| |constantLeft| |numberOfPrimitivePoly| |alphanumeric?| |normalizeIfCan| |rk4| |any| |charClass| |chebyshevU| |suchThat| |leftTrim| |halfExtendedResultant1| |normInvertible?| |wholeRadix| |delay| |segment| |ref| |rightTrim| |polarCoordinates| |subNode?| |extractClosed| |sqfrFactor| |pseudoRemainder| |infix?| |trigs2explogs| |UP2ifCan| |OMUnknownCD?| |has?| |mask| |Is| |associatorDependence| |setPrologue!| |coHeight| |baseRDE| |distribute| |lambert| |uncouplingMatrices| |integers| |rewriteIdealWithRemainder| |min| |selectOptimizationRoutines| |rewriteSetWithReduction| |insert!| |datalist| |pleskenSplit| |divisorCascade| |readable?| |basis| |extension| |triangulate| |genus| |writeLine!| |mulmod| |reducedQPowers| |hasHi| |identification| |algint| |showAttributes| |pmintegrate| |twoFactor| |clearDenominator| |real?| |zag| GT UP2UTS |entries| |fmecg| |length| |OMParseError?| |mr| |failed| |orbits| |aQuartic| |getExplanations| |leftTraceMatrix| |scripts| |nil| |infinite| |arbitraryExponent| |approximate| |complex| |shallowMutable| |canonical| |noetherian| |central| |partiallyOrderedSet| |arbitraryPrecision| |canonicalsClosed| |noZeroDivisors| |rightUnitary| |leftUnitary| |additiveValuation| |unitsKnown| |canonicalUnitNormal| |multiplicativeValuation| |finiteAggregate| |shallowlyMutable| |commutative|) 
\ No newline at end of file
+(30 . 3469245614)            
+(4292 |Enumeration| |Mapping| |Record| |Union| |ofCategory| |isDomain| ATTRIBUTE |package| |domain| |category| CATEGORY |nobranch| AND |Join| |ofType| SIGNATURE "failed" "algebra" |OneDimensionalArrayAggregate&| |OneDimensionalArrayAggregate| |AbelianGroup&| |AbelianGroup| |AbelianMonoid&| |AbelianMonoid| |AbelianSemiGroup&| |AbelianSemiGroup| |AlgebraicallyClosedField&| |AlgebraicallyClosedField| |AlgebraicallyClosedFunctionSpace&| |AlgebraicallyClosedFunctionSpace| |PlaneAlgebraicCurvePlot| |AlgebraicFunction| |Aggregate&| |Aggregate| |ArcHyperbolicFunctionCategory| |AssociationListAggregate| |Algebra&| |Algebra| |AlgFactor| |AlgebraicFunctionField| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraPackage| |AlgebraGivenByStructuralConstants| |AssociationList| |AbelianMonoidRing&| |AbelianMonoidRing| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |AnyFunctions1| |Any| |ApplicationProgramInterface| |ApplyUnivariateSkewPolynomial| |ApplyRules| |TwoDimensionalArrayCategory&| |TwoDimensionalArrayCategory| |OneDimensionalArrayFunctions2| |OneDimensionalArray| |TwoDimensionalArray| |Asp10| |Asp12| |Asp19| |Asp1| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp41| |Asp42| |Asp49| |Asp4| |Asp50| |Asp55| |Asp6| |Asp73| |Asp74| |Asp77| |Asp78| |Asp7| |Asp80| |Asp8| |Asp9| |AssociatedEquations| |ArrayStack| |ArcTrigonometricFunctionCategory&| |ArcTrigonometricFunctionCategory| |AttributeButtons| |AttributeRegistry| |Automorphism| |AxiomServer| |BalancedFactorisation| |BasicType&| |BasicType| |BalancedBinaryTree| |Bezier| |BezoutMatrix| |BasicFunctions| |BagAggregate&| |BagAggregate| |BinaryExpansion| |BinaryFile| |Bits| |BiModule| |Boolean| |BasicOperatorFunctions1| |BasicOperator| |BoundIntegerRoots| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryRecursiveAggregate&| |BinaryRecursiveAggregate| |BrillhartTests| |BinarySearchTree| |BitAggregate&| |BitAggregate| |BinaryTreeCategory&| |BinaryTreeCategory| |BinaryTournament| |BinaryTree| |CancellationAbelianMonoid| |CachableSet| |CardinalNumber| |CartesianTensorFunctions2| |CartesianTensor| |CharacterClass| |CommonDenominator| |CombinatorialFunctionCategory| |Character| |CharacteristicNonZero| |CharacteristicPolynomialPackage| |CharacteristicZero| |ChangeOfVariable| |ComplexIntegerSolveLinearPolynomialEquation| |Collection&| |Collection| |CliffordAlgebra| |TwoDimensionalPlotClipping| |ComplexRootPackage| |Color| |CombinatorialFunction| |IntegerCombinatoricFunctions| |CombinatorialOpsCategory| |Commutator| |CommonOperators| |CommuteUnivariatePolynomialCategory| |ComplexCategory&| |ComplexCategory| |ComplexFactorization| |ComplexFunctions2| |Complex| |ComplexPattern| |SubSpaceComponentProperty| |CommutativeRing| |ContinuedFraction| |CoordinateSystems| |CharacteristicPolynomialInMonogenicalAlgebra| |ComplexPatternMatch| |CRApackage| |ComplexRootFindingPackage| |CyclicStreamTools| |ComplexTrigonometricManipulations| |CoerceVectorMatrixPackage| |CycleIndicators| |CyclotomicPolynomialPackage| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d01TransformFunctionType| |d01WeightsPackage| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |Database| |DoubleResultantPackage| |DistinctDegreeFactorize| |DecimalExpansion| |ElementaryFunctionDefiniteIntegration| |RationalFunctionDefiniteIntegration| |DegreeReductionPackage| |Dequeue| |DeRhamComplex| |DefiniteIntegrationTools| |DoubleFloat| |DoubleFloatSpecialFunctions| |DenavitHartenbergMatrix| |Dictionary&| |Dictionary| |DifferentialExtension&| |DifferentialExtension| |DifferentialRing&| |DifferentialRing| |DictionaryOperations&| |DictionaryOperations| |DiophantineSolutionPackage| |DirectProductCategory&| |DirectProductCategory| |DirectProductFunctions2| |DirectProduct| |DisplayPackage| |DivisionRing&| |DivisionRing| |DoublyLinkedAggregate| |DataList| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |DirectProductMatrixModule| |DirectProductModule| |DifferentialPolynomialCategory&| |DifferentialPolynomialCategory| |DequeueAggregate| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |DrawComplex| |DrawNumericHack| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForPoints| |DrawOptionFunctions0| |DrawOptionFunctions1| |DrawOption| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DifferentialVariableCategory| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType| |ExtAlgBasis| |ElementaryFunction| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ExtensibleLinearAggregate&| |ExtensibleLinearAggregate| |ElementaryFunctionCategory&| |ElementaryFunctionCategory| |EllipticFunctionsUnivariateTaylorSeries| |Eltable| |EltableAggregate&| |EltableAggregate| |EuclideanModularRing| |EntireRing| |EigenPackage| |EquationFunctions2| |Equation| |EqTable| |ErrorFunctions| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpertSystemContinuityPackage1| |ExpertSystemContinuityPackage| |ExpressionSpace&| |ExpressionSpace| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExpertSystemToolsPackage| |EuclideanDomain&| |EuclideanDomain| |Evalable&| |Evalable| |EvaluateCycleIndicators| |Exit| |ExponentialExpansion| |ExpressionFunctions2| |ExpressionToUnivariatePowerSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionSolve| |ExpressionTubePlot| |ExponentialOfUnivariatePuiseuxSeries| |FactoredFunctions| |FactoringUtilities| |FreeAbelianGroup| |FreeAbelianMonoidCategory| |FreeAbelianMonoid| |FiniteAbelianMonoidRingFunctions2| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRing| |FlexibleArray| |FiniteAlgebraicExtensionField&| |FiniteAlgebraicExtensionField| |FortranCode| |FourierComponent| |FortranCodePackage1| |FiniteDivisorFunctions2| |FiniteDivisorCategory&| |FiniteDivisorCategory| |FiniteDivisor| |FullyEvalableOver&| |FullyEvalableOver| |FortranExpression| |FunctionFieldCategoryFunctions2| |FunctionFieldCategory&| |FunctionFieldCategory| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldCyclicGroupExtension| |FractionFreeFastGaussianFractions| |FractionFreeFastGaussian| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldCategory&| |FiniteFieldCategory| |FunctionFieldIntegralBasis| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldNormalBasisExtension| |FiniteField| |FiniteFieldExtensionByPolynomial| |FiniteFieldPolynomialPackage2| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldExtension| |FGLMIfCanPackage| |FreeGroup| |Field&| |Field| |FileCategory| |File| |FiniteRankNonAssociativeAlgebra&| |FiniteRankNonAssociativeAlgebra| |Finite| |FiniteRankAlgebra&| |FiniteRankAlgebra| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregate&| |FiniteLinearAggregate| |FreeLieAlgebra| |FiniteLinearAggregateSort| |FullyLinearlyExplicitRingOver&| |FullyLinearlyExplicitRingOver| |FloatingComplexPackage| |Float| |FloatingRealPackage| |FreeModule1| |FreeModuleCat| |FortranMatrixCategory| |FortranMatrixFunctionCategory| |FreeModule| |FreeMonoid| |FortranMachineTypeCategory| |FileName| |FileNameCategory| |FreeNilpotentLie| |FortranOutputStackPackage| |FindOrderFinite| |ScriptFormulaFormat1| |ScriptFormulaFormat| |FortranProgramCategory| |FortranFunctionCategory| |FortranPackage| |FortranProgram| |FullPartialFractionExpansion| |FullyPatternMatchable| |FieldOfPrimeCharacteristic&| |FieldOfPrimeCharacteristic| |FloatingPointSystem&| |FloatingPointSystem| |FactoredFunctions2| |FractionFunctions2| |Fraction| |FramedAlgebra&| |FramedAlgebra| |FullyRetractableTo&| |FullyRetractableTo| |FractionalIdealFunctions2| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebraFunctions2| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebra| |Factored| |FactoredFunctionUtilities| |FunctionSpaceToExponentialExpansion| |FunctionSpaceFunctions2| |FunctionSpaceToUnivariatePowerSeries| |FiniteSetAggregateFunctions2| |FiniteSetAggregate&| |FiniteSetAggregate| |FunctionSpaceComplexIntegration| |FourierSeries| |FunctionSpaceIntegration| |FunctionSpace&| |FunctionSpace| |FunctionalSpecialFunction| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FortranScalarType| |FunctionSpaceUnivariatePolynomialFactor| |FortranTemplate| |FortranType| |FunctionCalled| |FortranVectorCategory| |FortranVectorFunctionCategory| |GaloisGroupFactorizer| |GaloisGroupFactorizationUtilities| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |EuclideanGroebnerBasisPackage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GcdDomain&| |GcdDomain| |GenericNonAssociativeAlgebra| |GeneralDistributedMultivariatePolynomial| |GenExEuclid| |GeneralizedMultivariateFactorize| |GeneralPolynomialGcdPackage| |GenUFactorize| |GenerateUnivariatePowerSeries| |GeneralHenselPackage| |GeneralModulePolynomial| |GuessOptionFunctions0| |GuessOption| |GosperSummationMethod| |GeneralPolynomialSet| |GradedAlgebra&| |GradedAlgebra| |GrayCode| |GraphicsDefaults| |GraphImage| |GradedModule&| |GradedModule| |GroebnerSolve| |Group&| |Group| |GeneralUnivariatePowerSeries| |GeneralSparseTable| |GeneralTriangularSet| |GuessAlgebraicNumber| |GuessFiniteFunctions| |GuessFinite| |GuessInteger| |Guess| |GuessPolynomial| |GuessUnivariatePolynomial| |Pi| |HashTable| |HallBasis| |HomogeneousDistributedMultivariatePolynomial| |HomogeneousDirectProduct| |Heap| |HyperellipticFiniteDivisor| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousAggregate| |HyperbolicFunctionCategory&| |HyperbolicFunctionCategory| |InnerAlgFactor| |InnerAlgebraicNumber| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |ChineseRemainderToolsForIntegralBases| |IntegralBasisTools| |IndexedBits| |IntegralBasisPolynomialTools| |IndexCard| |InnerCommonDenominator| |PolynomialIdeals| |IdealDecompositionPackage| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedDirectProductObject| |InnerEvalable&| |InnerEvalable| |InnerFreeAbelianMonoid| |IndexedFlexibleArray| |InnerFiniteField| |InnerIndexedTwoDimensionalArray| |IndexedList| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |IndexedMatrix| |InnerNormalBasisFieldFunctions| |IncrementingMaps| |IndexedExponents| |InnerNumericEigenPackage| |Infinity| |InputFormFunctions1| |InputForm| |InfiniteProductCharacteristicZero| |InnerNumericFloatSolvePackage| |InnerModularGcd| |InnerMultFact| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerPolySign| |IntegerNumberSystem&| |IntegerNumberSystem| |InnerTable| |AlgebraicIntegration| |AlgebraicIntegrate| |IntegerBits| |IntervalCategory| |IntegralDomain&| |IntegralDomain| |ElementaryIntegration| |IntegerFactorizationPackage| |IntegrationFunctionsTable| |GenusZeroIntegration| |IntegerNumberTheoryFunctions| |AlgebraicHermiteIntegration| |TranscendentalHermiteIntegration| |Integer| |AnnaNumericalIntegrationPackage| |PureAlgebraicIntegration| |PatternMatchIntegration| |RationalIntegration| |IntegerRetractions| |RationalFunctionIntegration| |Interval| |IntegerSolveLinearPolynomialEquation| |IntegrationTools| |TranscendentalIntegration| |InverseLaplaceTransform| |InnerPAdicInteger| |InnerPrimeField| |InternalPrintPackage| |IntegrationResultToFunction| |IntegrationResultFunctions2| |IntegrationResult| |IntegerRoots| |IrredPolyOverFiniteField| |IntegrationResultRFToFunction| |IrrRepSymNatPackage| |InternalRationalUnivariateRepresentationPackage| |IndexedString| |InnerPolySum| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerTrigonometricManipulations| |InfiniteTuple| |IndexedVector| |IndexedAggregate&| |IndexedAggregate| |AssociatedJordanAlgebra| |KeyedAccessFile| |KeyedDictionary&| |KeyedDictionary| |KernelFunctions2| |Kernel| |CoercibleTo| |ConvertibleTo| |Kovacic| |LeftAlgebra&| |LeftAlgebra| |LocalAlgebra| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LexTriangularPackage| |LiouvillianFunctionCategory| |LiouvillianFunction| |LinGroebnerPackage| |Library| |LieAlgebra&| |LieAlgebra| |AssociatedLieAlgebra| |PowerSeriesLimitPackage| |RationalFunctionLimitPackage| |LinearDependence| |LinearlyExplicitRingOver| |ListToMap| |ListFunctions2| |ListFunctions3| |List| |ListMultiDictionary| |LeftModule| |ListMonoidOps| |LinearAggregate&| |LinearAggregate| |ElementaryFunctionLODESolver| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorCategory| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |Logic&| |Logic| |Localize| |LinearPolynomialEquationByFractions| |LiePolynomial| |ListAggregate&| |ListAggregate| |LinearSystemMatrixPackage1| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LieSquareMatrix| |LyndonWord| |LazyStreamAggregate&| |LazyStreamAggregate| |ThreeDimensionalMatrix| |Magma| |MappingPackageInternalHacks1| |MappingPackageInternalHacks2| |MappingPackageInternalHacks3| |MappingPackage1| |MappingPackage2| |MappingPackage3| |MappingPackage4| |MatrixCategoryFunctions2| |MatrixCategory&| |MatrixCategory| |MatrixLinearAlgebraFunctions| |Matrix| |StorageEfficientMatrixOperations| |MultiVariableCalculusFunctions| |MatrixCommonDenominator| |MachineComplex| |MultiDictionary| |ModularDistinctDegreeFactorizer| |MeshCreationRoutinesForThreeDimensions| |MultFiniteFactorize| |MachineFloat| |ModularHermitianRowReduction| |MachineInteger| |MakeBinaryCompiledFunction| |MakeCachableSet| |MakeFloatCompiledFunction| |MakeFunction| |MakeRecord| |MakeUnaryCompiledFunction| |MultivariateLifting| |MonogenicLinearOperator| |MultipleMap| |MathMLFormat| |ModularField| |ModMonic| |ModuleMonomial| |ModuleOperator| |ModularRing| |Module&| |Module| |MoebiusTransform| |Monad&| |Monad| |MonadWithUnit&| |MonadWithUnit| |MonogenicAlgebra&| |MonogenicAlgebra| |Monoid&| |Monoid| |MonomialExtensionTools| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MultivariatePolynomial| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MonoidRingFunctions2| |MonoidRing| |MultisetAggregate| |Multiset| |MoreSystemCommands| |MergeThing| |MultivariateTaylorSeriesCategory| |MultivariateFactorize| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NonAssociativeAlgebra&| |NonAssociativeAlgebra| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagIntegrationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagInterpolationPackage| |NagFittingPackage| |NagOptimisationPackage| |NagMatrixOperationsPackage| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagLapack| |NagSpecialFunctionsPackage| |NAGLinkSupportPackage| |NonAssociativeRng&| |NonAssociativeRng| |NonAssociativeRing&| |NonAssociativeRing| |NumericComplexEigenPackage| |NumericContinuedFraction| |NonCommutativeOperatorDivision| |NewtonInterpolation| |NumberFieldIntegralBasis| |NumericalIntegrationProblem| |NonLinearSolvePackage| |NonNegativeInteger| |NonLinearFirstOrderODESolver| |NoneFunctions1| |None| |NormInMonogenicAlgebra| |NormalizationPackage| |NormRetractPackage| |NottinghamGroup| |NPCoef| |NumericRealEigenPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2| |NewSparseUnivariatePolynomial| |NumberTheoreticPolynomialFunctions| |NormalizedTriangularSetCategory| |Numeric| |NumberFormats| |NumericalIntegrationCategory| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |NumericTubePlot| |OrderedAbelianGroup| |OrderedAbelianMonoid| |OrderedAbelianMonoidSup| |OrderedAbelianSemiGroup| |OrderedCancellationAbelianMonoid| |OctonionCategory&| |OctonionCategory| |OctonionCategoryFunctions2| |Octonion| |OrdinaryDifferentialEquationsSolverCategory| |ConstantLODE| |ElementaryFunctionODESolver| |ODEIntensityFunctionsTable| |ODEIntegration| |AnnaOrdinaryDifferentialEquationPackage| |PureAlgebraicLODE| |PrimitiveRatDE| |NumericalODEProblem| |PrimitiveRatRicDE| |RationalLODE| |ReduceLODE| |RationalRicDE| |SystemODESolver| |ODETools| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrderlyDifferentialVariable| |OrderedFreeMonoid| |OrderedIntegralDomain| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathErrorKind| |OpenMathError| |ExpressionToOpenMath| |OppositeMonogenicLinearOperator| |OpenMath| |OpenMathPackage| |OrderedMultisetAggregate| |OpenMathServerPackage| |OnePointCompletionFunctions2| |OnePointCompletion| |Operator| |OperationsQuery| |NumericalOptimizationCategory| |AnnaNumericalOptimizationPackage| |NumericalOptimizationProblem| |OrderedCompletionFunctions2| |OrderedCompletion| |OrderedFinite| |OrderingFunctions| |OrderedMonoid| |OrderedRing&| |OrderedRing| |OrderedSet&| |OrderedSet| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategory| |UnivariateSkewPolynomialCategoryOps| |SparseUnivariateSkewPolynomial| |UnivariateSkewPolynomial| |OrthogonalPolynomialFunctions| |OrdSetInts| |OutputForm| |OutputPackage| |OrderedVariableList| |OrdinaryWeightedPolynomials| |PadeApproximants| |PadeApproximantPackage| |PAdicIntegerCategory| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PolynomialAN2Expression| |ParametricPlaneCurveFunctions2| |ParametricPlaneCurve| |ParametricSpaceCurveFunctions2| |ParametricSpaceCurve| |ParametricSurfaceFunctions2| |ParametricSurface| |PartitionsAndPermutations| |Patternable| |PatternMatchListResult| |PatternMatchable| |PatternMatch| |PatternMatchResultFunctions2| |PatternMatchResult| |PatternFunctions1| |PatternFunctions2| |Pattern| |PoincareBirkhoffWittLyndonBasis| |PolynomialComposition| |PartialDifferentialEquationsSolverCategory| |PolynomialDecomposition| |AnnaPartialDifferentialEquationPackage| |NumericalPDEProblem| |PartialDifferentialRing&| |PartialDifferentialRing| |PendantTree| |Permanent| |PermutationCategory| |PermutationGroup| |Permutation| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialFactorizationExplicit| |PrimeField| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PartialFraction| |PartialFractionPackage| |PolynomialGcdPackage| |PermutationGroupExamples| |PolyGroebner| |PiCoercions| |PrincipalIdealDomain| |PositiveInteger| |PolynomialInterpolationAlgorithms| |PolynomialInterpolation| |ParametricLinearEquations| |PlotFunctions1| |Plot3D| |Plot| |PlotTools| |FunctionSpaceAssertions| |PatternMatchAssertions| |PatternMatchPushDown| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchPolynomialCategory| |FunctionSpaceAttachPredicates| |AttachPredicates| |PatternMatchQuotientFieldCategory| |PatternMatchSymbol| |PatternMatchTools| |PolynomialNumberTheoryFunctions| |Point| |PolToPol| |RealPolynomialUtilitiesPackage| |PolynomialFunctions2| |PolynomialToUnivariatePolynomial| |PolynomialCategory&| |PolynomialCategory| |PolynomialCategoryQuotientFunctions| |PolynomialCategoryLifting| |Polynomial| |PolynomialRoots| |PlottablePlaneCurveCategory| |PrecomputedAssociatedEquations| |PrimitiveArrayFunctions2| |PrimitiveArray| |PrimitiveFunctionCategory| |PrimitiveElement| |IntegerPrimesPackage| |PrintPackage| |PolynomialRing| |Product| |PriorityQueueAggregate| |PseudoRemainderSequence| |Partition| |PowerSeriesCategory&| |PowerSeriesCategory| |PlottableSpaceCurveCategory| |PolynomialSetCategory&| |PolynomialSetCategory| |PolynomialSetUtilitiesPackage| |PseudoLinearNormalForm| |PolynomialSquareFree| |PointCategory| |PointFunctions2| |PointPackage| |PartialTranscendentalFunctions| |PushVariables| |PAdicWildFunctionFieldIntegralBasis| |QuasiAlgebraicSet2| |QuasiAlgebraicSet| |QuasiComponentPackage| |QueryEquation| |QuotientFieldCategoryFunctions2| |QuotientFieldCategory&| |QuotientFieldCategory| |QuadraticForm| |QueueAggregate| |QuaternionCategory&| |QuaternionCategory| |QuaternionCategoryFunctions2| |Quaternion| |Queue| |RadicalCategory&| |RadicalCategory| |RadicalFunctionField| |RadixExpansion| |RadixUtilities| |RandomNumberSource| |RationalFactorize| |RationalRetractions| |RecursiveAggregate&| |RecursiveAggregate| |RealClosedField&| |RealClosedField| |ElementaryRischDE| |ElementaryRischDESystem| |TranscendentalRischDE| |TranscendentalRischDESystem| |RandomDistributions| |ReducedDivisor| |RealZeroPackage| |RealZeroPackageQ| |RealConstant| |RealSolvePackage| |RealClosure| |RecurrenceOperator| |ReductionOfOrder| |Reference| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |RepeatedDoubling| |RadicalEigenPackage| |RepeatedSquaring| |ResolveLatticeCompletion| |ResidueRing| |Result| |RetractableTo&| |RetractableTo| |RetractSolvePackage| |RandomFloatDistributions| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunction| |RegularChain| |RandomIntegerDistributions| |Ring&| |Ring| |RationalInterpolation| |RectangularMatrixCategory&| |RectangularMatrixCategory| |RectangularMatrix| |RectangularMatrixCategoryFunctions2| |RightModule| |Rng| |RealNumberSystem&| |RealNumberSystem| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RecursivePolynomialCategory&| |RecursivePolynomialCategory| |RealRootCharacterizationCategory&| |RealRootCharacterizationCategory| |RegularSetDecompositionPackage| |RegularTriangularSetCategory&| |RegularTriangularSetCategory| |RegularTriangularSetGcdPackage| |RuleCalled| |RewriteRule| |Ruleset| |RationalUnivariateRepresentationPackage| |SimpleAlgebraicExtensionAlgFactor| |SimpleAlgebraicExtension| |SAERationalFunctionAlgFactor| |SingletonAsOrderedSet| |SortedCache| |StructuralConstantsPackage| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |SegmentFunctions2| |SegmentBindingFunctions2| |SegmentBinding| |SegmentCategory| |Segment| |SegmentExpansionCategory| |SetAggregate&| |SetAggregate| |SetCategory&| |SetCategory| |SetOfMIntegersInOneToN| |Set| |SExpressionCategory| |SExpression| |SExpressionOf| |SimpleFortranProgram| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage| |SquareFreeRegularTriangularSetCategory| |SymmetricGroupCombinatoricFunctions| |SemiGroup&| |SemiGroup| |SplitHomogeneousDirectProduct| |SturmHabichtPackage| |ElementaryFunctionSign| |RationalFunctionSign| |SimplifyAlgebraicNumberConvertPackage| |SingleInteger| |StackAggregate| |SquareMatrixCategory&| |SquareMatrixCategory| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |PolynomialSolveByFormulas| |RadicalSolvePackage| |TransSolvePackageService| |TransSolvePackage| |SortPackage| |ThreeSpace| |ThreeSpaceCategory| |SpecialOutputPackage| |SpecialFunctionCategory| |SplittingNode| |SplittingTree| |SquareMatrix| |StringAggregate&| |StringAggregate| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |Stack| |StreamAggregate&| |StreamAggregate| |SparseTable| |StepThrough| |StreamInfiniteProduct| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |Stream| |StringCategory| |String| |StringTable| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctionsNonCommutative| |StreamTranscendentalFunctions| |SubResultantPackage| |SubSpace| |SuchThat| |SparseUnivariateLaurentSeries| |FunctionSpaceSum| |RationalFunctionSum| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePolynomialExpressions| |SupFractionFactorizer| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Switch| |Symbol| |SymmetricFunctions| |SymmetricPolynomial| |TheSymbolTable| |SymbolTable| |SystemSolvePackage| |TableauxBumpers| |Tableau| |Table| |TangentExpansions| |TableAggregate&| |TableAggregate| |TabulatedComputationPackage| |TemplateUtilities| |TexFormat1| |TexFormat| |TextFile| |ToolsForSign| |TopLevelThreeSpace| |TranscendentalFunctionCategory&| |TranscendentalFunctionCategory| |Tree| |TrigonometricFunctionCategory&| |TrigonometricFunctionCategory| |TrigonometricManipulations| |TriangularMatrixOperations| |TranscendentalManipulations| |TriangularSetCategory&| |TriangularSetCategory| |TaylorSeries| |TubePlot| |TubePlotTools| |Tuple| |TwoFactorize| |Type| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |UniqueFactorizationDomain&| |UniqueFactorizationDomain| |UnivariateFormalPowerSeriesFunctions| |UnivariateFormalPowerSeries| |UnivariateLaurentSeriesFunctions2| |UnivariateLaurentSeriesCategory| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesConstructorCategory| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeries| |UnivariateFactorize| |UniversalSegmentFunctions2| |UniversalSegment| |UnivariatePolynomialFunctions2| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomial| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategory| |UnivariatePowerSeriesCategory&| |UnivariatePowerSeriesCategory| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesCategory| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesConstructorCategory| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnaryRecursiveAggregate&| |UnaryRecursiveAggregate| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesCategory| |UnivariateTaylorSeries| |UnivariateTaylorSeriesODESolver| |UTSodetools| |TaylorSolve| |Variable| |VectorCategory&| |VectorCategory| |VectorFunctions2| |Vector| |TwoDimensionalViewport| |ThreeDimensionalViewport| |ViewDefaultsPackage| |ViewportPackage| |Void| |VectorSpaceBasis| |VectorSpace&| |VectorSpace| |WeierstrassPreparation| |WildFunctionFieldIntegralBasis| |WeightedPolynomials| |WuWenTsunTriangularSet| |XAlgebra| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |ExtensionField&| |ExtensionField| |XPBWPolynomial| |XPolynomialsCat| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ParadoxicalCombinatorsForStreams| |ZeroDimensionalSolvePackage| |IntegerLinearDependence| |IntegerMod| |Enumeration| |Mapping| |Record| |Union| |Category| |morphism| |iiacsch| |tower| |brillhartIrreducible?| |inv| |optional?| |edf2efi| |setsubMatrix!| |ridHack1| |palgint0| |ground?| |quasiMonicPolynomials| |getMultiplicationMatrix| |irreducibleFactor| |pointPlot| |ground| |normInvertible?| |debug3D| GT |pomopo!| |inf| |modulus| |interpolate| |leadingMonomial| |horizConcat| |nand| |internalIntegrate0| |enterInCache| |leadingCoefficient| |removeZeroes| |lineColorDefault| |ravel| |cyclotomicFactorization| |symmetricRemainder| |hMonic| |log2| |primitiveMonomials| |flexible?| |setImagSteps| |choosemon| |point| |antisymmetricTensors| |reductum| |setEmpty!| |useEisensteinCriterion| |coerce| |empty| |oddInfiniteProduct| |startTableInvSet!| |wholeRadix| |set| |assign| |lifting1| |beauzamyBound| |factors| |round| |generalizedContinuumHypothesisAssumed| |exponential| |rischDEsys| |edf2df| |removeSinhSq| |common| |physicalLength!| |imagK| |stosePrepareSubResAlgo| |sizeLess?| |updateStatus!| |linearlyDependent?| |OMgetBind| |read!| |cAsinh| |df2ef| |Ei| |infix| |exquo| |insertionSort!| |delay| |createMultiplicationTable| |declare| |subNodeOf?| |position| |Vectorise| |intChoose| |subresultantSequence| |div| |purelyAlgebraic?| |constant?| |isobaric?| |axesColorDefault| |OMgetEndObject| |lllip| |integer?| |matrixDimensions| |monomialIntPoly| |evenInfiniteProduct| |concat| |countable?| |tan2trig| |quasiComponent| |sup| |numericIfCan| |dimensionOfIrreducibleRepresentation| |internalIntegrate| |addPoint| |ref| |badNum| |numericalOptimization| |OMputEndAtp| |objects| |cycleTail| NOT |basis| GE |cothIfCan| |asimpson| |evaluate| |selectIntegrationRoutines| OR |mainPrimitivePart| |value| |meatAxe| |toseSquareFreePart| |gderiv| |curveColor| AND |invertibleElseSplit?| |linearAssociatedLog| |modifyPoint| |setFormula!| |fi2df| |showArrayValues| |subset?| |extensionDegree| |polarCoordinates| |properties| |infinityNorm| |nonQsign| |lambda| |countRealRootsMultiple| |modTree| |extension| |torsionIfCan| |maximumExponent| |mkPrim| |rootOfIrreduciblePoly| |infieldIntegrate| GF2FG |ignore?| |rightMinimalPolynomial| |cot2trig| |satisfy?| |rotatex| |OMclose| |blue| |frobenius| |assoc| |medialSet| |identity| |rowEchelonLocal| |binarySearchTree| |subNode?| |outputSpacing| |iicsch| |validExponential| |SturmHabicht| |expint| |triangulate| |closeComponent| |OMputEndBVar| |musserTrials| * |iiatan| |selectAndPolynomials| |iExquo| |duplicates| |third| |listLoops| |approxSqrt| |determinant| |exponentialOrder| |divideIfCan| |showTheSymbolTable| |freeOf?| |LowTriBddDenomInv| |hex| |UpTriBddDenomInv| |extractClosed| |genus| |critMonD1| |delete| |generalInterpolation| |factorset| |getCurve| |invmod| |coerceImages| |rightTrace| |Si| |write!| |normalDeriv| |alternatingGroup| |imaginary| |fullDisplay| |cycleEntry| |internal?| |atrapezoidal| |semiLastSubResultantEuclidean| |directSum| |cross| |listRepresentation| |tableau| |cartesian| |sqfrFactor| |padicFraction| |randomR| |generalCoefficient| |cAcoth| |linearMatrix| |writeLine!| |setStatus| |subresultantVector| |minGbasis| |xor| |separateDegrees| |genericRightMinimalPolynomial| Y |supersub| |leastPower| |stop| |polyRDE| |initial| |lastSubResultantElseSplit| |prepareDecompose| |retract| |laguerreL| |listOfLists| |bivariate?| |OMencodingSGML| |patternMatchTimes| |updatD| |lieAlgebra?| |pseudoRemainder| |iiacot| |outputForm| |LyndonCoordinates| |diagonal?| |mulmod| |digits| |OMlistCDs| |unitNormal| |empty?| |arg1| |shiftLeft| |En| |innerint| |basisOfRightNucloid| |reduced?| |hexDigit?| |arg2| |createPrimitiveElement| |setButtonValue| |rischDE| |lexTriangular| |powers| |changeThreshhold| |listOfTerms| |coordinate| |csch2sinh| |reducedQPowers| |halfExtendedResultant2| |critMTonD1| |outputMeasure| |trailingCoefficient| |mathieu24| |bat1| |mapDown!| |traceMatrix| |roughEqualIdeals?| |expextendedint| |stoseIntegralLastSubResultant| |newTypeLists| |sturmSequence| |integral?| |createIrreduciblePoly| |elem?| |makeFloatFunction| |obj| |dim| |sort!| |SFunction| |middle| |makeResult| |characteristicSerie| |hasHi| |laplacian| |prod| |parametersOf| |lllp| |multiEuclidean| |Ei6| |mix| |indicialEquations| |removeSquaresIfCan| |continue| |Lazard| |unparse| |fffg| |sn| |super| |changeNameToObjf| |factorGroebnerBasis| |quadraticBezier| |indicialEquation| |iiacosh| |char| |getGraph| |setrest!| |ShiftC| |symmetricGroup| |cap| |f07fef| |identification| |raisePolynomial| |birth| |printHeader| |ode| |f07fdf| |cAcos| |doubleRank| |pastel| |operation| |localAbs| |f07aef| |lo| |lazyPremWithDefault| |leadingBasisTerm| |merge| |bitCoef| |airyBi| |f07adf| |cycles| |getZechTable| |replace| |corrPoly| |localUnquote| |incr| |aQuadratic| |rationalApproximation| |linearBezier| |outputArgs| |BasicMethod| |s17dlf| |hi| |algint| |Ei5| |green| |mesh| |mpsode| |s17dhf| |status| |yRange| |characteristic| |univcase| |maxIndex| |stiffnessAndStabilityFactor| |s17dgf| |newSubProgram| |Ei4| |stoseInvertibleSet| |multiple?| |makeGraphImage| |f02xef| |GospersMethod| |integralLastSubResultant| |symmetricDifference| |entry?| |ScanFloatIgnoreSpaces| |f02wef| |df2fi| |createLowComplexityNormalBasis| |ShiftAction| |maxPoints3D| |mapUnivariateIfCan| |f02fjf| |cubicBezier| |pmintegrate| |linear| |numberOfHues| |clearTheSymbolTable| |height| |f02bjf| |update| |decimal| |leftRankPolynomial| |sh| |prefix| |setAdaptive3D| |binaryTree| |f02bbf| |rspace| |OMsupportsSymbol?| |semiDegreeSubResultantEuclidean| |solveLinearPolynomialEquationByRecursion| |iiperm| |f02axf| |lists| |Ei3| |leftFactor| |OMgetVariable| |denominators| |f02awf| |shanksDiscLogAlgorithm| |outputFloating| |DiffC| |mainCharacterization| |close!| |f02akf| |twoFactor| |octon| |stoseInternalLastSubResultant| |unravel| |newton| |f02ajf| |makeSeries| |getMeasure| |prinb| |createZechTable| |extendedIntegrate| |f02agf| |arity| |chiSquare1| |fortranLiteralLine| |generic?| |dioSolve| |stoseLastSubResultant| |createMultiplicationMatrix| |degreePartition| |wholeRagits| |rightRank| |orthonormalBasis| |f02aff| |singularitiesOf| |Lazard2| |Ei2| |DiffAction| |stFunc2| |principal?| |f02aef| |script| |ceiling| |clearDenominator| |invertible?| |resultantReduit| |ideal| |leadingExponent| |f02adf| |construct| |bezoutMatrix| |curryRight| |normDeriv2| |times| |quotientByP| |bivariateSLPEBR| |f02abf| |rewriteIdealWithRemainder| |factorsOfDegree| |OMputBVar| |reduction| |rischNormalize| |complementaryBasis| |f02aaf| |implies| |eigenvector| |restorePrecision| |toseInvertibleSet| |relerror| |sinhIfCan| |OMgetInteger| |measure| |pToHdmp| |real?| |branchPoint?| |positiveSolve| |pToDmp| |pointColor| |setCondition!| |OMgetError| |Ei1| |iicsc| |showFortranOutputStack| |normalize| |fortran| |increase| |divisors| |one?| |algebraicDecompose| |crushedSet| |schema| |min| |expIfCan| |extractTop!| |overlap| |index?| |appendPoint| |goodPoint| |zeroOf| |completeHensel| |numberOfOperations| |arrayStack| |sign| |edf2fi| |zag| |squareFreePolynomial| |rowEch| |fortranCarriageReturn| |atom?| |sumSquares| |expenseOfEvaluationIF| |title| |chainSubResultants| |exteriorDifferential| |distFact| |module| |truncate| |removeConstantTerm| |Zero| |tryFunctionalDecomposition?| |numberOfComputedEntries| |palginfieldint| |selectOptimizationRoutines| |hconcat| |zeroSetSplit| |collectUpper| |setPoly| |leftZero| |rootBound| |upperCase!| |numFunEvals3D| |localReal?| |radicalRoots| |laurentRep| |complexNormalize| UP2UTS |deleteProperty!| |inconsistent?| |distdfact| |bits| |pointLists| |aLinear| |minimumExponent| |string?| |OMgetString| |irreducible?| |totalDifferential| |legendreP| |bfKeys| |generalizedEigenvectors| |genericLeftTrace| |clipSurface| |rewriteSetWithReduction| |ffactor| |trueEqual| |unit?| |copy!| |rationalPoint?| |bumprow| |resetAttributeButtons| |sts2stst| |multiServ| |semiSubResultantGcdEuclidean1| |LyndonWordsList1| |mapCoef| |entries| |plot| |setref| |rubiksGroup| |mainVariable| |largest| |double?| |internalZeroSetSplit| |rightRemainder| |polygon?| |iicos| |doubleFloatFormat| |addmod| |primes| |or| |minrank| |rightLcm| |iiabs| |insert!| ~ |root| |simplifyLog| |normal01| |OMsend| |zeroVector| |generate| |ranges| |endOfFile?| |stoseSquareFreePart| |axServer| |zoom| |commutator| |tex| |apply| |member?| |fmecg| |difference| |copies| |nextPrimitiveNormalPoly| |leftGcd| |brace| |delta| |sumOfSquares| |OMputObject| |OMencodingBinary| |null?| |pointColorDefault| |cons| |polynomial| |btwFact| |sdf2lst| |variableName| |rotate!| |factorAndSplit| |copy| |datalist| |printStats!| |OMencodingXML| |taylorIfCan| |rename| |safeFloor| |taylorRep| |factorOfDegree| |factorList| |power!| |pseudoQuotient| |complexEigenvectors| |e02bcf| |merge!| |OMParseError?| |summation| |iiacos| |decreasePrecision| |fibonacci| |e02bbf| |equality| |prevPrime| |rur| |wordInGenerators| |gethi| |rroot| |e02baf| |tableForDiscreteLogarithm| LODO2FUN |standardBasisOfCyclicSubmodule| |safety| |OMopenString| |deepExpand| |e02akf| |pleskenSplit| |subscript| |orbit| |stoseInvertible?sqfreg| |trigs| |youngGroup| |e02ajf| |complex| |differentialVariables| |mainVariables| |upDateBranches| |whileLoop| |unexpand| |constantOpIfCan| |e04ycf| |cCot| |mr| |csc2sin| |makeEq| |inGroundField?| |lastSubResultantEuclidean| |e04ucf| |physicalLength| |tube| |oddlambert| |perfectSquare?| |permutationGroup| |exp| |more?| |e04naf| |tanAn| |normal?| |cAcot| |maxShift| |functionIsFracPolynomial?| |updatF| |e04mbf| |divisorCascade| |schwerpunkt| |computeCycleLength| |generalInfiniteProduct| |commonDenominator| |pi| |radicalEigenvalues| |e04jaf| |integerIfCan| |orbits| |LagrangeInterpolation| |f2df| |remove!| |outputGeneral| |e04gcf| |fortranTypeOf| |allRootsOf| |monomial?| |legendre| |outlineRender| |flagFactor| |e04fdf| |finiteBound| |nextPrimitivePoly| |euclideanNormalForm| |pole?| |splitDenominator| |infinity| |members| |e04dgf| |systemCommand| |solveLinearPolynomialEquationByFractions| |symmetricTensors| |exactQuotient| |maxPower| |particularSolution| |OMencodingUnknown| |f01ref| |readable?| |laplace| |quasiRegular?| |subQuasiComponent?| |groebnerFactorize| |child| |f01rdf| |monicRightFactorIfCan| |aQuartic| |npcoef| |rootSplit| |unitCanonical| |abelianGroup| |f01rcf| |extract!| |factorials| |makingStats?| |leftMinimalPolynomial| |imagI| |f01qef| |distance| |generators| |generalizedInverse| |curve| |leftPower| |f01qdf| |removeRoughlyRedundantFactorsInContents| |leftRemainder| |maxLevel| |parametric?| |outputList| |f01qcf| |ldf2vmf| |linkToFortran| |makeSketch| |bag| |OMputBind| |f01mcf| |getExplanations| |rightCharacteristicPolynomial| |fortranDouble| |isMult| |certainlySubVariety?| |f01maf| |maxrow| |reducedContinuedFraction| |newReduc| |OMputEndAttr| |sin?| |f01bsf| |rowEchelon| |maxPoints| |viewDeltaYDefault| |lex| |companionBlocks| |f01brf| |subscriptedVariables| |high| |currentSubProgram| |semiResultantEuclidean2| |eulerPhi| |pseudoDivide| |saturate| |adaptive| |printCode| |setEpilogue!| |argscript| |nthFactor| |absolutelyIrreducible?| |primPartElseUnitCanonical| |dimensionsOf| |contractSolve| |setAttributeButtonStep| |rem| |nrows| |showTheIFTable| |floor| |lexico| |ScanFloatIgnoreSpacesIfCan| |numberOfChildren| |setClipValue| |multMonom| |quo| |intcompBasis| |algintegrate| |duplicates?| |maxDerivative| |gcdPrimitive| |ParCond| |removeRedundantFactors| |/\\| |iflist2Result| |rationalIfCan| |OMputVariable| |genericRightTraceForm| |\\/| |OMputAttr| |extendIfCan| |hasPredicate?| |coerceP| ^ |leftTrim| |mat| |useSingleFactorBound?| |monomRDE| |integralBasisAtInfinity| |lazyGintegrate| |newLine| |groebSolve| |rightNorm| |maxDegree| |atanhIfCan| |imagE| |chvar| |print| ~= |diagonalProduct| |color| |coord| |lfunc| |linearPart| |basisOfLeftNucloid| |purelyAlgebraicLeadingMonomial?| |cTanh| |definingPolynomial| |monicRightDivide| |uniform| |setVariableOrder| |setMinPoints3D| |multiset| |nlde| |algSplitSimple| |fortranCharacter| |qsetelt!| |rdHack1| |genericLeftTraceForm| |expintfldpoly| |addPointLast| |balancedFactorisation| |iiAiryBi| |realEigenvectors| |leaves| |highCommonTerms| |primitivePart!| |lowerCase| |normalElement| |replaceKthElement| |exp1| |bright| |complexElementary| |relativeApprox| |iiAiryAi| |pascalTriangle| |lift| |output| |divideExponents| |OMputEndObject| |lflimitedint| |vectorise| |reduce| |coth2trigh| |normal| |groebner?| |hdmpToP| |finiteBasis| |varselect| |splitConstant| |padecf| |table| |setClosed| |sumBasis| |nextSublist| |acscIfCan| |startStats!| |minPoints3D| |subspace?| |expandTrigProducts| |graphImage| |inspect| |externalList| |isBasis?| |evenlambert| |zeroDimPrimary?| |selectPDERoutines| |cTan| |intBasis| |innerSolve| |headReduced?| |Frobenius| |coordinatesIfCan| |viewSizeDefault| |noncommutativeJordanAlgebra?| |limitedint| |paren| |complementSpace| |escape| |iroot| |virtualDegree| |functionName| |errorInfo| |canonicalBasis| |wreath| |gcdcofact| |isExpt| |rightRankPolynomial| |reducedForm| |closedCurve| |powmod| |oblateSpheroidal| |problemPoints| |property| |option| |leadingSupport| |semicolonSeparate| |doublyTransitive?| |fortranLinkerArgs| |listYoungTableaus| |showScalarValues| |primextendedint| |minordet| |fortranLiteral| |units| |divergence| |predicate| |reverse!| |minusInfinity| |nthCoef| |setOfMinN| |smith| |gradient| |plusInfinity| |mapmult| |typeLists| |rootRadius| |skewSFunction| |diff| |rationalFunction| |unmakeSUP| |cyclotomic| |code| |prepareSubResAlgo| |unitsColorDefault| |cAcsc| |limitedIntegrate| |ratDsolve| |loopPoints| |blankSeparate| |acschIfCan| |hash| |initTable!| |roman| |numberOfIrreduciblePoly| |pureLex| |sort| |interpret| |sylvesterMatrix| |numericalIntegration| |generalSqFr| |initials| |next| |generateIrredPoly| |firstUncouplingMatrix| |squareMatrix| |setchildren!| |selectFiniteRoutines| |integrate| |product| |curry| |d01gbf| |Ci| |suffix?| |characteristicSet| |printTypes| |heap| |d01gaf| |tanNa| |cfirst| |quoted?| |rootKerSimp| |d01fcf| |swapColumns!| |shiftInfoRec| |denomRicDE| |reduceByQuasiMonic| |d01bbf| |sorted?| |SturmHabichtMultiple| |boundOfCauchy| |makeop| |d01asf| |test| |isAbsolutelyIrreducible?| |numberOfNormalPoly| |mapGen| |cCsch| |changeWeightLevel| |incrementKthElement| |fill!| |key?| |d02raf| |lazyPquo| F2EXPRR |OMwrite| |rectangularMatrix| |d02kef| |numer| |iiacoth| |continuedFraction| |resetVariableOrder| F |discriminantEuclidean| |d02gbf| |denom| |subResultantChain| |changeMeasure| |factorSquareFree| |HermiteIntegrate| |d02gaf| |iisqrt3| |linears| |front| |setErrorBound| |d02ejf| |draw| |unrankImproperPartitions1| |bezoutDiscriminant| |integralAtInfinity?| |sortConstraints| |d02cjf| |makeObject| |precision| |solid?| |jacobi| |checkRur| |initiallyReduce| |substring?| |d02bhf| |coef| |prefix?| |numberOfVariables| |fullPartialFraction| |conjug| |hypergeometric0F1| |d02bbf| |monom| |argumentList!| |numberOfValuesNeeded| |returnType!| |strongGenerators| |e02ahf| EQ |adaptive?| |createRandomElement| |createThreeSpace| |vark| |branchPointAtInfinity?| |jordanAlgebra?| |structuralConstants| |tubePointsDefault| |collectQuasiMonic| |sumOfKthPowerDivisors| |sinhcosh| |bracket| |moduleSum| |rightRecip| |revert| |simplifyPower| |d03faf| |enqueue!| |getShiftRec| |iisin| |pr2dmp| |d03eef| |directory| |root?| |cPower| |symmetricProduct| |nthExponent| |d03edf| |coercePreimagesImages| |patternMatch| |weights| |selectfirst| |kernel| |entry| |option?| |exponents| |int| |iiasin| |laguerre| |infinite?| |antiAssociative?| |cotIfCan| |symbolTable| |fractRagits| |getOp| |leftUnits| |innerEigenvectors| |pushFortranOutputStack| |subHeight| |leftMult| |zeroMatrix| |compBound| |filename| |transpose| |primlimintfrac| |prem| |delete!| |any| |popFortranOutputStack| |shufflein| |tan| |palgextint0| |squareFreePart| |besselI| |algebraicOf| |outputAsFortran| |cot| |getEq| |decrease| |polygamma| |separate| |sec| |autoReduced?| |qfactor| |showAll?| |hyperelliptic| |csc| |position!| |internalInfRittWu?| |completeSmith| |minPol| |asin| |belong?| |fracPart| |shiftRoots| |denominator| |acos| |bitLength| |bezoutResultant| |sturmVariationsOf| |polynomialZeros| |atan| |reduceLODE| |central?| |extractProperty| |select!| |acot| |evalRec| |ricDsolve| |representationType| |c05nbf| |quoByVar| |asec| |geometric| |numerators| |OMserve| |c05adf| |mapMatrixIfCan| |acsc| |leftScalarTimes!| |cos2sec| |squareFreeLexTriangular| |c06gsf| |realSolve| |differentiate| |sinh| |removeSuperfluousCases| |forLoop| |usingTable?| |c06gqf| |df2mf| |cosh| |evalADE| |internalDecompose| |printingInfo?| |c06gcf| |incrementBy| |totalLex| |tanh| |infLex?| |overbar| |coefChoose| |c06gbf| |pointColorPalette| |vector| |coth| |SturmHabichtCoefficients| |removeCosSq| |genericLeftMinimalPolynomial| |c06fuf| |kmax| |sech| |ParCondList| |extendedSubResultantGcd| |PollardSmallFactor| |c06frf| |moebius| |csch| |setright!| |rk4f| |An| |c06fqf| |bumptab1| |asinh| |nary?| |keys| |addBadValue| |c06fpf| |epilogue| |acosh| |node?| |upperCase?| |ddFact| |c06ekf| |void| |iomode| |atanh| |dmpToHdmp| |xRange| |defineProperty| |c06ecf| |comparison| |acoth| |pfaffian| |zeroDim?| |components| |c06ebf| |solid| |asech| |integralBasis| |tanSum| |cardinality| |c06eaf| |besselY| |dec| |basisOfLeftAnnihilator| |Nul| |s17def| |symbolIfCan| |multiple| |coshIfCan| |conjugate| |mainDefiningPolynomial| |s17dcf| |trunc| |optional| |maxint| |clearTheFTable| |variationOfParameters| |s17akf| |exprHasWeightCosWXorSinWX| |columnSpace| |commutativeEquality| |OMgetObject| |s17ajf| |leadingTerm| |applyQuote| |match?| |firstNumer| |constantOperator| |scripted?| |s17ahf| |length| |partialQuotients| |eulerE| |extractBottom!| |ksec| |s17agf| |scripts| |OMopenFile| |magnitude| |pattern| |parts| |s17aff| |leftExtendedGcd| |rule| |basisOfRightAnnihilator| |tab| |simpson| |s17aef| |getPickedPoints| |ruleset| |PDESolve| |critT| |OMgetFloat| |s17adf| |close| |optimize| |mainMonomial| |fractRadix| |fractionFreeGauss!| |terms| |s17acf| |readLineIfCan!| |resetNew| |contains?| |numerator| |s15aef| |bipolar| |suchThat| |localIntegralBasis| |range| |palglimint| |s15adf| |modularGcdPrimitive| |lyndon?| |integralMatrixAtInfinity| |measure2Result| |s14baf| |insert| |readIfCan!| |indicialEquationAtInfinity| |finite?| |nextIrreduciblePoly| |s14abf| |nthRoot| |display| |split| |cSinh| |rootPower| |s14aaf| |ode2| |complexEigenvalues| |weight| |generalPosition| |s13adf| |list| |getGoodPrime| |clearTheIFTable| |cot2tan| |minColIndex| |s13acf| |showTheRoutinesTable| |basisOfMiddleNucleus| |alternating| |taylorQuoByVar| |s13aaf| |cyclic| |nsqfree| |shift| UTS2UP |divideIfCan!| |s01eaf| |nil| |rotatez| |leftTrace| |last| |drawStyle| |iFTable| |s21bdf| |infieldint| |viewZoomDefault| |wronskianMatrix| |style| |s21bcf| |totalGroebner| |mapUp!| |interpretString| |power| |s21bbf| |removeDuplicates| |normalise| |rootProduct| |OMgetEndBind| |Beta| |s21baf| |reverse| |one| |showIntensityFunctions| |cycle| |derivationCoordinates| |toseLastSubResultant| |s20adf| |setDifference| |cyclotomicDecomposition| |zero| |qShiftC| |lookup| |subPolSet?| |e02agf| |setIntersection| |rotatey| |qShiftAction| |rank| |limit| |s20acf| |printInfo!| |And| |cSech| |asinIfCan| |over| |d01aqf| |setUnion| |generalLambert| |Or| |qelt| |seed| |groebgen| |s19adf| |size| |Not| |polygon| |xCoord| |mergeFactors| |d01apf| |drawCurves| |intensity| |OMgetSymbol| |csubst| |s19acf| |plus!| |basisOfLeftNucleus| |tail| |calcRanges| |d01anf| |curve?| |dequeue| |iitan| |sncndn| |d01amf| |tubeRadiusDefault| |factorPolynomial| |cCsc| |fortranDoubleComplex| |d01alf| |concat!| |reindex| |partialDenominators| |routines| |null| |s19abf| |coefficients| |optpair| |pushup| |nullary?| |d01akf| |asecIfCan| |basisOfNucleus| |constantToUnaryFunction| |s19aaf| |elt| |semiResultantReduitEuclidean| |viewDeltaXDefault| |generalizedContinuumHypothesisAssumed?| |linearlyDependentOverZ?| |d01ajf| |cycleLength| |convert| |objectOf| |setScreenResolution| |selectMultiDimensionalRoutines| |s18def| |flatten| |light| |setleaves!| |t| |associatedSystem| |element?| |s18dcf| |hexDigit| |leftExactQuotient| |pointData| |redPol| |s18aff| |setLabelValue| |exprex| |rightZero| |OMgetType| |s18aef| |romberg| |iisech| |iidprod| |iibinom| |s18adf| |complexIntegrate| |definingInequation| |numberOfFactors| |s18acf| |pushdterm| |leftOne| |setprevious!| |movedPoints| |f04qaf| |atoms| |cup| |nthFlag| |applyRules| |f04mcf| |ptFunc| |coerceS| |dark| |cyclicCopy| |f04mbf| |symmetricSquare| |palgextint| |fortranComplex| |sech2cosh| |f04maf| |redPo| |badValues| |notelem| |cAsech| |f04jgf| |expressIdealMember| |LazardQuotient2| |lquo| |addMatchRestricted| |f04faf| |lyndon| |xn| |screenResolution3D| |f04axf| |janko2| |coerceL| |abs| |rootSimp| |f04atf| |triangular?| |meshFun2Var| |oddintegers| |characteristicPolynomial| |f04asf| |expr| |split!| |failed?| |adaptive3D?| |expandPower| |filterUntil| |mesh?| |nthExpon| |multisect| |inverse| |f04arf| |ratPoly| |intermediateResultsIF| |rightFactorIfCan| |perfectSqrt| |invertIfCan| |generalTwoFactor| |jordanAdmissible?| |bfEntry| |f04adf| |mkIntegral| |pmComplexintegrate| |OMread| |bringDown| |ratDenom| |nthFractionalTerm| |rootNormalize| |univariateSolve| |op| |matrixGcd| |degreeSubResultantEuclidean| |viewPhiDefault| |weierstrass| |digit?| |rhs| |torsion?| |acotIfCan| |parabolic| |palgRDE0| |eigenvalues| |shade| |leviCivitaSymbol| |new| |setLegalFortranSourceExtensions| |scan| |zeroSquareMatrix| |invertibleSet| |clipPointsDefault| |create| |lazyVariations| |declare!| |stripCommentsAndBlanks| |translate| |realEigenvalues| |guessHP| |lintgcd| |stack| |fortranCompilerName| |palgLODE| |divide| |fortranLogical| |expintegrate| |rightExactQuotient| |parent| |mapExpon| |transcendentalDecompose| |lighting| |quasiAlgebraicSet| |firstSubsetGray| |zRange| |solveInField| |bubbleSort!| |isTimes| |quote| |LazardQuotient| |rightUnits| |prinpolINFO| |toroidal| E1 |leftQuotient| |polyRicDE| |chiSquare| |increment| |normalizedAssociate| |makeFR| |iteratedInitials| |neglist| |yCoordinates| |noLinearFactor?| |goto| |bernoulli| |remainder| |figureUnits| |explicitEntries?| |goodnessOfFit| |imagJ| |prefixRagits| |exprHasLogarithmicWeights| |generator| |rightGcd| |exists?| |lprop| |singular?| |inverseLaplace| |mightHaveRoots| |testModulus| |column| |evaluateInverse| |operator| |conditionsForIdempotents| |subMatrix| |lastSubResultant| |discriminant| |leftLcm| |top!| |printInfo| |leftUnit| |hessian| |halfExtendedSubResultantGcd1| |primintegrate| |singularAtInfinity?| |binomThmExpt| |setScreenResolution3D| |open?| |composite| |guessExpRat| |ocf2ocdf| |complexSolve| |iitanh| |replaceDiffs| |anfactor| |lazyPseudoQuotient| |acothIfCan| |subResultantGcd| |besselJ| |univariate?| |topFortranOutputStack| |limitPlus| |jacobian| |euler| |OMreadStr| |factorFraction| |alphanumeric| |acsch| |minPoints| |formula| |shiftRight| |triangSolve| |invmultisect| |guessBinRat| |dmp2rfi| |pushucoef| |lSpaceBasis| |stirling1| |quickSort| |noKaratsuba| |OMputError| |nextPrime| |pdf2ef| |removeSuperfluousQuasiComponents| |ipow| |tanIfCan| |parse| |init| |exQuo| |complement| |powerAssociative?| |transcendenceDegree| |setMaxPoints| |dihedral| |adjoint| |dominantTerm| |quasiRegular| |realZeros| |guessAlg| |showTheFTable| |nullSpace| |center| |swapRows!| |makeYoungTableau| |tree| |prime?| |startPolynomial| |setfirst!| |lfextendedint| |monicCompleteDecompose| |rootPoly| |order| |mkAnswer| |genericRightNorm| |firstDenom| |extendedEuclidean| |seriesToOutputForm| |gcdprim| |balancedBinaryTree| |guessADE| |enumerate| |identityMatrix| |safeCeiling| |conditions| |outputAsScript| |content| |traverse| |any?| |critBonD| |basisOfCentroid| |sayLength| |normalForm| |explicitlyEmpty?| |presuper| |plenaryPower| |extractIndex| |cLog| |resetBadValues| |singleFactorBound| |tryFunctionalDecomposition| |kroneckerDelta| |mathieu23| |internalLastSubResultant| |normFactors| |OMgetEndError| |Aleph| |lazyPseudoRemainder| |iipolygamma| |diag| |comp| |laurentIfCan| |minset| |degree| |getCode| |frst| |elRow2!| |primitiveElement| |ScanRoman| |extractPoint| |airyAi| |numberOfFractionalTerms| |guess| |hadamard| |countRealRoots| |indices| |dequeue!| |ran| |cCos| |testDim| |mainSquareFreePart| |viewport2D| |rewriteIdealWithHeadRemainder| |lp| |even?| |palglimint0| |OMUnknownSymbol?| |removeRoughlyRedundantFactorsInPol| |simpsono| |unit| |redpps| |integralRepresents| |diffHP| |lfextlimint| |elRow1!| |gbasis| |var1Steps| |idealiser| |setTopPredicate| |algebraic?| |mapBivariate| |hclf| |insertRoot!| |createPrimitivePoly| |iidigamma| |tan2cot| |toseInvertible?| |vconcat| |squareTop| |exptMod| |atanIfCan| |car| |sec2cos| |rk4qc| |primeFrobenius| |leaf?| |cdr| |supDimElseRittWu?| |euclideanSize| |semiResultantEuclidean1| |leadingIndex| |univariatePolynomialsGcds| |iiBeta| |seriesSolve| |resize| |startTable!| |sample| |elliptic| |monomRDEsys| |zero?| |alphabetic?| |fortranInteger| |open| |makeMulti| |setPosition| |bombieriNorm| |elColumn2!| |setelt!| |iiBesselY| |mainForm| |hasoln| |One| |OMbindTCP| |reverseLex| |computeInt| |character?| |condition| |sylvesterSequence| |OMgetAttr| |tanintegrate| |FormatArabic| |showClipRegion| |resultantnaif| |enterPointData| |leftFactorIfCan| |makeUnit| |exponential1| |e01sff| |sumOfDivisors| |match| |processTemplate| |cyclePartition| |associator| |checkPrecision| |clearCache| |numberOfComponents| |moebiusMu| |regularRepresentation| |mindeg| |max| |subtractIfCan| |explicitlyFinite?| |maxRowIndex| BY |antiCommutator| |leftNorm| |minimize| |eisensteinIrreducible?| D |messagePrint| |iiBesselK| |trace2PowMod| |linearDependence| |ratpart| |lyndonIfCan| |selectNonFiniteRoutines| |index| |setStatus!| |semiResultantEuclideannaif| |plus| |rewriteSetByReducingWithParticularGenerators| |child?| |pol| |genericLeftDiscriminant| |returns| |getDatabase| |reshape| |overlabel| |mainValue| |iidsum| |redmat| |OMputEndApp| |digit| |recur| |bsolve| |selectOrPolynomials| |imagi| |rightAlternative?| |froot| |maxdeg| |iiBesselJ| |compiledFunction| |listexp| |dflist| |karatsubaDivide| |cAtan| |coordinates| |clipParametric| |constantIfCan| |reciprocalPolynomial| |graphCurves| |summary| |plotPolar| |iiasinh| |FormatRoman| |show| |deriv| |semiSubResultantGcdEuclidean2| |partialNumerators| |rightMult| |iiGamma| |curryLeft| |purelyTranscendental?| |constant| |rarrow| |e02aef| |deleteRoutine!| |setValue!| |qinterval| |series| |divisor| |iiBesselI| |recoverAfterFail| |symbol| |reduceBasisAtInfinity| |c02agf| SEGMENT |eyeDistance| |fglmIfCan| |resultant| |compactFraction| |c02aff| |cyclic?| |definingEquations| |associates?| |setRealSteps| |e02adf| |cschIfCan| |li| |bat| |hspace| |c05pbf| |sizePascalTriangle| |genericRightTrace| |showAttributes| |second| |alphabetic| |erf| |powerSum| |fixedDivisor| |exprToGenUPS| |mathieu22| |BumInSepFFE| |credits| |commutative?| |compile| |chineseRemainder| |monomialIntegrate| |moduloP| |infix?| |setPredicates| |bottom!| |dilog| |e01sef| |besselK| |getMatch| |key| |getRef| |dAndcExp| |sin| |mirror| |unitNormalize| |e01saf| |minus!| |randomLC| |initializeGroupForWordProblem| |cos| |stFunc1| |e01daf| |OMreadFile| |extend| |cAtanh| |e01bhf| |numberOfDivisors| |bit?| |sPol| |nextLatticePermutation| |e01bgf| |random| |subResultantsChain| |symbol?| |numberOfImproperPartitions| |create3Space| |e01bff| |pow| |optAttributes| |B1solve| |separateFactors| |e01bef| |remove| |internalSubPolSet?| |antisymmetric?| |fortranReal| |untab| |e01baf| |inverseColeman| |OMputEndBind| |dictionary| |baseRDEsys| |e02zaf| |complexLimit| |coefficient| |uniform01| |trapezoidalo| |e02gaf| |antiCommutative?| |powern| |yCoord| |e02dff| |alternative?| |padicallyExpand| |tanh2coth| |hasTopPredicate?| |e02def| |commaSeparate| |OMReadError?| |low| |deepestTail| |e02ddf| |isPlus| |OMsetEncoding| |lifting| |associatedEquations| |e02dcf| |zeroDimPrime?| |cSec| |decompose| |nextNormalPoly| |e02daf| |norm| |linearAssociatedOrder| |makeViewport3D| |bernoulliB| |e02bef| |OMgetEndBVar| |OMgetAtp| |irreducibleRepresentation| |unvectorise| |e02bdf| |att2Result| |addPoint2| |nodes| |rightPower| |computeCycleEntry| |rationalPoints| |varList| |union| |roughBasicSet| |outerProduct| |moreAlgebraic?| |minPoly| |SturmHabichtSequence| |primaryDecomp| |linearDependenceOverZ| |spherical| |stoseInvertible?| |rangePascalTriangle| |zeroSetSplitIntoTriangularSystems| |internalAugment| |mainKernel| |factorial| |eq| |useSingleFactorBound| |RemainderList| |presub| |log| |listOfMonoms| |quasiMonic?| |cRationalPower| |mapExponents| |trigs2explogs| |areEquivalent?| |mainMonomials| |binaryTournament| |sizeMultiplication| |createLowComplexityTable| |discreteLog| |RittWuCompare| |tensorProduct| |shrinkable| |coleman| |linearPolynomials| |perspective| |sub| |matrixConcat3D| |iCompose| |cycleRagits| |diagonalMatrix| |graphStates| |getlo| |mapUnivariate| |submod| |fprindINFO| |operators| |hasSolution?| |UP2ifCan| |leastAffineMultiple| |isOp| |swap| |extractIfCan| |homogeneous?| |listConjugateBases| |userOrdered?| |symmetricPower| |makeViewport2D| |postfix| |nor| |cAcsch| ** |OMconnectTCP| |fintegrate| |clip| |identitySquareMatrix| |interval| |monicDecomposeIfCan| |append| |modularGcd| |rightScalarTimes!| |cCosh| |argumentListOf| |viewPosDefault| |function| |showRegion| |OMUnknownCD?| |lowerPolynomial| |opeval| |outputAsTex| |multiplyCoefficients| |label| |rightTrim| |nilFactor| |factorSFBRlcUnit| |extendedResultant| |rational| |setlast!| |fixedPointExquo| |groebner| |pile| |initiallyReduced?| |OMconnInDevice| |consnewpol| |red| |generic| |zCoord| |bipolarCylindrical| |list?| |heapSort| |sinIfCan| |perfectNthPower?| |has?| |rdregime| |perfectNthRoot| |interReduce| |graeffe| |myDegree| |e01sbf| |multiEuclideanTree| |odd?| |stopTable!| |rst| |rquo| |viewWriteAvailable| |acoshIfCan| |nonLinearPart| |modularFactor| |selectODEIVPRoutines| |radix| |removeRoughlyRedundantFactorsInPols| |qPot| |multiplyExponents| |shuffle| |expt| |genericRightDiscriminant| |rational?| |relationsIdeal| |mask| |ellipticCylindrical| |principalIdeal| |approxNthRoot| |computeBasis| |tanhIfCan| |resultantEuclidean| |changeBase| |sinh2csch| |nextNormalPrimitivePoly| |KrullNumber| |swap!| |previous| |upperCase| |branchIfCan| |jacobiIdentity?| |log10| |dn| |totalDegree| |primitive?| |subSet| |setFieldInfo| |partitions| F2FG |setvalue!| |trace| |Is| |leftRecip| |unitVector| |f2st| |inRadical?| |whatInfinity| |e| |scalarMatrix| |quadratic?| |dimension| |setleft!| |binaryFunction| |expand| |stopTableInvSet!| |approximants| |cosSinInfo| |palgint| |surface| |leader| |gcd| |squareFreeFactors| |multinomial| |groebnerIdeal| |viewport3D| |compose| |false| |infiniteProduct| |OMgetEndAtp| |backOldPos| |factorSquareFreePolynomial| |associatorDependence| |filterWhile| |dot| |quatern| |wrregime| |viewDefaults| |viewWriteDefault| |#| |queue| |overset?| |patternVariable| |infRittWu?| |wholePart| |addMatch| |credPol| |rightDiscriminant| |basicSet| |integralMatrix| |comment| |var2StepsDefault| |checkForZero| |closedCurve?| |quartic| |integralCoordinates| |float| |transform| |represents| |prologue| |removeDuplicates!| |setPrologue!| |id| |top| |exprToUPS| |preprocess| |setOrder| |universe| |leftRegularRepresentation| |integer| |cn| |hitherPlane| |basisOfRightNucleus| |mathieu12| |writable?| |rename!| |shiftHP| |exponent| |expPot| |pade| |indiceSubResultant| |getStream| |removeCoshSq| |semiDiscriminantEuclidean| |se2rfi| |string| |mainContent| |kovacic| |getDomains| |nextColeman| |coHeight| |factorsOfCyclicGroupSize| |leadingCoefficientRicDE| |slash| |univariatePolynomials| |reorder| |var2Steps| |collect| |setRow!| |tanQ| |headRemainder| |isList| |pushdown| |integral| |number?| |nodeOf?| |eval| |exprHasAlgebraicWeight| |llprop| |pointSizeDefault| |readLine!| |intersect| |tValues| |iiexp| |makeSUP| |flexibleArray| |baseRDE| |showTypeInOutput| |crest| |radicalSimplify| |htrigs| |cExp| |ScanArabic| |mantissa| |tab1| |cosIfCan| |ReduceOrder| |algebraicSort| |prolateSpheroidal| |headReduce| |lazyIntegrate| |rombergo| |call| |iiatanh| |graphs| |basisOfCommutingElements| |leftDiscriminant| |stoseInvertibleSetsqfreg| |nullary| |normalizeAtInfinity| |edf2ef| |rightTraceMatrix| |distribute| |domainOf| |safetyMargin| |useEisensteinCriterion?| |vspace| |algDsolve| |makeRecord| |reopen!| |systemSizeIF| |vedf2vef| |pushuconst| |OMputInteger| |failed| |functionIsContinuousAtEndPoints| |primeFactor| |flush| |returnTypeOf| |solveLinearlyOverQ| |dom| |bandedJacobian| |tablePow| |innerSolve1| |regime| |subCase?| |select| |clearFortranOutputStack| |guessRec| |OMlistSymbols| |symbolTableOf| |lambert| |solve1| |box| |OMmakeConn| |elementary| |options| |primintfldpoly| |specialTrigs| |radicalOfLeftTraceForm| |cscIfCan| |makeCos| |isPower| |ldf2lst| |irreducibleFactors| |yellow| |fractionPart| |partition| |idealSimplify| |constantKernel| |rightDivide| |eigenvectors| |genericLeftNorm| |setelt| |ramifiedAtInfinity?| |fixedPoints| |shallowCopy| |uncouplingMatrices| |sincos| |LiePolyIfCan| |mindegTerm| |OMcloseConn| |mainVariable?| |binomial| |guessRat| |augment| |ef2edf| |lazyIrreducibleFactors| |iicosh| |OMconnOutDevice| |binary| |tubePoints| |sequences| |sin2csc| |factor1| |algebraicCoefficients?| |hue| |gcdPolynomial| |region| |complexZeros| |predicates| |complexExpand| |integers| |rightExtendedGcd| |iter| |critM| |hermiteH| |intPatternMatch| |OMsupportsCD?| |lepol| |OMgetApp| |OMunhandledSymbol| |insertMatch| |cAcosh| |iisinh| |positiveRemainder| |mapSolve| |graphState| |clearTable!| |iisec| |putGraph| |const| |linSolve| |possiblyInfinite?| |external?| |diophantineSystem| |drawToScale| |factorByRecursion| |mathieu11| |increasePrecision| |primitivePart| |axes| |elliptic?| |nextPartition| |nonSingularModel| |polar| |extractSplittingLeaf| |map!| |and| |aspFilename| |lhs| |asechIfCan| |in?| |tubeRadius| |droot| |selectSumOfSquaresRoutines| |digamma| |tracePowMod| |lazyPseudoDivide| |guessPade| |minIndex| |cyclicParents| |conical| |internalSubQuasiComponent?| |clikeUniv| |addiag| |ptree| |compdegd| |find| |fixPredicate| |weighted| |getMultiplicationTable| |leastMonomial| |radicalEigenvector| |message| |double| |nullity| |numFunEvals| |getBadValues| |pdct| |guessPRec| |phiCoord| |prindINFO| |rules| |separant| |error| |leftDivide| |rotate| |scalarTypeOf| |leftTraceMatrix| |bivariatePolynomials| |iiasech| |screenResolution| |resultantEuclideannaif| |less?| |partialFraction| |harmonic| |LyndonWordsList| |idealiserMatrix| RF2UTS |cyclicSubmodule| |critB| |guessHolo| |vertConcat| |rk4a| |insertBottom!| |point?| |extendedint| |true| |wordInStrongGenerators| |explogs2trigs| |df2st| |accuracyIF| |pquo| |changeVar| |subst| |pair?| |mdeg| |makeSin| |complexRoots| |lazyResidueClass| |karatsubaOnce| |getOrder| |acosIfCan| |splitSquarefree| |findCycle| |charpol| |fillPascalTriangle| |unrankImproperPartitions0| |selectPolynomials| |weakBiRank| |HenselLift| |linGenPos| |OMputFloat| |deref| |permutation| = |latex| |recolor| |copyInto!| |isQuotient| |totalfract| |imagk| |monomials| |dfRange| |biRank| < |completeEchelonBasis| |mkcomm| |expandLog| |tRange| > |meshPar2Var| |omError| |indexName| |OMputAtp| <= |iicoth| |subResultantGcdEuclidean| |nextsousResultant2| |logpart| >= |monic?| |mapdiv| |exprToXXP| |socf2socdf| |coth2tanh| |signAround| |degreeSubResultant| |createNormalElement| |stronglyReduce| |completeHermite| |shellSort| |name| + |cubic| |aCubic| |homogeneous| |stirling2| - |lagrange| |complexNumericIfCan| |rangeIsFinite| |stronglyReduced?| |insertTop!| / |direction| |closed?| |polCase| |equation| |tanh2trigh| |retractable?| |symmetric?| |trivialIdeal?| |assert| |pop!| |simpleBounds?| |splitNodeOf!| |bitTruth| |createPrimitiveNormalPoly| |constantCoefficientRicDE| |displayAsGF| |splitLinear| |asinhIfCan| |lexGroebner| |points| |setMaxPoints3D| |permanent| |secIfCan| |removeZero| |row| |psolve| |cycleElt| |quotient| |colorFunction| |clipBoolean| |zeroDimensional?| |negative?| |explimitedint| |unary?| |OMputSymbol| |quadraticForm| |makeVariable| |midpoint| |convergents| |checkOptions| |stopMusserTrials| |rightQuotient| |setAdaptive| |simplify| |nextSubsetGray| |variable| |rightOne| |input| |repeating| |linearAssociatedExp| |normalDenom| |OMputEndError| |var1StepsDefault| |eq?| |elements| |po| |leftCharacteristicPolynomial| |cylindrical| |euclideanGroebner| |solveLinearPolynomialEquation| |repSq| |karatsuba| |ramified?| |refine| |qqq| |allDegrees| |stoseInvertible?reg| |packageCall| |brillhartTrials| |stopTableGcd!| |head| |monicDivide| |scanOneDimSubspaces| |unaryFunction| |startTableGcd!| |setTex!| |setProperty| |cyclicEntries| |cache| |nthRootIfCan| |topPredicate| |singRicDE| |complex?| |integerBound| |matrix| |UnVectorise| |lazyPrem| |ode1| |showAllElements| |outputFixed| |doubleDisc| |constantRight| |mvar| |pdf2df| |palgintegrate| |library| |simplifyExp| |repeating?| |monicLeftDivide| |palgLODE0| |makeTerm| |radicalSolve| |iipow| |rowEchLocal| |setProperties| FG2F |say| |completeEval| |width| |not| |iiacsc| |scale| |palgRDE| |debug| |radPoly| |check| |first| |rCoord| |generalizedEigenvector| |trapezoidal| |lazy?| |right| |makeprod| |rest| |primextintfrac| |printStatement| |positive?| |aromberg| |left| |roughSubIdeal?| ^= |bandedHessian| |fixedPoint| |cAsin| |solveid| |substitute| |halfExtendedSubResultantGcd2| |functionIsOscillatory| |imagj| |stFuncN| |selectsecond| |Hausdorff| |denomLODE| |changeName| |dihedralGroup| |getButtonValue| |complete| |totolex| |mainCoefficients| |segment| |coerceListOfPairs| |level| |hcrf| |square?| |combineFeatureCompatibility| |makeCrit| |rightFactorCandidate| |drawComplex| |exactQuotient!| |roughBase?| |basisOfCenter| |toScale| |numeric| |connect| |move| |prinshINFO| |permutations| |quadratic| |viewpoint| |push!| |bumptab| |node| |reducedDiscriminant| |sparsityIF| |indiceSubResultantEuclidean| |anticoord| |supRittWu?| |monicModulo| |trim| |colorDef| |maxColIndex| |stoseInvertibleSetreg| |maxrank| |is?| |createNormalPrimitivePoly| |squareFree| |doubleResultant| |lcm| |curveColorPalette| |cyclicEqual?| |OMputString| |doubleComplex?| |retractIfCan| |iiasec| |rightRegularRepresentation| |logical?| |realElementary| |times!| |constantLeft| |endSubProgram| |hermite| |OMgetEndAttr| |nextItem| |logGamma| |rightUnit| |conjugates| |back| |diagonals| |oneDimensionalArray| |cond| |mergeDifference| |nextsubResultant2| |cAsec| |realRoots| |roughUnitIdeal?| |removeIrreducibleRedundantFactors| |factorSquareFreeByRecursion| |complexForm| |sqfree| |iprint| |drawComplexVectorField| |reducedSystem| |quadraticNorm| |subTriSet?| |map| |numberOfPrimitivePoly| |depth| |useNagFunctions| |removeRedundantFactorsInContents| |linear?| |univariatePolynomial| |scaleRoots| |symFunc| |ord| |argument| |component| |rationalPower| |count| |primPartElseUnitCanonical!| |iisqrt2| |controlPanel| |setMinPoints| |derivative| |leftRank| |thetaCoord| |lowerCase!| |chebyshevT| |OMreceive| |createGenericMatrix| |knownInfBasis| |inverseIntegralMatrix| |iilog| |alphanumeric?| |rootsOf| |expenseOfEvaluation| |dmpToP| |meshPar1Var| |probablyZeroDim?| LT |withPredicates| |lfintegrate| |quotedOperators| |radical| |inc| |inrootof| |superscript| |repeatUntilLoop| |normalizedDivide| |build| |removeRedundantFactorsInPols| |reseed| |every?| |diagonal| |cSin| |OMgetBVar| |superHeight| |sechIfCan| |gcdcofactprim| |normalizeIfCan| |clipWithRanges| |minimalPolynomial| |zerosOf| |ODESolve| |leftAlternative?| |children| |putColorInfo| |genericPosition| |removeSinSq| |subspace| |inR?| |pack!| |float?| |minRowIndex| |primlimitedint| |squareFreePrim| |iifact| |size?| |stiffnessAndStabilityOfODEIF| |rk4| |createNormalPoly| |radicalEigenvectors| |possiblyNewVariety?| |hdmpToDmp| |rewriteIdealWithQuasiMonicGenerators| |setColumn!| |associative?| |space| |poisson| |complexNumeric| |computePowers| |sum| |kernels| |solveRetract| |unprotectedRemoveRedundantFactors| |logIfCan| |polyPart| |recip| |critpOrder| |OMputApp| |gramschmidt| |resultantReduitEuclidean| |univariate| |result| |setnext!| |ncols| |qroot| |transcendent?| |factor| |dimensions| |LiePoly| |shallowExpand| |sqrt| |modifyPointData| |decomposeFunc| |charClass| |fTable| |charthRoot| |Gamma| |typeList| |real| |viewThetaDefault| |block| |normalized?| |inHallBasis?| |polyred| |imag| |midpoints| |directProduct| |listBranches| |collectUnder| |contract| |lazyEvaluate| |triangularSystems| |lowerCase?| |search| |composites| |LyndonBasis| |eigenMatrix| |destruct| |randnum| |reset| |numberOfMonomials| |cycleSplit!| |wordsForStrongGenerators| |slex| |monomial| |chebyshevU| |write| |inverseIntegralMatrixAtInfinity| |cCoth| |cyclicGroup| |permutationRepresentation| |multivariate| |twist| |save| |leadingIdeal| |base| |variables| |nthr| |rootOf| |numberOfCycles| |algebraicVariables| |semiIndiceSubResultantEuclidean| |deepestInitial| |solveLinear| |solve| LE |deepCopy| |lfinfieldint| |conditionP| |parabolicCylindrical| |numberOfComposites| |paraboloidal| |tubePlot| |lieAdmissible?| |minimumDegree| |approximate| |taylor| |halfExtendedResultant1| |iicot| |integralDerivationMatrix| |OMgetEndApp| |getVariableOrder| |laurent| |prime| |someBasis| |errorKind| |henselFact| |cosh2sech| |puiseux| |constDsolve| |nil| |infinite| |arbitraryExponent| |approximate| |complex| |shallowMutable| |canonical| |noetherian| |central| |partiallyOrderedSet| |arbitraryPrecision| |canonicalsClosed| |noZeroDivisors| |rightUnitary| |leftUnitary| |additiveValuation| |unitsKnown| |canonicalUnitNormal| |multiplicativeValuation| |finiteAggregate| |shallowlyMutable| |commutative|) 
\ No newline at end of file
diff --git a/src/share/algebra/operation.daase b/src/share/algebra/operation.daase
old mode 100755
new mode 100644
index 9750692..bb2071e
--- a/src/share/algebra/operation.daase
+++ b/src/share/algebra/operation.daase
@@ -1,2970 +1,3062 @@
 
-(680518 . 3269429137)        
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3606 (-578 (-786))) (|:| -3405 (-578 (-786))) (|:| |presup| (-578 (-786))) (|:| -3411 (-578 (-786))) (|:| |args| (-578 (-786))))) (-5 *1 (-1070))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-335 *4)) (-4 *4 (-156)) (-5 *2 (-621 *4)))) ((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-621 *4)) (-5 *1 (-385 *3 *4)) (-4 *3 (-386 *4)))) ((*1 *2) (-12 (-4 *1 (-386 *3)) (-4 *3 (-156)) (-5 *2 (-621 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-970)) (-5 *3 (-1053))))) 
-(((*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *1 (-1026 *3 *2)) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-997 (-997 *3))) (-5 *1 (-825 *3)) (-4 *3 (-1001))))) 
-(((*1 *1) (-12 (-4 *3 (-1001)) (-5 *1 (-805 *2 *3 *4)) (-4 *2 (-1001)) (-4 *4 (-601 *3)))) ((*1 *1) (-12 (-5 *1 (-808 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-1001))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-777)) (-5 *2 (-2 (|:| |f1| (-578 *4)) (|:| |f2| (-578 (-578 (-578 *4)))) (|:| |f3| (-578 (-578 *4))) (|:| |f4| (-578 (-578 (-578 *4)))))) (-5 *1 (-1076 *4)) (-5 *3 (-578 (-578 (-578 *4))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-756))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-959)) (-4 *2 (-13 (-372) (-950 *4) (-331) (-1090) (-254))) (-5 *1 (-410 *4 *3 *2)) (-4 *3 (-1125 *4)))) ((*1 *1 *1) (-4 *1 (-500))) ((*1 *2 *1) (-12 (-5 *2 (-839)) (-5 *1 (-606 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-839)) (-5 *1 (-610 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-749 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-813 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (-12 (-4 *1 (-909 *3)) (-4 *3 (-1104)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-1102 *3)) (-4 *3 (-1104)))) ((*1 *2 *1) (-12 (-4 *1 (-1147 *2)) (-4 *2 (-1104)) (-4 *2 (-916)) (-4 *2 (-959))))) 
-(((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-701)) (-5 *1 (-711 *3)) (-4 *3 (-959)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-875 *3 *2)) (-4 *2 (-123)) (-4 *3 (-508)) (-4 *3 (-959)) (-4 *2 (-722)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-701)) (-5 *1 (-1064 *3)) (-4 *3 (-959)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-886)) (-4 *2 (-123)) (-5 *1 (-1072 *3)) (-4 *3 (-508)) (-4 *3 (-959)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-701)) (-5 *1 (-1118 *4 *3)) (-14 *4 (-1070)) (-4 *3 (-959))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| -3626 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (|:| -2922 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1048 (-199))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1505 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-511)))) ((*1 *2 *1) (-12 (-4 *1 (-548 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1104)) (-5 *2 (-578 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-959)) (-4 *3 (-1125 *4)) (-4 *2 (-1142 *4)) (-5 *1 (-1144 *4 *3 *5 *2)) (-4 *5 (-593 *3))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-282 (-501))) (|:| -2958 (-282 (-346))) (|:| CF (-282 (-152 (-346)))) (|:| |switch| (-1069)))) (-5 *1 (-1069))))) 
-(((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-508) (-777) (-950 (-501)))) (-5 *2 (-107)) (-5 *1 (-164 *4 *3)) (-4 *3 (-13 (-27) (-1090) (-389 (-152 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-402)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-107)) (-5 *1 (-1094 *4 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *4)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-508)) (-4 *4 (-906 *3)) (-5 *1 (-129 *3 *4 *2)) (-4 *2 (-340 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *5 (-906 *4)) (-4 *2 (-340 *4)) (-5 *1 (-466 *4 *5 *2 *3)) (-4 *3 (-340 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-621 *5)) (-4 *5 (-906 *4)) (-4 *4 (-508)) (-5 *2 (-621 *4)) (-5 *1 (-624 *4 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-508)) (-4 *4 (-906 *3)) (-5 *1 (-1120 *3 *4 *2)) (-4 *2 (-1125 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-501)) (-4 *5 (-318)) (-5 *2 (-373 (-1064 (-1064 *5)))) (-5 *1 (-1103 *5)) (-5 *3 (-1064 (-1064 *5)))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1070)) (-4 *5 (-556 (-810 (-501)))) (-4 *5 (-806 (-501))) (-4 *5 (-13 (-777) (-950 (-501)) (-419) (-577 (-501)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-518 *5 *3)) (-4 *3 (-568)) (-4 *3 (-13 (-27) (-1090) (-389 *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1070)) (-5 *4 (-769 *2)) (-4 *2 (-1034)) (-4 *2 (-13 (-27) (-1090) (-389 *5))) (-4 *5 (-556 (-810 (-501)))) (-4 *5 (-806 (-501))) (-4 *5 (-13 (-777) (-950 (-501)) (-419) (-577 (-501)))) (-5 *1 (-518 *5 *2))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1048 (-199))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1505 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-511))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-553 *3)) (-5 *5 (-1 (-1064 *3) (-1064 *3))) (-4 *3 (-13 (-27) (-389 *6))) (-4 *6 (-13 (-777) (-508))) (-5 *2 (-530 *3)) (-5 *1 (-503 *6 *3))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-578 (-262 *4))) (-5 *1 (-565 *3 *4 *5)) (-4 *3 (-777)) (-4 *4 (-13 (-156) (-648 (-375 (-501))))) (-14 *5 (-839))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1116 *3)) (-4 *3 (-1104))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-318)) (-5 *2 (-877 (-1064 *4))) (-5 *1 (-324 *4)) (-5 *3 (-1064 *4))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-500)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1053)) (-5 *1 (-1086)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-1086))))) 
-(((*1 *2) (-12 (-4 *4 (-1108)) (-4 *5 (-1125 *4)) (-4 *6 (-1125 (-375 *5))) (-5 *2 (-701)) (-5 *1 (-309 *3 *4 *5 *6)) (-4 *3 (-310 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-701))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-331)) (-5 *2 (-2 (|:| A (-621 *5)) (|:| |eqs| (-578 (-2 (|:| C (-621 *5)) (|:| |g| (-1148 *5)) (|:| -2499 *6) (|:| |rh| *5)))))) (-5 *1 (-743 *5 *6)) (-5 *3 (-621 *5)) (-5 *4 (-1148 *5)) (-4 *6 (-593 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-331)) (-4 *6 (-593 *5)) (-5 *2 (-2 (|:| -2978 (-621 *6)) (|:| |vec| (-1148 *5)))) (-5 *1 (-743 *5 *6)) (-5 *3 (-621 *6)) (-5 *4 (-1148 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-357)) (-5 *2 (-1053))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1148 *4)) (-4 *4 (-386 *3)) (-4 *3 (-276)) (-4 *3 (-508)) (-5 *1 (-42 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-839)) (-4 *4 (-331)) (-5 *2 (-1148 *1)) (-4 *1 (-297 *4)))) ((*1 *2) (-12 (-4 *3 (-331)) (-5 *2 (-1148 *1)) (-4 *1 (-297 *3)))) ((*1 *2) (-12 (-4 *3 (-156)) (-4 *4 (-1125 *3)) (-5 *2 (-1148 *1)) (-4 *1 (-378 *3 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-276)) (-4 *4 (-906 *3)) (-4 *5 (-1125 *4)) (-5 *2 (-1148 *6)) (-5 *1 (-381 *3 *4 *5 *6)) (-4 *6 (-13 (-378 *4 *5) (-950 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-276)) (-4 *4 (-906 *3)) (-4 *5 (-1125 *4)) (-5 *2 (-1148 *6)) (-5 *1 (-383 *3 *4 *5 *6 *7)) (-4 *6 (-378 *4 *5)) (-14 *7 *2))) ((*1 *2) (-12 (-4 *3 (-156)) (-5 *2 (-1148 *1)) (-4 *1 (-386 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1148 (-1148 *4))) (-5 *1 (-485 *4)) (-4 *4 (-318))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-357)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-107)) (-4 *5 (-13 (-331) (-775))) (-5 *2 (-578 (-2 (|:| -1575 (-578 *3)) (|:| -2390 *5)))) (-5 *1 (-162 *5 *3)) (-4 *3 (-1125 (-152 *5))))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-331) (-775))) (-5 *2 (-578 (-2 (|:| -1575 (-578 *3)) (|:| -2390 *4)))) (-5 *1 (-162 *4 *3)) (-4 *3 (-1125 (-152 *4)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-107)) (-4 *4 (-13 (-331) (-775))) (-5 *2 (-373 *3)) (-5 *1 (-162 *4 *3)) (-4 *3 (-1125 (-152 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-331) (-775))) (-5 *2 (-373 *3)) (-5 *1 (-162 *4 *3)) (-4 *3 (-1125 (-152 *4)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-777)) (-5 *1 (-218 *3))))) 
-(((*1 *1 *2 *1) (-12 (-4 *1 (-102 *2)) (-4 *2 (-1104)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-116 *2)) (-4 *2 (-777)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-121 *2)) (-4 *2 (-777)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-252 *3)) (-4 *3 (-1104)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *1 (-252 *2)) (-4 *2 (-1104)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3626 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (|:| -2922 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1048 (-199))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1505 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-511)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-701)) (-4 *1 (-626 *2)) (-4 *2 (-1001)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3626 (-2 (|:| |xinit| (-199)) (|:| |xend| (-199)) (|:| |fn| (-1148 (-282 (-199)))) (|:| |yinit| (-578 (-199))) (|:| |intvals| (-578 (-199))) (|:| |g| (-282 (-199))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (|:| -2922 (-2 (|:| |stiffness| (-346)) (|:| |stability| (-346)) (|:| |expense| (-346)) (|:| |accuracy| (-346)) (|:| |intermediateResults| (-346)))))) (-5 *1 (-733)))) ((*1 *2 *3 *4) (-12 (-5 *2 (-1154)) (-5 *1 (-1082 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001))))) 
-(((*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-578 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-107) *8 *8)) (-4 *1 (-1099 *5 *6 *7 *8)) (-4 *5 (-508)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *8 (-972 *5 *6 *7))))) 
-(((*1 *1 *1) (-5 *1 (-970)))) 
-(((*1 *1) (-12 (-4 *1 (-372)) (-3031 (|has| *1 (-6 -4158))) (-3031 (|has| *1 (-6 -4150))))) ((*1 *2 *1) (-12 (-4 *1 (-394 *2)) (-4 *2 (-1001)) (-4 *2 (-777)))) ((*1 *2 *1) (-12 (-4 *1 (-760 *2)) (-4 *2 (-777)))) ((*1 *1 *1 *1) (-4 *1 (-777))) ((*1 *1) (-5 *1 (-1018)))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-578 *6)) (-4 *1 (-891 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1048 (-501))) (-5 *1 (-1055 *4)) (-4 *4 (-959)) (-5 *3 (-501))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-1148 (-621 *4))) (-5 *1 (-88 *4 *5)) (-5 *3 (-621 *4)) (-4 *5 (-593 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1139 *2 *3 *4)) (-4 *2 (-959)) (-14 *3 (-1070)) (-14 *4 *2)))) 
-(((*1 *1 *1 *1) (-4 *1 (-267))) ((*1 *1 *1) (-4 *1 (-267)))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-331) (-134) (-950 (-501)))) (-4 *5 (-1125 *4)) (-5 *2 (-2 (|:| |ans| (-375 *5)) (|:| |nosol| (-107)))) (-5 *1 (-929 *4 *5)) (-5 *3 (-375 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-4 *5 (-336)) (-5 *2 (-701))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-361)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-1084))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-578 (-1148 *4))) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-4 *3 (-508)) (-5 *2 (-578 (-1148 *3)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1001)) (-4 *6 (-806 *5)) (-5 *2 (-805 *5 *6 (-578 *6))) (-5 *1 (-807 *5 *6 *4)) (-5 *3 (-578 *6)) (-4 *4 (-556 (-810 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1001)) (-5 *2 (-578 (-262 *3))) (-5 *1 (-807 *5 *3 *4)) (-4 *3 (-950 (-1070))) (-4 *3 (-806 *5)) (-4 *4 (-556 (-810 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1001)) (-5 *2 (-578 (-262 (-866 *3)))) (-5 *1 (-807 *5 *3 *4)) (-4 *3 (-959)) (-3031 (-4 *3 (-950 (-1070)))) (-4 *3 (-806 *5)) (-4 *4 (-556 (-810 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1001)) (-5 *2 (-808 *5 *3)) (-5 *1 (-807 *5 *3 *4)) (-3031 (-4 *3 (-950 (-1070)))) (-3031 (-4 *3 (-959))) (-4 *3 (-806 *5)) (-4 *4 (-556 (-810 *5)))))) 
-(((*1 *1 *1) (-4 *1 (-500)))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-107)) (-5 *1 (-108))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-756))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-508) (-777) (-950 (-501)))) (-4 *5 (-389 *4)) (-5 *2 (-3 (|:| |overq| (-1064 (-375 (-501)))) (|:| |overan| (-1064 (-47))) (|:| -4142 (-107)))) (-5 *1 (-403 *4 *5 *3)) (-4 *3 (-1125 *5))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-578 (-553 *2))) (-5 *4 (-578 (-1070))) (-4 *2 (-13 (-389 (-152 *5)) (-916) (-1090))) (-4 *5 (-13 (-508) (-777))) (-5 *1 (-544 *5 *6 *2)) (-4 *6 (-13 (-389 *5) (-916) (-1090)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-786))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-959))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-501)) (-5 *1 (-373 *2)) (-4 *2 (-508))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959))))) 
-(((*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-107) *5 *5)) (-4 *5 (-13 (-1001) (-33))) (-5 *2 (-107)) (-5 *1 (-1035 *4 *5)) (-4 *4 (-13 (-1001) (-33)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-150 *3)) (-4 *3 (-156)) (-4 *3 (-967)) (-4 *3 (-1090)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3)))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1039)) (-5 *2 (-128)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1039)) (-5 *2 (-131))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-939 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-991 *3)) (-5 *1 (-993 *3)) (-4 *3 (-1104)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1104)))) ((*1 *1 *2) (-12 (-5 *1 (-1116 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 (-1048 *3))) (-5 *1 (-1048 *3)) (-4 *3 (-1104))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-918 *3)) (-14 *3 (-501))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| (-107)) (|:| -3709 *4)))) (-5 *1 (-706 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -1749 *3) (|:| |coef1| (-711 *3)))) (-5 *1 (-711 *3)) (-4 *3 (-508)) (-4 *3 (-959))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1039)) (-5 *2 (-128)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1039)) (-5 *2 (-131))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-810 *4)) (-5 *3 (-1 (-107) *5)) (-4 *4 (-1001)) (-4 *5 (-1104)) (-5 *1 (-811 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-810 *4)) (-5 *3 (-578 (-1 (-107) *5))) (-4 *4 (-1001)) (-4 *5 (-1104)) (-5 *1 (-811 *4 *5)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-810 *5)) (-5 *3 (-578 (-1070))) (-5 *4 (-1 (-107) (-578 *6))) (-4 *5 (-1001)) (-4 *6 (-1104)) (-5 *1 (-811 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1070)) (-5 *4 (-1 (-107) *5)) (-4 *5 (-1104)) (-5 *2 (-282 (-501))) (-5 *1 (-857 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1070)) (-5 *4 (-578 (-1 (-107) *5))) (-4 *5 (-1104)) (-5 *2 (-282 (-501))) (-5 *1 (-857 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-107) *5)) (-4 *5 (-1104)) (-4 *4 (-777)) (-5 *1 (-858 *4 *2 *5)) (-4 *2 (-389 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-578 (-1 (-107) *5))) (-4 *5 (-1104)) (-4 *4 (-777)) (-5 *1 (-858 *4 *2 *5)) (-4 *2 (-389 *4)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-1070))) (-5 *3 (-1 (-107) (-578 *6))) (-4 *6 (-13 (-389 *5) (-806 *4) (-556 (-810 *4)))) (-4 *4 (-1001)) (-4 *5 (-13 (-959) (-806 *4) (-777) (-556 (-810 *4)))) (-5 *1 (-979 *4 *5 *6))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-701)) (-5 *1 (-783 *2)) (-4 *2 (-156)))) ((*1 *2 *3) (-12 (-5 *2 (-1064 (-501))) (-5 *1 (-862)) (-5 *3 (-501))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-131))) (-5 *1 (-128)))) ((*1 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-128))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1003)) (-5 *3 (-703)) (-5 *1 (-50))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-501)) (-5 *6 (-1 (-1154) (-1148 *5) (-1148 *5) (-346))) (-5 *3 (-1148 (-346))) (-5 *5 (-346)) (-5 *2 (-1154)) (-5 *1 (-718)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-501)) (-5 *6 (-1 (-1154) (-1148 *5) (-1148 *5) (-346))) (-5 *3 (-1148 (-346))) (-5 *5 (-346)) (-5 *2 (-1154)) (-5 *1 (-718))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *1 (-563 *3 *4 *5 *6 *7 *2)) (-4 *7 (-977 *3 *4 *5 *6)) (-4 *2 (-1009 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-131))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-839)) (-5 *1 (-324 *3)) (-4 *3 (-318))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-616 *4 *5 *6)) (-4 *4 (-1001))))) 
-(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-120 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-825 (-501))) (-5 *1 (-837)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-825 (-501))) (-5 *1 (-837))))) 
-(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-553 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1070))) (-4 *2 (-13 (-389 *5) (-27) (-1090))) (-4 *5 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *1 (-517 *5 *2 *6)) (-4 *6 (-1001))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-331) (-950 (-375 *2)))) (-5 *2 (-501)) (-5 *1 (-110 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-863 *3)) (-4 *3 (-13 (-331) (-1090) (-916))) (-5 *1 (-158 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-506 *3)) (-4 *3 (-13 (-372) (-1090))) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-775)) (-5 *2 (-107)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-974 *4 *3)) (-4 *4 (-13 (-775) (-331))) (-4 *3 (-1125 *4)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-276) (-134))) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-5 *2 (-578 (-578 (-501)))) (-5 *1 (-844 *4 *5 *6 *7)) (-5 *3 (-501)) (-4 *7 (-870 *4 *6 *5))))) 
-(((*1 *1) (-12 (-4 *1 (-297 *2)) (-4 *2 (-336)) (-4 *2 (-331)))) ((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1148 *4)) (-5 *1 (-485 *4)) (-4 *4 (-318))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-508)) (-4 *3 (-959)) (-5 *2 (-2 (|:| -3236 *1) (|:| -1852 *1))) (-4 *1 (-779 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-94 *5)) (-4 *5 (-508)) (-4 *5 (-959)) (-5 *2 (-2 (|:| -3236 *3) (|:| -1852 *3))) (-5 *1 (-780 *5 *3)) (-4 *3 (-779 *5))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-991 *3)) (-4 *3 (-870 *7 *6 *4)) (-4 *6 (-723)) (-4 *4 (-777)) (-4 *7 (-508)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-501)))) (-5 *1 (-539 *6 *4 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-723)) (-4 *4 (-777)) (-4 *6 (-508)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-501)))) (-5 *1 (-539 *5 *4 *6 *3)) (-4 *3 (-870 *6 *5 *4)))) ((*1 *1 *1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1) (-5 *1 (-786))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-1062 *4 *2)) (-4 *2 (-13 (-389 *4) (-145) (-27) (-1090))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-993 *2)) (-4 *2 (-13 (-389 *4) (-145) (-27) (-1090))) (-4 *4 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-1062 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-13 (-508) (-777) (-950 (-501)))) (-5 *2 (-375 (-866 *5))) (-5 *1 (-1063 *5)) (-5 *3 (-866 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-13 (-508) (-777) (-950 (-501)))) (-5 *2 (-3 (-375 (-866 *5)) (-282 *5))) (-5 *1 (-1063 *5)) (-5 *3 (-375 (-866 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-993 (-866 *5))) (-5 *3 (-866 *5)) (-4 *5 (-13 (-508) (-777) (-950 (-501)))) (-5 *2 (-375 *3)) (-5 *1 (-1063 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-993 (-375 (-866 *5)))) (-5 *3 (-375 (-866 *5))) (-4 *5 (-13 (-508) (-777) (-950 (-501)))) (-5 *2 (-3 *3 (-282 *5))) (-5 *1 (-1063 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-979 *3 *4 *5))) (-4 *3 (-1001)) (-4 *4 (-13 (-959) (-806 *3) (-777) (-556 (-810 *3)))) (-4 *5 (-13 (-389 *4) (-806 *3) (-556 (-810 *3)))) (-5 *1 (-981 *3 *4 *5))))) 
-(((*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1125 *5)) (-4 *5 (-13 (-331) (-134) (-950 (-501)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-375 *6)) (|:| |c| (-375 *6)) (|:| -1348 *6))) (-5 *1 (-929 *5 *6)) (-5 *3 (-375 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-199)) (-5 *1 (-229))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1749 *4))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *1 *1 *1) (-5 *1 (-107))) ((*1 *1 *1 *1) (-4 *1 (-118))) ((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1039)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1004 *3 *4 *5 *6 *2)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *2 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-50))) (-5 *2 (-1154)) (-5 *1 (-785))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-995 *3)) (-4 *3 (-1104)) (-5 *2 (-501))))) 
-(((*1 *1) (-5 *1 (-754)))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-578 (-2 (|:| |totdeg| (-701)) (|:| -2663 *3)))) (-5 *4 (-701)) (-4 *3 (-870 *5 *6 *7)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *1 (-417 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-358 *3 *4 *5)) (-14 *3 (-701)) (-14 *4 (-701)) (-4 *5 (-156))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-262 *3))) (-5 *1 (-262 *3)) (-4 *3 (-508)) (-4 *3 (-1104))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1125 *5)) (-4 *5 (-13 (-27) (-389 *4))) (-4 *4 (-13 (-777) (-508) (-950 (-501)))) (-4 *7 (-1125 (-375 *6))) (-5 *1 (-504 *4 *5 *6 *7 *2)) (-4 *2 (-310 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-578 (-701))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-578 *1)) (-4 *1 (-389 *4)) (-4 *4 (-777)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1070)) (-4 *1 (-389 *3)) (-4 *3 (-777)))) ((*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1070)) (-4 *1 (-389 *3)) (-4 *3 (-777)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1070)) (-4 *1 (-389 *3)) (-4 *3 (-777)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1070)) (-4 *1 (-389 *3)) (-4 *3 (-777))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1039)) (-5 *2 (-107))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-578 (-1064 *7))) (-5 *3 (-1064 *7)) (-4 *7 (-870 *5 *6 *4)) (-4 *5 (-830)) (-4 *6 (-723)) (-4 *4 (-777)) (-5 *1 (-827 *5 *6 *4 *7))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1070)) (-4 *5 (-13 (-508) (-950 (-501)) (-134))) (-5 *2 (-2 (|:| -3071 (-375 (-866 *5))) (|:| |coeff| (-375 (-866 *5))))) (-5 *1 (-521 *5)) (-5 *3 (-375 (-866 *5)))))) 
-(((*1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-142))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *5)) (-5 *4 (-578 (-1 *6 (-578 *6)))) (-4 *5 (-37 (-375 (-501)))) (-4 *6 (-1142 *5)) (-5 *2 (-578 *6)) (-5 *1 (-1143 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-578 *2))) (-5 *4 (-578 *5)) (-4 *5 (-37 (-375 (-501)))) (-4 *2 (-1142 *5)) (-5 *1 (-1143 *5 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-578 (-578 (-578 (-863 *3)))))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-508)) (-5 *1 (-562 *2 *3)) (-4 *3 (-1125 *2))))) 
-(((*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-810 *4)) (-4 *4 (-1001)) (-5 *1 (-808 *4 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-997 *3)) (-5 *1 (-822 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-5 *2 (-997 *3)) (-5 *1 (-825 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1039)) (-5 *3 (-501)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-331)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-467 *4 *5 *6 *3)) (-4 *3 (-870 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1048 *3)) (-5 *1 (-157 *3)) (-4 *3 (-276))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-373 *3)) (-4 *3 (-508)) (-5 *1 (-387 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-282 (-501))) (-5 *1 (-849)))) ((*1 *2 *2) (-12 (-4 *3 (-777)) (-5 *1 (-850 *3 *2)) (-4 *2 (-389 *3))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| *3) (|:| -3709 *4)))) (-5 *1 (-978 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-621 *2)) (-5 *4 (-501)) (-4 *2 (-13 (-276) (-10 -8 (-15 -1559 ((-373 $) $))))) (-4 *5 (-1125 *2)) (-5 *1 (-462 *2 *5 *6)) (-4 *6 (-378 *2 *5))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1064 *3)) (-4 *3 (-318)) (-5 *1 (-324 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-199)) (-5 *1 (-753))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *1 *2 *2) (-12 (-5 *1 (-262 *2)) (-4 *2 (-1104)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1053)) (-5 *1 (-904)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-991 *4)) (-4 *4 (-1104)) (-5 *1 (-993 *4))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-959)) (-5 *2 (-578 *1)) (-4 *1 (-1032 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-282 (-501))) (-5 *1 (-849)))) ((*1 *2 *2) (-12 (-4 *3 (-777)) (-5 *1 (-850 *3 *2)) (-4 *2 (-389 *3))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-552 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-1001))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-143 *3 *2)) (-4 *2 (-389 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-786))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-220 *4 *5)) (-14 *4 (-578 (-1070))) (-4 *5 (-959)) (-5 *2 (-866 *5)) (-5 *1 (-864 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-131))))) 
-(((*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-508))))) 
-(((*1 *1 *1) (-4 *1 (-34))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-282 (-501))) (|:| -2958 (-282 (-346))) (|:| CF (-282 (-152 (-346)))) (|:| |switch| (-1069)))) (-5 *1 (-1069))))) 
-(((*1 *2 *3 *2 *3) (-12 (-5 *2 (-404)) (-5 *3 (-1070)) (-5 *1 (-1073)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-404)) (-5 *3 (-1070)) (-5 *1 (-1073)))) ((*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-404)) (-5 *3 (-578 (-1070))) (-5 *4 (-1070)) (-5 *1 (-1073)))) ((*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-404)) (-5 *3 (-1070)) (-5 *1 (-1073)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-404)) (-5 *3 (-1070)) (-5 *1 (-1074)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-404)) (-5 *3 (-578 (-1070))) (-5 *1 (-1074))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-199)) (|:| |phi| (-199)) (|:| -3487 (-199)) (|:| |scaleX| (-199)) (|:| |scaleY| (-199)) (|:| |scaleZ| (-199)) (|:| |deltaX| (-199)) (|:| |deltaY| (-199)))) (-5 *1 (-232)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-199)) (|:| |phi| (-199)) (|:| -3487 (-199)) (|:| |scaleX| (-199)) (|:| |scaleY| (-199)) (|:| |scaleZ| (-199)) (|:| |deltaX| (-199)) (|:| |deltaY| (-199)))) (-5 *3 (-578 (-232))) (-5 *1 (-233)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-346)) (-5 *2 (-1154)) (-5 *1 (-1152)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-346)) (-5 *2 (-1154)) (-5 *1 (-1152)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-501)) (-5 *4 (-346)) (-5 *2 (-1154)) (-5 *1 (-1152)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-199)) (|:| |phi| (-199)) (|:| -3487 (-199)) (|:| |scaleX| (-199)) (|:| |scaleY| (-199)) (|:| |scaleZ| (-199)) (|:| |deltaX| (-199)) (|:| |deltaY| (-199)))) (-5 *2 (-1154)) (-5 *1 (-1152)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-199)) (|:| |phi| (-199)) (|:| -3487 (-199)) (|:| |scaleX| (-199)) (|:| |scaleY| (-199)) (|:| |scaleZ| (-199)) (|:| |deltaX| (-199)) (|:| |deltaY| (-199)))) (-5 *1 (-1152)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-346)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *1 *1) (-4 *1 (-34))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-346) (-346))) (-5 *4 (-346)) (-5 *2 (-2 (|:| -2150 *4) (|:| -2390 *4) (|:| |totalpts| (-501)) (|:| |success| (-107)))) (-5 *1 (-719)) (-5 *5 (-501))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-389 *4)) (-5 *1 (-143 *4 *2)) (-4 *4 (-13 (-777) (-508)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-578 (-1070))) (|:| |pred| (-50)))) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *1 *1) (-4 *1 (-34))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-578 (-1064 *5))) (-5 *3 (-1064 *5)) (-4 *5 (-150 *4)) (-4 *4 (-500)) (-5 *1 (-136 *4 *5)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-578 *3)) (-4 *3 (-1125 *5)) (-4 *5 (-1125 *4)) (-4 *4 (-318)) (-5 *1 (-326 *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-578 (-1064 (-501)))) (-5 *3 (-1064 (-501))) (-5 *1 (-523)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-578 (-1064 *1))) (-5 *3 (-1064 *1)) (-4 *1 (-830))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1048 (-375 *3))) (-5 *1 (-157 *3)) (-4 *3 (-276))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-578 (-866 *4))) (-5 *3 (-578 (-1070))) (-4 *4 (-419)) (-5 *1 (-838 *4))))) 
-(((*1 *1 *1) (-4 *1 (-34))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-49 *3 *4)) (-4 *3 (-959)) (-14 *4 (-578 (-1070))))) ((*1 *2 *3) (-12 (-5 *3 (-50)) (-5 *2 (-107)) (-5 *1 (-51 *4)) (-4 *4 (-1104)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-197 *3 *4)) (-4 *3 (-13 (-959) (-777))) (-14 *4 (-578 (-1070))))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-606 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-610 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-813 *3)) (-4 *3 (-777))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-276)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1022 *4 *5 *6 *3)) (-4 *3 (-618 *4 *5 *6))))) 
-(((*1 *1 *2) (-12 (-4 *3 (-959)) (-5 *1 (-758 *2 *3)) (-4 *2 (-640 *3))))) 
-(((*1 *1 *1) (-4 *1 (-34))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-756)) (-5 *3 (-578 (-1070))) (-5 *1 (-755))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-939 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-397 *3 *2)) (-4 *3 (-13 (-156) (-37 (-375 (-501))))) (-4 *2 (-13 (-777) (-21)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *1) (-4 *1 (-456))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1039)) (-5 *3 (-131)) (-5 *2 (-107))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-107)) (-5 *1 (-606 *3)) (-4 *3 (-777)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-107)) (-5 *1 (-610 *3)) (-4 *3 (-777)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-107)) (-5 *1 (-749 *3)) (-4 *3 (-777))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-513))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-49 *3 *4)) (-4 *3 (-959)) (-14 *4 (-578 (-1070))))) ((*1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-197 *3 *4)) (-4 *3 (-13 (-959) (-777))) (-14 *4 (-578 (-1070))))) ((*1 *1) (-12 (-4 *1 (-297 *2)) (-4 *2 (-336)) (-4 *2 (-331)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-304 *3 *4 *5 *2)) (-4 *3 (-331)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-4 *2 (-310 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-358 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-156)))) ((*1 *1) (-12 (-4 *2 (-156)) (-4 *1 (-655 *2 *3)) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1070)) (-5 *1 (-108)))) ((*1 *2 *1) (-12 (-4 *1 (-333 *2 *3)) (-4 *3 (-1001)) (-4 *2 (-1001)))) ((*1 *2 *1) (-12 (-4 *1 (-357)) (-5 *2 (-1053)))) ((*1 *2 *1) (-12 (-5 *2 (-1070)) (-5 *1 (-406 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1070)) (-5 *1 (-553 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-1070)) (-5 *1 (-980 *3)) (-14 *3 *2))) ((*1 *1 *1) (-5 *1 (-1070)))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1048 *2)) (-4 *2 (-276)) (-5 *1 (-157 *2))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *1) (-4 *1 (-456))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-578 *6)) (-5 *1 (-467 *3 *4 *5 *6)) (-4 *6 (-870 *3 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-822 *3))) (-5 *1 (-825 *3)) (-4 *3 (-1001))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-508)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-508))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *1) (-4 *1 (-456))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-152 *4)) (-5 *1 (-162 *4 *3)) (-4 *4 (-13 (-331) (-775))) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-578 *11)) (|:| |todo| (-578 (-2 (|:| |val| *3) (|:| -3709 *11)))))) (-5 *6 (-701)) (-5 *2 (-578 (-2 (|:| |val| (-578 *10)) (|:| -3709 *11)))) (-5 *3 (-578 *10)) (-5 *4 (-578 *11)) (-4 *10 (-972 *7 *8 *9)) (-4 *11 (-977 *7 *8 *9 *10)) (-4 *7 (-419)) (-4 *8 (-723)) (-4 *9 (-777)) (-5 *1 (-975 *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-578 *11)) (|:| |todo| (-578 (-2 (|:| |val| *3) (|:| -3709 *11)))))) (-5 *6 (-701)) (-5 *2 (-578 (-2 (|:| |val| (-578 *10)) (|:| -3709 *11)))) (-5 *3 (-578 *10)) (-5 *4 (-578 *11)) (-4 *10 (-972 *7 *8 *9)) (-4 *11 (-1009 *7 *8 *9 *10)) (-4 *7 (-419)) (-4 *8 (-723)) (-4 *9 (-777)) (-5 *1 (-1040 *7 *8 *9 *10 *11))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *1 *1) (-4 *1 (-456))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-777) (-508))) (-5 *1 (-143 *4 *2)) (-4 *2 (-389 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-993 *2)) (-4 *2 (-389 *4)) (-4 *4 (-13 (-777) (-508))) (-5 *1 (-143 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-993 *1)) (-4 *1 (-145)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-145)) (-5 *2 (-1070))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *1 *1) (-4 *1 (-456))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-578 (-1070))) (-5 *1 (-100))))) 
-(((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-630)))) ((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-630))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-839)) (-5 *1 (-944 *2)) (-4 *2 (-13 (-1001) (-10 -8 (-15 -3790 ($ $ $)))))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-232)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1053)) (-5 *3 (-578 (-232))) (-5 *1 (-233)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1151)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *1 *1) (-4 *1 (-456))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-310 *4 *3 *5)) (-4 *4 (-1108)) (-4 *3 (-1125 *4)) (-4 *5 (-1125 (-375 *3))) (-5 *2 (-107)))) ((*1 *2 *3) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-107))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-2 (|:| -3739 *4) (|:| -1201 (-501))))) (-4 *4 (-1125 (-501))) (-5 *2 (-667 (-701))) (-5 *1 (-409 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-373 *5)) (-4 *5 (-1125 *4)) (-4 *4 (-959)) (-5 *2 (-667 (-701))) (-5 *1 (-411 *4 *5))))) 
-(((*1 *1 *1) (-4 *1 (-91))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-107)) (-5 *1 (-759))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-701)) (-5 *1 (-149 *3 *4)) (-4 *3 (-150 *4)))) ((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1104)) (-5 *2 (-701)) (-5 *1 (-210 *3 *4 *5)) (-4 *3 (-211 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-777)) (-5 *2 (-701)) (-5 *1 (-388 *3 *4)) (-4 *3 (-389 *4)))) ((*1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-499 *3)) (-4 *3 (-500)))) ((*1 *2) (-12 (-4 *1 (-694)) (-5 *2 (-701)))) ((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-701)) (-5 *1 (-725 *3 *4)) (-4 *3 (-726 *4)))) ((*1 *2) (-12 (-4 *4 (-508)) (-5 *2 (-701)) (-5 *1 (-905 *3 *4)) (-4 *3 (-906 *4)))) ((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-701)) (-5 *1 (-911 *3 *4)) (-4 *3 (-912 *4)))) ((*1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-925 *3)) (-4 *3 (-926)))) ((*1 *2) (-12 (-4 *1 (-959)) (-5 *2 (-701)))) ((*1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-966 *3)) (-4 *3 (-967))))) 
-(((*1 *1 *1) (-4 *1 (-91))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1064 *6)) (-4 *6 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-1064 *7)) (-5 *1 (-289 *4 *5 *6 *7)) (-4 *7 (-870 *6 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-530 *3)) (-4 *3 (-331))))) 
-(((*1 *1 *1) (-4 *1 (-91))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-839)) (-5 *1 (-371 *3)) (-4 *3 (-372)))) ((*1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-371 *3)) (-4 *3 (-372)))) ((*1 *2 *2) (-12 (-5 *2 (-839)) (|has| *1 (-6 -4158)) (-4 *1 (-372)))) ((*1 *2) (-12 (-4 *1 (-372)) (-5 *2 (-839)))) ((*1 *2 *1) (-12 (-4 *1 (-792 *3)) (-5 *2 (-1048 (-501)))))) 
-(((*1 *2) (-12 (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-830)) (-5 *1 (-424 *3 *4 *2 *5)) (-4 *5 (-870 *2 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-830)) (-5 *1 (-827 *2 *3 *4 *5)) (-4 *5 (-870 *2 *3 *4)))) ((*1 *2) (-12 (-4 *2 (-830)) (-5 *1 (-828 *2 *3)) (-4 *3 (-1125 *2))))) 
-(((*1 *1 *1) (-4 *1 (-91))) ((*1 *1 *1 *1) (-5 *1 (-199))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *1 *1 *1) (-5 *1 (-346))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-508)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *1 (-1095 *3 *4 *5 *2)) (-4 *2 (-618 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-152 *5)) (-4 *5 (-13 (-389 *4) (-916) (-1090))) (-4 *4 (-13 (-508) (-777))) (-4 *2 (-13 (-389 (-152 *4)) (-916) (-1090))) (-5 *1 (-544 *4 *5 *2))))) 
-(((*1 *1 *1) (-4 *1 (-91))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-199)) (|:| |xend| (-199)) (|:| |fn| (-1148 (-282 (-199)))) (|:| |yinit| (-578 (-199))) (|:| |intvals| (-578 (-199))) (|:| |g| (-282 (-199))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-2 (|:| |stiffness| (-346)) (|:| |stability| (-346)) (|:| |expense| (-346)) (|:| |accuracy| (-346)) (|:| |intermediateResults| (-346)))) (-5 *1 (-733))))) 
-(((*1 *1) (-5 *1 (-970)))) 
-(((*1 *1 *1) (-4 *1 (-91))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1053)) (-5 *1 (-1086))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-352 *3 *4)) (-4 *3 (-959)) (-4 *4 (-1001)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3)))) ((*1 *1 *1) (-4 *1 (-1093)))) 
-(((*1 *1 *1) (-5 *1 (-107))) ((*1 *1 *1) (-4 *1 (-118))) ((*1 *1 *1 *2) (-12 (-4 *1 (-216)) (-5 *2 (-501)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-440)) (-5 *2 (-501)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-657)) (-5 *2 (-701)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1012)) (-5 *2 (-839))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-333 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-5 *2 (-1053))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1148 *5)) (-4 *5 (-722)) (-5 *2 (-107)) (-5 *1 (-772 *4 *5)) (-14 *4 (-701))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3)))) ((*1 *1 *1) (-4 *1 (-1093)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-866 (-375 (-501)))) (-5 *4 (-1070)) (-5 *5 (-991 (-769 (-199)))) (-5 *2 (-578 (-199))) (-5 *1 (-270))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-839)) (|has| *1 (-6 -4158)) (-4 *1 (-372)))) ((*1 *2) (-12 (-4 *1 (-372)) (-5 *2 (-839)))) ((*1 *2 *2) (-12 (-5 *2 (-839)) (-5 *1 (-630)))) ((*1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-630))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-131)))) ((*1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-131))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1048 (-578 (-501)))) (-5 *3 (-578 (-501))) (-5 *1 (-803))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3)))) ((*1 *1 *1) (-4 *1 (-1093)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-578 *3))) (-4 *3 (-1001)) (-5 *1 (-822 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-845))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3)))) ((*1 *1 *1) (-4 *1 (-1093)))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-508)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-972 *3 *4 *5))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-501)) (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-948)) (-5 *1 (-272)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-948))) (-5 *2 (-948)) (-5 *1 (-272)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *1)) (-4 *1 (-586 *3)) (-4 *3 (-1104)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-586 *2)) (-4 *2 (-1104)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-586 *2)) (-4 *2 (-1104)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-586 *2)) (-4 *2 (-1104)))) ((*1 *1 *1 *1) (-5 *1 (-970))) ((*1 *2 *3) (-12 (-5 *3 (-1048 (-1048 *4))) (-5 *2 (-1048 *4)) (-5 *1 (-1049 *4)) (-4 *4 (-1104)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1104)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-299 *2)) (-4 *2 (-777)))) ((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3)))) ((*1 *1 *1) (-4 *1 (-1093)))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-1082 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-405))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-299 *2)) (-4 *2 (-777)))) ((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3)))) ((*1 *1 *1) (-4 *1 (-1093)))) 
-(((*1 *2 *1) (-12 (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107)) (-5 *1 (-467 *3 *4 *5 *6)) (-4 *6 (-870 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1148 *6)) (-5 *4 (-1148 (-501))) (-5 *5 (-501)) (-4 *6 (-1001)) (-5 *2 (-1 *6)) (-5 *1 (-931 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1003)) (-5 *1 (-50))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-335 *2)) (-4 *2 (-156))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-567 *3 *2)) (-4 *2 (-13 (-389 *3) (-916) (-1090))))) ((*1 *1 *1) (-4 *1 (-568)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501)))))) (-5 *2 (-578 (-199))) (-5 *1 (-272))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1749 *4))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *5)) (-5 *4 (-578 *6)) (-4 *5 (-1001)) (-4 *6 (-1104)) (-5 *2 (-1 *6 *5)) (-5 *1 (-580 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-578 *5)) (-5 *4 (-578 *2)) (-4 *5 (-1001)) (-4 *2 (-1104)) (-5 *1 (-580 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-578 *6)) (-5 *4 (-578 *5)) (-4 *6 (-1001)) (-4 *5 (-1104)) (-5 *2 (-1 *5 *6)) (-5 *1 (-580 *6 *5)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-578 *5)) (-5 *4 (-578 *2)) (-4 *5 (-1001)) (-4 *2 (-1104)) (-5 *1 (-580 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-578 *5)) (-5 *4 (-578 *6)) (-4 *5 (-1001)) (-4 *6 (-1104)) (-5 *1 (-580 *5 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-578 *5)) (-5 *4 (-578 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1001)) (-4 *2 (-1104)) (-5 *1 (-580 *5 *2)))) ((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1039)) (-5 *3 (-131)) (-5 *2 (-701))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-2 (|:| |gen| *3) (|:| -1989 *4)))) (-4 *3 (-1001)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-584 *3 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786)))) ((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-578 (-863 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-5 *2 (-1 *5 *4)) (-5 *1 (-615 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 *4)) (-5 *1 (-1036 *3 *4)) (-4 *3 (-13 (-1001) (-33))) (-4 *4 (-13 (-1001) (-33)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-578 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501)))))) (-5 *1 (-934 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-578 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501)))))) (-5 *1 (-934 *3)) (-4 *3 (-1125 (-501))) (-5 *4 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501))))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-578 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501)))))) (-5 *1 (-934 *3)) (-4 *3 (-1125 (-501))) (-5 *4 (-375 (-501))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-375 (-501))) (-5 *2 (-578 (-2 (|:| -1313 *5) (|:| -1320 *5)))) (-5 *1 (-934 *3)) (-4 *3 (-1125 (-501))) (-5 *4 (-2 (|:| -1313 *5) (|:| -1320 *5))))) ((*1 *2 *3) (-12 (-5 *2 (-578 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501)))))) (-5 *1 (-935 *3)) (-4 *3 (-1125 (-375 (-501)))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-578 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501)))))) (-5 *1 (-935 *3)) (-4 *3 (-1125 (-375 (-501)))) (-5 *4 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-375 (-501))) (-5 *2 (-578 (-2 (|:| -1313 *4) (|:| -1320 *4)))) (-5 *1 (-935 *3)) (-4 *3 (-1125 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-375 (-501))) (-5 *2 (-578 (-2 (|:| -1313 *5) (|:| -1320 *5)))) (-5 *1 (-935 *3)) (-4 *3 (-1125 *5)) (-5 *4 (-2 (|:| -1313 *5) (|:| -1320 *5)))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1048 *4)) (-5 *3 (-501)) (-4 *4 (-959)) (-5 *1 (-1055 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-1139 *3 *4 *5)) (-4 *3 (-959)) (-14 *4 (-1070)) (-14 *5 *3)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *1)) (-4 *1 (-1032 *3)) (-4 *3 (-959)))) ((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-375 *1)) (-4 *1 (-1125 *3)) (-4 *3 (-959)) (-4 *3 (-508)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1125 *2)) (-4 *2 (-959)) (-4 *2 (-508))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-779 *2)) (-4 *2 (-959)) (-4 *2 (-331))))) 
-(((*1 *1) (-5 *1 (-131))) ((*1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786)))) ((*1 *1 *1) (-5 *1 (-786))) ((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1001)) (-4 *1 (-999 *3)))) ((*1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-1001))))) 
-(((*1 *1) (-5 *1 (-986)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-567 *3 *2)) (-4 *2 (-13 (-389 *3) (-916) (-1090))))) ((*1 *1 *1) (-4 *1 (-568)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1108)) (-4 *5 (-1125 *4)) (-5 *2 (-2 (|:| -3189 (-375 *5)) (|:| |poly| *3))) (-5 *1 (-135 *4 *5 *3)) (-4 *3 (-1125 (-375 *5)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-825 (-501))) (-5 *1 (-837)))) ((*1 *2) (-12 (-5 *2 (-825 (-501))) (-5 *1 (-837))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1001)) (-5 *2 (-808 *3 *4)) (-5 *1 (-805 *3 *4 *5)) (-4 *3 (-1001)) (-4 *5 (-601 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-142)) (-5 *1 (-795))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-346)) (-5 *2 (-199)) (-5 *1 (-1153)))) ((*1 *2) (-12 (-5 *2 (-199)) (-5 *1 (-1153))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-863 *3) (-863 *3))) (-5 *1 (-158 *3)) (-4 *3 (-13 (-331) (-1090) (-916)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-830)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-870 *4 *5 *6)) (-5 *2 (-373 (-1064 *7))) (-5 *1 (-827 *4 *5 *6 *7)) (-5 *3 (-1064 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-830)) (-4 *5 (-1125 *4)) (-5 *2 (-373 (-1064 *5))) (-5 *1 (-828 *4 *5)) (-5 *3 (-1064 *5))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-331)) (-4 *3 (-959)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -3987 *1))) (-4 *1 (-779 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-375 (-866 *3))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *2) (-12 (-5 *2 (-1042 (-1053))) (-5 *1 (-359))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1001)) (-5 *2 (-1 *5 *4)) (-5 *1 (-615 *4 *5)) (-4 *4 (-1001)))) ((*1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-282 (-501))) (-5 *1 (-849)))) ((*1 *2 *2) (-12 (-4 *3 (-777)) (-5 *1 (-850 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1166 *3 *2)) (-4 *3 (-777)) (-4 *2 (-959)))) ((*1 *2 *1) (-12 (-4 *2 (-959)) (-5 *1 (-1170 *2 *3)) (-4 *3 (-773))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-614 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-578 (-199)))) (-5 *1 (-847))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-419))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-220 *4 *5)) (-14 *4 (-578 (-1070))) (-4 *5 (-419)) (-5 *2 (-447 *4 *5)) (-5 *1 (-569 *4 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-508) (-134))) (-5 *1 (-492 *3 *2)) (-4 *2 (-1142 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-331) (-336) (-556 (-501)))) (-4 *4 (-1125 *3)) (-4 *5 (-655 *3 *4)) (-5 *1 (-496 *3 *4 *5 *2)) (-4 *2 (-1142 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-331) (-336) (-556 (-501)))) (-5 *1 (-497 *3 *2)) (-4 *2 (-1142 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-13 (-508) (-134))) (-5 *1 (-1047 *3))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-1048 (-578 (-501)))) (-5 *1 (-803)) (-5 *3 (-501)))) ((*1 *2 *3) (-12 (-5 *2 (-1048 (-578 (-501)))) (-5 *1 (-803)) (-5 *3 (-501)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1048 (-578 (-501)))) (-5 *1 (-803)) (-5 *3 (-501))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-839)) (-5 *1 (-945 *2)) (-4 *2 (-13 (-1001) (-10 -8 (-15 * ($ $ $)))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1004 *3 *4 *5 *6 *7)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *1) (-12 (-5 *2 (-578 (-1070))) (-5 *1 (-1073)) (-5 *3 (-1070))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-500)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1070)) (|:| |arrayIndex| (-578 (-866 (-501)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-107)) (|:| -4055 (-786)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1070)) (|:| |rand| (-786)) (|:| |ints2Floats?| (-107)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1069)) (|:| |thenClause| (-298)) (|:| |elseClause| (-298)))) (|:| |returnBranch| (-2 (|:| -1407 (-107)) (|:| -2150 (-2 (|:| |ints2Floats?| (-107)) (|:| -4055 (-786)))))) (|:| |blockBranch| (-578 (-298))) (|:| |commentBranch| (-578 (-1053))) (|:| |callBranch| (-1053)) (|:| |forBranch| (-2 (|:| -1505 (-993 (-866 (-501)))) (|:| |span| (-866 (-501))) (|:| |body| (-298)))) (|:| |labelBranch| (-1018)) (|:| |loopBranch| (-2 (|:| |switch| (-1069)) (|:| |body| (-298)))) (|:| |commonBranch| (-2 (|:| -3986 (-1070)) (|:| |contents| (-578 (-1070))))) (|:| |printBranch| (-578 (-786))))) (-5 *1 (-298))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |gen| *3) (|:| -1989 *4)))) (-5 *1 (-584 *3 *4 *5)) (-4 *3 (-1001)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1048 (-199))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1505 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-948)) (-5 *1 (-272))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-1053))) (-5 *2 (-1053)) (-5 *1 (-168)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-903 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-1007 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-621 *3)) (-4 *3 (-959)) (-5 *1 (-622 *3)))) ((*1 *2 *2 *2 *2) (-12 (-5 *2 (-621 *3)) (-4 *3 (-959)) (-5 *1 (-622 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-412 *3)) (-4 *3 (-959))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-970))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-567 *3 *2)) (-4 *2 (-13 (-389 *3) (-916) (-1090))))) ((*1 *1 *1) (-4 *1 (-568)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-578 (-346))) (-5 *3 (-578 (-232))) (-5 *1 (-233)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-578 (-346))) (-5 *1 (-435)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-346))) (-5 *1 (-435)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-839)) (-5 *4 (-795)) (-5 *2 (-1154)) (-5 *1 (-1151)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-839)) (-5 *4 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1151))))) 
-(((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-863 (-199)) (-199))) (-5 *3 (-991 (-199))) (-5 *1 (-845)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-863 (-199)) (-199))) (-5 *3 (-991 (-199))) (-5 *1 (-845)))) ((*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-863 (-199)) (-199))) (-5 *3 (-991 (-199))) (-5 *1 (-847)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-863 (-199)) (-199))) (-5 *3 (-991 (-199))) (-5 *1 (-847))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-358 *3 *4 *5)) (-14 *3 (-701)) (-14 *4 (-701)) (-4 *5 (-156))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1064 *4)) (-5 *1 (-324 *4)) (-4 *4 (-318))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-701)) (-5 *2 (-621 (-866 *4))) (-5 *1 (-942 *4)) (-4 *4 (-959))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-621 *1)) (-5 *4 (-1148 *1)) (-4 *1 (-577 *5)) (-4 *5 (-959)) (-5 *2 (-2 (|:| -2978 (-621 *5)) (|:| |vec| (-1148 *5)))))) ((*1 *2 *3) (-12 (-5 *3 (-621 *1)) (-4 *1 (-577 *4)) (-4 *4 (-959)) (-5 *2 (-621 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-335 *4)) (-4 *4 (-156)) (-5 *2 (-621 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-386 *3)) (-4 *3 (-156)) (-5 *2 (-621 *3))))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1053)) (-5 *2 (-703)) (-5 *1 (-108))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *2 (-578 *4)) (-5 *1 (-1026 *3 *4)) (-4 *3 (-1125 *4)))) ((*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *2 (-578 *3)) (-5 *1 (-1026 *4 *3)) (-4 *4 (-1125 *3))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1001)) (-5 *1 (-883 *3 *2)) (-4 *3 (-1001))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1148 *4)) (-5 *3 (-701)) (-4 *4 (-318)) (-5 *1 (-485 *4))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-1035 *4 *5))) (-5 *3 (-1 (-107) *5 *5)) (-4 *4 (-13 (-1001) (-33))) (-4 *5 (-13 (-1001) (-33))) (-5 *1 (-1036 *4 *5)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-578 (-1035 *3 *4))) (-4 *3 (-13 (-1001) (-33))) (-4 *4 (-13 (-1001) (-33))) (-5 *1 (-1036 *3 *4))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-107) *4 *4)) (-4 *4 (-1104)) (-5 *1 (-343 *4 *2)) (-4 *2 (-13 (-340 *4) (-10 -7 (-6 -4168))))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-46 *2 *3)) (-4 *2 (-959)) (-4 *3 (-722)))) ((*1 *1 *1) (-12 (-5 *1 (-49 *2 *3)) (-4 *2 (-959)) (-14 *3 (-578 (-1070))))) ((*1 *1 *1) (-12 (-5 *1 (-197 *2 *3)) (-4 *2 (-13 (-959) (-777))) (-14 *3 (-578 (-1070))))) ((*1 *1 *1) (-12 (-4 *1 (-352 *2 *3)) (-4 *2 (-959)) (-4 *3 (-1001)))) ((*1 *1 *1) (-12 (-14 *2 (-578 (-1070))) (-4 *3 (-156)) (-4 *5 (-211 (-3581 *2) (-701))) (-14 *6 (-1 (-107) (-2 (|:| -3506 *4) (|:| -3027 *5)) (-2 (|:| -3506 *4) (|:| -3027 *5)))) (-5 *1 (-428 *2 *3 *4 *5 *6 *7)) (-4 *4 (-777)) (-4 *7 (-870 *3 *5 (-787 *2))))) ((*1 *1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-777)))) ((*1 *1 *1) (-12 (-4 *2 (-508)) (-5 *1 (-562 *2 *3)) (-4 *3 (-1125 *2)))) ((*1 *1 *1) (-12 (-4 *1 (-640 *2)) (-4 *2 (-959)))) ((*1 *1 *1) (-12 (-5 *1 (-666 *2 *3)) (-4 *3 (-777)) (-4 *2 (-959)) (-4 *3 (-657)))) ((*1 *1 *1) (-12 (-4 *1 (-779 *2)) (-4 *2 (-959)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-972 *3 *4 *2)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777)))) ((*1 *1 *1) (-12 (-5 *1 (-1170 *2 *3)) (-4 *2 (-959)) (-4 *3 (-773))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-501))) (-5 *5 (-1 (-1048 *4))) (-4 *4 (-331)) (-4 *4 (-959)) (-5 *2 (-1048 *4)) (-5 *1 (-1055 *4))))) 
-(((*1 *2 *3 *2 *2) (-12 (-5 *2 (-578 (-447 *4 *5))) (-5 *3 (-787 *4)) (-14 *4 (-578 (-1070))) (-4 *5 (-419)) (-5 *1 (-569 *4 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-508))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-870 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-346)) (-5 *1 (-1152)))) ((*1 *2) (-12 (-5 *2 (-346)) (-5 *1 (-1152))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-331)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *1 (-482 *3 *4 *5 *2)) (-4 *2 (-618 *3 *4 *5))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1064 *3)) (-4 *3 (-318)) (-5 *1 (-324 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-46 *2 *3)) (-4 *3 (-722)) (-4 *2 (-959)))) ((*1 *2 *1) (-12 (-4 *2 (-959)) (-5 *1 (-49 *2 *3)) (-14 *3 (-578 (-1070))))) ((*1 *2 *1) (-12 (-5 *2 (-282 *3)) (-5 *1 (-197 *3 *4)) (-4 *3 (-13 (-959) (-777))) (-14 *4 (-578 (-1070))))) ((*1 *2 *1) (-12 (-4 *1 (-352 *2 *3)) (-4 *3 (-1001)) (-4 *2 (-959)))) ((*1 *2 *1) (-12 (-14 *3 (-578 (-1070))) (-4 *5 (-211 (-3581 *3) (-701))) (-14 *6 (-1 (-107) (-2 (|:| -3506 *4) (|:| -3027 *5)) (-2 (|:| -3506 *4) (|:| -3027 *5)))) (-4 *2 (-156)) (-5 *1 (-428 *3 *2 *4 *5 *6 *7)) (-4 *4 (-777)) (-4 *7 (-870 *2 *5 (-787 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *3 (-777)) (-4 *2 (-1001)))) ((*1 *2 *1) (-12 (-4 *2 (-508)) (-5 *1 (-562 *2 *3)) (-4 *3 (-1125 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-640 *2)) (-4 *2 (-959)))) ((*1 *2 *1) (-12 (-4 *2 (-959)) (-5 *1 (-666 *2 *3)) (-4 *3 (-777)) (-4 *3 (-657)))) ((*1 *2 *1) (-12 (-4 *1 (-779 *2)) (-4 *2 (-959)))) ((*1 *2 *1) (-12 (-4 *1 (-888 *2 *3 *4)) (-4 *3 (-722)) (-4 *4 (-777)) (-4 *2 (-959)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-972 *3 *4 *2)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-357)) (-5 *2 (-1053))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-107)) (-5 *1 (-533 *3)) (-4 *3 (-500))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-822 *4)) (-4 *4 (-1001)) (-5 *2 (-578 (-701))) (-5 *1 (-825 *4))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1053)) (-5 *3 (-501)) (-5 *1 (-214))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-46 *2 *3)) (-4 *2 (-959)) (-4 *3 (-722)))) ((*1 *2 *1) (-12 (-4 *1 (-352 *3 *2)) (-4 *3 (-959)) (-4 *2 (-1001)))) ((*1 *2 *1) (-12 (-14 *3 (-578 (-1070))) (-4 *4 (-156)) (-4 *6 (-211 (-3581 *3) (-701))) (-14 *7 (-1 (-107) (-2 (|:| -3506 *5) (|:| -3027 *6)) (-2 (|:| -3506 *5) (|:| -3027 *6)))) (-5 *2 (-644 *5 *6 *7)) (-5 *1 (-428 *3 *4 *5 *6 *7 *8)) (-4 *5 (-777)) (-4 *8 (-870 *4 *6 (-787 *3))))) ((*1 *2 *1) (-12 (-4 *2 (-657)) (-4 *2 (-777)) (-5 *1 (-666 *3 *2)) (-4 *3 (-959)))) ((*1 *1 *1) (-12 (-4 *1 (-888 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-722)) (-4 *4 (-777))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-2 (|:| -3689 (-701)) (|:| |eqns| (-578 (-2 (|:| |det| *7) (|:| |rows| (-578 (-501))) (|:| |cols| (-578 (-501)))))) (|:| |fgb| (-578 *7))))) (-4 *7 (-870 *4 *6 *5)) (-4 *4 (-13 (-276) (-134))) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-5 *2 (-701)) (-5 *1 (-844 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-419)) (-5 *2 (-578 (-2 (|:| |eigval| (-3 (-375 (-866 *4)) (-1060 (-1070) (-866 *4)))) (|:| |geneigvec| (-578 (-621 (-375 (-866 *4)))))))) (-5 *1 (-261 *4)) (-5 *3 (-621 (-375 (-866 *4))))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-294 *2 *3)) (-4 *3 (-722)) (-4 *2 (-959)))) ((*1 *2 *1) (-12 (-4 *1 (-389 *2)) (-4 *2 (-777))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-354 *3)) (|:| |mm| (-354 *3)) (|:| |rm| (-354 *3)))) (-5 *1 (-354 *3)) (-4 *3 (-1001)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-749 *3)) (|:| |mm| (-749 *3)) (|:| |rm| (-749 *3)))) (-5 *1 (-749 *3)) (-4 *3 (-777))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-501)) (-5 *1 (-346))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-918 *3)) (-14 *3 (-501))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-294 *3 *4)) (-4 *3 (-959)) (-4 *4 (-722)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-389 *3)) (-4 *3 (-777)) (-5 *2 (-107))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-331)) (-5 *1 (-816 *2 *3)) (-4 *2 (-1125 *3))))) 
-(((*1 *1) (-5 *1 (-142)))) 
-(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-1039)) (-5 *2 (-1116 (-501)))))) 
-(((*1 *1 *1) (-4 *1 (-216))) ((*1 *1 *1) (-12 (-4 *2 (-156)) (-5 *1 (-259 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1125 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (-1405 (-12 (-5 *1 (-262 *2)) (-4 *2 (-331)) (-4 *2 (-1104))) (-12 (-5 *1 (-262 *2)) (-4 *2 (-440)) (-4 *2 (-1104))))) ((*1 *1 *1) (-4 *1 (-440))) ((*1 *2 *2) (-12 (-5 *2 (-1148 *3)) (-4 *3 (-318)) (-5 *1 (-485 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-646 *2 *3 *4 *5 *6)) (-4 *2 (-156)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-726 *2)) (-4 *2 (-156)) (-4 *2 (-331))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-2 (|:| |den| (-501)) (|:| |gcdnum| (-501))))) (-4 *4 (-1125 (-375 *2))) (-5 *2 (-501)) (-5 *1 (-833 *4 *5)) (-4 *5 (-1125 (-375 *4)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1003)) (-5 *1 (-1074))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-346)) (-5 *3 (-1053)) (-5 *1 (-92)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-346)) (-5 *3 (-1053)) (-5 *1 (-92))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-578 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-701)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-723)) (-4 *6 (-870 *3 *4 *5)) (-4 *3 (-419)) (-4 *5 (-777)) (-5 *1 (-417 *3 *4 *5 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-578 *3))) (-4 *3 (-1001)) (-5 *1 (-1078 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-452))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *4 *5)) (-4 *5 (-13 (-27) (-1090) (-389 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *4 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-375 (-501))) (-4 *5 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *5 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-262 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *5))) (-4 *5 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-262 *3)) (-5 *5 (-375 (-501))) (-4 *3 (-13 (-27) (-1090) (-389 *6))) (-4 *6 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-375 (-501)))) (-5 *4 (-262 *8)) (-5 *5 (-1116 (-375 (-501)))) (-5 *6 (-375 (-501))) (-4 *8 (-13 (-27) (-1090) (-389 *7))) (-4 *7 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1070)) (-5 *5 (-262 *3)) (-5 *6 (-1116 (-375 (-501)))) (-5 *7 (-375 (-501))) (-4 *3 (-13 (-27) (-1090) (-389 *8))) (-4 *8 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *8 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-375 (-501))) (-4 *4 (-959)) (-4 *1 (-1134 *4 *3)) (-4 *3 (-1111 *4))))) 
-(((*1 *2) (-12 (-4 *3 (-508)) (-5 *2 (-578 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-386 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-346)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1001)) (-4 *1 (-824 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *4 *5)) (-4 *5 (-13 (-27) (-1090) (-389 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *4 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-501)) (-4 *5 (-13 (-419) (-777) (-950 *4) (-577 *4))) (-5 *2 (-50)) (-5 *1 (-284 *5 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-262 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *5))) (-4 *5 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-262 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *6))) (-4 *6 (-13 (-419) (-777) (-950 *5) (-577 *5))) (-5 *5 (-501)) (-5 *2 (-50)) (-5 *1 (-284 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-501))) (-5 *4 (-262 *7)) (-5 *5 (-1116 (-501))) (-4 *7 (-13 (-27) (-1090) (-389 *6))) (-4 *6 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1070)) (-5 *5 (-262 *3)) (-5 *6 (-1116 (-501))) (-4 *3 (-13 (-27) (-1090) (-389 *7))) (-4 *7 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *7 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-501)) (-4 *4 (-959)) (-4 *1 (-1113 *4 *3)) (-4 *3 (-1142 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1134 *3 *2)) (-4 *3 (-959)) (-4 *2 (-1111 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-335 *2)) (-4 *2 (-156))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-621 (-152 (-375 (-501))))) (-5 *2 (-578 (-152 *4))) (-5 *1 (-695 *4)) (-4 *4 (-13 (-331) (-775)))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-13 (-276) (-10 -8 (-15 -1559 ((-373 $) $))))) (-4 *4 (-1125 *3)) (-5 *2 (-2 (|:| -4119 (-621 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-621 *3)))) (-5 *1 (-319 *3 *4 *5)) (-4 *5 (-378 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-501)) (-4 *4 (-1125 *3)) (-5 *2 (-2 (|:| -4119 (-621 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-621 *3)))) (-5 *1 (-698 *4 *5)) (-4 *5 (-378 *3 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-318)) (-4 *3 (-1125 *4)) (-4 *5 (-1125 *3)) (-5 *2 (-2 (|:| -4119 (-621 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-621 *3)))) (-5 *1 (-900 *4 *3 *5 *6)) (-4 *6 (-655 *3 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-318)) (-4 *3 (-1125 *4)) (-4 *5 (-1125 *3)) (-5 *2 (-2 (|:| -4119 (-621 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-621 *3)))) (-5 *1 (-1158 *4 *3 *5 *6)) (-4 *6 (-378 *3 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *4 *5)) (-4 *5 (-13 (-27) (-1090) (-389 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *4 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-701)) (-4 *5 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *5 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-262 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *5))) (-4 *5 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-262 *3)) (-5 *5 (-701)) (-4 *3 (-13 (-27) (-1090) (-389 *6))) (-4 *6 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-501))) (-5 *4 (-262 *6)) (-4 *6 (-13 (-27) (-1090) (-389 *5))) (-4 *5 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1070)) (-5 *5 (-262 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *6))) (-4 *6 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-501))) (-5 *4 (-262 *7)) (-5 *5 (-1116 (-701))) (-4 *7 (-13 (-27) (-1090) (-389 *6))) (-4 *6 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1070)) (-5 *5 (-262 *3)) (-5 *6 (-1116 (-701))) (-4 *3 (-13 (-27) (-1090) (-389 *7))) (-4 *7 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *7 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1113 *3 *2)) (-4 *3 (-959)) (-4 *2 (-1142 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-578 *3)) (-5 *1 (-42 *4 *3)) (-4 *3 (-386 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-632)))) ((*1 *2 *2) (-12 (-5 *2 (-839)) (-5 *1 (-632))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *2 (-1001)) (-5 *1 (-613 *5 *6 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-220 *4 *5)) (-14 *4 (-578 (-1070))) (-4 *5 (-959)) (-5 *2 (-447 *4 *5)) (-5 *1 (-864 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-621 *8)) (-4 *8 (-870 *5 *7 *6)) (-4 *5 (-13 (-276) (-134))) (-4 *6 (-13 (-777) (-556 (-1070)))) (-4 *7 (-723)) (-5 *2 (-578 (-2 (|:| -3689 (-701)) (|:| |eqns| (-578 (-2 (|:| |det| *8) (|:| |rows| (-578 (-501))) (|:| |cols| (-578 (-501)))))) (|:| |fgb| (-578 *8))))) (-5 *1 (-844 *5 *6 *7 *8)) (-5 *4 (-701))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-621 *3)) (-4 *3 (-959)) (-5 *1 (-622 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-108)) (-4 *4 (-13 (-777) (-508))) (-5 *2 (-107)) (-5 *1 (-31 *4 *5)) (-4 *5 (-389 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-108)) (-4 *4 (-13 (-777) (-508))) (-5 *2 (-107)) (-5 *1 (-143 *4 *5)) (-4 *5 (-389 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-108)) (-4 *4 (-13 (-777) (-508))) (-5 *2 (-107)) (-5 *1 (-247 *4 *5)) (-4 *5 (-13 (-389 *4) (-916))))) ((*1 *2 *3) (-12 (-5 *3 (-108)) (-5 *2 (-107)) (-5 *1 (-266 *4)) (-4 *4 (-267)))) ((*1 *2 *3) (-12 (-4 *1 (-267)) (-5 *3 (-108)) (-5 *2 (-107)))) ((*1 *2 *3) (-12 (-5 *3 (-108)) (-4 *5 (-777)) (-5 *2 (-107)) (-5 *1 (-388 *4 *5)) (-4 *4 (-389 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-108)) (-4 *4 (-13 (-777) (-508))) (-5 *2 (-107)) (-5 *1 (-399 *4 *5)) (-4 *5 (-389 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-108)) (-4 *4 (-13 (-777) (-508))) (-5 *2 (-107)) (-5 *1 (-567 *4 *5)) (-4 *5 (-13 (-389 *4) (-916) (-1090)))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-578 (-375 *7))) (-4 *7 (-1125 *6)) (-5 *3 (-375 *7)) (-4 *6 (-331)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-578 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-525 *6 *7))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-808 *5 *3)) (-5 *4 (-810 *5)) (-4 *5 (-1001)) (-4 *3 (-150 *6)) (-4 (-866 *6) (-806 *5)) (-4 *6 (-13 (-806 *5) (-156))) (-5 *1 (-160 *5 *6 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-808 *4 *1)) (-5 *3 (-810 *4)) (-4 *1 (-806 *4)) (-4 *4 (-1001)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-808 *5 *6)) (-5 *4 (-810 *5)) (-4 *5 (-1001)) (-4 *6 (-13 (-1001) (-950 *3))) (-4 *3 (-806 *5)) (-5 *1 (-851 *5 *3 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-808 *5 *3)) (-4 *5 (-1001)) (-4 *3 (-13 (-389 *6) (-556 *4) (-806 *5) (-950 (-553 $)))) (-5 *4 (-810 *5)) (-4 *6 (-13 (-508) (-777) (-806 *5))) (-5 *1 (-852 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-808 (-501) *3)) (-5 *4 (-810 (-501))) (-4 *3 (-500)) (-5 *1 (-853 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-808 *5 *6)) (-5 *3 (-553 *6)) (-4 *5 (-1001)) (-4 *6 (-13 (-777) (-950 (-553 $)) (-556 *4) (-806 *5))) (-5 *4 (-810 *5)) (-5 *1 (-854 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-805 *5 *6 *3)) (-5 *4 (-810 *5)) (-4 *5 (-1001)) (-4 *6 (-806 *5)) (-4 *3 (-601 *6)) (-5 *1 (-855 *5 *6 *3)))) ((*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-808 *6 *3) *8 (-810 *6) (-808 *6 *3))) (-4 *8 (-777)) (-5 *2 (-808 *6 *3)) (-5 *4 (-810 *6)) (-4 *6 (-1001)) (-4 *3 (-13 (-870 *9 *7 *8) (-556 *4))) (-4 *7 (-723)) (-4 *9 (-13 (-959) (-777) (-806 *6))) (-5 *1 (-856 *6 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-808 *5 *3)) (-4 *5 (-1001)) (-4 *3 (-13 (-870 *8 *6 *7) (-556 *4))) (-5 *4 (-810 *5)) (-4 *7 (-806 *5)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *8 (-13 (-959) (-777) (-806 *5))) (-5 *1 (-856 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-808 *5 *3)) (-4 *5 (-1001)) (-4 *3 (-906 *6)) (-4 *6 (-13 (-508) (-806 *5) (-556 *4))) (-5 *4 (-810 *5)) (-5 *1 (-859 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-808 *5 (-1070))) (-5 *3 (-1070)) (-5 *4 (-810 *5)) (-4 *5 (-1001)) (-5 *1 (-860 *5)))) ((*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-578 (-810 *7))) (-5 *5 (-1 *9 (-578 *9))) (-5 *6 (-1 (-808 *7 *9) *9 (-810 *7) (-808 *7 *9))) (-4 *7 (-1001)) (-4 *9 (-13 (-959) (-556 (-810 *7)) (-950 *8))) (-5 *2 (-808 *7 *9)) (-5 *3 (-578 *9)) (-4 *8 (-13 (-959) (-777))) (-5 *1 (-861 *7 *8 *9))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *2 *3) (-12 (|has| *2 (-6 (-4169 "*"))) (-4 *5 (-340 *2)) (-4 *6 (-340 *2)) (-4 *2 (-959)) (-5 *1 (-99 *2 *3 *4 *5 *6)) (-4 *3 (-1125 *2)) (-4 *4 (-618 *2 *5 *6))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-839)) (-5 *1 (-1002 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-1160 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-578 *8)) (-5 *3 (-1 (-107) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-508)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *1 (-1160 *5 *6 *7 *8))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-969)))) ((*1 *1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-969))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-46 *2 *3)) (-4 *2 (-959)) (-4 *3 (-722)) (-4 *2 (-331)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-199)))) ((*1 *1 *1 *1) (-1405 (-12 (-5 *1 (-262 *2)) (-4 *2 (-331)) (-4 *2 (-1104))) (-12 (-5 *1 (-262 *2)) (-4 *2 (-440)) (-4 *2 (-1104))))) ((*1 *1 *1 *1) (-4 *1 (-331))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-346)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1023 *3 (-553 *1))) (-4 *3 (-508)) (-4 *3 (-777)) (-4 *1 (-389 *3)))) ((*1 *1 *1 *1) (-4 *1 (-440))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1148 *3)) (-4 *3 (-318)) (-5 *1 (-485 *3)))) ((*1 *1 *1 *1) (-5 *1 (-490))) ((*1 *1 *2 *3) (-12 (-4 *4 (-156)) (-5 *1 (-558 *2 *4 *3)) (-4 *2 (-37 *4)) (-4 *3 (|SubsetCategory| (-657) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-156)) (-5 *1 (-558 *3 *4 *2)) (-4 *3 (-37 *4)) (-4 *2 (|SubsetCategory| (-657) *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-573 *2)) (-4 *2 (-156)) (-4 *2 (-331)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-156)) (-5 *1 (-587 *2 *4 *3)) (-4 *2 (-648 *4)) (-4 *3 (|SubsetCategory| (-657) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-156)) (-5 *1 (-587 *3 *4 *2)) (-4 *3 (-648 *4)) (-4 *2 (|SubsetCategory| (-657) *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)) (-4 *2 (-331)))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-788 *2 *3 *4 *5)) (-4 *2 (-331)) (-4 *2 (-959)) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-701))) (-14 *5 (-701)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-810 *2)) (-4 *2 (-1001)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-906 *2)) (-4 *2 (-508)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-961 *3 *4 *2 *5 *6)) (-4 *2 (-959)) (-4 *5 (-211 *4 *2)) (-4 *6 (-211 *3 *2)) (-4 *2 (-331)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1156 *2)) (-4 *2 (-331)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-331)) (-4 *2 (-959)) (-4 *3 (-777)) (-4 *4 (-723)) (-14 *6 (-578 *3)) (-5 *1 (-1159 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-870 *2 *4 *3)) (-14 *7 (-578 (-701))) (-14 *8 (-701)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1170 *2 *3)) (-4 *2 (-331)) (-4 *2 (-959)) (-4 *3 (-773))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-786)))) ((*1 *2 *3) (-12 (-5 *3 (-786)) (-5 *2 (-1154)) (-5 *1 (-882))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-578 (-3 (|:| -3986 (-1070)) (|:| |bounds| (-578 (-3 (|:| S (-1070)) (|:| P (-866 (-501)))))))))) (-5 *1 (-1074))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-578 (-282 (-199)))) (|:| -3746 (-578 (-199))))) (-5 *2 (-578 (-1070))) (-5 *1 (-238)))) ((*1 *2 *3) (-12 (-5 *3 (-1064 *7)) (-4 *7 (-870 *6 *4 *5)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-959)) (-5 *2 (-578 *5)) (-5 *1 (-289 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-1070))) (-5 *1 (-307 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-355)))) ((*1 *2 *1) (-12 (-4 *1 (-389 *3)) (-4 *3 (-777)) (-5 *2 (-578 (-1070))))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-810 *3))) (-5 *1 (-810 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-4 *1 (-870 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-578 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-959)) (-4 *7 (-870 *6 *4 *5)) (-5 *2 (-578 *5)) (-5 *1 (-871 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-331) (-10 -8 (-15 -3691 ($ *7)) (-15 -2946 (*7 $)) (-15 -2949 (*7 $))))))) ((*1 *2 *1) (-12 (-4 *1 (-888 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-722)) (-4 *5 (-777)) (-5 *2 (-578 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-891 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-578 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-375 (-866 *4))) (-4 *4 (-508)) (-5 *2 (-578 (-1070))) (-5 *1 (-952 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-578 (-375 *6))) (-5 *3 (-375 *6)) (-4 *6 (-1125 *5)) (-4 *5 (-13 (-331) (-134) (-950 (-501)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-578 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-519 *5 *6))))) 
-(((*1 *1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1 *1) (|partial| -5 *1 (-125))) ((*1 *1 *1 *1) (-12 (-5 *1 (-189 *2)) (-4 *2 (-13 (-777) (-10 -8 (-15 -2007 ((-1053) $ (-1070))) (-15 -2125 ((-1154) $)) (-15 -3512 ((-1154) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-262 *2)) (-4 *2 (-21)) (-4 *2 (-1104)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-262 *2)) (-4 *2 (-21)) (-4 *2 (-1104)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-437 *2 *3)) (-4 *2 (-156)) (-4 *3 (-23)))) ((*1 *1 *1) (-12 (-4 *1 (-437 *2 *3)) (-4 *2 (-156)) (-4 *3 (-23)))) ((*1 *1 *1) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)))) ((*1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-863 (-199))) (-5 *1 (-1101)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1147 *2)) (-4 *2 (-1104)) (-4 *2 (-21)))) ((*1 *1 *1) (-12 (-4 *1 (-1147 *2)) (-4 *2 (-1104)) (-4 *2 (-21))))) 
-(((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1104)) (-5 *2 (-701)) (-5 *1 (-210 *3 *4 *5)) (-4 *3 (-211 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-291 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-123)) (-5 *2 (-701)))) ((*1 *2) (-12 (-4 *4 (-331)) (-5 *2 (-701)) (-5 *1 (-296 *3 *4)) (-4 *3 (-297 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-329 *3)) (-4 *3 (-1001)))) ((*1 *2) (-12 (-4 *1 (-336)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-354 *3)) (-4 *3 (-1001)))) ((*1 *2) (-12 (-4 *4 (-1001)) (-5 *2 (-701)) (-5 *1 (-393 *3 *4)) (-4 *3 (-394 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-584 *3 *4 *5)) (-4 *3 (-1001)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2) (-12 (-4 *4 (-156)) (-4 *5 (-1125 *4)) (-5 *2 (-701)) (-5 *1 (-654 *3 *4 *5)) (-4 *3 (-655 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-749 *3)) (-4 *3 (-777)))) ((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-920)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-775) (-331))) (-5 *1 (-968 *2 *3)) (-4 *3 (-1125 *2))))) 
-(((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-847))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1064 (-375 (-1064 *2)))) (-5 *4 (-553 *2)) (-4 *2 (-13 (-389 *5) (-27) (-1090))) (-4 *5 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *1 (-512 *5 *2 *6)) (-4 *6 (-1001)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1064 *1)) (-4 *1 (-870 *4 *5 *3)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *3 (-777)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1064 *4)) (-4 *4 (-959)) (-4 *1 (-870 *4 *5 *3)) (-4 *5 (-723)) (-4 *3 (-777)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-1064 *2))) (-4 *5 (-723)) (-4 *4 (-777)) (-4 *6 (-959)) (-4 *2 (-13 (-331) (-10 -8 (-15 -3691 ($ *7)) (-15 -2946 (*7 $)) (-15 -2949 (*7 $))))) (-5 *1 (-871 *5 *4 *6 *7 *2)) (-4 *7 (-870 *6 *5 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-1064 (-375 (-866 *5))))) (-5 *4 (-1070)) (-5 *2 (-375 (-866 *5))) (-5 *1 (-952 *5)) (-4 *5 (-508))))) 
-(((*1 *1) (-5 *1 (-199))) ((*1 *1) (-5 *1 (-346)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-131))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-1070))) (-5 *2 (-1154)) (-5 *1 (-1106)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-578 (-1070))) (-5 *2 (-1154)) (-5 *1 (-1106))))) 
-(((*1 *1 *1 *1) (-4 *1 (-25))) ((*1 *1 *1 *1) (-5 *1 (-142))) ((*1 *1 *1 *1) (-12 (-5 *1 (-189 *2)) (-4 *2 (-13 (-777) (-10 -8 (-15 -2007 ((-1053) $ (-1070))) (-15 -2125 ((-1154) $)) (-15 -3512 ((-1154) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-262 *2)) (-4 *2 (-25)) (-4 *2 (-1104)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-262 *2)) (-4 *2 (-25)) (-4 *2 (-1104)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-291 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-123)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-13 (-331) (-134))) (-5 *1 (-367 *3 *2)) (-4 *2 (-1125 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-437 *2 *3)) (-4 *2 (-156)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-331)) (-4 *3 (-723)) (-4 *4 (-777)) (-5 *1 (-467 *2 *3 *4 *5)) (-4 *5 (-870 *2 *3 *4)))) ((*1 *1 *1 *1) (-5 *1 (-490))) ((*1 *1 *1 *1) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1 *1) (-12 (-5 *1 (-810 *2)) (-4 *2 (-1001)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-863 (-199))) (-5 *1 (-1101)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1147 *2)) (-4 *2 (-1104)) (-4 *2 (-25))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-1035 *2 *3)) (-4 *2 (-13 (-1001) (-33))) (-4 *3 (-13 (-1001) (-33)))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-553 *4)) (-4 *4 (-777)) (-4 *2 (-777)) (-5 *1 (-554 *2 *4))))) 
-(((*1 *1 *2 *3) (-12 (-4 *1 (-46 *2 *3)) (-4 *2 (-959)) (-4 *3 (-722)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-578 (-839))) (-5 *1 (-139 *4 *2 *5)) (-14 *4 (-839)) (-4 *2 (-331)) (-14 *5 (-908 *4 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-644 *5 *6 *7)) (-4 *5 (-777)) (-4 *6 (-211 (-3581 *4) (-701))) (-14 *7 (-1 (-107) (-2 (|:| -3506 *5) (|:| -3027 *6)) (-2 (|:| -3506 *5) (|:| -3027 *6)))) (-14 *4 (-578 (-1070))) (-4 *2 (-156)) (-5 *1 (-428 *4 *2 *5 *6 *7 *8)) (-4 *8 (-870 *2 *6 (-787 *4))))) ((*1 *1 *2 *3) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-777)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-501)) (-4 *2 (-508)) (-5 *1 (-562 *2 *4)) (-4 *4 (-1125 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-701)) (-4 *1 (-640 *2)) (-4 *2 (-959)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-666 *2 *3)) (-4 *2 (-959)) (-4 *3 (-657)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 *5)) (-5 *3 (-578 (-701))) (-4 *1 (-671 *4 *5)) (-4 *4 (-959)) (-4 *5 (-777)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-701)) (-4 *1 (-671 *4 *2)) (-4 *4 (-959)) (-4 *2 (-777)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-701)) (-4 *1 (-779 *2)) (-4 *2 (-959)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 *6)) (-5 *3 (-578 (-701))) (-4 *1 (-870 *4 *5 *6)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *6 (-777)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-701)) (-4 *1 (-870 *4 *5 *2)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *2 (-777)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 *6)) (-5 *3 (-578 *5)) (-4 *1 (-888 *4 *5 *6)) (-4 *4 (-959)) (-4 *5 (-722)) (-4 *6 (-777)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-888 *4 *3 *2)) (-4 *4 (-959)) (-4 *3 (-722)) (-4 *2 (-777))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1064 *1)) (-4 *1 (-926))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-340 *2)) (-4 *2 (-1104)))) ((*1 *2 *2) (-12 (-4 *3 (-959)) (-5 *1 (-411 *3 *2)) (-4 *2 (-1125 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-584 *2 *3 *4)) (-4 *2 (-1001)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-335 *2)) (-4 *2 (-156))))) 
-(((*1 *2) (-12 (-5 *2 (-346)) (-5 *1 (-953))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-124)) (-5 *3 (-701)) (-5 *2 (-1154))))) 
-(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-501)) (-5 *6 (-2 (|:| |try| (-346)) (|:| |did| (-346)) (|:| -2547 (-346)))) (-5 *7 (-1 (-1154) (-1148 *5) (-1148 *5) (-346))) (-5 *3 (-1148 (-346))) (-5 *5 (-346)) (-5 *2 (-1154)) (-5 *1 (-718)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-501)) (-5 *6 (-2 (|:| |try| (-346)) (|:| |did| (-346)) (|:| -2547 (-346)))) (-5 *7 (-1 (-1154) (-1148 *5) (-1148 *5) (-346))) (-5 *3 (-1148 (-346))) (-5 *5 (-346)) (-5 *2 (-1154)) (-5 *1 (-718))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-346) (-346))) (-5 *4 (-346)) (-5 *2 (-2 (|:| -2150 *4) (|:| -2390 *4) (|:| |totalpts| (-501)) (|:| |success| (-107)))) (-5 *1 (-719)) (-5 *5 (-501))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-839)) (-5 *1 (-716))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-777)) (-5 *2 (-107)))) ((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-276)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -3987 *1))) (-4 *1 (-276))))) 
-(((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *1 *1) (-12 (-4 *1 (-593 *2)) (-4 *2 (-959)))) ((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *4 (-156)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-620 *4 *5 *6 *3)) (-4 *3 (-618 *4 *5 *6)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-156)) (-4 *2 (-959)) (-5 *1 (-645 *2 *3)) (-4 *3 (-583 *2)))) ((*1 *1 *1) (-12 (-4 *2 (-156)) (-4 *2 (-959)) (-5 *1 (-645 *2 *3)) (-4 *3 (-583 *2)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-764 *2)) (-4 *2 (-156)) (-4 *2 (-959)))) ((*1 *1 *1) (-12 (-5 *1 (-764 *2)) (-4 *2 (-156)) (-4 *2 (-959))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-777)) (-5 *2 (-107)))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *2 *1 *1) (-12 (-5 *2 (-107)) (-5 *1 (-825 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-361))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-294 *3 *4)) (-4 *3 (-959)) (-4 *4 (-722)) (-4 *3 (-156))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| -3626 (-1070)) (|:| -2922 *4)))) (-5 *1 (-808 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001)))) ((*1 *2 *1) (-12 (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)) (-5 *2 (-578 *1)) (-4 *1 (-1004 *3 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-13 (-775) (-331))) (-5 *2 (-107)) (-5 *1 (-968 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-777)) (-5 *2 (-107)))) ((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-2 (|:| |num| (-1148 *4)) (|:| |den| *4)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-866 *5))) (-5 *4 (-578 (-1070))) (-4 *5 (-508)) (-5 *2 (-578 (-578 (-262 (-375 (-866 *5)))))) (-5 *1 (-700 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-866 *4))) (-4 *4 (-508)) (-5 *2 (-578 (-578 (-262 (-375 (-866 *4)))))) (-5 *1 (-700 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-621 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -4119 (-578 *6))) *7 *6)) (-4 *6 (-331)) (-4 *7 (-593 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1148 *6) "failed")) (|:| -4119 (-578 (-1148 *6))))) (-5 *1 (-743 *6 *7)) (-5 *4 (-1148 *6))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-50)) (-5 *1 (-51 *2)) (-4 *2 (-1104)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-866 (-346))) (-5 *1 (-307 *3 *4 *5)) (-4 *5 (-950 (-346))) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-375 (-866 (-346)))) (-5 *1 (-307 *3 *4 *5)) (-4 *5 (-950 (-346))) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-282 (-346))) (-5 *1 (-307 *3 *4 *5)) (-4 *5 (-950 (-346))) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-866 (-501))) (-5 *1 (-307 *3 *4 *5)) (-4 *5 (-950 (-501))) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-375 (-866 (-501)))) (-5 *1 (-307 *3 *4 *5)) (-4 *5 (-950 (-501))) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-282 (-501))) (-5 *1 (-307 *3 *4 *5)) (-4 *5 (-950 (-501))) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1070)) (-5 *1 (-307 *3 *4 *5)) (-14 *3 (-578 *2)) (-14 *4 (-578 *2)) (-4 *5 (-355)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-282 *5)) (-4 *5 (-355)) (-5 *1 (-307 *3 *4 *5)) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-621 (-375 (-866 (-501))))) (-4 *1 (-353)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-621 (-375 (-866 (-346))))) (-4 *1 (-353)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-621 (-866 (-501)))) (-4 *1 (-353)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-621 (-866 (-346)))) (-4 *1 (-353)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-621 (-282 (-501)))) (-4 *1 (-353)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-621 (-282 (-346)))) (-4 *1 (-353)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-375 (-866 (-501)))) (-4 *1 (-365)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-375 (-866 (-346)))) (-4 *1 (-365)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-866 (-501))) (-4 *1 (-365)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-866 (-346))) (-4 *1 (-365)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-282 (-501))) (-4 *1 (-365)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-282 (-346))) (-4 *1 (-365)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1148 (-375 (-866 (-501))))) (-4 *1 (-408)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1148 (-375 (-866 (-346))))) (-4 *1 (-408)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1148 (-866 (-501)))) (-4 *1 (-408)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1148 (-866 (-346)))) (-4 *1 (-408)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1148 (-282 (-501)))) (-4 *1 (-408)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1148 (-282 (-346)))) (-4 *1 (-408)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-318)) (-4 *5 (-297 *4)) (-4 *6 (-1125 *5)) (-5 *2 (-1064 (-1064 *4))) (-5 *1 (-707 *4 *5 *6 *3 *7)) (-4 *3 (-1125 *6)) (-14 *7 (-839)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *1 (-891 *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-950 *2)) (-4 *2 (-1104)))) ((*1 *1 *2) (|partial| -1405 (-12 (-5 *2 (-866 *3)) (-12 (-3031 (-4 *3 (-37 (-375 (-501))))) (-3031 (-4 *3 (-37 (-501)))) (-4 *5 (-556 (-1070)))) (-4 *3 (-959)) (-4 *1 (-972 *3 *4 *5)) (-4 *4 (-723)) (-4 *5 (-777))) (-12 (-5 *2 (-866 *3)) (-12 (-3031 (-4 *3 (-500))) (-3031 (-4 *3 (-37 (-375 (-501))))) (-4 *3 (-37 (-501))) (-4 *5 (-556 (-1070)))) (-4 *3 (-959)) (-4 *1 (-972 *3 *4 *5)) (-4 *4 (-723)) (-4 *5 (-777))) (-12 (-5 *2 (-866 *3)) (-12 (-3031 (-4 *3 (-906 (-501)))) (-4 *3 (-37 (-375 (-501)))) (-4 *5 (-556 (-1070)))) (-4 *3 (-959)) (-4 *1 (-972 *3 *4 *5)) (-4 *4 (-723)) (-4 *5 (-777))))) ((*1 *1 *2) (|partial| -1405 (-12 (-5 *2 (-866 (-501))) (-4 *1 (-972 *3 *4 *5)) (-12 (-3031 (-4 *3 (-37 (-375 (-501))))) (-4 *3 (-37 (-501))) (-4 *5 (-556 (-1070)))) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777))) (-12 (-5 *2 (-866 (-501))) (-4 *1 (-972 *3 *4 *5)) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *5 (-556 (-1070)))) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-866 (-375 (-501)))) (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-37 (-375 (-501)))) (-4 *5 (-556 (-1070))) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777))))) 
-(((*1 *1 *1) (-4 *1 (-33))) ((*1 *1 *1) (-5 *1 (-108))) ((*1 *1 *1) (-5 *1 (-155))) ((*1 *1 *1) (-4 *1 (-500))) ((*1 *1 *1) (-12 (-5 *1 (-810 *2)) (-4 *2 (-1001)))) ((*1 *1 *1) (-12 (-4 *1 (-1032 *2)) (-4 *2 (-959)))) ((*1 *1 *1) (-12 (-5 *1 (-1035 *2 *3)) (-4 *2 (-13 (-1001) (-33))) (-4 *3 (-13 (-1001) (-33)))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-578 *5)) (-5 *4 (-501)) (-4 *5 (-775)) (-4 *5 (-331)) (-5 *2 (-701)) (-5 *1 (-865 *5 *6)) (-4 *6 (-1125 *5))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-777)) (-5 *2 (-107)))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *2 *1 *1) (-12 (-4 *1 (-824 *3)) (-4 *3 (-1001)) (-5 *2 (-107)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-107)) (-5 *1 (-825 *3)) (-4 *3 (-1001)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-1001)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-701)) (-4 *5 (-508)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-885 *5 *3)) (-4 *3 (-1125 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-199)) (|:| |xend| (-199)) (|:| |fn| (-1148 (-282 (-199)))) (|:| |yinit| (-578 (-199))) (|:| |intvals| (-578 (-199))) (|:| |g| (-282 (-199))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-346)) (-5 *1 (-181))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1148 *4)) (-4 *4 (-1104)) (-4 *1 (-211 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1064 *4)) (-5 *1 (-485 *4)) (-4 *4 (-318))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1072 (-375 (-501)))) (-5 *1 (-166))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-331)) (-5 *1 (-697 *2 *3)) (-4 *2 (-640 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-779 *2)) (-4 *2 (-959)) (-4 *2 (-331))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-150 *2)) (-4 *2 (-156)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-508) (-777) (-950 (-501)))) (-5 *2 (-282 *4)) (-5 *1 (-164 *4 *3)) (-4 *3 (-13 (-27) (-1090) (-389 (-152 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-1094 *3 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *3)))))) 
-(((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-501)) (-4 *1 (-55 *2 *4 *5)) (-4 *2 (-1104)) (-4 *4 (-340 *2)) (-4 *5 (-340 *2)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4168)) (-4 *1 (-114 *3)) (-4 *3 (-1104)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4168)) (-4 *1 (-114 *3)) (-4 *3 (-1104)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-258 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-1104)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-50)) (-5 *3 (-1070)) (-5 *1 (-570)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-1116 (-501))) (|has| *1 (-6 -4168)) (-4 *1 (-586 *2)) (-4 *2 (-1104)))) ((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-578 (-501))) (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4168)) (-4 *1 (-924 *2)) (-4 *2 (-1104)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-939 *2)) (-4 *2 (-1104)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-1081 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-1001)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4168)) (-4 *1 (-1138 *2)) (-4 *2 (-1104)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4168)) (-4 *1 (-1138 *3)) (-4 *3 (-1104)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4168)) (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-621 *3)) (-4 *3 (-13 (-276) (-10 -8 (-15 -1559 ((-373 $) $))))) (-4 *4 (-1125 *3)) (-5 *1 (-462 *3 *4 *5)) (-4 *5 (-378 *3 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-331)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4)) (-5 *2 (-701)) (-5 *1 (-482 *4 *5 *6 *3)) (-4 *3 (-618 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-4 *3 (-508)) (-5 *2 (-701)))) ((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *4 (-156)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4)) (-5 *2 (-701)) (-5 *1 (-620 *4 *5 *6 *3)) (-4 *3 (-618 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-4 *5 (-508)) (-5 *2 (-701))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-97)) (-5 *2 (-107)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-262 *2)) (-4 *2 (-1104)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-107)) (-5 *1 (-402)))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *2 *1 *1) (-12 (-5 *2 (-107)) (-5 *1 (-939 *3)) (-4 *3 (-1104))))) 
-(((*1 *1 *1) (-5 *1 (-970)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-150 *2)) (-4 *2 (-156)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-508) (-777) (-950 (-501)))) (-5 *2 (-282 *4)) (-5 *1 (-164 *4 *3)) (-4 *3 (-13 (-27) (-1090) (-389 (-152 *4)))))) ((*1 *2 *1) (-12 (-4 *1 (-726 *2)) (-4 *2 (-156)))) ((*1 *2 *1) (-12 (-4 *1 (-912 *2)) (-4 *2 (-156)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-1094 *3 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *3)))))) 
-(((*1 *1 *1) (-5 *1 (-107)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-825 (-501))) (-5 *1 (-837)))) ((*1 *2) (-12 (-5 *2 (-825 (-501))) (-5 *1 (-837))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)))) ((*1 *1) (-4 *1 (-1046)))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-810 *4)) (-4 *4 (-1001)) (-5 *1 (-808 *4 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-4 *5 (-1125 *4)) (-5 *2 (-578 (-590 (-375 *5)))) (-5 *1 (-594 *4 *5)) (-5 *3 (-590 (-375 *5)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-792 *3)) (-5 *2 (-501)))) ((*1 *1 *1) (-4 *1 (-916))) ((*1 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-926)))) ((*1 *1 *2) (-12 (-5 *2 (-375 (-501))) (-4 *1 (-926)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-926)) (-5 *2 (-701)))) ((*1 *1 *1) (-4 *1 (-926)))) 
-(((*1 *1 *1) (-12 (-4 *2 (-419)) (-4 *3 (-777)) (-4 *4 (-723)) (-5 *1 (-901 *2 *3 *4 *5)) (-4 *5 (-870 *2 *4 *3))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-701)) (-4 *4 (-276)) (-4 *6 (-1125 *4)) (-5 *2 (-1148 (-578 *6))) (-5 *1 (-422 *4 *6)) (-5 *5 (-578 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1148 *1)) (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-47))) (-5 *2 (-373 *3)) (-5 *1 (-38 *3)) (-4 *3 (-1125 (-47))))) ((*1 *2 *3) (-12 (-5 *2 (-373 *3)) (-5 *1 (-38 *3)) (-4 *3 (-1125 (-47))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-47))) (-4 *5 (-777)) (-4 *6 (-723)) (-5 *2 (-373 *3)) (-5 *1 (-41 *5 *6 *3)) (-4 *3 (-870 (-47) *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-47))) (-4 *5 (-777)) (-4 *6 (-723)) (-4 *7 (-870 (-47) *6 *5)) (-5 *2 (-373 (-1064 *7))) (-5 *1 (-41 *5 *6 *7)) (-5 *3 (-1064 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-276)) (-5 *2 (-373 *3)) (-5 *1 (-151 *4 *3)) (-4 *3 (-1125 (-152 *4))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-107)) (-4 *4 (-13 (-331) (-775))) (-5 *2 (-373 *3)) (-5 *1 (-162 *4 *3)) (-4 *3 (-1125 (-152 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-331) (-775))) (-5 *2 (-373 *3)) (-5 *1 (-162 *4 *3)) (-4 *3 (-1125 (-152 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-331) (-775))) (-5 *2 (-373 *3)) (-5 *1 (-162 *4 *3)) (-4 *3 (-1125 (-152 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-318)) (-5 *2 (-373 *3)) (-5 *1 (-191 *4 *3)) (-4 *3 (-1125 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-373 *3)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-701)) (-5 *2 (-373 *3)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-701))) (-5 *2 (-373 *3)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-578 (-701))) (-5 *5 (-701)) (-5 *2 (-373 *3)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-701)) (-5 *2 (-373 *3)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3) (-12 (-5 *2 (-373 (-152 (-501)))) (-5 *1 (-413)) (-5 *3 (-152 (-501))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $)) (-15 -3484 ((-3 $ "failed") (-1070)))))) (-4 *5 (-723)) (-4 *7 (-508)) (-5 *2 (-373 *3)) (-5 *1 (-423 *4 *5 *6 *7 *3)) (-4 *6 (-508)) (-4 *3 (-870 *7 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-276)) (-5 *2 (-373 (-1064 *4))) (-5 *1 (-425 *4)) (-5 *3 (-1064 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-373 *6) *6)) (-4 *6 (-1125 *5)) (-4 *5 (-331)) (-4 *7 (-13 (-331) (-134) (-655 *5 *6))) (-5 *2 (-373 *3)) (-5 *1 (-457 *5 *6 *7 *3)) (-4 *3 (-1125 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-373 (-1064 *7)) (-1064 *7))) (-4 *7 (-13 (-276) (-134))) (-4 *5 (-777)) (-4 *6 (-723)) (-5 *2 (-373 *3)) (-5 *1 (-495 *5 *6 *7 *3)) (-4 *3 (-870 *7 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-373 (-1064 *7)) (-1064 *7))) (-4 *7 (-13 (-276) (-134))) (-4 *5 (-777)) (-4 *6 (-723)) (-4 *8 (-870 *7 *6 *5)) (-5 *2 (-373 (-1064 *8))) (-5 *1 (-495 *5 *6 *7 *8)) (-5 *3 (-1064 *8)))) ((*1 *2 *3) (-12 (-5 *2 (-373 *3)) (-5 *1 (-510 *3)) (-4 *3 (-500)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-578 *5) *6)) (-4 *5 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-4 *6 (-1125 *5)) (-5 *2 (-578 (-590 (-375 *6)))) (-5 *1 (-594 *5 *6)) (-5 *3 (-590 (-375 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-4 *5 (-1125 *4)) (-5 *2 (-578 (-590 (-375 *5)))) (-5 *1 (-594 *4 *5)) (-5 *3 (-590 (-375 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-749 *4)) (-4 *4 (-777)) (-5 *2 (-578 (-606 *4))) (-5 *1 (-606 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-501)) (-5 *2 (-578 *3)) (-5 *1 (-627 *3)) (-4 *3 (-1125 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-777)) (-4 *5 (-723)) (-4 *6 (-318)) (-5 *2 (-373 *3)) (-5 *1 (-629 *4 *5 *6 *3)) (-4 *3 (-870 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-777)) (-4 *5 (-723)) (-4 *6 (-318)) (-4 *7 (-870 *6 *5 *4)) (-5 *2 (-373 (-1064 *7))) (-5 *1 (-629 *4 *5 *6 *7)) (-5 *3 (-1064 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-723)) (-4 *5 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $)) (-15 -3484 ((-3 $ "failed") (-1070)))))) (-4 *6 (-276)) (-5 *2 (-373 *3)) (-5 *1 (-661 *4 *5 *6 *3)) (-4 *3 (-870 (-866 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-723)) (-4 *5 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $))))) (-4 *6 (-508)) (-5 *2 (-373 *3)) (-5 *1 (-663 *4 *5 *6 *3)) (-4 *3 (-870 (-375 (-866 *6)) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-13 (-276) (-134))) (-5 *2 (-373 *3)) (-5 *1 (-664 *4 *5 *6 *3)) (-4 *3 (-870 (-375 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-777)) (-4 *5 (-723)) (-4 *6 (-13 (-276) (-134))) (-5 *2 (-373 *3)) (-5 *1 (-672 *4 *5 *6 *3)) (-4 *3 (-870 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-777)) (-4 *5 (-723)) (-4 *6 (-13 (-276) (-134))) (-4 *7 (-870 *6 *5 *4)) (-5 *2 (-373 (-1064 *7))) (-5 *1 (-672 *4 *5 *6 *7)) (-5 *3 (-1064 *7)))) ((*1 *2 *3) (-12 (-5 *2 (-373 *3)) (-5 *1 (-921 *3)) (-4 *3 (-1125 (-375 (-501)))))) ((*1 *2 *3) (-12 (-5 *2 (-373 *3)) (-5 *1 (-954 *3)) (-4 *3 (-1125 (-375 (-866 (-501))))))) ((*1 *2 *3) (-12 (-4 *4 (-1125 (-375 (-501)))) (-4 *5 (-13 (-331) (-134) (-655 (-375 (-501)) *4))) (-5 *2 (-373 *3)) (-5 *1 (-984 *4 *5 *3)) (-4 *3 (-1125 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-1125 (-375 (-866 (-501))))) (-4 *5 (-13 (-331) (-134) (-655 (-375 (-866 (-501))) *4))) (-5 *2 (-373 *3)) (-5 *1 (-985 *4 *5 *3)) (-4 *3 (-1125 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-419)) (-4 *7 (-870 *6 *4 *5)) (-5 *2 (-373 (-1064 (-375 *7)))) (-5 *1 (-1066 *4 *5 *6 *7)) (-5 *3 (-1064 (-375 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-373 *1)) (-4 *1 (-1108)))) ((*1 *2 *3) (-12 (-5 *2 (-373 *3)) (-5 *1 (-1115 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1 (-1048 (-866 *4)) (-1048 (-866 *4)))) (-5 *1 (-1157 *4)) (-4 *4 (-331))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-891 *3 *4 *2 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777)) (-4 *5 (-972 *3 *4 *2))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-97)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-107)) (-5 *3 (-866 *6)) (-5 *4 (-1070)) (-5 *5 (-769 *7)) (-4 *6 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-4 *7 (-13 (-1090) (-29 *6))) (-5 *1 (-198 *6 *7)))) ((*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-107)) (-5 *3 (-1064 *6)) (-5 *4 (-769 *6)) (-4 *6 (-13 (-1090) (-29 *5))) (-4 *5 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-198 *5 *6))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-870 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-417 *4 *5 *6 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-2 (|:| |val| (-578 *8)) (|:| -3709 *9)))) (-5 *4 (-701)) (-4 *8 (-972 *5 *6 *7)) (-4 *9 (-977 *5 *6 *7 *8)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-1154)) (-5 *1 (-975 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-2 (|:| |val| (-578 *8)) (|:| -3709 *9)))) (-5 *4 (-701)) (-4 *8 (-972 *5 *6 *7)) (-4 *9 (-1009 *5 *6 *7 *8)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-1154)) (-5 *1 (-1040 *5 *6 *7 *8 *9))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-500)) (-5 *1 (-144 *2))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-508) (-777))) (-4 *2 (-13 (-389 (-152 *4)) (-916) (-1090))) (-5 *1 (-544 *4 *3 *2)) (-4 *3 (-13 (-389 *4) (-916) (-1090)))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-841)) (-5 *2 (-2 (|:| -3189 (-578 *1)) (|:| -3987 *1))) (-5 *3 (-578 *1))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-950 (-501))) (-4 *1 (-267)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-500)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-822 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-553 *1)) (-4 *1 (-389 *4)) (-4 *4 (-777)) (-4 *4 (-508)) (-5 *2 (-375 (-1064 *1))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-553 *3)) (-4 *3 (-13 (-389 *6) (-27) (-1090))) (-4 *6 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-1064 (-375 (-1064 *3)))) (-5 *1 (-512 *6 *3 *7)) (-5 *5 (-1064 *3)) (-4 *7 (-1001)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1145 *5)) (-14 *5 (-1070)) (-4 *6 (-959)) (-5 *2 (-1118 *5 (-866 *6))) (-5 *1 (-868 *5 *6)) (-5 *3 (-866 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-870 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-1064 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-959)) (-4 *5 (-723)) (-4 *3 (-777)) (-5 *2 (-1064 *1)) (-4 *1 (-870 *4 *5 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-723)) (-4 *4 (-777)) (-4 *6 (-959)) (-4 *7 (-870 *6 *5 *4)) (-5 *2 (-375 (-1064 *3))) (-5 *1 (-871 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-331) (-10 -8 (-15 -3691 ($ *7)) (-15 -2946 (*7 $)) (-15 -2949 (*7 $))))))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1064 *3)) (-4 *3 (-13 (-331) (-10 -8 (-15 -3691 ($ *7)) (-15 -2946 (*7 $)) (-15 -2949 (*7 $))))) (-4 *7 (-870 *6 *5 *4)) (-4 *5 (-723)) (-4 *4 (-777)) (-4 *6 (-959)) (-5 *1 (-871 *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-508)) (-5 *2 (-375 (-1064 (-375 (-866 *5))))) (-5 *1 (-952 *5)) (-5 *3 (-375 (-866 *5)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 (-866 *3))) (-4 *3 (-419)) (-5 *1 (-328 *3 *4)) (-14 *4 (-578 (-1070))))) ((*1 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-870 *3 *4 *5)) (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-414 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-578 *7)) (-5 *3 (-1053)) (-4 *7 (-870 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-414 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-578 *7)) (-5 *3 (-1053)) (-4 *7 (-870 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-414 *4 *5 *6 *7)))) ((*1 *1 *1) (-12 (-4 *2 (-331)) (-4 *3 (-723)) (-4 *4 (-777)) (-5 *1 (-467 *2 *3 *4 *5)) (-4 *5 (-870 *2 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-578 (-710 *3 (-787 *4)))) (-4 *3 (-419)) (-14 *4 (-578 (-1070))) (-5 *1 (-566 *3 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-508) (-134))) (-5 *2 (-2 (|:| -1313 *3) (|:| -1320 *3))) (-5 *1 (-1121 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-501)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-701)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-723)) (-4 *4 (-870 *5 *6 *7)) (-4 *5 (-419)) (-4 *7 (-777)) (-5 *1 (-417 *5 *6 *7 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-553 *1))) (-4 *1 (-267))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-972 *3 *4 *5))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-750)) (-14 *5 (-1070)) (-5 *2 (-578 (-1118 *5 *4))) (-5 *1 (-1014 *4 *5)) (-5 *3 (-1118 *5 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-297 *3)) (-4 *3 (-331)) (-4 *3 (-336)) (-5 *2 (-1064 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1064 *3)) (-5 *1 (-834 *3)) (-4 *3 (-276))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-5 *2 (-107))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-157 *3)) (-4 *3 (-276)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-608 *3)) (-4 *3 (-1104)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-671 *3 *4)) (-4 *3 (-959)) (-4 *4 (-777)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-792 *3)) (-5 *2 (-501)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *1 (-895 *3)) (-4 *3 (-959)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-578 *1)) (-5 *3 (-578 *7)) (-4 *1 (-977 *4 *5 *6 *7)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-578 *1)) (-4 *1 (-977 *4 *5 *6 *3)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-578 *1)) (-4 *1 (-977 *4 *5 *6 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1099 *3 *4 *5 *2)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *2 (-972 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1128 *3 *2)) (-4 *3 (-959)) (-4 *2 (-722))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-152 (-346))) (-5 *1 (-715 *3)) (-4 *3 (-556 (-346))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-839)) (-5 *2 (-152 (-346))) (-5 *1 (-715 *3)) (-4 *3 (-556 (-346))))) ((*1 *2 *3) (-12 (-5 *3 (-152 *4)) (-4 *4 (-156)) (-4 *4 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-152 *5)) (-5 *4 (-839)) (-4 *5 (-156)) (-4 *5 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-866 (-152 *4))) (-4 *4 (-156)) (-4 *4 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-866 (-152 *5))) (-5 *4 (-839)) (-4 *5 (-156)) (-4 *5 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-866 *4)) (-4 *4 (-959)) (-4 *4 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-866 *5)) (-5 *4 (-839)) (-4 *5 (-959)) (-4 *5 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-375 (-866 *4))) (-4 *4 (-508)) (-4 *4 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 *5))) (-5 *4 (-839)) (-4 *5 (-508)) (-4 *5 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-375 (-866 (-152 *4)))) (-4 *4 (-508)) (-4 *4 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 (-152 *5)))) (-5 *4 (-839)) (-4 *5 (-508)) (-4 *5 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-282 *4)) (-4 *4 (-508)) (-4 *4 (-777)) (-4 *4 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-282 *5)) (-5 *4 (-839)) (-4 *5 (-508)) (-4 *5 (-777)) (-4 *5 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-282 (-152 *4))) (-4 *4 (-508)) (-4 *4 (-777)) (-4 *4 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-282 (-152 *5))) (-5 *4 (-839)) (-4 *5 (-508)) (-4 *5 (-777)) (-4 *5 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *5))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-578 *2)) (-5 *1 (-161 *2)) (-4 *2 (-276)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-578 (-578 *4))) (-5 *2 (-578 *4)) (-4 *4 (-276)) (-5 *1 (-161 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-578 *8)) (-5 *4 (-578 (-2 (|:| -4119 (-621 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-621 *7))))) (-5 *5 (-701)) (-4 *8 (-1125 *7)) (-4 *7 (-1125 *6)) (-4 *6 (-318)) (-5 *2 (-2 (|:| -4119 (-621 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-621 *7)))) (-5 *1 (-461 *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-513))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-107)) (-5 *5 (-501)) (-4 *6 (-331)) (-4 *6 (-336)) (-4 *6 (-959)) (-5 *2 (-578 (-578 (-621 *6)))) (-5 *1 (-943 *6)) (-5 *3 (-578 (-621 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-331)) (-4 *4 (-336)) (-4 *4 (-959)) (-5 *2 (-578 (-578 (-621 *4)))) (-5 *1 (-943 *4)) (-5 *3 (-578 (-621 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-107)) (-4 *5 (-331)) (-4 *5 (-336)) (-4 *5 (-959)) (-5 *2 (-578 (-578 (-621 *5)))) (-5 *1 (-943 *5)) (-5 *3 (-578 (-621 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-839)) (-4 *5 (-331)) (-4 *5 (-336)) (-4 *5 (-959)) (-5 *2 (-578 (-578 (-621 *5)))) (-5 *1 (-943 *5)) (-5 *3 (-578 (-621 *5)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-125))))) 
-(((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4167)) (-4 *1 (-454 *3)) (-4 *3 (-1104)) (-4 *3 (-1001)) (-5 *2 (-701)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-107) *4)) (|has| *1 (-6 -4167)) (-4 *1 (-454 *4)) (-4 *4 (-1104)) (-5 *2 (-701))))) 
-(((*1 *1 *1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786))))) 
-(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-578 (-1064 *13))) (-5 *3 (-1064 *13)) (-5 *4 (-578 *12)) (-5 *5 (-578 *10)) (-5 *6 (-578 *13)) (-5 *7 (-578 (-578 (-2 (|:| -3890 (-701)) (|:| |pcoef| *13))))) (-5 *8 (-578 (-701))) (-5 *9 (-1148 (-578 (-1064 *10)))) (-4 *12 (-777)) (-4 *10 (-276)) (-4 *13 (-870 *10 *11 *12)) (-4 *11 (-723)) (-5 *1 (-639 *11 *12 *10 *13))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-107) *2)) (-4 *2 (-124)) (-5 *1 (-987 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-501) *2 *2)) (-4 *2 (-124)) (-5 *1 (-987 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-553 *1))) (-4 *1 (-267))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-199)))) ((*1 *1 *1) (-4 *1 (-500))) ((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-538 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-4 *1 (-1001)) (-5 *2 (-1018))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1070)) (-4 *4 (-13 (-419) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *1 (-509 *4 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *4)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-294 *3 *4)) (-4 *3 (-959)) (-4 *4 (-722)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-352 *3 *4)) (-4 *3 (-959)) (-4 *4 (-1001)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-666 *3 *4)) (-4 *3 (-959)) (-4 *4 (-657))))) 
-(((*1 *1 *1) (-5 *1 (-199))) ((*1 *2 *2) (-12 (-5 *2 (-199)) (-5 *1 (-200)))) ((*1 *2 *2) (-12 (-5 *2 (-152 (-199))) (-5 *1 (-200)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *1 *1) (-4 *1 (-1034))) ((*1 *1 *1 *1) (-4 *1 (-1034)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-578 (-578 (-863 *3)))))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-578 (-578 (-863 *4)))) (-5 *3 (-107)) (-4 *4 (-959)) (-4 *1 (-1032 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-578 (-863 *3)))) (-4 *3 (-959)) (-4 *1 (-1032 *3)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-578 (-578 (-578 *4)))) (-5 *3 (-107)) (-4 *1 (-1032 *4)) (-4 *4 (-959)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-578 (-578 (-863 *4)))) (-5 *3 (-107)) (-4 *1 (-1032 *4)) (-4 *4 (-959)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-578 (-578 (-578 *5)))) (-5 *3 (-578 (-155))) (-5 *4 (-155)) (-4 *1 (-1032 *5)) (-4 *5 (-959)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-578 (-578 (-863 *5)))) (-5 *3 (-578 (-155))) (-5 *4 (-155)) (-4 *1 (-1032 *5)) (-4 *5 (-959))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-298))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-331)) (-5 *1 (-255 *3 *2)) (-4 *2 (-1142 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-578 (-490))) (-5 *1 (-490))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-703)) (-5 *1 (-50))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1104)) (-4 *1 (-138 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-2 (|:| -3027 (-701)) (|:| -2896 *4) (|:| |num| *4)))) (-4 *4 (-1125 *3)) (-4 *3 (-13 (-331) (-134))) (-5 *1 (-367 *3 *4)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-5 *3 (-578 (-866 (-501)))) (-5 *4 (-107)) (-5 *1 (-404)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-5 *3 (-578 (-1070))) (-5 *4 (-107)) (-5 *1 (-404)))) ((*1 *2 *1) (-12 (-5 *2 (-1048 *3)) (-5 *1 (-545 *3)) (-4 *3 (-1104)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-573 *2)) (-4 *2 (-156)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-606 *3)) (-4 *3 (-777)) (-5 *1 (-599 *3 *4)) (-4 *4 (-156)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-606 *3)) (-4 *3 (-777)) (-5 *1 (-599 *3 *4)) (-4 *4 (-156)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-606 *3)) (-4 *3 (-777)) (-5 *1 (-599 *3 *4)) (-4 *4 (-156)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-578 (-578 *3)))) (-4 *3 (-1001)) (-5 *1 (-609 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-644 *2 *3 *4)) (-4 *2 (-777)) (-4 *3 (-1001)) (-14 *4 (-1 (-107) (-2 (|:| -3506 *2) (|:| -3027 *3)) (-2 (|:| -3506 *2) (|:| -3027 *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-2 (|:| -3626 (-1070)) (|:| -2922 *4)))) (-4 *4 (-1001)) (-5 *1 (-808 *3 *4)) (-4 *3 (-1001)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 *5)) (-4 *5 (-13 (-1001) (-33))) (-5 *2 (-578 (-1035 *3 *5))) (-5 *1 (-1035 *3 *5)) (-4 *3 (-13 (-1001) (-33))))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-2 (|:| |val| *4) (|:| -3709 *5)))) (-4 *4 (-13 (-1001) (-33))) (-4 *5 (-13 (-1001) (-33))) (-5 *2 (-578 (-1035 *4 *5))) (-5 *1 (-1035 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -3709 *4))) (-4 *3 (-13 (-1001) (-33))) (-4 *4 (-13 (-1001) (-33))) (-5 *1 (-1035 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1035 *2 *3)) (-4 *2 (-13 (-1001) (-33))) (-4 *3 (-13 (-1001) (-33))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-107)) (-5 *1 (-1035 *2 *3)) (-4 *2 (-13 (-1001) (-33))) (-4 *3 (-13 (-1001) (-33))))) ((*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-578 *3)) (-4 *3 (-13 (-1001) (-33))) (-5 *1 (-1036 *2 *3)) (-4 *2 (-13 (-1001) (-33))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-578 (-1035 *2 *3))) (-4 *2 (-13 (-1001) (-33))) (-4 *3 (-13 (-1001) (-33))) (-5 *1 (-1036 *2 *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-578 (-1036 *2 *3))) (-5 *1 (-1036 *2 *3)) (-4 *2 (-13 (-1001) (-33))) (-4 *3 (-13 (-1001) (-33))))) ((*1 *1 *2) (-12 (-5 *2 (-1035 *3 *4)) (-4 *3 (-13 (-1001) (-33))) (-4 *4 (-13 (-1001) (-33))) (-5 *1 (-1036 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1060 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-1001))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-5 *1 (-798 *2)) (-4 *2 (-1104)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-5 *1 (-800 *2)) (-4 *2 (-1104)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-5 *1 (-802 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-5 *2 (-107))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-870 *3 *4 *5)) (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-417 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-389 *4)) (-5 *1 (-143 *4 *2)) (-4 *4 (-13 (-777) (-508)))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-150 *2)) (-4 *2 (-156)) (-4 *2 (-508)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-294 *2 *3)) (-4 *2 (-959)) (-4 *3 (-722)) (-4 *2 (-508)))) ((*1 *1 *1 *1) (|partial| -4 *1 (-508))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)) (-4 *2 (-508)))) ((*1 *1 *1 *1) (|partial| -5 *1 (-701))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-779 *2)) (-4 *2 (-959)) (-4 *2 (-508)))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1148 *4)) (-4 *4 (-1125 *3)) (-4 *3 (-508)) (-5 *1 (-885 *3 *4)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-961 *3 *4 *2 *5 *6)) (-4 *2 (-959)) (-4 *5 (-211 *4 *2)) (-4 *6 (-211 *3 *2)) (-4 *2 (-508)))) ((*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-845))))) 
-(((*1 *1) (-5 *1 (-970)))) 
-(((*1 *1 *2) (-12 (-4 *1 (-37 *2)) (-4 *2 (-156)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 *3)) (-4 *3 (-331)) (-14 *6 (-1148 (-621 *3))) (-5 *1 (-43 *3 *4 *5 *6)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))))) ((*1 *1 *2) (-12 (-5 *2 (-1023 (-501) (-553 (-47)))) (-5 *1 (-47)))) ((*1 *2 *3) (-12 (-5 *2 (-50)) (-5 *1 (-51 *3)) (-4 *3 (-1104)))) ((*1 *1 *2) (-12 (-5 *2 (-307 (-3699 (QUOTE X)) (-3699) (-630))) (-5 *1 (-59 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-307 (-3699 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3699) (-630)))) (-5 *1 (-60 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-307 (-3699) (-3699 (QUOTE XC)) (-630)))) (-5 *1 (-62 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-621 (-307 (-3699) (-3699 (QUOTE X) (QUOTE HESS)) (-630)))) (-5 *1 (-63 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-307 (-3699) (-3699 (QUOTE XC)) (-630))) (-5 *1 (-64 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-307 (-3699 (QUOTE X)) (-3699 (QUOTE -1893)) (-630)))) (-5 *1 (-69 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-307 (-3699) (-3699 (QUOTE X)) (-630)))) (-5 *1 (-72 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-307 (-3699) (-3699 (QUOTE X)) (-630))) (-5 *1 (-73 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-307 (-3699 (QUOTE X) (QUOTE EPS)) (-3699 (QUOTE -1893)) (-630)))) (-5 *1 (-74 *3 *4 *5)) (-14 *3 (-1070)) (-14 *4 (-1070)) (-14 *5 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-307 (-3699 (QUOTE EPS)) (-3699 (QUOTE YA) (QUOTE YB)) (-630)))) (-5 *1 (-75 *3 *4 *5)) (-14 *3 (-1070)) (-14 *4 (-1070)) (-14 *5 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-307 (-3699) (-3699 (QUOTE X)) (-630))) (-5 *1 (-76 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-307 (-3699) (-3699 (QUOTE XC)) (-630)))) (-5 *1 (-77 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-307 (-3699) (-3699 (QUOTE X)) (-630)))) (-5 *1 (-78 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-307 (-3699) (-3699 (QUOTE X)) (-630)))) (-5 *1 (-79 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-307 (-3699 (QUOTE X)) (-3699 (QUOTE -1893)) (-630)))) (-5 *1 (-80 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-307 (-3699 (QUOTE X) (QUOTE -1893)) (-3699) (-630)))) (-5 *1 (-81 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-621 (-307 (-3699 (QUOTE X) (QUOTE -1893)) (-3699) (-630)))) (-5 *1 (-82 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-621 (-307 (-3699 (QUOTE X)) (-3699) (-630)))) (-5 *1 (-83 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-307 (-3699 (QUOTE X)) (-3699) (-630)))) (-5 *1 (-84 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-621 (-307 (-3699 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3699) (-630)))) (-5 *1 (-86 *3)) (-14 *3 (-1070)))) ((*1 *1 *2) (-12 (-5 *2 (-307 (-3699 (QUOTE X)) (-3699 (QUOTE -1893)) (-630))) (-5 *1 (-87 *3)) (-14 *3 (-1070)))) ((*1 *2 *1) (-12 (-5 *2 (-918 2)) (-5 *1 (-103)))) ((*1 *2 *1) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-103)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-126 *3 *4 *5))) (-5 *1 (-126 *3 *4 *5)) (-14 *3 (-501)) (-14 *4 (-701)) (-4 *5 (-156)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *5)) (-4 *5 (-156)) (-5 *1 (-126 *3 *4 *5)) (-14 *3 (-501)) (-14 *4 (-701)))) ((*1 *1 *2) (-12 (-5 *2 (-1037 *4 *5)) (-14 *4 (-701)) (-4 *5 (-156)) (-5 *1 (-126 *3 *4 *5)) (-14 *3 (-501)))) ((*1 *1 *2) (-12 (-5 *2 (-212 *4 *5)) (-14 *4 (-701)) (-4 *5 (-156)) (-5 *1 (-126 *3 *4 *5)) (-14 *3 (-501)))) ((*1 *2 *3) (-12 (-5 *3 (-1148 (-621 *4))) (-4 *4 (-156)) (-5 *2 (-1148 (-621 (-375 (-866 *4))))) (-5 *1 (-165 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-13 (-777) (-10 -8 (-15 -2007 ((-1053) $ (-1070))) (-15 -2125 ((-1154) $)) (-15 -3512 ((-1154) $))))) (-5 *1 (-189 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-918 10)) (-5 *1 (-192)))) ((*1 *2 *1) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-192)))) ((*1 *2 *1) (-12 (-5 *2 (-578 *3)) (-5 *1 (-218 *3)) (-4 *3 (-777)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-777)) (-5 *1 (-218 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-993 (-282 *4))) (-4 *4 (-13 (-777) (-508) (-556 (-346)))) (-5 *2 (-993 (-346))) (-5 *1 (-230 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-237 *2)) (-4 *2 (-777)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-246)))) ((*1 *2 *1) (-12 (-4 *2 (-1125 *3)) (-5 *1 (-259 *3 *2 *4 *5 *6 *7)) (-4 *3 (-156)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1130 *4 *5 *6)) (-4 *4 (-13 (-27) (-1090) (-389 *3))) (-14 *5 (-1070)) (-14 *6 *4) (-4 *3 (-13 (-777) (-950 (-501)) (-577 (-501)) (-419))) (-5 *1 (-281 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-298)))) ((*1 *2 *1) (-12 (-5 *2 (-282 *5)) (-5 *1 (-307 *3 *4 *5)) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *2 *3) (-12 (-4 *4 (-318)) (-4 *2 (-297 *4)) (-5 *1 (-316 *3 *4 *2)) (-4 *3 (-297 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-318)) (-4 *2 (-297 *4)) (-5 *1 (-316 *2 *4 *3)) (-4 *3 (-297 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-342 *3 *4)) (-4 *3 (-777)) (-4 *4 (-156)) (-5 *2 (-1171 *3 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-342 *3 *4)) (-4 *3 (-777)) (-4 *4 (-156)) (-5 *2 (-1162 *3 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-342 *2 *3)) (-4 *2 (-777)) (-4 *3 (-156)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1074)) (|:| -3886 (-578 (-298))))) (-4 *1 (-351)))) ((*1 *1 *2) (-12 (-5 *2 (-298)) (-4 *1 (-351)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-298))) (-4 *1 (-351)))) ((*1 *1 *2) (-12 (-5 *2 (-621 (-630))) (-4 *1 (-351)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1074)) (|:| -3886 (-578 (-298))))) (-4 *1 (-353)))) ((*1 *1 *2) (-12 (-5 *2 (-298)) (-4 *1 (-353)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-298))) (-4 *1 (-353)))) ((*1 *2 *1) (-12 (-4 *1 (-357)) (-5 *2 (-1053)))) ((*1 *1 *2) (-12 (-5 *2 (-1053)) (-4 *1 (-357)))) ((*1 *1 *2) (-12 (-5 *2 (-786)) (-5 *1 (-361)))) ((*1 *2 *3) (-12 (-5 *2 (-361)) (-5 *1 (-362 *3)) (-4 *3 (-1001)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1074)) (|:| -3886 (-578 (-298))))) (-4 *1 (-365)))) ((*1 *1 *2) (-12 (-5 *2 (-298)) (-4 *1 (-365)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-298))) (-4 *1 (-365)))) ((*1 *1 *2) (-12 (-5 *2 (-262 (-282 (-152 (-346))))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-262 (-282 (-346)))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-262 (-282 (-501)))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-152 (-346)))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-346))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-501))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-262 (-282 (-625)))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-262 (-282 (-630)))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-262 (-282 (-632)))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-625))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-630))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-632))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1074)) (|:| -3886 (-578 (-298))))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-298))) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-298)) (-5 *1 (-366 *3 *4 *5 *6)) (-14 *3 (-1070)) (-14 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-14 *5 (-578 (-1070))) (-14 *6 (-1074)))) ((*1 *1 *2) (-12 (-5 *2 (-375 (-866 (-375 *3)))) (-4 *3 (-508)) (-4 *3 (-777)) (-4 *1 (-389 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-866 (-375 *3))) (-4 *3 (-508)) (-4 *3 (-777)) (-4 *1 (-389 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-375 *3)) (-4 *3 (-508)) (-4 *3 (-777)) (-4 *1 (-389 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1023 *3 (-553 *1))) (-4 *3 (-959)) (-4 *3 (-777)) (-4 *1 (-389 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-299 *4)) (-4 *4 (-13 (-777) (-21))) (-5 *1 (-397 *3 *4)) (-4 *3 (-13 (-156) (-37 (-375 (-501))))))) ((*1 *1 *2) (-12 (-5 *1 (-397 *2 *3)) (-4 *2 (-13 (-156) (-37 (-375 (-501))))) (-4 *3 (-13 (-777) (-21))))) ((*1 *2 *1) (-12 (-5 *2 (-1003)) (-5 *1 (-402)))) ((*1 *2 *1) (-12 (-5 *2 (-1070)) (-5 *1 (-402)))) ((*1 *1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-402)))) ((*1 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-402)))) ((*1 *1 *2) (-12 (-5 *2 (-402)) (-5 *1 (-404)))) ((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-404)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1074)) (|:| -3886 (-578 (-298))))) (-4 *1 (-407)))) ((*1 *1 *2) (-12 (-5 *2 (-298)) (-4 *1 (-407)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-298))) (-4 *1 (-407)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-630))) (-4 *1 (-407)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1074)) (|:| -3886 (-578 (-298))))) (-4 *1 (-408)))) ((*1 *1 *2) (-12 (-5 *2 (-298)) (-4 *1 (-408)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-298))) (-4 *1 (-408)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-375 (-866 *3)))) (-4 *3 (-156)) (-14 *6 (-1148 (-621 *3))) (-5 *1 (-420 *3 *4 *5 *6)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-578 (-863 (-199))))) (-5 *1 (-435)))) ((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-435)))) ((*1 *1 *2) (-12 (-5 *2 (-1130 *3 *4 *5)) (-4 *3 (-959)) (-14 *4 (-1070)) (-14 *5 *3) (-5 *1 (-441 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-441 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-5 *2 (-918 16)) (-5 *1 (-452)))) ((*1 *2 *1) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-452)))) ((*1 *1 *2) (-12 (-5 *2 (-1023 (-501) (-553 (-458)))) (-5 *1 (-458)))) ((*1 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-870 *3 *4 *5)) (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-467 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-4 *3 (-156)) (-5 *1 (-549 *3 *2)) (-4 *2 (-675 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-555 *2)) (-4 *2 (-1104)))) ((*1 *1 *2) (-12 (-4 *1 (-560 *2)) (-4 *2 (-959)))) ((*1 *2 *1) (-12 (-5 *2 (-1167 *3 *4)) (-5 *1 (-565 *3 *4 *5)) (-4 *3 (-777)) (-4 *4 (-13 (-156) (-648 (-375 (-501))))) (-14 *5 (-839)))) ((*1 *2 *1) (-12 (-5 *2 (-1162 *3 *4)) (-5 *1 (-565 *3 *4 *5)) (-4 *3 (-777)) (-4 *4 (-13 (-156) (-648 (-375 (-501))))) (-14 *5 (-839)))) ((*1 *1 *2) (-12 (-4 *3 (-156)) (-5 *1 (-571 *3 *2)) (-4 *2 (-675 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-610 *3)) (-5 *1 (-606 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-749 *3)) (-5 *1 (-606 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-877 (-877 (-877 *3)))) (-5 *1 (-609 *3)) (-4 *3 (-1001)))) ((*1 *1 *2) (-12 (-5 *2 (-877 (-877 (-877 *3)))) (-4 *3 (-1001)) (-5 *1 (-609 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-749 *3)) (-5 *1 (-610 *3)) (-4 *3 (-777)))) ((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-614 *3)) (-4 *3 (-1001)))) ((*1 *1 *2) (-12 (-4 *3 (-959)) (-4 *1 (-618 *3 *4 *2)) (-4 *4 (-340 *3)) (-4 *2 (-340 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-152 (-346))) (-5 *1 (-625)))) ((*1 *1 *2) (-12 (-5 *2 (-152 (-632))) (-5 *1 (-625)))) ((*1 *1 *2) (-12 (-5 *2 (-152 (-630))) (-5 *1 (-625)))) ((*1 *1 *2) (-12 (-5 *2 (-152 (-501))) (-5 *1 (-625)))) ((*1 *1 *2) (-12 (-5 *2 (-152 (-346))) (-5 *1 (-625)))) ((*1 *1 *2) (-12 (-5 *2 (-632)) (-5 *1 (-630)))) ((*1 *2 *1) (-12 (-5 *2 (-346)) (-5 *1 (-630)))) ((*1 *2 *3) (-12 (-5 *3 (-282 (-501))) (-5 *2 (-282 (-632))) (-5 *1 (-632)))) ((*1 *1 *2) (-12 (-5 *1 (-634 *2)) (-4 *2 (-1001)))) ((*1 *2 *1) (-12 (-4 *2 (-156)) (-5 *1 (-642 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-959)) (-5 *1 (-643 *3 *2)) (-4 *2 (-1125 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3506 *3) (|:| -3027 *4))) (-5 *1 (-644 *3 *4 *5)) (-4 *3 (-777)) (-4 *4 (-1001)) (-14 *5 (-1 (-107) *2 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3506 *3) (|:| -3027 *4))) (-4 *3 (-777)) (-4 *4 (-1001)) (-5 *1 (-644 *3 *4 *5)) (-14 *5 (-1 (-107) *2 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-156)) (-5 *1 (-646 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-2 (|:| -3189 *3) (|:| -2607 *4)))) (-4 *3 (-959)) (-4 *4 (-657)) (-5 *1 (-666 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-694)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (|:| |mdnia| (-2 (|:| |fn| (-282 (-199))) (|:| -1505 (-578 (-991 (-769 (-199))))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))))) (-5 *1 (-699)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-282 (-199))) (|:| -1505 (-578 (-991 (-769 (-199))))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *1 (-699)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *1 (-699)))) ((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-699)))) ((*1 *2 *3) (-12 (-5 *2 (-703)) (-5 *1 (-704 *3)) (-4 *3 (-1104)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-199)) (|:| |xend| (-199)) (|:| |fn| (-1148 (-282 (-199)))) (|:| |yinit| (-578 (-199))) (|:| |intvals| (-578 (-199))) (|:| |g| (-282 (-199))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *1 (-738)))) ((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-738)))) ((*1 *2 *1) (-12 (-4 *2 (-820 *3)) (-5 *1 (-747 *3 *2 *4)) (-4 *3 (-1001)) (-14 *4 *3))) ((*1 *1 *2) (-12 (-4 *3 (-1001)) (-14 *4 *3) (-5 *1 (-747 *3 *2 *4)) (-4 *2 (-820 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-756)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-282 (-199))) (|:| -3746 (-578 (-199))) (|:| |lb| (-578 (-769 (-199)))) (|:| |cf| (-578 (-282 (-199)))) (|:| |ub| (-578 (-769 (-199)))))) (|:| |lsa| (-2 (|:| |lfn| (-578 (-282 (-199)))) (|:| -3746 (-578 (-199))))))) (-5 *1 (-768)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-578 (-282 (-199)))) (|:| -3746 (-578 (-199))))) (-5 *1 (-768)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-282 (-199))) (|:| -3746 (-578 (-199))) (|:| |lb| (-578 (-769 (-199)))) (|:| |cf| (-578 (-282 (-199)))) (|:| |ub| (-578 (-769 (-199)))))) (-5 *1 (-768)))) ((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-768)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-14 *3 (-1070)) (-5 *1 (-782 *3 *4 *5 *6)) (-4 *4 (-959)) (-14 *5 (-94 *4)) (-14 *6 (-1 *4 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-784)))) ((*1 *1 *2) (-12 (-5 *2 (-866 *3)) (-4 *3 (-959)) (-5 *1 (-788 *3 *4 *5 *6)) (-14 *4 (-578 (-1070))) (-14 *5 (-578 (-701))) (-14 *6 (-701)))) ((*1 *2 *1) (-12 (-5 *2 (-866 *3)) (-5 *1 (-788 *3 *4 *5 *6)) (-4 *3 (-959)) (-14 *4 (-578 (-1070))) (-14 *5 (-578 (-701))) (-14 *6 (-701)))) ((*1 *1 *2) (-12 (-5 *2 (-142)) (-5 *1 (-795)))) ((*1 *2 *3) (-12 (-5 *3 (-866 (-47))) (-5 *2 (-282 (-501))) (-5 *1 (-796)))) ((*1 *2 *3) (-12 (-5 *3 (-375 (-866 (-47)))) (-5 *2 (-282 (-501))) (-5 *1 (-796)))) ((*1 *1 *2) (-12 (-5 *1 (-813 *2)) (-4 *2 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-749 *3)) (-5 *1 (-813 *3)) (-4 *3 (-777)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-578 (-282 (-199)))) (|:| |constraints| (-578 (-2 (|:| |start| (-199)) (|:| |finish| (-199)) (|:| |grid| (-701)) (|:| |boundaryType| (-501)) (|:| |dStart| (-621 (-199))) (|:| |dFinish| (-621 (-199)))))) (|:| |f| (-578 (-578 (-282 (-199))))) (|:| |st| (-1053)) (|:| |tol| (-199)))) (-5 *1 (-818)))) ((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-818)))) ((*1 *2 *1) (-12 (-5 *2 (-1091 *3)) (-5 *1 (-821 *3)) (-4 *3 (-1001)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1001)) (-5 *1 (-822 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-578 *3))) (-4 *3 (-1001)) (-5 *1 (-822 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-822 *3))) (-4 *3 (-1001)) (-5 *1 (-825 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-822 *3))) (-5 *1 (-825 *3)) (-4 *3 (-1001)))) ((*1 *1 *2) (-12 (-5 *2 (-375 (-373 *3))) (-4 *3 (-276)) (-5 *1 (-834 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-375 *3)) (-5 *1 (-834 *3)) (-4 *3 (-276)))) ((*1 *2 *3) (-12 (-5 *3 (-444)) (-5 *2 (-282 *4)) (-5 *1 (-840 *4)) (-4 *4 (-13 (-777) (-508))))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-886)))) ((*1 *2 *1) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-918 *3)) (-14 *3 (-501)))) ((*1 *2 *3) (-12 (-5 *2 (-1154)) (-5 *1 (-946 *3)) (-4 *3 (-1104)))) ((*1 *2 *3) (-12 (-5 *3 (-280)) (-5 *1 (-946 *2)) (-4 *2 (-1104)))) ((*1 *1 *2) (-12 (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-947 *3 *4 *5 *2 *6)) (-4 *2 (-870 *3 *4 *5)) (-14 *6 (-578 *2)))) ((*1 *1 *2) (-12 (-4 *1 (-950 *2)) (-4 *2 (-1104)))) ((*1 *2 *3) (-12 (-5 *2 (-375 (-866 *3))) (-5 *1 (-952 *3)) (-4 *3 (-508)))) ((*1 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-959)))) ((*1 *2 *1) (-12 (-5 *2 (-621 *5)) (-5 *1 (-962 *3 *4 *5)) (-14 *3 (-701)) (-14 *4 (-701)) (-4 *5 (-959)))) ((*1 *1 *2) (-12 (-4 *3 (-959)) (-4 *4 (-777)) (-5 *1 (-1024 *3 *4 *2)) (-4 *2 (-870 *3 (-487 *4) *4)))) ((*1 *1 *2) (-12 (-4 *3 (-959)) (-4 *2 (-777)) (-5 *1 (-1024 *3 *2 *4)) (-4 *4 (-870 *3 (-487 *2) *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-786)))) ((*1 *2 *1) (-12 (-5 *2 (-621 *4)) (-5 *1 (-1037 *3 *4)) (-14 *3 (-701)) (-4 *4 (-959)))) ((*1 *1 *2) (-12 (-5 *2 (-131)) (-4 *1 (-1039)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1104)) (-5 *1 (-1048 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-1048 *3)) (-5 *1 (-1055 *3)) (-4 *3 (-959)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1061 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1067 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1068 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1118 *4 *3)) (-4 *3 (-959)) (-14 *4 (-1070)) (-14 *5 *3) (-5 *1 (-1068 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-1069)))) ((*1 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-1070)))) ((*1 *2 *1) (-12 (-5 *2 (-1077 (-1070) (-404))) (-5 *1 (-1074)))) ((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-1078 *3)) (-4 *3 (-1001)))) ((*1 *1 *2) (-12 (-5 *2 (-786)) (-5 *1 (-1084)))) ((*1 *2 *3) (-12 (-5 *2 (-1084)) (-5 *1 (-1085 *3)) (-4 *3 (-1001)))) ((*1 *1 *2) (-12 (-5 *2 (-866 *3)) (-4 *3 (-959)) (-5 *1 (-1097 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-1097 *3)) (-4 *3 (-959)))) ((*1 *1 *2) (-12 (-5 *2 (-877 *3)) (-4 *3 (-1104)) (-5 *1 (-1102 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1109 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-4 *3 (-959)) (-4 *1 (-1113 *3 *2)) (-4 *2 (-1142 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-991 *3)) (-4 *3 (-1104)) (-5 *1 (-1116 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-14 *3 (-1070)) (-5 *1 (-1118 *3 *4)) (-4 *4 (-959)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1130 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-4 *3 (-959)) (-4 *1 (-1134 *3 *2)) (-4 *2 (-1111 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1139 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1118 *4 *3)) (-4 *3 (-959)) (-14 *4 (-1070)) (-14 *5 *3) (-5 *1 (-1139 *3 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-1070)) (-5 *1 (-1145 *3)) (-14 *3 *2))) ((*1 *2 *3) (-12 (-5 *3 (-435)) (-5 *2 (-1151)) (-5 *1 (-1150)))) ((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-1151)))) ((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-1154)))) ((*1 *1 *2) (-12 (-4 *3 (-959)) (-4 *4 (-777)) (-4 *5 (-723)) (-14 *6 (-578 *4)) (-5 *1 (-1159 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-870 *3 *5 *4)) (-14 *7 (-578 (-701))) (-14 *8 (-701)))) ((*1 *2 *1) (-12 (-4 *2 (-870 *3 *5 *4)) (-5 *1 (-1159 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-959)) (-4 *4 (-777)) (-4 *5 (-723)) (-14 *6 (-578 *4)) (-14 *7 (-578 (-701))) (-14 *8 (-701)))) ((*1 *1 *2) (-12 (-4 *1 (-1161 *2)) (-4 *2 (-959)))) ((*1 *1 *2) (-12 (-4 *1 (-1166 *2 *3)) (-4 *2 (-777)) (-4 *3 (-959)))) ((*1 *2 *1) (-12 (-5 *2 (-1171 *3 *4)) (-5 *1 (-1167 *3 *4)) (-4 *3 (-777)) (-4 *4 (-156)))) ((*1 *2 *1) (-12 (-5 *2 (-1162 *3 *4)) (-5 *1 (-1167 *3 *4)) (-4 *3 (-777)) (-4 *4 (-156)))) ((*1 *1 *2) (-12 (-5 *2 (-599 *3 *4)) (-4 *3 (-777)) (-4 *4 (-156)) (-5 *1 (-1167 *3 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-1170 *3 *2)) (-4 *3 (-959)) (-4 *2 (-773))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1053)) (|:| -3986 (-1053)))) (-5 *1 (-753))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-126 *3 *4 *5)) (-14 *3 (-501)) (-14 *4 *2) (-4 *5 (-156)))) ((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-839)) (-5 *1 (-149 *3 *4)) (-4 *3 (-150 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-839)))) ((*1 *2) (-12 (-4 *1 (-338 *3 *4)) (-4 *3 (-156)) (-4 *4 (-1125 *3)) (-5 *2 (-839)))) ((*1 *2 *3) (-12 (-4 *4 (-331)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4)) (-5 *2 (-701)) (-5 *1 (-482 *4 *5 *6 *3)) (-4 *3 (-618 *4 *5 *6)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-331)) (-4 *6 (-13 (-340 *5) (-10 -7 (-6 -4168)))) (-4 *4 (-13 (-340 *5) (-10 -7 (-6 -4168)))) (-5 *2 (-701)) (-5 *1 (-602 *5 *6 *4 *3)) (-4 *3 (-618 *5 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-621 *5)) (-5 *4 (-1148 *5)) (-4 *5 (-331)) (-5 *2 (-701)) (-5 *1 (-603 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-4 *3 (-508)) (-5 *2 (-701)))) ((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *4 (-156)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4)) (-5 *2 (-701)) (-5 *1 (-620 *4 *5 *6 *3)) (-4 *3 (-618 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-4 *5 (-508)) (-5 *2 (-701))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-50)) (-5 *1 (-1083))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1072 (-375 (-501)))) (-5 *1 (-166)) (-5 *3 (-501))))) 
-(((*1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *1 *2 *2) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1104)))) ((*1 *1 *2) (-12 (-5 *1 (-1116 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-506 *3)) (-4 *3 (-13 (-372) (-1090))) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1001)) (-4 *4 (-13 (-959) (-806 *3) (-777) (-556 *2))) (-5 *2 (-810 *3)) (-5 *1 (-979 *3 *4 *5)) (-4 *5 (-13 (-389 *4) (-806 *3) (-556 *2)))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-511))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107)) (-5 *1 (-467 *3 *4 *5 *6)) (-4 *6 (-870 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-578 *6)) (-4 *6 (-777)) (-4 *4 (-331)) (-4 *5 (-723)) (-5 *2 (-107)) (-5 *1 (-467 *4 *5 *6 *7)) (-4 *7 (-870 *4 *5 *6))))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-501)) (-5 *6 (-1 (-1154) (-1148 *5) (-1148 *5) (-346))) (-5 *3 (-1148 (-346))) (-5 *5 (-346)) (-5 *2 (-1154)) (-5 *1 (-718))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-701)) (-5 *6 (-107)) (-4 *7 (-419)) (-4 *8 (-723)) (-4 *9 (-777)) (-4 *3 (-972 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-578 *4)) (|:| |todo| (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))))) (-5 *1 (-975 *7 *8 *9 *3 *4)) (-4 *4 (-977 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-701)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *8 (-777)) (-4 *3 (-972 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-578 *4)) (|:| |todo| (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))))) (-5 *1 (-975 *6 *7 *8 *3 *4)) (-4 *4 (-977 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-578 *4)) (|:| |todo| (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))))) (-5 *1 (-975 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-701)) (-5 *6 (-107)) (-4 *7 (-419)) (-4 *8 (-723)) (-4 *9 (-777)) (-4 *3 (-972 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-578 *4)) (|:| |todo| (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))))) (-5 *1 (-1040 *7 *8 *9 *3 *4)) (-4 *4 (-1009 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-701)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *8 (-777)) (-4 *3 (-972 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-578 *4)) (|:| |todo| (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))))) (-5 *1 (-1040 *6 *7 *8 *3 *4)) (-4 *4 (-1009 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-578 *4)) (|:| |todo| (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))))) (-5 *1 (-1040 *5 *6 *7 *3 *4)) (-4 *4 (-1009 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1048 *3)) (-5 *1 (-157 *3)) (-4 *3 (-276))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-13 (-331) (-134))) (-5 *2 (-578 (-2 (|:| -3027 (-701)) (|:| -2896 *4) (|:| |num| *4)))) (-5 *1 (-367 *3 *4)) (-4 *4 (-1125 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-870 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-419)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-578 (-2 (|:| |val| *3) (|:| -3709 *1)))) (-4 *1 (-977 *4 *5 *6 *3)))) ((*1 *1 *1) (-4 *1 (-1108))) ((*1 *2 *2) (-12 (-4 *3 (-508)) (-5 *1 (-1129 *3 *2)) (-4 *2 (-13 (-1125 *3) (-508) (-10 -8 (-15 -3664 ($ $ $)))))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2) (-12 (-5 *2 (-1031 (-199))) (-5 *1 (-1088))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-751)) (-5 *2 (-1053)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-751)) (-5 *3 (-107)) (-5 *2 (-1053)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-751)) (-5 *3 (-753)) (-5 *2 (-1154)))) ((*1 *2 *3 *1 *4) (-12 (-4 *1 (-751)) (-5 *3 (-753)) (-5 *4 (-107)) (-5 *2 (-1154)))) ((*1 *2 *3) (-12 (-5 *3 (-282 *4)) (-4 *4 (-13 (-751) (-777) (-959))) (-5 *2 (-1053)) (-5 *1 (-757 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-282 *5)) (-5 *4 (-107)) (-4 *5 (-13 (-751) (-777) (-959))) (-5 *2 (-1053)) (-5 *1 (-757 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-753)) (-5 *4 (-282 *5)) (-4 *5 (-13 (-751) (-777) (-959))) (-5 *2 (-1154)) (-5 *1 (-757 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-753)) (-5 *4 (-282 *6)) (-5 *5 (-107)) (-4 *6 (-13 (-751) (-777) (-959))) (-5 *2 (-1154)) (-5 *1 (-757 *6))))) 
-(((*1 *2 *3) (-12 (-4 *2 (-1125 *4)) (-5 *1 (-739 *4 *2 *3 *5)) (-4 *4 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *3 (-593 *2)) (-4 *5 (-593 (-375 *2)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-621 *4)) (-4 *4 (-959)) (-5 *1 (-1037 *3 *4)) (-14 *3 (-701))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *1) (-5 *1 (-107)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-810 *4)) (-4 *4 (-1001)) (-5 *2 (-1 (-107) *5)) (-5 *1 (-811 *4 *5)) (-4 *5 (-1104))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-1064 (-866 *4))) (-5 *1 (-385 *3 *4)) (-4 *3 (-386 *4)))) ((*1 *2) (-12 (-4 *1 (-386 *3)) (-4 *3 (-156)) (-4 *3 (-331)) (-5 *2 (-1064 (-866 *3))))) ((*1 *2) (-12 (-5 *2 (-1064 (-375 (-866 *3)))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *1)) (-4 *1 (-419)))) ((*1 *1 *1 *1) (-4 *1 (-419))) ((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-5 *1 (-451 *2)) (-4 *2 (-1125 (-501))))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-501)) (-5 *1 (-627 *2)) (-4 *2 (-1125 *3)))) ((*1 *1 *1 *1) (-5 *1 (-701))) ((*1 *2 *2 *2) (-12 (-4 *3 (-723)) (-4 *4 (-777)) (-4 *5 (-276)) (-5 *1 (-836 *3 *4 *5 *2)) (-4 *2 (-870 *5 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-870 *6 *4 *5)) (-5 *1 (-836 *4 *5 *6 *2)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-276)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1064 *6)) (-4 *6 (-870 *5 *3 *4)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *5 (-276)) (-5 *1 (-836 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-1064 *7))) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-276)) (-5 *2 (-1064 *7)) (-5 *1 (-836 *4 *5 *6 *7)) (-4 *7 (-870 *6 *4 *5)))) ((*1 *1 *1 *1) (-5 *1 (-839))) ((*1 *2 *2 *2) (-12 (-4 *3 (-419)) (-4 *3 (-508)) (-5 *1 (-885 *3 *2)) (-4 *2 (-1125 *3)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-419))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-331)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-1148 *6)) (-5 *1 (-301 *3 *4 *5 *6)) (-4 *6 (-310 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-810 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-4 *1 (-1019 *3)) (-4 *3 (-1104)) (-5 *2 (-701))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-342 *2 *3)) (-4 *2 (-777)) (-4 *3 (-156)))) ((*1 *1 *1) (-12 (-5 *1 (-565 *2 *3 *4)) (-4 *2 (-777)) (-4 *3 (-13 (-156) (-648 (-375 (-501))))) (-14 *4 (-839)))) ((*1 *1 *1) (-12 (-5 *1 (-610 *2)) (-4 *2 (-777)))) ((*1 *1 *1) (-12 (-5 *1 (-749 *2)) (-4 *2 (-777)))) ((*1 *1 *1) (-12 (-4 *1 (-1166 *2 *3)) (-4 *2 (-777)) (-4 *3 (-959))))) 
-(((*1 *1) (-5 *1 (-128)))) 
-(((*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1053)) (-5 *3 (-501)) (-5 *1 (-970))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-578 *9)) (-5 *3 (-1 (-107) *9)) (-5 *4 (-1 (-107) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-972 *6 *7 *8)) (-4 *6 (-508)) (-4 *7 (-723)) (-4 *8 (-777)) (-5 *1 (-892 *6 *7 *8 *9))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1044 *3)) (-4 *3 (-1104)) (-5 *2 (-107))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-578 (-863 *4))) (-4 *1 (-1032 *4)) (-4 *4 (-959)) (-5 *2 (-701))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-959)) (-4 *2 (-13 (-372) (-950 *4) (-331) (-1090) (-254))) (-5 *1 (-410 *4 *3 *2)) (-4 *3 (-1125 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-839)) (-4 *5 (-959)) (-4 *2 (-13 (-372) (-950 *5) (-331) (-1090) (-254))) (-5 *1 (-410 *5 *3 *2)) (-4 *3 (-1125 *5))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -1749 *4))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-354 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-749 *2)) (-4 *2 (-777))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-553 *3)) (-5 *5 (-578 *3)) (-5 *6 (-1064 *3)) (-4 *3 (-13 (-389 *7) (-27) (-1090))) (-4 *7 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-578 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-512 *7 *3 *8)) (-4 *8 (-1001)))) ((*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-553 *3)) (-5 *5 (-578 *3)) (-5 *6 (-375 (-1064 *3))) (-4 *3 (-13 (-389 *7) (-27) (-1090))) (-4 *7 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-578 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-512 *7 *3 *8)) (-4 *8 (-1001))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-608 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-810 *2)) (-4 *2 (-1001))))) 
-(((*1 *2) (-12 (-5 *2 (-1148 (-1002 *3 *4))) (-5 *1 (-1002 *3 *4)) (-14 *3 (-839)) (-14 *4 (-839))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-1091 *2)) (-4 *2 (-1001)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1001)) (-5 *1 (-1091 *3)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-578 (-1091 *2))) (-5 *1 (-1091 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-389 *4)) (-5 *1 (-143 *4 *2)) (-4 *4 (-13 (-777) (-508)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-1125 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *5 (-950 (-47))) (-4 *4 (-13 (-508) (-777) (-950 (-501)))) (-4 *5 (-389 *4)) (-5 *2 (-373 (-1064 (-47)))) (-5 *1 (-403 *4 *5 *3)) (-4 *3 (-1125 *5))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-331)) (-5 *1 (-697 *2 *3)) (-4 *2 (-640 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-779 *2)) (-4 *2 (-959)) (-4 *2 (-331))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-918 *3)) (-14 *3 (-501))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-578 *5) *6)) (-4 *5 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *6 (-1125 *5)) (-5 *2 (-578 (-2 (|:| |poly| *6) (|:| -2499 *3)))) (-5 *1 (-739 *5 *6 *3 *7)) (-4 *3 (-593 *6)) (-4 *7 (-593 (-375 *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-578 *5) *6)) (-4 *5 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-4 *6 (-1125 *5)) (-5 *2 (-578 (-2 (|:| |poly| *6) (|:| -2499 (-591 *6 (-375 *6)))))) (-5 *1 (-742 *5 *6)) (-5 *3 (-591 *6 (-375 *6)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-501)) (-5 *1 (-451 *4)) (-4 *4 (-1125 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1070)) (-5 *4 (-866 (-501))) (-5 *2 (-298)) (-5 *1 (-300))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-553 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *4))) (-4 *4 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-248 *4 *2))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1048 *4)) (-5 *3 (-501)) (-4 *4 (-959)) (-5 *1 (-1055 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-1139 *3 *4 *5)) (-4 *3 (-959)) (-14 *4 (-1070)) (-14 *5 *3)))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-701)) (-4 *3 (-1104)) (-4 *1 (-55 *3 *4 *5)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *1) (-5 *1 (-155))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1053)) (-4 *1 (-357)))) ((*1 *1) (-5 *1 (-361))) ((*1 *1 *2 *3) (-12 (-5 *2 (-701)) (-4 *1 (-586 *3)) (-4 *3 (-1104)))) ((*1 *1) (-12 (-4 *3 (-1001)) (-5 *1 (-805 *2 *3 *4)) (-4 *2 (-1001)) (-4 *4 (-601 *3)))) ((*1 *1) (-12 (-5 *1 (-808 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-1001)))) ((*1 *1) (-12 (-5 *1 (-1059 *2 *3)) (-14 *2 (-839)) (-4 *3 (-959)))) ((*1 *1 *1) (-5 *1 (-1070))) ((*1 *1) (-5 *1 (-1070))) ((*1 *1) (-5 *1 (-1084)))) 
-(((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-847))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-142)) (-5 *1 (-795))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-262 *2)) (-4 *2 (-267)) (-4 *2 (-1104)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-553 *1))) (-5 *3 (-578 *1)) (-4 *1 (-267)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-262 *1))) (-4 *1 (-267)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-262 *1)) (-4 *1 (-267))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-199)) (-5 *2 (-1053)) (-5 *1 (-168)))) ((*1 *2 *3) (-12 (-5 *3 (-199)) (-5 *2 (-1053)) (-5 *1 (-270)))) ((*1 *2 *3) (-12 (-5 *3 (-199)) (-5 *2 (-1053)) (-5 *1 (-272))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-373 *2)) (-4 *2 (-276)) (-5 *1 (-834 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 *5))) (-5 *4 (-1070)) (-4 *5 (-13 (-276) (-134))) (-5 *2 (-50)) (-5 *1 (-835 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-373 (-866 *6))) (-5 *5 (-1070)) (-5 *3 (-866 *6)) (-4 *6 (-13 (-276) (-134))) (-5 *2 (-50)) (-5 *1 (-835 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-845))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-548 *2 *3)) (-4 *3 (-1104)) (-4 *2 (-1001)) (-4 *2 (-777))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-435)))) ((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-1151)))) ((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-1152))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-1148 (-501))) (-5 *3 (-501)) (-5 *1 (-1010)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-1148 (-501))) (-5 *3 (-578 (-501))) (-5 *4 (-501)) (-5 *1 (-1010))))) 
-(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-839)) (-5 *4 (-199)) (-5 *5 (-501)) (-5 *6 (-795)) (-5 *2 (-1154)) (-5 *1 (-1151))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-50))) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1166 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959)) (-5 *2 (-2 (|:| |k| (-749 *3)) (|:| |c| *4)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-2 (|:| -3626 *3) (|:| -2922 *4)))) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *1 (-1081 *3 *4)))) ((*1 *1) (-12 (-4 *1 (-1081 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-1001))))) 
-(((*1 *2) (-12 (-4 *3 (-508)) (-5 *2 (-578 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-386 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 (-282 (-199)))) (-5 *2 (-1148 (-282 (-346)))) (-5 *1 (-272))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *2)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *2 (-972 *3 *4 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-1153)))) ((*1 *2 *2) (-12 (-5 *2 (-839)) (-5 *1 (-1153))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-361)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-1084))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-2 (|:| |eqzro| (-578 *8)) (|:| |neqzro| (-578 *8)) (|:| |wcond| (-578 (-866 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1148 (-375 (-866 *5)))) (|:| -4119 (-578 (-1148 (-375 (-866 *5)))))))))) (-5 *4 (-1053)) (-4 *5 (-13 (-276) (-134))) (-4 *8 (-870 *5 *7 *6)) (-4 *6 (-13 (-777) (-556 (-1070)))) (-4 *7 (-723)) (-5 *2 (-501)) (-5 *1 (-844 *5 *6 *7 *8))))) 
-(((*1 *2) (-12 (-14 *4 (-701)) (-4 *5 (-1104)) (-5 *2 (-125)) (-5 *1 (-210 *3 *4 *5)) (-4 *3 (-211 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-331)) (-5 *2 (-125)) (-5 *1 (-296 *3 *4)) (-4 *3 (-297 *4)))) ((*1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-358 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-156)))) ((*1 *2 *1) (-12 (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-501)) (-5 *1 (-467 *3 *4 *5 *6)) (-4 *6 (-870 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-578 *6)) (-4 *6 (-777)) (-4 *4 (-331)) (-4 *5 (-723)) (-5 *2 (-501)) (-5 *1 (-467 *4 *5 *6 *7)) (-4 *7 (-870 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-895 *3)) (-4 *3 (-959)) (-5 *2 (-839)))) ((*1 *2) (-12 (-4 *1 (-1156 *3)) (-4 *3 (-331)) (-5 *2 (-125))))) 
-(((*1 *1) (-5 *1 (-128))) ((*1 *1 *1) (-5 *1 (-131))) ((*1 *1 *1) (-4 *1 (-1039)))) 
-(((*1 *2 *2) (-12 (-5 *1 (-614 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1148 *4)) (-5 *3 (-501)) (-4 *4 (-318)) (-5 *1 (-485 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-501))) (-4 *3 (-959)) (-5 *1 (-540 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-501))) (-4 *1 (-1111 *3)) (-4 *3 (-959)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-501))) (-4 *1 (-1142 *3)) (-4 *3 (-959))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-593 *3)) (-4 *3 (-959)) (-4 *3 (-331)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-701)) (-5 *4 (-1 *5 *5)) (-4 *5 (-331)) (-5 *1 (-595 *5 *2)) (-4 *2 (-593 *5))))) 
-(((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1104)) (-5 *2 (-578 *1)) (-4 *1 (-924 *3))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-578 *11)) (-5 *5 (-578 (-1064 *9))) (-5 *6 (-578 *9)) (-5 *7 (-578 *12)) (-5 *8 (-578 (-701))) (-4 *11 (-777)) (-4 *9 (-276)) (-4 *12 (-870 *9 *10 *11)) (-4 *10 (-723)) (-5 *2 (-578 (-1064 *12))) (-5 *1 (-639 *10 *11 *9 *12)) (-5 *3 (-1064 *12))))) 
-(((*1 *2) (-12 (-5 *2 (-346)) (-5 *1 (-953))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-1010))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-1001)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-224 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-777)) (-4 *5 (-237 *4)) (-4 *6 (-723)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-726 *2)) (-4 *2 (-156)))) ((*1 *2 *1) (-12 (-4 *1 (-912 *2)) (-4 *2 (-156))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-621 *4)) (-5 *3 (-839)) (|has| *4 (-6 (-4169 "*"))) (-4 *4 (-959)) (-5 *1 (-942 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-578 (-621 *4))) (-5 *3 (-839)) (|has| *4 (-6 (-4169 "*"))) (-4 *4 (-959)) (-5 *1 (-942 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-501)) (-5 *1 (-373 *2)) (-4 *2 (-508))))) 
-(((*1 *2) (-12 (-5 *2 (-2 (|:| -1647 (-578 (-1070))) (|:| -3014 (-578 (-1070))))) (-5 *1 (-1106))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-508)) (-4 *3 (-870 *7 *5 *6)) (-5 *2 (-2 (|:| -3027 (-701)) (|:| -3189 *3) (|:| |radicand| (-578 *3)))) (-5 *1 (-873 *5 *6 *7 *3 *8)) (-5 *4 (-701)) (-4 *8 (-13 (-331) (-10 -8 (-15 -2946 (*3 $)) (-15 -2949 (*3 $)) (-15 -3691 ($ *3)))))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-126 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-701)) (-4 *5 (-156)))) ((*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-126 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-701)) (-4 *5 (-156)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-467 (-375 (-501)) (-212 *5 (-701)) (-787 *4) (-220 *4 (-375 (-501))))) (-5 *3 (-578 (-787 *4))) (-14 *4 (-578 (-1070))) (-14 *5 (-701)) (-5 *1 (-468 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1165 *3)) (-4 *3 (-331)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-578 *8))) (-5 *3 (-578 *8)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-508)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-107)) (-5 *1 (-892 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1064 *1)) (-5 *4 (-1070)) (-4 *1 (-27)) (-5 *2 (-578 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1064 *1)) (-4 *1 (-27)) (-5 *2 (-578 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-866 *1)) (-4 *1 (-27)) (-5 *2 (-578 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-777) (-508))) (-5 *2 (-578 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *2 (-578 *1)) (-4 *1 (-29 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-282 (-199))) (-5 *4 (-578 (-1070))) (-5 *5 (-991 (-769 (-199)))) (-5 *2 (-1048 (-199))) (-5 *1 (-270))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1001)) (-4 *4 (-13 (-959) (-806 *3) (-777) (-556 (-810 *3)))) (-5 *2 (-578 (-1070))) (-5 *1 (-979 *3 *4 *5)) (-4 *5 (-13 (-389 *4) (-806 *3) (-556 (-810 *3))))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1151)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-508) (-777) (-950 (-501)))) (-5 *2 (-152 (-282 *4))) (-5 *1 (-164 *4 *3)) (-4 *3 (-13 (-27) (-1090) (-389 (-152 *4)))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-152 *3)) (-5 *1 (-1094 *4 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *4)))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-701)) (-4 *1 (-204 *4)) (-4 *4 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-204 *3)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-206)) (-5 *2 (-701)))) ((*1 *1 *1) (-4 *1 (-206))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *3 (-13 (-331) (-134))) (-5 *1 (-367 *3 *4)) (-4 *4 (-1125 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-331) (-134))) (-5 *1 (-367 *2 *3)) (-4 *3 (-1125 *2)))) ((*1 *1) (-12 (-4 *1 (-593 *2)) (-4 *2 (-959)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 *4)) (-5 *3 (-578 (-701))) (-4 *1 (-820 *4)) (-4 *4 (-1001)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-701)) (-4 *1 (-820 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *1 (-820 *3)) (-4 *3 (-1001)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-820 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-248 *3 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-248 *4 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *4)))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-701)) (-4 *5 (-508)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-885 *5 *3)) (-4 *3 (-1125 *5))))) 
-(((*1 *2 *1) (-12 (|has| *1 (-6 -4167)) (-4 *1 (-33)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-1004 *3 *4 *5 *6 *7)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)) (-5 *2 (-501)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-1170 *3 *4)) (-4 *3 (-959)) (-4 *4 (-773))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-346)) (-5 *1 (-181)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-578 (-346))) (-5 *2 (-346)) (-5 *1 (-181))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-701)) (-4 *6 (-1001)) (-4 *3 (-820 *6)) (-5 *2 (-621 *3)) (-5 *1 (-623 *6 *3 *7 *4)) (-4 *7 (-340 *3)) (-4 *4 (-13 (-340 *6) (-10 -7 (-6 -4167))))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-621 *3)) (-4 *3 (-276)) (-5 *1 (-631 *3))))) 
-(((*1 *2 *2) (-12 (-4 *2 (-13 (-331) (-775))) (-5 *1 (-162 *2 *3)) (-4 *3 (-1125 (-152 *2)))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-552 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-108)) (-5 *4 (-701)) (-4 *5 (-419)) (-4 *5 (-777)) (-4 *5 (-950 (-501))) (-4 *5 (-508)) (-5 *1 (-40 *5 *2)) (-4 *2 (-389 *5)) (-4 *2 (-13 (-331) (-267) (-10 -8 (-15 -2946 ((-1023 *5 (-553 $)) $)) (-15 -2949 ((-1023 *5 (-553 $)) $)) (-15 -3691 ($ (-1023 *5 (-553 $)))))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-578 *6))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1064 (-501))) (-5 *1 (-167)) (-5 *3 (-501)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-701)) (-5 *1 (-713 *2)) (-4 *2 (-156)))) ((*1 *2 *3) (-12 (-5 *2 (-1064 (-501))) (-5 *1 (-862)) (-5 *3 (-501))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)) (|has| *2 (-6 (-4169 "*"))) (-4 *2 (-959)))) ((*1 *2 *3) (-12 (-4 *4 (-340 *2)) (-4 *5 (-340 *2)) (-4 *2 (-156)) (-5 *1 (-620 *2 *4 *5 *3)) (-4 *3 (-618 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1021 *3 *2 *4 *5)) (-4 *4 (-211 *3 *2)) (-4 *5 (-211 *3 *2)) (|has| *2 (-6 (-4169 "*"))) (-4 *2 (-959))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1072 (-375 (-501)))) (-5 *1 (-166))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-346) (-346))) (-5 *4 (-346)) (-5 *2 (-2 (|:| -2150 *4) (|:| -2390 *4) (|:| |totalpts| (-501)) (|:| |success| (-107)))) (-5 *1 (-719)) (-5 *5 (-501))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1059 3 *3)) (-4 *3 (-959)) (-4 *1 (-1032 *3)))) ((*1 *1) (-12 (-4 *1 (-1032 *2)) (-4 *2 (-959))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-373 *2)) (-4 *2 (-508))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1072 (-375 (-501)))) (-5 *1 (-166)) (-5 *3 (-501))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1148 *1)) (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1053)) (-5 *1 (-716))))) 
-(((*1 *2 *3 *4) (-12 (-4 *7 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-508)) (-4 *8 (-870 *7 *5 *6)) (-5 *2 (-2 (|:| -3027 (-701)) (|:| -3189 *3) (|:| |radicand| *3))) (-5 *1 (-873 *5 *6 *7 *8 *3)) (-5 *4 (-701)) (-4 *3 (-13 (-331) (-10 -8 (-15 -2946 (*8 $)) (-15 -2949 (*8 $)) (-15 -3691 ($ *8)))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-189 (-465))) (-5 *1 (-765))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-107)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-513))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-276) (-134))) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-4 *7 (-870 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-107)) (|:| |z0| (-578 *7)) (|:| |n0| (-578 *7)))) (-5 *1 (-844 *4 *5 *6 *7)) (-5 *3 (-578 *7))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1154)) (-5 *1 (-1151)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-107)) (-5 *1 (-978 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| (-107)) (|:| -3709 *4)))) (-5 *1 (-978 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1148 (-375 (-866 *4)))) (|:| -4119 (-578 (-1148 (-375 (-866 *4))))))) (-5 *3 (-578 *7)) (-4 *4 (-13 (-276) (-134))) (-4 *7 (-870 *4 *6 *5)) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-5 *1 (-844 *4 *5 *6 *7))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 (-578 *6))) (-4 *6 (-870 *3 *5 *4)) (-4 *3 (-13 (-276) (-134))) (-4 *4 (-13 (-777) (-556 (-1070)))) (-4 *5 (-723)) (-5 *1 (-844 *3 *4 *5 *6))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-839)) (-4 *1 (-675 *3)) (-4 *3 (-156))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-5 *1 (-451 *2)) (-4 *2 (-1125 (-501)))))) 
-(((*1 *2 *3) (-12 (|has| *6 (-6 -4168)) (-4 *4 (-331)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4)) (-5 *2 (-578 *6)) (-5 *1 (-482 *4 *5 *6 *3)) (-4 *3 (-618 *4 *5 *6)))) ((*1 *2 *3) (-12 (|has| *9 (-6 -4168)) (-4 *4 (-508)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4)) (-4 *7 (-906 *4)) (-4 *8 (-340 *7)) (-4 *9 (-340 *7)) (-5 *2 (-578 *6)) (-5 *1 (-483 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-618 *4 *5 *6)) (-4 *10 (-618 *7 *8 *9)))) ((*1 *2 *1) (-12 (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-4 *3 (-508)) (-5 *2 (-578 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *4 (-156)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4)) (-5 *2 (-578 *6)) (-5 *1 (-620 *4 *5 *6 *3)) (-4 *3 (-618 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-4 *5 (-508)) (-5 *2 (-578 *7))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *7)) (-4 *7 (-977 *3 *4 *5 *6)) (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *1 (-903 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-578 *7)) (-4 *7 (-977 *3 *4 *5 *6)) (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *1 (-1007 *3 *4 *5 *6 *7))))) 
-(((*1 *1 *1) (-4 *1 (-34))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-375 (-866 (-152 (-501)))))) (-5 *2 (-578 (-578 (-262 (-866 (-152 *4)))))) (-5 *1 (-347 *4)) (-4 *4 (-13 (-331) (-775))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-262 (-375 (-866 (-152 (-501))))))) (-5 *2 (-578 (-578 (-262 (-866 (-152 *4)))))) (-5 *1 (-347 *4)) (-4 *4 (-13 (-331) (-775))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 (-152 (-501))))) (-5 *2 (-578 (-262 (-866 (-152 *4))))) (-5 *1 (-347 *4)) (-4 *4 (-13 (-331) (-775))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-262 (-375 (-866 (-152 (-501)))))) (-5 *2 (-578 (-262 (-866 (-152 *4))))) (-5 *1 (-347 *4)) (-4 *4 (-13 (-331) (-775)))))) 
-(((*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-501)) (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3))))) 
-(((*1 *1 *1) (-5 *1 (-47))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-56 *5)) (-4 *5 (-1104)) (-4 *2 (-1104)) (-5 *1 (-57 *5 *2)))) ((*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1001)) (|has| *1 (-6 -4167)) (-4 *1 (-138 *2)) (-4 *2 (-1104)))) ((*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4167)) (-4 *1 (-138 *2)) (-4 *2 (-1104)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4167)) (-4 *1 (-138 *2)) (-4 *2 (-1104)))) ((*1 *2 *3) (-12 (-4 *4 (-959)) (-5 *2 (-2 (|:| -2663 (-1064 *4)) (|:| |deg| (-839)))) (-5 *1 (-195 *4 *5)) (-5 *3 (-1064 *4)) (-4 *5 (-13 (-508) (-777))))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-212 *5 *6)) (-14 *5 (-701)) (-4 *6 (-1104)) (-4 *2 (-1104)) (-5 *1 (-213 *5 *6 *2)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-156)) (-5 *1 (-259 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1125 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-282 *2)) (-4 *2 (-508)) (-4 *2 (-777)))) ((*1 *1 *1) (-12 (-4 *1 (-304 *2 *3 *4 *5)) (-4 *2 (-331)) (-4 *3 (-1125 *2)) (-4 *4 (-1125 (-375 *3))) (-4 *5 (-310 *2 *3 *4)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1104)) (-4 *2 (-1104)) (-5 *1 (-341 *5 *4 *2 *6)) (-4 *4 (-340 *5)) (-4 *6 (-340 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1001)) (-4 *2 (-1001)) (-5 *1 (-395 *5 *4 *2 *6)) (-4 *4 (-394 *5)) (-4 *6 (-394 *2)))) ((*1 *1 *1) (-5 *1 (-458))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-578 *5)) (-4 *5 (-1104)) (-4 *2 (-1104)) (-5 *1 (-579 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-959)) (-4 *2 (-959)) (-4 *6 (-340 *5)) (-4 *7 (-340 *5)) (-4 *8 (-340 *2)) (-4 *9 (-340 *2)) (-5 *1 (-619 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-618 *5 *6 *7)) (-4 *10 (-618 *2 *8 *9)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-642 *2 *3 *4 *5 *6)) (-4 *2 (-156)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-959)) (-5 *1 (-643 *3 *2)) (-4 *2 (-1125 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-646 *2 *3 *4 *5 *6)) (-4 *2 (-156)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-375 *4)) (-4 *4 (-1125 *3)) (-4 *3 (-331)) (-4 *3 (-156)) (-4 *1 (-655 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-156)) (-4 *1 (-655 *3 *2)) (-4 *2 (-1125 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-877 *5)) (-4 *5 (-1104)) (-4 *2 (-1104)) (-5 *1 (-878 *5 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-947 *3 *4 *5 *2 *6)) (-4 *2 (-870 *3 *4 *5)) (-14 *6 (-578 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-959)) (-4 *2 (-959)) (-14 *5 (-701)) (-14 *6 (-701)) (-4 *8 (-211 *6 *7)) (-4 *9 (-211 *5 *7)) (-4 *10 (-211 *6 *2)) (-4 *11 (-211 *5 *2)) (-5 *1 (-963 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-961 *5 *6 *7 *8 *9)) (-4 *12 (-961 *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1048 *5)) (-4 *5 (-1104)) (-4 *2 (-1104)) (-5 *1 (-1050 *5 *2)))) ((*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-107) *2 *2)) (-4 *1 (-1099 *5 *6 *7 *2)) (-4 *5 (-508)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *2 (-972 *5 *6 *7)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1148 *5)) (-4 *5 (-1104)) (-4 *2 (-1104)) (-5 *1 (-1149 *5 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-608 *3)) (-4 *3 (-1104)) (-5 *2 (-107))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-870 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-1154)) (-5 *1 (-417 *4 *5 *6 *7))))) 
-(((*1 *1) (-5 *1 (-404)))) 
-(((*1 *1) (-12 (-5 *1 (-126 *2 *3 *4)) (-14 *2 (-501)) (-14 *3 (-701)) (-4 *4 (-156))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-777) (-508) (-950 (-501)))) (-5 *2 (-375 (-501))) (-5 *1 (-401 *4 *3)) (-4 *3 (-389 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-553 *3)) (-4 *3 (-389 *5)) (-4 *5 (-13 (-777) (-508) (-950 (-501)))) (-5 *2 (-1064 (-375 (-501)))) (-5 *1 (-401 *5 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |scalar| (-375 (-501))) (|:| |coeff| (-1064 *3)) (|:| |logand| (-1064 *3))))) (-5 *1 (-530 *3)) (-4 *3 (-331))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-723)) (-4 *5 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $))))) (-4 *6 (-508)) (-5 *2 (-2 (|:| -3405 (-866 *6)) (|:| -1277 (-866 *6)))) (-5 *1 (-663 *4 *5 *6 *3)) (-4 *3 (-870 (-375 (-866 *6)) *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1125 *5)) (-4 *5 (-331)) (-5 *2 (-2 (|:| -2091 (-373 *3)) (|:| |special| (-373 *3)))) (-5 *1 (-658 *5 *3))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-331) (-134) (-950 (-501)))) (-4 *5 (-1125 *4)) (-5 *2 (-2 (|:| -3071 (-375 *5)) (|:| |coeff| (-375 *5)))) (-5 *1 (-519 *4 *5)) (-5 *3 (-375 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-434)))) ((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-434)))) ((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-845))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-786))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-701)) (-4 *4 (-318)) (-5 *1 (-191 *4 *2)) (-4 *2 (-1125 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-294 *2 *3)) (-4 *2 (-959)) (-4 *3 (-722)) (-4 *2 (-419)))) ((*1 *1 *1) (-12 (-4 *1 (-310 *2 *3 *4)) (-4 *2 (-1108)) (-4 *3 (-1125 *2)) (-4 *4 (-1125 (-375 *3))))) ((*1 *1 *1) (-12 (-4 *1 (-779 *2)) (-4 *2 (-959)) (-4 *2 (-419)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-870 *3 *4 *2)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777)) (-4 *3 (-419)))) ((*1 *1 *1) (-12 (-4 *1 (-870 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-419)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-276)) (-4 *3 (-508)) (-5 *1 (-1058 *3 *2)) (-4 *2 (-1125 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-142)))) ((*1 *2 *1) (-12 (-5 *2 (-142)) (-5 *1 (-795)))) ((*1 *2 *3) (-12 (-5 *3 (-863 *2)) (-5 *1 (-897 *2)) (-4 *2 (-959))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1059 *2 *3)) (-14 *2 (-839)) (-4 *3 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1072 (-375 (-501)))) (-5 *1 (-166)) (-5 *3 (-501))))) 
-(((*1 *2 *3 *4) (-12 (-4 *6 (-508)) (-4 *2 (-870 *3 *5 *4)) (-5 *1 (-663 *5 *4 *6 *2)) (-5 *3 (-375 (-866 *6))) (-4 *5 (-723)) (-4 *4 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $)))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1048 *3))) (-5 *2 (-1048 *3)) (-5 *1 (-1055 *3)) (-4 *3 (-37 (-375 (-501)))) (-4 *3 (-959))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1053)) (-5 *1 (-1086))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-621 (-501))) (-5 *3 (-578 (-501))) (-5 *1 (-1010))))) 
-(((*1 *1) (-12 (-4 *1 (-394 *2)) (-4 *2 (-336)) (-4 *2 (-1001))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-903 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-1007 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-553 *3)) (-4 *3 (-13 (-389 *5) (-27) (-1090))) (-4 *5 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-530 *3)) (-5 *1 (-517 *5 *3 *6)) (-4 *6 (-1001))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-318)) (-5 *2 (-107)))) ((*1 *2 *3) (-12 (-5 *3 (-1064 *4)) (-4 *4 (-318)) (-5 *2 (-107)) (-5 *1 (-324 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-870 *4 *5 *6)) (-4 *6 (-556 (-1070))) (-4 *4 (-331)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-1060 (-578 (-866 *4)) (-578 (-262 (-866 *4))))) (-5 *1 (-467 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-331) (-775))) (-5 *1 (-162 *3 *2)) (-4 *2 (-1125 (-152 *3)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-150 *3)) (-4 *3 (-156)) (-4 *3 (-500)) (-5 *2 (-375 (-501))))) ((*1 *2 *1) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-373 *3)) (-4 *3 (-500)) (-4 *3 (-508)))) ((*1 *2 *1) (-12 (-4 *1 (-500)) (-5 *2 (-375 (-501))))) ((*1 *2 *1) (-12 (-4 *1 (-726 *3)) (-4 *3 (-156)) (-4 *3 (-500)) (-5 *2 (-375 (-501))))) ((*1 *2 *1) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-762 *3)) (-4 *3 (-500)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-769 *3)) (-4 *3 (-500)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-4 *1 (-912 *3)) (-4 *3 (-156)) (-4 *3 (-500)) (-5 *2 (-375 (-501))))) ((*1 *2 *3) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-922 *3)) (-4 *3 (-950 *2))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1024 *4 *3 *5))) (-4 *4 (-37 (-375 (-501)))) (-4 *4 (-959)) (-4 *3 (-777)) (-5 *1 (-1024 *4 *3 *5)) (-4 *5 (-870 *4 (-487 *3) *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1097 *4))) (-5 *3 (-1070)) (-5 *1 (-1097 *4)) (-4 *4 (-37 (-375 (-501)))) (-4 *4 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-991 (-769 (-199)))) (-5 *2 (-199)) (-5 *1 (-168)))) ((*1 *2 *3) (-12 (-5 *3 (-991 (-769 (-199)))) (-5 *2 (-199)) (-5 *1 (-270)))) ((*1 *2 *3) (-12 (-5 *3 (-991 (-769 (-199)))) (-5 *2 (-199)) (-5 *1 (-272))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-294 *3 *4)) (-4 *3 (-959)) (-4 *4 (-722))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-701)) (-5 *2 (-578 (-1070))) (-5 *1 (-186)) (-5 *3 (-1070)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-282 (-199))) (-5 *4 (-701)) (-5 *2 (-578 (-1070))) (-5 *1 (-238)))) ((*1 *2 *1) (-12 (-4 *1 (-342 *3 *4)) (-4 *3 (-777)) (-4 *4 (-156)) (-5 *2 (-578 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-578 *3)) (-5 *1 (-565 *3 *4 *5)) (-4 *3 (-777)) (-4 *4 (-13 (-156) (-648 (-375 (-501))))) (-14 *5 (-839)))) ((*1 *2 *1) (-12 (-5 *2 (-578 *3)) (-5 *1 (-606 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-578 *3)) (-5 *1 (-610 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-578 *3)) (-5 *1 (-749 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-578 *3)) (-5 *1 (-813 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (-12 (-4 *1 (-1166 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959)) (-5 *2 (-578 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1064 *3)) (-4 *3 (-318)) (-5 *1 (-324 *3))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1154)) (-5 *1 (-189 *4)) (-4 *4 (-13 (-777) (-10 -8 (-15 -2007 ((-1053) $ (-1070))) (-15 -2125 (*2 $)) (-15 -3512 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-189 *3)) (-4 *3 (-13 (-777) (-10 -8 (-15 -2007 ((-1053) $ (-1070))) (-15 -2125 (*2 $)) (-15 -3512 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-465))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-508)) (-5 *2 (-2 (|:| -3236 *3) (|:| -1852 *3))) (-5 *1 (-1122 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-777)) (-5 *1 (-116 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1118 *5 *4)) (-4 *4 (-419)) (-4 *4 (-750)) (-14 *5 (-1070)) (-5 *2 (-501)) (-5 *1 (-1014 *4 *5))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-108)) (-5 *4 (-578 *2)) (-5 *1 (-109 *2)) (-4 *2 (-1001)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-108)) (-5 *3 (-1 *4 (-578 *4))) (-4 *4 (-1001)) (-5 *1 (-109 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-108)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1001)) (-5 *1 (-109 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-108)) (-5 *2 (-1 *4 (-578 *4))) (-5 *1 (-109 *4)) (-4 *4 (-1001)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-583 *3)) (-4 *3 (-959)) (-5 *1 (-645 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-959)) (-5 *1 (-764 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1148 (-701))) (-5 *1 (-609 *3)) (-4 *3 (-1001))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-839)) (-4 *1 (-336)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1148 *4)) (-5 *1 (-485 *4)) (-4 *4 (-318)))) ((*1 *2 *1) (-12 (-4 *2 (-777)) (-5 *1 (-644 *2 *3 *4)) (-4 *3 (-1001)) (-14 *4 (-1 (-107) (-2 (|:| -3506 *2) (|:| -3027 *3)) (-2 (|:| -3506 *2) (|:| -3027 *3))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-333 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-1001))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1053)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-1154)) (-5 *1 (-978 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1053)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-1154)) (-5 *1 (-1008 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-294 *2 *3)) (-4 *2 (-959)) (-4 *3 (-722))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1148 *4)) (-4 *4 (-577 *5)) (-4 *5 (-331)) (-4 *5 (-508)) (-5 *2 (-1148 *5)) (-5 *1 (-576 *5 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1148 *4)) (-4 *4 (-577 *5)) (-3031 (-4 *5 (-331))) (-4 *5 (-508)) (-5 *2 (-1148 (-375 *5))) (-5 *1 (-576 *5 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-621 (-375 (-866 (-501))))) (-5 *2 (-621 (-282 (-501)))) (-5 *1 (-941))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1125 *3)) (-5 *1 (-367 *3 *2)) (-4 *3 (-13 (-331) (-134)))))) 
-(((*1 *1) (-5 *1 (-131))) ((*1 *1 *2) (-12 (-5 *2 (-1031 (-199))) (-5 *1 (-232)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-232))) (-5 *2 (-1031 (-199))) (-5 *1 (-233))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *3 (-276)) (-4 *3 (-156)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *2 (-2 (|:| -3236 *3) (|:| -1852 *3))) (-5 *1 (-620 *3 *4 *5 *6)) (-4 *6 (-618 *3 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -3236 *3) (|:| -1852 *3))) (-5 *1 (-631 *3)) (-4 *3 (-276))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-701)) (-5 *1 (-783 *2)) (-4 *2 (-156)))) ((*1 *2 *3) (-12 (-5 *2 (-1064 (-501))) (-5 *1 (-862)) (-5 *3 (-501))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-107)) (-5 *1 (-903 *4 *5 *6 *7 *3)) (-4 *3 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-107)) (-5 *1 (-1007 *4 *5 *6 *7 *3)) (-4 *3 (-977 *4 *5 *6 *7))))) 
-(((*1 *1 *1) (|partial| -4 *1 (-1046)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-699)) (-5 *2 (-2 (|:| -3492 (-346)) (|:| -3986 (-1053)) (|:| |explanations| (-578 (-1053))) (|:| |extra| (-948)))) (-5 *1 (-516)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-699)) (-5 *4 (-970)) (-5 *2 (-2 (|:| -3492 (-346)) (|:| -3986 (-1053)) (|:| |explanations| (-578 (-1053))) (|:| |extra| (-948)))) (-5 *1 (-516)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-717)) (-5 *3 (-970)) (-5 *4 (-2 (|:| |fn| (-282 (-199))) (|:| -1505 (-578 (-991 (-769 (-199))))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-2 (|:| -3492 (-346)) (|:| |explanations| (-1053)) (|:| |extra| (-948)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-717)) (-5 *3 (-970)) (-5 *4 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-2 (|:| -3492 (-346)) (|:| |explanations| (-1053)) (|:| |extra| (-948)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-730)) (-5 *3 (-970)) (-5 *4 (-2 (|:| |xinit| (-199)) (|:| |xend| (-199)) (|:| |fn| (-1148 (-282 (-199)))) (|:| |yinit| (-578 (-199))) (|:| |intvals| (-578 (-199))) (|:| |g| (-282 (-199))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-2 (|:| -3492 (-346)) (|:| |explanations| (-1053)))))) ((*1 *2 *3) (-12 (-5 *3 (-738)) (-5 *2 (-2 (|:| -3492 (-346)) (|:| -3986 (-1053)) (|:| |explanations| (-578 (-1053))))) (-5 *1 (-735)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-738)) (-5 *4 (-970)) (-5 *2 (-2 (|:| -3492 (-346)) (|:| -3986 (-1053)) (|:| |explanations| (-578 (-1053))))) (-5 *1 (-735)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-766)) (-5 *3 (-970)) (-5 *4 (-2 (|:| |lfn| (-578 (-282 (-199)))) (|:| -3746 (-578 (-199))))) (-5 *2 (-2 (|:| -3492 (-346)) (|:| |explanations| (-1053)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-766)) (-5 *3 (-970)) (-5 *4 (-2 (|:| |fn| (-282 (-199))) (|:| -3746 (-578 (-199))) (|:| |lb| (-578 (-769 (-199)))) (|:| |cf| (-578 (-282 (-199)))) (|:| |ub| (-578 (-769 (-199)))))) (-5 *2 (-2 (|:| -3492 (-346)) (|:| |explanations| (-1053)))))) ((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-2 (|:| -3492 (-346)) (|:| -3986 (-1053)) (|:| |explanations| (-578 (-1053))))) (-5 *1 (-767)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-768)) (-5 *4 (-970)) (-5 *2 (-2 (|:| -3492 (-346)) (|:| -3986 (-1053)) (|:| |explanations| (-578 (-1053))))) (-5 *1 (-767)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-815)) (-5 *3 (-970)) (-5 *4 (-2 (|:| |pde| (-578 (-282 (-199)))) (|:| |constraints| (-578 (-2 (|:| |start| (-199)) (|:| |finish| (-199)) (|:| |grid| (-701)) (|:| |boundaryType| (-501)) (|:| |dStart| (-621 (-199))) (|:| |dFinish| (-621 (-199)))))) (|:| |f| (-578 (-578 (-282 (-199))))) (|:| |st| (-1053)) (|:| |tol| (-199)))) (-5 *2 (-2 (|:| -3492 (-346)) (|:| |explanations| (-1053)))))) ((*1 *2 *3) (-12 (-5 *3 (-818)) (-5 *2 (-2 (|:| -3492 (-346)) (|:| -3986 (-1053)) (|:| |explanations| (-578 (-1053))))) (-5 *1 (-817)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-818)) (-5 *4 (-970)) (-5 *2 (-2 (|:| -3492 (-346)) (|:| -3986 (-1053)) (|:| |explanations| (-578 (-1053))))) (-5 *1 (-817))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-55 *3 *4 *5)) (-4 *3 (-1104)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *2 (-501)))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-5 *2 (-501))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-50)) (-5 *1 (-51 *2)) (-4 *2 (-1104)))) ((*1 *1 *2) (-12 (-5 *2 (-866 (-346))) (-5 *1 (-307 *3 *4 *5)) (-4 *5 (-950 (-346))) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *1 *2) (-12 (-5 *2 (-375 (-866 (-346)))) (-5 *1 (-307 *3 *4 *5)) (-4 *5 (-950 (-346))) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-346))) (-5 *1 (-307 *3 *4 *5)) (-4 *5 (-950 (-346))) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *1 *2) (-12 (-5 *2 (-866 (-501))) (-5 *1 (-307 *3 *4 *5)) (-4 *5 (-950 (-501))) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *1 *2) (-12 (-5 *2 (-375 (-866 (-501)))) (-5 *1 (-307 *3 *4 *5)) (-4 *5 (-950 (-501))) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-501))) (-5 *1 (-307 *3 *4 *5)) (-4 *5 (-950 (-501))) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-307 *3 *4 *5)) (-14 *3 (-578 *2)) (-14 *4 (-578 *2)) (-4 *5 (-355)))) ((*1 *1 *2) (-12 (-5 *2 (-282 *5)) (-4 *5 (-355)) (-5 *1 (-307 *3 *4 *5)) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))))) ((*1 *1 *2) (-12 (-5 *2 (-621 (-375 (-866 (-501))))) (-4 *1 (-353)))) ((*1 *1 *2) (-12 (-5 *2 (-621 (-375 (-866 (-346))))) (-4 *1 (-353)))) ((*1 *1 *2) (-12 (-5 *2 (-621 (-866 (-501)))) (-4 *1 (-353)))) ((*1 *1 *2) (-12 (-5 *2 (-621 (-866 (-346)))) (-4 *1 (-353)))) ((*1 *1 *2) (-12 (-5 *2 (-621 (-282 (-501)))) (-4 *1 (-353)))) ((*1 *1 *2) (-12 (-5 *2 (-621 (-282 (-346)))) (-4 *1 (-353)))) ((*1 *1 *2) (-12 (-5 *2 (-375 (-866 (-501)))) (-4 *1 (-365)))) ((*1 *1 *2) (-12 (-5 *2 (-375 (-866 (-346)))) (-4 *1 (-365)))) ((*1 *1 *2) (-12 (-5 *2 (-866 (-501))) (-4 *1 (-365)))) ((*1 *1 *2) (-12 (-5 *2 (-866 (-346))) (-4 *1 (-365)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-501))) (-4 *1 (-365)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-346))) (-4 *1 (-365)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-375 (-866 (-501))))) (-4 *1 (-408)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-375 (-866 (-346))))) (-4 *1 (-408)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-866 (-501)))) (-4 *1 (-408)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-866 (-346)))) (-4 *1 (-408)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-282 (-501)))) (-4 *1 (-408)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-282 (-346)))) (-4 *1 (-408)))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (|:| |mdnia| (-2 (|:| |fn| (-282 (-199))) (|:| -1505 (-578 (-991 (-769 (-199))))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))))) (-5 *1 (-699)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-199)) (|:| |xend| (-199)) (|:| |fn| (-1148 (-282 (-199)))) (|:| |yinit| (-578 (-199))) (|:| |intvals| (-578 (-199))) (|:| |g| (-282 (-199))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *1 (-738)))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-282 (-199))) (|:| -3746 (-578 (-199))) (|:| |lb| (-578 (-769 (-199)))) (|:| |cf| (-578 (-282 (-199)))) (|:| |ub| (-578 (-769 (-199)))))) (|:| |lsa| (-2 (|:| |lfn| (-578 (-282 (-199)))) (|:| -3746 (-578 (-199))))))) (-5 *1 (-768)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-578 (-282 (-199)))) (|:| |constraints| (-578 (-2 (|:| |start| (-199)) (|:| |finish| (-199)) (|:| |grid| (-701)) (|:| |boundaryType| (-501)) (|:| |dStart| (-621 (-199))) (|:| |dFinish| (-621 (-199)))))) (|:| |f| (-578 (-578 (-282 (-199))))) (|:| |st| (-1053)) (|:| |tol| (-199)))) (-5 *1 (-818)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *1 (-891 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-950 *2)) (-4 *2 (-1104)))) ((*1 *1 *2) (-1405 (-12 (-5 *2 (-866 *3)) (-12 (-3031 (-4 *3 (-37 (-375 (-501))))) (-3031 (-4 *3 (-37 (-501)))) (-4 *5 (-556 (-1070)))) (-4 *3 (-959)) (-4 *1 (-972 *3 *4 *5)) (-4 *4 (-723)) (-4 *5 (-777))) (-12 (-5 *2 (-866 *3)) (-12 (-3031 (-4 *3 (-500))) (-3031 (-4 *3 (-37 (-375 (-501))))) (-4 *3 (-37 (-501))) (-4 *5 (-556 (-1070)))) (-4 *3 (-959)) (-4 *1 (-972 *3 *4 *5)) (-4 *4 (-723)) (-4 *5 (-777))) (-12 (-5 *2 (-866 *3)) (-12 (-3031 (-4 *3 (-906 (-501)))) (-4 *3 (-37 (-375 (-501)))) (-4 *5 (-556 (-1070)))) (-4 *3 (-959)) (-4 *1 (-972 *3 *4 *5)) (-4 *4 (-723)) (-4 *5 (-777))))) ((*1 *1 *2) (-1405 (-12 (-5 *2 (-866 (-501))) (-4 *1 (-972 *3 *4 *5)) (-12 (-3031 (-4 *3 (-37 (-375 (-501))))) (-4 *3 (-37 (-501))) (-4 *5 (-556 (-1070)))) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777))) (-12 (-5 *2 (-866 (-501))) (-4 *1 (-972 *3 *4 *5)) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *5 (-556 (-1070)))) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777))))) ((*1 *1 *2) (-12 (-5 *2 (-866 (-375 (-501)))) (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-37 (-375 (-501)))) (-4 *5 (-556 (-1070))) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777))))) 
-(((*1 *2) (-12 (-4 *3 (-508)) (-5 *2 (-578 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-386 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-726 *2)) (-4 *2 (-156))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-649 *2)) (-4 *2 (-331)))) ((*1 *1 *2) (-12 (-5 *1 (-649 *2)) (-4 *2 (-331)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-839)) (-5 *4 (-346)) (-5 *2 (-1154)) (-5 *1 (-1151))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-1048 *3)) (-4 *3 (-1001)) (-4 *3 (-1104))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| (-107)) (|:| -3709 *4)))) (-5 *1 (-1008 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-237 *2)) (-4 *2 (-777)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1070)) (-5 *1 (-787 *3)) (-14 *3 (-578 *2)))) ((*1 *2 *1) (-12 (-5 *2 (-1070)) (-5 *1 (-904)))) ((*1 *2 *1) (-12 (-5 *2 (-1070)) (-5 *1 (-993 *3)) (-4 *3 (-1104)))) ((*1 *2 *1) (-12 (-4 *1 (-1128 *3 *4)) (-4 *3 (-959)) (-4 *4 (-722)) (-5 *2 (-1070)))) ((*1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-1145 *3)) (-14 *3 *2)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-621 *8)) (-4 *8 (-870 *5 *7 *6)) (-4 *5 (-13 (-276) (-134))) (-4 *6 (-13 (-777) (-556 (-1070)))) (-4 *7 (-723)) (-5 *2 (-578 (-2 (|:| |eqzro| (-578 *8)) (|:| |neqzro| (-578 *8)) (|:| |wcond| (-578 (-866 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1148 (-375 (-866 *5)))) (|:| -4119 (-578 (-1148 (-375 (-866 *5)))))))))) (-5 *1 (-844 *5 *6 *7 *8)) (-5 *4 (-578 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-621 *8)) (-5 *4 (-578 (-1070))) (-4 *8 (-870 *5 *7 *6)) (-4 *5 (-13 (-276) (-134))) (-4 *6 (-13 (-777) (-556 (-1070)))) (-4 *7 (-723)) (-5 *2 (-578 (-2 (|:| |eqzro| (-578 *8)) (|:| |neqzro| (-578 *8)) (|:| |wcond| (-578 (-866 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1148 (-375 (-866 *5)))) (|:| -4119 (-578 (-1148 (-375 (-866 *5)))))))))) (-5 *1 (-844 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-621 *7)) (-4 *7 (-870 *4 *6 *5)) (-4 *4 (-13 (-276) (-134))) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-5 *2 (-578 (-2 (|:| |eqzro| (-578 *7)) (|:| |neqzro| (-578 *7)) (|:| |wcond| (-578 (-866 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1148 (-375 (-866 *4)))) (|:| -4119 (-578 (-1148 (-375 (-866 *4)))))))))) (-5 *1 (-844 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-621 *9)) (-5 *5 (-839)) (-4 *9 (-870 *6 *8 *7)) (-4 *6 (-13 (-276) (-134))) (-4 *7 (-13 (-777) (-556 (-1070)))) (-4 *8 (-723)) (-5 *2 (-578 (-2 (|:| |eqzro| (-578 *9)) (|:| |neqzro| (-578 *9)) (|:| |wcond| (-578 (-866 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1148 (-375 (-866 *6)))) (|:| -4119 (-578 (-1148 (-375 (-866 *6)))))))))) (-5 *1 (-844 *6 *7 *8 *9)) (-5 *4 (-578 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-621 *9)) (-5 *4 (-578 (-1070))) (-5 *5 (-839)) (-4 *9 (-870 *6 *8 *7)) (-4 *6 (-13 (-276) (-134))) (-4 *7 (-13 (-777) (-556 (-1070)))) (-4 *8 (-723)) (-5 *2 (-578 (-2 (|:| |eqzro| (-578 *9)) (|:| |neqzro| (-578 *9)) (|:| |wcond| (-578 (-866 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1148 (-375 (-866 *6)))) (|:| -4119 (-578 (-1148 (-375 (-866 *6)))))))))) (-5 *1 (-844 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-621 *8)) (-5 *4 (-839)) (-4 *8 (-870 *5 *7 *6)) (-4 *5 (-13 (-276) (-134))) (-4 *6 (-13 (-777) (-556 (-1070)))) (-4 *7 (-723)) (-5 *2 (-578 (-2 (|:| |eqzro| (-578 *8)) (|:| |neqzro| (-578 *8)) (|:| |wcond| (-578 (-866 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1148 (-375 (-866 *5)))) (|:| -4119 (-578 (-1148 (-375 (-866 *5)))))))))) (-5 *1 (-844 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-621 *9)) (-5 *4 (-578 *9)) (-5 *5 (-1053)) (-4 *9 (-870 *6 *8 *7)) (-4 *6 (-13 (-276) (-134))) (-4 *7 (-13 (-777) (-556 (-1070)))) (-4 *8 (-723)) (-5 *2 (-501)) (-5 *1 (-844 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-621 *9)) (-5 *4 (-578 (-1070))) (-5 *5 (-1053)) (-4 *9 (-870 *6 *8 *7)) (-4 *6 (-13 (-276) (-134))) (-4 *7 (-13 (-777) (-556 (-1070)))) (-4 *8 (-723)) (-5 *2 (-501)) (-5 *1 (-844 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-621 *8)) (-5 *4 (-1053)) (-4 *8 (-870 *5 *7 *6)) (-4 *5 (-13 (-276) (-134))) (-4 *6 (-13 (-777) (-556 (-1070)))) (-4 *7 (-723)) (-5 *2 (-501)) (-5 *1 (-844 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-621 *10)) (-5 *4 (-578 *10)) (-5 *5 (-839)) (-5 *6 (-1053)) (-4 *10 (-870 *7 *9 *8)) (-4 *7 (-13 (-276) (-134))) (-4 *8 (-13 (-777) (-556 (-1070)))) (-4 *9 (-723)) (-5 *2 (-501)) (-5 *1 (-844 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-621 *10)) (-5 *4 (-578 (-1070))) (-5 *5 (-839)) (-5 *6 (-1053)) (-4 *10 (-870 *7 *9 *8)) (-4 *7 (-13 (-276) (-134))) (-4 *8 (-13 (-777) (-556 (-1070)))) (-4 *9 (-723)) (-5 *2 (-501)) (-5 *1 (-844 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-621 *9)) (-5 *4 (-839)) (-5 *5 (-1053)) (-4 *9 (-870 *6 *8 *7)) (-4 *6 (-13 (-276) (-134))) (-4 *7 (-13 (-777) (-556 (-1070)))) (-4 *8 (-723)) (-5 *2 (-501)) (-5 *1 (-844 *6 *7 *8 *9))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-891 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-107))))) 
-(((*1 *1) (-12 (-4 *1 (-297 *2)) (-4 *2 (-336)) (-4 *2 (-331))))) 
-(((*1 *1) (-5 *1 (-404)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-142)))) ((*1 *2 *3) (-12 (-5 *3 (-863 *2)) (-5 *1 (-897 *2)) (-4 *2 (-959))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1099 *3 *4 *5 *2)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *2 (-972 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-578 *6)) (-4 *6 (-777)) (-4 *4 (-331)) (-4 *5 (-723)) (-5 *1 (-467 *4 *5 *6 *2)) (-4 *2 (-870 *4 *5 *6)))) ((*1 *1 *1 *2) (-12 (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-467 *3 *4 *5 *2)) (-4 *2 (-870 *3 *4 *5))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-777)) (-5 *2 (-2 (|:| -3189 (-501)) (|:| |var| (-553 *1)))) (-4 *1 (-389 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-4 *3 (-508)) (-5 *2 (-1064 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *5 (-906 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-129 *4 *5 *3)) (-4 *3 (-340 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *5 (-906 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-466 *4 *5 *6 *3)) (-4 *6 (-340 *4)) (-4 *3 (-340 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-621 *5)) (-4 *5 (-906 *4)) (-4 *4 (-508)) (-5 *2 (-2 (|:| |num| (-621 *4)) (|:| |den| *4))) (-5 *1 (-624 *4 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *6 (-1125 *5)) (-5 *2 (-2 (|:| -2499 *7) (|:| |rh| (-578 (-375 *6))))) (-5 *1 (-737 *5 *6 *7 *3)) (-5 *4 (-578 (-375 *6))) (-4 *7 (-593 *6)) (-4 *3 (-593 (-375 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *5 (-906 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1120 *4 *5 *3)) (-4 *3 (-1125 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-107)) (-5 *1 (-270))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-508) (-777) (-950 (-501)))) (-5 *1 (-164 *3 *2)) (-4 *2 (-13 (-27) (-1090) (-389 (-152 *3)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-1094 *3 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *3)))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-959)) (-4 *2 (-508))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1064 *3)) (-4 *3 (-318)) (-5 *1 (-324 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-375 (-866 *3))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-959)) (-5 *1 (-643 *3 *2)) (-4 *2 (-1125 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1001)) (-5 *1 (-89 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-866 *5)) (-4 *5 (-959)) (-5 *2 (-220 *4 *5)) (-5 *1 (-864 *4 *5)) (-14 *4 (-578 (-1070)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-304 *3 *4 *5 *6)) (-4 *3 (-331)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-4 *6 (-310 *3 *4 *5)) (-5 *2 (-381 *4 (-375 *4) *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 *6)) (-4 *6 (-13 (-378 *4 *5) (-950 *4))) (-4 *4 (-906 *3)) (-4 *5 (-1125 *4)) (-4 *3 (-276)) (-5 *1 (-381 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-870 *3 *4 *5)) (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-467 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1064 *4)) (-4 *4 (-318)) (-5 *2 (-877 (-1018))) (-5 *1 (-315 *4))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-578 (-1064 *7))) (-5 *3 (-1064 *7)) (-4 *7 (-870 *4 *5 *6)) (-4 *4 (-830)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-827 *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-578 (-1064 *5))) (-5 *3 (-1064 *5)) (-4 *5 (-1125 *4)) (-4 *4 (-830)) (-5 *1 (-828 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1001)) (-5 *2 (-1053))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-959)) (-5 *1 (-1123 *3 *2)) (-4 *2 (-1125 *3))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-225 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-224 *2 *3 *4 *5)) (-4 *2 (-959)) (-4 *3 (-777)) (-4 *4 (-237 *3)) (-4 *5 (-723))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-199))) (-5 *2 (-1148 (-630))) (-5 *1 (-272))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-276) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *1 (-561 *4 *2)) (-4 *2 (-13 (-1090) (-879) (-29 *4)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1104)) (-5 *2 (-701)) (-5 *1 (-163 *4 *3)) (-4 *3 (-608 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-891 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-578 *5))))) 
-(((*1 *2 *3 *2) (|partial| -12 (-5 *3 (-839)) (-5 *1 (-409 *2)) (-4 *2 (-1125 (-501))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-839)) (-5 *4 (-701)) (-5 *1 (-409 *2)) (-4 *2 (-1125 (-501))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-839)) (-5 *4 (-578 (-701))) (-5 *1 (-409 *2)) (-4 *2 (-1125 (-501))))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-839)) (-5 *4 (-578 (-701))) (-5 *5 (-701)) (-5 *1 (-409 *2)) (-4 *2 (-1125 (-501))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-839)) (-5 *4 (-578 (-701))) (-5 *5 (-701)) (-5 *6 (-107)) (-5 *1 (-409 *2)) (-4 *2 (-1125 (-501))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-839)) (-5 *4 (-373 *2)) (-4 *2 (-1125 *5)) (-5 *1 (-411 *5 *2)) (-4 *5 (-959))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1086))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-92))))) 
-(((*1 *1 *1) (-4 *1 (-1039)))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1064 *1)) (-5 *3 (-1070)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1064 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-866 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1070)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-777) (-508))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-777) (-508)))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-690))))) 
-(((*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-701)) (-4 *3 (-508)) (-5 *1 (-885 *3 *2)) (-4 *2 (-1125 *3))))) 
-(((*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-701)) (-4 *3 (-13 (-657) (-336) (-10 -7 (-15 ** (*3 *3 (-501)))))) (-5 *1 (-219 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-199)) (-5 *2 (-375 (-501))) (-5 *1 (-272))))) 
-(((*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *1 (-1026 *3 *2)) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-839)) (-5 *2 (-435)) (-5 *1 (-1151))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-340 *2)) (-4 *2 (-1104)) (-4 *2 (-777)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3 *3)) (|has| *1 (-6 -4168)) (-4 *1 (-340 *3)) (-4 *3 (-1104))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-578 (-578 (-501)))) (-5 *1 (-886)) (-5 *3 (-578 (-501)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-834 *2)) (-4 *2 (-276))))) 
-(((*1 *1 *1 *1) (-4 *1 (-500)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1154)) (-5 *1 (-346))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-959)) (-4 *2 (-13 (-372) (-950 *4) (-331) (-1090) (-254))) (-5 *1 (-410 *4 *3 *2)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-1125 (-375 (-501)))) (-5 *2 (-2 (|:| |den| (-501)) (|:| |gcdnum| (-501)))) (-5 *1 (-833 *3 *4)) (-4 *4 (-1125 (-375 *3))))) ((*1 *2 *3) (-12 (-4 *4 (-1125 (-375 *2))) (-5 *2 (-501)) (-5 *1 (-833 *4 *3)) (-4 *3 (-1125 (-375 *4)))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-578 (-1064 *4))) (-5 *3 (-1064 *4)) (-4 *4 (-830)) (-5 *1 (-598 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-839)) (-5 *2 (-1064 *3)) (-5 *1 (-1079 *3)) (-4 *3 (-331))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-318)) (-5 *3 (-501)) (-5 *2 (-1077 (-839) (-701)))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-701)) (-4 *1 (-671 *4 *5)) (-4 *4 (-959)) (-4 *5 (-777)) (-5 *2 (-866 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-4 *1 (-671 *4 *5)) (-4 *4 (-959)) (-4 *5 (-777)) (-5 *2 (-866 *4)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-701)) (-4 *1 (-1142 *4)) (-4 *4 (-959)) (-5 *2 (-866 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-4 *1 (-1142 *4)) (-4 *4 (-959)) (-5 *2 (-866 *4))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-500)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-282 *3)) (-4 *3 (-13 (-959) (-777))) (-5 *1 (-197 *3 *4)) (-14 *4 (-578 (-1070)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1125 *2)) (-4 *2 (-1108)) (-5 *1 (-135 *2 *4 *3)) (-4 *3 (-1125 (-375 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-346)) (-5 *1 (-92)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-346)) (-5 *1 (-92))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-959)) (-4 *2 (-618 *4 *5 *6)) (-5 *1 (-99 *4 *3 *2 *5 *6)) (-4 *3 (-1125 *4)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1064 *1)) (-4 *1 (-419)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1064 *6)) (-4 *6 (-870 *5 *3 *4)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *5 (-830)) (-5 *1 (-424 *3 *4 *5 *6)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1064 *1)) (-4 *1 (-830))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-419)) (-5 *2 (-578 (-2 (|:| |eigval| (-3 (-375 (-866 *4)) (-1060 (-1070) (-866 *4)))) (|:| |eigmult| (-701)) (|:| |eigvec| (-578 (-621 (-375 (-866 *4)))))))) (-5 *1 (-261 *4)) (-5 *3 (-621 (-375 (-866 *4))))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-578 *7)) (|:| -3709 *8))) (-4 *7 (-972 *4 *5 *6)) (-4 *8 (-977 *4 *5 *6 *7)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-903 *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-578 *7)) (|:| -3709 *8))) (-4 *7 (-972 *4 *5 *6)) (-4 *8 (-977 *4 *5 *6 *7)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-1007 *4 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 *4)) (-5 *1 (-1008 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-467 *3 *4 *5 *6))) (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-467 *3 *4 *5 *6)) (-4 *6 (-870 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-331)) (-4 *3 (-723)) (-4 *4 (-777)) (-5 *1 (-467 *2 *3 *4 *5)) (-4 *5 (-870 *2 *3 *4)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-578 *1)) (-4 *1 (-977 *4 *5 *6 *3)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-578 *1)) (-5 *3 (-578 *7)) (-4 *1 (-977 *4 *5 *6 *7)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-578 *1)) (-4 *1 (-977 *4 *5 *6 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-1070))) (-4 *4 (-13 (-276) (-134))) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-5 *2 (-578 (-375 (-866 *4)))) (-5 *1 (-844 *4 *5 *6 *7)) (-4 *7 (-870 *4 *6 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-2 (|:| |num| (-1148 *4)) (|:| |den| *4)))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-959)) (-5 *1 (-814 *2 *3)) (-4 *2 (-1125 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-1010)) (-5 *3 (-501))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1048 (-578 (-501)))) (-5 *1 (-803)) (-5 *3 (-578 (-501)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-863 *3) (-863 *3))) (-5 *1 (-158 *3)) (-4 *3 (-13 (-331) (-1090) (-916)))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-621 *3)) (-4 *3 (-959)) (-5 *1 (-622 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1064 *7)) (-4 *5 (-959)) (-4 *7 (-959)) (-4 *2 (-1125 *5)) (-5 *1 (-464 *5 *2 *6 *7)) (-4 *6 (-1125 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-959)) (-4 *7 (-959)) (-4 *4 (-1125 *5)) (-5 *2 (-1064 *7)) (-5 *1 (-464 *5 *4 *6 *7)) (-4 *6 (-1125 *4))))) 
-(((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-892 *4 *5 *6 *3)) (-4 *3 (-972 *4 *5 *6))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-593 *2)) (-4 *2 (-959)) (-4 *2 (-331)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-331)) (-5 *1 (-595 *4 *2)) (-4 *2 (-593 *4))))) 
-(((*1 *1) (-5 *1 (-1073)))) 
-(((*1 *1 *1) (-12 (-4 *2 (-318)) (-4 *2 (-959)) (-5 *1 (-643 *2 *3)) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-375 (-501))) (-5 *2 (-199)) (-5 *1 (-272))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-506 *2)) (-4 *2 (-13 (-372) (-1090))))) ((*1 *1 *1 *1) (-4 *1 (-723)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1035 *2 *3)) (-4 *2 (-13 (-1001) (-33))) (-4 *3 (-13 (-1001) (-33)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-578 *7)) (|:| |badPols| (-578 *7)))) (-5 *1 (-892 *4 *5 *6 *7)) (-5 *3 (-578 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-701))))) 
-(((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-920)))) ((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-920))))) 
-(((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-701)) (-5 *4 (-839)) (-5 *2 (-1154)) (-5 *1 (-1151)))) ((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-701)) (-5 *4 (-839)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-578 *8)) (-5 *3 (-1 (-107) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-508)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *1 (-892 *5 *6 *7 *8))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-752)) (-5 *2 (-50)) (-5 *1 (-761))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-529))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1048 (-578 (-501)))) (-5 *1 (-803)) (-5 *3 (-501))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 (-578 *5))) (-4 *5 (-1142 *4)) (-4 *4 (-37 (-375 (-501)))) (-5 *2 (-1 (-1048 *4) (-578 (-1048 *4)))) (-5 *1 (-1143 *4 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-508) (-777))) (-4 *2 (-13 (-389 *4) (-916) (-1090))) (-5 *1 (-544 *4 *2 *3)) (-4 *3 (-13 (-389 (-152 *4)) (-916) (-1090)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-1091 *3))) (-5 *1 (-1091 *3)) (-4 *3 (-1001))))) 
-(((*1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-1153)))) ((*1 *2 *2) (-12 (-5 *2 (-839)) (-5 *1 (-1153))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-1104)) (-5 *1 (-163 *3 *2)) (-4 *2 (-608 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-578 (-553 *5))) (-5 *3 (-1070)) (-4 *5 (-389 *4)) (-4 *4 (-777)) (-5 *1 (-524 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-924 *3)) (-4 *3 (-1104)) (-5 *2 (-578 *3))))) 
-(((*1 *2) (-12 (-4 *3 (-508)) (-5 *2 (-578 (-621 *3))) (-5 *1 (-42 *3 *4)) (-4 *4 (-386 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-906 *2)) (-4 *2 (-508)) (-4 *2 (-500)))) ((*1 *1 *1) (-4 *1 (-967)))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-331)) (-5 *2 (-578 (-2 (|:| C (-621 *5)) (|:| |g| (-1148 *5))))) (-5 *1 (-893 *5)) (-5 *3 (-621 *5)) (-5 *4 (-1148 *5))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-651)) (-5 *2 (-839)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-653)) (-5 *2 (-701))))) 
-(((*1 *2 *1) (-12 (|has| *1 (-6 -4167)) (-4 *1 (-454 *3)) (-4 *3 (-1104)) (-5 *2 (-578 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-578 *3)) (-5 *1 (-667 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-33)) (-5 *3 (-701)) (-5 *2 (-107)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-107)) (-5 *1 (-1105 *3)) (-4 *3 (-777)) (-4 *3 (-1001))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-513))))) 
-(((*1 *2) (-12 (-5 *2 (-795)) (-5 *1 (-1153)))) ((*1 *2 *2) (-12 (-5 *2 (-795)) (-5 *1 (-1153))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-318)) (-5 *2 (-107)) (-5 *1 (-191 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -1575 (-578 (-2 (|:| |irr| *10) (|:| -3257 (-501))))))) (-5 *6 (-578 *3)) (-5 *7 (-578 *8)) (-4 *8 (-777)) (-4 *3 (-276)) (-4 *10 (-870 *3 *9 *8)) (-4 *9 (-723)) (-5 *2 (-2 (|:| |polfac| (-578 *10)) (|:| |correct| *3) (|:| |corrfact| (-578 (-1064 *3))))) (-5 *1 (-564 *8 *9 *3 *10)) (-5 *4 (-578 (-1064 *3)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-248 *3 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-248 *4 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *4))))) ((*1 *1 *1) (-5 *1 (-346))) ((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| *3) (|:| -3709 *4)))) (-5 *1 (-706 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-14 *3 (-578 (-1070))) (-4 *4 (-156)) (-14 *6 (-1 (-107) (-2 (|:| -3506 *5) (|:| -3027 *2)) (-2 (|:| -3506 *5) (|:| -3027 *2)))) (-4 *2 (-211 (-3581 *3) (-701))) (-5 *1 (-428 *3 *4 *5 *2 *6 *7)) (-4 *5 (-777)) (-4 *7 (-870 *4 *2 (-787 *3)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-333 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-1001))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1064 *7)) (-4 *5 (-959)) (-4 *7 (-959)) (-4 *2 (-1125 *5)) (-5 *1 (-464 *5 *2 *6 *7)) (-4 *6 (-1125 *2))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-373 *3)) (-5 *1 (-510 *3)) (-4 *3 (-500))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1072 (-375 (-501)))) (-5 *2 (-375 (-501))) (-5 *1 (-166))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-578 (-1160 *4 *5 *6 *7))) (-5 *1 (-1160 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-578 *9)) (-5 *4 (-1 (-107) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-972 *6 *7 *8)) (-4 *6 (-508)) (-4 *7 (-723)) (-4 *8 (-777)) (-5 *2 (-578 (-1160 *6 *7 *8 *9))) (-5 *1 (-1160 *6 *7 *8 *9))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-373 *3)) (-4 *3 (-508)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-2 (|:| -3739 *4) (|:| -1201 (-501))))) (-4 *4 (-1125 (-501))) (-5 *2 (-701)) (-5 *1 (-409 *4))))) 
-(((*1 *1 *1) (-5 *1 (-970)))) 
-(((*1 *1) (-5 *1 (-404)))) 
-(((*1 *2 *3) (-12 (-14 *4 (-578 (-1070))) (-4 *5 (-419)) (-5 *2 (-2 (|:| |glbase| (-578 (-220 *4 *5))) (|:| |glval| (-578 (-501))))) (-5 *1 (-569 *4 *5)) (-5 *3 (-578 (-220 *4 *5)))))) 
-(((*1 *1 *1 *1) (-5 *1 (-199))) ((*1 *2 *2 *2) (-12 (-5 *2 (-199)) (-5 *1 (-200)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-152 (-199))) (-5 *1 (-200)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1 (-346))) (-5 *1 (-953)))) ((*1 *1 *1 *1) (-4 *1 (-1034)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3492 (-346)) (|:| -3986 (-1053)) (|:| |explanations| (-578 (-1053))))) (-5 *2 (-948)) (-5 *1 (-272)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3492 (-346)) (|:| -3986 (-1053)) (|:| |explanations| (-578 (-1053))) (|:| |extra| (-948)))) (-5 *2 (-948)) (-5 *1 (-272))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-346) (-346))) (-5 *4 (-346)) (-5 *2 (-2 (|:| -2150 *4) (|:| -2390 *4) (|:| |totalpts| (-501)) (|:| |success| (-107)))) (-5 *1 (-719)) (-5 *5 (-501))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-578 *4)) (-4 *4 (-331)) (-5 *2 (-1148 *4)) (-5 *1 (-744 *4 *3)) (-4 *3 (-593 *4))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-701))) (-5 *3 (-155)) (-5 *1 (-1059 *4 *5)) (-14 *4 (-839)) (-4 *5 (-959))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *1 (-510 *2)) (-4 *2 (-500))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-1082 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-155)) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-1048 *3)) (-4 *3 (-1001)) (-4 *3 (-1104))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-578 *3)) (-4 *3 (-1125 *5)) (-4 *5 (-276)) (-5 *2 (-701)) (-5 *1 (-422 *5 *3))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1001)) (-5 *1 (-883 *2 *3)) (-4 *3 (-1001))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786)))) ((*1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-447 *4 *5))) (-14 *4 (-578 (-1070))) (-4 *5 (-419)) (-5 *2 (-578 (-220 *4 *5))) (-5 *1 (-569 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-608 *3)) (-4 *3 (-1104)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-578 *4)) (-4 *4 (-1001)) (-4 *4 (-1104)) (-5 *2 (-107)) (-5 *1 (-1048 *4))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1053)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-1154)) (-5 *1 (-978 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1053)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-1154)) (-5 *1 (-1008 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-839))) (-5 *1 (-1002 *3 *4)) (-14 *3 (-839)) (-14 *4 (-839))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-108))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-578 *5) *6)) (-4 *5 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *6 (-1125 *5)) (-5 *2 (-578 (-2 (|:| -3897 *5) (|:| -2499 *3)))) (-5 *1 (-739 *5 *6 *3 *7)) (-4 *3 (-593 *6)) (-4 *7 (-593 (-375 *6)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-155)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1100 *3)) (-4 *3 (-889))))) 
-(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-501) "failed") *5)) (-4 *5 (-959)) (-5 *2 (-501)) (-5 *1 (-498 *5 *3)) (-4 *3 (-1125 *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-501) "failed") *4)) (-4 *4 (-959)) (-5 *2 (-501)) (-5 *1 (-498 *4 *3)) (-4 *3 (-1125 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-501) "failed") *4)) (-4 *4 (-959)) (-5 *2 (-501)) (-5 *1 (-498 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *1 *1 *1) (-5 *1 (-146))) ((*1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-146))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-701)) (-5 *1 (-42 *4 *3)) (-4 *3 (-386 *4))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *3 (-1125 *4)) (-5 *1 (-739 *4 *3 *2 *5)) (-4 *2 (-593 *3)) (-4 *5 (-593 (-375 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-375 *5)) (-4 *4 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *5 (-1125 *4)) (-5 *1 (-739 *4 *5 *2 *6)) (-4 *2 (-593 *5)) (-4 *6 (-593 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-346)) (-5 *1 (-92))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-282 (-199))) (-5 *1 (-186))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-1064 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-143 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-777) (-508))) (-5 *1 (-143 *4 *2)) (-4 *2 (-389 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-145)) (-5 *2 (-1070)))) ((*1 *1 *1) (-4 *1 (-145)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-541 *3)) (-4 *3 (-959)))) ((*1 *2 *1) (-12 (-4 *1 (-888 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-722)) (-4 *5 (-777)) (-5 *2 (-107))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-824 *3)) (-4 *3 (-1001)) (-5 *2 (-997 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1001)) (-5 *2 (-997 (-578 *4))) (-5 *1 (-825 *4)) (-5 *3 (-578 *4)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1001)) (-5 *2 (-997 (-997 *4))) (-5 *1 (-825 *4)) (-5 *3 (-997 *4)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-997 *3)) (-5 *1 (-825 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-501))))) (-5 *1 (-373 *3)) (-4 *3 (-508)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-701)) (-4 *3 (-318)) (-4 *5 (-1125 *3)) (-5 *2 (-578 (-1064 *3))) (-5 *1 (-461 *3 *5 *6)) (-4 *6 (-1125 *5))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-999 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-107)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-578 (-940 *5 *6 *7 *8))) (-5 *1 (-940 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-107)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-578 (-1041 *5 *6 *7 *8))) (-5 *1 (-1041 *5 *6 *7 *8))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-108))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-373 (-1064 *1))) (-5 *1 (-282 *4)) (-5 *3 (-1064 *1)) (-4 *4 (-419)) (-4 *4 (-508)) (-4 *4 (-777)))) ((*1 *2 *3) (-12 (-4 *1 (-830)) (-5 *2 (-373 (-1064 *1))) (-5 *3 (-1064 *1))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 *4)) (-5 *1 (-978 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-701)) (-5 *2 (-346)) (-5 *1 (-953))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-1166 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959)) (-4 *4 (-156)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1166 *2 *3)) (-4 *2 (-777)) (-4 *3 (-959)) (-4 *3 (-156))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-49 *2 *3)) (-4 *2 (-959)) (-14 *3 (-578 (-1070))))) ((*1 *1 *1) (-12 (-5 *1 (-197 *2 *3)) (-4 *2 (-13 (-959) (-777))) (-14 *3 (-578 (-1070)))))) 
-(((*1 *1 *1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-1048 *3)) (-4 *3 (-1104)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -1749 *3) (|:| |coef2| (-711 *3)))) (-5 *1 (-711 *3)) (-4 *3 (-508)) (-4 *3 (-959))))) 
-(((*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-786) (-786) (-786))) (-5 *4 (-501)) (-5 *2 (-786)) (-5 *1 (-584 *5 *6 *7)) (-4 *5 (-1001)) (-4 *6 (-23)) (-14 *7 *6))) ((*1 *2 *1 *2) (-12 (-5 *2 (-786)) (-5 *1 (-781 *3 *4 *5)) (-4 *3 (-959)) (-14 *4 (-94 *3)) (-14 *5 (-1 *3 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-199)) (-5 *1 (-786)))) ((*1 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-786)))) ((*1 *1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-786)))) ((*1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-786)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-786)) (-5 *1 (-1064 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-578 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-701)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-723)) (-4 *6 (-870 *4 *3 *5)) (-4 *4 (-419)) (-4 *5 (-777)) (-5 *1 (-417 *4 *3 *5 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-340 *2)) (-4 *5 (-340 *2)) (-4 *2 (-331)) (-5 *1 (-482 *2 *4 *5 *3)) (-4 *3 (-618 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)) (|has| *2 (-6 (-4169 "*"))) (-4 *2 (-959)))) ((*1 *2 *3) (-12 (-4 *4 (-340 *2)) (-4 *5 (-340 *2)) (-4 *2 (-156)) (-5 *1 (-620 *2 *4 *5 *3)) (-4 *3 (-618 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1021 *3 *2 *4 *5)) (-4 *4 (-211 *3 *2)) (-4 *5 (-211 *3 *2)) (|has| *2 (-6 (-4169 "*"))) (-4 *2 (-959))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-301 *5 *6 *7 *8)) (-4 *5 (-389 *4)) (-4 *6 (-1125 *5)) (-4 *7 (-1125 (-375 *6))) (-4 *8 (-310 *5 *6 *7)) (-4 *4 (-13 (-777) (-508) (-950 (-501)))) (-5 *2 (-2 (|:| -3169 (-701)) (|:| -1684 *8))) (-5 *1 (-831 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-301 (-375 (-501)) *4 *5 *6)) (-4 *4 (-1125 (-375 (-501)))) (-4 *5 (-1125 (-375 *4))) (-4 *6 (-310 (-375 (-501)) *4 *5)) (-5 *2 (-2 (|:| -3169 (-701)) (|:| -1684 *6))) (-5 *1 (-832 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1072 (-375 (-501)))) (-5 *1 (-166)) (-5 *3 (-501))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-501)) (-4 *4 (-1125 (-375 *3))) (-5 *2 (-839)) (-5 *1 (-833 *4 *5)) (-4 *5 (-1125 (-375 *4)))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1053)) (-5 *3 (-754)) (-5 *1 (-753))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-155))))) 
-(((*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-649 *2)) (-4 *2 (-331))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-199)) (-5 *2 (-630)) (-5 *1 (-272))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-389 *2)) (-4 *2 (-777)) (-4 *2 (-508)))) ((*1 *1 *1) (-12 (-4 *1 (-906 *2)) (-4 *2 (-508))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1048 (-501))) (-5 *1 (-918 *3)) (-14 *3 (-501))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-1070))) (-5 *2 (-1154)) (-5 *1 (-1073)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-1070))) (-5 *3 (-1070)) (-5 *2 (-1154)) (-5 *1 (-1073)))) ((*1 *2 *3 *4 *1) (-12 (-5 *4 (-578 (-1070))) (-5 *3 (-1070)) (-5 *2 (-1154)) (-5 *1 (-1073))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-972 *3 *4 *2)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-959)) (-4 *2 (-618 *4 *5 *6)) (-5 *1 (-99 *4 *3 *2 *5 *6)) (-4 *3 (-1125 *4)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *1 (-291 *4 *2)) (-4 *4 (-1001)) (-4 *2 (-123))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-578 (-621 (-501)))) (-5 *1 (-1010))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-13 (-777) (-950 (-501)) (-419) (-577 (-501)))) (-5 *2 (-2 (|:| -1711 *3) (|:| |nconst| *3))) (-5 *1 (-518 *5 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *5)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-419) (-134))) (-5 *2 (-373 *3)) (-5 *1 (-95 *4 *3)) (-4 *3 (-1125 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 *3)) (-4 *3 (-1125 *5)) (-4 *5 (-13 (-419) (-134))) (-5 *2 (-373 *3)) (-5 *1 (-95 *5 *3))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1108)) (-4 *5 (-1125 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-375 *5)) (|:| |c2| (-375 *5)) (|:| |deg| (-701)))) (-5 *1 (-135 *4 *5 *3)) (-4 *3 (-1125 (-375 *5)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 (-621 *4))) (-4 *4 (-156)) (-5 *2 (-1148 (-621 (-866 *4)))) (-5 *1 (-165 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1169 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959)) (-5 *2 (-749 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-773)) (-5 *1 (-1170 *3 *2)) (-4 *3 (-959))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-749 *3)) (-4 *3 (-777)) (-5 *1 (-606 *3))))) 
-(((*1 *1) (-12 (-5 *1 (-584 *2 *3 *4)) (-4 *2 (-1001)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107)) (-5 *1 (-467 *3 *4 *5 *6)) (-4 *6 (-870 *3 *4 *5)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-974 *4 *3)) (-4 *4 (-13 (-775) (-331))) (-4 *3 (-1125 *4)) (-5 *2 (-107))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1064 *4)) (-5 *1 (-324 *4)) (-4 *4 (-318))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-578 (-447 *4 *5))) (-5 *3 (-578 (-787 *4))) (-14 *4 (-578 (-1070))) (-4 *5 (-419)) (-5 *1 (-438 *4 *5 *6)) (-4 *6 (-419))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-318)) (-4 *5 (-297 *4)) (-4 *6 (-1125 *5)) (-5 *2 (-578 *3)) (-5 *1 (-707 *4 *5 *6 *3 *7)) (-4 *3 (-1125 *6)) (-14 *7 (-839))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-701)) (-5 *1 (-98 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1072 (-375 (-501)))) (-5 *1 (-166)) (-5 *3 (-501))))) 
-(((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-434)))) ((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-434)))) ((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-845))))) 
-(((*1 *2) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-107))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-948)) (-5 *1 (-767)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-282 (-346)))) (-5 *4 (-578 (-346))) (-5 *2 (-948)) (-5 *1 (-767))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-889)) (-5 *2 (-991 (-199)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-363))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-508)) (-4 *3 (-156)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *1 (-620 *3 *4 *5 *2)) (-4 *2 (-618 *3 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-749 *3)) (-4 *3 (-777)) (-5 *1 (-606 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-276) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *1 (-396 *4 *2)) (-4 *2 (-13 (-1090) (-29 *4))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 *5))) (-5 *4 (-1070)) (-4 *5 (-134)) (-4 *5 (-13 (-419) (-950 (-501)) (-777) (-577 (-501)))) (-5 *2 (-282 *5)) (-5 *1 (-535 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1138 *3)) (-4 *3 (-1104)) (-5 *2 (-701))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-107))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3189 *3) (|:| |gap| (-701)) (|:| -3236 (-711 *3)) (|:| -1852 (-711 *3)))) (-5 *1 (-711 *3)) (-4 *3 (-959)))) ((*1 *2 *1 *1 *3) (-12 (-4 *4 (-959)) (-4 *5 (-723)) (-4 *3 (-777)) (-5 *2 (-2 (|:| -3189 *1) (|:| |gap| (-701)) (|:| -3236 *1) (|:| -1852 *1))) (-4 *1 (-972 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-2 (|:| -3189 *1) (|:| |gap| (-701)) (|:| -3236 *1) (|:| -1852 *1))) (-4 *1 (-972 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1044 *3)) (-4 *3 (-1104)) (-5 *2 (-107))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-839)) (-5 *4 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1151))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-144 *2)) (-4 *2 (-500)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-886))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-701)) (-4 *6 (-1001)) (-4 *7 (-820 *6)) (-5 *2 (-621 *7)) (-5 *1 (-623 *6 *7 *3 *4)) (-4 *3 (-340 *7)) (-4 *4 (-13 (-340 *6) (-10 -7 (-6 -4167))))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-578 (-199))) (-5 *1 (-180))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-701)) (-4 *4 (-508)) (-5 *1 (-885 *4 *2)) (-4 *2 (-1125 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-1153)))) ((*1 *2 *2) (-12 (-5 *2 (-839)) (-5 *1 (-1153))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-419)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-578 *3)) (-5 *1 (-892 *4 *5 *6 *3)) (-4 *3 (-972 *4 *5 *6))))) 
-(((*1 *1 *1) (-5 *1 (-199))) ((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *1 *1) (-5 *1 (-346))) ((*1 *1) (-5 *1 (-346)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-501))) (-5 *4 (-501)) (-5 *2 (-50)) (-5 *1 (-919))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-501)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *8 (-276)) (-4 *9 (-870 *8 *6 *7)) (-5 *2 (-2 (|:| -2663 (-1064 *9)) (|:| |polval| (-1064 *8)))) (-5 *1 (-673 *6 *7 *8 *9)) (-5 *3 (-1064 *9)) (-5 *4 (-1064 *8))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1070)) (-5 *4 (-866 (-501))) (-5 *2 (-298)) (-5 *1 (-300))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-375 (-501))) (-4 *4 (-950 (-501))) (-4 *4 (-13 (-777) (-508))) (-5 *1 (-31 *4 *2)) (-4 *2 (-389 *4)))) ((*1 *1 *1 *1) (-5 *1 (-125))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-143 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *1 *1 *1) (-5 *1 (-199))) ((*1 *1 *1 *2) (-12 (-4 *1 (-216)) (-5 *2 (-501)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-375 (-501))) (-4 *4 (-331)) (-4 *4 (-37 *3)) (-4 *5 (-1142 *4)) (-5 *1 (-249 *4 *5 *2)) (-4 *2 (-1113 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-375 (-501))) (-4 *4 (-331)) (-4 *4 (-37 *3)) (-4 *5 (-1111 *4)) (-5 *1 (-250 *4 *5 *2 *6)) (-4 *2 (-1134 *4 *5)) (-4 *6 (-898 *5)))) ((*1 *1 *1 *1) (-4 *1 (-254))) ((*1 *1 *2 *3) (-12 (-5 *3 (-501)) (-5 *1 (-329 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *1) (-5 *1 (-346))) ((*1 *1 *2 *3) (-12 (-5 *3 (-701)) (-5 *1 (-354 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-389 *3)) (-4 *3 (-777)) (-4 *3 (-1012)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-440)) (-5 *2 (-501)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-467 *3 *4 *5 *6)) (-4 *6 (-870 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1148 *4)) (-5 *3 (-501)) (-4 *4 (-318)) (-5 *1 (-485 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-490)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-490)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-701)) (-4 *4 (-1001)) (-5 *1 (-614 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-4 *3 (-331)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-621 *4)) (-5 *3 (-701)) (-4 *4 (-959)) (-5 *1 (-622 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-4 *3 (-959)) (-5 *1 (-645 *3 *4)) (-4 *4 (-583 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-108)) (-5 *3 (-501)) (-4 *4 (-959)) (-5 *1 (-645 *4 *5)) (-4 *5 (-583 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-651)) (-5 *2 (-839)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-653)) (-5 *2 (-701)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-657)) (-5 *2 (-701)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-701)) (-5 *1 (-749 *2)) (-4 *2 (-777)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-764 *3)) (-4 *3 (-959)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-108)) (-5 *3 (-501)) (-5 *1 (-764 *4)) (-4 *4 (-959)))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1 *1) (-12 (-5 *1 (-810 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-810 *3)) (-4 *3 (-1001)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-916)) (-5 *2 (-375 (-501))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1012)) (-5 *2 (-839)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-1021 *3 *4 *5 *6)) (-4 *4 (-959)) (-4 *5 (-211 *3 *4)) (-4 *6 (-211 *3 *4)) (-4 *4 (-331)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1142 *2)) (-4 *2 (-959)) (-4 *2 (-331))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-918 *3)) (-14 *3 (-501))))) 
-(((*1 *1 *1) (-4 *1 (-130))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-143 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *2 *2) (-12 (-5 *1 (-144 *2)) (-4 *2 (-500))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *2) (-12 (-4 *3 (-959)) (-5 *2 (-877 (-643 *3 *4))) (-5 *1 (-643 *3 *4)) (-4 *4 (-1125 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-939 (-769 (-501)))) (-5 *1 (-540 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1036 *2 *3)) (-4 *2 (-13 (-1001) (-33))) (-4 *3 (-13 (-1001) (-33)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-229))))) 
-(((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-501)) (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1059 *2 *3)) (-14 *2 (-839)) (-4 *3 (-959))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-959)) (-5 *2 (-578 *1)) (-4 *1 (-1032 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-55 *3 *4 *5)) (-4 *3 (-1104)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-5 *2 (-701))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-276)) (-5 *2 (-373 *3)) (-5 *1 (-673 *4 *5 *6 *3)) (-4 *3 (-870 *6 *4 *5))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-419)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-892 *3 *4 *5 *6))))) 
-(((*1 *1) (-5 *1 (-298)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-701)) (-5 *1 (-42 *4 *3)) (-4 *3 (-386 *4))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-134)) (-4 *3 (-276)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-892 *3 *4 *5 *6))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1091 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-346)) (-5 *1 (-715 *3)) (-4 *3 (-556 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-839)) (-5 *2 (-346)) (-5 *1 (-715 *3)) (-4 *3 (-556 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-866 *4)) (-4 *4 (-959)) (-4 *4 (-556 *2)) (-5 *2 (-346)) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-866 *5)) (-5 *4 (-839)) (-4 *5 (-959)) (-4 *5 (-556 *2)) (-5 *2 (-346)) (-5 *1 (-715 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-375 (-866 *4))) (-4 *4 (-508)) (-4 *4 (-556 *2)) (-5 *2 (-346)) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 *5))) (-5 *4 (-839)) (-4 *5 (-508)) (-4 *5 (-556 *2)) (-5 *2 (-346)) (-5 *1 (-715 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-282 *4)) (-4 *4 (-508)) (-4 *4 (-777)) (-4 *4 (-556 *2)) (-5 *2 (-346)) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-282 *5)) (-5 *4 (-839)) (-4 *5 (-508)) (-4 *5 (-777)) (-4 *5 (-556 *2)) (-5 *2 (-346)) (-5 *1 (-715 *5))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1148 (-578 *3))) (-4 *4 (-276)) (-5 *2 (-578 *3)) (-5 *1 (-422 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1064 *9)) (-5 *4 (-578 *7)) (-5 *5 (-578 *8)) (-4 *7 (-777)) (-4 *8 (-959)) (-4 *9 (-870 *8 *6 *7)) (-4 *6 (-723)) (-5 *2 (-1064 *8)) (-5 *1 (-289 *6 *7 *8 *9))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1148 *3)) (-4 *3 (-959)) (-5 *1 (-643 *3 *4)) (-4 *4 (-1125 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-199)) (-5 *1 (-30)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-373 *4) *4)) (-4 *4 (-508)) (-5 *2 (-373 *4)) (-5 *1 (-387 *4)))) ((*1 *1 *1) (-5 *1 (-845))) ((*1 *1 *1 *2) (-12 (-5 *2 (-991 (-199))) (-5 *1 (-845)))) ((*1 *1 *1) (-5 *1 (-847))) ((*1 *1 *1 *2) (-12 (-5 *2 (-991 (-199))) (-5 *1 (-847)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501))))) (-5 *4 (-375 (-501))) (-5 *1 (-934 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501))))) (-5 *1 (-934 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501))))) (-5 *4 (-375 (-501))) (-5 *1 (-935 *3)) (-4 *3 (-1125 *4)))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501))))) (-5 *1 (-935 *3)) (-4 *3 (-1125 (-375 (-501)))))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-775) (-331))) (-5 *1 (-968 *2 *3)) (-4 *3 (-1125 *2))))) 
-(((*1 *1 *1 *2) (-12 (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-467 *3 *4 *5 *2)) (-4 *2 (-870 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-331)) (-4 *3 (-723)) (-4 *4 (-777)) (-5 *1 (-467 *2 *3 *4 *5)) (-4 *5 (-870 *2 *3 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-361)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-1084))))) 
-(((*1 *2) (-12 (-4 *3 (-13 (-777) (-508) (-950 (-501)))) (-5 *2 (-1154)) (-5 *1 (-401 *3 *4)) (-4 *4 (-389 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-1082 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001))))) 
-(((*1 *1 *1 *1) (-5 *1 (-107)))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-513)))) ((*1 *2 *3) (-12 (-5 *2 (-1064 (-375 (-501)))) (-5 *1 (-862)) (-5 *3 (-501))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *6)) (-5 *4 (-578 (-1070))) (-4 *6 (-331)) (-5 *2 (-578 (-262 (-866 *6)))) (-5 *1 (-493 *5 *6 *7)) (-4 *5 (-419)) (-4 *7 (-13 (-331) (-775)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *1) (-5 *1 (-754)))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-779 *2)) (-4 *2 (-959)) (-4 *2 (-331))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-777) (-508))) (-5 *2 (-107)) (-5 *1 (-247 *4 *3)) (-4 *3 (-13 (-389 *4) (-916)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-578 *3)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-107)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *8 (-777)) (-4 *3 (-972 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-578 *4)) (|:| |todo| (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))))) (-5 *1 (-975 *6 *7 *8 *3 *4)) (-4 *4 (-977 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-578 *4)) (|:| |todo| (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))))) (-5 *1 (-1040 *5 *6 *7 *3 *4)) (-4 *4 (-1009 *5 *6 *7 *3))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-276)) (-5 *1 (-422 *3 *2)) (-4 *2 (-1125 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-276)) (-5 *1 (-427 *3 *2)) (-4 *2 (-1125 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-276)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-701))) (-5 *1 (-494 *3 *2 *4 *5)) (-4 *2 (-1125 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-405))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-701)) (-4 *5 (-508)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-885 *5 *3)) (-4 *3 (-1125 *5))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-1001))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-340 *2)) (-4 *2 (-1104)) (-4 *2 (-777)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-107) *3 *3)) (-4 *1 (-340 *3)) (-4 *3 (-1104)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-884 *2)) (-4 *2 (-777)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1032 *2)) (-4 *2 (-959)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *1)) (-4 *1 (-1032 *3)) (-4 *3 (-959)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-1059 *3 *4))) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-1059 *2 *3)) (-14 *2 (-839)) (-4 *3 (-959))))) 
-(((*1 *1 *1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-578 *2) *2 *2 *2)) (-4 *2 (-1001)) (-5 *1 (-98 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1001)) (-5 *1 (-98 *2))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1070)) (-5 *6 (-107)) (-4 *7 (-13 (-276) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-4 *3 (-13 (-1090) (-879) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-769 *3)) (|:| |f2| (-578 (-769 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-193 *7 *3)) (-5 *5 (-769 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-701)) (-5 *1 (-783 *2)) (-4 *2 (-156)))) ((*1 *2 *3 *3 *2) (-12 (-5 *3 (-701)) (-5 *1 (-783 *2)) (-4 *2 (-156))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-287 *3 *4 *5)) (-4 *3 (-13 (-331) (-777))) (-14 *4 (-1070)) (-14 *5 *3)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-126 *3 *4 *5)) (-14 *3 (-501)) (-14 *4 (-701)) (-4 *5 (-156))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-578 (-863 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-863 *3))) (-4 *3 (-959)) (-4 *1 (-1032 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-578 *3))) (-4 *1 (-1032 *3)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-863 *3))) (-4 *1 (-1032 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-419)) (-4 *3 (-777)) (-4 *3 (-950 (-501))) (-4 *3 (-508)) (-5 *1 (-40 *3 *2)) (-4 *2 (-389 *3)) (-4 *2 (-13 (-331) (-267) (-10 -8 (-15 -2946 ((-1023 *3 (-553 $)) $)) (-15 -2949 ((-1023 *3 (-553 $)) $)) (-15 -3691 ($ (-1023 *3 (-553 $)))))))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-578 *7)) (-5 *5 (-578 (-578 *8))) (-4 *7 (-777)) (-4 *8 (-276)) (-4 *6 (-723)) (-4 *9 (-870 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-578 (-2 (|:| -3739 (-1064 *9)) (|:| -3027 (-501))))))) (-5 *1 (-673 *6 *7 *8 *9)) (-5 *3 (-1064 *9))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-373 *3)) (-5 *1 (-38 *3)) (-4 *3 (-1125 (-47))))) ((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-116 *3)) (|:| |greater| (-116 *3)))) (-5 *1 (-116 *3)) (-4 *3 (-777)))) ((*1 *2 *2) (-12 (-5 *2 (-530 *4)) (-4 *4 (-13 (-29 *3) (-1090))) (-4 *3 (-13 (-419) (-950 (-501)) (-777) (-577 (-501)))) (-5 *1 (-532 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-530 (-375 (-866 *3)))) (-4 *3 (-13 (-419) (-950 (-501)) (-777) (-577 (-501)))) (-5 *1 (-535 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1125 *5)) (-4 *5 (-331)) (-5 *2 (-2 (|:| -2091 *3) (|:| |special| *3))) (-5 *1 (-658 *5 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1148 *5)) (-4 *5 (-331)) (-4 *5 (-959)) (-5 *2 (-578 (-578 (-621 *5)))) (-5 *1 (-943 *5)) (-5 *3 (-578 (-621 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1148 (-1148 *5))) (-4 *5 (-331)) (-4 *5 (-959)) (-5 *2 (-578 (-578 (-621 *5)))) (-5 *1 (-943 *5)) (-5 *3 (-578 (-621 *5))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-128)) (-5 *2 (-578 *1)) (-4 *1 (-1039)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-131)) (-5 *2 (-578 *1)) (-4 *1 (-1039))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-1070))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1147 *2)) (-4 *2 (-1104)) (-4 *2 (-916)) (-4 *2 (-959))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-924 *3)) (-4 *3 (-1104)) (-4 *3 (-1001)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1118 *5 *4)) (-4 *4 (-750)) (-14 *5 (-1070)) (-5 *2 (-578 *4)) (-5 *1 (-1014 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-501))) (-5 *1 (-957))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-578 *2)) (-4 *2 (-1104)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1048 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-1018)) (-5 *1 (-104))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-584 *2 *3 *4)) (-4 *2 (-1001)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-375 *5)) (-4 *4 (-1108)) (-4 *5 (-1125 *4)) (-5 *1 (-135 *4 *5 *2)) (-4 *2 (-1125 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1072 (-375 (-501)))) (-5 *2 (-375 (-501))) (-5 *1 (-166)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-621 (-282 (-199)))) (-5 *3 (-578 (-1070))) (-5 *4 (-1148 (-282 (-199)))) (-5 *1 (-181)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-262 *3))) (-4 *3 (-278 *3)) (-4 *3 (-1001)) (-4 *3 (-1104)) (-5 *1 (-262 *3)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-278 *2)) (-4 *2 (-1001)) (-4 *2 (-1104)) (-5 *1 (-262 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-108)) (-5 *3 (-1 *1 *1)) (-4 *1 (-267)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-108)) (-5 *3 (-1 *1 (-578 *1))) (-4 *1 (-267)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-108))) (-5 *3 (-578 (-1 *1 (-578 *1)))) (-4 *1 (-267)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-108))) (-5 *3 (-578 (-1 *1 *1))) (-4 *1 (-267)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1 *1 *1)) (-4 *1 (-267)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1 *1 (-578 *1))) (-4 *1 (-267)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-1070))) (-5 *3 (-578 (-1 *1 (-578 *1)))) (-4 *1 (-267)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-1070))) (-5 *3 (-578 (-1 *1 *1))) (-4 *1 (-267)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-262 *3))) (-4 *1 (-278 *3)) (-4 *3 (-1001)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-262 *3)) (-4 *1 (-278 *3)) (-4 *3 (-1001)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-501))) (-5 *4 (-1072 (-375 (-501)))) (-5 *1 (-279 *2)) (-4 *2 (-37 (-375 (-501)))))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 *4)) (-5 *3 (-578 *1)) (-4 *1 (-342 *4 *5)) (-4 *4 (-777)) (-4 *5 (-156)))) ((*1 *1 *1 *2 *1) (-12 (-4 *1 (-342 *2 *3)) (-4 *2 (-777)) (-4 *3 (-156)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1070)) (-5 *3 (-701)) (-5 *4 (-1 *1 *1)) (-4 *1 (-389 *5)) (-4 *5 (-777)) (-4 *5 (-959)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1070)) (-5 *3 (-701)) (-5 *4 (-1 *1 (-578 *1))) (-4 *1 (-389 *5)) (-4 *5 (-777)) (-4 *5 (-959)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-578 (-1070))) (-5 *3 (-578 (-701))) (-5 *4 (-578 (-1 *1 (-578 *1)))) (-4 *1 (-389 *5)) (-4 *5 (-777)) (-4 *5 (-959)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-578 (-1070))) (-5 *3 (-578 (-701))) (-5 *4 (-578 (-1 *1 *1))) (-4 *1 (-389 *5)) (-4 *5 (-777)) (-4 *5 (-959)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-578 (-108))) (-5 *3 (-578 *1)) (-5 *4 (-1070)) (-4 *1 (-389 *5)) (-4 *5 (-777)) (-4 *5 (-556 (-490))))) ((*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-108)) (-5 *3 (-1070)) (-4 *1 (-389 *4)) (-4 *4 (-777)) (-4 *4 (-556 (-490))))) ((*1 *1 *1) (-12 (-4 *1 (-389 *2)) (-4 *2 (-777)) (-4 *2 (-556 (-490))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-1070))) (-4 *1 (-389 *3)) (-4 *3 (-777)) (-4 *3 (-556 (-490))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1070)) (-4 *1 (-389 *3)) (-4 *3 (-777)) (-4 *3 (-556 (-490))))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-1104)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 *4)) (-5 *3 (-578 *5)) (-4 *1 (-476 *4 *5)) (-4 *4 (-1001)) (-4 *5 (-1104)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-762 *3)) (-4 *3 (-331)) (-5 *1 (-649 *3)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-649 *2)) (-4 *2 (-331)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-824 *2)) (-4 *2 (-1001)))) ((*1 *2 *2 *3 *2) (-12 (-5 *2 (-375 (-866 *4))) (-5 *3 (-1070)) (-4 *4 (-508)) (-5 *1 (-952 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-578 (-1070))) (-5 *4 (-578 (-375 (-866 *5)))) (-5 *2 (-375 (-866 *5))) (-4 *5 (-508)) (-5 *1 (-952 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-262 (-375 (-866 *4)))) (-5 *2 (-375 (-866 *4))) (-4 *4 (-508)) (-5 *1 (-952 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-578 (-262 (-375 (-866 *4))))) (-5 *2 (-375 (-866 *4))) (-4 *4 (-508)) (-5 *1 (-952 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1128 *3 *4)) (-4 *3 (-959)) (-4 *4 (-722)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1048 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-578 (-621 *4))) (-5 *2 (-621 *4)) (-4 *4 (-959)) (-5 *1 (-943 *4))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1070)) (-5 *3 (-402)) (-4 *5 (-777)) (-5 *1 (-1006 *5 *4)) (-4 *4 (-389 *5))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-501)) (-5 *1 (-627 *2)) (-4 *2 (-1125 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-839)) (-5 *1 (-324 *3)) (-4 *3 (-318))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1171 *4 *2)) (-4 *1 (-342 *4 *2)) (-4 *4 (-777)) (-4 *2 (-156)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1166 *3 *2)) (-4 *3 (-777)) (-4 *2 (-959)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-749 *4)) (-4 *1 (-1166 *4 *2)) (-4 *4 (-777)) (-4 *2 (-959)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-959)) (-5 *1 (-1170 *2 *3)) (-4 *3 (-773))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-993 (-769 *3))) (-4 *3 (-13 (-1090) (-879) (-29 *5))) (-4 *5 (-13 (-276) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *2 (-3 (|:| |f1| (-769 *3)) (|:| |f2| (-578 (-769 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-193 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-993 (-769 *3))) (-5 *5 (-1053)) (-4 *3 (-13 (-1090) (-879) (-29 *6))) (-4 *6 (-13 (-276) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *2 (-3 (|:| |f1| (-769 *3)) (|:| |f2| (-578 (-769 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-193 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 *5))) (-5 *4 (-993 (-769 (-282 *5)))) (-4 *5 (-13 (-276) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *2 (-3 (|:| |f1| (-769 (-282 *5))) (|:| |f2| (-578 (-769 (-282 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-194 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-375 (-866 *6))) (-5 *4 (-993 (-769 (-282 *6)))) (-5 *5 (-1053)) (-4 *6 (-13 (-276) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *2 (-3 (|:| |f1| (-769 (-282 *6))) (|:| |f2| (-578 (-769 (-282 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-194 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-993 (-769 (-375 (-866 *5))))) (-5 *3 (-375 (-866 *5))) (-4 *5 (-13 (-276) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *2 (-3 (|:| |f1| (-769 (-282 *5))) (|:| |f2| (-578 (-769 (-282 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-194 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-993 (-769 (-375 (-866 *6))))) (-5 *5 (-1053)) (-5 *3 (-375 (-866 *6))) (-4 *6 (-13 (-276) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *2 (-3 (|:| |f1| (-769 (-282 *6))) (|:| |f2| (-578 (-769 (-282 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-194 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-13 (-276) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *2 (-3 *3 (-578 *3))) (-5 *1 (-398 *5 *3)) (-4 *3 (-13 (-1090) (-879) (-29 *5))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-441 *3 *4 *5)) (-4 *3 (-37 (-375 (-501)))) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-282 (-346))) (-5 *4 (-991 (-769 (-346)))) (-5 *5 (-346)) (-5 *6 (-970)) (-5 *2 (-948)) (-5 *1 (-516)))) ((*1 *2 *3) (-12 (-5 *3 (-699)) (-5 *2 (-948)) (-5 *1 (-516)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-282 (-346))) (-5 *4 (-991 (-769 (-346)))) (-5 *5 (-346)) (-5 *2 (-948)) (-5 *1 (-516)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-282 (-346))) (-5 *4 (-991 (-769 (-346)))) (-5 *5 (-346)) (-5 *2 (-948)) (-5 *1 (-516)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-282 (-346))) (-5 *4 (-991 (-769 (-346)))) (-5 *2 (-948)) (-5 *1 (-516)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-282 (-346))) (-5 *4 (-578 (-991 (-769 (-346))))) (-5 *2 (-948)) (-5 *1 (-516)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-282 (-346))) (-5 *4 (-578 (-991 (-769 (-346))))) (-5 *5 (-346)) (-5 *2 (-948)) (-5 *1 (-516)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-282 (-346))) (-5 *4 (-578 (-991 (-769 (-346))))) (-5 *5 (-346)) (-5 *2 (-948)) (-5 *1 (-516)))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-282 (-346))) (-5 *4 (-578 (-991 (-769 (-346))))) (-5 *5 (-346)) (-5 *6 (-970)) (-5 *2 (-948)) (-5 *1 (-516)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-282 (-346))) (-5 *4 (-993 (-769 (-346)))) (-5 *5 (-1053)) (-5 *2 (-948)) (-5 *1 (-516)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-282 (-346))) (-5 *4 (-993 (-769 (-346)))) (-5 *5 (-1070)) (-5 *2 (-948)) (-5 *1 (-516)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-331) (-134) (-950 (-501)))) (-4 *5 (-1125 *4)) (-5 *2 (-530 (-375 *5))) (-5 *1 (-519 *4 *5)) (-5 *3 (-375 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 *5))) (-5 *4 (-1070)) (-4 *5 (-134)) (-4 *5 (-13 (-419) (-950 (-501)) (-777) (-577 (-501)))) (-5 *2 (-3 (-282 *5) (-578 (-282 *5)))) (-5 *1 (-535 *5)))) ((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-671 *3 *2)) (-4 *3 (-959)) (-4 *2 (-777)) (-4 *3 (-37 (-375 (-501)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-866 *3)) (-4 *3 (-37 (-375 (-501)))) (-4 *3 (-959)))) ((*1 *1 *1 *2 *3) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *3 (-959)) (-4 *2 (-777)) (-5 *1 (-1024 *3 *2 *4)) (-4 *4 (-870 *3 (-487 *2) *2)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1061 *3 *4 *5)) (-4 *3 (-37 (-375 (-501)))) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1067 *3 *4 *5)) (-4 *3 (-37 (-375 (-501)))) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1068 *3 *4 *5)) (-4 *3 (-37 (-375 (-501)))) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *1 (-1097 *3)) (-4 *3 (-37 (-375 (-501)))) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1109 *3 *4 *5)) (-4 *3 (-37 (-375 (-501)))) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *1 *2) (-1405 (-12 (-5 *2 (-1070)) (-4 *1 (-1111 *3)) (-4 *3 (-959)) (-12 (-4 *3 (-29 (-501))) (-4 *3 (-879)) (-4 *3 (-1090)) (-4 *3 (-37 (-375 (-501)))))) (-12 (-5 *2 (-1070)) (-4 *1 (-1111 *3)) (-4 *3 (-959)) (-12 (|has| *3 (-15 -3800 ((-578 *2) *3))) (|has| *3 (-15 -3188 (*3 *3 *2))) (-4 *3 (-37 (-375 (-501)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1111 *2)) (-4 *2 (-959)) (-4 *2 (-37 (-375 (-501)))))) ((*1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-959)) (-4 *2 (-37 (-375 (-501)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1130 *3 *4 *5)) (-4 *3 (-37 (-375 (-501)))) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *1 *2) (-1405 (-12 (-5 *2 (-1070)) (-4 *1 (-1132 *3)) (-4 *3 (-959)) (-12 (-4 *3 (-29 (-501))) (-4 *3 (-879)) (-4 *3 (-1090)) (-4 *3 (-37 (-375 (-501)))))) (-12 (-5 *2 (-1070)) (-4 *1 (-1132 *3)) (-4 *3 (-959)) (-12 (|has| *3 (-15 -3800 ((-578 *2) *3))) (|has| *3 (-15 -3188 (*3 *3 *2))) (-4 *3 (-37 (-375 (-501)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1132 *2)) (-4 *2 (-959)) (-4 *2 (-37 (-375 (-501)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1139 *3 *4 *5)) (-4 *3 (-37 (-375 (-501)))) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *1 *2) (-1405 (-12 (-5 *2 (-1070)) (-4 *1 (-1142 *3)) (-4 *3 (-959)) (-12 (-4 *3 (-29 (-501))) (-4 *3 (-879)) (-4 *3 (-1090)) (-4 *3 (-37 (-375 (-501)))))) (-12 (-5 *2 (-1070)) (-4 *1 (-1142 *3)) (-4 *3 (-959)) (-12 (|has| *3 (-15 -3800 ((-578 *2) *3))) (|has| *3 (-15 -3188 (*3 *3 *2))) (-4 *3 (-37 (-375 (-501)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1142 *2)) (-4 *2 (-959)) (-4 *2 (-37 (-375 (-501))))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-578 (-578 (-199)))) (-5 *4 (-199)) (-5 *2 (-578 (-863 *4))) (-5 *1 (-1101)) (-5 *3 (-863 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-839))) (-5 *1 (-1002 *3 *4)) (-14 *3 (-839)) (-14 *4 (-839))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-500)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-318)) (-4 *4 (-297 *3)) (-4 *5 (-1125 *4)) (-5 *1 (-707 *3 *4 *5 *2 *6)) (-4 *2 (-1125 *5)) (-14 *6 (-839)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-1165 *3)) (-4 *3 (-331)) (-4 *3 (-336)))) ((*1 *1 *1) (-12 (-4 *1 (-1165 *2)) (-4 *2 (-331)) (-4 *2 (-336))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-1100 *3)) (-4 *3 (-889))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-419))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-977 *4 *5 *6 *3)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-107))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-4 *4 (-959)) (-5 *2 (-2 (|:| -3236 *1) (|:| -1852 *1))) (-4 *1 (-1125 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-375 (-866 *3))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *1 *1 *1) (|partial| -4 *1 (-123)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-800 *6)) (-5 *4 (-993 (-346))) (-5 *5 (-578 (-232))) (-4 *6 (-13 (-556 (-490)) (-1001))) (-5 *2 (-1031 (-199))) (-5 *1 (-226 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-800 *5)) (-5 *4 (-993 (-346))) (-4 *5 (-13 (-556 (-490)) (-1001))) (-5 *2 (-1031 (-199))) (-5 *1 (-226 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-993 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1031 (-199))) (-5 *1 (-226 *3)) (-4 *3 (-13 (-556 (-490)) (-1001))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-993 (-346))) (-5 *2 (-1031 (-199))) (-5 *1 (-226 *3)) (-4 *3 (-13 (-556 (-490)) (-1001))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-802 *6)) (-5 *4 (-993 (-346))) (-5 *5 (-578 (-232))) (-4 *6 (-13 (-556 (-490)) (-1001))) (-5 *2 (-1031 (-199))) (-5 *1 (-226 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-802 *5)) (-5 *4 (-993 (-346))) (-4 *5 (-13 (-556 (-490)) (-1001))) (-5 *2 (-1031 (-199))) (-5 *1 (-226 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-800 (-1 (-199) (-199)))) (-5 *4 (-991 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1031 (-199))) (-5 *1 (-227)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-800 (-1 (-199) (-199)))) (-5 *4 (-991 (-346))) (-5 *2 (-1031 (-199))) (-5 *1 (-227)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-863 (-199)) (-199))) (-5 *4 (-991 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1031 (-199))) (-5 *1 (-227)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-863 (-199)) (-199))) (-5 *4 (-991 (-346))) (-5 *2 (-1031 (-199))) (-5 *1 (-227)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-199) (-199) (-199))) (-5 *4 (-991 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1031 (-199))) (-5 *1 (-227)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-199) (-199) (-199))) (-5 *4 (-991 (-346))) (-5 *2 (-1031 (-199))) (-5 *1 (-227)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-863 (-199)) (-199) (-199))) (-5 *4 (-991 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1031 (-199))) (-5 *1 (-227)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-863 (-199)) (-199) (-199))) (-5 *4 (-991 (-346))) (-5 *2 (-1031 (-199))) (-5 *1 (-227)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-802 (-1 (-199) (-199) (-199)))) (-5 *4 (-991 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1031 (-199))) (-5 *1 (-227)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-802 (-1 (-199) (-199) (-199)))) (-5 *4 (-991 (-346))) (-5 *2 (-1031 (-199))) (-5 *1 (-227))))) 
-(((*1 *2 *3 *3) (-12 (-4 *2 (-508)) (-5 *1 (-885 *2 *3)) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-131))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-950 (-501))) (-4 *1 (-267)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-500)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-822 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1003)) (-5 *1 (-298))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-608 *3)) (-4 *3 (-1104)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-224 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-777)) (-4 *5 (-237 *4)) (-4 *6 (-723)) (-5 *2 (-701)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-224 *4 *3 *5 *6)) (-4 *4 (-959)) (-4 *3 (-777)) (-4 *5 (-237 *3)) (-4 *6 (-723)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-237 *3)) (-4 *3 (-777)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-318)) (-5 *2 (-839)))) ((*1 *2 *3) (-12 (-5 *3 (-301 *4 *5 *6 *7)) (-4 *4 (-13 (-336) (-331))) (-4 *5 (-1125 *4)) (-4 *6 (-1125 (-375 *5))) (-4 *7 (-310 *4 *5 *6)) (-5 *2 (-701)) (-5 *1 (-360 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-4 *1 (-370)) (-5 *2 (-762 (-839))))) ((*1 *2 *1) (-12 (-4 *1 (-372)) (-5 *2 (-501)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-541 *3)) (-4 *3 (-959)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-541 *3)) (-4 *3 (-959)))) ((*1 *2 *1) (-12 (-4 *3 (-508)) (-5 *2 (-501)) (-5 *1 (-562 *3 *4)) (-4 *4 (-1125 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-701)) (-4 *1 (-671 *4 *3)) (-4 *4 (-959)) (-4 *3 (-777)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-671 *4 *3)) (-4 *4 (-959)) (-4 *3 (-777)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-792 *3)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-822 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-825 *3)) (-4 *3 (-1001)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-301 *5 *6 *7 *8)) (-4 *5 (-389 *4)) (-4 *6 (-1125 *5)) (-4 *7 (-1125 (-375 *6))) (-4 *8 (-310 *5 *6 *7)) (-4 *4 (-13 (-777) (-508) (-950 (-501)))) (-5 *2 (-701)) (-5 *1 (-831 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-301 (-375 (-501)) *4 *5 *6)) (-4 *4 (-1125 (-375 (-501)))) (-4 *5 (-1125 (-375 *4))) (-4 *6 (-310 (-375 (-501)) *4 *5)) (-5 *2 (-701)) (-5 *1 (-832 *4 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-301 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-331)) (-4 *7 (-1125 *6)) (-4 *4 (-1125 (-375 *7))) (-4 *8 (-310 *6 *7 *4)) (-4 *9 (-13 (-336) (-331))) (-5 *2 (-701)) (-5 *1 (-932 *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-959)) (-4 *3 (-508)) (-5 *2 (-701)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1128 *3 *2)) (-4 *3 (-959)) (-4 *2 (-722)))) ((*1 *2 *1) (-12 (-4 *1 (-1128 *3 *2)) (-4 *3 (-959)) (-4 *2 (-722))))) 
-(((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-375 (-866 *4))) (-4 *4 (-276)) (-5 *2 (-375 (-373 (-866 *4)))) (-5 *1 (-955 *4))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1001)) (-4 *3 (-820 *5)) (-5 *2 (-621 *3)) (-5 *1 (-623 *5 *3 *6 *4)) (-4 *6 (-340 *3)) (-4 *4 (-13 (-340 *5) (-10 -7 (-6 -4167))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-357)) (-5 *2 (-107))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *2 (-972 *4 *5 *6)) (-5 *1 (-706 *4 *5 *6 *2 *3)) (-4 *3 (-977 *4 *5 *6 *2))))) 
-(((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-346)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-56 *6)) (-4 *6 (-1104)) (-4 *5 (-1104)) (-5 *2 (-56 *5)) (-5 *1 (-57 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-212 *6 *7)) (-14 *6 (-701)) (-4 *7 (-1104)) (-4 *5 (-1104)) (-5 *2 (-212 *6 *5)) (-5 *1 (-213 *6 *7 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1104)) (-4 *5 (-1104)) (-4 *2 (-340 *5)) (-5 *1 (-341 *6 *4 *5 *2)) (-4 *4 (-340 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1001)) (-4 *5 (-1001)) (-4 *2 (-394 *5)) (-5 *1 (-395 *6 *4 *5 *2)) (-4 *4 (-394 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-578 *6)) (-4 *6 (-1104)) (-4 *5 (-1104)) (-5 *2 (-578 *5)) (-5 *1 (-579 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-877 *6)) (-4 *6 (-1104)) (-4 *5 (-1104)) (-5 *2 (-877 *5)) (-5 *1 (-878 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1048 *6)) (-4 *6 (-1104)) (-4 *3 (-1104)) (-5 *2 (-1048 *3)) (-5 *1 (-1050 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1148 *6)) (-4 *6 (-1104)) (-4 *5 (-1104)) (-5 *2 (-1148 *5)) (-5 *1 (-1149 *6 *5))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-214)) (-5 *3 (-1053)))) ((*1 *2 *2) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-214)))) ((*1 *1 *2) (-12 (-5 *2 (-142)) (-5 *1 (-795))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-834 *3)) (-4 *3 (-276))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-329 *3)) (-4 *3 (-1001)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-5 *2 (-701)) (-5 *1 (-354 *4)) (-4 *4 (-1001)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *2 (-23)) (-5 *1 (-584 *4 *2 *5)) (-4 *4 (-1001)) (-14 *5 *2))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-5 *2 (-701)) (-5 *1 (-749 *4)) (-4 *4 (-777))))) 
-(((*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *3 (-508))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-262 *2)) (-4 *2 (-657)) (-4 *2 (-1104))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1001)) (-5 *1 (-98 *3))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-33)) (-5 *3 (-701)) (-5 *2 (-107)))) ((*1 *2 *3 *3) (|partial| -12 (-5 *2 (-107)) (-5 *1 (-1105 *3)) (-4 *3 (-1001)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-107) *3 *3)) (-4 *3 (-1001)) (-5 *2 (-107)) (-5 *1 (-1105 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-404))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-107)) (-5 *1 (-759))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-993 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1151)) (-5 *1 (-226 *3)) (-4 *3 (-13 (-556 (-490)) (-1001))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-993 (-346))) (-5 *2 (-1151)) (-5 *1 (-226 *3)) (-4 *3 (-13 (-556 (-490)) (-1001))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-798 *6)) (-5 *4 (-993 (-346))) (-5 *5 (-578 (-232))) (-4 *6 (-13 (-556 (-490)) (-1001))) (-5 *2 (-1151)) (-5 *1 (-226 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-798 *5)) (-5 *4 (-993 (-346))) (-4 *5 (-13 (-556 (-490)) (-1001))) (-5 *2 (-1151)) (-5 *1 (-226 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-800 *6)) (-5 *4 (-993 (-346))) (-5 *5 (-578 (-232))) (-4 *6 (-13 (-556 (-490)) (-1001))) (-5 *2 (-1152)) (-5 *1 (-226 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-800 *5)) (-5 *4 (-993 (-346))) (-4 *5 (-13 (-556 (-490)) (-1001))) (-5 *2 (-1152)) (-5 *1 (-226 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-993 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1152)) (-5 *1 (-226 *3)) (-4 *3 (-13 (-556 (-490)) (-1001))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-993 (-346))) (-5 *2 (-1152)) (-5 *1 (-226 *3)) (-4 *3 (-13 (-556 (-490)) (-1001))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-802 *6)) (-5 *4 (-993 (-346))) (-5 *5 (-578 (-232))) (-4 *6 (-13 (-556 (-490)) (-1001))) (-5 *2 (-1152)) (-5 *1 (-226 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-802 *5)) (-5 *4 (-993 (-346))) (-4 *5 (-13 (-556 (-490)) (-1001))) (-5 *2 (-1152)) (-5 *1 (-226 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-199) (-199))) (-5 *4 (-991 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1151)) (-5 *1 (-227)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-199) (-199))) (-5 *4 (-991 (-346))) (-5 *2 (-1151)) (-5 *1 (-227)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-798 (-1 (-199) (-199)))) (-5 *4 (-991 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1151)) (-5 *1 (-227)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-798 (-1 (-199) (-199)))) (-5 *4 (-991 (-346))) (-5 *2 (-1151)) (-5 *1 (-227)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-800 (-1 (-199) (-199)))) (-5 *4 (-991 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1152)) (-5 *1 (-227)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-800 (-1 (-199) (-199)))) (-5 *4 (-991 (-346))) (-5 *2 (-1152)) (-5 *1 (-227)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-863 (-199)) (-199))) (-5 *4 (-991 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1152)) (-5 *1 (-227)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-863 (-199)) (-199))) (-5 *4 (-991 (-346))) (-5 *2 (-1152)) (-5 *1 (-227)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-199) (-199) (-199))) (-5 *4 (-991 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1152)) (-5 *1 (-227)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-199) (-199) (-199))) (-5 *4 (-991 (-346))) (-5 *2 (-1152)) (-5 *1 (-227)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-863 (-199)) (-199) (-199))) (-5 *4 (-991 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1152)) (-5 *1 (-227)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-863 (-199)) (-199) (-199))) (-5 *4 (-991 (-346))) (-5 *2 (-1152)) (-5 *1 (-227)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-802 (-1 (-199) (-199) (-199)))) (-5 *4 (-991 (-346))) (-5 *5 (-578 (-232))) (-5 *2 (-1152)) (-5 *1 (-227)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-802 (-1 (-199) (-199) (-199)))) (-5 *4 (-991 (-346))) (-5 *2 (-1152)) (-5 *1 (-227)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-262 *7)) (-5 *4 (-1070)) (-5 *5 (-578 (-232))) (-4 *7 (-389 *6)) (-4 *6 (-13 (-508) (-777) (-950 (-501)))) (-5 *2 (-1151)) (-5 *1 (-228 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-578 (-199))) (-5 *2 (-1151)) (-5 *1 (-231)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-578 (-199))) (-5 *4 (-578 (-232))) (-5 *2 (-1151)) (-5 *1 (-231)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-863 (-199)))) (-5 *2 (-1151)) (-5 *1 (-231)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-863 (-199)))) (-5 *4 (-578 (-232))) (-5 *2 (-1151)) (-5 *1 (-231)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-578 (-199))) (-5 *2 (-1152)) (-5 *1 (-231)))) ((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-578 (-199))) (-5 *4 (-578 (-232))) (-5 *2 (-1152)) (-5 *1 (-231))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-753)) (-5 *1 (-752))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-199))) (-5 *2 (-578 (-1053))) (-5 *1 (-168)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-199))) (-5 *2 (-578 (-1053))) (-5 *1 (-270)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-199))) (-5 *2 (-578 (-1053))) (-5 *1 (-272))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-50))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1072 (-375 (-501)))) (-5 *1 (-166)) (-5 *3 (-501)))) ((*1 *2 *1) (-12 (-5 *2 (-1148 (-3 (-435) "undefined"))) (-5 *1 (-1151))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *5 (-1125 *4)) (-5 *2 (-578 (-2 (|:| |deg| (-701)) (|:| -2499 *5)))) (-5 *1 (-739 *4 *5 *3 *6)) (-4 *3 (-593 *5)) (-4 *6 (-593 (-375 *5)))))) 
-(((*1 *1 *2) (-12 (-4 *1 (-601 *2)) (-4 *2 (-1104)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-1070))) (-5 *1 (-1070))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1148 *3)) (-4 *3 (-331)) (-4 *1 (-297 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1148 *3)) (-4 *3 (-1125 *4)) (-4 *4 (-1108)) (-4 *1 (-310 *4 *3 *5)) (-4 *5 (-1125 (-375 *3))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1148 *4)) (-5 *3 (-1148 *1)) (-4 *4 (-156)) (-4 *1 (-335 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1148 *4)) (-5 *3 (-1148 *1)) (-4 *4 (-156)) (-4 *1 (-338 *4 *5)) (-4 *5 (-1125 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 *3)) (-4 *3 (-156)) (-4 *1 (-378 *3 *4)) (-4 *4 (-1125 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 *3)) (-4 *3 (-156)) (-4 *1 (-386 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-578 *8))) (-5 *3 (-578 *8)) (-4 *8 (-870 *5 *7 *6)) (-4 *5 (-13 (-276) (-134))) (-4 *6 (-13 (-777) (-556 (-1070)))) (-4 *7 (-723)) (-5 *2 (-107)) (-5 *1 (-844 *5 *6 *7 *8))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1048 (-375 *3))) (-5 *1 (-157 *3)) (-4 *3 (-276))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-331)) (-5 *1 (-255 *3 *2)) (-4 *2 (-1142 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-375 (-866 *3))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-701)) (-5 *1 (-533 *2)) (-4 *2 (-500)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1965 *3) (|:| -3027 (-701)))) (-5 *1 (-533 *3)) (-4 *3 (-500))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-108)) (-5 *3 (-578 *1)) (-4 *1 (-267)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-267)) (-5 *2 (-108)))) ((*1 *1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-553 *3)) (-4 *3 (-777)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-108)) (-5 *3 (-578 *5)) (-5 *4 (-701)) (-4 *5 (-777)) (-5 *1 (-553 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *7)) (-4 *7 (-777)) (-4 *5 (-830)) (-4 *6 (-723)) (-4 *8 (-870 *5 *6 *7)) (-5 *2 (-373 (-1064 *8))) (-5 *1 (-827 *5 *6 *7 *8)) (-5 *4 (-1064 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-830)) (-4 *5 (-1125 *4)) (-5 *2 (-373 (-1064 *5))) (-5 *1 (-828 *4 *5)) (-5 *3 (-1064 *5))))) 
-(((*1 *1 *1 *1) (-5 *1 (-107))) ((*1 *1 *1 *1) (-4 *1 (-118)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *1)) (-4 *3 (-959)) (-4 *1 (-618 *3 *4 *5)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-959)) (-4 *1 (-618 *3 *4 *5)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 *3)) (-4 *3 (-959)) (-5 *1 (-621 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *4)) (-4 *4 (-959)) (-4 *1 (-1021 *3 *4 *5 *6)) (-4 *5 (-211 *3 *4)) (-4 *6 (-211 *3 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1104)) (-5 *1 (-163 *3 *2)) (-4 *2 (-608 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1048 *4)) (-4 *4 (-37 *3)) (-4 *4 (-959)) (-5 *3 (-375 (-501))) (-5 *1 (-1055 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-282 (-199))) (|:| -3746 (-578 (-199))) (|:| |lb| (-578 (-769 (-199)))) (|:| |cf| (-578 (-282 (-199)))) (|:| |ub| (-578 (-769 (-199)))))) (|:| |lsa| (-2 (|:| |lfn| (-578 (-282 (-199)))) (|:| -3746 (-578 (-199))))))) (-5 *2 (-578 (-1053))) (-5 *1 (-238))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-701)) (-5 *4 (-1148 *2)) (-4 *5 (-276)) (-4 *6 (-906 *5)) (-4 *2 (-13 (-378 *6 *7) (-950 *6))) (-5 *1 (-381 *5 *6 *7 *2)) (-4 *7 (-1125 *6))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-107)) (-4 *6 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-4 *3 (-13 (-27) (-1090) (-389 *6) (-10 -8 (-15 -3691 ($ *7))))) (-4 *7 (-775)) (-4 *8 (-13 (-1128 *3 *7) (-331) (-1090) (-10 -8 (-15 -2596 ($ $)) (-15 -3188 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1053)) (|:| |prob| (-1053)))))) (-5 *1 (-392 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1053)) (-4 *9 (-898 *8)) (-14 *10 (-1070))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-578 (-578 (-578 (-701)))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 *5)) (-4 *5 (-577 *4)) (-4 *4 (-508)) (-5 *2 (-107)) (-5 *1 (-576 *4 *5))))) 
-(((*1 *1) (-4 *1 (-33))) ((*1 *1) (-5 *1 (-786))) ((*1 *1) (-12 (-4 *2 (-419)) (-4 *3 (-777)) (-4 *4 (-723)) (-5 *1 (-901 *2 *3 *4 *5)) (-4 *5 (-870 *2 *4 *3)))) ((*1 *1) (-12 (-5 *1 (-1035 *2 *3)) (-4 *2 (-13 (-1001) (-33))) (-4 *3 (-13 (-1001) (-33))))) ((*1 *1) (-5 *1 (-1073))) ((*1 *1) (-5 *1 (-1074)))) 
-(((*1 *2 *1) (-12 (-4 *3 (-156)) (-4 *2 (-23)) (-5 *1 (-259 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1125 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-642 *3 *2 *4 *5 *6)) (-4 *3 (-156)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *2 (-1125 *3)) (-5 *1 (-643 *3 *2)) (-4 *3 (-959)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-646 *3 *2 *4 *5 *6)) (-4 *3 (-156)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *1 (-792 *3)) (-5 *2 (-501))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-107)) (-5 *2 (-2 (|:| |contp| (-501)) (|:| -1575 (-578 (-2 (|:| |irr| *3) (|:| -3257 (-501))))))) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-107)) (-5 *2 (-2 (|:| |contp| (-501)) (|:| -1575 (-578 (-2 (|:| |irr| *3) (|:| -3257 (-501))))))) (-5 *1 (-1115 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-701)) (-4 *5 (-508)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-885 *5 *3)) (-4 *3 (-1125 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-139 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-331)) (-14 *5 (-908 *3 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-131))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-606 *3)) (-4 *3 (-777)) (-4 *1 (-342 *3 *4)) (-4 *4 (-156))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-578 *3)) (-5 *1 (-892 *4 *5 *6 *3)) (-4 *3 (-972 *4 *5 *6))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-550 *2)) (-4 *2 (-1001)))) ((*1 *1 *1) (-5 *1 (-570)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-501)) (-5 *2 (-1154)) (-5 *1 (-920))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-701)) (-4 *4 (-331)) (-4 *5 (-1125 *4)) (-5 *2 (-1154)) (-5 *1 (-39 *4 *5 *6 *7)) (-4 *6 (-1125 (-375 *5))) (-14 *7 *6)))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-419)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-892 *3 *4 *5 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1048 (-578 (-501)))) (-5 *1 (-803))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-107)) (-5 *1 (-108)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-267)) (-5 *3 (-1070)) (-5 *2 (-107)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-267)) (-5 *3 (-108)) (-5 *2 (-107)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-107)) (-5 *1 (-553 *4)) (-4 *4 (-777)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-108)) (-5 *2 (-107)) (-5 *1 (-553 *4)) (-4 *4 (-777)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1001)) (-5 *2 (-107)) (-5 *1 (-807 *5 *3 *4)) (-4 *3 (-806 *5)) (-4 *4 (-556 (-810 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 *6)) (-4 *6 (-806 *5)) (-4 *5 (-1001)) (-5 *2 (-107)) (-5 *1 (-807 *5 *6 *4)) (-4 *4 (-556 (-810 *5)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-262 *2)) (-4 *2 (-21)) (-4 *2 (-1104))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-125))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-863 *2)) (-5 *1 (-897 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-336)) (-5 *2 (-839)))) ((*1 *2 *3) (-12 (-5 *3 (-1148 *4)) (-4 *4 (-318)) (-5 *2 (-839)) (-5 *1 (-485 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *4)) (-4 *4 (-331)) (-5 *2 (-621 *4)) (-5 *1 (-744 *4 *5)) (-4 *5 (-593 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 *5)) (-5 *4 (-701)) (-4 *5 (-331)) (-5 *2 (-621 *5)) (-5 *1 (-744 *5 *6)) (-4 *6 (-593 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-125)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-762 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-769 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-508)) (-4 *3 (-156)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *1 (-620 *3 *4 *5 *2)) (-4 *2 (-618 *3 *4 *5))))) 
-(((*1 *1 *1 *1) (-4 *1 (-597))) ((*1 *1 *1 *1) (-5 *1 (-1018)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-108)) (-5 *1 (-109 *3)) (-4 *3 (-777)) (-4 *3 (-1001))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-150 *2)) (-4 *2 (-156)))) ((*1 *1 *1 *1) (-4 *1 (-440))) ((*1 *1 *1) (-12 (-4 *1 (-726 *2)) (-4 *2 (-156)))) ((*1 *2 *2) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-803)))) ((*1 *1 *1) (-5 *1 (-886))) ((*1 *1 *1) (-12 (-4 *1 (-912 *2)) (-4 *2 (-156))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-874)) (-5 *2 (-991 (-199))))) ((*1 *2 *1) (-12 (-4 *1 (-889)) (-5 *2 (-991 (-199)))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3664 (-711 *3)) (|:| |coef1| (-711 *3)) (|:| |coef2| (-711 *3)))) (-5 *1 (-711 *3)) (-4 *3 (-508)) (-4 *3 (-959)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-508)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-2 (|:| -3664 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-972 *3 *4 *5))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-993 (-866 (-501)))) (-5 *3 (-866 (-501))) (-5 *1 (-298)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-993 (-866 (-501)))) (-5 *1 (-298))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-590 (-375 *6))) (-5 *4 (-1 (-578 *5) *6)) (-4 *5 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-4 *6 (-1125 *5)) (-5 *2 (-578 (-375 *6))) (-5 *1 (-742 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-590 (-375 *7))) (-5 *4 (-1 (-578 *6) *7)) (-5 *5 (-1 (-373 *7) *7)) (-4 *6 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-4 *7 (-1125 *6)) (-5 *2 (-578 (-375 *7))) (-5 *1 (-742 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-591 *6 (-375 *6))) (-5 *4 (-1 (-578 *5) *6)) (-4 *5 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-4 *6 (-1125 *5)) (-5 *2 (-578 (-375 *6))) (-5 *1 (-742 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-591 *7 (-375 *7))) (-5 *4 (-1 (-578 *6) *7)) (-5 *5 (-1 (-373 *7) *7)) (-4 *6 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-4 *7 (-1125 *6)) (-5 *2 (-578 (-375 *7))) (-5 *1 (-742 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-590 (-375 *5))) (-4 *5 (-1125 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-5 *2 (-578 (-375 *5))) (-5 *1 (-742 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-590 (-375 *6))) (-5 *4 (-1 (-373 *6) *6)) (-4 *6 (-1125 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-5 *2 (-578 (-375 *6))) (-5 *1 (-742 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-591 *5 (-375 *5))) (-4 *5 (-1125 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-5 *2 (-578 (-375 *5))) (-5 *1 (-742 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-591 *6 (-375 *6))) (-5 *4 (-1 (-373 *6) *6)) (-4 *6 (-1125 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-5 *2 (-578 (-375 *6))) (-5 *1 (-742 *5 *6))))) 
-(((*1 *1 *1 *1) (-4 *1 (-597))) ((*1 *1 *1 *1) (-5 *1 (-1018)))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-903 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-1007 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-972 *3 *4 *2)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *1 (-734 *4 *2)) (-4 *2 (-13 (-29 *4) (-1090) (-879))))) ((*1 *1 *1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1) (-5 *1 (-786))) ((*1 *2 *3) (-12 (-5 *2 (-1048 *3)) (-5 *1 (-1055 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1139 *2 *3 *4)) (-4 *2 (-959)) (-14 *3 (-1070)) (-14 *4 *2)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-5 *2 (-1154)) (-5 *1 (-1073)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1070)) (-5 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-5 *2 (-1154)) (-5 *1 (-1073)))) ((*1 *2 *3 *4 *1) (-12 (-5 *3 (-1070)) (-5 *4 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-5 *2 (-1154)) (-5 *1 (-1073))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-13 (-1001) (-33))) (-5 *1 (-1035 *3 *2)) (-4 *3 (-13 (-1001) (-33)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-909 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-55 *2 *3 *4)) (-4 *2 (-1104)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-548 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-1104))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-318)) (-5 *2 (-373 (-1064 (-1064 *4)))) (-5 *1 (-1103 *4)) (-5 *3 (-1064 (-1064 *4)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1064 *3)) (-4 *3 (-959)) (-4 *1 (-1125 *3))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3071 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-331)) (-4 *7 (-1125 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-375 *7)) (|:| |a0| *6)) (-2 (|:| -3071 (-375 *7)) (|:| |coeff| (-375 *7))) "failed")) (-5 *1 (-525 *6 *7)) (-5 *3 (-375 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-1070))) (-5 *1 (-755))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-1070))) (-5 *1 (-1074))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-4 *1 (-1125 *4)) (-4 *4 (-959)) (-5 *2 (-1148 *4))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-199)) (-5 *1 (-200)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-152 (-199))) (-5 *1 (-200)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1034)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1078 (-578 *4))) (-4 *4 (-777)) (-5 *2 (-578 (-578 *4))) (-5 *1 (-1076 *4))))) 
-(((*1 *1 *2 *2) (-12 (-4 *1 (-506 *2)) (-4 *2 (-13 (-372) (-1090)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-331) (-775))) (-5 *1 (-162 *3 *2)) (-4 *2 (-1125 (-152 *3)))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-701) *2)) (-5 *4 (-701)) (-4 *2 (-1001)) (-5 *1 (-611 *2)))) ((*1 *2 *2) (-12 (-5 *2 (-1 *3 (-701) *3)) (-4 *3 (-1001)) (-5 *1 (-614 *3))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-530 *2)) (-4 *2 (-331))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-338 *4 *5)) (-4 *4 (-156)) (-4 *5 (-1125 *4)) (-5 *2 (-621 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-378 *3 *4)) (-4 *3 (-156)) (-4 *4 (-1125 *3)) (-5 *2 (-621 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-578 *6) "failed") (-501) *6 *6)) (-4 *6 (-331)) (-4 *7 (-1125 *6)) (-5 *2 (-2 (|:| |answer| (-530 (-375 *7))) (|:| |a0| *6))) (-5 *1 (-525 *6 *7)) (-5 *3 (-375 *7))))) 
-(((*1 *1) (-5 *1 (-404)))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-370)) (-5 *2 (-701)))) ((*1 *1 *1) (-4 *1 (-370)))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-621 *3)) (-4 *3 (-13 (-276) (-10 -8 (-15 -1559 ((-373 $) $))))) (-4 *4 (-1125 *3)) (-5 *1 (-462 *3 *4 *5)) (-4 *5 (-378 *3 *4)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-621 *3)) (-4 *3 (-13 (-276) (-10 -8 (-15 -1559 ((-373 $) $))))) (-4 *4 (-1125 *3)) (-5 *1 (-462 *3 *4 *5)) (-4 *5 (-378 *3 *4))))) 
-(((*1 *1) (-5 *1 (-1151)))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1134 *3 *2)) (-4 *3 (-959)) (-4 *2 (-1111 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-578 *3)) (-5 *1 (-987 *3)) (-4 *3 (-124))))) 
-(((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1048 (-2 (|:| |k| (-501)) (|:| |c| *6)))) (-5 *4 (-939 (-769 (-501)))) (-5 *5 (-1070)) (-5 *7 (-375 (-501))) (-4 *6 (-959)) (-5 *2 (-786)) (-5 *1 (-540 *6))))) 
-(((*1 *1) (-5 *1 (-511)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-866 (-199))) (-5 *2 (-282 (-346))) (-5 *1 (-272))))) 
-(((*1 *1) (-5 *1 (-128)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-769 (-346))) (-5 *2 (-769 (-199))) (-5 *1 (-272))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-335 *4)) (-4 *4 (-156)) (-5 *2 (-578 (-866 *4))))) ((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-578 (-866 *4))) (-5 *1 (-385 *3 *4)) (-4 *3 (-386 *4)))) ((*1 *2) (-12 (-4 *1 (-386 *3)) (-4 *3 (-156)) (-5 *2 (-578 (-866 *3))))) ((*1 *2) (-12 (-5 *2 (-578 (-866 *3))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3))))) ((*1 *2 *3) (-12 (-5 *3 (-1148 (-420 *4 *5 *6 *7))) (-5 *2 (-578 (-866 *4))) (-5 *1 (-420 *4 *5 *6 *7)) (-4 *4 (-508)) (-4 *4 (-156)) (-14 *5 (-839)) (-14 *6 (-578 (-1070))) (-14 *7 (-1148 (-621 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-578 (-863 (-199))))) (-5 *2 (-578 (-199))) (-5 *1 (-435))))) 
-(((*1 *2) (|partial| -12 (-4 *3 (-508)) (-4 *3 (-156)) (-5 *2 (-2 (|:| |particular| *1) (|:| -4119 (-578 *1)))) (-4 *1 (-335 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-420 *3 *4 *5 *6)) (|:| -4119 (-578 (-420 *3 *4 *5 *6))))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1059 *2 *3)) (-14 *2 (-839)) (-4 *3 (-959))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-795)))) ((*1 *2 *3) (-12 (-5 *3 (-863 *2)) (-5 *1 (-897 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-753)) (-5 *2 (-50)) (-5 *1 (-759))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-847))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-1171 *3 *4)) (-4 *1 (-342 *3 *4)) (-4 *3 (-777)) (-4 *4 (-156)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-354 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-749 *2)) (-4 *2 (-777)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-749 *2)) (-4 *2 (-777)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1166 *2 *3)) (-4 *2 (-777)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-749 *3)) (-4 *1 (-1166 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1166 *2 *3)) (-4 *2 (-777)) (-4 *3 (-959))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-373 *4)) (-4 *4 (-508))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-412 *3)) (-4 *3 (-959))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-298)))) ((*1 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-298))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-463 *2)) (-14 *2 (-501)))) ((*1 *1 *1) (-5 *1 (-1018)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-107))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-621 (-375 (-866 (-501))))) (-5 *2 (-578 (-621 (-282 (-501))))) (-5 *1 (-941)) (-5 *3 (-282 (-501)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-199)) (-5 *1 (-200)))) ((*1 *2 *2) (-12 (-5 *2 (-152 (-199))) (-5 *1 (-200)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *1 *1) (-4 *1 (-1034)))) 
-(((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-749 *3)) (|:| |rm| (-749 *3)))) (-5 *1 (-749 *3)) (-4 *3 (-777)))) ((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-501)) (|has| *1 (-6 -4158)) (-4 *1 (-372)) (-5 *2 (-839))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-463 *2)) (-14 *2 (-501)))) ((*1 *1 *1 *1) (-5 *1 (-1018)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-977 *4 *5 *6 *3)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-997 *3)) (-5 *1 (-822 *3)) (-4 *3 (-336)) (-4 *3 (-1001))))) 
-(((*1 *1 *1 *1) (-4 *1 (-276))) ((*1 *1 *1 *1) (-5 *1 (-701))) ((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1018)) (-5 *1 (-752))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-463 *2)) (-14 *2 (-501)))) ((*1 *1 *1 *1) (-5 *1 (-1018)))) 
-(((*1 *1 *1) (-5 *1 (-107))) ((*1 *1 *1) (-4 *1 (-118))) ((*1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1) (-5 *1 (-1018)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-786))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-777)) (-5 *2 (-578 (-578 (-578 *4)))) (-5 *1 (-1076 *4)) (-5 *3 (-578 (-578 *4)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *1 (-530 *2)) (-4 *2 (-950 *3)) (-4 *2 (-331)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-530 *2)) (-4 *2 (-331)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-777) (-508))) (-5 *1 (-567 *4 *2)) (-4 *2 (-13 (-389 *4) (-916) (-1090))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-993 *2)) (-4 *2 (-13 (-389 *4) (-916) (-1090))) (-4 *4 (-13 (-777) (-508))) (-5 *1 (-567 *4 *2)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-879)) (-5 *2 (-1070)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-993 *1)) (-4 *1 (-879))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1130 *3 *4 *5)) (-5 *1 (-287 *3 *4 *5)) (-4 *3 (-13 (-331) (-777))) (-14 *4 (-1070)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-4 *1 (-372)) (-5 *2 (-501)))) ((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-373 *3)) (-4 *3 (-508)))) ((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-630)))) ((*1 *2 *1) (-12 (-4 *2 (-1001)) (-5 *1 (-644 *3 *2 *4)) (-4 *3 (-777)) (-14 *4 (-1 (-107) (-2 (|:| -3506 *3) (|:| -3027 *2)) (-2 (|:| -3506 *3) (|:| -3027 *2))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-107))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-621 *3)) (|:| |invmval| (-621 *3)) (|:| |genIdeal| (-467 *3 *4 *5 *6)))) (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-467 *3 *4 *5 *6)) (-4 *6 (-870 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-346)) (-5 *2 (-1053)) (-5 *1 (-272))))) 
-(((*1 *1 *1 *1) (-4 *1 (-276))) ((*1 *1 *1 *1) (-5 *1 (-701))) ((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 (-282 (-199)))) (-5 *1 (-238))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1148 (-1070))) (-5 *3 (-1148 (-420 *4 *5 *6 *7))) (-5 *1 (-420 *4 *5 *6 *7)) (-4 *4 (-156)) (-14 *5 (-839)) (-14 *6 (-578 (-1070))) (-14 *7 (-1148 (-621 *4))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1148 (-420 *4 *5 *6 *7))) (-5 *1 (-420 *4 *5 *6 *7)) (-4 *4 (-156)) (-14 *5 (-839)) (-14 *6 (-578 *2)) (-14 *7 (-1148 (-621 *4))))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-420 *3 *4 *5 *6))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1148 (-1070))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 *2)) (-14 *6 (-1148 (-621 *3))))) ((*1 *1) (-12 (-5 *1 (-420 *2 *3 *4 *5)) (-4 *2 (-156)) (-14 *3 (-839)) (-14 *4 (-578 (-1070))) (-14 *5 (-1148 (-621 *2)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-959)) (-4 *4 (-1125 *3)) (-5 *1 (-148 *3 *4 *2)) (-4 *2 (-1125 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-262 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-621 *3)) (-4 *3 (-959)) (-5 *1 (-942 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-578 (-621 *3))) (-4 *3 (-959)) (-5 *1 (-942 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-621 *3)) (-4 *3 (-959)) (-5 *1 (-942 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-578 (-621 *3))) (-4 *3 (-959)) (-5 *1 (-942 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-578 (-2 (|:| -2109 *1) (|:| -2342 (-578 *7))))) (-5 *3 (-578 *7)) (-4 *1 (-1099 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-501))) (-5 *4 (-822 (-501))) (-5 *2 (-621 (-501))) (-5 *1 (-536)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-578 (-621 (-501)))) (-5 *1 (-536)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-501))) (-5 *4 (-578 (-822 (-501)))) (-5 *2 (-578 (-621 (-501)))) (-5 *1 (-536))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1001)) (-4 *1 (-208 *3)))) ((*1 *1) (-12 (-4 *1 (-208 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-701)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-723)) (-4 *2 (-870 *4 *5 *6)) (-5 *1 (-417 *4 *5 *6 *2)) (-4 *4 (-419)) (-4 *6 (-777))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-4 *4 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-107)) (-5 *1 (-198 *4 *5)) (-4 *5 (-13 (-1090) (-29 *4)))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-701)) (-5 *3 (-863 *5)) (-4 *5 (-959)) (-5 *1 (-1059 *4 *5)) (-14 *4 (-839)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-701))) (-5 *3 (-701)) (-5 *1 (-1059 *4 *5)) (-14 *4 (-839)) (-4 *5 (-959)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-701))) (-5 *3 (-863 *5)) (-4 *5 (-959)) (-5 *1 (-1059 *4 *5)) (-14 *4 (-839))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-13 (-276) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *2 (-530 *3)) (-5 *1 (-396 *5 *3)) (-4 *3 (-13 (-1090) (-29 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-13 (-508) (-950 (-501)) (-134))) (-5 *2 (-530 (-375 (-866 *5)))) (-5 *1 (-521 *5)) (-5 *3 (-375 (-866 *5)))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-959)) (-5 *2 (-1148 *3)) (-5 *1 (-643 *3 *4)) (-4 *4 (-1125 *3))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1070)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-578 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-578 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3071 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1090) (-27) (-389 *8))) (-4 *8 (-13 (-419) (-777) (-134) (-950 *3) (-577 *3))) (-5 *3 (-501)) (-5 *2 (-578 *4)) (-5 *1 (-928 *8 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-1084))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-995 *3)) (-4 *3 (-1104))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-373 (-1064 (-501)))) (-5 *1 (-167)) (-5 *3 (-501))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-282 (-199))) (-5 *2 (-282 (-375 (-501)))) (-5 *1 (-272))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-282 (-501))) (-5 *4 (-1 (-199) (-199))) (-5 *5 (-991 (-199))) (-5 *6 (-501)) (-5 *2 (-1100 (-847))) (-5 *1 (-286)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-282 (-501))) (-5 *4 (-1 (-199) (-199))) (-5 *5 (-991 (-199))) (-5 *6 (-501)) (-5 *7 (-1053)) (-5 *2 (-1100 (-847))) (-5 *1 (-286)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-282 (-501))) (-5 *4 (-1 (-199) (-199))) (-5 *5 (-991 (-199))) (-5 *6 (-199)) (-5 *7 (-501)) (-5 *2 (-1100 (-847))) (-5 *1 (-286)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-282 (-501))) (-5 *4 (-1 (-199) (-199))) (-5 *5 (-991 (-199))) (-5 *6 (-199)) (-5 *7 (-501)) (-5 *8 (-1053)) (-5 *2 (-1100 (-847))) (-5 *1 (-286))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *4)) (-4 *4 (-777)) (-5 *2 (-578 (-599 *4 *5))) (-5 *1 (-565 *4 *5 *6)) (-4 *5 (-13 (-156) (-648 (-375 (-501))))) (-14 *6 (-839))))) 
-(((*1 *2 *1 *2 *3) (-12 (-5 *3 (-578 (-1053))) (-5 *2 (-1053)) (-5 *1 (-1151)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-1151)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-1151)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-578 (-1053))) (-5 *2 (-1053)) (-5 *1 (-1152)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-1152)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-1152))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-501)) (-5 *2 (-107)) (-5 *1 (-446))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-419)) (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1633 *4))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-33)) (-5 *3 (-701)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-1151)))) ((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-282 (-501))) (-5 *4 (-1 (-199) (-199))) (-5 *5 (-991 (-199))) (-5 *6 (-578 (-232))) (-5 *2 (-1031 (-199))) (-5 *1 (-628))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-150 *2)) (-4 *2 (-156)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-5 *1 (-299 *2)) (-4 *2 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-578 *3)) (-5 *1 (-553 *3)) (-4 *3 (-777))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-795)) (-5 *3 (-578 (-232))) (-5 *1 (-233))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -3606 (-578 (-786))) (|:| -3405 (-578 (-786))) (|:| |presup| (-578 (-786))) (|:| -3411 (-578 (-786))) (|:| |args| (-578 (-786))))) (-5 *1 (-1070)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-578 (-786)))) (-5 *1 (-1070))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1019 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-346)) (-5 *1 (-92))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1125 *5)) (-4 *5 (-331)) (-5 *2 (-2 (|:| -3071 (-375 *6)) (|:| |coeff| (-375 *6)))) (-5 *1 (-525 *5 *6)) (-5 *3 (-375 *6))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-508)) (-4 *3 (-959)) (-5 *2 (-2 (|:| -3236 *1) (|:| -1852 *1))) (-4 *1 (-779 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-94 *5)) (-4 *5 (-508)) (-4 *5 (-959)) (-5 *2 (-2 (|:| -3236 *3) (|:| -1852 *3))) (-5 *1 (-780 *5 *3)) (-4 *3 (-779 *5))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-578 *7) *7 (-1064 *7))) (-5 *5 (-1 (-373 *7) *7)) (-4 *7 (-1125 *6)) (-4 *6 (-13 (-331) (-134) (-950 (-375 (-501))))) (-5 *2 (-578 (-2 (|:| |frac| (-375 *7)) (|:| -2499 *3)))) (-5 *1 (-739 *6 *7 *3 *8)) (-4 *3 (-593 *7)) (-4 *8 (-593 (-375 *7))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-373 *6) *6)) (-4 *6 (-1125 *5)) (-4 *5 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-5 *2 (-578 (-2 (|:| |frac| (-375 *6)) (|:| -2499 (-591 *6 (-375 *6)))))) (-5 *1 (-742 *5 *6)) (-5 *3 (-591 *6 (-375 *6)))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-640 *3)) (-5 *1 (-758 *2 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-107)) (-5 *3 (-578 (-232))) (-5 *1 (-233))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-5 *2 (-107))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-701)) (-4 *4 (-508)) (-5 *1 (-885 *4 *2)) (-4 *2 (-1125 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-991 (-769 (-199)))) (-5 *1 (-272))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-199))) (-5 *4 (-701)) (-5 *2 (-621 (-199))) (-5 *1 (-272))))) 
-(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-331) (-134) (-950 (-501)))) (-4 *5 (-1125 *4)) (-5 *2 (-578 (-375 *5))) (-5 *1 (-930 *4 *5)) (-5 *3 (-375 *5))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-578 (-501))) (-5 *3 (-107)) (-5 *1 (-1010))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-810 *4)) (-4 *4 (-1001)) (-4 *2 (-1001)) (-5 *1 (-808 *4 *2))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-786))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *4 *5)) (-4 *5 (-13 (-27) (-1090) (-389 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *4 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-375 (-501))) (-4 *5 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *5 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-262 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *5))) (-4 *5 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-262 *3)) (-5 *5 (-375 (-501))) (-4 *3 (-13 (-27) (-1090) (-389 *6))) (-4 *6 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-284 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-501))) (-5 *4 (-262 *6)) (-4 *6 (-13 (-27) (-1090) (-389 *5))) (-4 *5 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1070)) (-5 *5 (-262 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *6))) (-4 *6 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-501))) (-5 *4 (-262 *7)) (-5 *5 (-1116 (-501))) (-4 *7 (-13 (-27) (-1090) (-389 *6))) (-4 *6 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1070)) (-5 *5 (-262 *3)) (-5 *6 (-1116 (-501))) (-4 *3 (-13 (-27) (-1090) (-389 *7))) (-4 *7 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-375 (-501)))) (-5 *4 (-262 *8)) (-5 *5 (-1116 (-375 (-501)))) (-5 *6 (-375 (-501))) (-4 *8 (-13 (-27) (-1090) (-389 *7))) (-4 *7 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1070)) (-5 *5 (-262 *3)) (-5 *6 (-1116 (-375 (-501)))) (-5 *7 (-375 (-501))) (-4 *3 (-13 (-27) (-1090) (-389 *8))) (-4 *8 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-50)) (-5 *1 (-426 *8 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1048 (-2 (|:| |k| (-501)) (|:| |c| *3)))) (-4 *3 (-959)) (-5 *1 (-540 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-541 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1048 (-2 (|:| |k| (-501)) (|:| |c| *3)))) (-4 *3 (-959)) (-4 *1 (-1111 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-701)) (-5 *3 (-1048 (-2 (|:| |k| (-375 (-501))) (|:| |c| *4)))) (-4 *4 (-959)) (-4 *1 (-1132 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-4 *1 (-1142 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1048 (-2 (|:| |k| (-701)) (|:| |c| *3)))) (-4 *3 (-959)) (-4 *1 (-1142 *3))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-578 (-578 (-863 (-199))))) (-5 *4 (-795)) (-5 *5 (-839)) (-5 *6 (-578 (-232))) (-5 *2 (-435)) (-5 *1 (-1150)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-578 (-863 (-199))))) (-5 *2 (-435)) (-5 *1 (-1150)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-578 (-863 (-199))))) (-5 *4 (-578 (-232))) (-5 *2 (-435)) (-5 *1 (-1150))))) 
-(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-621 *11)) (-5 *4 (-578 (-375 (-866 *8)))) (-5 *5 (-701)) (-5 *6 (-1053)) (-4 *8 (-13 (-276) (-134))) (-4 *11 (-870 *8 *10 *9)) (-4 *9 (-13 (-777) (-556 (-1070)))) (-4 *10 (-723)) (-5 *2 (-2 (|:| |rgl| (-578 (-2 (|:| |eqzro| (-578 *11)) (|:| |neqzro| (-578 *11)) (|:| |wcond| (-578 (-866 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1148 (-375 (-866 *8)))) (|:| -4119 (-578 (-1148 (-375 (-866 *8)))))))))) (|:| |rgsz| (-501)))) (-5 *1 (-844 *8 *9 *10 *11)) (-5 *7 (-501))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-924 *3)) (-4 *3 (-1104)) (-4 *3 (-1001)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-55 *3 *4 *5)) (-4 *3 (-1104)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *2 (-501)))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-5 *2 (-501))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-419)) (-4 *4 (-777)) (-4 *5 (-723)) (-5 *2 (-107)) (-5 *1 (-901 *3 *4 *5 *6)) (-4 *6 (-870 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1035 *3 *4)) (-4 *3 (-13 (-1001) (-33))) (-4 *4 (-13 (-1001) (-33)))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-508) (-134))) (-5 *1 (-1121 *3 *2)) (-4 *2 (-1125 *3))))) 
-(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-501)) (-4 *3 (-156)) (-4 *5 (-340 *3)) (-4 *6 (-340 *3)) (-5 *1 (-620 *3 *5 *6 *2)) (-4 *2 (-618 *3 *5 *6))))) 
-(((*1 *2 *1) (-12 (-14 *3 (-578 (-1070))) (-4 *4 (-156)) (-4 *5 (-211 (-3581 *3) (-701))) (-14 *6 (-1 (-107) (-2 (|:| -3506 *2) (|:| -3027 *5)) (-2 (|:| -3506 *2) (|:| -3027 *5)))) (-4 *2 (-777)) (-5 *1 (-428 *3 *4 *2 *5 *6 *7)) (-4 *7 (-870 *4 *5 (-787 *3)))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-116 *2)) (-4 *2 (-777))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-756))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1118 *5 *4)) (-4 *4 (-750)) (-14 *5 (-1070)) (-5 *2 (-501)) (-5 *1 (-1014 *4 *5))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-711 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-501)) (-5 *1 (-214)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-1053))) (-5 *2 (-501)) (-5 *1 (-214))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-375 (-866 *3))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1 (-346))) (-5 *1 (-953))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1166 *2 *3)) (-4 *2 (-777)) (-4 *3 (-959)))) ((*1 *1 *1) (-12 (-5 *1 (-1170 *2 *3)) (-4 *2 (-959)) (-4 *3 (-773))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-959)) (-5 *1 (-1123 *3 *2)) (-4 *2 (-1125 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-513)))) ((*1 *2 *3) (-12 (-5 *2 (-1064 (-375 (-501)))) (-5 *1 (-862)) (-5 *3 (-501))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1100 *3)) (-4 *3 (-889))))) 
-(((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-839)) (-5 *4 (-346)) (-5 *2 (-1154)) (-5 *1 (-1151)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-346)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *1 (-55 *4 *5 *2)) (-4 *4 (-1104)) (-4 *5 (-340 *4)) (-4 *2 (-340 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *1 (-961 *4 *5 *6 *7 *2)) (-4 *6 (-959)) (-4 *7 (-211 *5 *6)) (-4 *2 (-211 *4 *6))))) 
-(((*1 *1) (-12 (-5 *1 (-578 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1018)) (-5 *1 (-298))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1023 (-501) (-553 (-47)))) (-5 *1 (-47)))) ((*1 *2 *1) (-12 (-4 *3 (-906 *2)) (-4 *4 (-1125 *3)) (-4 *2 (-276)) (-5 *1 (-381 *2 *3 *4 *5)) (-4 *5 (-13 (-378 *3 *4) (-950 *3))))) ((*1 *2 *1) (-12 (-4 *3 (-508)) (-4 *3 (-777)) (-5 *2 (-1023 *3 (-553 *1))) (-4 *1 (-389 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1023 (-501) (-553 (-458)))) (-5 *1 (-458)))) ((*1 *2 *1) (-12 (-4 *4 (-156)) (-4 *2 (|SubsetCategory| (-657) *4)) (-5 *1 (-558 *3 *4 *2)) (-4 *3 (-37 *4)))) ((*1 *2 *1) (-12 (-4 *4 (-156)) (-4 *2 (|SubsetCategory| (-657) *4)) (-5 *1 (-587 *3 *4 *2)) (-4 *3 (-648 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-906 *2)) (-4 *2 (-508))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-1012)) (-4 *3 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-389 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-578 (-810 *3))) (-5 *1 (-810 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-870 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-959)) (-4 *7 (-870 *6 *4 *5)) (-5 *2 (-578 *3)) (-5 *1 (-871 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-331) (-10 -8 (-15 -3691 ($ *7)) (-15 -2946 (*7 $)) (-15 -2949 (*7 $)))))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1001)) (-5 *1 (-1042 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1023 (-501) (-553 (-47)))) (-5 *1 (-47)))) ((*1 *2 *1) (-12 (-4 *3 (-276)) (-4 *4 (-906 *3)) (-4 *5 (-1125 *4)) (-5 *2 (-1148 *6)) (-5 *1 (-381 *3 *4 *5 *6)) (-4 *6 (-13 (-378 *4 *5) (-950 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-959)) (-4 *3 (-777)) (-5 *2 (-1023 *3 (-553 *1))) (-4 *1 (-389 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1023 (-501) (-553 (-458)))) (-5 *1 (-458)))) ((*1 *2 *1) (-12 (-4 *3 (-156)) (-4 *2 (-37 *3)) (-5 *1 (-558 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-657) *3)))) ((*1 *2 *1) (-12 (-4 *3 (-156)) (-4 *2 (-648 *3)) (-5 *1 (-587 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-657) *3)))) ((*1 *2 *1) (-12 (-4 *1 (-906 *2)) (-4 *2 (-508))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-863 *3)) (-4 *3 (-13 (-331) (-1090) (-916))) (-5 *1 (-158 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-44 (-1053) (-703))) (-5 *1 (-108))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-2 (|:| |zeros| (-1048 (-199))) (|:| |ones| (-1048 (-199))) (|:| |singularities| (-1048 (-199))))) (-5 *1 (-100))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-621 *2)) (-4 *2 (-156)) (-5 *1 (-133 *2)))) ((*1 *2 *3) (-12 (-4 *4 (-156)) (-4 *2 (-1125 *4)) (-5 *1 (-159 *4 *2 *3)) (-4 *3 (-655 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-621 (-375 (-866 *5)))) (-5 *4 (-1070)) (-5 *2 (-866 *5)) (-5 *1 (-261 *5)) (-4 *5 (-419)))) ((*1 *2 *3) (-12 (-5 *3 (-621 (-375 (-866 *4)))) (-5 *2 (-866 *4)) (-5 *1 (-261 *4)) (-4 *4 (-419)))) ((*1 *2 *1) (-12 (-4 *1 (-338 *3 *2)) (-4 *3 (-156)) (-4 *2 (-1125 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-621 (-152 (-375 (-501))))) (-5 *2 (-866 (-152 (-375 (-501))))) (-5 *1 (-695 *4)) (-4 *4 (-13 (-331) (-775))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-621 (-152 (-375 (-501))))) (-5 *4 (-1070)) (-5 *2 (-866 (-152 (-375 (-501))))) (-5 *1 (-695 *5)) (-4 *5 (-13 (-331) (-775))))) ((*1 *2 *3) (-12 (-5 *3 (-621 (-375 (-501)))) (-5 *2 (-866 (-375 (-501)))) (-5 *1 (-709 *4)) (-4 *4 (-13 (-331) (-775))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-621 (-375 (-501)))) (-5 *4 (-1070)) (-5 *2 (-866 (-375 (-501)))) (-5 *1 (-709 *5)) (-4 *5 (-13 (-331) (-775)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *1 *1 *1) (-4 *1 (-130))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-143 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-144 *2)) (-4 *2 (-500))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-711 *3)) (|:| |polden| *3) (|:| -2735 (-701)))) (-5 *1 (-711 *3)) (-4 *3 (-959)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -2735 (-701)))) (-4 *1 (-972 *3 *4 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *1 (-612 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-1001))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-501)) (-5 *6 (-1 (-1154) (-1148 *5) (-1148 *5) (-346))) (-5 *3 (-1148 (-346))) (-5 *5 (-346)) (-5 *2 (-1154)) (-5 *1 (-718))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-5 *1 (-404))))) 
-(((*1 *2 *2 *3) (-12 (-5 *1 (-612 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-2 (|:| -2150 *4) (|:| -1506 (-501))))) (-4 *4 (-1001)) (-5 *2 (-1 *4)) (-5 *1 (-931 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-346)) (-5 *1 (-232)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-346)) (-5 *3 (-578 (-232))) (-5 *1 (-233))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-434)))) ((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-434))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-232)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-839)) (-5 *3 (-578 (-232))) (-5 *1 (-233))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-331)) (-4 *3 (-959)) (-5 *2 (-2 (|:| -3236 *1) (|:| -1852 *1))) (-4 *1 (-779 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-94 *5)) (-4 *5 (-331)) (-4 *5 (-959)) (-5 *2 (-2 (|:| -3236 *3) (|:| -1852 *3))) (-5 *1 (-780 *5 *3)) (-4 *3 (-779 *5))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1070)) (-5 *2 (-1074)) (-5 *1 (-1073))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-590 *4)) (-4 *4 (-310 *5 *6 *7)) (-4 *5 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-4 *6 (-1125 *5)) (-4 *7 (-1125 (-375 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4119 (-578 *4)))) (-5 *1 (-736 *5 *6 *7 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-282 *3)) (-4 *3 (-508)) (-4 *3 (-777))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2532 *4))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-669))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1048 (-199))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1505 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-511))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-252 *2)) (-4 *2 (-1104)) (-4 *2 (-1001)))) ((*1 *1 *1) (-12 (-4 *1 (-626 *2)) (-4 *2 (-1001))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-1153))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-114 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-107)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *8 (-777)) (-4 *9 (-972 *6 *7 *8)) (-5 *2 (-2 (|:| -2499 (-578 *9)) (|:| -3709 *4) (|:| |ineq| (-578 *9)))) (-5 *1 (-903 *6 *7 *8 *9 *4)) (-5 *3 (-578 *9)) (-4 *4 (-977 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-107)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *8 (-777)) (-4 *9 (-972 *6 *7 *8)) (-5 *2 (-2 (|:| -2499 (-578 *9)) (|:| -3709 *4) (|:| |ineq| (-578 *9)))) (-5 *1 (-1007 *6 *7 *8 *9 *4)) (-5 *3 (-578 *9)) (-4 *4 (-977 *6 *7 *8 *9))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-1125 *3)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-839)) (-4 *1 (-1128 *3 *4)) (-4 *3 (-959)) (-4 *4 (-722)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-375 (-501))) (-4 *1 (-1132 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-701)) (-5 *2 (-107)) (-5 *1 (-533 *3)) (-4 *3 (-500))))) 
-(((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-435)) (-5 *3 (-578 (-232))) (-5 *1 (-1151)))) ((*1 *1 *1) (-5 *1 (-1151)))) 
-(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1070)) (-5 *1 (-609 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |k| (-1070)) (|:| |c| (-1168 *3))))) (-5 *1 (-1168 *3)) (-4 *3 (-959)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |k| *3) (|:| |c| (-1171 *3 *4))))) (-5 *1 (-1171 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-651)) (-5 *2 (-839)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-653)) (-5 *2 (-701))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-331)) (-4 *5 (-508)) (-5 *2 (-2 (|:| |minor| (-578 (-839))) (|:| -2499 *3) (|:| |minors| (-578 (-578 (-839)))) (|:| |ops| (-578 *3)))) (-5 *1 (-88 *5 *3)) (-5 *4 (-839)) (-4 *3 (-593 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-567 *3 *2)) (-4 *2 (-13 (-389 *3) (-916) (-1090))))) ((*1 *1 *1) (-4 *1 (-568)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-626 *3)) (-4 *3 (-1001)) (-5 *2 (-578 (-2 (|:| -2922 *3) (|:| -3713 (-701)))))))) 
-(((*1 *1) (-5 *1 (-142)))) 
-(((*1 *2) (-12 (-4 *4 (-331)) (-5 *2 (-839)) (-5 *1 (-296 *3 *4)) (-4 *3 (-297 *4)))) ((*1 *2) (-12 (-4 *4 (-331)) (-5 *2 (-762 (-839))) (-5 *1 (-296 *3 *4)) (-4 *3 (-297 *4)))) ((*1 *2) (-12 (-4 *1 (-297 *3)) (-4 *3 (-331)) (-5 *2 (-839)))) ((*1 *2) (-12 (-4 *1 (-1165 *3)) (-4 *3 (-331)) (-5 *2 (-762 (-839)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-2 (|:| -1654 (-701)) (|:| |curves| (-701)) (|:| |polygons| (-701)) (|:| |constructs| (-701))))))) 
-(((*1 *2) (-12 (-5 *2 (-795)) (-5 *1 (-1153)))) ((*1 *2 *2) (-12 (-5 *2 (-795)) (-5 *1 (-1153))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))) (-5 *1 (-1008 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-578 (-220 *4 *5))) (-5 *2 (-220 *4 *5)) (-14 *4 (-578 (-1070))) (-4 *5 (-419)) (-5 *1 (-569 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-847))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1064 *1)) (-5 *3 (-1070)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1064 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-866 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1070)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-777) (-508))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-777) (-508))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1064 *2)) (-5 *4 (-1070)) (-4 *2 (-389 *5)) (-5 *1 (-31 *5 *2)) (-4 *5 (-13 (-777) (-508))))) ((*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1064 *1)) (-5 *3 (-839)) (-4 *1 (-926)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1064 *1)) (-5 *3 (-839)) (-5 *4 (-786)) (-4 *1 (-926)))) ((*1 *1 *2 *3) (|partial| -12 (-5 *3 (-839)) (-4 *4 (-13 (-775) (-331))) (-4 *1 (-974 *4 *2)) (-4 *2 (-1125 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-608 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-375 (-1064 (-282 *3)))) (-4 *3 (-13 (-508) (-777))) (-5 *1 (-1028 *3))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-1053)) (-5 *3 (-501)) (-5 *1 (-214)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-578 (-1053))) (-5 *3 (-501)) (-5 *4 (-1053)) (-5 *1 (-214)))) ((*1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-786)))) ((*1 *2 *1) (-12 (-4 *1 (-1128 *2 *3)) (-4 *3 (-722)) (-4 *2 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-447 *4 *5)) (-14 *4 (-578 (-1070))) (-4 *5 (-959)) (-5 *2 (-220 *4 *5)) (-5 *1 (-864 *4 *5))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-730)) (-5 *3 (-2 (|:| |xinit| (-199)) (|:| |xend| (-199)) (|:| |fn| (-1148 (-282 (-199)))) (|:| |yinit| (-578 (-199))) (|:| |intvals| (-578 (-199))) (|:| |g| (-282 (-199))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-948))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-467 (-375 (-501)) (-212 *4 (-701)) (-787 *3) (-220 *3 (-375 (-501))))) (-14 *3 (-578 (-1070))) (-14 *4 (-701)) (-5 *1 (-468 *3 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1004 *3 *2 *4 *5 *6)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *2 (-1001))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-845))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1064 *4)) (-5 *1 (-324 *4)) (-4 *4 (-318)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1064 *4)) (-5 *1 (-324 *4)) (-4 *4 (-318)))) ((*1 *1) (-4 *1 (-336))) ((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1148 *4)) (-5 *1 (-485 *4)) (-4 *4 (-318)))) ((*1 *1 *1) (-4 *1 (-500))) ((*1 *1) (-4 *1 (-500))) ((*1 *1 *1) (-5 *1 (-501))) ((*1 *1 *1) (-5 *1 (-701))) ((*1 *2 *1) (-12 (-5 *2 (-822 *3)) (-5 *1 (-825 *3)) (-4 *3 (-1001)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-5 *2 (-822 *4)) (-5 *1 (-825 *4)) (-4 *4 (-1001)))) ((*1 *1) (-12 (-4 *1 (-906 *2)) (-4 *2 (-500)) (-4 *2 (-508))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-276) (-134))) (-4 *4 (-13 (-777) (-556 (-1070)))) (-4 *5 (-723)) (-5 *1 (-844 *3 *4 *5 *2)) (-4 *2 (-870 *3 *5 *4))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-621 *3)) (-4 *3 (-959)) (-5 *1 (-622 *3))))) 
-(((*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-578 *6)) (-5 *4 (-578 (-220 *5 *6))) (-4 *6 (-419)) (-5 *2 (-220 *5 *6)) (-14 *5 (-578 (-1070))) (-5 *1 (-569 *5 *6))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-701)) (|:| -2663 *4))) (-5 *5 (-701)) (-4 *4 (-870 *6 *7 *8)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *8 (-777)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-417 *6 *7 *8 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-614 *2)) (-4 *2 (-1001)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-578 *5) (-578 *5))) (-5 *4 (-501)) (-5 *2 (-578 *5)) (-5 *1 (-614 *5)) (-4 *5 (-1001))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-44 (-1053) (-703))) (-5 *1 (-108))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-402))))) 
-(((*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-701)) (-4 *4 (-959)) (-5 *1 (-1123 *4 *2)) (-4 *2 (-1125 *4))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *2) (-12 (-5 *2 (-839)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-847))))) 
-(((*1 *2 *2 *2) (-12 (-5 *1 (-144 *2)) (-4 *2 (-500))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *1) (-5 *1 (-128))) ((*1 *1 *1) (-5 *1 (-131))) ((*1 *1 *1) (-4 *1 (-1039)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-847))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-150 *3)) (-4 *3 (-156)) (-4 *3 (-500)) (-5 *2 (-375 (-501))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-375 (-501))) (-5 *1 (-373 *3)) (-4 *3 (-500)) (-4 *3 (-508)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-500)) (-5 *2 (-375 (-501))))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-726 *3)) (-4 *3 (-156)) (-4 *3 (-500)) (-5 *2 (-375 (-501))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-375 (-501))) (-5 *1 (-762 *3)) (-4 *3 (-500)) (-4 *3 (-1001)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-375 (-501))) (-5 *1 (-769 *3)) (-4 *3 (-500)) (-4 *3 (-1001)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-912 *3)) (-4 *3 (-156)) (-4 *3 (-500)) (-5 *2 (-375 (-501))))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-375 (-501))) (-5 *1 (-922 *3)) (-4 *3 (-950 *2))))) 
-(((*1 *1) (-5 *1 (-733)))) 
-(((*1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-1073))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1104)) (-4 *1 (-102 *3))))) 
-(((*1 *1 *1) (-4 *1 (-508)))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-822 *3))) (-4 *3 (-1001)) (-5 *1 (-825 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-340 *2)) (-4 *2 (-1104)) (-4 *2 (-777)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3 *3)) (-4 *1 (-340 *3)) (-4 *3 (-1104)))) ((*1 *2 *2) (-12 (-5 *2 (-578 (-822 *3))) (-5 *1 (-822 *3)) (-4 *3 (-1001)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-959)) (-4 *5 (-723)) (-4 *3 (-777)) (-4 *6 (-972 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -3383 *1) (|:| |upper| *1))) (-4 *1 (-891 *4 *5 *3 *6))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1053)) (-5 *3 (-754)) (-5 *1 (-753))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-926)) (-5 *2 (-786))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-991 (-199))) (-5 *1 (-845)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-991 (-199))) (-5 *1 (-845)))) ((*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-991 (-199))) (-5 *1 (-847)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-346)) (-5 *2 (-1154)) (-5 *1 (-1152)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-346)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-621 *3)) (-4 *3 (-959)) (-5 *1 (-622 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1053)) (-5 *1 (-753))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-608 *3)) (-4 *3 (-1104)) (-5 *2 (-701))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-548 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1104)) (-5 *2 (-107))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1142 *4)) (-4 *4 (-37 (-375 (-501)))) (-5 *2 (-1 (-1048 *4) (-1048 *4) (-1048 *4))) (-5 *1 (-1143 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *5)) (-4 *5 (-156)) (-5 *1 (-126 *3 *4 *5)) (-14 *3 (-501)) (-14 *4 (-701))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-847))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-152 (-199))) (-5 *5 (-501)) (-5 *6 (-1053)) (-5 *3 (-199)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4167)) (-4 *1 (-548 *4 *3)) (-4 *4 (-1001)) (-4 *3 (-1104)) (-4 *3 (-1001)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1053)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *8 (-777)) (-4 *4 (-972 *6 *7 *8)) (-5 *2 (-1154)) (-5 *1 (-706 *6 *7 *8 *4 *5)) (-4 *5 (-977 *6 *7 *8 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-1073)))) ((*1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-1154)) (-5 *1 (-1073)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1070)) (-5 *2 (-1154)) (-5 *1 (-1073))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *5 (-1125 *4)) (-5 *2 (-578 (-2 (|:| -2896 *5) (|:| -4022 *5)))) (-5 *1 (-737 *4 *5 *3 *6)) (-4 *3 (-593 *5)) (-4 *6 (-593 (-375 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *4 (-1125 *5)) (-5 *2 (-578 (-2 (|:| -2896 *4) (|:| -4022 *4)))) (-5 *1 (-737 *5 *4 *3 *6)) (-4 *3 (-593 *4)) (-4 *6 (-593 (-375 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *5 (-1125 *4)) (-5 *2 (-578 (-2 (|:| -2896 *5) (|:| -4022 *5)))) (-5 *1 (-737 *4 *5 *6 *3)) (-4 *6 (-593 *5)) (-4 *3 (-593 (-375 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *4 (-1125 *5)) (-5 *2 (-578 (-2 (|:| -2896 *4) (|:| -4022 *4)))) (-5 *1 (-737 *5 *4 *6 *3)) (-4 *6 (-593 *4)) (-4 *3 (-593 (-375 *4)))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-152 (-199))) (-5 *5 (-501)) (-5 *6 (-1053)) (-5 *3 (-199)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-331)) (-5 *2 (-578 *3)) (-5 *1 (-865 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1070)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-578 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-578 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3071 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1090) (-27) (-389 *8))) (-4 *8 (-13 (-419) (-777) (-134) (-950 *3) (-577 *3))) (-5 *3 (-501)) (-5 *2 (-2 (|:| |ans| *4) (|:| -1320 *4) (|:| |sol?| (-107)))) (-5 *1 (-927 *8 *4))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-578 (-232))) (-5 *4 (-1070)) (-5 *2 (-50)) (-5 *1 (-232)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-578 (-232))) (-5 *4 (-1070)) (-5 *1 (-234 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-1070))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-1082 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001))))) 
-(((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1) (-5 *1 (-786))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1064 (-501))) (-5 *3 (-501)) (-4 *1 (-792 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-508) (-777) (-950 (-501)))) (-4 *5 (-389 *4)) (-5 *2 (-373 *3)) (-5 *1 (-403 *4 *5 *3)) (-4 *3 (-1125 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786)))) ((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-839)) (-5 *4 (-373 *6)) (-4 *6 (-1125 *5)) (-4 *5 (-959)) (-5 *2 (-578 *6)) (-5 *1 (-411 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 (-578 (-2 (|:| -2150 *4) (|:| -3506 (-1018)))))) (-4 *4 (-318)) (-5 *2 (-621 *4)) (-5 *1 (-315 *4))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1001)) (-5 *2 (-808 *3 *5)) (-5 *1 (-805 *3 *4 *5)) (-4 *3 (-1001)) (-4 *5 (-601 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-777)) (-4 *5 (-723)) (-4 *6 (-508)) (-4 *7 (-870 *6 *5 *3)) (-5 *1 (-429 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-950 (-375 (-501))) (-331) (-10 -8 (-15 -3691 ($ *7)) (-15 -2946 (*7 $)) (-15 -2949 (*7 $)))))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-578 *3))) (-4 *3 (-1001)) (-4 *1 (-824 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-948)) (-5 *3 (-1070)) (-5 *1 (-238))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1064 *4)) (-5 *1 (-324 *4)) (-4 *4 (-318))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-131))))) 
-(((*1 *1) (-5 *1 (-754)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-267)) (-5 *3 (-1070)) (-5 *2 (-107)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-267)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-501)) (-5 *5 (-152 (-199))) (-5 *6 (-1053)) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-1160 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-578 *8)) (-5 *3 (-1 (-107) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-508)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *1 (-1160 *5 *6 *7 *8))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-948))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-866 *4)) (-4 *4 (-959)) (-4 *4 (-556 *2)) (-5 *2 (-346)) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-866 *5)) (-5 *4 (-839)) (-4 *5 (-959)) (-4 *5 (-556 *2)) (-5 *2 (-346)) (-5 *1 (-715 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-375 (-866 *4))) (-4 *4 (-508)) (-4 *4 (-556 *2)) (-5 *2 (-346)) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-375 (-866 *5))) (-5 *4 (-839)) (-4 *5 (-508)) (-4 *5 (-556 *2)) (-5 *2 (-346)) (-5 *1 (-715 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-282 *4)) (-4 *4 (-508)) (-4 *4 (-777)) (-4 *4 (-556 *2)) (-5 *2 (-346)) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-282 *5)) (-5 *4 (-839)) (-4 *5 (-508)) (-4 *5 (-777)) (-4 *5 (-556 *2)) (-5 *2 (-346)) (-5 *1 (-715 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-769 (-199)))) (-5 *4 (-199)) (-5 *2 (-578 *4)) (-5 *1 (-238))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-199)) (-5 *5 (-501)) (-5 *2 (-1100 *3)) (-5 *1 (-720 *3)) (-4 *3 (-889)))) ((*1 *1 *2 *3 *4) (-12 (-5 *3 (-578 (-578 (-863 (-199))))) (-5 *4 (-107)) (-5 *1 (-1100 *2)) (-4 *2 (-889))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-107) (-108) (-108))) (-5 *1 (-108))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-839)) (-5 *2 (-701)) (-5 *1 (-1002 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *2)) (-5 *4 (-1 (-107) *2 *2)) (-5 *1 (-1105 *2)) (-4 *2 (-1001)))) ((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-1001)) (-4 *2 (-777)) (-5 *1 (-1105 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-578 (-863 (-199))))) (-5 *1 (-435))))) 
-(((*1 *1 *1) (-4 *1 (-967))) ((*1 *1 *1 *2 *2) (-12 (-4 *1 (-1128 *3 *2)) (-4 *3 (-959)) (-4 *2 (-722)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1128 *3 *2)) (-4 *3 (-959)) (-4 *2 (-722))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-1035 *3 *2)) (-4 *3 (-13 (-1001) (-33))) (-4 *2 (-13 (-1001) (-33)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-906 *2)) (-4 *2 (-508)) (-4 *2 (-500)))) ((*1 *1 *1) (-4 *1 (-967)))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1048 (-578 (-501)))) (-5 *1 (-803)) (-5 *3 (-578 (-501))))) ((*1 *2 *3) (-12 (-5 *2 (-1048 (-578 (-501)))) (-5 *1 (-803)) (-5 *3 (-578 (-501)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-103)))) ((*1 *2 *1) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-192)))) ((*1 *2 *1) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-452)))) ((*1 *1 *1) (-12 (-4 *1 (-906 *2)) (-4 *2 (-508)) (-4 *2 (-276)))) ((*1 *2 *1) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-918 *3)) (-14 *3 (-501)))) ((*1 *1 *1) (-4 *1 (-967)))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1148 *4)) (-4 *4 (-577 (-501))) (-5 *2 (-1148 (-375 (-501)))) (-5 *1 (-1174 *4))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-346) (-346))) (-5 *4 (-346)) (-5 *2 (-2 (|:| -2150 *4) (|:| -2390 *4) (|:| |totalpts| (-501)) (|:| |success| (-107)))) (-5 *1 (-719)) (-5 *5 (-501))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1035 *4 *5)) (-4 *4 (-13 (-1001) (-33))) (-4 *5 (-13 (-1001) (-33))) (-5 *2 (-107)) (-5 *1 (-1036 *4 *5))))) 
-(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-701)) (-4 *5 (-331)) (-5 *2 (-375 *6)) (-5 *1 (-789 *5 *4 *6)) (-4 *4 (-1142 *5)) (-4 *6 (-1125 *5)))) ((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-701)) (-5 *4 (-1139 *5 *6 *7)) (-4 *5 (-331)) (-14 *6 (-1070)) (-14 *7 *5) (-5 *2 (-375 (-1118 *6 *5))) (-5 *1 (-790 *5 *6 *7)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-701)) (-5 *4 (-1139 *5 *6 *7)) (-4 *5 (-331)) (-14 *6 (-1070)) (-14 *7 *5) (-5 *2 (-375 (-1118 *6 *5))) (-5 *1 (-790 *5 *6 *7))))) 
-(((*1 *2) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-621 (-375 *4)))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-802 *2)) (-4 *2 (-1104))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *1 *1) (-5 *1 (-970)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-753)) (-5 *1 (-752))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-845)) (-5 *2 (-2 (|:| |brans| (-578 (-578 (-863 (-199))))) (|:| |xValues| (-991 (-199))) (|:| |yValues| (-991 (-199))))) (-5 *1 (-140)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-845)) (-5 *4 (-375 (-501))) (-5 *2 (-2 (|:| |brans| (-578 (-578 (-863 (-199))))) (|:| |xValues| (-991 (-199))) (|:| |yValues| (-991 (-199))))) (-5 *1 (-140)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-578 (-578 (-863 (-199))))) (|:| |xValues| (-991 (-199))) (|:| |yValues| (-991 (-199))))) (-5 *1 (-140)) (-5 *3 (-578 (-863 (-199)))))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-578 (-578 (-863 (-199))))) (|:| |xValues| (-991 (-199))) (|:| |yValues| (-991 (-199))))) (-5 *1 (-140)) (-5 *3 (-578 (-578 (-863 (-199))))))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-991 (-346)))) (-5 *1 (-232)))) ((*1 *1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-232))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-553 *1)) (-4 *1 (-267))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1125 *6)) (-4 *6 (-13 (-331) (-134) (-950 *4))) (-5 *4 (-501)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-107)))) (|:| -2499 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-929 *6 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-578 (-863 (-199))))) (-5 *1 (-1100 *3)) (-4 *3 (-889))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-795)) (-5 *1 (-232)))) ((*1 *1 *2) (-12 (-5 *2 (-346)) (-5 *1 (-232))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1125 *5)) (-4 *5 (-331)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-525 *5 *3))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-276)) (-5 *2 (-107))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-375 (-866 (-501))))) (-5 *2 (-578 (-578 (-262 (-866 *4))))) (-5 *1 (-348 *4)) (-4 *4 (-13 (-775) (-331))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-262 (-375 (-866 (-501)))))) (-5 *2 (-578 (-578 (-262 (-866 *4))))) (-5 *1 (-348 *4)) (-4 *4 (-13 (-775) (-331))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 (-501)))) (-5 *2 (-578 (-262 (-866 *4)))) (-5 *1 (-348 *4)) (-4 *4 (-13 (-775) (-331))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-262 (-375 (-866 (-501))))) (-5 *2 (-578 (-262 (-866 *4)))) (-5 *1 (-348 *4)) (-4 *4 (-13 (-775) (-331))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1070)) (-4 *6 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-4 *4 (-13 (-29 *6) (-1090) (-879))) (-5 *2 (-2 (|:| |particular| *4) (|:| -4119 (-578 *4)))) (-5 *1 (-588 *6 *4 *3)) (-4 *3 (-593 *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1070)) (-5 *5 (-578 *2)) (-4 *2 (-13 (-29 *6) (-1090) (-879))) (-4 *6 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *1 (-588 *6 *2 *3)) (-4 *3 (-593 *2)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-331)) (-4 *6 (-13 (-340 *5) (-10 -7 (-6 -4168)))) (-4 *4 (-13 (-340 *5) (-10 -7 (-6 -4168)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4119 (-578 *4)))) (-5 *1 (-602 *5 *6 *4 *3)) (-4 *3 (-618 *5 *6 *4)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-331)) (-4 *6 (-13 (-340 *5) (-10 -7 (-6 -4168)))) (-4 *7 (-13 (-340 *5) (-10 -7 (-6 -4168)))) (-5 *2 (-578 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -4119 (-578 *7))))) (-5 *1 (-602 *5 *6 *7 *3)) (-5 *4 (-578 *7)) (-4 *3 (-618 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-621 *5)) (-4 *5 (-331)) (-5 *2 (-2 (|:| |particular| (-3 (-1148 *5) "failed")) (|:| -4119 (-578 (-1148 *5))))) (-5 *1 (-603 *5)) (-5 *4 (-1148 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-578 *5))) (-4 *5 (-331)) (-5 *2 (-2 (|:| |particular| (-3 (-1148 *5) "failed")) (|:| -4119 (-578 (-1148 *5))))) (-5 *1 (-603 *5)) (-5 *4 (-1148 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-621 *5)) (-4 *5 (-331)) (-5 *2 (-578 (-2 (|:| |particular| (-3 (-1148 *5) "failed")) (|:| -4119 (-578 (-1148 *5)))))) (-5 *1 (-603 *5)) (-5 *4 (-578 (-1148 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-578 *5))) (-4 *5 (-331)) (-5 *2 (-578 (-2 (|:| |particular| (-3 (-1148 *5) "failed")) (|:| -4119 (-578 (-1148 *5)))))) (-5 *1 (-603 *5)) (-5 *4 (-578 (-1148 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-866 *5))) (-5 *4 (-578 (-1070))) (-4 *5 (-508)) (-5 *2 (-578 (-578 (-262 (-375 (-866 *5)))))) (-5 *1 (-700 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-866 *4))) (-4 *4 (-508)) (-5 *2 (-578 (-578 (-262 (-375 (-866 *4)))))) (-5 *1 (-700 *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-108)) (-5 *4 (-1070)) (-4 *5 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *1 (-702 *5 *2)) (-4 *2 (-13 (-29 *5) (-1090) (-879))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-621 *7)) (-5 *5 (-1070)) (-4 *7 (-13 (-29 *6) (-1090) (-879))) (-4 *6 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *2 (-2 (|:| |particular| (-1148 *7)) (|:| -4119 (-578 (-1148 *7))))) (-5 *1 (-732 *6 *7)) (-5 *4 (-1148 *7)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-621 *6)) (-5 *4 (-1070)) (-4 *6 (-13 (-29 *5) (-1090) (-879))) (-4 *5 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *2 (-578 (-1148 *6))) (-5 *1 (-732 *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-578 (-262 *7))) (-5 *4 (-578 (-108))) (-5 *5 (-1070)) (-4 *7 (-13 (-29 *6) (-1090) (-879))) (-4 *6 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *2 (-2 (|:| |particular| (-1148 *7)) (|:| -4119 (-578 (-1148 *7))))) (-5 *1 (-732 *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-578 *7)) (-5 *4 (-578 (-108))) (-5 *5 (-1070)) (-4 *7 (-13 (-29 *6) (-1090) (-879))) (-4 *6 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *2 (-2 (|:| |particular| (-1148 *7)) (|:| -4119 (-578 (-1148 *7))))) (-5 *1 (-732 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-262 *7)) (-5 *4 (-108)) (-5 *5 (-1070)) (-4 *7 (-13 (-29 *6) (-1090) (-879))) (-4 *6 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -4119 (-578 *7))) *7 "failed")) (-5 *1 (-732 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-108)) (-5 *5 (-1070)) (-4 *6 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -4119 (-578 *3))) *3 "failed")) (-5 *1 (-732 *6 *3)) (-4 *3 (-13 (-29 *6) (-1090) (-879))))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-262 *2)) (-5 *4 (-108)) (-5 *5 (-578 *2)) (-4 *2 (-13 (-29 *6) (-1090) (-879))) (-5 *1 (-732 *6 *2)) (-4 *6 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))))) ((*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-108)) (-5 *4 (-262 *2)) (-5 *5 (-578 *2)) (-4 *2 (-13 (-29 *6) (-1090) (-879))) (-4 *6 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *1 (-732 *6 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-738)) (-5 *2 (-948)) (-5 *1 (-735)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-738)) (-5 *4 (-970)) (-5 *2 (-948)) (-5 *1 (-735)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1148 (-282 (-346)))) (-5 *4 (-346)) (-5 *5 (-578 *4)) (-5 *2 (-948)) (-5 *1 (-735)))) ((*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1148 (-282 (-346)))) (-5 *4 (-346)) (-5 *5 (-578 *4)) (-5 *2 (-948)) (-5 *1 (-735)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1148 (-282 *4))) (-5 *5 (-578 (-346))) (-5 *6 (-282 (-346))) (-5 *4 (-346)) (-5 *2 (-948)) (-5 *1 (-735)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1148 (-282 (-346)))) (-5 *4 (-346)) (-5 *5 (-578 *4)) (-5 *2 (-948)) (-5 *1 (-735)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1148 (-282 *4))) (-5 *5 (-578 (-346))) (-5 *6 (-282 (-346))) (-5 *4 (-346)) (-5 *2 (-948)) (-5 *1 (-735)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1148 (-282 *4))) (-5 *5 (-578 (-346))) (-5 *6 (-282 (-346))) (-5 *4 (-346)) (-5 *2 (-948)) (-5 *1 (-735)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -4119 (-578 *6))) "failed") *7 *6)) (-4 *6 (-331)) (-4 *7 (-593 *6)) (-5 *2 (-2 (|:| |particular| (-1148 *6)) (|:| -4119 (-621 *6)))) (-5 *1 (-743 *6 *7)) (-5 *3 (-621 *6)) (-5 *4 (-1148 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-818)) (-5 *2 (-948)) (-5 *1 (-817)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-818)) (-5 *4 (-970)) (-5 *2 (-948)) (-5 *1 (-817)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-701)) (-5 *6 (-578 (-578 (-282 *3)))) (-5 *7 (-1053)) (-5 *8 (-199)) (-5 *5 (-578 (-282 (-346)))) (-5 *3 (-346)) (-5 *2 (-948)) (-5 *1 (-817)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-701)) (-5 *6 (-578 (-578 (-282 *3)))) (-5 *7 (-1053)) (-5 *5 (-578 (-282 (-346)))) (-5 *3 (-346)) (-5 *2 (-948)) (-5 *1 (-817)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-866 (-375 (-501)))) (-5 *2 (-578 (-346))) (-5 *1 (-936)) (-5 *4 (-346)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-866 (-501))) (-5 *2 (-578 (-346))) (-5 *1 (-936)) (-5 *4 (-346)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *2 (-578 *4)) (-5 *1 (-1026 *3 *4)) (-4 *3 (-1125 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *2 (-578 (-262 (-282 *4)))) (-5 *1 (-1029 *4)) (-5 *3 (-282 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *2 (-578 (-262 (-282 *4)))) (-5 *1 (-1029 *4)) (-5 *3 (-262 (-282 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *2 (-578 (-262 (-282 *5)))) (-5 *1 (-1029 *5)) (-5 *3 (-262 (-282 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *2 (-578 (-262 (-282 *5)))) (-5 *1 (-1029 *5)) (-5 *3 (-282 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-1070))) (-4 *5 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *2 (-578 (-578 (-262 (-282 *5))))) (-5 *1 (-1029 *5)) (-5 *3 (-578 (-262 (-282 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-375 (-866 *5)))) (-5 *4 (-578 (-1070))) (-4 *5 (-508)) (-5 *2 (-578 (-578 (-262 (-375 (-866 *5)))))) (-5 *1 (-1075 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-1070))) (-4 *5 (-508)) (-5 *2 (-578 (-578 (-262 (-375 (-866 *5)))))) (-5 *1 (-1075 *5)) (-5 *3 (-578 (-262 (-375 (-866 *5))))))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-375 (-866 *4)))) (-4 *4 (-508)) (-5 *2 (-578 (-578 (-262 (-375 (-866 *4)))))) (-5 *1 (-1075 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-578 (-578 (-262 (-375 (-866 *4)))))) (-5 *1 (-1075 *4)) (-5 *3 (-578 (-262 (-375 (-866 *4))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-508)) (-5 *2 (-578 (-262 (-375 (-866 *5))))) (-5 *1 (-1075 *5)) (-5 *3 (-375 (-866 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-508)) (-5 *2 (-578 (-262 (-375 (-866 *5))))) (-5 *1 (-1075 *5)) (-5 *3 (-262 (-375 (-866 *5)))))) ((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-578 (-262 (-375 (-866 *4))))) (-5 *1 (-1075 *4)) (-5 *3 (-375 (-866 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-578 (-262 (-375 (-866 *4))))) (-5 *1 (-1075 *4)) (-5 *3 (-262 (-375 (-866 *4))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-375 (-866 *5)))) (-5 *4 (-578 (-1070))) (-4 *5 (-508)) (-5 *2 (-578 (-578 (-866 *5)))) (-5 *1 (-1075 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |val| *3) (|:| -3709 *4)))) (-5 *1 (-1036 *3 *4)) (-4 *3 (-13 (-1001) (-33))) (-4 *4 (-13 (-1001) (-33)))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3071 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-578 (-375 *8))) (-4 *7 (-331)) (-4 *8 (-1125 *7)) (-5 *3 (-375 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-578 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-525 *7 *8))))) 
-(((*1 *1 *2 *3 *4) (-12 (-14 *5 (-578 (-1070))) (-4 *2 (-156)) (-4 *4 (-211 (-3581 *5) (-701))) (-14 *6 (-1 (-107) (-2 (|:| -3506 *3) (|:| -3027 *4)) (-2 (|:| -3506 *3) (|:| -3027 *4)))) (-5 *1 (-428 *5 *2 *3 *4 *6 *7)) (-4 *3 (-777)) (-4 *7 (-870 *2 *4 (-787 *5)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-108)) (-5 *3 (-578 (-1 *4 (-578 *4)))) (-4 *4 (-1001)) (-5 *1 (-109 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-108)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1001)) (-5 *1 (-109 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-108)) (-5 *2 (-578 (-1 *4 (-578 *4)))) (-5 *1 (-109 *4)) (-4 *4 (-1001))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-891 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-331)) (-4 *6 (-1125 (-375 *2))) (-4 *2 (-1125 *5)) (-5 *1 (-190 *5 *2 *6 *3)) (-4 *3 (-310 *5 *2 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-232)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-107)) (-5 *3 (-578 (-232))) (-5 *1 (-233))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-584 *2 *3 *4)) (-4 *2 (-1001)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-1148 *5))) (-5 *4 (-501)) (-5 *2 (-1148 *5)) (-5 *1 (-943 *5)) (-4 *5 (-331)) (-4 *5 (-336)) (-4 *5 (-959))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-262 *2)) (-4 *2 (-657)) (-4 *2 (-1104))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1037 *4 *2)) (-14 *4 (-839)) (-4 *2 (-13 (-959) (-10 -7 (-6 (-4169 "*"))))) (-5 *1 (-823 *4 *2))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-863 *5)) (-5 *3 (-701)) (-4 *5 (-959)) (-5 *1 (-1059 *4 *5)) (-14 *4 (-839))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-785)))) ((*1 *2 *3) (-12 (-5 *3 (-786)) (-5 *2 (-1154)) (-5 *1 (-785)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1053)) (-5 *4 (-786)) (-5 *2 (-1154)) (-5 *1 (-785)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-501)) (-5 *2 (-1154)) (-5 *1 (-1048 *4)) (-4 *4 (-1001)) (-4 *4 (-1104))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 (-863 (-199)) (-863 (-199)))) (-5 *1 (-232)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1 (-863 (-199)) (-863 (-199)))) (-5 *3 (-578 (-232))) (-5 *1 (-233)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-447 *5 *6))) (-5 *3 (-447 *5 *6)) (-14 *5 (-578 (-1070))) (-4 *6 (-419)) (-5 *2 (-1148 *6)) (-5 *1 (-569 *5 *6))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-262 (-375 (-866 *5)))) (-5 *4 (-1070)) (-4 *5 (-13 (-276) (-777) (-134))) (-5 *2 (-1060 (-578 (-282 *5)) (-578 (-262 (-282 *5))))) (-5 *1 (-1027 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 *5))) (-5 *4 (-1070)) (-4 *5 (-13 (-276) (-777) (-134))) (-5 *2 (-1060 (-578 (-282 *5)) (-578 (-262 (-282 *5))))) (-5 *1 (-1027 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-299 *3)) (-4 *3 (-777))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-726 *2)) (-4 *2 (-156)))) ((*1 *2 *1) (-12 (-4 *1 (-912 *2)) (-4 *2 (-156))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-501)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-373 *2)) (-4 *2 (-508))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-508)) (-4 *7 (-870 *3 *5 *6)) (-5 *2 (-2 (|:| -3027 (-701)) (|:| -3189 *8) (|:| |radicand| *8))) (-5 *1 (-873 *5 *6 *3 *7 *8)) (-5 *4 (-701)) (-4 *8 (-13 (-331) (-10 -8 (-15 -2946 (*7 $)) (-15 -2949 (*7 $)) (-15 -3691 ($ *7)))))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-331)) (-5 *1 (-697 *2 *3)) (-4 *2 (-640 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-779 *2)) (-4 *2 (-959)) (-4 *2 (-331))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-870 *3 *4 *2)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-723)) (-4 *5 (-959)) (-4 *6 (-870 *5 *4 *2)) (-4 *2 (-777)) (-5 *1 (-871 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-331) (-10 -8 (-15 -3691 ($ *6)) (-15 -2946 (*6 $)) (-15 -2949 (*6 $))))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-375 (-866 *4))) (-4 *4 (-508)) (-5 *2 (-1070)) (-5 *1 (-952 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-701)) (-5 *3 (-107)) (-5 *1 (-105)))) ((*1 *2 *2) (-12 (-5 *2 (-839)) (|has| *1 (-6 -4158)) (-4 *1 (-372)))) ((*1 *2) (-12 (-4 *1 (-372)) (-5 *2 (-839))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1004 *3 *4 *5 *6 *7)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)) (-5 *2 (-107))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-795)) (-5 *1 (-232)))) ((*1 *1 *2) (-12 (-5 *2 (-346)) (-5 *1 (-232))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-304 *3 *4 *5 *6)) (-4 *3 (-331)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-4 *6 (-310 *3 *4 *5)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1048 *3)) (-5 *1 (-157 *3)) (-4 *3 (-276))))) 
-(((*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-578 (-578 (-863 (-199))))) (-5 *3 (-578 (-795))) (-5 *4 (-578 (-839))) (-5 *5 (-578 (-232))) (-5 *1 (-435)))) ((*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-578 (-578 (-863 (-199))))) (-5 *3 (-578 (-795))) (-5 *4 (-578 (-839))) (-5 *1 (-435)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-578 (-863 (-199))))) (-5 *1 (-435)))) ((*1 *1 *1) (-5 *1 (-435)))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-578 (-1070))) (-4 *4 (-1001)) (-4 *5 (-13 (-959) (-806 *4) (-777) (-556 (-810 *4)))) (-5 *1 (-53 *4 *5 *2)) (-4 *2 (-13 (-389 *5) (-806 *4) (-556 (-810 *4))))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-821 *2)) (-4 *2 (-1001)))) ((*1 *1 *2) (-12 (-5 *1 (-821 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-142)) (-5 *1 (-795))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-710 *5 (-787 *6)))) (-5 *4 (-107)) (-4 *5 (-419)) (-14 *6 (-578 (-1070))) (-5 *2 (-578 (-956 *5 *6))) (-5 *1 (-566 *5 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-389 *4)) (-5 *1 (-143 *4 *2)) (-4 *4 (-13 (-777) (-508)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 *4)) (-4 *4 (-577 (-501))) (-5 *2 (-107)) (-5 *1 (-1174 *4))))) 
-(((*1 *2 *3 *4) (-12 (-4 *4 (-331)) (-5 *2 (-578 (-1048 *4))) (-5 *1 (-255 *4 *5)) (-5 *3 (-1048 *4)) (-4 *5 (-1142 *4))))) 
-(((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-331)) (-4 *3 (-959)) (-5 *1 (-1055 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-55 *3 *4 *5)) (-4 *3 (-1104)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *2 (-501)))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-5 *2 (-501))))) 
-(((*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-553 *3)) (-5 *5 (-578 *3)) (-4 *3 (-13 (-389 *6) (-27) (-1090))) (-4 *6 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-578 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-517 *6 *3 *7)) (-4 *7 (-1001))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-55 *3 *4 *5)) (-4 *3 (-1104)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *2 (-578 *3)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4167)) (-4 *1 (-454 *3)) (-4 *3 (-1104)) (-5 *2 (-578 *3))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1064 *1)) (-4 *1 (-926))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-501)) (-5 *2 (-578 (-2 (|:| -3739 *3) (|:| -1201 *4)))) (-5 *1 (-627 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1064 (-375 (-866 *3)))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-710 *5 (-787 *6)))) (-5 *4 (-107)) (-4 *5 (-419)) (-14 *6 (-578 (-1070))) (-5 *2 (-578 (-1041 *5 (-487 (-787 *6)) (-787 *6) (-710 *5 (-787 *6))))) (-5 *1 (-566 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *4)) (-4 *4 (-775)) (-4 *4 (-331)) (-5 *2 (-701)) (-5 *1 (-865 *4 *5)) (-4 *5 (-1125 *4))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-199)) (-5 *3 (-701)) (-5 *1 (-200)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-152 (-199))) (-5 *3 (-701)) (-5 *1 (-200)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1034)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-621 *6)) (-5 *5 (-1 (-373 (-1064 *6)) (-1064 *6))) (-4 *6 (-331)) (-5 *2 (-578 (-2 (|:| |outval| *7) (|:| |outmult| (-501)) (|:| |outvect| (-578 (-621 *7)))))) (-5 *1 (-488 *6 *7 *4)) (-4 *7 (-331)) (-4 *4 (-13 (-331) (-775)))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-373 *3)) (-4 *3 (-508))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-839)) (-5 *1 (-1153)))) ((*1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-1153))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-199)) (-5 *1 (-200)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-152 (-199))) (-5 *1 (-200))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1125 *5)) (-4 *5 (-331)) (-4 *7 (-1125 (-375 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -3540 *3))) (-5 *1 (-514 *5 *6 *7 *3)) (-4 *3 (-310 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1125 *5)) (-4 *5 (-331)) (-5 *2 (-2 (|:| |answer| (-375 *6)) (|:| -3540 (-375 *6)) (|:| |specpart| (-375 *6)) (|:| |polypart| *6))) (-5 *1 (-515 *5 *6)) (-5 *3 (-375 *6))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-777)) (-5 *1 (-449 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1148 *5)) (-4 *5 (-722)) (-5 *2 (-107)) (-5 *1 (-772 *4 *5)) (-14 *4 (-701))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-1072 (-375 (-501)))) (-5 *1 (-166))))) 
-(((*1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-690))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-866 (-152 *4))) (-4 *4 (-156)) (-4 *4 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-866 (-152 *5))) (-5 *4 (-839)) (-4 *5 (-156)) (-4 *5 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-866 *4)) (-4 *4 (-959)) (-4 *4 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-866 *5)) (-5 *4 (-839)) (-4 *5 (-959)) (-4 *5 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-375 (-866 *4))) (-4 *4 (-508)) (-4 *4 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-375 (-866 *5))) (-5 *4 (-839)) (-4 *5 (-508)) (-4 *5 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-375 (-866 (-152 *4)))) (-4 *4 (-508)) (-4 *4 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-375 (-866 (-152 *5)))) (-5 *4 (-839)) (-4 *5 (-508)) (-4 *5 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-282 *4)) (-4 *4 (-508)) (-4 *4 (-777)) (-4 *4 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-282 *5)) (-5 *4 (-839)) (-4 *5 (-508)) (-4 *5 (-777)) (-4 *5 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-282 (-152 *4))) (-4 *4 (-508)) (-4 *4 (-777)) (-4 *4 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-282 (-152 *5))) (-5 *4 (-839)) (-4 *5 (-508)) (-4 *5 (-777)) (-4 *5 (-556 (-346))) (-5 *2 (-152 (-346))) (-5 *1 (-715 *5))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-331)) (-4 *3 (-959)) (-5 *1 (-1055 *3))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-959)) (-4 *4 (-1001)) (-5 *2 (-578 *1)) (-4 *1 (-352 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-666 *3 *4))) (-5 *1 (-666 *3 *4)) (-4 *3 (-959)) (-4 *4 (-657)))) ((*1 *2 *1) (-12 (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-870 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-621 *4)) (-4 *4 (-331)) (-5 *2 (-1064 *4)) (-5 *1 (-488 *4 *5 *6)) (-4 *5 (-331)) (-4 *6 (-13 (-331) (-775)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-508) (-777))) (-5 *2 (-152 *5)) (-5 *1 (-544 *4 *5 *3)) (-4 *5 (-13 (-389 *4) (-916) (-1090))) (-4 *3 (-13 (-389 (-152 *4)) (-916) (-1090)))))) 
-(((*1 *2) (-12 (-4 *4 (-1108)) (-4 *5 (-1125 *4)) (-4 *6 (-1125 (-375 *5))) (-5 *2 (-107)) (-5 *1 (-309 *3 *4 *5 *6)) (-4 *3 (-310 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-107))))) 
-(((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-434)))) ((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-434)))) ((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-845))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-578 (-578 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-578 (-3 (|:| |array| (-578 *3)) (|:| |scalar| (-1070))))) (-5 *6 (-578 (-1070))) (-5 *3 (-1070)) (-5 *2 (-1003)) (-5 *1 (-363)))) ((*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-578 (-578 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-578 (-3 (|:| |array| (-578 *3)) (|:| |scalar| (-1070))))) (-5 *6 (-578 (-1070))) (-5 *3 (-1070)) (-5 *2 (-1003)) (-5 *1 (-363)))) ((*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-578 (-1070))) (-5 *5 (-1073)) (-5 *3 (-1070)) (-5 *2 (-1003)) (-5 *1 (-363))))) 
-(((*1 *2 *3 *4 *5) (-12 (-4 *6 (-1125 *9)) (-4 *7 (-723)) (-4 *8 (-777)) (-4 *9 (-276)) (-4 *10 (-870 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-578 (-1064 *10))) (|:| |dterm| (-578 (-578 (-2 (|:| -3890 (-701)) (|:| |pcoef| *10))))) (|:| |nfacts| (-578 *6)) (|:| |nlead| (-578 *10)))) (-5 *1 (-708 *6 *7 *8 *9 *10)) (-5 *3 (-1064 *10)) (-5 *4 (-578 *6)) (-5 *5 (-578 *10))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-46 *3 *4)) (-4 *3 (-959)) (-4 *4 (-722)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-352 *3 *4)) (-4 *3 (-959)) (-4 *4 (-1001)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-540 *3)) (-4 *3 (-959)))) ((*1 *2 *1) (-12 (-4 *3 (-508)) (-5 *2 (-107)) (-5 *1 (-562 *3 *4)) (-4 *4 (-1125 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-666 *3 *4)) (-4 *3 (-959)) (-4 *4 (-657)))) ((*1 *2 *1) (-12 (-4 *1 (-1166 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-295 *3)) (-4 *3 (-1104)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-478 *3 *4)) (-4 *3 (-1104)) (-14 *4 (-501))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-621 *5))) (-5 *4 (-1148 *5)) (-4 *5 (-276)) (-4 *5 (-959)) (-5 *2 (-621 *5)) (-5 *1 (-943 *5))))) 
-(((*1 *1) (-5 *1 (-754)))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| *3) (|:| -3709 *4)))) (-5 *1 (-1008 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-991 (-199))) (-5 *1 (-845)))) ((*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-199) (-199))) (-5 *3 (-991 (-199))) (-5 *1 (-845)))) ((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-199) (-199))) (-5 *3 (-991 (-199))) (-5 *1 (-845)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-578 (-1 (-199) (-199)))) (-5 *3 (-991 (-199))) (-5 *1 (-845)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-578 (-1 (-199) (-199)))) (-5 *3 (-991 (-199))) (-5 *1 (-845)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-199) (-199))) (-5 *3 (-991 (-199))) (-5 *1 (-845)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-199) (-199))) (-5 *3 (-991 (-199))) (-5 *1 (-845)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1070)) (-5 *5 (-991 (-199))) (-5 *2 (-845)) (-5 *1 (-846 *3)) (-4 *3 (-556 (-490))))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1070)) (-5 *5 (-991 (-199))) (-5 *2 (-845)) (-5 *1 (-846 *3)) (-4 *3 (-556 (-490))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-991 (-199))) (-5 *1 (-847)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-199) (-199))) (-5 *3 (-991 (-199))) (-5 *1 (-847)))) ((*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-199) (-199))) (-5 *3 (-991 (-199))) (-5 *1 (-847))))) 
-(((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-847))))) 
-(((*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-578 *3)) (-5 *5 (-839)) (-4 *3 (-1125 *4)) (-4 *4 (-276)) (-5 *1 (-427 *4 *3))))) 
-(((*1 *1 *2 *2 *1) (-12 (-5 *1 (-582 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-225 *3)) (-4 *3 (-1104)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-267)) (-5 *2 (-701)))) ((*1 *2 *3) (-12 (-4 *4 (-959)) (-4 *2 (-13 (-372) (-950 *4) (-331) (-1090) (-254))) (-5 *1 (-410 *4 *3 *2)) (-4 *3 (-1125 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-553 *3)) (-4 *3 (-777)))) ((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-786)))) ((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-786))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-346)) (-5 *1 (-970))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *2 (-578 *4)) (-5 *1 (-1026 *3 *4)) (-4 *3 (-1125 *4)))) ((*1 *2 *3 *3) (-12 (-4 *3 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *2 (-578 *3)) (-5 *1 (-1026 *4 *3)) (-4 *4 (-1125 *3))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-701)) (-5 *2 (-375 (-501))) (-5 *1 (-199)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-5 *2 (-375 (-501))) (-5 *1 (-199)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-701)) (-5 *2 (-375 (-501))) (-5 *1 (-346)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-5 *2 (-375 (-501))) (-5 *1 (-346))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-578 *2)) (-4 *2 (-1001)) (-4 *2 (-1104))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-276) (-134))) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-870 *4 *5 *6)) (-5 *2 (-578 (-578 *7))) (-5 *1 (-416 *4 *5 *6 *7)) (-5 *3 (-578 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-107)) (-4 *5 (-13 (-276) (-134))) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *8 (-870 *5 *6 *7)) (-5 *2 (-578 (-578 *8))) (-5 *1 (-416 *5 *6 *7 *8)) (-5 *3 (-578 *8))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| *3) (|:| -3709 *4)))) (-5 *1 (-1008 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-578 *8)) (-5 *4 (-578 (-810 *6))) (-5 *5 (-1 (-808 *6 *8) *8 (-810 *6) (-808 *6 *8))) (-4 *6 (-1001)) (-4 *8 (-13 (-959) (-556 (-810 *6)) (-950 *7))) (-5 *2 (-808 *6 *8)) (-4 *7 (-13 (-959) (-777))) (-5 *1 (-861 *6 *7 *8))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-578 *3)) (|:| |image| (-578 *3)))) (-5 *1 (-822 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-1 (-107) *8))) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-508)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-2 (|:| |goodPols| (-578 *8)) (|:| |badPols| (-578 *8)))) (-5 *1 (-892 *5 *6 *7 *8)) (-5 *4 (-578 *8))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *2 (-501)) (-5 *1 (-1087 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-375 *4)) (-4 *4 (-1125 *3)) (-4 *3 (-13 (-331) (-134) (-950 (-501)))) (-5 *1 (-519 *3 *4))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1142 *4)) (-5 *1 (-1143 *4 *2)) (-4 *4 (-37 (-375 (-501))))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-578 *2)) (-4 *2 (-1001)) (-4 *2 (-1104))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-2 (|:| -3996 (-108)) (|:| |w| (-199)))) (-5 *1 (-180))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-361)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-1084))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-578 (-866 (-501)))) (-5 *4 (-578 (-1070))) (-5 *2 (-578 (-578 (-346)))) (-5 *1 (-936)) (-5 *5 (-346)))) ((*1 *2 *3) (-12 (-5 *3 (-956 *4 *5)) (-4 *4 (-13 (-775) (-276) (-134) (-933))) (-14 *5 (-578 (-1070))) (-5 *2 (-578 (-578 (-937 (-375 *4))))) (-5 *1 (-1173 *4 *5 *6)) (-14 *6 (-578 (-1070))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-578 (-866 *5))) (-5 *4 (-107)) (-4 *5 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-578 (-937 (-375 *5))))) (-5 *1 (-1173 *5 *6 *7)) (-14 *6 (-578 (-1070))) (-14 *7 (-578 (-1070))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-578 (-866 *5))) (-5 *4 (-107)) (-4 *5 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-578 (-937 (-375 *5))))) (-5 *1 (-1173 *5 *6 *7)) (-14 *6 (-578 (-1070))) (-14 *7 (-578 (-1070))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-866 *5))) (-5 *4 (-107)) (-4 *5 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-578 (-937 (-375 *5))))) (-5 *1 (-1173 *5 *6 *7)) (-14 *6 (-578 (-1070))) (-14 *7 (-578 (-1070))))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-866 *4))) (-4 *4 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-578 (-937 (-375 *4))))) (-5 *1 (-1173 *4 *5 *6)) (-14 *5 (-578 (-1070))) (-14 *6 (-578 (-1070)))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-578 *2)) (-4 *2 (-1001)) (-4 *2 (-1104))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-578 (-447 *5 *6))) (-5 *4 (-787 *5)) (-14 *5 (-578 (-1070))) (-5 *2 (-447 *5 *6)) (-5 *1 (-569 *5 *6)) (-4 *6 (-419)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-447 *5 *6))) (-5 *4 (-787 *5)) (-14 *5 (-578 (-1070))) (-5 *2 (-447 *5 *6)) (-5 *1 (-569 *5 *6)) (-4 *6 (-419))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-126 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-701)) (-4 *5 (-156)))) ((*1 *1 *1) (-12 (-5 *1 (-126 *2 *3 *4)) (-14 *2 (-501)) (-14 *3 (-701)) (-4 *4 (-156)))) ((*1 *1 *1) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-959)) (-4 *1 (-618 *3 *2 *4)) (-4 *2 (-340 *3)) (-4 *4 (-340 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1037 *2 *3)) (-14 *2 (-701)) (-4 *3 (-959))))) 
-(((*1 *2) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-578 *9)) (-4 *8 (-972 *5 *6 *7)) (-4 *9 (-977 *5 *6 *7 *8)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-701)) (-5 *1 (-975 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-578 *9)) (-4 *8 (-972 *5 *6 *7)) (-4 *9 (-1009 *5 *6 *7 *8)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-701)) (-5 *1 (-1040 *5 *6 *7 *8 *9))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4167)) (-4 *1 (-138 *2)) (-4 *2 (-1104)) (-4 *2 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-157 (-375 (-501)))) (-5 *1 (-112 *3)) (-14 *3 (-501)))) ((*1 *1 *2 *3 *3) (-12 (-5 *3 (-1048 *2)) (-4 *2 (-276)) (-5 *1 (-157 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-375 *3)) (-4 *3 (-276)) (-5 *1 (-157 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-157 (-501))) (-5 *1 (-696 *3)) (-4 *3 (-372)))) ((*1 *2 *1) (-12 (-5 *2 (-157 (-375 (-501)))) (-5 *1 (-793 *3)) (-14 *3 (-501)))) ((*1 *2 *1) (-12 (-14 *3 (-501)) (-5 *2 (-157 (-375 (-501)))) (-5 *1 (-794 *3 *4)) (-4 *4 (-792 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-282 (-199))) (-5 *1 (-272)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-810 *3)) (|:| |den| (-810 *3)))) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-501)) (-5 *1 (-1079 *2)) (-4 *2 (-331))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-590 (-375 *6))) (-5 *4 (-375 *6)) (-4 *6 (-1125 *5)) (-4 *5 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4119 (-578 *4)))) (-5 *1 (-740 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-590 (-375 *6))) (-4 *6 (-1125 *5)) (-4 *5 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-5 *2 (-2 (|:| -4119 (-578 (-375 *6))) (|:| -2978 (-621 *5)))) (-5 *1 (-740 *5 *6)) (-5 *4 (-578 (-375 *6))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-591 *6 (-375 *6))) (-5 *4 (-375 *6)) (-4 *6 (-1125 *5)) (-4 *5 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4119 (-578 *4)))) (-5 *1 (-740 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-591 *6 (-375 *6))) (-4 *6 (-1125 *5)) (-4 *5 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))) (-5 *2 (-2 (|:| -4119 (-578 (-375 *6))) (|:| -2978 (-621 *5)))) (-5 *1 (-740 *5 *6)) (-5 *4 (-578 (-375 *6)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-471 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-777))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-578 *1)) (-4 *1 (-972 *4 *5 *6)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-107)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1099 *4 *5 *6 *3)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1048 (-1048 *4))) (-5 *2 (-1048 *4)) (-5 *1 (-1055 *4)) (-4 *4 (-37 (-375 (-501)))) (-4 *4 (-959))))) 
-(((*1 *2) (-12 (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-1148 *1)) (-4 *1 (-310 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 *4)) (-4 *4 (-318)) (-5 *2 (-1064 *4)) (-5 *1 (-485 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-786))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1053)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-1154)) (-5 *1 (-903 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1053)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-1154)) (-5 *1 (-1007 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1099 *4 *5 *3 *6)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *3 (-777)) (-4 *6 (-972 *4 *5 *3)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-1165 *3)) (-4 *3 (-331)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-548 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1104)) (-5 *2 (-578 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-373 *3)) (-5 *1 (-834 *3)) (-4 *3 (-276))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-394 *2)) (-4 *2 (-1001)) (-4 *2 (-336))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-50)) (-5 *1 (-759))))) 
-(((*1 *1) (|partial| -12 (-4 *1 (-335 *2)) (-4 *2 (-508)) (-4 *2 (-156))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-513)) (-5 *3 (-501)))) ((*1 *2 *3) (-12 (-5 *2 (-1064 (-375 (-501)))) (-5 *1 (-862)) (-5 *3 (-501))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-701)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *8 (-777)) (-4 *3 (-972 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-578 *4)) (|:| |todo| (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))))) (-5 *1 (-975 *6 *7 *8 *3 *4)) (-4 *4 (-977 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-578 *4)) (|:| |todo| (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))))) (-5 *1 (-975 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-701)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *8 (-777)) (-4 *3 (-972 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-578 *4)) (|:| |todo| (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))))) (-5 *1 (-1040 *6 *7 *8 *3 *4)) (-4 *4 (-1009 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-578 *4)) (|:| |todo| (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))))) (-5 *1 (-1040 *5 *6 *7 *3 *4)) (-4 *4 (-1009 *5 *6 *7 *3))))) 
-(((*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-553 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1070))) (-5 *5 (-1064 *2)) (-4 *2 (-13 (-389 *6) (-27) (-1090))) (-4 *6 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *1 (-512 *6 *2 *7)) (-4 *7 (-1001)))) ((*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-553 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1070))) (-5 *5 (-375 (-1064 *2))) (-4 *2 (-13 (-389 *6) (-27) (-1090))) (-4 *6 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *1 (-512 *6 *2 *7)) (-4 *7 (-1001))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-1064 *3)) (-5 *1 (-40 *4 *3)) (-4 *3 (-13 (-331) (-267) (-10 -8 (-15 -2946 ((-1023 *4 (-553 $)) $)) (-15 -2949 ((-1023 *4 (-553 $)) $)) (-15 -3691 ($ (-1023 *4 (-553 $)))))))))) 
-(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-578 *1)) (-4 *1 (-841))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1064 *2)) (-4 *2 (-870 (-375 (-866 *6)) *5 *4)) (-5 *1 (-663 *5 *4 *6 *2)) (-4 *5 (-723)) (-4 *4 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $))))) (-4 *6 (-508))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-419)) (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1633 *4))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *1) (-5 *1 (-1154)))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-621 *3)) (-4 *3 (-959)) (-5 *1 (-622 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *5)) (-4 *5 (-389 *4)) (-4 *4 (-13 (-777) (-508))) (-5 *2 (-786)) (-5 *1 (-31 *4 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1064 *5)) (-4 *5 (-331)) (-5 *2 (-578 *6)) (-5 *1 (-488 *5 *6 *4)) (-4 *6 (-331)) (-4 *4 (-13 (-331) (-775)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-168))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *7)) (-4 *7 (-977 *3 *4 *5 *6)) (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *1 (-903 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-578 *7)) (-4 *7 (-977 *3 *4 *5 *6)) (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *1 (-1007 *3 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-578 (-810 *3))) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-926)) (-5 *2 (-786))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-810 *4)) (-4 *4 (-1001)) (-5 *1 (-808 *4 *3)) (-4 *3 (-1001))))) 
-(((*1 *2) (-12 (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-1154)) (-5 *1 (-978 *3 *4 *5 *6 *7)) (-4 *7 (-977 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-1154)) (-5 *1 (-1008 *3 *4 *5 *6 *7)) (-4 *7 (-977 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-863 *3) (-863 *3))) (-5 *1 (-158 *3)) (-4 *3 (-13 (-331) (-1090) (-916)))))) 
-(((*1 *2) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-1153))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1143 *3 *2)) (-4 *2 (-1142 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-578 *3))) (-4 *3 (-959)) (-4 *1 (-618 *3 *4 *5)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-578 (-786)))) (-5 *1 (-786)))) ((*1 *2 *1) (-12 (-5 *2 (-1037 *3 *4)) (-5 *1 (-908 *3 *4)) (-14 *3 (-839)) (-4 *4 (-331)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-578 *5))) (-4 *5 (-959)) (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-578 *7)) (|:| |badPols| (-578 *7)))) (-5 *1 (-892 *4 *5 *6 *7)) (-5 *3 (-578 *7))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-107)) (-5 *1 (-1008 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| (-107)) (|:| -3709 *4)))) (-5 *1 (-1008 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-553 (-47)))) (-5 *1 (-47)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-553 (-47))) (-5 *1 (-47)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1064 (-47))) (-5 *3 (-578 (-553 (-47)))) (-5 *1 (-47)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1064 (-47))) (-5 *3 (-553 (-47))) (-5 *1 (-47)))) ((*1 *2 *1) (-12 (-4 *1 (-150 *2)) (-4 *2 (-156)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-331) (-775))) (-5 *1 (-162 *2 *3)) (-4 *3 (-1125 (-152 *2))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-839)) (-4 *1 (-297 *3)) (-4 *3 (-331)) (-4 *3 (-336)))) ((*1 *2 *1) (-12 (-4 *1 (-297 *2)) (-4 *2 (-331)))) ((*1 *2 *1) (-12 (-4 *1 (-338 *2 *3)) (-4 *3 (-1125 *2)) (-4 *2 (-156)))) ((*1 *2 *1) (-12 (-4 *4 (-1125 *2)) (-4 *2 (-906 *3)) (-5 *1 (-381 *3 *2 *4 *5)) (-4 *3 (-276)) (-4 *5 (-13 (-378 *2 *4) (-950 *2))))) ((*1 *2 *1) (-12 (-4 *4 (-1125 *2)) (-4 *2 (-906 *3)) (-5 *1 (-383 *3 *2 *4 *5 *6)) (-4 *3 (-276)) (-4 *5 (-378 *2 *4)) (-14 *6 (-1148 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-839)) (-4 *5 (-959)) (-4 *2 (-13 (-372) (-950 *5) (-331) (-1090) (-254))) (-5 *1 (-410 *5 *3 *2)) (-4 *3 (-1125 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-553 (-458)))) (-5 *1 (-458)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-553 (-458))) (-5 *1 (-458)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1064 (-458))) (-5 *3 (-578 (-553 (-458)))) (-5 *1 (-458)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1064 (-458))) (-5 *3 (-553 (-458))) (-5 *1 (-458)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1148 *4)) (-5 *3 (-839)) (-4 *4 (-318)) (-5 *1 (-485 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-419)) (-4 *5 (-655 *4 *2)) (-4 *2 (-1125 *4)) (-5 *1 (-705 *4 *2 *5 *3)) (-4 *3 (-1125 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-726 *2)) (-4 *2 (-156)))) ((*1 *2 *1) (-12 (-4 *1 (-912 *2)) (-4 *2 (-156)))) ((*1 *1 *1) (-4 *1 (-967)))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-578 (-711 *3))) (-5 *1 (-711 *3)) (-4 *3 (-508)) (-4 *3 (-959))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-50))) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-924 *3)) (-4 *3 (-1104)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1091 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-578 (-1070))) (-5 *2 (-1070)) (-5 *1 (-298))))) 
-(((*1 *1 *1 *1) (-4 *1 (-500)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-578 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-874)) (-5 *2 (-578 (-578 (-863 (-199))))))) ((*1 *2 *1) (-12 (-4 *1 (-889)) (-5 *2 (-578 (-578 (-863 (-199)))))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-701)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-723)) (-4 *7 (-870 *4 *5 *6)) (-4 *4 (-419)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-417 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1104)) (-5 *1 (-1148 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1064 *2)) (-4 *2 (-389 *4)) (-4 *4 (-13 (-777) (-508))) (-5 *1 (-31 *4 *2))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-508))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-777)) (-5 *1 (-670 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-2 (|:| -3689 (-701)) (|:| |eqns| (-578 (-2 (|:| |det| *7) (|:| |rows| (-578 (-501))) (|:| |cols| (-578 (-501)))))) (|:| |fgb| (-578 *7))))) (-4 *7 (-870 *4 *6 *5)) (-4 *4 (-13 (-276) (-134))) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-5 *2 (-701)) (-5 *1 (-844 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-152 (-199)) (-152 (-199)))) (-5 *4 (-991 (-199))) (-5 *5 (-107)) (-5 *2 (-1152)) (-5 *1 (-229))))) 
-(((*1 *1 *2 *3) (-12 (-4 *1 (-352 *3 *2)) (-4 *3 (-959)) (-4 *2 (-1001)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-501)) (-5 *2 (-1048 *3)) (-5 *1 (-1055 *3)) (-4 *3 (-959)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-749 *4)) (-4 *4 (-777)) (-4 *1 (-1166 *4 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-891 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 *5))) (-5 *4 (-1070)) (-4 *5 (-13 (-276) (-777) (-134))) (-5 *2 (-578 (-262 (-282 *5)))) (-5 *1 (-1027 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-375 (-866 *4))) (-4 *4 (-13 (-276) (-777) (-134))) (-5 *2 (-578 (-262 (-282 *4)))) (-5 *1 (-1027 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-262 (-375 (-866 *5)))) (-5 *4 (-1070)) (-4 *5 (-13 (-276) (-777) (-134))) (-5 *2 (-578 (-262 (-282 *5)))) (-5 *1 (-1027 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-262 (-375 (-866 *4)))) (-4 *4 (-13 (-276) (-777) (-134))) (-5 *2 (-578 (-262 (-282 *4)))) (-5 *1 (-1027 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-375 (-866 *5)))) (-5 *4 (-578 (-1070))) (-4 *5 (-13 (-276) (-777) (-134))) (-5 *2 (-578 (-578 (-262 (-282 *5))))) (-5 *1 (-1027 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-375 (-866 *4)))) (-4 *4 (-13 (-276) (-777) (-134))) (-5 *2 (-578 (-578 (-262 (-282 *4))))) (-5 *1 (-1027 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-262 (-375 (-866 *5))))) (-5 *4 (-578 (-1070))) (-4 *5 (-13 (-276) (-777) (-134))) (-5 *2 (-578 (-578 (-262 (-282 *5))))) (-5 *1 (-1027 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-262 (-375 (-866 *4))))) (-4 *4 (-13 (-276) (-777) (-134))) (-5 *2 (-578 (-578 (-262 (-282 *4))))) (-5 *1 (-1027 *4))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-701)) (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-870 *3 *4 *5)) (-4 *3 (-276)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-415 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-578 *7)) (-5 *3 (-1053)) (-4 *7 (-870 *4 *5 *6)) (-4 *4 (-276)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-415 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-578 *7)) (-5 *3 (-1053)) (-4 *7 (-870 *4 *5 *6)) (-4 *4 (-276)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-415 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-845))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-501)) (-5 *1 (-1087 *4)) (-4 *4 (-959))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *2)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *2 (-972 *3 *4 *5))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-199) (-199) (-199))) (-5 *4 (-3 (-1 (-199) (-199) (-199) (-199)) "undefined")) (-5 *5 (-991 (-199))) (-5 *6 (-578 (-232))) (-5 *2 (-1031 (-199))) (-5 *1 (-628)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-863 (-199)) (-199) (-199))) (-5 *4 (-991 (-199))) (-5 *5 (-578 (-232))) (-5 *2 (-1031 (-199))) (-5 *1 (-628)))) ((*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1031 (-199))) (-5 *3 (-1 (-863 (-199)) (-199) (-199))) (-5 *4 (-991 (-199))) (-5 *5 (-578 (-232))) (-5 *1 (-628))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-199)) (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-701)) (-4 *1 (-204 *4)) (-4 *4 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-204 *3)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-206)) (-5 *2 (-701)))) ((*1 *1 *1) (-4 *1 (-206))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-237 *3)) (-4 *3 (-777)))) ((*1 *1 *1) (-12 (-4 *1 (-237 *2)) (-4 *2 (-777)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *3 (-13 (-331) (-134))) (-5 *1 (-367 *3 *4)) (-4 *4 (-1125 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-331) (-134))) (-5 *1 (-367 *2 *3)) (-4 *3 (-1125 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-441 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *2 *1 *3) (-12 (-4 *2 (-331)) (-4 *2 (-820 *3)) (-5 *1 (-530 *2)) (-5 *3 (-1070)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-530 *2)) (-4 *2 (-331)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-786)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 *4)) (-5 *3 (-578 (-701))) (-4 *1 (-820 *4)) (-4 *4 (-1001)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-701)) (-4 *1 (-820 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *1 (-820 *3)) (-4 *3 (-1001)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-820 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1061 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1067 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1068 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1109 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1125 *3)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1130 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 *4)) (-14 *4 (-1070)) (-5 *1 (-1139 *3 *4 *5)) (-4 *3 (-959)) (-14 *5 *3)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-701))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-419)) (-4 *3 (-723)) (-4 *5 (-777)) (-5 *2 (-107)) (-5 *1 (-417 *4 *3 *5 *6)) (-4 *6 (-870 *4 *3 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-886))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-419)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-892 *3 *4 *5 *6))))) 
-(((*1 *1 *1) (-5 *1 (-490)))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-621 *4)) (-5 *3 (-839)) (-4 *4 (-959)) (-5 *1 (-942 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-578 (-621 *4))) (-5 *3 (-839)) (-4 *4 (-959)) (-5 *1 (-942 *4))))) 
-(((*1 *2 *1 *2) (-12 (-5 *1 (-939 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1004 *3 *4 *5 *6 *7)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)) (-5 *2 (-107))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-621 *3)) (-4 *3 (-276)) (-5 *1 (-631 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-567 *3 *2)) (-4 *2 (-13 (-389 *3) (-916) (-1090))))) ((*1 *1 *1) (-4 *1 (-568)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-94 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-959)) (-5 *1 (-780 *5 *2)) (-4 *2 (-779 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-501)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-1154)) (-5 *1 (-417 *4 *5 *6 *7)) (-4 *7 (-870 *4 *5 *6))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-1064 (-866 *4))) (-5 *1 (-385 *3 *4)) (-4 *3 (-386 *4)))) ((*1 *2) (-12 (-4 *1 (-386 *3)) (-4 *3 (-156)) (-4 *3 (-331)) (-5 *2 (-1064 (-866 *3))))) ((*1 *2) (-12 (-5 *2 (-1064 (-375 (-866 *3)))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 *4)) (-5 *1 (-1008 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-142)) (-5 *1 (-795))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-13 (-775) (-331))) (-5 *1 (-968 *2 *3)) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-701)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-723)) (-4 *6 (-870 *3 *4 *5)) (-4 *3 (-419)) (-4 *5 (-777)) (-5 *1 (-417 *3 *4 *5 *6))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-224 *2 *3 *4 *5)) (-4 *2 (-959)) (-4 *3 (-777)) (-4 *4 (-237 *3)) (-4 *5 (-723))))) 
-(((*1 *2) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-759))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-701)) (-4 *3 (-13 (-276) (-10 -8 (-15 -1559 ((-373 $) $))))) (-4 *4 (-1125 *3)) (-5 *1 (-462 *3 *4 *5)) (-4 *5 (-378 *3 *4))))) 
-(((*1 *1) (-12 (-4 *1 (-150 *2)) (-4 *2 (-156))))) 
-(((*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-107)) (-5 *1 (-540 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-373 (-1064 *1))) (-5 *1 (-282 *4)) (-5 *3 (-1064 *1)) (-4 *4 (-419)) (-4 *4 (-508)) (-4 *4 (-777)))) ((*1 *2 *3) (-12 (-4 *1 (-830)) (-5 *2 (-373 (-1064 *1))) (-5 *3 (-1064 *1))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1001)) (-5 *1 (-98 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-98 *2)) (-4 *2 (-1001))))) 
-(((*1 *2) (-12 (-4 *3 (-508)) (-5 *2 (-578 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-386 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-590 (-375 *2))) (-4 *2 (-1125 *4)) (-5 *1 (-740 *4 *2)) (-4 *4 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501))))))) ((*1 *2 *3) (-12 (-5 *3 (-591 *2 (-375 *2))) (-4 *2 (-1125 *4)) (-5 *1 (-740 *4 *2)) (-4 *4 (-13 (-331) (-134) (-950 (-501)) (-950 (-375 (-501)))))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-918 *3)) (-14 *3 (-501))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-701)) (-5 *1 (-713 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-156))))) 
-(((*1 *1 *1) (-4 *1 (-500)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-108))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-701)) (-4 *3 (-959)) (-4 *1 (-618 *3 *4 *5)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-1147 *3)) (-4 *3 (-23)) (-4 *3 (-1104))))) 
-(((*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-107) *5 *5)) (-5 *4 (-1 (-107) *6 *6)) (-4 *5 (-13 (-1001) (-33))) (-4 *6 (-13 (-1001) (-33))) (-5 *2 (-107)) (-5 *1 (-1035 *5 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-505))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1 (-107) *7 (-578 *7))) (-4 *1 (-1099 *4 *5 *6 *7)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-246))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-501)) (-5 *3 (-701)) (-5 *1 (-513))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-155))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-346)) (-5 *1 (-970))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1118 *5 *4)) (-4 *4 (-419)) (-4 *4 (-750)) (-14 *5 (-1070)) (-5 *2 (-501)) (-5 *1 (-1014 *4 *5))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-839)) (-4 *5 (-508)) (-5 *2 (-621 *5)) (-5 *1 (-876 *5 *3)) (-4 *3 (-593 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-795)) (-5 *1 (-1153)))) ((*1 *2 *2) (-12 (-5 *2 (-795)) (-5 *1 (-1153))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1001)) (-4 *2 (-820 *5)) (-5 *1 (-623 *5 *2 *3 *4)) (-4 *3 (-340 *2)) (-4 *4 (-13 (-340 *5) (-10 -7 (-6 -4167))))))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1070)) (-4 *4 (-959)) (-4 *4 (-777)) (-5 *2 (-2 (|:| |var| (-553 *1)) (|:| -3027 (-501)))) (-4 *1 (-389 *4)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-108)) (-4 *4 (-959)) (-4 *4 (-777)) (-5 *2 (-2 (|:| |var| (-553 *1)) (|:| -3027 (-501)))) (-4 *1 (-389 *4)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1012)) (-4 *3 (-777)) (-5 *2 (-2 (|:| |var| (-553 *1)) (|:| -3027 (-501)))) (-4 *1 (-389 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-810 *3)) (|:| -3027 (-701)))) (-5 *1 (-810 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-870 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-2 (|:| |var| *5) (|:| -3027 (-701)))))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-959)) (-4 *7 (-870 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -3027 (-501)))) (-5 *1 (-871 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-331) (-10 -8 (-15 -3691 ($ *7)) (-15 -2946 (*7 $)) (-15 -2949 (*7 $)))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-467 (-375 (-501)) (-212 *5 (-701)) (-787 *4) (-220 *4 (-375 (-501))))) (-14 *4 (-578 (-1070))) (-14 *5 (-701)) (-5 *2 (-107)) (-5 *1 (-468 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-447 *4 *5)) (-14 *4 (-578 (-1070))) (-4 *5 (-959)) (-5 *2 (-866 *5)) (-5 *1 (-864 *4 *5))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1125 *4)) (-4 *4 (-1108)) (-4 *6 (-1125 (-375 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-310 *4 *5 *6))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-217 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-419)) (-4 *4 (-777)) (-4 *5 (-723)) (-5 *2 (-578 *6)) (-5 *1 (-901 *3 *4 *5 *6)) (-4 *6 (-870 *3 *5 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3664 *3))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *1) (-5 *1 (-128)))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-584 *2 *3 *4)) (-4 *2 (-1001)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *2 *3 *1) (-12 (-5 *1 (-584 *2 *3 *4)) (-4 *2 (-1001)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *1 *1) (-12 (-5 *1 (-609 *2)) (-4 *2 (-959)) (-4 *2 (-1001))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-356)) (-5 *1 (-405)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-356)) (-5 *1 (-405))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-4 *1 (-33))) ((*1 *1) (-12 (-5 *1 (-126 *2 *3 *4)) (-14 *2 (-501)) (-14 *3 (-701)) (-4 *4 (-156)))) ((*1 *1) (-4 *1 (-657))) ((*1 *1) (-5 *1 (-1070)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-232)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-839)) (-5 *3 (-578 (-232))) (-5 *1 (-233))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-419))))) 
-(((*1 *1) (-12 (-5 *1 (-126 *2 *3 *4)) (-14 *2 (-501)) (-14 *3 (-701)) (-4 *4 (-156))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-578 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-701)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-723)) (-4 *3 (-870 *4 *5 *6)) (-4 *4 (-419)) (-4 *6 (-777)) (-5 *1 (-417 *4 *5 *6 *3))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *2 *2) (-12 (-5 *1 (-144 *2)) (-4 *2 (-500))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-777) (-950 (-501)) (-577 (-501)) (-419))) (-5 *2 (-769 *4)) (-5 *1 (-281 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1090) (-389 *3))) (-14 *5 (-1070)) (-14 *6 *4))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-777) (-950 (-501)) (-577 (-501)) (-419))) (-5 *2 (-769 *4)) (-5 *1 (-1136 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1090) (-389 *3))) (-14 *5 (-1070)) (-14 *6 *4)))) 
-(((*1 *2) (-12 (-4 *2 (-156)) (-5 *1 (-149 *3 *2)) (-4 *3 (-150 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-338 *2 *4)) (-4 *4 (-1125 *2)) (-4 *2 (-156)))) ((*1 *2) (-12 (-4 *4 (-1125 *2)) (-4 *2 (-156)) (-5 *1 (-377 *3 *2 *4)) (-4 *3 (-378 *2 *4)))) ((*1 *2) (-12 (-4 *1 (-378 *2 *3)) (-4 *3 (-1125 *2)) (-4 *2 (-156)))) ((*1 *2) (-12 (-4 *3 (-1125 *2)) (-5 *2 (-501)) (-5 *1 (-698 *3 *4)) (-4 *4 (-378 *2 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-870 *3 *4 *2)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777)) (-4 *3 (-156)))) ((*1 *2 *3) (-12 (-4 *2 (-508)) (-5 *1 (-885 *2 *3)) (-4 *3 (-1125 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-959)) (-4 *2 (-156))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-726 *2)) (-4 *2 (-156)))) ((*1 *2 *1) (-12 (-4 *1 (-912 *2)) (-4 *2 (-156))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-331)) (-5 *1 (-697 *2 *3)) (-4 *2 (-640 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-779 *2)) (-4 *2 (-959)) (-4 *2 (-331))))) 
-(((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-779 *2)) (-4 *2 (-959)) (-4 *2 (-331))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-621 (-375 (-866 *4)))) (-4 *4 (-419)) (-5 *2 (-578 (-3 (-375 (-866 *4)) (-1060 (-1070) (-866 *4))))) (-5 *1 (-261 *4))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1070)) (-4 *5 (-556 (-810 (-501)))) (-4 *5 (-806 (-501))) (-4 *5 (-13 (-777) (-950 (-501)) (-419) (-577 (-501)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-518 *5 *3)) (-4 *3 (-568)) (-4 *3 (-13 (-27) (-1090) (-389 *5)))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1001)) (-5 *2 (-107)) (-5 *1 (-805 *3 *4 *5)) (-4 *3 (-1001)) (-4 *5 (-601 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-808 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-810 *4)) (-4 *4 (-1001)) (-5 *2 (-578 *5)) (-5 *1 (-811 *4 *5)) (-4 *5 (-1104))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-870 *3 *5 *4)) (-5 *1 (-901 *3 *4 *5 *2)) (-4 *3 (-419)) (-4 *4 (-777)) (-4 *5 (-723))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-786)) (-5 *1 (-50))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-61 *3)) (-14 *3 (-1070)))) ((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-67 *3)) (-14 *3 (-1070)))) ((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-70 *3)) (-14 *3 (-1070)))) ((*1 *2 *3) (-12 (-5 *3 (-356)) (-5 *2 (-1154)) (-5 *1 (-363)))) ((*1 *2 *1) (-12 (-4 *1 (-364)) (-5 *2 (-1154)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1053)) (-5 *4 (-786)) (-5 *2 (-1154)) (-5 *1 (-1033)))) ((*1 *2 *3) (-12 (-5 *3 (-786)) (-5 *2 (-1154)) (-5 *1 (-1033)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-786))) (-5 *2 (-1154)) (-5 *1 (-1033))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-578 *7)) (|:| |badPols| (-578 *7)))) (-5 *1 (-892 *4 *5 *6 *7)) (-5 *3 (-578 *7))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-107) *2)) (-4 *1 (-138 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-55 *3 *4 *5)) (-4 *3 (-1104)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4168)) (-4 *1 (-454 *3)) (-4 *3 (-1104))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-435)) (-5 *4 (-839)) (-5 *2 (-1154)) (-5 *1 (-1151))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-701)) (-4 *2 (-1001)) (-5 *1 (-611 *2))))) 
-(((*1 *2) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-107))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-578 (-2 (|:| |func| *2) (|:| |pole| (-107))))) (-4 *2 (-13 (-389 *4) (-916))) (-4 *4 (-13 (-777) (-508))) (-5 *1 (-247 *4 *2))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-359))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-199)) (|:| |xend| (-199)) (|:| |fn| (-1148 (-282 (-199)))) (|:| |yinit| (-578 (-199))) (|:| |intvals| (-578 (-199))) (|:| |g| (-282 (-199))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-346)) (-5 *1 (-181))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-863 *3) (-863 *3))) (-5 *1 (-158 *3)) (-4 *3 (-13 (-331) (-1090) (-916)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-578 (-578 (-155))))))) 
-(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-134) (-27) (-950 (-501)) (-950 (-375 (-501))))) (-4 *5 (-1125 *4)) (-5 *2 (-1064 (-375 *5))) (-5 *1 (-557 *4 *5)) (-5 *3 (-375 *5)))) ((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-373 *6) *6)) (-4 *6 (-1125 *5)) (-4 *5 (-13 (-134) (-27) (-950 (-501)) (-950 (-375 (-501))))) (-5 *2 (-1064 (-375 *6))) (-5 *1 (-557 *5 *6)) (-5 *3 (-375 *6))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-346)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-912 *2)) (-4 *2 (-156))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-282 (-199))) (-5 *2 (-107)) (-5 *1 (-238))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-217 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-356)) (-5 *2 (-1154)) (-5 *1 (-359)))) ((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-359))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-892 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-578 *7)) (-5 *3 (-107)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-892 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-107) *4 *4)) (-4 *4 (-1104)) (-5 *1 (-343 *4 *2)) (-4 *2 (-13 (-340 *4) (-10 -7 (-6 -4168))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-786)) (-5 *2 (-1154)) (-5 *1 (-1033)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-786))) (-5 *2 (-1154)) (-5 *1 (-1033))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-1105 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1004 *3 *4 *5 *6 *7)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)) (-5 *2 (-107))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-863 *4)) (-4 *4 (-959)) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-754)) (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-214)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-1053))) (-5 *2 (-1154)) (-5 *1 (-214))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-46 *2 *3)) (-4 *3 (-722)) (-4 *2 (-959)))) ((*1 *2 *1 *1) (-12 (-4 *2 (-959)) (-5 *1 (-49 *2 *3)) (-14 *3 (-578 (-1070))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-578 (-839))) (-4 *2 (-331)) (-5 *1 (-139 *4 *2 *5)) (-14 *4 (-839)) (-14 *5 (-908 *4 *2)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-282 *3)) (-5 *1 (-197 *3 *4)) (-4 *3 (-13 (-959) (-777))) (-14 *4 (-578 (-1070))))) ((*1 *2 *3 *1) (-12 (-4 *1 (-291 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-123)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-352 *2 *3)) (-4 *3 (-1001)) (-4 *2 (-959)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *2 (-508)) (-5 *1 (-562 *2 *4)) (-4 *4 (-1125 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-4 *1 (-640 *2)) (-4 *2 (-959)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-959)) (-5 *1 (-666 *2 *3)) (-4 *3 (-657)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 *5)) (-5 *3 (-578 (-701))) (-4 *1 (-671 *4 *5)) (-4 *4 (-959)) (-4 *5 (-777)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-701)) (-4 *1 (-671 *4 *2)) (-4 *4 (-959)) (-4 *2 (-777)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-4 *1 (-779 *2)) (-4 *2 (-959)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 *6)) (-5 *3 (-578 (-701))) (-4 *1 (-870 *4 *5 *6)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *6 (-777)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-701)) (-4 *1 (-870 *4 *5 *2)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *2 (-777)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-4 *2 (-870 *4 (-487 *5) *5)) (-5 *1 (-1024 *4 *5 *2)) (-4 *4 (-959)) (-4 *5 (-777)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-5 *2 (-866 *4)) (-5 *1 (-1097 *4)) (-4 *4 (-959))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-810 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-4 *1 (-1004 *3 *4 *5 *6 *7)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)) (-5 *2 (-107))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-1148 *5)) (-5 *3 (-701)) (-5 *4 (-1018)) (-4 *5 (-318)) (-5 *1 (-485 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-375 (-866 *3))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-766)) (-5 *3 (-2 (|:| |fn| (-282 (-199))) (|:| -3746 (-578 (-199))) (|:| |lb| (-578 (-769 (-199)))) (|:| |cf| (-578 (-282 (-199)))) (|:| |ub| (-578 (-769 (-199)))))) (-5 *2 (-948)))) ((*1 *2 *3) (-12 (-4 *1 (-766)) (-5 *3 (-2 (|:| |lfn| (-578 (-282 (-199)))) (|:| -3746 (-578 (-199))))) (-5 *2 (-948))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-810 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-4 *1 (-1166 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1170 *3 *4)) (-4 *3 (-959)) (-4 *4 (-773))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-295 *3)) (-4 *3 (-1104)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-478 *3 *4)) (-4 *3 (-1104)) (-14 *4 *2)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-2 (|:| -3626 (-1070)) (|:| -2922 (-404))))) (-5 *1 (-1074))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-417 *3 *4 *5 *2)) (-4 *2 (-870 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-224 *3 *4 *2 *5)) (-4 *3 (-959)) (-4 *4 (-777)) (-4 *5 (-723)) (-4 *2 (-237 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-621 (-826 *3))) (-5 *1 (-320 *3 *4)) (-14 *3 (-839)) (-14 *4 (-839)))) ((*1 *2) (-12 (-5 *2 (-621 *3)) (-5 *1 (-321 *3 *4)) (-4 *3 (-318)) (-14 *4 (-3 (-1064 *3) (-1148 (-578 (-2 (|:| -2150 *3) (|:| -3506 (-1018))))))))) ((*1 *2) (-12 (-5 *2 (-621 *3)) (-5 *1 (-322 *3 *4)) (-4 *3 (-318)) (-14 *4 (-839))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-331)) (-4 *3 (-723)) (-4 *4 (-777)) (-5 *1 (-467 *2 *3 *4 *5)) (-4 *5 (-870 *2 *3 *4))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-891 *3 *4 *2 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777)) (-4 *5 (-972 *3 *4 *2))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-217 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-501)) (-4 *1 (-55 *4 *5 *3)) (-4 *4 (-1104)) (-4 *5 (-340 *4)) (-4 *3 (-340 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-578 (-578 (-863 (-199))))) (-5 *3 (-578 (-795))) (-5 *1 (-435))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-1070))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-863 *2)) (-5 *1 (-897 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-959)) (-4 *2 (-13 (-372) (-950 *4) (-331) (-1090) (-254))) (-5 *1 (-410 *4 *3 *2)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1064 (-501))) (-5 *1 (-862)) (-5 *3 (-501)))) ((*1 *2 *2) (-12 (-4 *3 (-276)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *1 (-1022 *3 *4 *5 *2)) (-4 *2 (-618 *3 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1039)) (-5 *2 (-128)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1039)) (-5 *2 (-131))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-839)) (-5 *4 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1151))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-701)) (-4 *4 (-13 (-959) (-648 (-375 (-501))))) (-4 *5 (-777)) (-5 *1 (-1163 *4 *5 *2)) (-4 *2 (-1169 *5 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-1108)) (-4 *5 (-1125 *4)) (-5 *2 (-2 (|:| |radicand| (-375 *5)) (|:| |deg| (-701)))) (-5 *1 (-135 *4 *5 *3)) (-4 *3 (-1125 (-375 *5)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1001)) (-4 *6 (-1001)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-616 *4 *5 *6)) (-4 *5 (-1001))))) 
-(((*1 *2) (-12 (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-1154)) (-5 *1 (-978 *3 *4 *5 *6 *7)) (-4 *7 (-977 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-1154)) (-5 *1 (-1008 *3 *4 *5 *6 *7)) (-4 *7 (-977 *3 *4 *5 *6))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1064 *3)) (-4 *3 (-336)) (-4 *1 (-297 *3)) (-4 *3 (-331))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 (-199) (-199) (-199) (-199))) (-5 *1 (-232)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-199) (-199) (-199))) (-5 *1 (-232)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-199) (-199))) (-5 *1 (-232))))) 
-(((*1 *2) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-621 (-375 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-701)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-723)) (-4 *7 (-870 *4 *5 *6)) (-4 *4 (-419)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-417 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-225 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-578 *3)) (-5 *1 (-42 *4 *3)) (-4 *3 (-386 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-131))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-578 (-282 (-199)))) (-5 *3 (-199)) (-5 *2 (-107)) (-5 *1 (-186))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-508) (-777) (-950 (-501)))) (-4 *5 (-389 *4)) (-5 *2 (-373 (-1064 (-375 (-501))))) (-5 *1 (-403 *4 *5 *3)) (-4 *3 (-1125 *5))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1070)) (-5 *4 (-866 (-501))) (-5 *2 (-298)) (-5 *1 (-300)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1070)) (-5 *4 (-993 (-866 (-501)))) (-5 *2 (-298)) (-5 *1 (-300)))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-701)) (-5 *1 (-609 *3)) (-4 *3 (-959)) (-4 *3 (-1001))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-224 *4 *3 *5 *6)) (-4 *4 (-959)) (-4 *3 (-777)) (-4 *5 (-237 *3)) (-4 *6 (-723)) (-5 *2 (-578 (-701))))) ((*1 *2 *1) (-12 (-4 *1 (-224 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-777)) (-4 *5 (-237 *4)) (-4 *6 (-723)) (-5 *2 (-578 (-701)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-37 (-375 (-501)))) (-5 *2 (-2 (|:| -3970 (-1048 *4)) (|:| -3975 (-1048 *4)))) (-5 *1 (-1056 *4)) (-5 *3 (-1048 *4))))) 
-(((*1 *2 *2) (-12 (-4 *2 (-156)) (-4 *2 (-959)) (-5 *1 (-645 *2 *3)) (-4 *3 (-583 *2)))) ((*1 *2 *2) (-12 (-5 *1 (-764 *2)) (-4 *2 (-156)) (-4 *2 (-959))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *3 (-578 (-1070))) (-4 *4 (-1001)) (-4 *5 (-13 (-959) (-806 *4) (-777) (-556 (-810 *4)))) (-5 *1 (-979 *4 *5 *2)) (-4 *2 (-13 (-389 *5) (-806 *4) (-556 (-810 *4)))))) ((*1 *1 *2 *2) (-12 (-4 *3 (-1001)) (-4 *4 (-13 (-959) (-806 *3) (-777) (-556 (-810 *3)))) (-5 *1 (-979 *3 *4 *2)) (-4 *2 (-13 (-389 *4) (-806 *3) (-556 (-810 *3))))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-318)) (-5 *2 (-373 *3)) (-5 *1 (-191 *4 *3)) (-4 *3 (-1125 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-373 *3)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-701)) (-5 *2 (-373 *3)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-701))) (-5 *2 (-373 *3)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-578 (-701))) (-5 *5 (-701)) (-5 *2 (-373 *3)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-701)) (-5 *2 (-373 *3)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3) (-12 (-5 *2 (-373 *3)) (-5 *1 (-921 *3)) (-4 *3 (-1125 (-375 (-501)))))) ((*1 *2 *3) (-12 (-5 *2 (-373 *3)) (-5 *1 (-1115 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-291 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-123)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1001)) (-5 *1 (-329 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1001)) (-5 *1 (-354 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1001)) (-5 *1 (-584 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-1154)) (-5 *1 (-1073)))) ((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-1074))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-839)) (-5 *1 (-324 *3)) (-4 *3 (-318))))) 
-(((*1 *2 *3 *2) (-12 (-4 *2 (-13 (-331) (-775))) (-5 *1 (-162 *2 *3)) (-4 *3 (-1125 (-152 *2))))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-331) (-775))) (-5 *1 (-162 *2 *3)) (-4 *3 (-1125 (-152 *2)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-107)) (-5 *1 (-38 *3)) (-4 *3 (-1125 (-47)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *1)) (-4 *1 (-267)))) ((*1 *1 *1) (-4 *1 (-267))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786)))) ((*1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-701)) (-5 *4 (-501)) (-5 *1 (-412 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-792 *3)) (-5 *2 (-501))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-508)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-5 *2 (-1 *6 *5)) (-5 *1 (-616 *4 *5 *6))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-389 *4)) (-5 *1 (-143 *4 *2)) (-4 *4 (-13 (-777) (-508)))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-701)) (-4 *4 (-318)) (-5 *1 (-191 *4 *2)) (-4 *2 (-1125 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-886)) (-5 *1 (-822 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-769 *4)) (-5 *3 (-553 *4)) (-5 *5 (-107)) (-4 *4 (-13 (-1090) (-29 *6))) (-4 *6 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-198 *6 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-863 *3) (-863 *3))) (-5 *1 (-158 *3)) (-4 *3 (-13 (-331) (-1090) (-916))))) ((*1 *2) (|partial| -12 (-4 *4 (-1108)) (-4 *5 (-1125 (-375 *2))) (-4 *2 (-1125 *4)) (-5 *1 (-309 *3 *4 *2 *5)) (-4 *3 (-310 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-310 *3 *2 *4)) (-4 *3 (-1108)) (-4 *4 (-1125 (-375 *2))) (-4 *2 (-1125 *3))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-701)) (-4 *4 (-318)) (-5 *1 (-191 *4 *2)) (-4 *2 (-1125 *4)))) ((*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-501)) (-5 *1 (-627 *2)) (-4 *2 (-1125 *3))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1070)) (-5 *6 (-578 (-553 *3))) (-5 *5 (-553 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *7))) (-4 *7 (-13 (-419) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *2 (-2 (|:| -3071 *3) (|:| |coeff| *3))) (-5 *1 (-509 *7 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1018)) (-5 *1 (-298))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-501)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *2 (-959)) (-5 *1 (-289 *4 *5 *2 *6)) (-4 *6 (-870 *2 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-125))))) 
-(((*1 *2) (-12 (-4 *3 (-508)) (-5 *2 (-578 (-621 *3))) (-5 *1 (-42 *3 *4)) (-4 *4 (-386 *3))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-578 (-2 (|:| |scalar| (-375 (-501))) (|:| |coeff| (-1064 *2)) (|:| |logand| (-1064 *2))))) (-5 *4 (-578 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-331)) (-5 *1 (-530 *2))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-777) (-950 (-501)) (-577 (-501)) (-419))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1130 *4 *5 *6)) (|:| |%expon| (-287 *4 *5 *6)) (|:| |%expTerms| (-578 (-2 (|:| |k| (-375 (-501))) (|:| |c| *4)))))) (|:| |%type| (-1053)))) (-5 *1 (-1136 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1090) (-389 *3))) (-14 *5 (-1070)) (-14 *6 *4)))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-107) *4 *4)) (-4 *4 (-1104)) (-5 *1 (-343 *4 *2)) (-4 *2 (-13 (-340 *4) (-10 -7 (-6 -4168))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1019 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1148 (-282 (-199)))) (-5 *4 (-578 (-1070))) (-5 *2 (-621 (-282 (-199)))) (-5 *1 (-181)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1001)) (-4 *6 (-820 *5)) (-5 *2 (-621 *6)) (-5 *1 (-623 *5 *6 *3 *4)) (-4 *3 (-340 *6)) (-4 *4 (-13 (-340 *5) (-10 -7 (-6 -4167))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-847))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-578 *5)) (-4 *5 (-1125 *3)) (-4 *3 (-276)) (-5 *2 (-107)) (-5 *1 (-422 *3 *5))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-107)) (-5 *1 (-115 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-107) *4 *4)) (-4 *4 (-1104)) (-5 *1 (-1030 *4 *2)) (-4 *2 (-13 (-548 (-501) *4) (-10 -7 (-6 -4167) (-6 -4168)))))) ((*1 *2 *2) (-12 (-4 *3 (-777)) (-4 *3 (-1104)) (-5 *1 (-1030 *3 *2)) (-4 *2 (-13 (-548 (-501) *3) (-10 -7 (-6 -4167) (-6 -4168))))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3236 *1) (|:| -1852 *1))) (-4 *1 (-276)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-354 *3)) (|:| |rm| (-354 *3)))) (-5 *1 (-354 *3)) (-4 *3 (-1001)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3236 (-701)) (|:| -1852 (-701)))) (-5 *1 (-701)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| -3236 *3) (|:| -1852 *3))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1048 (-501))) (-5 *1 (-1055 *4)) (-4 *4 (-959)) (-5 *3 (-501))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-530 *3)) (-4 *3 (-331))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-217 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-501)) (-5 *2 (-1154)) (-5 *1 (-1152)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-346)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-107) *6)) (-4 *6 (-13 (-1001) (-950 *5))) (-4 *5 (-806 *4)) (-4 *4 (-1001)) (-5 *2 (-1 (-107) *5)) (-5 *1 (-851 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-199)) (-5 *2 (-107)) (-5 *1 (-271 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *4) (-12 (-5 *4 (-991 (-769 (-199)))) (-5 *3 (-199)) (-5 *2 (-107)) (-5 *1 (-272)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107)) (-5 *1 (-467 *3 *4 *5 *6)) (-4 *6 (-870 *3 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-276)) (-4 *6 (-340 *5)) (-4 *4 (-340 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4119 (-578 *4)))) (-5 *1 (-1022 *5 *6 *4 *3)) (-4 *3 (-618 *5 *6 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-501)) (-5 *1 (-417 *4 *5 *6 *3)) (-4 *3 (-870 *4 *5 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-103)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-490))) (-5 *1 (-490))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-553 *4)) (-5 *1 (-554 *3 *4)) (-4 *3 (-777)) (-4 *4 (-777))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-759)) (-5 *3 (-1053))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-282 (-199))) (-5 *2 (-282 (-346))) (-5 *1 (-272))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-108)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1070)) (-5 *4 (-1053)) (-5 *2 (-282 (-501))) (-5 *1 (-849)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1053)) (-4 *4 (-777)) (-5 *1 (-850 *4 *2)) (-4 *2 (-389 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-901 (-375 (-501)) (-787 *3) (-212 *4 (-701)) (-220 *3 (-375 (-501))))) (-14 *3 (-578 (-1070))) (-14 *4 (-701)) (-5 *1 (-902 *3 *4))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-501)) (-4 *1 (-55 *4 *3 *5)) (-4 *4 (-1104)) (-4 *3 (-340 *4)) (-4 *5 (-340 *4))))) 
-(((*1 *2) (-12 (-4 *3 (-508)) (-5 *2 (-578 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-386 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-335 *2)) (-4 *2 (-156)))) ((*1 *2) (-12 (-4 *2 (-156)) (-5 *1 (-385 *3 *2)) (-4 *3 (-386 *2)))) ((*1 *2) (-12 (-4 *1 (-386 *2)) (-4 *2 (-156))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-870 *3 *4 *5)) (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-467 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1148 (-578 (-2 (|:| -2150 *4) (|:| -3506 (-1018)))))) (-4 *4 (-318)) (-5 *2 (-1154)) (-5 *1 (-485 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-701)) (-5 *1 (-533 *2)) (-4 *2 (-500))))) 
-(((*1 *2) (-12 (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-1154)) (-5 *1 (-903 *3 *4 *5 *6 *7)) (-4 *7 (-977 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-1154)) (-5 *1 (-1007 *3 *4 *5 *6 *7)) (-4 *7 (-977 *3 *4 *5 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-375 (-501))) (-4 *1 (-506 *3)) (-4 *3 (-13 (-372) (-1090))))) ((*1 *1 *2) (-12 (-4 *1 (-506 *2)) (-4 *2 (-13 (-372) (-1090))))) ((*1 *1 *2 *2) (-12 (-4 *1 (-506 *2)) (-4 *2 (-13 (-372) (-1090)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-112 *4)) (-14 *4 *3) (-5 *3 (-501)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-792 *3)) (-5 *2 (-501)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-793 *4)) (-14 *4 *3) (-5 *3 (-501)))) ((*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-375 (-501))) (-5 *1 (-794 *4 *5)) (-5 *3 (-501)) (-4 *5 (-792 *4)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-926)) (-5 *2 (-375 (-501))))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-974 *2 *3)) (-4 *2 (-13 (-775) (-331))) (-4 *3 (-1125 *2)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1128 *2 *3)) (-4 *3 (-722)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -3691 (*2 (-1070)))) (-4 *2 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-280)) (-5 *1 (-265)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-1053))) (-5 *2 (-280)) (-5 *1 (-265)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-280)) (-5 *1 (-265)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-1053))) (-5 *3 (-1053)) (-5 *2 (-280)) (-5 *1 (-265))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-267)) (-5 *2 (-578 (-108)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-777)) (-5 *1 (-121 *3))))) 
-(((*1 *2 *3) (-12 (-14 *4 (-578 (-1070))) (-14 *5 (-701)) (-5 *2 (-578 (-467 (-375 (-501)) (-212 *5 (-701)) (-787 *4) (-220 *4 (-375 (-501)))))) (-5 *1 (-468 *4 *5)) (-5 *3 (-467 (-375 (-501)) (-212 *5 (-701)) (-787 *4) (-220 *4 (-375 (-501)))))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1031 (-199))) (-5 *3 (-578 (-232))) (-5 *1 (-1152)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1031 (-199))) (-5 *3 (-1053)) (-5 *1 (-1152)))) ((*1 *1 *1) (-5 *1 (-1152)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *1) (-5 *1 (-404)))) 
-(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-578 (-553 *2))) (-5 *4 (-1070)) (-4 *2 (-13 (-27) (-1090) (-389 *5))) (-4 *5 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-248 *5 *2))))) 
-(((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-630)))) ((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-630))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| *3) (|:| -3709 *4)))) (-5 *1 (-978 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-199)) (-5 *2 (-282 (-346))) (-5 *1 (-272))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-959)) (-5 *2 (-501)) (-5 *1 (-410 *4 *3 *5)) (-4 *3 (-1125 *4)) (-4 *5 (-13 (-372) (-950 *4) (-331) (-1090) (-254)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-13 (-276) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *2 (-530 *3)) (-5 *1 (-396 *5 *3)) (-4 *3 (-13 (-1090) (-29 *5)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-107)) (-5 *1 (-115 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *3 *2) (-12 (-5 *2 (-107)) (-5 *1 (-115 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-621 *1)) (-4 *1 (-318)) (-5 *2 (-1148 *1)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-621 *1)) (-4 *1 (-132)) (-4 *1 (-830)) (-5 *2 (-1148 *1))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-822 (-501))) (-5 *4 (-501)) (-5 *2 (-621 *4)) (-5 *1 (-942 *5)) (-4 *5 (-959)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-621 (-501))) (-5 *1 (-942 *4)) (-4 *4 (-959)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-822 (-501)))) (-5 *4 (-501)) (-5 *2 (-578 (-621 *4))) (-5 *1 (-942 *5)) (-4 *5 (-959)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-578 (-501)))) (-5 *2 (-578 (-621 (-501)))) (-5 *1 (-942 *4)) (-4 *4 (-959))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-282 (-501))) (|:| -2958 (-282 (-346))) (|:| CF (-282 (-152 (-346)))) (|:| |switch| (-1069)))) (-5 *1 (-1069))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-2 (|:| -3626 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (|:| -2922 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1048 (-199))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1505 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-511))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1004 *3 *4 *5 *6 *7)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-107) *4)) (|has| *1 (-6 -4167)) (-4 *1 (-454 *4)) (-4 *4 (-1104)) (-5 *2 (-107))))) 
-(((*1 *2) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-621 (-375 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-282 (-199)))) (-5 *2 (-107)) (-5 *1 (-238)))) ((*1 *2 *3) (-12 (-5 *3 (-282 (-199))) (-5 *2 (-107)) (-5 *1 (-238)))) ((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-892 *4 *5 *6 *3)) (-4 *3 (-972 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-909 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1064 *4)) (-5 *1 (-324 *4)) (-4 *4 (-318))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1154)) (-5 *1 (-1151)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-375 *2)) (-4 *2 (-1125 *5)) (-5 *1 (-737 *5 *2 *3 *6)) (-4 *5 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *3 (-593 *2)) (-4 *6 (-593 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-375 *2))) (-4 *2 (-1125 *5)) (-5 *1 (-737 *5 *2 *3 *6)) (-4 *5 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *3 (-593 *2)) (-4 *6 (-593 (-375 *2)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-863 *2)) (-5 *1 (-897 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-891 *3 *4 *2 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-972 *3 *4 *2)) (-4 *2 (-777)))) ((*1 *2 *1) (-12 (-4 *1 (-972 *3 *4 *2)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-1084))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-375 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1125 *5)) (-5 *1 (-658 *5 *2)) (-4 *5 (-331))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *1 (-55 *4 *2 *5)) (-4 *4 (-1104)) (-4 *5 (-340 *4)) (-4 *2 (-340 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *1 (-961 *4 *5 *6 *2 *7)) (-4 *6 (-959)) (-4 *7 (-211 *4 *6)) (-4 *2 (-211 *5 *6))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-701)) (-5 *5 (-578 *3)) (-4 *3 (-276)) (-4 *6 (-777)) (-4 *7 (-723)) (-5 *2 (-107)) (-5 *1 (-564 *6 *7 *3 *8)) (-4 *8 (-870 *3 *7 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-107)) (-4 *5 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-3 (|:| |%expansion| (-281 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1053)) (|:| |prob| (-1053)))))) (-5 *1 (-391 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1090) (-389 *5))) (-14 *6 (-1070)) (-14 *7 *3)))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-501)) (|has| *1 (-6 -4168)) (-4 *1 (-340 *3)) (-4 *3 (-1104))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1053)) (-5 *2 (-346)) (-5 *1 (-716))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| -3189 *4) (|:| -3236 *3) (|:| -1852 *3))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-2 (|:| -3236 *1) (|:| -1852 *1))) (-4 *1 (-972 *3 *4 *5)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-508)) (-4 *3 (-959)) (-5 *2 (-2 (|:| -3189 *3) (|:| -3236 *1) (|:| -1852 *1))) (-4 *1 (-1125 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-490))) (-5 *2 (-1070)) (-5 *1 (-490))))) 
-(((*1 *1) (-5 *1 (-404)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-508)) (-5 *1 (-40 *3 *2)) (-4 *2 (-13 (-331) (-267) (-10 -8 (-15 -2946 ((-1023 *3 (-553 $)) $)) (-15 -2949 ((-1023 *3 (-553 $)) $)) (-15 -3691 ($ (-1023 *3 (-553 $)))))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-346)) (-5 *2 (-199)) (-5 *1 (-272))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1069)) (-5 *1 (-298))))) 
-(((*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-621 *4)) (-5 *3 (-701)) (-4 *4 (-959)) (-5 *1 (-622 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-1035 *3 *4)) (-4 *3 (-13 (-1001) (-33))) (-4 *4 (-13 (-1001) (-33)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1166 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959)) (-5 *2 (-749 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-773)) (-5 *1 (-1170 *3 *2)) (-4 *3 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1053)) (-5 *1 (-716))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1053)) (-4 *1 (-333 *2 *4)) (-4 *2 (-1001)) (-4 *4 (-1001)))) ((*1 *1 *2) (-12 (-4 *1 (-333 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-924 *3)) (-4 *3 (-1104)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-1070))) (-5 *3 (-50)) (-5 *1 (-810 *4)) (-4 *4 (-1001))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-578 *6)) (-4 *1 (-891 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-152 (-199))) (-5 *1 (-200)))) ((*1 *2 *2) (-12 (-5 *2 (-199)) (-5 *1 (-200)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *1 *1) (-4 *1 (-1034)))) 
-(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-107)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *8 (-777)) (-4 *3 (-972 *6 *7 *8)) (-5 *2 (-578 (-2 (|:| |val| *3) (|:| -3709 *4)))) (-5 *1 (-978 *6 *7 *8 *3 *4)) (-4 *4 (-977 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-578 (-2 (|:| |val| (-578 *8)) (|:| -3709 *9)))) (-5 *5 (-107)) (-4 *8 (-972 *6 *7 *4)) (-4 *9 (-977 *6 *7 *4 *8)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *4 (-777)) (-5 *2 (-578 (-2 (|:| |val| *8) (|:| -3709 *9)))) (-5 *1 (-978 *6 *7 *4 *8 *9))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-501)) (-5 *1 (-412 *3)) (-4 *3 (-372)) (-4 *3 (-959))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-508) (-134))) (-5 *2 (-578 *3)) (-5 *1 (-1121 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-845))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1064 (-866 *6))) (-4 *6 (-508)) (-4 *2 (-870 (-375 (-866 *6)) *5 *4)) (-5 *1 (-663 *5 *4 *6 *2)) (-4 *5 (-723)) (-4 *4 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $)))))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-892 *4 *5 *6 *3)) (-4 *3 (-972 *4 *5 *6))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3071 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-331)) (-4 *7 (-1125 *6)) (-5 *2 (-2 (|:| |answer| (-530 (-375 *7))) (|:| |a0| *6))) (-5 *1 (-525 *6 *7)) (-5 *3 (-375 *7))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-310 *4 *3 *5)) (-4 *4 (-1108)) (-4 *3 (-1125 *4)) (-4 *5 (-1125 (-375 *3))) (-5 *2 (-107)))) ((*1 *2 *3) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-972 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1148 (-1148 (-501)))) (-5 *1 (-433))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-1083))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1070)) (-4 *5 (-331)) (-5 *2 (-578 (-1097 *5))) (-5 *1 (-1157 *5)) (-5 *4 (-1097 *5))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *1 (-533 *2)) (-4 *2 (-500))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-419)) (-4 *3 (-777)) (-4 *3 (-950 (-501))) (-4 *3 (-508)) (-5 *1 (-40 *3 *2)) (-4 *2 (-389 *3)) (-4 *2 (-13 (-331) (-267) (-10 -8 (-15 -2946 ((-1023 *3 (-553 $)) $)) (-15 -2949 ((-1023 *3 (-553 $)) $)) (-15 -3691 ($ (-1023 *3 (-553 $)))))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-991 (-199))) (-5 *1 (-845)))) ((*1 *2 *1) (-12 (-5 *2 (-991 (-199))) (-5 *1 (-847))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-447 *4 *5))) (-14 *4 (-578 (-1070))) (-4 *5 (-419)) (-5 *2 (-2 (|:| |gblist| (-578 (-220 *4 *5))) (|:| |gvlist| (-578 (-501))))) (-5 *1 (-569 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1004 *3 *4 *5 *6 *7)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-621 *5))) (-4 *5 (-276)) (-4 *5 (-959)) (-5 *2 (-1148 (-1148 *5))) (-5 *1 (-943 *5)) (-5 *4 (-1148 *5))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-501)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-701)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-723)) (-4 *4 (-870 *5 *6 *7)) (-4 *5 (-419)) (-4 *7 (-777)) (-5 *1 (-417 *5 *6 *7 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1048 (-1048 *4))) (-5 *2 (-1048 *4)) (-5 *1 (-1055 *4)) (-4 *4 (-959))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-690))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-578 *7)) (-4 *7 (-777)) (-4 *8 (-870 *5 *6 *7)) (-4 *5 (-508)) (-4 *6 (-723)) (-5 *2 (-2 (|:| |particular| (-3 (-1148 (-375 *8)) "failed")) (|:| -4119 (-578 (-1148 (-375 *8)))))) (-5 *1 (-604 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-701)) (-5 *1 (-783 *2)) (-4 *2 (-156))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-282 (-346))) (-5 *2 (-282 (-199))) (-5 *1 (-272))))) 
-(((*1 *1) (-5 *1 (-142)))) 
-(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| |rows| (-578 (-501))) (|:| |cols| (-578 (-501))))) (-5 *4 (-621 *12)) (-5 *5 (-578 (-375 (-866 *9)))) (-5 *6 (-578 (-578 *12))) (-5 *7 (-701)) (-5 *8 (-501)) (-4 *9 (-13 (-276) (-134))) (-4 *12 (-870 *9 *11 *10)) (-4 *10 (-13 (-777) (-556 (-1070)))) (-4 *11 (-723)) (-5 *2 (-2 (|:| |eqzro| (-578 *12)) (|:| |neqzro| (-578 *12)) (|:| |wcond| (-578 (-866 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1148 (-375 (-866 *9)))) (|:| -4119 (-578 (-1148 (-375 (-866 *9))))))))) (-5 *1 (-844 *9 *10 *11 *12))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-335 *4)) (-4 *4 (-156)) (-5 *2 (-621 *4)))) ((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-621 *4)) (-5 *1 (-385 *3 *4)) (-4 *3 (-386 *4)))) ((*1 *2) (-12 (-4 *1 (-386 *3)) (-4 *3 (-156)) (-5 *2 (-621 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-375 (-501))) (-4 *4 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-248 *4 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *4)))))) 
-(((*1 *1 *1) (-4 *1 (-597))) ((*1 *1 *1) (-5 *1 (-1018)))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1148 *4)) (-5 *3 (-1018)) (-4 *4 (-318)) (-5 *1 (-485 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *2 (-578 *4)) (-5 *1 (-1026 *3 *4)) (-4 *3 (-1125 *4)))) ((*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *2 (-578 *3)) (-5 *1 (-1026 *4 *3)) (-4 *4 (-1125 *3))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-830)) (-5 *2 (-373 (-1064 *1))) (-5 *3 (-1064 *1))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-331)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-467 *4 *5 *6 *3)) (-4 *3 (-870 *4 *5 *6))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1064 *3)) (-4 *3 (-318)) (-5 *1 (-324 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1451 (-501)) (|:| -1575 (-578 *3)))) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-863 *2)) (-5 *1 (-897 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *2 (-1001)) (-5 *1 (-1082 *3 *2)) (-4 *3 (-1001))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-295 *3)) (-4 *3 (-1104)))) ((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-478 *3 *4)) (-4 *3 (-1104)) (-14 *4 (-501))))) 
-(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-107)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-578 (-940 *5 *6 *7 *3))) (-5 *1 (-940 *5 *6 *7 *3)) (-4 *3 (-972 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-578 *6)) (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *2)) (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *2 (-972 *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-107)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-578 (-1041 *5 *6 *7 *3))) (-5 *1 (-1041 *5 *6 *7 *3)) (-4 *3 (-972 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 *4)) (-4 *4 (-959)) (-4 *2 (-1125 *4)) (-5 *1 (-411 *4 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-375 (-1064 (-282 *5)))) (-5 *3 (-1148 (-282 *5))) (-5 *4 (-501)) (-4 *5 (-13 (-508) (-777))) (-5 *1 (-1028 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-276) (-134))) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-5 *2 (-578 *3)) (-5 *1 (-844 *4 *5 *6 *3)) (-4 *3 (-870 *4 *6 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-4 *3 (-508)) (-5 *2 (-1064 *3))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-361))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-863 *5)) (-4 *5 (-959)) (-5 *2 (-701)) (-5 *1 (-1059 *4 *5)) (-14 *4 (-839)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-701))) (-5 *3 (-701)) (-5 *1 (-1059 *4 *5)) (-14 *4 (-839)) (-4 *5 (-959)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-701))) (-5 *3 (-863 *5)) (-4 *5 (-959)) (-5 *1 (-1059 *4 *5)) (-14 *4 (-839))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-750)) (-14 *5 (-1070)) (-5 *2 (-578 (-1118 *5 *4))) (-5 *1 (-1014 *4 *5)) (-5 *3 (-1118 *5 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-282 (-199))) (-5 *2 (-199)) (-5 *1 (-272))))) 
-(((*1 *1 *1) (-5 *1 (-199))) ((*1 *1 *1) (-5 *1 (-346))) ((*1 *1) (-5 *1 (-346)))) 
-(((*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-553 *3)) (-5 *5 (-1064 *3)) (-4 *3 (-13 (-389 *6) (-27) (-1090))) (-4 *6 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-530 *3)) (-5 *1 (-512 *6 *3 *7)) (-4 *7 (-1001)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-553 *3)) (-5 *5 (-375 (-1064 *3))) (-4 *3 (-13 (-389 *6) (-27) (-1090))) (-4 *6 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-530 *3)) (-5 *1 (-512 *6 *3 *7)) (-4 *7 (-1001))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-294 *3 *2)) (-4 *3 (-959)) (-4 *2 (-722)))) ((*1 *2 *1) (-12 (-4 *1 (-640 *3)) (-4 *3 (-959)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-779 *3)) (-4 *3 (-959)) (-5 *2 (-701)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-578 *6)) (-4 *1 (-870 *4 *5 *6)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-578 (-701))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-870 *4 *5 *3)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *3 (-777)) (-5 *2 (-701))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-825 (-501))) (-5 *1 (-837)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-825 (-501))) (-5 *1 (-837))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1125 (-375 (-501)))) (-5 *1 (-833 *3 *2)) (-4 *2 (-1125 (-375 *3)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-501))) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-508)) (-4 *8 (-870 *7 *5 *6)) (-5 *2 (-2 (|:| -3027 (-701)) (|:| -3189 *9) (|:| |radicand| *9))) (-5 *1 (-873 *5 *6 *7 *8 *9)) (-5 *4 (-701)) (-4 *9 (-13 (-331) (-10 -8 (-15 -2946 (*8 $)) (-15 -2949 (*8 $)) (-15 -3691 ($ *8)))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-199)) (|:| |xend| (-199)) (|:| |fn| (-1148 (-282 (-199)))) (|:| |yinit| (-578 (-199))) (|:| |intvals| (-578 (-199))) (|:| |g| (-282 (-199))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-346)) (|:| |stabilityFactor| (-346)))) (-5 *1 (-181))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1125 (-501))) (-5 *1 (-451 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-892 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-863 (-199))) (-5 *4 (-795)) (-5 *5 (-839)) (-5 *2 (-1154)) (-5 *1 (-435)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-863 (-199))) (-5 *2 (-1154)) (-5 *1 (-435)))) ((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-578 (-863 (-199)))) (-5 *4 (-795)) (-5 *5 (-839)) (-5 *2 (-1154)) (-5 *1 (-435))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-578 (-375 (-866 (-501))))) (-5 *4 (-578 (-1070))) (-5 *2 (-578 (-578 *5))) (-5 *1 (-348 *5)) (-4 *5 (-13 (-775) (-331))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 (-501)))) (-5 *2 (-578 *4)) (-5 *1 (-348 *4)) (-4 *4 (-13 (-775) (-331)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-402))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-578 (-578 (-578 *5)))) (-5 *3 (-1 (-107) *5 *5)) (-5 *4 (-578 *5)) (-4 *5 (-777)) (-5 *1 (-1076 *5))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-972 *3 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-298))))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-553 *4)) (-5 *6 (-1064 *4)) (-4 *4 (-13 (-389 *7) (-27) (-1090))) (-4 *7 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4119 (-578 *4)))) (-5 *1 (-512 *7 *4 *3)) (-4 *3 (-593 *4)) (-4 *3 (-1001)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-553 *4)) (-5 *6 (-375 (-1064 *4))) (-4 *4 (-13 (-389 *7) (-27) (-1090))) (-4 *7 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4119 (-578 *4)))) (-5 *1 (-512 *7 *4 *3)) (-4 *3 (-593 *4)) (-4 *3 (-1001))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1053)) (-5 *3 (-703)) (-5 *1 (-108))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-1064 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1037 *3 *4)) (-14 *3 (-839)) (-4 *4 (-331)) (-5 *1 (-908 *3 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-282 (-199))) (-5 *1 (-238))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-225 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-621 (-375 (-501)))) (-5 *2 (-578 (-2 (|:| |outval| *4) (|:| |outmult| (-501)) (|:| |outvect| (-578 (-621 *4)))))) (-5 *1 (-709 *4)) (-4 *4 (-13 (-331) (-775)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-701))) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-950 (-501))) (-4 *3 (-13 (-777) (-508))) (-5 *1 (-31 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-1064 *4)) (-5 *1 (-149 *3 *4)) (-4 *3 (-150 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-959)) (-4 *1 (-267)))) ((*1 *2) (-12 (-4 *1 (-297 *3)) (-4 *3 (-331)) (-5 *2 (-1064 *3)))) ((*1 *2) (-12 (-4 *1 (-655 *3 *2)) (-4 *3 (-156)) (-4 *2 (-1125 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-974 *3 *2)) (-4 *3 (-13 (-775) (-331))) (-4 *2 (-1125 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-214))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-723)) (-4 *4 (-777)) (-4 *5 (-276)) (-5 *1 (-836 *3 *4 *5 *2)) (-4 *2 (-870 *5 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1064 *6)) (-4 *6 (-870 *5 *3 *4)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *5 (-276)) (-5 *1 (-836 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-870 *6 *4 *5)) (-5 *1 (-836 *4 *5 *6 *2)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-276))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-866 (-501)))) (-5 *1 (-404)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1070)) (-5 *4 (-621 (-199))) (-5 *2 (-1003)) (-5 *1 (-690)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1070)) (-5 *4 (-621 (-501))) (-5 *2 (-1003)) (-5 *1 (-690))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 (-578 *3))) (-4 *3 (-777)) (-5 *1 (-1076 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-845))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-490) (-578 (-490)))) (-5 *1 (-108)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-490) (-578 (-490)))) (-5 *1 (-108))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-276) (-134))) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-870 *4 *5 *6)) (-5 *2 (-578 (-578 *7))) (-5 *1 (-416 *4 *5 *6 *7)) (-5 *3 (-578 *7)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-107)) (-4 *5 (-13 (-276) (-134))) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *8 (-870 *5 *6 *7)) (-5 *2 (-578 (-578 *8))) (-5 *1 (-416 *5 *6 *7 *8)) (-5 *3 (-578 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-276) (-134))) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-870 *4 *5 *6)) (-5 *2 (-578 (-578 *7))) (-5 *1 (-416 *4 *5 *6 *7)) (-5 *3 (-578 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-107)) (-4 *5 (-13 (-276) (-134))) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *8 (-870 *5 *6 *7)) (-5 *2 (-578 (-578 *8))) (-5 *1 (-416 *5 *6 *7 *8)) (-5 *3 (-578 *8))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3)) (|has| *1 (-6 -4167)) (-4 *1 (-208 *3)) (-4 *3 (-1001)))) ((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4167)) (-4 *1 (-208 *2)) (-4 *2 (-1001)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-252 *2)) (-4 *2 (-1104)) (-4 *2 (-1001)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3)) (-4 *1 (-252 *3)) (-4 *3 (-1104)))) ((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-552 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-1001)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-107) *4)) (-5 *3 (-501)) (-4 *4 (-1001)) (-5 *1 (-667 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-501)) (-5 *1 (-667 *2)) (-4 *2 (-1001)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1035 *3 *4)) (-4 *3 (-13 (-1001) (-33))) (-4 *4 (-13 (-1001) (-33))) (-5 *1 (-1036 *3 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1165 *3)) (-4 *3 (-331)) (-5 *2 (-107))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-991 (-769 (-199)))) (-5 *2 (-199)) (-5 *1 (-168)))) ((*1 *2 *3) (-12 (-5 *3 (-991 (-769 (-199)))) (-5 *2 (-199)) (-5 *1 (-270)))) ((*1 *2 *3) (-12 (-5 *3 (-991 (-769 (-199)))) (-5 *2 (-199)) (-5 *1 (-272))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-909 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-752)) (-5 *4 (-50)) (-5 *2 (-1154)) (-5 *1 (-761))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3664 *3))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-107)) (-4 *5 (-318)) (-5 *2 (-2 (|:| |cont| *5) (|:| -1575 (-578 (-2 (|:| |irr| *3) (|:| -3257 (-501))))))) (-5 *1 (-191 *5 *3)) (-4 *3 (-1125 *5))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-197 *2 *3)) (-4 *2 (-13 (-959) (-777))) (-14 *3 (-578 (-1070)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-892 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-13 (-508) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-578 (-553 *3))) (|:| |vals| (-578 *3)))) (-5 *1 (-248 *5 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *5)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-701)) (-5 *1 (-42 *4 *3)) (-4 *3 (-386 *4))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-968 (-937 *3) (-1064 (-937 *3)))) (-5 *1 (-937 *3)) (-4 *3 (-13 (-775) (-331) (-933)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-1154)) (-5 *1 (-1073)))) ((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-1073))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-578 (-1064 *11))) (-5 *3 (-1064 *11)) (-5 *4 (-578 *10)) (-5 *5 (-578 *8)) (-5 *6 (-578 (-701))) (-5 *7 (-1148 (-578 (-1064 *8)))) (-4 *10 (-777)) (-4 *8 (-276)) (-4 *11 (-870 *8 *9 *10)) (-4 *9 (-723)) (-5 *1 (-639 *9 *10 *8 *11))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-825 (-501))) (-5 *1 (-837)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-825 (-501))) (-5 *1 (-837))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-1070))) (-5 *1 (-1074))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-338 *4 *5)) (-4 *4 (-156)) (-4 *5 (-1125 *4)) (-5 *2 (-621 *4)))) ((*1 *2) (-12 (-4 *4 (-156)) (-4 *5 (-1125 *4)) (-5 *2 (-621 *4)) (-5 *1 (-377 *3 *4 *5)) (-4 *3 (-378 *4 *5)))) ((*1 *2) (-12 (-4 *1 (-378 *3 *4)) (-4 *3 (-156)) (-4 *4 (-1125 *3)) (-5 *2 (-621 *3))))) 
-(((*1 *2) (-12 (-4 *3 (-508)) (-5 *2 (-578 (-621 *3))) (-5 *1 (-42 *3 *4)) (-4 *4 (-386 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *2 (-578 (-578 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-5 *2 (-578 (-578 *5))))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-578 *3))) (-5 *1 (-1078 *3)) (-4 *3 (-1001))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-863 *4))) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-199) (-199))) (-5 *1 (-286)) (-5 *3 (-199))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-920))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1148 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-331)) (-4 *1 (-655 *5 *6)) (-4 *5 (-156)) (-4 *6 (-1125 *5)) (-5 *2 (-621 *5))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-701)) (-5 *1 (-108))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-786))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-1154)) (-5 *1 (-1073))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-959)) (-4 *5 (-723)) (-4 *3 (-777)) (-5 *2 (-2 (|:| -3189 *1) (|:| |gap| (-701)) (|:| -1852 *1))) (-4 *1 (-972 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-2 (|:| -3189 *1) (|:| |gap| (-701)) (|:| -1852 *1))) (-4 *1 (-972 *3 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-839)) (-4 *1 (-297 *3)) (-4 *3 (-331)) (-4 *3 (-336)))) ((*1 *2 *1) (-12 (-4 *1 (-297 *2)) (-4 *2 (-331)))) ((*1 *2 *1) (-12 (-4 *1 (-338 *2 *3)) (-4 *3 (-1125 *2)) (-4 *2 (-156)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1148 *4)) (-5 *3 (-839)) (-4 *4 (-318)) (-5 *1 (-485 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1021 *3 *2 *4 *5)) (-4 *4 (-211 *3 *2)) (-4 *5 (-211 *3 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-701)) (-4 *2 (-508)) (-5 *1 (-885 *2 *4)) (-4 *4 (-1125 *2))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1320 *6) (|:| |sol?| (-107))) (-501) *6)) (-4 *6 (-331)) (-4 *7 (-1125 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-375 *7)) (|:| |a0| *6)) (-2 (|:| -3071 (-375 *7)) (|:| |coeff| (-375 *7))) "failed")) (-5 *1 (-525 *6 *7)) (-5 *3 (-375 *7))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-1125 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-578 *10)) (-5 *5 (-107)) (-4 *10 (-977 *6 *7 *8 *9)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *8 (-777)) (-4 *9 (-972 *6 *7 *8)) (-5 *2 (-578 (-2 (|:| -2499 (-578 *9)) (|:| -3709 *10) (|:| |ineq| (-578 *9))))) (-5 *1 (-903 *6 *7 *8 *9 *10)) (-5 *3 (-578 *9)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-578 *10)) (-5 *5 (-107)) (-4 *10 (-977 *6 *7 *8 *9)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *8 (-777)) (-4 *9 (-972 *6 *7 *8)) (-5 *2 (-578 (-2 (|:| -2499 (-578 *9)) (|:| -3709 *10) (|:| |ineq| (-578 *9))))) (-5 *1 (-1007 *6 *7 *8 *9 *10)) (-5 *3 (-578 *9))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-895 *2)) (-4 *2 (-959)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-863 (-199))) (-5 *1 (-1101)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1147 *2)) (-4 *2 (-1104)) (-4 *2 (-959))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-810 *4)) (-4 *4 (-1001)) (-5 *2 (-107)) (-5 *1 (-808 *4 *5)) (-4 *5 (-1001)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-810 *5)) (-4 *5 (-1001)) (-5 *2 (-107)) (-5 *1 (-811 *5 *3)) (-4 *3 (-1104)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 *6)) (-5 *4 (-810 *5)) (-4 *5 (-1001)) (-4 *6 (-1104)) (-5 *2 (-107)) (-5 *1 (-811 *5 *6))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-3 (-107) (-578 *1))) (-4 *1 (-977 *4 *5 *6 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-508) (-134))) (-5 *1 (-492 *3 *2)) (-4 *2 (-1142 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-331) (-336) (-556 (-501)))) (-4 *4 (-1125 *3)) (-4 *5 (-655 *3 *4)) (-5 *1 (-496 *3 *4 *5 *2)) (-4 *2 (-1142 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-331) (-336) (-556 (-501)))) (-5 *1 (-497 *3 *2)) (-4 *2 (-1142 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-13 (-508) (-134))) (-5 *1 (-1047 *3))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1070)) (-5 *2 (-404)) (-5 *1 (-1074))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-252 *2)) (-4 *2 (-1104)) (-4 *2 (-777)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-107) *3 *3)) (-4 *1 (-252 *3)) (-4 *3 (-1104)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-884 *2)) (-4 *2 (-777))))) 
-(((*1 *1) (-5 *1 (-107)))) 
-(((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4167)) (-4 *1 (-454 *3)) (-4 *3 (-1104)) (-4 *3 (-1001)) (-5 *2 (-107)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-822 *4)) (-4 *4 (-1001)) (-5 *2 (-107)) (-5 *1 (-825 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-839)) (-5 *2 (-107)) (-5 *1 (-1002 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-291 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-123))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-508) (-777) (-950 (-501)))) (-5 *1 (-164 *3 *2)) (-4 *2 (-13 (-27) (-1090) (-389 (-152 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-508) (-777) (-950 (-501)))) (-5 *1 (-164 *4 *2)) (-4 *2 (-13 (-27) (-1090) (-389 (-152 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-1094 *3 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-1094 *4 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-413)) (-5 *3 (-501))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-866 *5)) (-4 *5 (-959)) (-5 *2 (-447 *4 *5)) (-5 *1 (-864 *4 *5)) (-14 *4 (-578 (-1070)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-1048 (-199))) (-5 *1 (-168)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-282 (-199))) (-5 *4 (-578 (-1070))) (-5 *5 (-991 (-769 (-199)))) (-5 *2 (-1048 (-199))) (-5 *1 (-270)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1148 (-282 (-199)))) (-5 *4 (-578 (-1070))) (-5 *5 (-991 (-769 (-199)))) (-5 *2 (-1048 (-199))) (-5 *1 (-270))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-134)) (-4 *3 (-276)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-892 *3 *4 *5 *6))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-397 *3 *2)) (-4 *3 (-13 (-156) (-37 (-375 (-501))))) (-4 *2 (-13 (-777) (-21)))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-839)) (-5 *4 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1151))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-331)) (-5 *1 (-938 *3 *2)) (-4 *2 (-593 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-331)) (-5 *2 (-2 (|:| -2499 *3) (|:| -3996 (-578 *5)))) (-5 *1 (-938 *5 *3)) (-5 *4 (-578 *5)) (-4 *3 (-593 *5))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-891 *4 *5 *6 *3)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-4 *4 (-508)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-357)) (-5 *2 (-107))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1001)) (-4 *1 (-999 *3)))) ((*1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-157 *2)) (-4 *2 (-276)))) ((*1 *2 *1) (-12 (-5 *1 (-834 *2)) (-4 *2 (-276)))) ((*1 *2 *1) (-12 (-4 *1 (-906 *2)) (-4 *2 (-508)) (-4 *2 (-276)))) ((*1 *2 *1) (-12 (-4 *1 (-967)) (-5 *2 (-501))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-633 *4 *5 *6 *7)) (-4 *4 (-556 (-490))) (-4 *5 (-1104)) (-4 *6 (-1104)) (-4 *7 (-1104))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-578 *9)) (-4 *8 (-972 *5 *6 *7)) (-4 *9 (-977 *5 *6 *7 *8)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-701)) (-5 *1 (-975 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-578 *9)) (-4 *8 (-972 *5 *6 *7)) (-4 *9 (-1009 *5 *6 *7 *8)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-701)) (-5 *1 (-1040 *5 *6 *7 *8 *9))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-1171 *3 *4)) (-4 *1 (-342 *3 *4)) (-4 *3 (-777)) (-4 *4 (-156)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-354 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-749 *2)) (-4 *2 (-777)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-749 *2)) (-4 *2 (-777)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1166 *2 *3)) (-4 *2 (-777)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-749 *3)) (-4 *1 (-1166 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1166 *2 *3)) (-4 *2 (-777)) (-4 *3 (-959))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1053)) (-5 *4 (-152 (-199))) (-5 *5 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-621 (-501))) (-5 *1 (-1010))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-863 *3)) (-4 *3 (-13 (-331) (-1090) (-916))) (-5 *1 (-158 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-318)) (-5 *2 (-578 (-2 (|:| |deg| (-701)) (|:| -3215 *3)))) (-5 *1 (-191 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1053)) (-5 *4 (-152 (-199))) (-5 *5 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-333 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-1001))))) 
-(((*1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *2) (-12 (-5 *2 (-839)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1064 *4)) (-4 *4 (-318)) (-4 *2 (-13 (-370) (-10 -7 (-15 -3691 (*2 *4)) (-15 -3104 ((-839) *2)) (-15 -4119 ((-1148 *2) (-839))) (-15 -3184 (*2 *2))))) (-5 *1 (-325 *2 *4))))) 
-(((*1 *1 *1) (-5 *1 (-970)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-768)) (-5 *4 (-970)) (-5 *2 (-948)) (-5 *1 (-767)))) ((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-948)) (-5 *1 (-767)))) ((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-578 (-346))) (-5 *5 (-578 (-769 (-346)))) (-5 *6 (-578 (-282 (-346)))) (-5 *3 (-282 (-346))) (-5 *2 (-948)) (-5 *1 (-767)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-282 (-346))) (-5 *4 (-578 (-346))) (-5 *5 (-578 (-769 (-346)))) (-5 *2 (-948)) (-5 *1 (-767)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-282 (-346))) (-5 *4 (-578 (-346))) (-5 *2 (-948)) (-5 *1 (-767)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-282 (-346)))) (-5 *4 (-578 (-346))) (-5 *2 (-948)) (-5 *1 (-767))))) 
-(((*1 *2) (-12 (-5 *2 (-795)) (-5 *1 (-1153)))) ((*1 *2 *2) (-12 (-5 *2 (-795)) (-5 *1 (-1153))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-152 (-199))) (-5 *5 (-501)) (-5 *6 (-1053)) (-5 *3 (-199)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1070)) (-4 *6 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-4 *4 (-13 (-29 *6) (-1090) (-879))) (-5 *2 (-2 (|:| |particular| *4) (|:| -4119 (-578 *4)))) (-5 *1 (-731 *6 *4 *3)) (-4 *3 (-593 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-822 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501)))))) (-5 *2 (-578 (-375 (-501)))) (-5 *1 (-934 *4)) (-4 *4 (-1125 (-501)))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-139 *2 *3 *4)) (-14 *2 (-839)) (-4 *3 (-331)) (-14 *4 (-908 *2 *3)))) ((*1 *1 *1) (|partial| -12 (-4 *2 (-156)) (-5 *1 (-259 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1125 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-335 *2)) (-4 *2 (-156)) (-4 *2 (-508)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-646 *2 *3 *4 *5 *6)) (-4 *2 (-156)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-649 *2)) (-4 *2 (-331)))) ((*1 *1) (-12 (-5 *1 (-649 *2)) (-4 *2 (-331)))) ((*1 *1 *1) (|partial| -4 *1 (-653))) ((*1 *1 *1) (|partial| -4 *1 (-657))) ((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-706 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| -12 (-4 *1 (-974 *3 *2)) (-4 *3 (-13 (-775) (-331))) (-4 *2 (-1125 *3)))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-152 (-199))) (-5 *5 (-501)) (-5 *6 (-1053)) (-5 *3 (-199)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *1 *1) (-4 *1 (-500)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1134 *3 *4)) (-4 *3 (-959)) (-4 *4 (-1111 *3)) (-5 *2 (-375 (-501)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-701)) (-5 *1 (-56 *3)) (-4 *3 (-1104)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1104)) (-5 *1 (-56 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 *4)) (-5 *1 (-1008 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-701)) (-4 *4 (-331)) (-5 *1 (-816 *2 *4)) (-4 *2 (-1125 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-506 *3)) (-4 *3 (-13 (-372) (-1090))) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-775)) (-5 *2 (-107)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-974 *4 *3)) (-4 *4 (-13 (-775) (-331))) (-4 *3 (-1125 *4)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1125 *6)) (-4 *6 (-13 (-27) (-389 *5))) (-4 *5 (-13 (-777) (-508) (-950 (-501)))) (-4 *8 (-1125 (-375 *7))) (-5 *2 (-530 *3)) (-5 *1 (-504 *5 *6 *7 *8 *3)) (-4 *3 (-310 *6 *7 *8))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-356)) (-5 *1 (-570))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-490)) (-5 *1 (-491 *4)) (-4 *4 (-1104))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-779 *2)) (-4 *2 (-959)) (-4 *2 (-331))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1139 *2 *3 *4)) (-4 *2 (-959)) (-14 *3 (-1070)) (-14 *4 *2)))) 
-(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-701)) (-4 *1 (-1125 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-501)) (-4 *1 (-55 *2 *4 *5)) (-4 *2 (-1104)) (-4 *4 (-340 *2)) (-4 *5 (-340 *2)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-258 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-1104))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-726 *2)) (-4 *2 (-156))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-621 *8)) (-5 *4 (-701)) (-4 *8 (-870 *5 *7 *6)) (-4 *5 (-13 (-276) (-134))) (-4 *6 (-13 (-777) (-556 (-1070)))) (-4 *7 (-723)) (-5 *2 (-578 (-2 (|:| |det| *8) (|:| |rows| (-578 (-501))) (|:| |cols| (-578 (-501)))))) (-5 *1 (-844 *5 *6 *7 *8))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *1 (-291 *2 *4)) (-4 *4 (-123)) (-4 *2 (-1001)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-5 *1 (-329 *2)) (-4 *2 (-1001)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-5 *1 (-354 *2)) (-4 *2 (-1001)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-5 *1 (-373 *2)) (-4 *2 (-508)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *2 (-1001)) (-5 *1 (-584 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-5 *1 (-749 *2)) (-4 *2 (-777))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-892 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-784)))) ((*1 *2 *1) (-12 (-5 *2 (-1053)) (-5 *1 (-904)))) ((*1 *2 *1) (-12 (-4 *1 (-924 *2)) (-4 *2 (-1104)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-1001) (-33))) (-5 *1 (-1035 *2 *3)) (-4 *3 (-13 (-1001) (-33)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-839))) (-5 *2 (-825 (-501))) (-5 *1 (-837))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1154)) (-5 *1 (-346)))) ((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-346))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-108)) (-4 *2 (-1001)) (-4 *2 (-777)) (-5 *1 (-109 *2))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-501)) (-5 *1 (-412 *3)) (-4 *3 (-372)) (-4 *3 (-959))))) 
-(((*1 *1 *1 *1) (-4 *1 (-440))) ((*1 *1 *1 *1) (-4 *1 (-692)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *3 *3) (-12 (-4 *3 (-1108)) (-4 *5 (-1125 *3)) (-4 *6 (-1125 (-375 *5))) (-5 *2 (-107)) (-5 *1 (-309 *4 *3 *5 *6)) (-4 *4 (-310 *3 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-107))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-262 *2)) (-4 *2 (-21)) (-4 *2 (-1104))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-863 (-199))) (-5 *2 (-1154)) (-5 *1 (-435))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-753))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-262 (-866 (-501)))) (-5 *2 (-2 (|:| |varOrder| (-578 (-1070))) (|:| |inhom| (-3 (-578 (-1148 (-701))) "failed")) (|:| |hom| (-578 (-1148 (-701)))))) (-5 *1 (-209))))) 
-(((*1 *1 *1 *2 *1) (-12 (-5 *1 (-122 *2)) (-4 *2 (-1001)))) ((*1 *1 *2) (-12 (-5 *1 (-122 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-346)) (-5 *1 (-716))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-199)) (-5 *1 (-200)))) ((*1 *2 *2) (-12 (-5 *2 (-152 (-199))) (-5 *1 (-200)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *1 *1) (-4 *1 (-1034)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-310 *4 *3 *5)) (-4 *4 (-1108)) (-4 *3 (-1125 *4)) (-4 *5 (-1125 (-375 *3))) (-5 *2 (-107)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-107))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-578 *1)) (-4 *1 (-972 *4 *5 *6)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107)))) ((*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-107) *3 *3)) (-4 *1 (-1099 *5 *6 *7 *3)) (-4 *5 (-508)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1091 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1070)) (-5 *1 (-753))))) 
-(((*1 *2) (-12 (-4 *3 (-508)) (-5 *2 (-578 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-386 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-786) (-786))) (-5 *1 (-108)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-786) (-578 (-786)))) (-5 *1 (-108)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-786) (-578 (-786)))) (-5 *1 (-108)))) ((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-189 *3)) (-4 *3 (-13 (-777) (-10 -8 (-15 -2007 ((-1053) $ (-1070))) (-15 -2125 (*2 $)) (-15 -3512 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-361)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-5 *2 (-1154)) (-5 *1 (-361)))) ((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-465)))) ((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-1084)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-5 *2 (-1154)) (-5 *1 (-1084))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-578 (-863 (-199))))) (-5 *2 (-578 (-991 (-199)))) (-5 *1 (-848))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1147 *3)) (-4 *3 (-1104)) (-4 *3 (-959)) (-5 *2 (-621 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-262 (-769 *3))) (-4 *3 (-13 (-27) (-1090) (-389 *5))) (-4 *5 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-3 (-769 *3) (-2 (|:| |leftHandLimit| (-3 (-769 *3) "failed")) (|:| |rightHandLimit| (-3 (-769 *3) "failed"))) "failed")) (-5 *1 (-574 *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-262 *3)) (-5 *5 (-1053)) (-4 *3 (-13 (-27) (-1090) (-389 *6))) (-4 *6 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-769 *3)) (-5 *1 (-574 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-262 (-769 (-866 *5)))) (-4 *5 (-419)) (-5 *2 (-3 (-769 (-375 (-866 *5))) (-2 (|:| |leftHandLimit| (-3 (-769 (-375 (-866 *5))) "failed")) (|:| |rightHandLimit| (-3 (-769 (-375 (-866 *5))) "failed"))) "failed")) (-5 *1 (-575 *5)) (-5 *3 (-375 (-866 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-262 (-375 (-866 *5)))) (-5 *3 (-375 (-866 *5))) (-4 *5 (-419)) (-5 *2 (-3 (-769 *3) (-2 (|:| |leftHandLimit| (-3 (-769 *3) "failed")) (|:| |rightHandLimit| (-3 (-769 *3) "failed"))) "failed")) (-5 *1 (-575 *5)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-262 (-375 (-866 *6)))) (-5 *5 (-1053)) (-5 *3 (-375 (-866 *6))) (-4 *6 (-419)) (-5 *2 (-769 *3)) (-5 *1 (-575 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-232)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1053)) (-5 *3 (-578 (-232))) (-5 *1 (-233))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-578 *6)) (-4 *6 (-777)) (-4 *4 (-331)) (-4 *5 (-723)) (-5 *2 (-2 (|:| |mval| (-621 *4)) (|:| |invmval| (-621 *4)) (|:| |genIdeal| (-467 *4 *5 *6 *7)))) (-5 *1 (-467 *4 *5 *6 *7)) (-4 *7 (-870 *4 *5 *6))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-389 *2)) (-4 *2 (-777)) (-4 *2 (-959)))) ((*1 *1 *1) (-12 (-4 *1 (-906 *2)) (-4 *2 (-508))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-578 (-553 *6))) (-5 *4 (-1070)) (-5 *2 (-553 *6)) (-4 *6 (-389 *5)) (-4 *5 (-777)) (-5 *1 (-524 *5 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-246))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-50)) (-5 *1 (-810 *3)) (-4 *3 (-1001)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-810 *4)) (-4 *4 (-1001)) (-5 *1 (-811 *4 *3)) (-4 *3 (-1104))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-501)) (-5 *4 (-373 *2)) (-4 *2 (-870 *7 *5 *6)) (-5 *1 (-673 *5 *6 *7 *2)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-276))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1018)) (-5 *2 (-1154)) (-5 *1 (-761))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-959)) (-5 *1 (-411 *3 *2)) (-4 *2 (-1125 *3))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-155)))) ((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-1151)))) ((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-199)) (-5 *1 (-200)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-152 (-199))) (-5 *1 (-200)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1034)))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-866 *4)) (-4 *4 (-13 (-276) (-134))) (-4 *2 (-870 *4 *6 *5)) (-5 *1 (-844 *4 *5 *6 *2)) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *6)) (-5 *4 (-1070)) (-4 *6 (-389 *5)) (-4 *5 (-777)) (-5 *2 (-578 (-553 *6))) (-5 *1 (-524 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-578 *3)) (-4 *3 (-1009 *5 *6 *7 *8)) (-4 *5 (-13 (-276) (-134))) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *8 (-972 *5 *6 *7)) (-5 *2 (-107)) (-5 *1 (-537 *5 *6 *7 *8 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2532 *4))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-329 (-108))) (-4 *2 (-959)) (-5 *1 (-645 *2 *4)) (-4 *4 (-583 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-329 (-108))) (-5 *1 (-764 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-5 *2 (-1 *5)) (-5 *1 (-615 *4 *5))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-298))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1001)) (-4 *3 (-820 *5)) (-5 *2 (-1148 *3)) (-5 *1 (-623 *5 *3 *6 *4)) (-4 *6 (-340 *3)) (-4 *4 (-13 (-340 *5) (-10 -7 (-6 -4167))))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-282 (-199))) (-5 *4 (-1070)) (-5 *5 (-991 (-769 (-199)))) (-5 *2 (-578 (-199))) (-5 *1 (-168)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-282 (-199))) (-5 *4 (-1070)) (-5 *5 (-991 (-769 (-199)))) (-5 *2 (-578 (-199))) (-5 *1 (-270))))) 
+(763205 . 3469245617)        
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1096)) (-4 *6 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-4 *4 (-13 (-29 *6) (-1116) (-901))) (-5 *2 (-2 (|:| |particular| *4) (|:| -1322 (-598 *4)))) (-5 *1 (-754 *6 *4 *3)) (-4 *3 (-608 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *4 *5)) (-4 *5 (-13 (-27) (-1116) (-406 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *4 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-383 (-532))) (-4 *5 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *5 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-267 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *5))) (-4 *5 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-267 *3)) (-5 *5 (-383 (-532))) (-4 *3 (-13 (-27) (-1116) (-406 *6))) (-4 *6 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-383 (-532)))) (-5 *4 (-267 *8)) (-5 *5 (-1145 (-383 (-532)))) (-5 *6 (-383 (-532))) (-4 *8 (-13 (-27) (-1116) (-406 *7))) (-4 *7 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1096)) (-5 *5 (-267 *3)) (-5 *6 (-1145 (-383 (-532)))) (-5 *7 (-383 (-532))) (-4 *3 (-13 (-27) (-1116) (-406 *8))) (-4 *8 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *8 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-383 (-532))) (-4 *4 (-983)) (-4 *1 (-1161 *4 *3)) (-4 *3 (-1138 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-110)) (-5 *2 (-2 (|:| |contp| (-532)) (|:| -1265 (-598 (-2 (|:| |irr| *3) (|:| -3248 (-532))))))) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-110)) (-5 *2 (-2 (|:| |contp| (-532)) (|:| -1265 (-598 (-2 (|:| |irr| *3) (|:| -3248 (-532))))))) (-5 *1 (-1143 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-777)) (-5 *1 (-778))))) 
+(((*1 *2) (-12 (-4 *3 (-159)) (-5 *2 (-1178 *1)) (-4 *1 (-343 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-808)))) ((*1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *4 *5)) (-4 *5 (-13 (-27) (-1116) (-406 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *4 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-532)) (-4 *5 (-13 (-427) (-800) (-974 *4) (-594 *4))) (-5 *2 (-51)) (-5 *1 (-287 *5 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-267 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *5))) (-4 *5 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-267 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *6))) (-4 *6 (-13 (-427) (-800) (-974 *5) (-594 *5))) (-5 *5 (-532)) (-5 *2 (-51)) (-5 *1 (-287 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-532))) (-5 *4 (-267 *7)) (-5 *5 (-1145 (-532))) (-4 *7 (-13 (-27) (-1116) (-406 *6))) (-4 *6 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1096)) (-5 *5 (-267 *3)) (-5 *6 (-1145 (-532))) (-4 *3 (-13 (-27) (-1116) (-406 *7))) (-4 *7 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *7 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-532)) (-4 *4 (-983)) (-4 *1 (-1140 *4 *3)) (-4 *3 (-1169 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1161 *3 *2)) (-4 *3 (-983)) (-4 *2 (-1138 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-2 (|:| -2003 (-598 (-1096))) (|:| -3280 (-598 (-1096))))) (-5 *1 (-1132))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-316 *4 *5 *6)) (-4 *4 (-1134)) (-4 *5 (-1154 *4)) (-4 *6 (-1154 (-383 *5))) (-5 *2 (-2 (|:| |num| (-639 *5)) (|:| |den| *5)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3183 *3) (|:| |coef1| (-735 *3)))) (-5 *1 (-735 *3)) (-4 *3 (-524)) (-4 *3 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *4 *5)) (-4 *5 (-13 (-27) (-1116) (-406 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *4 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-723)) (-4 *5 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *5 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-267 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *5))) (-4 *5 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-267 *3)) (-5 *5 (-723)) (-4 *3 (-13 (-27) (-1116) (-406 *6))) (-4 *6 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-532))) (-5 *4 (-267 *6)) (-4 *6 (-13 (-27) (-1116) (-406 *5))) (-4 *5 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1096)) (-5 *5 (-267 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *6))) (-4 *6 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-532))) (-5 *4 (-267 *7)) (-5 *5 (-1145 (-723))) (-4 *7 (-13 (-27) (-1116) (-406 *6))) (-4 *6 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1096)) (-5 *5 (-267 *3)) (-5 *6 (-1145 (-723))) (-4 *3 (-13 (-27) (-1116) (-406 *7))) (-4 *7 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *7 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1140 *3 *2)) (-4 *3 (-983)) (-4 *2 (-1169 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-115 *4)) (-14 *4 *3) (-5 *3 (-532)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-814 *3)) (-5 *2 (-532)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-816 *4)) (-14 *4 *3) (-5 *3 (-532)))) ((*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-383 (-532))) (-5 *1 (-817 *4 *5)) (-5 *3 (-532)) (-4 *5 (-814 *4)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-949)) (-5 *2 (-383 (-532))))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-999 *2 *3)) (-4 *2 (-13 (-798) (-339))) (-4 *3 (-1154 *2)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1156 *2 *3)) (-4 *3 (-745)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -1256 (*2 (-1096)))) (-4 *2 (-983))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-300 *3 *2)) (-4 *3 (-983)) (-4 *2 (-745)))) ((*1 *2 *1) (-12 (-4 *1 (-658 *3)) (-4 *3 (-983)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-802 *3)) (-4 *3 (-983)) (-5 *2 (-723)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-598 *6)) (-4 *1 (-892 *4 *5 *6)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-598 (-723))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-892 *4 *5 *3)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *3 (-800)) (-5 *2 (-723))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-288 (-532))) (-5 *4 (-1 (-202) (-202))) (-5 *5 (-1020 (-202))) (-5 *6 (-532)) (-5 *2 (-1126 (-869))) (-5 *1 (-291)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-288 (-532))) (-5 *4 (-1 (-202) (-202))) (-5 *5 (-1020 (-202))) (-5 *6 (-532)) (-5 *7 (-1078)) (-5 *2 (-1126 (-869))) (-5 *1 (-291)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-288 (-532))) (-5 *4 (-1 (-202) (-202))) (-5 *5 (-1020 (-202))) (-5 *6 (-202)) (-5 *7 (-532)) (-5 *2 (-1126 (-869))) (-5 *1 (-291)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-288 (-532))) (-5 *4 (-1 (-202) (-202))) (-5 *5 (-1020 (-202))) (-5 *6 (-202)) (-5 *7 (-532)) (-5 *8 (-1078)) (-5 *2 (-1126 (-869))) (-5 *1 (-291))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-886 *3)) (-4 *3 (-13 (-339) (-1116) (-939))) (-5 *1 (-161 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-723))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-886 *3)) (-4 *3 (-13 (-339) (-1116) (-939))) (-5 *1 (-161 *3))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-639 *1)) (-4 *1 (-325)) (-5 *2 (-1178 *1)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-639 *1)) (-4 *1 (-135)) (-4 *1 (-852)) (-5 *2 (-1178 *1))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1096)) (-4 *4 (-13 (-427) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *1 (-525 *4 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *4)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1084 *2 *3)) (-14 *2 (-864)) (-4 *3 (-983))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-288 (-532))) (|:| -2255 (-288 (-355))) (|:| CF (-288 (-156 (-355)))) (|:| |switch| (-1095)))) (-5 *1 (-1095))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *2 (-598 (-598 (-267 (-895 *4))))) (-5 *1 (-356 *4)) (-4 *4 (-13 (-798) (-339))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-267 (-383 (-895 (-532)))))) (-5 *2 (-598 (-598 (-267 (-895 *4))))) (-5 *1 (-356 *4)) (-4 *4 (-13 (-798) (-339))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 (-532)))) (-5 *2 (-598 (-267 (-895 *4)))) (-5 *1 (-356 *4)) (-4 *4 (-13 (-798) (-339))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-267 (-383 (-895 (-532))))) (-5 *2 (-598 (-267 (-895 *4)))) (-5 *1 (-356 *4)) (-4 *4 (-13 (-798) (-339))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1096)) (-4 *6 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-4 *4 (-13 (-29 *6) (-1116) (-901))) (-5 *2 (-2 (|:| |particular| *4) (|:| -1322 (-598 *4)))) (-5 *1 (-604 *6 *4 *3)) (-4 *3 (-608 *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1096)) (-5 *5 (-598 *2)) (-4 *2 (-13 (-29 *6) (-1116) (-901))) (-4 *6 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *1 (-604 *6 *2 *3)) (-4 *3 (-608 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-639 *5)) (-4 *5 (-339)) (-5 *2 (-2 (|:| |particular| (-3 (-1178 *5) "failed")) (|:| -1322 (-598 (-1178 *5))))) (-5 *1 (-619 *5)) (-5 *4 (-1178 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-598 *5))) (-4 *5 (-339)) (-5 *2 (-2 (|:| |particular| (-3 (-1178 *5) "failed")) (|:| -1322 (-598 (-1178 *5))))) (-5 *1 (-619 *5)) (-5 *4 (-1178 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-639 *5)) (-4 *5 (-339)) (-5 *2 (-598 (-2 (|:| |particular| (-3 (-1178 *5) "failed")) (|:| -1322 (-598 (-1178 *5)))))) (-5 *1 (-619 *5)) (-5 *4 (-598 (-1178 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-598 *5))) (-4 *5 (-339)) (-5 *2 (-598 (-2 (|:| |particular| (-3 (-1178 *5) "failed")) (|:| -1322 (-598 (-1178 *5)))))) (-5 *1 (-619 *5)) (-5 *4 (-598 (-1178 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-339)) (-4 *6 (-13 (-349 *5) (-10 -7 (-6 -4290)))) (-4 *4 (-13 (-349 *5) (-10 -7 (-6 -4290)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1322 (-598 *4)))) (-5 *1 (-620 *5 *6 *4 *3)) (-4 *3 (-637 *5 *6 *4)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-339)) (-4 *6 (-13 (-349 *5) (-10 -7 (-6 -4290)))) (-4 *7 (-13 (-349 *5) (-10 -7 (-6 -4290)))) (-5 *2 (-598 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -1322 (-598 *7))))) (-5 *1 (-620 *5 *6 *7 *3)) (-5 *4 (-598 *7)) (-4 *3 (-637 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-895 *5))) (-5 *4 (-598 (-1096))) (-4 *5 (-524)) (-5 *2 (-598 (-598 (-267 (-383 (-895 *5)))))) (-5 *1 (-722 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-895 *4))) (-4 *4 (-524)) (-5 *2 (-598 (-598 (-267 (-383 (-895 *4)))))) (-5 *1 (-722 *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-112)) (-5 *4 (-1096)) (-4 *5 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *1 (-724 *5 *2)) (-4 *2 (-13 (-29 *5) (-1116) (-901))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-639 *7)) (-5 *5 (-1096)) (-4 *7 (-13 (-29 *6) (-1116) (-901))) (-4 *6 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *2 (-2 (|:| |particular| (-1178 *7)) (|:| -1322 (-598 (-1178 *7))))) (-5 *1 (-755 *6 *7)) (-5 *4 (-1178 *7)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-639 *6)) (-5 *4 (-1096)) (-4 *6 (-13 (-29 *5) (-1116) (-901))) (-4 *5 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *2 (-598 (-1178 *6))) (-5 *1 (-755 *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-598 (-267 *7))) (-5 *4 (-598 (-112))) (-5 *5 (-1096)) (-4 *7 (-13 (-29 *6) (-1116) (-901))) (-4 *6 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *2 (-2 (|:| |particular| (-1178 *7)) (|:| -1322 (-598 (-1178 *7))))) (-5 *1 (-755 *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-598 *7)) (-5 *4 (-598 (-112))) (-5 *5 (-1096)) (-4 *7 (-13 (-29 *6) (-1116) (-901))) (-4 *6 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *2 (-2 (|:| |particular| (-1178 *7)) (|:| -1322 (-598 (-1178 *7))))) (-5 *1 (-755 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-267 *7)) (-5 *4 (-112)) (-5 *5 (-1096)) (-4 *7 (-13 (-29 *6) (-1116) (-901))) (-4 *6 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -1322 (-598 *7))) *7 "failed")) (-5 *1 (-755 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-112)) (-5 *5 (-1096)) (-4 *6 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -1322 (-598 *3))) *3 "failed")) (-5 *1 (-755 *6 *3)) (-4 *3 (-13 (-29 *6) (-1116) (-901))))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-267 *2)) (-5 *4 (-112)) (-5 *5 (-598 *2)) (-4 *2 (-13 (-29 *6) (-1116) (-901))) (-5 *1 (-755 *6 *2)) (-4 *6 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))))) ((*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-112)) (-5 *4 (-267 *2)) (-5 *5 (-598 *2)) (-4 *2 (-13 (-29 *6) (-1116) (-901))) (-4 *6 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *1 (-755 *6 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-761)) (-5 *2 (-972)) (-5 *1 (-758)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-761)) (-5 *4 (-995)) (-5 *2 (-972)) (-5 *1 (-758)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1178 (-288 (-355)))) (-5 *4 (-355)) (-5 *5 (-598 *4)) (-5 *2 (-972)) (-5 *1 (-758)))) ((*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1178 (-288 (-355)))) (-5 *4 (-355)) (-5 *5 (-598 *4)) (-5 *2 (-972)) (-5 *1 (-758)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1178 (-288 *4))) (-5 *5 (-598 (-355))) (-5 *6 (-288 (-355))) (-5 *4 (-355)) (-5 *2 (-972)) (-5 *1 (-758)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1178 (-288 (-355)))) (-5 *4 (-355)) (-5 *5 (-598 *4)) (-5 *2 (-972)) (-5 *1 (-758)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1178 (-288 *4))) (-5 *5 (-598 (-355))) (-5 *6 (-288 (-355))) (-5 *4 (-355)) (-5 *2 (-972)) (-5 *1 (-758)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1178 (-288 *4))) (-5 *5 (-598 (-355))) (-5 *6 (-288 (-355))) (-5 *4 (-355)) (-5 *2 (-972)) (-5 *1 (-758)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -1322 (-598 *6))) "failed") *7 *6)) (-4 *6 (-339)) (-4 *7 (-608 *6)) (-5 *2 (-2 (|:| |particular| (-1178 *6)) (|:| -1322 (-639 *6)))) (-5 *1 (-766 *6 *7)) (-5 *3 (-639 *6)) (-5 *4 (-1178 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-841)) (-5 *2 (-972)) (-5 *1 (-840)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-841)) (-5 *4 (-995)) (-5 *2 (-972)) (-5 *1 (-840)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-723)) (-5 *6 (-598 (-598 (-288 *3)))) (-5 *7 (-1078)) (-5 *8 (-202)) (-5 *5 (-598 (-288 (-355)))) (-5 *3 (-355)) (-5 *2 (-972)) (-5 *1 (-840)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-723)) (-5 *6 (-598 (-598 (-288 *3)))) (-5 *7 (-1078)) (-5 *5 (-598 (-288 (-355)))) (-5 *3 (-355)) (-5 *2 (-972)) (-5 *1 (-840)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-895 (-383 (-532)))) (-5 *2 (-598 (-355))) (-5 *1 (-959)) (-5 *4 (-355)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-895 (-532))) (-5 *2 (-598 (-355))) (-5 *1 (-959)) (-5 *4 (-355)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *2 (-598 *4)) (-5 *1 (-1051 *3 *4)) (-4 *3 (-1154 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *2 (-598 (-267 (-288 *4)))) (-5 *1 (-1054 *4)) (-5 *3 (-288 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *2 (-598 (-267 (-288 *4)))) (-5 *1 (-1054 *4)) (-5 *3 (-267 (-288 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *2 (-598 (-267 (-288 *5)))) (-5 *1 (-1054 *5)) (-5 *3 (-267 (-288 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *2 (-598 (-267 (-288 *5)))) (-5 *1 (-1054 *5)) (-5 *3 (-288 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-1096))) (-4 *5 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *2 (-598 (-598 (-267 (-288 *5))))) (-5 *1 (-1054 *5)) (-5 *3 (-598 (-267 (-288 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 *5)))) (-5 *4 (-598 (-1096))) (-4 *5 (-524)) (-5 *2 (-598 (-598 (-267 (-383 (-895 *5)))))) (-5 *1 (-1101 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-1096))) (-4 *5 (-524)) (-5 *2 (-598 (-598 (-267 (-383 (-895 *5)))))) (-5 *1 (-1101 *5)) (-5 *3 (-598 (-267 (-383 (-895 *5))))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-895 *4)))) (-4 *4 (-524)) (-5 *2 (-598 (-598 (-267 (-383 (-895 *4)))))) (-5 *1 (-1101 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-598 (-598 (-267 (-383 (-895 *4)))))) (-5 *1 (-1101 *4)) (-5 *3 (-598 (-267 (-383 (-895 *4))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-524)) (-5 *2 (-598 (-267 (-383 (-895 *5))))) (-5 *1 (-1101 *5)) (-5 *3 (-383 (-895 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-524)) (-5 *2 (-598 (-267 (-383 (-895 *5))))) (-5 *1 (-1101 *5)) (-5 *3 (-267 (-383 (-895 *5)))))) ((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-598 (-267 (-383 (-895 *4))))) (-5 *1 (-1101 *4)) (-5 *3 (-383 (-895 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-598 (-267 (-383 (-895 *4))))) (-5 *1 (-1101 *4)) (-5 *3 (-267 (-383 (-895 *4))))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1178 *4)) (-4 *4 (-594 *5)) (-4 *5 (-339)) (-4 *5 (-524)) (-5 *2 (-1178 *5)) (-5 *1 (-593 *5 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1178 *4)) (-4 *4 (-594 *5)) (-3968 (-4 *5 (-339))) (-4 *5 (-524)) (-5 *2 (-1178 (-383 *5))) (-5 *1 (-593 *5 *4))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-723)) (-4 *5 (-524)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-908 *5 *3)) (-4 *3 (-1154 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-598 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-848 *3)) (-4 *3 (-1025))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1092 *1)) (-5 *3 (-1096)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1092 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-895 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1096)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-800) (-524))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-800) (-524))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1092 *2)) (-5 *4 (-1096)) (-4 *2 (-406 *5)) (-5 *1 (-31 *5 *2)) (-4 *5 (-13 (-800) (-524))))) ((*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1092 *1)) (-5 *3 (-864)) (-4 *1 (-949)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1092 *1)) (-5 *3 (-864)) (-5 *4 (-808)) (-4 *1 (-949)))) ((*1 *1 *2 *3) (|partial| -12 (-5 *3 (-864)) (-4 *4 (-13 (-798) (-339))) (-4 *1 (-999 *4 *2)) (-4 *2 (-1154 *4))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-524)) (-4 *3 (-892 *7 *5 *6)) (-5 *2 (-2 (|:| -3540 (-723)) (|:| -2283 *3) (|:| |radicand| (-598 *3)))) (-5 *1 (-896 *5 *6 *7 *3 *8)) (-5 *4 (-723)) (-4 *8 (-13 (-339) (-10 -8 (-15 -2251 (*3 $)) (-15 -2258 (*3 $)) (-15 -1256 ($ *3)))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-598 (-288 (-202)))) (|:| -2932 (-598 (-202))))) (-5 *2 (-598 (-1096))) (-5 *1 (-242)))) ((*1 *2 *3) (-12 (-5 *3 (-1092 *7)) (-4 *7 (-892 *6 *4 *5)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-983)) (-5 *2 (-598 *5)) (-5 *1 (-294 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-1096))) (-5 *1 (-313 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-363)))) ((*1 *2 *1) (-12 (-4 *1 (-406 *3)) (-4 *3 (-800)) (-5 *2 (-598 (-1096))))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-835 *3))) (-5 *1 (-835 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-892 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-598 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-983)) (-4 *7 (-892 *6 *4 *5)) (-5 *2 (-598 *5)) (-5 *1 (-893 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-339) (-10 -8 (-15 -1256 ($ *7)) (-15 -2251 (*7 $)) (-15 -2258 (*7 $))))))) ((*1 *2 *1) (-12 (-4 *1 (-911 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-745)) (-4 *5 (-800)) (-5 *2 (-598 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-914 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-598 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-383 (-895 *4))) (-4 *4 (-524)) (-5 *2 (-598 (-1096))) (-5 *1 (-979 *4))))) 
+(((*1 *2) (-12 (-4 *1 (-380)) (-5 *2 (-864)))) ((*1 *1) (-4 *1 (-517))) ((*1 *2 *2) (-12 (-5 *2 (-864)) (-5 *1 (-648)))) ((*1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-648)))) ((*1 *2 *1) (-12 (-5 *2 (-598 *3)) (-5 *1 (-847 *3)) (-4 *3 (-1025))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-339)) (-4 *3 (-746)) (-4 *4 (-800)) (-5 *1 (-484 *2 *3 *4 *5)) (-4 *5 (-892 *2 *3 *4))))) 
+(((*1 *1) (-5 *1 (-304)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-633 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1092 (-383 (-1092 *2)))) (-5 *4 (-571 *2)) (-4 *2 (-13 (-406 *5) (-27) (-1116))) (-4 *5 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *1 (-528 *5 *2 *6)) (-4 *6 (-1025)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1092 *1)) (-4 *1 (-892 *4 *5 *3)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *3 (-800)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1092 *4)) (-4 *4 (-983)) (-4 *1 (-892 *4 *5 *3)) (-4 *5 (-746)) (-4 *3 (-800)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-1092 *2))) (-4 *5 (-746)) (-4 *4 (-800)) (-4 *6 (-983)) (-4 *2 (-13 (-339) (-10 -8 (-15 -1256 ($ *7)) (-15 -2251 (*7 $)) (-15 -2258 (*7 $))))) (-5 *1 (-893 *5 *4 *6 *7 *2)) (-4 *7 (-892 *6 *5 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-1092 (-383 (-895 *5))))) (-5 *4 (-1096)) (-5 *2 (-383 (-895 *5))) (-5 *1 (-979 *5)) (-4 *5 (-524))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-848 (-532))) (-5 *4 (-532)) (-5 *2 (-639 *4)) (-5 *1 (-965 *5)) (-4 *5 (-983)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-639 (-532))) (-5 *1 (-965 *4)) (-4 *4 (-983)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-848 (-532)))) (-5 *4 (-532)) (-5 *2 (-598 (-639 *4))) (-5 *1 (-965 *5)) (-4 *5 (-983)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-598 (-532)))) (-5 *2 (-598 (-639 (-532)))) (-5 *1 (-965 *4)) (-4 *4 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-847 (-532))) (-5 *1 (-860)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-847 (-532))) (-5 *1 (-860))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-639 (-383 *4)))))) 
+(((*1 *2 *1 *2 *3) (-12 (-5 *3 (-598 (-1078))) (-5 *2 (-1078)) (-5 *1 (-1179)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-1179)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-1179)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-598 (-1078))) (-5 *2 (-1078)) (-5 *1 (-1180)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-1180)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-723)) (-5 *1 (-806 *2)) (-4 *2 (-159)))) ((*1 *2 *3) (-12 (-5 *2 (-1092 (-532))) (-5 *1 (-885)) (-5 *3 (-532))))) 
+(((*1 *1 *2 *3) (-12 (-4 *1 (-46 *2 *3)) (-4 *2 (-983)) (-4 *3 (-745)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-598 (-864))) (-5 *1 (-142 *4 *2 *5)) (-14 *4 (-864)) (-4 *2 (-339)) (-14 *5 (-931 *4 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-663 *5 *6 *7)) (-4 *5 (-800)) (-4 *6 (-215 (-3502 *4) (-723))) (-14 *7 (-1 (-110) (-2 (|:| -3120 *5) (|:| -3540 *6)) (-2 (|:| -3120 *5) (|:| -3540 *6)))) (-14 *4 (-598 (-1096))) (-4 *2 (-159)) (-5 *1 (-436 *4 *2 *5 *6 *7 *8)) (-4 *8 (-892 *2 *6 (-810 *4))))) ((*1 *1 *2 *3) (-12 (-4 *1 (-488 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-800)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-532)) (-4 *2 (-524)) (-5 *1 (-579 *2 *4)) (-4 *4 (-1154 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-723)) (-4 *1 (-658 *2)) (-4 *2 (-983)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-685 *2 *3)) (-4 *2 (-983)) (-4 *3 (-676)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 *5)) (-5 *3 (-598 (-723))) (-4 *1 (-690 *4 *5)) (-4 *4 (-983)) (-4 *5 (-800)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-723)) (-4 *1 (-690 *4 *2)) (-4 *4 (-983)) (-4 *2 (-800)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-723)) (-4 *1 (-802 *2)) (-4 *2 (-983)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 *6)) (-5 *3 (-598 (-723))) (-4 *1 (-892 *4 *5 *6)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *6 (-800)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-723)) (-4 *1 (-892 *4 *5 *2)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *2 (-800)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 *6)) (-5 *3 (-598 *5)) (-4 *1 (-911 *4 *5 *6)) (-4 *4 (-983)) (-4 *5 (-745)) (-4 *6 (-800)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-911 *4 *3 *2)) (-4 *4 (-983)) (-4 *3 (-745)) (-4 *2 (-800))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-800)) (-5 *2 (-598 (-598 *4))) (-5 *1 (-1102 *4)) (-5 *3 (-598 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-598 (-723)))) (-5 *1 (-847 *3)) (-4 *3 (-1025))))) 
+(((*1 *1 *1) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-300 *3 *4)) (-4 *3 (-983)) (-4 *4 (-745)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-358 *3 *4)) (-4 *3 (-983)) (-4 *4 (-1025)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-685 *3 *4)) (-4 *3 (-983)) (-4 *4 (-676))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-1179)))) ((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-943)))) ((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-943))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| -3220 (-1096)) (|:| -2330 *4)))) (-5 *1 (-832 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025)))) ((*1 *2 *1) (-12 (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)) (-5 *2 (-598 *1)) (-4 *1 (-1028 *3 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-639 (-383 (-895 (-532))))) (-5 *2 (-639 (-288 (-532)))) (-5 *1 (-968))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-800)) (-5 *2 (-598 (-616 *4 *5))) (-5 *1 (-582 *4 *5 *6)) (-4 *5 (-13 (-159) (-667 (-383 (-532))))) (-14 *6 (-864))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-983)) (-5 *2 (-598 *1)) (-4 *1 (-1057 *3))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-569 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-134))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 *5)))) (-5 *4 (-598 (-1096))) (-4 *5 (-524)) (-5 *2 (-598 (-598 (-895 *5)))) (-5 *1 (-1101 *5))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-625 *2)) (-4 *2 (-1130))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-130 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-723)) (-4 *5 (-159)))) ((*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-130 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-723)) (-4 *5 (-159)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-484 (-383 (-532)) (-217 *5 (-723)) (-810 *4) (-224 *4 (-383 (-532))))) (-5 *3 (-598 (-810 *4))) (-14 *4 (-598 (-1096))) (-14 *5 (-723)) (-5 *1 (-485 *4 *5))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-914 *3 *4 *2 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800)) (-4 *5 (-997 *3 *4 *2))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-897)) (-5 *2 (-598 (-598 (-886 (-202))))))) ((*1 *2 *1) (-12 (-4 *1 (-912)) (-5 *2 (-598 (-598 (-886 (-202)))))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1178 *4)) (-4 *4 (-1130)) (-4 *1 (-215 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532)))))) (-5 *2 (-598 (-383 (-532)))) (-5 *1 (-956 *4)) (-4 *4 (-1154 (-532)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-153 *2)) (-4 *2 (-159)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-524) (-800) (-974 (-532)))) (-5 *2 (-288 *4)) (-5 *1 (-167 *4 *3)) (-4 *3 (-13 (-27) (-1116) (-406 (-156 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-1120 *3 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *3)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1154 (-383 (-532)))) (-5 *1 (-856 *3 *2)) (-4 *2 (-1154 (-383 *3)))))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-532)) (-5 *2 (-110)) (-5 *1 (-463))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-598 *1)) (-4 *1 (-997 *4 *5 *6)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-110)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1124 *4 *5 *6 *3)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-110))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-304))) (-5 *1 (-304))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-355)) (-5 *1 (-1180)))) ((*1 *2) (-12 (-5 *2 (-355)) (-5 *1 (-1180))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-153 *2)) (-4 *2 (-159)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-524) (-800) (-974 (-532)))) (-5 *2 (-288 *4)) (-5 *1 (-167 *4 *3)) (-4 *3 (-13 (-27) (-1116) (-406 (-156 *4)))))) ((*1 *2 *1) (-12 (-4 *1 (-750 *2)) (-4 *2 (-159)))) ((*1 *2 *1) (-12 (-4 *1 (-934 *2)) (-4 *2 (-159)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-1120 *3 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *3)))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-410)) (-5 *2 (-598 (-3 (|:| -3846 (-1096)) (|:| |bounds| (-598 (-3 (|:| S (-1096)) (|:| P (-895 (-532))))))))) (-5 *1 (-1100))))) 
+(((*1 *1 *1) (-5 *1 (-202))) ((*1 *2 *2) (-12 (-5 *2 (-202)) (-5 *1 (-203)))) ((*1 *2 *2) (-12 (-5 *2 (-156 (-202))) (-5 *1 (-203)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *1 *1) (-4 *1 (-1059))) ((*1 *1 *1 *1) (-4 *1 (-1059)))) 
+(((*1 *1 *1) (|partial| -4 *1 (-135))) ((*1 *1 *1) (-4 *1 (-325))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-135)) (-4 *1 (-852))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-2 (|:| -3220 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (|:| -2330 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1076 (-202))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2548 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-527))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-134))) (-5 *1 (-131)))) ((*1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-131))))) 
+(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-383 (-1092 (-288 *3)))) (-4 *3 (-13 (-524) (-800))) (-5 *1 (-1053 *3))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-723)) (-5 *3 (-886 *4)) (-4 *1 (-1057 *4)) (-4 *4 (-983)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-723)) (-5 *4 (-886 (-202))) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-814 *3)) (-5 *2 (-532)))) ((*1 *1 *1) (-4 *1 (-939))) ((*1 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-949)))) ((*1 *1 *2) (-12 (-5 *2 (-383 (-532))) (-4 *1 (-949)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-949)) (-5 *2 (-723)))) ((*1 *1 *1) (-4 *1 (-949)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-366 *3 *4 *5)) (-14 *3 (-723)) (-14 *4 (-723)) (-4 *5 (-159))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-623 *3)) (-4 *3 (-800)) (-4 *1 (-350 *3 *4)) (-4 *4 (-159))))) 
+(((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-723)) (-5 *4 (-864)) (-5 *2 (-1183)) (-5 *1 (-1179)))) ((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-723)) (-5 *4 (-864)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-47))) (-5 *2 (-394 *3)) (-5 *1 (-38 *3)) (-4 *3 (-1154 (-47))))) ((*1 *2 *3) (-12 (-5 *2 (-394 *3)) (-5 *1 (-38 *3)) (-4 *3 (-1154 (-47))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-47))) (-4 *5 (-800)) (-4 *6 (-746)) (-5 *2 (-394 *3)) (-5 *1 (-41 *5 *6 *3)) (-4 *3 (-892 (-47) *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-47))) (-4 *5 (-800)) (-4 *6 (-746)) (-4 *7 (-892 (-47) *6 *5)) (-5 *2 (-394 (-1092 *7))) (-5 *1 (-41 *5 *6 *7)) (-5 *3 (-1092 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-280)) (-5 *2 (-394 *3)) (-5 *1 (-154 *4 *3)) (-4 *3 (-1154 (-156 *4))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-110)) (-4 *4 (-13 (-339) (-798))) (-5 *2 (-394 *3)) (-5 *1 (-165 *4 *3)) (-4 *3 (-1154 (-156 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-339) (-798))) (-5 *2 (-394 *3)) (-5 *1 (-165 *4 *3)) (-4 *3 (-1154 (-156 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-339) (-798))) (-5 *2 (-394 *3)) (-5 *1 (-165 *4 *3)) (-4 *3 (-1154 (-156 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-325)) (-5 *2 (-394 *3)) (-5 *1 (-194 *4 *3)) (-4 *3 (-1154 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-394 *3)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-723)) (-5 *2 (-394 *3)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-723))) (-5 *2 (-394 *3)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-598 (-723))) (-5 *5 (-723)) (-5 *2 (-394 *3)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-723)) (-5 *2 (-394 *3)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3) (-12 (-5 *2 (-394 (-156 (-532)))) (-5 *1 (-421)) (-5 *3 (-156 (-532))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $)) (-15 -3904 ((-3 $ "failed") (-1096)))))) (-4 *5 (-746)) (-4 *7 (-524)) (-5 *2 (-394 *3)) (-5 *1 (-431 *4 *5 *6 *7 *3)) (-4 *6 (-524)) (-4 *3 (-892 *7 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-280)) (-5 *2 (-394 (-1092 *4))) (-5 *1 (-433 *4)) (-5 *3 (-1092 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-394 *6) *6)) (-4 *6 (-1154 *5)) (-4 *5 (-339)) (-4 *7 (-13 (-339) (-137) (-674 *5 *6))) (-5 *2 (-394 *3)) (-5 *1 (-474 *5 *6 *7 *3)) (-4 *3 (-1154 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-394 (-1092 *7)) (-1092 *7))) (-4 *7 (-13 (-280) (-137))) (-4 *5 (-800)) (-4 *6 (-746)) (-5 *2 (-394 *3)) (-5 *1 (-512 *5 *6 *7 *3)) (-4 *3 (-892 *7 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-394 (-1092 *7)) (-1092 *7))) (-4 *7 (-13 (-280) (-137))) (-4 *5 (-800)) (-4 *6 (-746)) (-4 *8 (-892 *7 *6 *5)) (-5 *2 (-394 (-1092 *8))) (-5 *1 (-512 *5 *6 *7 *8)) (-5 *3 (-1092 *8)))) ((*1 *2 *3) (-12 (-5 *2 (-394 *3)) (-5 *1 (-526 *3)) (-4 *3 (-517)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-598 *5) *6)) (-4 *5 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-4 *6 (-1154 *5)) (-5 *2 (-598 (-605 (-383 *6)))) (-5 *1 (-609 *5 *6)) (-5 *3 (-605 (-383 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-4 *5 (-1154 *4)) (-5 *2 (-598 (-605 (-383 *5)))) (-5 *1 (-609 *4 *5)) (-5 *3 (-605 (-383 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-772 *4)) (-4 *4 (-800)) (-5 *2 (-598 (-623 *4))) (-5 *1 (-623 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-532)) (-5 *2 (-598 *3)) (-5 *1 (-645 *3)) (-4 *3 (-1154 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-800)) (-4 *5 (-746)) (-4 *6 (-325)) (-5 *2 (-394 *3)) (-5 *1 (-647 *4 *5 *6 *3)) (-4 *3 (-892 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-800)) (-4 *5 (-746)) (-4 *6 (-325)) (-4 *7 (-892 *6 *5 *4)) (-5 *2 (-394 (-1092 *7))) (-5 *1 (-647 *4 *5 *6 *7)) (-5 *3 (-1092 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-746)) (-4 *5 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $)) (-15 -3904 ((-3 $ "failed") (-1096)))))) (-4 *6 (-280)) (-5 *2 (-394 *3)) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-892 (-895 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-746)) (-4 *5 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $))))) (-4 *6 (-524)) (-5 *2 (-394 *3)) (-5 *1 (-682 *4 *5 *6 *3)) (-4 *3 (-892 (-383 (-895 *6)) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-13 (-280) (-137))) (-5 *2 (-394 *3)) (-5 *1 (-683 *4 *5 *6 *3)) (-4 *3 (-892 (-383 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-800)) (-4 *5 (-746)) (-4 *6 (-13 (-280) (-137))) (-5 *2 (-394 *3)) (-5 *1 (-691 *4 *5 *6 *3)) (-4 *3 (-892 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-800)) (-4 *5 (-746)) (-4 *6 (-13 (-280) (-137))) (-4 *7 (-892 *6 *5 *4)) (-5 *2 (-394 (-1092 *7))) (-5 *1 (-691 *4 *5 *6 *7)) (-5 *3 (-1092 *7)))) ((*1 *2 *3) (-12 (-5 *2 (-394 *3)) (-5 *1 (-944 *3)) (-4 *3 (-1154 (-383 (-532)))))) ((*1 *2 *3) (-12 (-5 *2 (-394 *3)) (-5 *1 (-977 *3)) (-4 *3 (-1154 (-383 (-895 (-532))))))) ((*1 *2 *3) (-12 (-4 *4 (-1154 (-383 (-532)))) (-4 *5 (-13 (-339) (-137) (-674 (-383 (-532)) *4))) (-5 *2 (-394 *3)) (-5 *1 (-1008 *4 *5 *3)) (-4 *3 (-1154 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-1154 (-383 (-895 (-532))))) (-4 *5 (-13 (-339) (-137) (-674 (-383 (-895 (-532))) *4))) (-5 *2 (-394 *3)) (-5 *1 (-1010 *4 *5 *3)) (-4 *3 (-1154 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-427)) (-4 *7 (-892 *6 *4 *5)) (-5 *2 (-394 (-1092 (-383 *7)))) (-5 *1 (-1091 *4 *5 *6 *7)) (-5 *3 (-1092 (-383 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-394 *1)) (-4 *1 (-1134)))) ((*1 *2 *3) (-12 (-5 *2 (-394 *3)) (-5 *1 (-1143 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1196 *3)) (-4 *3 (-339)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-532))) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-524)) (-4 *8 (-892 *7 *5 *6)) (-5 *2 (-2 (|:| -3540 (-723)) (|:| -2283 *9) (|:| |radicand| *9))) (-5 *1 (-896 *5 *6 *7 *8 *9)) (-5 *4 (-723)) (-4 *9 (-13 (-339) (-10 -8 (-15 -2251 (*8 $)) (-15 -2258 (*8 $)) (-15 -1256 ($ *8)))))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-56 *3 *4 *5)) (-4 *3 (-1130)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-5 *2 (-723))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-221 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |val| *3) (|:| -1213 *4)))) (-5 *1 (-1061 *3 *4)) (-4 *3 (-13 (-1025) (-33))) (-4 *4 (-13 (-1025) (-33)))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-571 *1)) (-4 *1 (-406 *4)) (-4 *4 (-800)) (-4 *4 (-524)) (-5 *2 (-383 (-1092 *1))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-571 *3)) (-4 *3 (-13 (-406 *6) (-27) (-1116))) (-4 *6 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-1092 (-383 (-1092 *3)))) (-5 *1 (-528 *6 *3 *7)) (-5 *5 (-1092 *3)) (-4 *7 (-1025)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1174 *5)) (-14 *5 (-1096)) (-4 *6 (-983)) (-5 *2 (-1151 *5 (-895 *6))) (-5 *1 (-890 *5 *6)) (-5 *3 (-895 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-892 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-1092 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-983)) (-4 *5 (-746)) (-4 *3 (-800)) (-5 *2 (-1092 *1)) (-4 *1 (-892 *4 *5 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-746)) (-4 *4 (-800)) (-4 *6 (-983)) (-4 *7 (-892 *6 *5 *4)) (-5 *2 (-383 (-1092 *3))) (-5 *1 (-893 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-339) (-10 -8 (-15 -1256 ($ *7)) (-15 -2251 (*7 $)) (-15 -2258 (*7 $))))))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1092 *3)) (-4 *3 (-13 (-339) (-10 -8 (-15 -1256 ($ *7)) (-15 -2251 (*7 $)) (-15 -2258 (*7 $))))) (-4 *7 (-892 *6 *5 *4)) (-4 *5 (-746)) (-4 *4 (-800)) (-4 *6 (-983)) (-5 *1 (-893 *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-524)) (-5 *2 (-383 (-1092 (-383 (-895 *5))))) (-5 *1 (-979 *5)) (-5 *3 (-383 (-895 *5)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-427)) (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1662 *4))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 (-639 (-288 (-532))))) (-5 *1 (-968))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-723)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-746)) (-4 *7 (-892 *4 *5 *6)) (-4 *4 (-427)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-424 *4 *5 *6 *7))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-864)) (-4 *3 (-339)) (-14 *4 (-931 *2 *3)))) ((*1 *1 *1) (|partial| -12 (-4 *2 (-159)) (-5 *1 (-263 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1154 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-343 *2)) (-4 *2 (-159)) (-4 *2 (-524)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-665 *2 *3 *4 *5 *6)) (-4 *2 (-159)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-339)))) ((*1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-339)))) ((*1 *1 *1) (|partial| -4 *1 (-672))) ((*1 *1 *1) (|partial| -4 *1 (-676))) ((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-728 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| -12 (-4 *1 (-999 *3 *2)) (-4 *3 (-13 (-798) (-339))) (-4 *2 (-1154 *3)))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-1154 *3)) (-5 *1 (-375 *3 *2)) (-4 *3 (-13 (-339) (-137)))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-598 *3)) (-5 *1 (-915 *4 *5 *6 *3)) (-4 *3 (-997 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-895 *6))) (-5 *4 (-598 (-1096))) (-4 *6 (-13 (-524) (-974 *5))) (-4 *5 (-524)) (-5 *2 (-598 (-598 (-267 (-383 (-895 *6)))))) (-5 *1 (-975 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-571 *1))) (-4 *1 (-275))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1020 *3)) (-4 *3 (-892 *7 *6 *4)) (-4 *6 (-746)) (-4 *4 (-800)) (-4 *7 (-524)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-532)))) (-5 *1 (-556 *6 *4 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-746)) (-4 *4 (-800)) (-4 *6 (-524)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-532)))) (-5 *1 (-556 *5 *4 *6 *3)) (-4 *3 (-892 *6 *5 *4)))) ((*1 *1 *1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1) (-5 *1 (-808))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-1087 *4 *2)) (-4 *2 (-13 (-406 *4) (-148) (-27) (-1116))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1018 *2)) (-4 *2 (-13 (-406 *4) (-148) (-27) (-1116))) (-4 *4 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-1087 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-13 (-524) (-800) (-974 (-532)))) (-5 *2 (-383 (-895 *5))) (-5 *1 (-1088 *5)) (-5 *3 (-895 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-13 (-524) (-800) (-974 (-532)))) (-5 *2 (-3 (-383 (-895 *5)) (-288 *5))) (-5 *1 (-1088 *5)) (-5 *3 (-383 (-895 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1018 (-895 *5))) (-5 *3 (-895 *5)) (-4 *5 (-13 (-524) (-800) (-974 (-532)))) (-5 *2 (-383 *3)) (-5 *1 (-1088 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1018 (-383 (-895 *5)))) (-5 *3 (-383 (-895 *5))) (-4 *5 (-13 (-524) (-800) (-974 (-532)))) (-5 *2 (-3 *3 (-288 *5))) (-5 *1 (-1088 *5))))) 
+(((*1 *2) (-12 (-4 *3 (-983)) (-5 *2 (-900 (-662 *3 *4))) (-5 *1 (-662 *3 *4)) (-4 *4 (-1154 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-156 (-355))) (-5 *1 (-738 *3)) (-4 *3 (-573 (-355))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-864)) (-5 *2 (-156 (-355))) (-5 *1 (-738 *3)) (-4 *3 (-573 (-355))))) ((*1 *2 *3) (-12 (-5 *3 (-156 *4)) (-4 *4 (-159)) (-4 *4 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-156 *5)) (-5 *4 (-864)) (-4 *5 (-159)) (-4 *5 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-895 (-156 *4))) (-4 *4 (-159)) (-4 *4 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-895 (-156 *5))) (-5 *4 (-864)) (-4 *5 (-159)) (-4 *5 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-895 *4)) (-4 *4 (-983)) (-4 *4 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-895 *5)) (-5 *4 (-864)) (-4 *5 (-983)) (-4 *5 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-383 (-895 *4))) (-4 *4 (-524)) (-4 *4 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 *5))) (-5 *4 (-864)) (-4 *5 (-524)) (-4 *5 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-383 (-895 (-156 *4)))) (-4 *4 (-524)) (-4 *4 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 (-156 *5)))) (-5 *4 (-864)) (-4 *5 (-524)) (-4 *5 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-288 *4)) (-4 *4 (-524)) (-4 *4 (-800)) (-4 *4 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-288 *5)) (-5 *4 (-864)) (-4 *5 (-524)) (-4 *5 (-800)) (-4 *5 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-288 (-156 *4))) (-4 *4 (-524)) (-4 *4 (-800)) (-4 *4 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-288 (-156 *5))) (-5 *4 (-864)) (-4 *5 (-524)) (-4 *5 (-800)) (-4 *5 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-532))) (-5 *1 (-981))))) 
+(((*1 *1) (-5 *1 (-134))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-238))) (-5 *2 (-1056 (-202))) (-5 *1 (-236)))) ((*1 *1 *2) (-12 (-5 *2 (-1056 (-202))) (-5 *1 (-238))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-532)) (-4 *1 (-56 *4 *5 *3)) (-4 *4 (-1130)) (-4 *5 (-349 *4)) (-4 *3 (-349 *4))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-598 *8)) (-5 *3 (-1 (-110) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-524)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *1 (-915 *5 *6 *7 *8))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-464 *4 *5)) (-14 *4 (-598 (-1096))) (-4 *5 (-983)) (-5 *2 (-224 *4 *5)) (-5 *1 (-887 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-598 *8))) (-5 *3 (-598 *8)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-524)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-110)) (-5 *1 (-915 *5 *6 *7 *8))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-639 (-383 (-895 (-532))))) (-5 *2 (-598 (-2 (|:| |radval| (-288 (-532))) (|:| |radmult| (-532)) (|:| |radvect| (-598 (-639 (-288 (-532)))))))) (-5 *1 (-968))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1092 *4)) (-5 *1 (-333 *4)) (-4 *4 (-325))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-532)) (-5 *6 (-1 (-1183) (-1178 *5) (-1178 *5) (-355))) (-5 *3 (-1178 (-355))) (-5 *5 (-355)) (-5 *2 (-1183)) (-5 *1 (-741)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-532)) (-5 *6 (-1 (-1183) (-1178 *5) (-1178 *5) (-355))) (-5 *3 (-1178 (-355))) (-5 *5 (-355)) (-5 *2 (-1183)) (-5 *1 (-741))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-202)) (|:| |xend| (-202)) (|:| |fn| (-1178 (-288 (-202)))) (|:| |yinit| (-598 (-202))) (|:| |intvals| (-598 (-202))) (|:| |g| (-288 (-202))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-355)) (|:| |stabilityFactor| (-355)))) (-5 *1 (-184))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-33)) (-5 *3 (-723)) (-5 *2 (-110)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-90 *4)) (-4 *4 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-199 *4)) (-4 *4 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-466 *4)) (-4 *4 (-800)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-937 *4)) (-4 *4 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-1067 *4)) (-4 *4 (-1025))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-146 *3 *2)) (-4 *2 (-406 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-280)) (-5 *2 (-394 *3)) (-5 *1 (-692 *4 *5 *6 *3)) (-4 *3 (-892 *6 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3117 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-598 (-383 *8))) (-4 *7 (-339)) (-4 *8 (-1154 *7)) (-5 *3 (-383 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-598 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-542 *7 *8))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-56 *3 *4 *5)) (-4 *3 (-1130)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *2 (-532)))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-5 *2 (-532))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1028 *3 *4 *5 *6 *7)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)) (-5 *2 (-110))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-567 *2)) (-4 *2 (-1025)))) ((*1 *1 *1) (-5 *1 (-587)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-1084 3 *3)))) ((*1 *1) (-12 (-5 *1 (-1084 *2 *3)) (-14 *2 (-864)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1056 (-202))) (-5 *1 (-1180)))) ((*1 *2 *1) (-12 (-5 *2 (-1056 (-202))) (-5 *1 (-1180))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-810 *5))) (-14 *5 (-598 (-1096))) (-4 *6 (-427)) (-5 *2 (-2 (|:| |dpolys| (-598 (-224 *5 *6))) (|:| |coords| (-598 (-532))))) (-5 *1 (-448 *5 *6 *7)) (-5 *3 (-598 (-224 *5 *6))) (-4 *7 (-427))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-598 (-598 (-886 (-202))))) (-5 *3 (-598 (-818))) (-5 *1 (-445))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1130)) (-5 *2 (-598 *1)) (-4 *1 (-947 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-1084 *3 *4))) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-753)) (-5 *3 (-2 (|:| |xinit| (-202)) (|:| |xend| (-202)) (|:| |fn| (-1178 (-288 (-202)))) (|:| |yinit| (-598 (-202))) (|:| |intvals| (-598 (-202))) (|:| |g| (-288 (-202))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-972))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1092 *1)) (-5 *4 (-1096)) (-4 *1 (-27)) (-5 *2 (-598 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1092 *1)) (-4 *1 (-27)) (-5 *2 (-598 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-895 *1)) (-4 *1 (-27)) (-5 *2 (-598 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-800) (-524))) (-5 *2 (-598 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *2 (-598 *1)) (-4 *1 (-29 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-288 (-202))) (-5 *4 (-598 (-1096))) (-5 *5 (-1020 (-793 (-202)))) (-5 *2 (-1076 (-202))) (-5 *1 (-273))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-864)) (-4 *4 (-344)) (-4 *4 (-339)) (-5 *2 (-1092 *1)) (-4 *1 (-303 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-303 *3)) (-4 *3 (-339)) (-5 *2 (-1092 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-346 *3 *2)) (-4 *3 (-159)) (-4 *3 (-339)) (-4 *2 (-1154 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1178 *4)) (-4 *4 (-325)) (-5 *2 (-1092 *4)) (-5 *1 (-502 *4))))) 
+(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-202)) (-5 *2 (-2 (|:| |brans| (-598 (-598 (-886 *4)))) (|:| |xValues| (-1020 *4)) (|:| |yValues| (-1020 *4)))) (-5 *1 (-143)) (-5 *3 (-598 (-598 (-886 *4))))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *1 (-580 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1002 *3 *4 *5 *6)) (-4 *2 (-1034 *3 *4 *5 *6))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1154 (-532))) (-5 *1 (-468 *3))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-808))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1046 *3 *4 *2 *5)) (-4 *4 (-983)) (-4 *5 (-215 *3 *4)) (-4 *2 (-215 *3 *4))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-1025)) (-5 *2 (-110)) (-5 *1 (-90 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-1025)) (-5 *2 (-110)) (-5 *1 (-199 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-800)) (-5 *2 (-110)) (-5 *1 (-466 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| *1 (-6 -4289)) (-4 *1 (-471 *4)) (-4 *4 (-1130)) (-5 *2 (-110)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-1025)) (-5 *2 (-110)) (-5 *1 (-937 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-1025)) (-5 *2 (-110)) (-5 *1 (-1067 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-532)) (-5 *2 (-1183)) (-5 *1 (-943))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-427)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-915 *3 *4 *5 *6))))) 
+(((*1 *1 *2 *3 *4) (-12 (-14 *5 (-598 (-1096))) (-4 *2 (-159)) (-4 *4 (-215 (-3502 *5) (-723))) (-14 *6 (-1 (-110) (-2 (|:| -3120 *3) (|:| -3540 *4)) (-2 (|:| -3120 *3) (|:| -3540 *4)))) (-5 *1 (-436 *5 *2 *3 *4 *6 *7)) (-4 *3 (-800)) (-4 *7 (-892 *2 *4 (-810 *5)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *3 (-280)) (-4 *3 (-159)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *2 (-2 (|:| -3886 *3) (|:| -2860 *3))) (-5 *1 (-638 *3 *4 *5 *6)) (-4 *6 (-637 *3 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -3886 *3) (|:| -2860 *3))) (-5 *1 (-649 *3)) (-4 *3 (-280))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-304))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-1096))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1092 *2)) (-4 *2 (-406 *4)) (-4 *4 (-13 (-800) (-524))) (-5 *1 (-31 *4 *2))))) 
+(((*1 *1 *1) (-4 *1 (-517)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-484 (-383 (-532)) (-217 *4 (-723)) (-810 *3) (-224 *3 (-383 (-532))))) (-14 *3 (-598 (-1096))) (-14 *4 (-723)) (-5 *1 (-485 *3 *4))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1025)) (-4 *4 (-13 (-983) (-829 *3) (-800) (-573 (-835 *3)))) (-5 *2 (-598 (-1096))) (-5 *1 (-1005 *3 *4 *5)) (-4 *5 (-13 (-406 *4) (-829 *3) (-573 (-835 *3))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-13 (-427) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *2 (-549 *3)) (-5 *1 (-525 *5 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *5)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-51))) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-288 (-532))) (|:| -2255 (-288 (-355))) (|:| CF (-288 (-156 (-355)))) (|:| |switch| (-1095)))) (-5 *1 (-1095))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-915 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-288 (-532))) (-5 *4 (-1 (-202) (-202))) (-5 *5 (-1020 (-202))) (-5 *6 (-598 (-238))) (-5 *2 (-1056 (-202))) (-5 *1 (-646))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-224 *4 *5)) (-14 *4 (-598 (-1096))) (-4 *5 (-983)) (-5 *2 (-895 *5)) (-5 *1 (-887 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-598 (-288 (-202)))) (|:| -2932 (-598 (-202))))) (-5 *2 (-355)) (-5 *1 (-242)))) ((*1 *2 *3) (-12 (-5 *3 (-1178 (-288 (-202)))) (-5 *2 (-355)) (-5 *1 (-278))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1092 *1)) (-5 *4 (-1096)) (-4 *1 (-27)) (-5 *2 (-598 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1092 *1)) (-4 *1 (-27)) (-5 *2 (-598 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-895 *1)) (-4 *1 (-27)) (-5 *2 (-598 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-800) (-524))) (-5 *2 (-598 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *2 (-598 *1)) (-4 *1 (-29 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-134))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-639 (-383 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-4 *4 (-339)) (-4 *5 (-1154 *4)) (-5 *2 (-1183)) (-5 *1 (-39 *4 *5 *6 *7)) (-4 *6 (-1154 (-383 *5))) (-14 *7 *6)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-5 *2 (-639 (-895 *4))) (-5 *1 (-965 *4)) (-4 *4 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-774)) (-5 *2 (-51)) (-5 *1 (-784))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-723)) (-5 *1 (-806 *2)) (-4 *2 (-159)))) ((*1 *2 *3) (-12 (-5 *2 (-1092 (-532))) (-5 *1 (-885)) (-5 *3 (-532))))) 
+(((*1 *1 *1) (-4 *1 (-1064)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-886 *2)) (-5 *1 (-920 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-723)) (-5 *1 (-42 *4 *3)) (-4 *3 (-393 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-112)) (-5 *3 (-598 (-1 *4 (-598 *4)))) (-4 *4 (-1025)) (-5 *1 (-111 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-112)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1025)) (-5 *1 (-111 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-112)) (-5 *2 (-598 (-1 *4 (-598 *4)))) (-5 *1 (-111 *4)) (-4 *4 (-1025))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-870))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1179)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2) (-12 (-4 *2 (-13 (-406 *3) (-939))) (-5 *1 (-251 *3 *2)) (-4 *3 (-13 (-800) (-524)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-524))))) 
+(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-723)) (-5 *1 (-90 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-1025)) (-5 *2 (-723)) (-5 *1 (-90 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-723)) (-5 *1 (-199 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-1025)) (-5 *2 (-723)) (-5 *1 (-199 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-723)) (-5 *1 (-466 *3)) (-4 *3 (-1025)) (-4 *3 (-800)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-800)) (-5 *2 (-723)) (-5 *1 (-466 *4)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4289)) (-4 *1 (-471 *3)) (-4 *3 (-1130)) (-4 *3 (-1025)) (-5 *2 (-723)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| *1 (-6 -4289)) (-4 *1 (-471 *4)) (-4 *4 (-1130)) (-5 *2 (-723)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-723)) (-5 *1 (-937 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-1025)) (-5 *2 (-723)) (-5 *1 (-937 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-723)) (-5 *1 (-1067 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-1025)) (-5 *2 (-723)) (-5 *1 (-1067 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1161 *3 *4)) (-4 *3 (-983)) (-4 *4 (-1138 *3)) (-5 *2 (-383 (-532)))))) 
+(((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-886 (-202))) (-5 *4 (-818)) (-5 *5 (-864)) (-5 *2 (-1183)) (-5 *1 (-445)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-886 (-202))) (-5 *2 (-1183)) (-5 *1 (-445)))) ((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-598 (-886 (-202)))) (-5 *4 (-818)) (-5 *5 (-864)) (-5 *2 (-1183)) (-5 *1 (-445))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-153 *2)) (-4 *2 (-159)) (-4 *2 (-1116)))) ((*1 *2 *1) (-12 (-5 *1 (-305 *2)) (-4 *2 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-598 *3)) (-5 *1 (-571 *3)) (-4 *3 (-800))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-134))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-983)) (-5 *2 (-1178 *4)) (-5 *1 (-1097 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-864)) (-5 *2 (-1178 *3)) (-5 *1 (-1097 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-983)) (-5 *1 (-419 *3 *2)) (-4 *2 (-1154 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1151 *5 *4)) (-5 *1 (-1094 *4 *5 *6)) (-4 *4 (-983)) (-14 *5 (-1096)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1151 (QUOTE |x|) *4)) (-5 *1 (-1136 *4)) (-4 *4 (-983)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1151 *5 *4)) (-5 *1 (-1170 *4 *5 *6)) (-4 *4 (-983)) (-14 *5 (-1096)) (-14 *6 *4)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-288 (-202)))) (-5 *2 (-110)) (-5 *1 (-242)))) ((*1 *2 *3) (-12 (-5 *3 (-288 (-202))) (-5 *2 (-110)) (-5 *1 (-242)))) ((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-915 *4 *5 *6 *3)) (-4 *3 (-997 *4 *5 *6))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-427)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-915 *3 *4 *5 *6))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-313 *3 *4 *5)) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-313 *3 *4 *5)) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-90 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-199 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-835 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-1044 *3)) (-4 *3 (-1130)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-1067 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-864)) (-5 *1 (-333 *3)) (-4 *3 (-325))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-46 *3 *4)) (-4 *3 (-983)) (-4 *4 (-745)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-983)) (-5 *1 (-49 *3 *4)) (-14 *4 (-598 (-1096))))) ((*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-56 *3 *4 *5)) (-4 *3 (-1130)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-56 *3 *4 *5)) (-4 *3 (-1130)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-56 *3 *4 *5)) (-4 *3 (-1130)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-58 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-58 *6)) (-5 *1 (-57 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1025)) (-5 *1 (-90 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-130 *5 *6 *7)) (-14 *5 (-532)) (-14 *6 (-723)) (-4 *7 (-159)) (-4 *8 (-159)) (-5 *2 (-130 *5 *6 *8)) (-5 *1 (-129 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-156 *5)) (-4 *5 (-159)) (-4 *6 (-159)) (-5 *2 (-156 *6)) (-5 *1 (-155 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1025)) (-5 *1 (-199 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-288 *3) (-288 *3))) (-4 *3 (-13 (-983) (-800))) (-5 *1 (-200 *3 *4)) (-14 *4 (-598 (-1096))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-217 *5 *6)) (-14 *5 (-723)) (-4 *6 (-1130)) (-4 *7 (-1130)) (-5 *2 (-217 *5 *7)) (-5 *1 (-216 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-267 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-267 *6)) (-5 *1 (-266 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1130)) (-5 *1 (-267 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1078)) (-5 *5 (-571 *6)) (-4 *6 (-275)) (-4 *2 (-1130)) (-5 *1 (-270 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-571 *5)) (-4 *5 (-275)) (-4 *2 (-275)) (-5 *1 (-271 *5 *2)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-571 *1)) (-4 *1 (-275)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-639 *5)) (-4 *5 (-983)) (-4 *6 (-983)) (-5 *2 (-639 *6)) (-5 *1 (-277 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-288 *5)) (-4 *5 (-800)) (-4 *6 (-800)) (-5 *2 (-288 *6)) (-5 *1 (-286 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-983)) (-4 *7 (-983)) (-4 *5 (-745)) (-4 *2 (-300 *7 *5)) (-5 *1 (-298 *5 *6 *4 *7 *2)) (-4 *4 (-300 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-310 *5 *6 *7 *8)) (-4 *5 (-339)) (-4 *6 (-1154 *5)) (-4 *7 (-1154 (-383 *6))) (-4 *8 (-316 *5 *6 *7)) (-4 *9 (-339)) (-4 *10 (-1154 *9)) (-4 *11 (-1154 (-383 *10))) (-5 *2 (-310 *9 *10 *11 *12)) (-5 *1 (-307 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-316 *9 *10 *11)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-312 *3)) (-4 *3 (-1025)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1134)) (-4 *8 (-1134)) (-4 *6 (-1154 *5)) (-4 *7 (-1154 (-383 *6))) (-4 *9 (-1154 *8)) (-4 *2 (-316 *8 *9 *10)) (-5 *1 (-314 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-316 *5 *6 *7)) (-4 *10 (-1154 (-383 *9))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-4 *2 (-349 *6)) (-5 *1 (-347 *5 *4 *6 *2)) (-4 *4 (-349 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-358 *3 *4)) (-4 *3 (-983)) (-4 *4 (-1025)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-394 *5)) (-4 *5 (-524)) (-4 *6 (-524)) (-5 *2 (-394 *6)) (-5 *1 (-381 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-383 *5)) (-4 *5 (-524)) (-4 *6 (-524)) (-5 *2 (-383 *6)) (-5 *1 (-382 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-389 *5 *6 *7 *8)) (-4 *5 (-280)) (-4 *6 (-930 *5)) (-4 *7 (-1154 *6)) (-4 *8 (-13 (-385 *6 *7) (-974 *6))) (-4 *9 (-280)) (-4 *10 (-930 *9)) (-4 *11 (-1154 *10)) (-5 *2 (-389 *9 *10 *11 *12)) (-5 *1 (-388 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-385 *10 *11) (-974 *10))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-159)) (-4 *6 (-159)) (-4 *2 (-393 *6)) (-5 *1 (-391 *4 *5 *2 *6)) (-4 *4 (-393 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-524)) (-5 *1 (-394 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-983) (-800))) (-4 *6 (-13 (-983) (-800))) (-4 *2 (-406 *6)) (-5 *1 (-397 *5 *4 *6 *2)) (-4 *4 (-406 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *2 (-401 *6)) (-5 *1 (-399 *5 *4 *6 *2)) (-4 *4 (-401 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-800)) (-5 *1 (-466 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-471 *3)) (-4 *3 (-1130)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-488 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-800)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-549 *5)) (-4 *5 (-339)) (-4 *6 (-339)) (-5 *2 (-549 *6)) (-5 *1 (-548 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3117 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-339)) (-4 *6 (-339)) (-5 *2 (-2 (|:| -3117 *6) (|:| |coeff| *6))) (-5 *1 (-548 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-339)) (-4 *2 (-339)) (-5 *1 (-548 *5 *2)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-598 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-339)) (-4 *6 (-339)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-598 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-548 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-562 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-562 *6)) (-5 *1 (-559 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-562 *6)) (-5 *5 (-562 *7)) (-4 *6 (-1130)) (-4 *7 (-1130)) (-4 *8 (-1130)) (-5 *2 (-562 *8)) (-5 *1 (-560 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1076 *6)) (-5 *5 (-562 *7)) (-4 *6 (-1130)) (-4 *7 (-1130)) (-4 *8 (-1130)) (-5 *2 (-1076 *8)) (-5 *1 (-560 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-562 *6)) (-5 *5 (-1076 *7)) (-4 *6 (-1130)) (-4 *7 (-1130)) (-4 *8 (-1130)) (-5 *2 (-1076 *8)) (-5 *1 (-560 *6 *7 *8)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1130)) (-5 *1 (-562 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-598 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-598 *6)) (-5 *1 (-596 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-598 *6)) (-5 *5 (-598 *7)) (-4 *6 (-1130)) (-4 *7 (-1130)) (-4 *8 (-1130)) (-5 *2 (-598 *8)) (-5 *1 (-597 *6 *7 *8)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-603 *3)) (-4 *3 (-1130)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-983)) (-4 *8 (-983)) (-4 *6 (-349 *5)) (-4 *7 (-349 *5)) (-4 *2 (-637 *8 *9 *10)) (-5 *1 (-635 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-637 *5 *6 *7)) (-4 *9 (-349 *8)) (-4 *10 (-349 *8)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-983)) (-4 *8 (-983)) (-4 *6 (-349 *5)) (-4 *7 (-349 *5)) (-4 *2 (-637 *8 *9 *10)) (-5 *1 (-635 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-637 *5 *6 *7)) (-4 *9 (-349 *8)) (-4 *10 (-349 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-524)) (-4 *7 (-524)) (-4 *6 (-1154 *5)) (-4 *2 (-1154 (-383 *8))) (-5 *1 (-659 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1154 (-383 *6))) (-4 *8 (-1154 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-983)) (-4 *9 (-983)) (-4 *5 (-800)) (-4 *6 (-746)) (-4 *2 (-892 *9 *7 *5)) (-5 *1 (-678 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-746)) (-4 *4 (-892 *8 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-800)) (-4 *6 (-800)) (-4 *7 (-746)) (-4 *9 (-983)) (-4 *2 (-892 *9 *8 *6)) (-5 *1 (-679 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-746)) (-4 *4 (-892 *9 *7 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-685 *5 *7)) (-4 *5 (-983)) (-4 *6 (-983)) (-4 *7 (-676)) (-5 *2 (-685 *6 *7)) (-5 *1 (-684 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-983)) (-5 *1 (-685 *3 *4)) (-4 *4 (-676)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-735 *5)) (-4 *5 (-983)) (-4 *6 (-983)) (-5 *2 (-735 *6)) (-5 *1 (-734 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-159)) (-4 *6 (-159)) (-4 *2 (-750 *6)) (-5 *1 (-751 *4 *5 *2 *6)) (-4 *4 (-750 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-786 *5)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-5 *2 (-786 *6)) (-5 *1 (-785 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-786 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-786 *5)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-5 *1 (-785 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-793 *5)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-5 *2 (-793 *6)) (-5 *1 (-792 *5 *6)))) ((*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-793 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-793 *5)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-5 *1 (-792 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-821 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-821 *6)) (-5 *1 (-820 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-823 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-823 *6)) (-5 *1 (-822 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-825 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-825 *6)) (-5 *1 (-824 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-832 *5 *6)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)) (-5 *2 (-832 *5 *7)) (-5 *1 (-831 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-835 *5)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-5 *2 (-835 *6)) (-5 *1 (-834 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-895 *5)) (-4 *5 (-983)) (-4 *6 (-983)) (-5 *2 (-895 *6)) (-5 *1 (-889 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-800)) (-4 *8 (-983)) (-4 *6 (-746)) (-4 *2 (-13 (-1025) (-10 -8 (-15 -3847 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-723)))))) (-5 *1 (-894 *6 *7 *8 *5 *2)) (-4 *5 (-892 *8 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-900 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-900 *6)) (-5 *1 (-899 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-886 *5)) (-4 *5 (-983)) (-4 *6 (-983)) (-5 *2 (-886 *6)) (-5 *1 (-919 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-895 *4))) (-4 *4 (-983)) (-4 *2 (-892 (-895 *4) *5 *6)) (-4 *5 (-746)) (-4 *6 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $)) (-15 -3904 ((-3 $ "failed") (-1096)))))) (-5 *1 (-922 *4 *5 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-524)) (-4 *6 (-524)) (-4 *2 (-930 *6)) (-5 *1 (-928 *5 *6 *4 *2)) (-4 *4 (-930 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-159)) (-4 *6 (-159)) (-4 *2 (-934 *6)) (-5 *1 (-935 *4 *5 *2 *6)) (-4 *4 (-934 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1025)) (-5 *1 (-937 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-983)) (-4 *10 (-983)) (-14 *5 (-723)) (-14 *6 (-723)) (-4 *8 (-215 *6 *7)) (-4 *9 (-215 *5 *7)) (-4 *2 (-986 *5 *6 *10 *11 *12)) (-5 *1 (-988 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-986 *5 *6 *7 *8 *9)) (-4 *11 (-215 *6 *10)) (-4 *12 (-215 *5 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1020 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-1020 *6)) (-5 *1 (-1016 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1020 *5)) (-4 *5 (-798)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-598 *6)) (-5 *1 (-1016 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1018 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-1018 *6)) (-5 *1 (-1017 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1021 *4 *2)) (-4 *4 (-798)) (-4 *2 (-1069 *4)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1025)) (-5 *1 (-1067 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1076 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-1076 *6)) (-5 *1 (-1074 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1076 *6)) (-5 *5 (-1076 *7)) (-4 *6 (-1130)) (-4 *7 (-1130)) (-4 *8 (-1130)) (-5 *2 (-1076 *8)) (-5 *1 (-1075 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1092 *5)) (-4 *5 (-983)) (-4 *6 (-983)) (-5 *2 (-1092 *6)) (-5 *1 (-1089 *5 *6)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1107 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1142 *5 *7 *9)) (-4 *5 (-983)) (-4 *6 (-983)) (-14 *7 (-1096)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1142 *6 *8 *10)) (-5 *1 (-1137 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1096)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1145 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-1145 *6)) (-5 *1 (-1144 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1145 *5)) (-4 *5 (-798)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-1076 *6)) (-5 *1 (-1144 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1151 *5 *6)) (-14 *5 (-1096)) (-4 *6 (-983)) (-4 *8 (-983)) (-5 *2 (-1151 *7 *8)) (-5 *1 (-1146 *5 *6 *7 *8)) (-14 *7 (-1096)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-983)) (-4 *6 (-983)) (-4 *2 (-1154 *6)) (-5 *1 (-1152 *5 *4 *6 *2)) (-4 *4 (-1154 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1163 *5 *7 *9)) (-4 *5 (-983)) (-4 *6 (-983)) (-14 *7 (-1096)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1163 *6 *8 *10)) (-5 *1 (-1158 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1096)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-983)) (-4 *6 (-983)) (-4 *2 (-1169 *6)) (-5 *1 (-1167 *5 *6 *4 *2)) (-4 *4 (-1169 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1178 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-1178 *6)) (-5 *1 (-1177 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1178 *5)) (-4 *5 (-1130)) (-4 *6 (-1130)) (-5 *2 (-1178 *6)) (-5 *1 (-1177 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1194 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-983)) (-5 *1 (-1200 *3 *4)) (-4 *4 (-796))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-110)) (-5 *1 (-926 *4 *5 *6 *7 *3)) (-4 *3 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-110)) (-5 *1 (-1032 *4 *5 *6 *7 *3)) (-4 *3 (-1002 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-983)) (-4 *2 (-13 (-380) (-974 *4) (-339) (-1116) (-258))) (-5 *1 (-418 *4 *3 *2)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-639 *1)) (-5 *4 (-1178 *1)) (-4 *1 (-594 *5)) (-4 *5 (-983)) (-5 *2 (-2 (|:| -2048 (-639 *5)) (|:| |vec| (-1178 *5)))))) ((*1 *2 *3) (-12 (-5 *3 (-639 *1)) (-4 *1 (-594 *4)) (-4 *4 (-983)) (-5 *2 (-639 *4))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-156 (-202)) (-156 (-202)))) (-5 *4 (-1020 (-202))) (-5 *2 (-1180)) (-5 *1 (-232))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-546))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-280) (-137))) (-4 *4 (-13 (-800) (-573 (-1096)))) (-4 *5 (-746)) (-5 *1 (-867 *3 *4 *5 *2)) (-4 *2 (-892 *3 *5 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-524) (-800) (-974 (-532)))) (-5 *2 (-156 (-288 *4))) (-5 *1 (-167 *4 *3)) (-4 *3 (-13 (-27) (-1116) (-406 (-156 *4)))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-156 *3)) (-5 *1 (-1120 *4 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *4)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-852)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-892 *4 *5 *6)) (-5 *2 (-394 (-1092 *7))) (-5 *1 (-849 *4 *5 *6 *7)) (-5 *3 (-1092 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-852)) (-4 *5 (-1154 *4)) (-5 *2 (-394 (-1092 *5))) (-5 *1 (-850 *4 *5)) (-5 *3 (-1092 *5))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-137)) (-4 *3 (-280)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-915 *3 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-914 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *4 (-598 (-1096))) (-5 *2 (-598 (-598 *5))) (-5 *1 (-356 *5)) (-4 *5 (-13 (-798) (-339))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 (-532)))) (-5 *2 (-598 *4)) (-5 *1 (-356 *4)) (-4 *4 (-13 (-798) (-339)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-524))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-800)) (-5 *1 (-689 *3))))) 
+(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-304)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-304))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-723)) (-5 *1 (-58 *3)) (-4 *3 (-1130)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1130)) (-5 *1 (-58 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-932 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1076 (-598 (-532)))) (-5 *1 (-826))))) 
+(((*1 *1) (|partial| -12 (-4 *1 (-343 *2)) (-4 *2 (-524)) (-4 *2 (-159))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-202)) (-5 *1 (-203)))) ((*1 *2 *2) (-12 (-5 *2 (-156 (-202))) (-5 *1 (-203))))) 
+(((*1 *1 *1) (|partial| -4 *1 (-1071)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1092 (-532))) (-5 *1 (-885)) (-5 *3 (-532)))) ((*1 *2 *2) (-12 (-4 *3 (-280)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *1 (-1047 *3 *4 *5 *2)) (-4 *2 (-637 *3 *4 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-1099))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-633 *4 *5 *6)) (-4 *4 (-1025))))) 
+(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-639 *3)) (-4 *3 (-983)) (-5 *1 (-640 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-252 *3 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-252 *4 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *4)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-410))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-343 *4)) (-4 *4 (-159)) (-5 *2 (-639 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-393 *3)) (-4 *3 (-159)) (-5 *2 (-639 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-51)) (-5 *1 (-50 *2)) (-4 *2 (-1130)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-895 (-355))) (-5 *1 (-313 *3 *4 *5)) (-4 *5 (-974 (-355))) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-383 (-895 (-355)))) (-5 *1 (-313 *3 *4 *5)) (-4 *5 (-974 (-355))) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-288 (-355))) (-5 *1 (-313 *3 *4 *5)) (-4 *5 (-974 (-355))) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-895 (-532))) (-5 *1 (-313 *3 *4 *5)) (-4 *5 (-974 (-532))) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-383 (-895 (-532)))) (-5 *1 (-313 *3 *4 *5)) (-4 *5 (-974 (-532))) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-288 (-532))) (-5 *1 (-313 *3 *4 *5)) (-4 *5 (-974 (-532))) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1096)) (-5 *1 (-313 *3 *4 *5)) (-14 *3 (-598 *2)) (-14 *4 (-598 *2)) (-4 *5 (-363)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-288 *5)) (-4 *5 (-363)) (-5 *1 (-313 *3 *4 *5)) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-639 (-383 (-895 (-532))))) (-4 *1 (-360)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-639 (-383 (-895 (-355))))) (-4 *1 (-360)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-639 (-895 (-532)))) (-4 *1 (-360)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-639 (-895 (-355)))) (-4 *1 (-360)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-639 (-288 (-532)))) (-4 *1 (-360)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-639 (-288 (-355)))) (-4 *1 (-360)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-383 (-895 (-532)))) (-4 *1 (-372)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-383 (-895 (-355)))) (-4 *1 (-372)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-895 (-532))) (-4 *1 (-372)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-895 (-355))) (-4 *1 (-372)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-288 (-532))) (-4 *1 (-372)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-288 (-355))) (-4 *1 (-372)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1178 (-383 (-895 (-532))))) (-4 *1 (-416)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1178 (-383 (-895 (-355))))) (-4 *1 (-416)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1178 (-895 (-532)))) (-4 *1 (-416)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1178 (-895 (-355)))) (-4 *1 (-416)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1178 (-288 (-532)))) (-4 *1 (-416)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1178 (-288 (-355)))) (-4 *1 (-416)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-325)) (-4 *5 (-303 *4)) (-4 *6 (-1154 *5)) (-5 *2 (-1092 (-1092 *4))) (-5 *1 (-729 *4 *5 *6 *3 *7)) (-4 *3 (-1154 *6)) (-14 *7 (-864)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *1 (-914 *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-974 *2)) (-4 *2 (-1130)))) ((*1 *1 *2) (|partial| -1328 (-12 (-5 *2 (-895 *3)) (-12 (-3968 (-4 *3 (-37 (-383 (-532))))) (-3968 (-4 *3 (-37 (-532)))) (-4 *5 (-573 (-1096)))) (-4 *3 (-983)) (-4 *1 (-997 *3 *4 *5)) (-4 *4 (-746)) (-4 *5 (-800))) (-12 (-5 *2 (-895 *3)) (-12 (-3968 (-4 *3 (-517))) (-3968 (-4 *3 (-37 (-383 (-532))))) (-4 *3 (-37 (-532))) (-4 *5 (-573 (-1096)))) (-4 *3 (-983)) (-4 *1 (-997 *3 *4 *5)) (-4 *4 (-746)) (-4 *5 (-800))) (-12 (-5 *2 (-895 *3)) (-12 (-3968 (-4 *3 (-930 (-532)))) (-4 *3 (-37 (-383 (-532)))) (-4 *5 (-573 (-1096)))) (-4 *3 (-983)) (-4 *1 (-997 *3 *4 *5)) (-4 *4 (-746)) (-4 *5 (-800))))) ((*1 *1 *2) (|partial| -1328 (-12 (-5 *2 (-895 (-532))) (-4 *1 (-997 *3 *4 *5)) (-12 (-3968 (-4 *3 (-37 (-383 (-532))))) (-4 *3 (-37 (-532))) (-4 *5 (-573 (-1096)))) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800))) (-12 (-5 *2 (-895 (-532))) (-4 *1 (-997 *3 *4 *5)) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *5 (-573 (-1096)))) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-895 (-383 (-532)))) (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-37 (-383 (-532)))) (-4 *5 (-573 (-1096))) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-410))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1117 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-818)) (-5 *3 (-598 (-238))) (-5 *1 (-236))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *1)) (-4 *1 (-427)))) ((*1 *1 *1 *1) (-4 *1 (-427)))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-339)) (-4 *6 (-1154 (-383 *2))) (-4 *2 (-1154 *5)) (-5 *1 (-193 *5 *2 *6 *3)) (-4 *3 (-316 *5 *2 *6))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-394 *3)) (-5 *1 (-526 *3)) (-4 *3 (-517)))) ((*1 *2 *3) (-12 (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-280)) (-5 *2 (-394 *3)) (-5 *1 (-692 *4 *5 *6 *3)) (-4 *3 (-892 *6 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-280)) (-4 *7 (-892 *6 *4 *5)) (-5 *2 (-394 (-1092 *7))) (-5 *1 (-692 *4 *5 *6 *7)) (-5 *3 (-1092 *7)))) ((*1 *2 *1) (-12 (-4 *3 (-427)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-394 *1)) (-4 *1 (-892 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-800)) (-4 *5 (-746)) (-4 *6 (-427)) (-5 *2 (-394 *3)) (-5 *1 (-917 *4 *5 *6 *3)) (-4 *3 (-892 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-427)) (-4 *7 (-892 *6 *4 *5)) (-5 *2 (-394 (-1092 (-383 *7)))) (-5 *1 (-1091 *4 *5 *6 *7)) (-5 *3 (-1092 (-383 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-394 *1)) (-4 *1 (-1134)))) ((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-394 *3)) (-5 *1 (-1157 *4 *3)) (-4 *3 (-13 (-1154 *4) (-524) (-10 -8 (-15 -3484 ($ $ $))))))) ((*1 *2 *3) (-12 (-5 *3 (-980 *4 *5)) (-4 *4 (-13 (-798) (-280) (-137) (-958))) (-14 *5 (-598 (-1096))) (-5 *2 (-598 (-1066 *4 (-504 (-810 *6)) (-810 *6) (-733 *4 (-810 *6))))) (-5 *1 (-1203 *4 *5 *6)) (-14 *6 (-598 (-1096)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1092 *4)) (-5 *1 (-333 *4)) (-4 *4 (-325))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-110)) (-5 *1 (-112)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-275)) (-5 *3 (-1096)) (-5 *2 (-110)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-275)) (-5 *3 (-112)) (-5 *2 (-110)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-110)) (-5 *1 (-571 *4)) (-4 *4 (-800)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-112)) (-5 *2 (-110)) (-5 *1 (-571 *4)) (-4 *4 (-800)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1025)) (-5 *2 (-110)) (-5 *1 (-830 *5 *3 *4)) (-4 *3 (-829 *5)) (-4 *4 (-573 (-835 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *6)) (-4 *6 (-829 *5)) (-4 *5 (-1025)) (-5 *2 (-110)) (-5 *1 (-830 *5 *6 *4)) (-4 *4 (-573 (-835 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-2 (|:| -2630 (-723)) (|:| |eqns| (-598 (-2 (|:| |det| *7) (|:| |rows| (-598 (-532))) (|:| |cols| (-598 (-532)))))) (|:| |fgb| (-598 *7))))) (-4 *7 (-892 *4 *6 *5)) (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *2 (-723)) (-5 *1 (-867 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 *4)) (-5 *1 (-1033 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-56 *3 *4 *5)) (-4 *3 (-1130)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *2 (-532)))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-5 *2 (-532))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-145)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1064)) (-5 *2 (-131)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1064)) (-5 *2 (-134))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-735 *2)) (-4 *2 (-983)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-598 *6)) (-5 *4 (-598 (-224 *5 *6))) (-4 *6 (-427)) (-5 *2 (-224 *5 *6)) (-14 *5 (-598 (-1096))) (-5 *1 (-586 *5 *6))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-723)) (-4 *5 (-524)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-908 *5 *3)) (-4 *3 (-1154 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-639 (-288 (-202)))) (-5 *2 (-355)) (-5 *1 (-184))))) 
+(((*1 *2 *3) (-12 (-4 *3 (-1154 *2)) (-4 *2 (-1154 *4)) (-5 *1 (-923 *4 *2 *3 *5)) (-4 *4 (-325)) (-4 *5 (-674 *2 *3))))) 
+(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-123 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-598 (-598 (-598 *5)))) (-5 *3 (-1 (-110) *5 *5)) (-5 *4 (-598 *5)) (-4 *5 (-800)) (-5 *1 (-1102 *5))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-90 *2)) (-4 *2 (-1025)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1044 *2)) (-4 *2 (-1130)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1067 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-202)) (|:| |phi| (-202)) (|:| -3970 (-202)) (|:| |scaleX| (-202)) (|:| |scaleY| (-202)) (|:| |scaleZ| (-202)) (|:| |deltaX| (-202)) (|:| |deltaY| (-202)))) (-5 *3 (-598 (-238))) (-5 *1 (-236)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-202)) (|:| |phi| (-202)) (|:| -3970 (-202)) (|:| |scaleX| (-202)) (|:| |scaleY| (-202)) (|:| |scaleZ| (-202)) (|:| |deltaX| (-202)) (|:| |deltaY| (-202)))) (-5 *1 (-238)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-355)) (-5 *2 (-1183)) (-5 *1 (-1180)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-355)) (-5 *2 (-1183)) (-5 *1 (-1180)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-532)) (-5 *4 (-355)) (-5 *2 (-1183)) (-5 *1 (-1180)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-202)) (|:| |phi| (-202)) (|:| -3970 (-202)) (|:| |scaleX| (-202)) (|:| |scaleY| (-202)) (|:| |scaleZ| (-202)) (|:| |deltaX| (-202)) (|:| |deltaY| (-202)))) (-5 *2 (-1183)) (-5 *1 (-1180)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-202)) (|:| |phi| (-202)) (|:| -3970 (-202)) (|:| |scaleX| (-202)) (|:| |scaleY| (-202)) (|:| |scaleZ| (-202)) (|:| |deltaX| (-202)) (|:| |deltaY| (-202)))) (-5 *1 (-1180)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-355)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *2 (-598 *4)) (-5 *1 (-1051 *3 *4)) (-4 *3 (-1154 *4)))) ((*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *2 (-598 *3)) (-5 *1 (-1051 *4 *3)) (-4 *4 (-1154 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1076 (-598 (-532)))) (-5 *1 (-826)) (-5 *3 (-532))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-1183)) (-5 *1 (-424 *4 *5 *6 *3)) (-4 *3 (-892 *4 *5 *6))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1183)) (-5 *1 (-1179)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-864)) (-5 *4 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1179))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-355)) (-5 *1 (-738 *3)) (-4 *3 (-573 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-864)) (-5 *2 (-355)) (-5 *1 (-738 *3)) (-4 *3 (-573 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-895 *4)) (-4 *4 (-983)) (-4 *4 (-573 *2)) (-5 *2 (-355)) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-895 *5)) (-5 *4 (-864)) (-4 *5 (-983)) (-4 *5 (-573 *2)) (-5 *2 (-355)) (-5 *1 (-738 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-383 (-895 *4))) (-4 *4 (-524)) (-4 *4 (-573 *2)) (-5 *2 (-355)) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 *5))) (-5 *4 (-864)) (-4 *5 (-524)) (-4 *5 (-573 *2)) (-5 *2 (-355)) (-5 *1 (-738 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-288 *4)) (-4 *4 (-524)) (-4 *4 (-800)) (-4 *4 (-573 *2)) (-5 *2 (-355)) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-288 *5)) (-5 *4 (-864)) (-4 *5 (-524)) (-4 *5 (-800)) (-4 *5 (-573 *2)) (-5 *2 (-355)) (-5 *1 (-738 *5))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-110)) (-5 *3 (-598 (-238))) (-5 *1 (-236)))) ((*1 *1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-238))))) 
+(((*1 *2) (-12 (-4 *3 (-524)) (-5 *2 (-598 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-393 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-914 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524)) (-5 *2 (-110))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-524)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-524))))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-156 (-202)) (-156 (-202)))) (-5 *4 (-1020 (-202))) (-5 *5 (-110)) (-5 *2 (-1180)) (-5 *1 (-232))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-723)) (-4 *4 (-339)) (-5 *1 (-839 *2 *4)) (-4 *2 (-1154 *4))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-723)) (|:| -3126 *4))) (-5 *5 (-723)) (-4 *4 (-892 *6 *7 *8)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *8 (-800)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-424 *6 *7 *8 *4))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-355)) (-5 *1 (-184)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-598 (-355))) (-5 *2 (-355)) (-5 *1 (-184))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-5 *2 (-110))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-362 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-772 *2)) (-4 *2 (-800))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-598 *3))) (-4 *3 (-1025)) (-5 *1 (-848 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1020 *3)) (-5 *1 (-1018 *3)) (-4 *3 (-1130)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1019 *2)) (-4 *2 (-1130)))) ((*1 *1 *2) (-12 (-5 *1 (-1145 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-997 *3 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-464 *4 *5))) (-14 *4 (-598 (-1096))) (-4 *5 (-427)) (-5 *2 (-598 (-224 *4 *5))) (-5 *1 (-586 *4 *5))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-160 *2)) (-4 *2 (-280)))) ((*1 *2 *3) (-12 (-5 *2 (-1098 (-383 (-532)))) (-5 *1 (-169)) (-5 *3 (-532)))) ((*1 *1 *1) (-12 (-4 *1 (-625 *2)) (-4 *2 (-1130)))) ((*1 *1 *1) (-4 *1 (-814 *2))) ((*1 *1 *1) (-12 (-4 *1 (-911 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-745)) (-4 *4 (-800))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-355)) (-5 *1 (-93))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-847 (-532))) (-5 *1 (-860)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-847 (-532))) (-5 *1 (-860))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-972)) (-5 *3 (-1096)) (-5 *1 (-171))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-383 *2)) (-4 *2 (-1154 *5)) (-5 *1 (-760 *5 *2 *3 *6)) (-4 *5 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *3 (-608 *2)) (-4 *6 (-608 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-383 *2))) (-4 *2 (-1154 *5)) (-5 *1 (-760 *5 *2 *3 *6)) (-4 *5 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *3 (-608 *2)) (-4 *6 (-608 (-383 *2)))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-723)) (-4 *4 (-13 (-983) (-667 (-383 (-532))))) (-4 *5 (-800)) (-5 *1 (-1193 *4 *5 *2)) (-4 *2 (-1198 *5 *4))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-1025)) (-5 *1 (-906 *3 *2)) (-4 *3 (-1025))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 (-598 *5))) (-4 *5 (-1169 *4)) (-4 *4 (-37 (-383 (-532)))) (-5 *2 (-1 (-1076 *4) (-598 (-1076 *4)))) (-5 *1 (-1171 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-750 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-355)) (-5 *1 (-171))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3484 (-735 *3)) (|:| |coef2| (-735 *3)))) (-5 *1 (-735 *3)) (-4 *3 (-524)) (-4 *3 (-983)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-524)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-2 (|:| -3484 *1) (|:| |coef2| *1))) (-4 *1 (-997 *3 *4 *5))))) 
+(((*1 *1 *2 *2 *1) (-12 (-5 *1 (-599 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1178 (-598 *3))) (-4 *4 (-280)) (-5 *2 (-598 *3)) (-5 *1 (-430 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-631 *2)) (-4 *2 (-1025)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-598 *5) (-598 *5))) (-5 *4 (-532)) (-5 *2 (-598 *5)) (-5 *1 (-631 *5)) (-4 *5 (-1025))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-723)) (-4 *6 (-1025)) (-4 *3 (-843 *6)) (-5 *2 (-639 *3)) (-5 *1 (-641 *6 *3 *7 *4)) (-4 *7 (-349 *3)) (-4 *4 (-13 (-349 *6) (-10 -7 (-6 -4289))))))) 
+(((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-914 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524)) (-5 *2 (-110))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-117 *2)) (-4 *2 (-1130)))) ((*1 *1 *1) (-12 (-5 *1 (-623 *2)) (-4 *2 (-800)))) ((*1 *1 *1) (-12 (-5 *1 (-627 *2)) (-4 *2 (-800)))) ((*1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-808)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-798) (-339))) (-5 *1 (-993 *2 *3)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-355) (-355))) (-5 *4 (-355)) (-5 *2 (-2 (|:| -1330 *4) (|:| -3758 *4) (|:| |totalpts| (-532)) (|:| |success| (-110)))) (-5 *1 (-742)) (-5 *5 (-532))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-522 *3)) (-4 *3 (-13 (-380) (-1116))) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-798)) (-5 *2 (-110)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-999 *4 *3)) (-4 *4 (-13 (-798) (-339))) (-4 *3 (-1154 *4)) (-5 *2 (-110))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-304))))) 
+(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1154 *5)) (-4 *5 (-339)) (-5 *2 (-2 (|:| -3117 (-383 *6)) (|:| |coeff| (-383 *6)))) (-5 *1 (-542 *5 *6)) (-5 *3 (-383 *6))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-627 *2)) (-4 *2 (-800)))) ((*1 *1 *1) (-12 (-5 *1 (-772 *2)) (-4 *2 (-800)))) ((*1 *1 *1) (-12 (-5 *1 (-836 *2)) (-4 *2 (-800)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1124 *2 *3 *4 *5)) (-4 *2 (-524)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *5 (-997 *2 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-1166 *3)) (-4 *3 (-1130)))) ((*1 *1 *1) (-12 (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-906 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-1025))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-117 *2)) (-4 *2 (-1130)))) ((*1 *1 *1) (-12 (-5 *1 (-623 *2)) (-4 *2 (-800)))) ((*1 *1 *1) (-12 (-5 *1 (-627 *2)) (-4 *2 (-800)))) ((*1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-808)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-798) (-339))) (-5 *1 (-993 *2 *3)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-625 *3)) (-4 *3 (-1130)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-355) (-355))) (-5 *4 (-355)) (-5 *2 (-2 (|:| -1330 *4) (|:| -3758 *4) (|:| |totalpts| (-532)) (|:| |success| (-110)))) (-5 *1 (-742)) (-5 *5 (-532))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-383 (-895 *6)) (-1085 (-1096) (-895 *6)))) (-5 *5 (-723)) (-4 *6 (-427)) (-5 *2 (-598 (-639 (-383 (-895 *6))))) (-5 *1 (-265 *6)) (-5 *4 (-639 (-383 (-895 *6)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-383 (-895 *5)) (-1085 (-1096) (-895 *5)))) (|:| |eigmult| (-723)) (|:| |eigvec| (-598 *4)))) (-4 *5 (-427)) (-5 *2 (-598 (-639 (-383 (-895 *5))))) (-5 *1 (-265 *5)) (-5 *4 (-639 (-383 (-895 *5))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-886 *2)) (-5 *1 (-920 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-565 *3 *2)) (-4 *3 (-1025)) (-4 *3 (-800)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-5 *1 (-627 *2)) (-4 *2 (-800)))) ((*1 *2 *1) (-12 (-5 *1 (-772 *2)) (-4 *2 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-623 *3)) (-5 *1 (-836 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1124 *3 *4 *5 *2)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *2 (-997 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-1166 *3)) (-4 *3 (-1130)))) ((*1 *2 *1) (-12 (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-598 (-2 (|:| -4186 (-1092 *6)) (|:| -3540 (-532))))) (-4 *6 (-280)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110)) (-5 *1 (-692 *4 *5 *6 *7)) (-4 *7 (-892 *6 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-1057 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-1134)) (-4 *5 (-1154 *4)) (-5 *2 (-2 (|:| |radicand| (-383 *5)) (|:| |deg| (-723)))) (-5 *1 (-138 *4 *5 *3)) (-4 *3 (-1154 (-383 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-110)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-438)))) ((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-870))))) 
+(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-571 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1096))) (-4 *2 (-13 (-406 *5) (-27) (-1116))) (-4 *5 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *1 (-534 *5 *2 *6)) (-4 *6 (-1025))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-204 *2)) (-4 *2 (-13 (-339) (-1116))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-668 *2)) (-4 *2 (-339)))) ((*1 *1 *2) (-12 (-5 *1 (-668 *2)) (-4 *2 (-339)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-864)) (-5 *4 (-355)) (-5 *2 (-1183)) (-5 *1 (-1179))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *1 *1) (-5 *1 (-110))) ((*1 *1 *1) (-4 *1 (-121))) ((*1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1) (-5 *1 (-1043)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-522 *2)) (-4 *2 (-13 (-380) (-1116))))) ((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-808)))) ((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-808))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1092 *9)) (-5 *4 (-598 *7)) (-5 *5 (-598 *8)) (-4 *7 (-800)) (-4 *8 (-983)) (-4 *9 (-892 *8 *6 *7)) (-4 *6 (-746)) (-5 *2 (-1092 *8)) (-5 *1 (-294 *6 *7 *8 *9))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-218)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-1078))) (-5 *2 (-1183)) (-5 *1 (-218))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-524) (-800))) (-4 *2 (-13 (-406 *4) (-939) (-1116))) (-5 *1 (-561 *4 *2 *3)) (-4 *3 (-13 (-406 (-156 *4)) (-939) (-1116)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-44 (-1078) (-726))) (-5 *1 (-112))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-639 *3)) (-4 *3 (-280)) (-5 *1 (-649 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-406 *4)) (-5 *1 (-146 *4 *2)) (-4 *4 (-13 (-800) (-524)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 *5))) (-5 *4 (-1096)) (-4 *5 (-13 (-280) (-800) (-137))) (-5 *2 (-598 (-267 (-288 *5)))) (-5 *1 (-1052 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-383 (-895 *4))) (-4 *4 (-13 (-280) (-800) (-137))) (-5 *2 (-598 (-267 (-288 *4)))) (-5 *1 (-1052 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-267 (-383 (-895 *5)))) (-5 *4 (-1096)) (-4 *5 (-13 (-280) (-800) (-137))) (-5 *2 (-598 (-267 (-288 *5)))) (-5 *1 (-1052 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-267 (-383 (-895 *4)))) (-4 *4 (-13 (-280) (-800) (-137))) (-5 *2 (-598 (-267 (-288 *4)))) (-5 *1 (-1052 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 *5)))) (-5 *4 (-598 (-1096))) (-4 *5 (-13 (-280) (-800) (-137))) (-5 *2 (-598 (-598 (-267 (-288 *5))))) (-5 *1 (-1052 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-895 *4)))) (-4 *4 (-13 (-280) (-800) (-137))) (-5 *2 (-598 (-598 (-267 (-288 *4))))) (-5 *1 (-1052 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-267 (-383 (-895 *5))))) (-5 *4 (-598 (-1096))) (-4 *5 (-13 (-280) (-800) (-137))) (-5 *2 (-598 (-598 (-267 (-288 *5))))) (-5 *1 (-1052 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-267 (-383 (-895 *4))))) (-4 *4 (-13 (-280) (-800) (-137))) (-5 *2 (-598 (-598 (-267 (-288 *4))))) (-5 *1 (-1052 *4))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-601 *2 *3 *4)) (-4 *2 (-1025)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-571 *4)) (-5 *6 (-1092 *4)) (-4 *4 (-13 (-406 *7) (-27) (-1116))) (-4 *7 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1322 (-598 *4)))) (-5 *1 (-528 *7 *4 *3)) (-4 *3 (-608 *4)) (-4 *3 (-1025)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-571 *4)) (-5 *6 (-383 (-1092 *4))) (-4 *4 (-13 (-406 *7) (-27) (-1116))) (-4 *7 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1322 (-598 *4)))) (-5 *1 (-528 *7 *4 *3)) (-4 *3 (-608 *4)) (-4 *3 (-1025))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-524)) (-4 *3 (-983)) (-5 *2 (-2 (|:| -3886 *1) (|:| -2860 *1))) (-4 *1 (-802 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-95 *5)) (-4 *5 (-524)) (-4 *5 (-983)) (-5 *2 (-2 (|:| -3886 *3) (|:| -2860 *3))) (-5 *1 (-803 *5 *3)) (-4 *3 (-802 *5))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-598 *4)) (-4 *4 (-1025)) (-4 *4 (-1130)) (-5 *2 (-110)) (-5 *1 (-1076 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-364)) (-5 *1 (-587))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1154 *6)) (-4 *6 (-13 (-27) (-406 *5))) (-4 *5 (-13 (-800) (-524) (-974 (-532)))) (-4 *8 (-1154 (-383 *7))) (-5 *2 (-549 *3)) (-5 *1 (-520 *5 *6 *7 *8 *3)) (-4 *3 (-316 *6 *7 *8))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-895 (-202))) (-5 *2 (-202)) (-5 *1 (-278))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-914 *3 *4 *2 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-997 *3 *4 *2)) (-4 *2 (-800)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *3 *4 *2)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1025)) (-4 *6 (-1025)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-633 *4 *5 *6)) (-4 *5 (-1025))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1154 (-383 *2))) (-5 *2 (-532)) (-5 *1 (-856 *4 *3)) (-4 *3 (-1154 (-383 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1183)) (-5 *1 (-355)))) ((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-355))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-1076 *3)) (-4 *3 (-1025)) (-4 *3 (-1130))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1169 *4)) (-5 *1 (-1171 *4 *2)) (-4 *4 (-37 (-383 (-532))))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-997 *3 *4 *2)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-983)) (-5 *1 (-662 *3 *4)) (-4 *4 (-1154 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-598 *3))) (-4 *3 (-983)) (-4 *1 (-637 *3 *4 *5)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-598 (-808)))) (-5 *1 (-808)))) ((*1 *2 *1) (-12 (-5 *2 (-1062 *3 *4)) (-5 *1 (-931 *3 *4)) (-14 *3 (-864)) (-4 *4 (-339)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-598 *5))) (-4 *5 (-983)) (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-339) (-974 (-383 *2)))) (-5 *2 (-532)) (-5 *1 (-113 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-410))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-598 *7) *7 (-1092 *7))) (-5 *5 (-1 (-394 *7) *7)) (-4 *7 (-1154 *6)) (-4 *6 (-13 (-339) (-137) (-974 (-383 (-532))))) (-5 *2 (-598 (-2 (|:| |frac| (-383 *7)) (|:| -3325 *3)))) (-5 *1 (-762 *6 *7 *3 *8)) (-4 *3 (-608 *7)) (-4 *8 (-608 (-383 *7))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-394 *6) *6)) (-4 *6 (-1154 *5)) (-4 *5 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-5 *2 (-598 (-2 (|:| |frac| (-383 *6)) (|:| -3325 (-606 *6 (-383 *6)))))) (-5 *1 (-765 *5 *6)) (-5 *3 (-606 *6 (-383 *6)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-598 (-1096))) (|:| |pred| (-51)))) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-723)) (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2) (-12 (-5 *2 (-598 *3)) (-5 *1 (-1012 *3)) (-4 *3 (-127))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-1117 *3))) (-5 *1 (-1117 *3)) (-4 *3 (-1025))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1078)) (-5 *3 (-726)) (-5 *1 (-112))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-1111))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1078)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-1183)) (-5 *1 (-1003 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1078)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-1183)) (-5 *1 (-1033 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 *6 *5)) (-5 *1 (-656 *4 *5 *6)) (-4 *4 (-573 (-508))) (-4 *5 (-1130)) (-4 *6 (-1130))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-1178 *5))) (-5 *4 (-532)) (-5 *2 (-1178 *5)) (-5 *1 (-966 *5)) (-4 *5 (-339)) (-4 *5 (-344)) (-4 *5 (-983))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-983)) (-4 *5 (-746)) (-4 *3 (-800)) (-5 *2 (-2 (|:| -3886 *1) (|:| -2860 *1))) (-4 *1 (-892 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-983)) (-5 *2 (-2 (|:| -3886 *1) (|:| -2860 *1))) (-4 *1 (-1154 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-221 *2)) (-4 *2 (-1130)))) ((*1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800))))) 
+(((*1 *2) (-12 (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-1183)) (-5 *1 (-1003 *3 *4 *5 *6 *7)) (-4 *7 (-1002 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-1183)) (-5 *1 (-1033 *3 *4 *5 *6 *7)) (-4 *7 (-1002 *3 *4 *5 *6))))) 
+(((*1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-118 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *2) (-12 (-5 *2 (-723)) (-5 *1 (-118 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-508)) (-5 *1 (-507 *4)) (-4 *4 (-1130))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| (-110)) (|:| -1213 *4)))) (-5 *1 (-1033 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-110)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-438))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-723)) (-4 *6 (-339)) (-5 *4 (-1125 *6)) (-5 *2 (-1 (-1076 *4) (-1076 *4))) (-5 *1 (-1187 *6)) (-5 *5 (-1076 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-202)) (-5 *1 (-30)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-394 *4) *4)) (-4 *4 (-524)) (-5 *2 (-394 *4)) (-5 *1 (-395 *4)))) ((*1 *1 *1) (-5 *1 (-869))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1020 (-202))) (-5 *1 (-869)))) ((*1 *1 *1) (-5 *1 (-870))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1020 (-202))) (-5 *1 (-870)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532))))) (-5 *4 (-383 (-532))) (-5 *1 (-956 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532))))) (-5 *1 (-956 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532))))) (-5 *4 (-383 (-532))) (-5 *1 (-957 *3)) (-4 *3 (-1154 *4)))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532))))) (-5 *1 (-957 *3)) (-4 *3 (-1154 (-383 (-532)))))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-798) (-339))) (-5 *1 (-993 *2 *3)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-316 *4 *3 *5)) (-4 *4 (-1134)) (-4 *3 (-1154 *4)) (-4 *5 (-1154 (-383 *3))) (-5 *2 (-110)))) ((*1 *2 *3) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-110))))) 
+(((*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-723)) (-4 *4 (-983)) (-5 *1 (-1150 *4 *2)) (-4 *2 (-1154 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1178 *4)) (-5 *3 (-723)) (-4 *4 (-325)) (-5 *1 (-502 *4))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-598 (-1092 *5))) (-5 *3 (-1092 *5)) (-4 *5 (-153 *4)) (-4 *4 (-517)) (-5 *1 (-139 *4 *5)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-598 *3)) (-4 *3 (-1154 *5)) (-4 *5 (-1154 *4)) (-4 *4 (-325)) (-5 *1 (-334 *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-598 (-1092 (-532)))) (-5 *3 (-1092 (-532))) (-5 *1 (-540)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-598 (-1092 *1))) (-5 *3 (-1092 *1)) (-4 *1 (-852))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-892 *3 *4 *5)) (-4 *3 (-280)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-422 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-598 *7)) (-5 *3 (-1078)) (-4 *7 (-892 *4 *5 *6)) (-4 *4 (-280)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-422 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-598 *7)) (-5 *3 (-1078)) (-4 *7 (-892 *4 *5 *6)) (-4 *4 (-280)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-422 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-886 *3)) (-4 *3 (-13 (-339) (-1116) (-939))) (-5 *1 (-161 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-1092 *3))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-658 *3)) (-5 *1 (-780 *2 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-864))) (-5 *1 (-1026 *3 *4)) (-14 *3 (-864)) (-14 *4 (-864))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-33)) (-5 *2 (-110)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-90 *3)) (-4 *3 (-1025)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-199 *3)) (-4 *3 (-1025)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-466 *3)) (-4 *3 (-800)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-937 *3)) (-4 *3 (-1025)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1067 *3)) (-4 *3 (-1025))))) 
+(((*1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-1181)))) ((*1 *2 *2) (-12 (-5 *2 (-864)) (-5 *1 (-1181))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-383 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1154 *5)) (-5 *1 (-677 *5 *2)) (-4 *5 (-339))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1092 *3)) (-4 *3 (-344)) (-4 *1 (-303 *3)) (-4 *3 (-339))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1130)) (-5 *1 (-1076 *3))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-508) (-598 (-508)))) (-5 *1 (-112)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-508) (-598 (-508)))) (-5 *1 (-112))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-267 *2)) (-4 *2 (-676)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-241 *2)) (-4 *2 (-800)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1096)) (-5 *1 (-810 *3)) (-14 *3 (-598 *2)))) ((*1 *2 *1) (-12 (-5 *2 (-1096)) (-5 *1 (-927)))) ((*1 *2 *1) (-12 (-5 *2 (-1096)) (-5 *1 (-1018 *3)) (-4 *3 (-1130)))) ((*1 *2 *1) (-12 (-4 *1 (-1156 *3 *4)) (-4 *3 (-983)) (-4 *4 (-745)) (-5 *2 (-1096)))) ((*1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-1174 *3)) (-14 *3 *2)))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1178 (-1178 (-532)))) (-5 *3 (-864)) (-5 *1 (-443))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-137)) (-4 *2 (-280)) (-4 *2 (-427)) (-4 *3 (-800)) (-4 *4 (-746)) (-5 *1 (-925 *2 *3 *4 *5)) (-4 *5 (-892 *2 *4 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-47)) (-5 *2 (-288 (-532))) (-5 *1 (-1042)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-870))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-802 *2)) (-4 *2 (-983)) (-4 *2 (-339))))) 
+(((*1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *2) (-12 (-5 *2 (-864)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-1183)) (-5 *1 (-438))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1076 (-383 *3))) (-5 *1 (-160 *3)) (-4 *3 (-280))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532))))) (-5 *2 (-383 (-532))) (-5 *1 (-956 *4)) (-4 *4 (-1154 (-532)))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-210)) (-4 *3 (-983)) (-4 *4 (-800)) (-4 *5 (-241 *4)) (-4 *6 (-746)) (-5 *2 (-1 *1 (-723))) (-4 *1 (-228 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-983)) (-4 *3 (-800)) (-4 *5 (-241 *3)) (-4 *6 (-746)) (-5 *2 (-1 *1 (-723))) (-4 *1 (-228 *4 *3 *5 *6)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-723)) (-4 *1 (-241 *2)) (-4 *2 (-800))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1062 *3 *4)) (-14 *3 (-864)) (-4 *4 (-339)) (-5 *1 (-931 *3 *4))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-112))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -3980 *7) (|:| |sol?| (-110))) (-532) *7)) (-5 *6 (-598 (-383 *8))) (-4 *7 (-339)) (-4 *8 (-1154 *7)) (-5 *3 (-383 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-598 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-542 *7 *8))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-522 *3)) (-4 *3 (-13 (-380) (-1116))) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-798)) (-5 *2 (-110)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-999 *4 *3)) (-4 *4 (-13 (-798) (-339))) (-4 *3 (-1154 *4)) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-895 *4))) (-4 *4 (-427)) (-5 *2 (-110)) (-5 *1 (-336 *4 *5)) (-14 *5 (-598 (-1096))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-733 *4 (-810 *5)))) (-4 *4 (-427)) (-14 *5 (-598 (-1096))) (-5 *2 (-110)) (-5 *1 (-583 *4 *5))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-110)) (-5 *3 (-598 (-238))) (-5 *1 (-236))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 (-202) (-202) (-202) (-202))) (-5 *1 (-238)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-202) (-202) (-202))) (-5 *1 (-238)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-202) (-202))) (-5 *1 (-238))))) 
+(((*1 *1 *1 *2) (-12 (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-484 *3 *4 *5 *2)) (-4 *2 (-892 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-339)) (-4 *3 (-746)) (-4 *4 (-800)) (-5 *1 (-484 *2 *3 *4 *5)) (-4 *5 (-892 *2 *3 *4))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *3 (-1130)) (-5 *1 (-166 *3 *2)) (-4 *2 (-625 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-639 *8)) (-4 *8 (-892 *5 *7 *6)) (-4 *5 (-13 (-280) (-137))) (-4 *6 (-13 (-800) (-573 (-1096)))) (-4 *7 (-746)) (-5 *2 (-598 (-2 (|:| |eqzro| (-598 *8)) (|:| |neqzro| (-598 *8)) (|:| |wcond| (-598 (-895 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1178 (-383 (-895 *5)))) (|:| -1322 (-598 (-1178 (-383 (-895 *5)))))))))) (-5 *1 (-867 *5 *6 *7 *8)) (-5 *4 (-598 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-639 *8)) (-5 *4 (-598 (-1096))) (-4 *8 (-892 *5 *7 *6)) (-4 *5 (-13 (-280) (-137))) (-4 *6 (-13 (-800) (-573 (-1096)))) (-4 *7 (-746)) (-5 *2 (-598 (-2 (|:| |eqzro| (-598 *8)) (|:| |neqzro| (-598 *8)) (|:| |wcond| (-598 (-895 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1178 (-383 (-895 *5)))) (|:| -1322 (-598 (-1178 (-383 (-895 *5)))))))))) (-5 *1 (-867 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-639 *7)) (-4 *7 (-892 *4 *6 *5)) (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *2 (-598 (-2 (|:| |eqzro| (-598 *7)) (|:| |neqzro| (-598 *7)) (|:| |wcond| (-598 (-895 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1178 (-383 (-895 *4)))) (|:| -1322 (-598 (-1178 (-383 (-895 *4)))))))))) (-5 *1 (-867 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-639 *9)) (-5 *5 (-864)) (-4 *9 (-892 *6 *8 *7)) (-4 *6 (-13 (-280) (-137))) (-4 *7 (-13 (-800) (-573 (-1096)))) (-4 *8 (-746)) (-5 *2 (-598 (-2 (|:| |eqzro| (-598 *9)) (|:| |neqzro| (-598 *9)) (|:| |wcond| (-598 (-895 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1178 (-383 (-895 *6)))) (|:| -1322 (-598 (-1178 (-383 (-895 *6)))))))))) (-5 *1 (-867 *6 *7 *8 *9)) (-5 *4 (-598 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-639 *9)) (-5 *4 (-598 (-1096))) (-5 *5 (-864)) (-4 *9 (-892 *6 *8 *7)) (-4 *6 (-13 (-280) (-137))) (-4 *7 (-13 (-800) (-573 (-1096)))) (-4 *8 (-746)) (-5 *2 (-598 (-2 (|:| |eqzro| (-598 *9)) (|:| |neqzro| (-598 *9)) (|:| |wcond| (-598 (-895 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1178 (-383 (-895 *6)))) (|:| -1322 (-598 (-1178 (-383 (-895 *6)))))))))) (-5 *1 (-867 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-639 *8)) (-5 *4 (-864)) (-4 *8 (-892 *5 *7 *6)) (-4 *5 (-13 (-280) (-137))) (-4 *6 (-13 (-800) (-573 (-1096)))) (-4 *7 (-746)) (-5 *2 (-598 (-2 (|:| |eqzro| (-598 *8)) (|:| |neqzro| (-598 *8)) (|:| |wcond| (-598 (-895 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1178 (-383 (-895 *5)))) (|:| -1322 (-598 (-1178 (-383 (-895 *5)))))))))) (-5 *1 (-867 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-639 *9)) (-5 *4 (-598 *9)) (-5 *5 (-1078)) (-4 *9 (-892 *6 *8 *7)) (-4 *6 (-13 (-280) (-137))) (-4 *7 (-13 (-800) (-573 (-1096)))) (-4 *8 (-746)) (-5 *2 (-532)) (-5 *1 (-867 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-639 *9)) (-5 *4 (-598 (-1096))) (-5 *5 (-1078)) (-4 *9 (-892 *6 *8 *7)) (-4 *6 (-13 (-280) (-137))) (-4 *7 (-13 (-800) (-573 (-1096)))) (-4 *8 (-746)) (-5 *2 (-532)) (-5 *1 (-867 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-639 *8)) (-5 *4 (-1078)) (-4 *8 (-892 *5 *7 *6)) (-4 *5 (-13 (-280) (-137))) (-4 *6 (-13 (-800) (-573 (-1096)))) (-4 *7 (-746)) (-5 *2 (-532)) (-5 *1 (-867 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-639 *10)) (-5 *4 (-598 *10)) (-5 *5 (-864)) (-5 *6 (-1078)) (-4 *10 (-892 *7 *9 *8)) (-4 *7 (-13 (-280) (-137))) (-4 *8 (-13 (-800) (-573 (-1096)))) (-4 *9 (-746)) (-5 *2 (-532)) (-5 *1 (-867 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-639 *10)) (-5 *4 (-598 (-1096))) (-5 *5 (-864)) (-5 *6 (-1078)) (-4 *10 (-892 *7 *9 *8)) (-4 *7 (-13 (-280) (-137))) (-4 *8 (-13 (-800) (-573 (-1096)))) (-4 *9 (-746)) (-5 *2 (-532)) (-5 *1 (-867 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-639 *9)) (-5 *4 (-864)) (-5 *5 (-1078)) (-4 *9 (-892 *6 *8 *7)) (-4 *6 (-13 (-280) (-137))) (-4 *7 (-13 (-800) (-573 (-1096)))) (-4 *8 (-746)) (-5 *2 (-532)) (-5 *1 (-867 *6 *7 *8 *9))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *1 (-56 *4 *2 *5)) (-4 *4 (-1130)) (-4 *5 (-349 *4)) (-4 *2 (-349 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *1 (-986 *4 *5 *6 *2 *7)) (-4 *6 (-983)) (-4 *7 (-215 *4 *6)) (-4 *2 (-215 *5 *6))))) 
+(((*1 *2 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *2)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *2 (-997 *3 *4 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1062 *4 *2)) (-14 *4 (-864)) (-4 *2 (-13 (-983) (-10 -7 (-6 (-4291 "*"))))) (-5 *1 (-845 *4 *2))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-869))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-864)) (-5 *4 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1179))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-598 (-895 *4))) (-5 *3 (-598 (-1096))) (-4 *4 (-427)) (-5 *1 (-861 *4))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-288 (-202))) (-5 *1 (-242))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-110)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-438))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-598 *5) *6)) (-4 *5 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *6 (-1154 *5)) (-5 *2 (-598 (-2 (|:| -3167 *5) (|:| -3325 *3)))) (-5 *1 (-762 *5 *6 *3 *7)) (-4 *3 (-608 *6)) (-4 *7 (-608 (-383 *6)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1092 *4)) (-5 *1 (-333 *4)) (-4 *4 (-325))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-532)) (-5 *2 (-110)) (-5 *1 (-521))))) 
+(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-1060 *4 *5))) (-5 *3 (-1 (-110) *5 *5)) (-4 *4 (-13 (-1025) (-33))) (-4 *5 (-13 (-1025) (-33))) (-5 *1 (-1061 *4 *5)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-598 (-1060 *3 *4))) (-4 *3 (-13 (-1025) (-33))) (-4 *4 (-13 (-1025) (-33))) (-5 *1 (-1061 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-288 (-202)))) (-5 *2 (-110)) (-5 *1 (-242))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-90 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-1044 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-5 *1 (-1067 *2)) (-4 *2 (-1025))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-112)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1078)) (-4 *4 (-800)) (-5 *1 (-872 *4 *2)) (-4 *2 (-406 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1096)) (-5 *4 (-1078)) (-5 *2 (-288 (-532))) (-5 *1 (-873))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-914 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-110))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-5 *2 (-110))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-49 *3 *4)) (-4 *3 (-983)) (-14 *4 (-598 (-1096))))) ((*1 *2 *3) (-12 (-5 *3 (-51)) (-5 *2 (-110)) (-5 *1 (-50 *4)) (-4 *4 (-1130)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-200 *3 *4)) (-4 *3 (-13 (-983) (-800))) (-14 *4 (-598 (-1096))))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-623 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-627 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-836 *3)) (-4 *3 (-800))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *1 *2 *2) (-12 (-5 *1 (-267 *2)) (-4 *2 (-1130)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1078)) (-5 *1 (-927)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1020 *4)) (-4 *4 (-1130)) (-5 *1 (-1018 *4))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-723)) (-5 *5 (-598 *3)) (-4 *3 (-280)) (-4 *6 (-800)) (-4 *7 (-746)) (-5 *2 (-110)) (-5 *1 (-581 *6 *7 *3 *8)) (-4 *8 (-892 *3 *7 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-158)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1126 *3)) (-4 *3 (-912))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-532)) (-5 *1 (-1113 *4)) (-4 *4 (-983))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-46 *2 *3)) (-4 *2 (-983)) (-4 *3 (-745)) (-4 *2 (-339)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-202)))) ((*1 *1 *1 *1) (-1328 (-12 (-5 *1 (-267 *2)) (-4 *2 (-339)) (-4 *2 (-1130))) (-12 (-5 *1 (-267 *2)) (-4 *2 (-450)) (-4 *2 (-1130))))) ((*1 *1 *1 *1) (-4 *1 (-339))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-355)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1048 *3 (-571 *1))) (-4 *3 (-524)) (-4 *3 (-800)) (-4 *1 (-406 *3)))) ((*1 *1 *1 *1) (-4 *1 (-450))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-325)) (-5 *1 (-502 *3)))) ((*1 *1 *1 *1) (-5 *1 (-508))) ((*1 *1 *2 *3) (-12 (-4 *4 (-159)) (-5 *1 (-577 *2 *4 *3)) (-4 *2 (-37 *4)) (-4 *3 (|SubsetCategory| (-676) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-159)) (-5 *1 (-577 *3 *4 *2)) (-4 *3 (-37 *4)) (-4 *2 (|SubsetCategory| (-676) *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-589 *2)) (-4 *2 (-159)) (-4 *2 (-339)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-159)) (-5 *1 (-614 *2 *4 *3)) (-4 *2 (-667 *4)) (-4 *3 (|SubsetCategory| (-676) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-159)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-667 *4)) (-4 *2 (|SubsetCategory| (-676) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 (-288 (-532)) *3)) (-4 *3 (-1025)) (-5 *1 (-634 *3 *4)) (-4 *4 (-983)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)) (-4 *2 (-339)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-693 *2 *3)) (-14 *2 (-1096)) (-4 *3 (-13 (-983) (-800) (-524))))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-811 *2 *3 *4 *5)) (-4 *2 (-339)) (-4 *2 (-983)) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-723))) (-14 *5 (-723)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-835 *2)) (-4 *2 (-1025)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-930 *2)) (-4 *2 (-524)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-986 *3 *4 *2 *5 *6)) (-4 *2 (-983)) (-4 *5 (-215 *4 *2)) (-4 *6 (-215 *3 *2)) (-4 *2 (-339)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1186 *2)) (-4 *2 (-339)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-339)) (-4 *2 (-983)) (-4 *3 (-800)) (-4 *4 (-746)) (-14 *6 (-598 *3)) (-5 *1 (-1189 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-892 *2 *4 *3)) (-14 *7 (-598 (-723))) (-14 *8 (-723)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1200 *2 *3)) (-4 *2 (-339)) (-4 *2 (-983)) (-4 *3 (-796))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-229 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-110)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1124 *4 *5 *6 *3)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-171))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-895 (-156 *4))) (-4 *4 (-159)) (-4 *4 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-895 (-156 *5))) (-5 *4 (-864)) (-4 *5 (-159)) (-4 *5 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-895 *4)) (-4 *4 (-983)) (-4 *4 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-895 *5)) (-5 *4 (-864)) (-4 *5 (-983)) (-4 *5 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-383 (-895 *4))) (-4 *4 (-524)) (-4 *4 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-383 (-895 *5))) (-5 *4 (-864)) (-4 *5 (-524)) (-4 *5 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-383 (-895 (-156 *4)))) (-4 *4 (-524)) (-4 *4 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-383 (-895 (-156 *5)))) (-5 *4 (-864)) (-4 *5 (-524)) (-4 *5 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-288 *4)) (-4 *4 (-524)) (-4 *4 (-800)) (-4 *4 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-288 *5)) (-5 *4 (-864)) (-4 *5 (-524)) (-4 *5 (-800)) (-4 *5 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-288 (-156 *4))) (-4 *4 (-524)) (-4 *4 (-800)) (-4 *4 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-288 (-156 *5))) (-5 *4 (-864)) (-4 *5 (-524)) (-4 *5 (-800)) (-4 *5 (-573 (-355))) (-5 *2 (-156 (-355))) (-5 *1 (-738 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1136 *2)) (-4 *2 (-983)))) ((*1 *1 *1) (-12 (-5 *1 (-1170 *2 *3 *4)) (-4 *2 (-983)) (-14 *3 (-1096)) (-14 *4 *2)))) 
+(((*1 *1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1 *1) (|partial| -5 *1 (-128))) ((*1 *1 *1 *1) (-12 (-5 *1 (-192 *2)) (-4 *2 (-13 (-800) (-10 -8 (-15 -2687 ((-1078) $ (-1096))) (-15 -2563 ((-1183) $)) (-15 -1412 ((-1183) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-267 *2)) (-4 *2 (-21)) (-4 *2 (-1130)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-267 *2)) (-4 *2 (-21)) (-4 *2 (-1130)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-447 *2 *3)) (-4 *2 (-159)) (-4 *3 (-23)))) ((*1 *1 *1) (-12 (-4 *1 (-447 *2 *3)) (-4 *2 (-159)) (-4 *3 (-23)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1025)) (-4 *4 (-983)) (-5 *1 (-634 *3 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)))) ((*1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-886 (-202))) (-5 *1 (-1127)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1176 *2)) (-4 *2 (-1130)) (-4 *2 (-21)))) ((*1 *1 *1) (-12 (-4 *1 (-1176 *2)) (-4 *2 (-1130)) (-4 *2 (-21))))) 
+(((*1 *2 *2 *2) (-12 (-5 *1 (-147 *2)) (-4 *2 (-517))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-110)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-438))))) 
+(((*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *1 (-1051 *3 *2)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *2 (-598 *4)) (-5 *1 (-1051 *3 *4)) (-4 *3 (-1154 *4)))) ((*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *2 (-598 *3)) (-5 *1 (-1051 *4 *3)) (-4 *4 (-1154 *3))))) 
+(((*1 *1 *1 *1) (-4 *1 (-25))) ((*1 *1 *1 *1) (-5 *1 (-145))) ((*1 *1 *1 *1) (-12 (-5 *1 (-192 *2)) (-4 *2 (-13 (-800) (-10 -8 (-15 -2687 ((-1078) $ (-1096))) (-15 -2563 ((-1183) $)) (-15 -1412 ((-1183) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-267 *2)) (-4 *2 (-25)) (-4 *2 (-1130)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-267 *2)) (-4 *2 (-25)) (-4 *2 (-1130)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-296 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-126)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-13 (-339) (-137))) (-5 *1 (-375 *3 *2)) (-4 *2 (-1154 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-447 *2 *3)) (-4 *2 (-159)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-339)) (-4 *3 (-746)) (-4 *4 (-800)) (-5 *1 (-484 *2 *3 *4 *5)) (-4 *5 (-892 *2 *3 *4)))) ((*1 *1 *1 *1) (-5 *1 (-508))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1025)) (-4 *4 (-983)) (-5 *1 (-634 *3 *4)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1 *1) (-12 (-5 *1 (-835 *2)) (-4 *2 (-1025)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-886 (-202))) (-5 *1 (-1127)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1176 *2)) (-4 *2 (-1130)) (-4 *2 (-25)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-339))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1096)) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-4 *1 (-340 *2 *3)) (-4 *3 (-1025)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-365)) (-5 *2 (-1078)))) ((*1 *2 *1) (-12 (-5 *2 (-1096)) (-5 *1 (-414 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1096)) (-5 *1 (-571 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-1096)) (-5 *1 (-1004 *3)) (-14 *3 *2))) ((*1 *1 *1) (-5 *1 (-1096)))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-110) *4 *4)) (-4 *4 (-1130)) (-5 *1 (-351 *4 *2)) (-4 *2 (-13 (-349 *4) (-10 -7 (-6 -4290))))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-280)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1047 *4 *5 *6 *3)) (-4 *3 (-637 *4 *5 *6))))) 
+(((*1 *2 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *2)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *2 (-997 *3 *4 *5))))) 
+(((*1 *1) (-12 (-4 *1 (-303 *2)) (-4 *2 (-344)) (-4 *2 (-339))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-723)) (-4 *4 (-524)) (-5 *1 (-908 *4 *2)) (-4 *2 (-1154 *4))))) 
+(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-532) "failed") *5)) (-4 *5 (-983)) (-5 *2 (-532)) (-5 *1 (-515 *5 *3)) (-4 *3 (-1154 *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-532) "failed") *4)) (-4 *4 (-983)) (-5 *2 (-532)) (-5 *1 (-515 *4 *3)) (-4 *3 (-1154 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-532) "failed") *4)) (-4 *4 (-983)) (-5 *2 (-532)) (-5 *1 (-515 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1020 (-793 (-355)))) (-5 *2 (-1020 (-793 (-202)))) (-5 *1 (-278))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-110)) (-4 *5 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-3 (|:| |%expansion| (-285 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1078)) (|:| |prob| (-1078)))))) (-5 *1 (-396 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1116) (-406 *5))) (-14 *6 (-1096)) (-14 *7 *3)))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-339)) (-4 *3 (-983)) (-5 *1 (-1080 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-983)) (-5 *2 (-110)) (-5 *1 (-419 *4 *3)) (-4 *3 (-1154 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-800)) (-5 *2 (-110)))) ((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |scalar| (-383 (-532))) (|:| |coeff| (-1092 *3)) (|:| |logand| (-1092 *3))))) (-5 *1 (-549 *3)) (-4 *3 (-339))))) 
+(((*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-524)) (-5 *1 (-908 *3 *2)) (-4 *2 (-1154 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3484 *3))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-800)) (-5 *2 (-110)))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-847 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-1096)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-438))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-777)) (-5 *3 (-598 (-1096))) (-5 *1 (-778))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-202) (-202) (-202))) (-5 *4 (-3 (-1 (-202) (-202) (-202) (-202)) "undefined")) (-5 *5 (-1020 (-202))) (-5 *6 (-598 (-238))) (-5 *2 (-1056 (-202))) (-5 *1 (-646)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-886 (-202)) (-202) (-202))) (-5 *4 (-1020 (-202))) (-5 *5 (-598 (-238))) (-5 *2 (-1056 (-202))) (-5 *1 (-646)))) ((*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1056 (-202))) (-5 *3 (-1 (-886 (-202)) (-202) (-202))) (-5 *4 (-1020 (-202))) (-5 *5 (-598 (-238))) (-5 *1 (-646))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-800)) (-5 *2 (-110)))) ((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1020 (-202))) (-5 *1 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-1020 (-202))) (-5 *1 (-870))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *1 *1 *1) (-5 *1 (-149))) ((*1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-149))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 (-1178 *4))) (-4 *4 (-983)) (-5 *2 (-639 *4)) (-5 *1 (-966 *4))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-800)) (-5 *2 (-110)))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *2 *1 *1) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1025)) (-5 *2 (-110)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-847 *3)) (-4 *3 (-1025)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1023 *3)) (-4 *3 (-1025)) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-723)) (-5 *1 (-42 *4 *3)) (-4 *3 (-393 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1020 (-793 (-202)))) (-5 *1 (-278))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-983)) (-4 *4 (-1025)) (-5 *2 (-598 *1)) (-4 *1 (-358 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-685 *3 *4))) (-5 *1 (-685 *3 *4)) (-4 *3 (-983)) (-4 *4 (-676)))) ((*1 *2 *1) (-12 (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-892 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-750 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-746)) (-4 *5 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $))))) (-4 *6 (-524)) (-5 *2 (-2 (|:| -1310 (-895 *6)) (|:| -1231 (-895 *6)))) (-5 *1 (-682 *4 *5 *6 *3)) (-4 *3 (-892 (-383 (-895 *6)) *4 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-288 (-202))) (-5 *1 (-278)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-835 *3)) (|:| |den| (-835 *3)))) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-532)) (|has| *1 (-6 -4290)) (-4 *1 (-349 *3)) (-4 *3 (-1130))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1 (-886 (-202)) (-202) (-202))) (-5 *3 (-1 (-202) (-202) (-202) (-202))) (-5 *1 (-230))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1078)) (-5 *1 (-90 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-1078)) (-5 *1 (-199 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-1078)) (-5 *1 (-466 *3)) (-4 *3 (-1025)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-1078)) (-5 *1 (-937 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-1025)) (-5 *2 (-1078)))) ((*1 *2 *1) (-12 (-5 *2 (-1078)) (-5 *1 (-1067 *3)) (-4 *3 (-1025)) (-4 *3 (-1025))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-90 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-99)) (-5 *2 (-110)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-199 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-267 *2)) (-4 *2 (-1130)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-410)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-466 *3)) (-4 *3 (-1025)) (-4 *3 (-800)))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-937 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-963 *3)) (-4 *3 (-1130)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1067 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1184 *3)) (-4 *3 (-339))))) 
+(((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-146 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-147 *2)) (-4 *2 (-517))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-963 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-202)) (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-464 *4 *5))) (-14 *4 (-598 (-1096))) (-4 *5 (-427)) (-5 *2 (-2 (|:| |gblist| (-598 (-224 *4 *5))) (|:| |gvlist| (-598 (-532))))) (-5 *1 (-586 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-864)) (-4 *5 (-280)) (-4 *3 (-1154 *5)) (-5 *2 (-2 (|:| |plist| (-598 *3)) (|:| |modulo| *5))) (-5 *1 (-435 *5 *3)) (-5 *4 (-598 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-723)) (-5 *1 (-42 *4 *3)) (-4 *3 (-393 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-110) *8)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-524)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-2 (|:| |goodPols| (-598 *8)) (|:| |badPols| (-598 *8)))) (-5 *1 (-915 *5 *6 *7 *8)) (-5 *4 (-598 *8))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-1035)) (-5 *3 (-532))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-420 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-639 *4)) (-4 *4 (-339)) (-5 *2 (-1092 *4)) (-5 *1 (-505 *4 *5 *6)) (-4 *5 (-339)) (-4 *6 (-13 (-339) (-798)))))) 
+(((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-110)) (|:| -1605 (-723)) (|:| |period| (-723)))) (-5 *1 (-1076 *4)) (-4 *4 (-1130)) (-5 *3 (-723))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1154 *5)) (-4 *5 (-339)) (-5 *2 (-2 (|:| -2107 (-394 *3)) (|:| |special| (-394 *3)))) (-5 *1 (-677 *5 *3))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2) (-12 (-5 *2 (-2 (|:| -3280 (-598 *3)) (|:| -2003 (-598 *3)))) (-5 *1 (-1131 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-983)) (-5 *1 (-1150 *3 *2)) (-4 *2 (-1154 *3))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-735 *3)) (|:| |polden| *3) (|:| -2605 (-723)))) (-5 *1 (-735 *3)) (-4 *3 (-983)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -2605 (-723)))) (-4 *1 (-997 *3 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 (-156 (-532))))) (-5 *2 (-598 (-156 *4))) (-5 *1 (-354 *4)) (-4 *4 (-13 (-339) (-798))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-598 (-383 (-895 (-156 (-532)))))) (-5 *4 (-598 (-1096))) (-5 *2 (-598 (-598 (-156 *5)))) (-5 *1 (-354 *5)) (-4 *5 (-13 (-339) (-798)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-403 *3 *2)) (-4 *3 (-13 (-159) (-37 (-383 (-532))))) (-4 *2 (-13 (-800) (-21)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-723))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1028 *3 *4 *5 *6 *7)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)) (-5 *2 (-110))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-267 *2)) (-4 *2 (-275)) (-4 *2 (-1130)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-571 *1))) (-5 *3 (-598 *1)) (-4 *1 (-275)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-267 *1))) (-4 *1 (-275)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-267 *1)) (-4 *1 (-275))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *3 (-1154 *4)) (-5 *1 (-762 *4 *3 *2 *5)) (-4 *2 (-608 *3)) (-4 *5 (-608 (-383 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-383 *5)) (-4 *4 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *5 (-1154 *4)) (-5 *1 (-762 *4 *5 *2 *6)) (-4 *2 (-608 *5)) (-4 *6 (-608 *3))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-997 *3 *4 *2)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-202)) (|:| |xend| (-202)) (|:| |fn| (-1178 (-288 (-202)))) (|:| |yinit| (-598 (-202))) (|:| |intvals| (-598 (-202))) (|:| |g| (-288 (-202))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-355)) (-5 *1 (-184))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-202)) (-5 *2 (-1078)) (-5 *1 (-171)))) ((*1 *2 *3) (-12 (-5 *3 (-202)) (-5 *2 (-1078)) (-5 *1 (-273)))) ((*1 *2 *3) (-12 (-5 *3 (-202)) (-5 *2 (-1078)) (-5 *1 (-278))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-524) (-800))) (-5 *2 (-156 *5)) (-5 *1 (-561 *4 *5 *3)) (-4 *5 (-13 (-406 *4) (-939) (-1116))) (-4 *3 (-13 (-406 (-156 *4)) (-939) (-1116)))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-848 *4)) (-4 *4 (-1025)) (-5 *2 (-598 (-723))) (-5 *1 (-847 *4))))) 
+(((*1 *1) (-5 *1 (-110)))) 
+(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-339) (-137) (-974 (-532)))) (-4 *5 (-1154 *4)) (-5 *2 (-2 (|:| -3117 (-383 *5)) (|:| |coeff| (-383 *5)))) (-5 *1 (-536 *4 *5)) (-5 *3 (-383 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-110))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-229 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-532)) (-5 *6 (-1 (-1183) (-1178 *5) (-1178 *5) (-355))) (-5 *3 (-1178 (-355))) (-5 *5 (-355)) (-5 *2 (-1183)) (-5 *1 (-741))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-47))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-47))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-339)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723))))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-339)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-800) (-524))) (-14 *9 (-1 *5 *8)) (-5 *2 (-598 (-2 (|:| -3385 *7) (|:| -2956 (-723))))) (-5 *1 (-458 *5 *6 *7 *8 *9 *10)) (-4 *6 (-427)) (-4 *7 (-13 (-406 (-532)) (-524) (-974 *8) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-694 *4 (-532))))) (-14 *4 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-694 *5 (-532))))) (-5 *4 (-598 (-438))) (-14 *5 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *5 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *5))))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-427)) (-4 *3 (-746)) (-4 *5 (-800)) (-5 *2 (-110)) (-5 *1 (-424 *4 *3 *5 *6)) (-4 *6 (-892 *4 *3 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-639 *5))) (-4 *5 (-280)) (-4 *5 (-983)) (-5 *2 (-1178 (-1178 *5))) (-5 *1 (-966 *5)) (-5 *4 (-1178 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-383 *5)) (-4 *5 (-1154 *4)) (-4 *4 (-524)) (-4 *4 (-983)) (-4 *2 (-1169 *4)) (-5 *1 (-1172 *4 *5 *6 *2)) (-4 *6 (-608 *5))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-639 *3)) (-4 *3 (-13 (-280) (-10 -8 (-15 -4044 ((-394 $) $))))) (-4 *4 (-1154 *3)) (-5 *1 (-479 *3 *4 *5)) (-4 *5 (-385 *3 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-864)) (-4 *5 (-800)) (-5 *2 (-598 (-623 *5))) (-5 *1 (-623 *5))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-529)) (-5 *3 (-532))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-394 *2)) (-4 *2 (-280)) (-5 *1 (-857 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 *5))) (-5 *4 (-1096)) (-4 *5 (-13 (-280) (-137))) (-5 *2 (-51)) (-5 *1 (-858 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-394 (-895 *6))) (-5 *5 (-1096)) (-5 *3 (-895 *6)) (-4 *6 (-13 (-280) (-137))) (-5 *2 (-51)) (-5 *1 (-858 *6))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-33)) (-5 *3 (-723)) (-5 *2 (-110)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-90 *4)) (-4 *4 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-199 *4)) (-4 *4 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-466 *4)) (-4 *4 (-800)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-937 *4)) (-4 *4 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-1067 *4)) (-4 *4 (-1025)))) ((*1 *2 *3 *3) (|partial| -12 (-5 *2 (-110)) (-5 *1 (-1131 *3)) (-4 *3 (-1025)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-110) *3 *3)) (-4 *3 (-1025)) (-5 *2 (-110)) (-5 *1 (-1131 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3183 *4))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-444)))) ((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-444)))) ((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-870))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-598 *7)) (|:| |badPols| (-598 *7)))) (-5 *1 (-915 *4 *5 *6 *7)) (-5 *3 (-598 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-343 *4)) (-4 *4 (-159)) (-5 *2 (-639 *4)))) ((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-639 *4)) (-5 *1 (-392 *3 *4)) (-4 *3 (-393 *4)))) ((*1 *2) (-12 (-4 *1 (-393 *3)) (-4 *3 (-159)) (-5 *2 (-639 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-5 *1 (-413))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-532)) (-5 *2 (-1183)) (-5 *1 (-1180)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-355)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-339)) (-5 *2 (-2 (|:| -3886 *3) (|:| -2860 *3))) (-5 *1 (-718 *3 *4)) (-4 *3 (-658 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-339)) (-4 *3 (-983)) (-5 *2 (-2 (|:| -3886 *1) (|:| -2860 *1))) (-4 *1 (-802 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-95 *5)) (-4 *5 (-339)) (-4 *5 (-983)) (-5 *2 (-2 (|:| -3886 *3) (|:| -2860 *3))) (-5 *1 (-803 *5 *3)) (-4 *3 (-802 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-284)) (-5 *1 (-269)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-1078))) (-5 *2 (-284)) (-5 *1 (-269)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-284)) (-5 *1 (-269)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-1078))) (-5 *3 (-1078)) (-5 *2 (-284)) (-5 *1 (-269))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-228 *2 *3 *4 *5)) (-4 *2 (-983)) (-4 *3 (-800)) (-4 *4 (-241 *3)) (-4 *5 (-746))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1025)) (-4 *4 (-13 (-983) (-829 *3) (-800) (-573 (-835 *3)))) (-5 *2 (-598 (-1005 *3 *4 *5))) (-5 *1 (-1006 *3 *4 *5)) (-4 *5 (-13 (-406 *4) (-829 *3) (-573 (-835 *3))))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-532)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-723)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-746)) (-4 *4 (-892 *5 *6 *7)) (-4 *5 (-427)) (-4 *7 (-800)) (-5 *1 (-424 *5 *6 *7 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-886 *2)) (-5 *1 (-920 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-47))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-47))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-4 (-47) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-47)) (-598 (-438)))) (-5 *1 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-456 *4)) (-4 *4 (-974 *3)) (-4 *4 (-13 (-325) (-573 (-532)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-4 (-383 (-532)) (-974 *3)) (-4 (-532) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-532))) (-598 (-438)))) (-5 *1 (-457)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-339)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-800) (-524))) (-14 *9 (-1 *5 *8)) (-5 *2 (-598 (-2 (|:| -3385 *7) (|:| -2956 (-723))))) (-5 *1 (-458 *5 *6 *7 *8 *9 *10)) (-4 *6 (-427)) (-4 *7 (-13 (-406 (-532)) (-524) (-974 *8) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-339)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723))))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *4 (-974 *3)) (-4 *5 (-974 *3)) (-4 *4 (-339)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 *3) (-974 (-532)) (-148) (-843 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-4 (-383 (-895 (-532))) (-974 *3)) (-4 (-895 (-532)) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-895 (-532)))) (-598 (-438)))) (-5 *1 (-459)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-694 *5 (-532))))) (-5 *4 (-598 (-438))) (-14 *5 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *5 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-694 *4 (-532))))) (-14 *4 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-694 *4 (-532)))) (-598 (-438)))) (-5 *1 (-460 *4)) (-14 *4 *3)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-909))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-51))) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-870))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-339)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4)) (-5 *2 (-723)) (-5 *1 (-499 *4 *5 *6 *3)) (-4 *3 (-637 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-4 *3 (-524)) (-5 *2 (-723)))) ((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *4 (-159)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4)) (-5 *2 (-723)) (-5 *1 (-638 *4 *5 *6 *3)) (-4 *3 (-637 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-4 *5 (-524)) (-5 *2 (-723))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-864)) (-5 *1 (-967 *2)) (-4 *2 (-13 (-1025) (-10 -8 (-15 -3847 ($ $ $)))))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-808))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-639 (-383 (-895 (-532))))) (-5 *2 (-598 (-639 (-288 (-532))))) (-5 *1 (-968)) (-5 *3 (-288 (-532)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800))))) 
+(((*1 *2) (-12 (-5 *2 (-1178 (-598 (-2 (|:| -1330 (-853 *3)) (|:| -3120 (-1043)))))) (-5 *1 (-327 *3 *4)) (-14 *3 (-864)) (-14 *4 (-864)))) ((*1 *2) (-12 (-5 *2 (-1178 (-598 (-2 (|:| -1330 *3) (|:| -3120 (-1043)))))) (-5 *1 (-328 *3 *4)) (-4 *3 (-325)) (-14 *4 (-3 (-1092 *3) *2)))) ((*1 *2) (-12 (-5 *2 (-1178 (-598 (-2 (|:| -1330 *3) (|:| -3120 (-1043)))))) (-5 *1 (-329 *3 *4)) (-4 *3 (-325)) (-14 *4 (-864))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-2 (|:| -1330 *4) (|:| -2570 (-532))))) (-4 *4 (-1025)) (-5 *2 (-1 *4)) (-5 *1 (-954 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 (-110) *6)) (-4 *6 (-13 (-1025) (-974 *5))) (-4 *5 (-829 *4)) (-4 *4 (-1025)) (-5 *2 (-1 (-110) *5)) (-5 *1 (-874 *4 *5 *6))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-110) *2)) (-4 *1 (-141 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-2 (|:| -4186 (-1092 *6)) (|:| -3540 (-532))))) (-4 *6 (-280)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-532)) (-5 *1 (-692 *4 *5 *6 *7)) (-4 *7 (-892 *6 *4 *5))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-844 *2)) (-4 *2 (-1025)))) ((*1 *1 *2) (-12 (-5 *1 (-844 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1076 (-1076 *4))) (-5 *2 (-1076 *4)) (-5 *1 (-1080 *4)) (-4 *4 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-1092 (-895 *4)) (-895 *4))) (-5 *1 (-1187 *4)) (-4 *4 (-339))))) 
+(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-110)) (-5 *1 (-926 *4 *5 *6 *7 *3)) (-4 *3 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-110)) (-5 *1 (-1032 *4 *5 *6 *7 *3)) (-4 *3 (-1002 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-886 *3) (-886 *3))) (-5 *1 (-161 *3)) (-4 *3 (-13 (-339) (-1116) (-939)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-1117 *3))) (-5 *1 (-1117 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-565 *2 *3)) (-4 *3 (-1130)) (-4 *2 (-1025)) (-4 *2 (-800))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-47))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-47))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-339)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-800) (-524))) (-14 *9 (-1 *5 *8)) (-5 *2 (-598 (-2 (|:| -3385 *7) (|:| -2956 (-723))))) (-5 *1 (-458 *5 *6 *7 *8 *9 *10)) (-4 *6 (-427)) (-4 *7 (-13 (-406 (-532)) (-524) (-974 *8) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-339)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723))))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-694 *5 (-532))))) (-5 *4 (-598 (-438))) (-14 *5 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *5 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-694 *4 (-532))))) (-14 *4 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *4))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2283 *3) (|:| |gap| (-723)) (|:| -3886 (-735 *3)) (|:| -2860 (-735 *3)))) (-5 *1 (-735 *3)) (-4 *3 (-983)))) ((*1 *2 *1 *1 *3) (-12 (-4 *4 (-983)) (-4 *5 (-746)) (-4 *3 (-800)) (-5 *2 (-2 (|:| -2283 *1) (|:| |gap| (-723)) (|:| -3886 *1) (|:| -2860 *1))) (-4 *1 (-997 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-2 (|:| -2283 *1) (|:| |gap| (-723)) (|:| -3886 *1) (|:| -2860 *1))) (-4 *1 (-997 *3 *4 *5))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-723)) (-4 *4 (-325)) (-5 *1 (-194 *4 *2)) (-4 *2 (-1154 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-202)) (-5 *1 (-203)))) ((*1 *2 *2) (-12 (-5 *2 (-156 (-202))) (-5 *1 (-203)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *1 *1) (-4 *1 (-1059)))) 
+(((*1 *1 *1) (-5 *1 (-995)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *5)) (-4 *5 (-406 *4)) (-4 *4 (-13 (-800) (-524))) (-5 *2 (-808)) (-5 *1 (-31 *4 *5))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-355)) (-5 *3 (-598 (-238))) (-5 *1 (-236)))) ((*1 *1 *2) (-12 (-5 *2 (-355)) (-5 *1 (-238))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-202)) (-5 *2 (-110)) (-5 *1 (-272 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1020 (-793 (-202)))) (-5 *3 (-202)) (-5 *2 (-110)) (-5 *1 (-278)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110)) (-5 *1 (-484 *3 *4 *5 *6)) (-4 *6 (-892 *3 *4 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-267 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-4 *3 (-1025)) (-4 *2 (-13 (-406 *4) (-829 *3) (-573 (-835 *3)))) (-5 *1 (-1005 *3 *4 *2)) (-4 *4 (-13 (-983) (-829 *3) (-800) (-573 (-835 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1025)) (-5 *1 (-1085 *2 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-711))))) 
+(((*1 *1 *1 *1) (-5 *1 (-110))) ((*1 *1 *1 *1) (-4 *1 (-121))) ((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-56 *3 *4 *5)) (-4 *3 (-1130)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4290)) (-4 *3 (-1025)) (-5 *1 (-90 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4290)) (-4 *3 (-1025)) (-5 *1 (-199 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4290)) (-4 *3 (-800)) (-5 *1 (-466 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4290)) (-4 *1 (-471 *3)) (-4 *3 (-1130)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4290)) (-4 *3 (-1025)) (-5 *1 (-937 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4290)) (-4 *3 (-1025)) (-5 *1 (-1067 *3))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-1061 *2 *3)) (-4 *2 (-13 (-1025) (-33))) (-4 *3 (-13 (-1025) (-33)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-886 *3)) (-4 *3 (-13 (-339) (-1116) (-939))) (-5 *1 (-161 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *5 (-1134)) (-4 *6 (-1154 *5)) (-4 *7 (-1154 (-383 *6))) (-5 *2 (-598 (-895 *5))) (-5 *1 (-315 *4 *5 *6 *7)) (-4 *4 (-316 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *1 (-316 *4 *5 *6)) (-4 *4 (-1134)) (-4 *5 (-1154 *4)) (-4 *6 (-1154 (-383 *5))) (-4 *4 (-339)) (-5 *2 (-598 (-895 *4)))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-1178 (-532))) (-5 *3 (-532)) (-5 *1 (-1035)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-1178 (-532))) (-5 *3 (-598 (-532))) (-5 *4 (-532)) (-5 *1 (-1035))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-598 (-288 (-202)))) (|:| |constraints| (-598 (-2 (|:| |start| (-202)) (|:| |finish| (-202)) (|:| |grid| (-723)) (|:| |boundaryType| (-532)) (|:| |dStart| (-639 (-202))) (|:| |dFinish| (-639 (-202)))))) (|:| |f| (-598 (-598 (-288 (-202))))) (|:| |st| (-1078)) (|:| |tol| (-202)))) (-5 *2 (-110)) (-5 *1 (-189))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-864)) (-5 *4 (-818)) (-5 *2 (-1183)) (-5 *1 (-1179)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-864)) (-5 *4 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1179)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-300 *2 *3)) (-4 *2 (-983)) (-4 *3 (-745)) (-4 *2 (-427)))) ((*1 *1 *1) (-12 (-4 *1 (-316 *2 *3 *4)) (-4 *2 (-1134)) (-4 *3 (-1154 *2)) (-4 *4 (-1154 (-383 *3))))) ((*1 *1 *1) (-12 (-4 *1 (-802 *2)) (-4 *2 (-983)) (-4 *2 (-427)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-892 *3 *4 *2)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800)) (-4 *3 (-427)))) ((*1 *1 *1) (-12 (-4 *1 (-892 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-427)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-280)) (-4 *3 (-524)) (-5 *1 (-1083 *3 *2)) (-4 *2 (-1154 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-532)) (|has| *1 (-6 -4280)) (-4 *1 (-380)) (-5 *2 (-864))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-847 (-532))) (-5 *1 (-860)))) ((*1 *2) (-12 (-5 *2 (-847 (-532))) (-5 *1 (-860))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-852)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-892 *4 *5 *6)) (-5 *2 (-394 (-1092 *7))) (-5 *1 (-849 *4 *5 *6 *7)) (-5 *3 (-1092 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-852)) (-4 *5 (-1154 *4)) (-5 *2 (-394 (-1092 *5))) (-5 *1 (-850 *4 *5)) (-5 *3 (-1092 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-444)))) ((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-444))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-280)) (-4 *6 (-349 *5)) (-4 *4 (-349 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1322 (-598 *4)))) (-5 *1 (-1047 *5 *6 *4 *3)) (-4 *3 (-637 *5 *6 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-413))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1069 *3)) (-4 *3 (-1130)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-598 *7)) (-4 *7 (-800)) (-4 *8 (-892 *5 *6 *7)) (-4 *5 (-524)) (-4 *6 (-746)) (-5 *2 (-2 (|:| |particular| (-3 (-1178 (-383 *8)) "failed")) (|:| -1322 (-598 (-1178 (-383 *8)))))) (-5 *1 (-621 *5 *6 *7 *8))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-632 *4 *3)) (-4 *4 (-1025)) (-4 *3 (-1025))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-445)) (-5 *4 (-864)) (-5 *2 (-1183)) (-5 *1 (-1179))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-1108 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025))))) 
+(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-864)) (-5 *4 (-202)) (-5 *5 (-532)) (-5 *6 (-818)) (-5 *2 (-1183)) (-5 *1 (-1179))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *2 (-2 (|:| |solns| (-598 *5)) (|:| |maps| (-598 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1051 *3 *5)) (-4 *3 (-1154 *5))))) 
+(((*1 *1 *1 *1) (-4 *1 (-517)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-835 *4)) (-4 *4 (-1025)) (-5 *1 (-832 *4 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-284)) (-5 *1 (-782))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-532)) (-5 *1 (-424 *4 *5 *6 *3)) (-4 *3 (-892 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-110)) (-5 *1 (-782))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-549 *3) *3 (-1096))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1096))) (-4 *3 (-258)) (-4 *3 (-584)) (-4 *3 (-974 *4)) (-4 *3 (-406 *7)) (-5 *4 (-1096)) (-4 *7 (-573 (-835 (-532)))) (-4 *7 (-427)) (-4 *7 (-829 (-532))) (-4 *7 (-800)) (-5 *2 (-549 *3)) (-5 *1 (-541 *7 *3))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-723)) (-5 *1 (-806 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-427)) (-4 *3 (-746)) (-4 *5 (-800)) (-5 *2 (-110)) (-5 *1 (-424 *4 *3 *5 *6)) (-4 *6 (-892 *4 *3 *5))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-723)) (-4 *2 (-1025)) (-5 *1 (-628 *2))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-339)) (-4 *3 (-983)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2867 *1))) (-4 *1 (-802 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1076 (-532))) (-5 *1 (-1080 *4)) (-4 *4 (-983)) (-5 *3 (-532))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-549 *2)) (-4 *2 (-13 (-29 *4) (-1116))) (-5 *1 (-547 *4 *2)) (-4 *4 (-13 (-427) (-974 (-532)) (-800) (-594 (-532)))))) ((*1 *2 *3) (-12 (-5 *3 (-549 (-383 (-895 *4)))) (-4 *4 (-13 (-427) (-974 (-532)) (-800) (-594 (-532)))) (-5 *2 (-288 *4)) (-5 *1 (-552 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-51))) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *4) (-12 (-5 *2 (-598 (-156 *4))) (-5 *1 (-144 *3 *4)) (-4 *3 (-1154 (-156 (-532)))) (-4 *4 (-13 (-339) (-798))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-339) (-798))) (-5 *2 (-598 (-156 *4))) (-5 *1 (-165 *4 *3)) (-4 *3 (-1154 (-156 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-339) (-798))) (-5 *2 (-598 (-156 *4))) (-5 *1 (-165 *4 *3)) (-4 *3 (-1154 (-156 *4)))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-864)) (-5 *4 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1179))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1092 *1)) (-4 *1 (-427)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1092 *6)) (-4 *6 (-892 *5 *3 *4)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *5 (-852)) (-5 *1 (-432 *3 *4 *5 *6)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1092 *1)) (-4 *1 (-852))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-145)))) ((*1 *2 *1) (-12 (-5 *2 (-145)) (-5 *1 (-818)))) ((*1 *2 *3) (-12 (-5 *3 (-886 *2)) (-5 *1 (-920 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1002 *4 *5 *6 *3)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-4 *5 (-1154 *4)) (-5 *2 (-598 (-605 (-383 *5)))) (-5 *1 (-609 *4 *5)) (-5 *3 (-605 (-383 *5)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1076 (-598 (-532)))) (-5 *1 (-826)) (-5 *3 (-598 (-532))))) ((*1 *2 *3) (-12 (-5 *2 (-1076 (-598 (-532)))) (-5 *1 (-826)) (-5 *3 (-598 (-532)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-864)) (-5 *3 (-598 (-238))) (-5 *1 (-236)))) ((*1 *1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-238))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-106)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-508))) (-5 *1 (-508))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-775)) (-5 *1 (-774))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-137)) (-4 *3 (-280)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-915 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-288 (-355))) (-5 *2 (-288 (-202))) (-5 *1 (-278))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-598 *1)) (-5 *3 (-598 *7)) (-4 *1 (-1002 *4 *5 *6 *7)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-598 *1)) (-4 *1 (-1002 *4 *5 *6 *3)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-598 *1)) (-4 *1 (-1002 *4 *5 *6 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-47))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-47))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-4 (-47) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-47)) (-598 (-438)))) (-5 *1 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-456 *4)) (-4 *4 (-974 *3)) (-4 *4 (-13 (-325) (-573 (-532)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-4 (-383 (-532)) (-974 *3)) (-4 (-532) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-532))) (-598 (-438)))) (-5 *1 (-457)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-339)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-800) (-524))) (-14 *9 (-1 *5 *8)) (-5 *2 (-598 (-2 (|:| -3385 *7) (|:| -2956 (-723))))) (-5 *1 (-458 *5 *6 *7 *8 *9 *10)) (-4 *6 (-427)) (-4 *7 (-13 (-406 (-532)) (-524) (-974 *8) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-339)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723))))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *4 (-974 *3)) (-4 *5 (-974 *3)) (-4 *4 (-339)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 *3) (-974 (-532)) (-148) (-843 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-4 (-383 (-895 (-532))) (-974 *3)) (-4 (-895 (-532)) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-895 (-532)))) (-598 (-438)))) (-5 *1 (-459)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-694 *5 (-532))))) (-5 *4 (-598 (-438))) (-14 *5 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *5 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-694 *4 (-532))))) (-14 *4 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-694 *4 (-532)))) (-598 (-438)))) (-5 *1 (-460 *4)) (-14 *4 *3)))) 
+(((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-146 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-147 *2)) (-4 *2 (-517)))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-532))) (-5 *1 (-981)) (-5 *3 (-532))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-914 *4 *5 *3 *6)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *3 (-800)) (-4 *6 (-997 *4 *5 *3)) (-5 *2 (-110))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-774))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1194 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983)) (-5 *2 (-2 (|:| |k| (-772 *3)) (|:| |c| *4)))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-1192 *3 *4)) (-4 *3 (-800)) (-4 *4 (-159)) (-5 *1 (-616 *3 *4)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-616 *3 *4)) (-5 *1 (-1197 *3 *4)) (-4 *3 (-800)) (-4 *4 (-159))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-37 (-383 (-532)))) (-5 *2 (-2 (|:| -3223 (-1076 *4)) (|:| -3230 (-1076 *4)))) (-5 *1 (-1082 *4)) (-5 *3 (-1076 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-1178 (-639 *4))) (-5 *1 (-89 *4 *5)) (-5 *3 (-639 *4)) (-4 *5 (-608 *4))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1084 *2 *3)) (-14 *2 (-864)) (-4 *3 (-983))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1027 *3)) (-5 *1 (-848 *3)) (-4 *3 (-344)) (-4 *3 (-1025))))) 
+(((*1 *2) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-110))))) 
+(((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-532)) (-4 *1 (-56 *2 *4 *5)) (-4 *2 (-1130)) (-4 *4 (-349 *2)) (-4 *5 (-349 *2)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4290)) (-4 *1 (-117 *3)) (-4 *3 (-1130)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4290)) (-4 *1 (-117 *3)) (-4 *3 (-1130)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-262 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-1130)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-51)) (-5 *3 (-1096)) (-5 *1 (-587)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-1145 (-532))) (|has| *1 (-6 -4290)) (-4 *1 (-603 *2)) (-4 *2 (-1130)))) ((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-598 (-532))) (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4290)) (-4 *1 (-947 *2)) (-4 *2 (-1130)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-963 *2)) (-4 *2 (-1130)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-1107 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-1025)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4290)) (-4 *1 (-1166 *2)) (-4 *2 (-1130)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4290)) (-4 *1 (-1166 *3)) (-4 *3 (-1130)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4290)) (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-383 (-895 *3))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-427)) (-5 *2 (-598 (-2 (|:| |eigval| (-3 (-383 (-895 *4)) (-1085 (-1096) (-895 *4)))) (|:| |eigmult| (-723)) (|:| |eigvec| (-598 (-639 (-383 (-895 *4)))))))) (-5 *1 (-265 *4)) (-5 *3 (-639 (-383 (-895 *4))))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-339)) (-4 *3 (-983)) (-5 *2 (-2 (|:| -3886 *1) (|:| -2860 *1))) (-4 *1 (-802 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-95 *5)) (-4 *5 (-339)) (-4 *5 (-983)) (-5 *2 (-2 (|:| -3886 *3) (|:| -2860 *3))) (-5 *1 (-803 *5 *3)) (-4 *3 (-802 *5))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-571 *4)) (-5 *1 (-570 *3 *4)) (-4 *3 (-800)) (-4 *4 (-800))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-427)) (-4 *3 (-800)) (-4 *4 (-746)) (-5 *1 (-925 *2 *3 *4 *5)) (-4 *5 (-892 *2 *4 *3))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-147 *2)) (-4 *2 (-517)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-909))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-106)))) ((*1 *2 *1) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-195)))) ((*1 *2 *1) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-469)))) ((*1 *1 *1) (-12 (-4 *1 (-930 *2)) (-4 *2 (-524)) (-4 *2 (-280)))) ((*1 *2 *1) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-941 *3)) (-14 *3 (-532)))) ((*1 *1 *1) (-4 *1 (-992)))) 
+(((*1 *1) (-5 *1 (-145)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-137)) (-4 *3 (-280)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-915 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-202))) (-5 *2 (-598 (-1078))) (-5 *1 (-171)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-202))) (-5 *2 (-598 (-1078))) (-5 *1 (-273)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-202))) (-5 *2 (-598 (-1078))) (-5 *1 (-278))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-983)) (-4 *3 (-800)) (-5 *2 (-2 (|:| |val| *1) (|:| -3540 (-532)))) (-4 *1 (-406 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-835 *3)) (|:| -3540 (-835 *3)))) (-5 *1 (-835 *3)) (-4 *3 (-1025)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-983)) (-4 *7 (-892 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -3540 (-532)))) (-5 *1 (-893 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-339) (-10 -8 (-15 -1256 ($ *7)) (-15 -2251 (*7 $)) (-15 -2258 (*7 $)))))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-403 *3 *2)) (-4 *3 (-13 (-159) (-37 (-383 (-532))))) (-4 *2 (-13 (-800) (-21)))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2) (-12 (-4 *3 (-524)) (-5 *2 (-598 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-393 *3))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-598 (-2 (|:| |func| *2) (|:| |pole| (-110))))) (-4 *2 (-13 (-406 *4) (-939))) (-4 *4 (-13 (-800) (-524))) (-5 *1 (-251 *4 *2))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3117 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-339)) (-5 *1 (-542 *4 *2)) (-4 *2 (-1154 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-238))) (-5 *1 (-1179)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-238))) (-5 *1 (-1179)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-238))) (-5 *1 (-1180)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-238))) (-5 *1 (-1180))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1098 (-383 (-532)))) (-5 *1 (-169)) (-5 *3 (-532))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1043)) (-5 *1 (-774))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *1)) (-4 *1 (-275)))) ((*1 *1 *1) (-4 *1 (-275))) ((*1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1092 *5)) (-4 *5 (-339)) (-5 *2 (-598 *6)) (-5 *1 (-505 *5 *6 *4)) (-4 *6 (-339)) (-4 *4 (-13 (-339) (-798)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1136 *2)) (-4 *2 (-983)))) ((*1 *1 *1) (-12 (-5 *1 (-1170 *2 *3 *4)) (-4 *2 (-983)) (-14 *3 (-1096)) (-14 *4 *2)))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1096)) (-5 *2 (-1100)) (-5 *1 (-1099))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-782)) (-5 *3 (-1078))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-47))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-47))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-4 (-47) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-47)) (-598 (-438)))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-456 *4)) (-4 *4 (-974 *3)) (-4 *4 (-13 (-325) (-573 (-532)))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-4 (-383 (-532)) (-974 *3)) (-4 (-532) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-532))) (-598 (-438)))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-339)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723))))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-339)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-800) (-524))) (-14 *9 (-1 *5 *8)) (-5 *2 (-598 (-2 (|:| -3385 *7) (|:| -2956 (-723))))) (-5 *1 (-458 *5 *6 *7 *8 *9 *10)) (-4 *6 (-427)) (-4 *7 (-13 (-406 (-532)) (-524) (-974 *8) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *4 (-974 *3)) (-4 *5 (-974 *3)) (-4 *4 (-339)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 *3) (-974 (-532)) (-148) (-843 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-4 (-383 (-895 (-532))) (-974 *3)) (-4 (-895 (-532)) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-895 (-532)))) (-598 (-438)))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-694 *4 (-532))))) (-14 *4 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-694 *5 (-532))))) (-5 *4 (-598 (-438))) (-14 *5 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *5 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-694 *4 (-532)))) (-598 (-438)))) (-5 *1 (-460 *4)) (-14 *4 *3)))) 
+(((*1 *2) (-12 (-5 *2 (-1067 (-1078))) (-5 *1 (-367))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3)) (|has| *1 (-6 -4289)) (-4 *1 (-141 *3)) (-4 *3 (-1130)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3)) (-4 *3 (-1130)) (-5 *1 (-562 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3)) (-4 *1 (-625 *3)) (-4 *3 (-1130)))) ((*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1124 *4 *5 *3 *2)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *3 (-800)) (-4 *2 (-997 *4 *5 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *1 (-1128 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-598 *7)) (|:| -1213 *8))) (-4 *7 (-997 *4 *5 *6)) (-4 *8 (-1002 *4 *5 *6 *7)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-926 *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-598 *7)) (|:| -1213 *8))) (-4 *7 (-997 *4 *5 *6)) (-4 *8 (-1002 *4 *5 *6 *7)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-1032 *4 *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| |rows| (-598 (-532))) (|:| |cols| (-598 (-532))))) (-5 *4 (-639 *12)) (-5 *5 (-598 (-383 (-895 *9)))) (-5 *6 (-598 (-598 *12))) (-5 *7 (-723)) (-5 *8 (-532)) (-4 *9 (-13 (-280) (-137))) (-4 *12 (-892 *9 *11 *10)) (-4 *10 (-13 (-800) (-573 (-1096)))) (-4 *11 (-746)) (-5 *2 (-2 (|:| |eqzro| (-598 *12)) (|:| |neqzro| (-598 *12)) (|:| |wcond| (-598 (-895 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1178 (-383 (-895 *9)))) (|:| -1322 (-598 (-1178 (-383 (-895 *9))))))))) (-5 *1 (-867 *9 *10 *11 *12))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1092 *5)) (-4 *5 (-427)) (-5 *2 (-598 *6)) (-5 *1 (-510 *5 *6 *4)) (-4 *6 (-339)) (-4 *4 (-13 (-339) (-798))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-895 *5)) (-4 *5 (-427)) (-5 *2 (-598 *6)) (-5 *1 (-510 *5 *6 *4)) (-4 *6 (-339)) (-4 *4 (-13 (-339) (-798)))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-723)) (-4 *4 (-280)) (-4 *6 (-1154 *4)) (-5 *2 (-1178 (-598 *6))) (-5 *1 (-430 *4 *6)) (-5 *5 (-598 *6))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-723)) (-4 *6 (-1025)) (-4 *7 (-843 *6)) (-5 *2 (-639 *7)) (-5 *1 (-641 *6 *7 *3 *4)) (-4 *3 (-349 *7)) (-4 *4 (-13 (-349 *6) (-10 -7 (-6 -4289))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1029)) (-5 *1 (-51))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1178 *4)) (-4 *4 (-594 (-532))) (-5 *2 (-1178 (-383 (-532)))) (-5 *1 (-1204 *4))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1096)) (-5 *2 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-5 *1 (-1099))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-340 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-5 *2 (-1183))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-532)) (-5 *1 (-394 *2)) (-4 *2 (-524))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-171))))) 
+(((*1 *1) (-12 (-4 *3 (-1025)) (-5 *1 (-828 *2 *3 *4)) (-4 *2 (-1025)) (-4 *4 (-618 *3)))) ((*1 *1) (-12 (-5 *1 (-832 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-1025))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3 *4) (-12 (-4 *6 (-524)) (-4 *2 (-892 *3 *5 *4)) (-5 *1 (-682 *5 *4 *6 *2)) (-5 *3 (-383 (-895 *6))) (-4 *5 (-746)) (-4 *4 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $)))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 (-288 (-202)))) (-5 *2 (-1178 (-288 (-355)))) (-5 *1 (-278))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-202)) (|:| |xend| (-202)) (|:| |fn| (-1178 (-288 (-202)))) (|:| |yinit| (-598 (-202))) (|:| |intvals| (-598 (-202))) (|:| |g| (-288 (-202))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-355)) (-5 *1 (-184))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1078)) (-4 *1 (-340 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025))))) 
+(((*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-655 *3 *4)) (-4 *3 (-1130)) (-4 *4 (-1130))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-605 *4)) (-4 *4 (-316 *5 *6 *7)) (-4 *5 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-4 *6 (-1154 *5)) (-4 *7 (-1154 (-383 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1322 (-598 *4)))) (-5 *1 (-759 *5 *6 *7 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-808))))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-723)) (-5 *1 (-420 *3)) (-4 *3 (-380)) (-4 *3 (-983)))) ((*1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-420 *3)) (-4 *3 (-380)) (-4 *3 (-983))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-51))))) 
+(((*1 *1 *1 *1) (-4 *1 (-275))) ((*1 *1 *1) (-4 *1 (-275)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-343 *4)) (-4 *4 (-159)) (-5 *2 (-639 *4)))) ((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-639 *4)) (-5 *1 (-392 *3 *4)) (-4 *3 (-393 *4)))) ((*1 *2) (-12 (-4 *1 (-393 *3)) (-4 *3 (-159)) (-5 *2 (-639 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-288 (-202))) (-5 *2 (-288 (-355))) (-5 *1 (-278))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1178 *1)) (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-631 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 *4)) (-5 *1 (-1033 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-343 *2)) (-4 *2 (-159)))) ((*1 *2) (-12 (-4 *2 (-159)) (-5 *1 (-392 *3 *2)) (-4 *3 (-393 *2)))) ((*1 *2) (-12 (-4 *1 (-393 *2)) (-4 *2 (-159))))) 
+(((*1 *2) (-12 (-4 *3 (-524)) (-5 *2 (-598 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-393 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1098 (-383 (-532)))) (-5 *1 (-169)) (-5 *3 (-532)))) ((*1 *2 *1) (-12 (-5 *2 (-1178 (-3 (-445) "undefined"))) (-5 *1 (-1179))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-304))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-355) (-355))) (-5 *4 (-355)) (-5 *2 (-2 (|:| -1330 *4) (|:| -3758 *4) (|:| |totalpts| (-532)) (|:| |success| (-110)))) (-5 *1 (-742)) (-5 *5 (-532))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1076 *3))) (-5 *2 (-1076 *3)) (-5 *1 (-1080 *3)) (-4 *3 (-37 (-383 (-532)))) (-4 *3 (-983))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *2)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *2 (-997 *3 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-886 *3) (-886 *3))) (-5 *1 (-161 *3)) (-4 *3 (-13 (-339) (-1116) (-939)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *7)) (-4 *7 (-1002 *3 *4 *5 *6)) (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *1 (-926 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-598 *7)) (-4 *7 (-1002 *3 *4 *5 *6)) (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *1 (-1032 *3 *4 *5 *6 *7))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-339)) (-5 *1 (-962 *3 *2)) (-4 *2 (-608 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-339)) (-5 *2 (-2 (|:| -3325 *3) (|:| -2797 (-598 *5)))) (-5 *1 (-962 *5 *3)) (-5 *4 (-598 *5)) (-4 *3 (-608 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-800)) (-5 *2 (-598 (-598 (-598 *4)))) (-5 *1 (-1102 *4)) (-5 *3 (-598 (-598 *4)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-380)) (-5 *2 (-532)))) ((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-648))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-864)) (-5 *1 (-739))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-925 (-383 (-532)) (-810 *3) (-217 *4 (-723)) (-224 *3 (-383 (-532))))) (-14 *3 (-598 (-1096))) (-14 *4 (-723)) (-5 *1 (-924 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1 (-1076 (-895 *4)) (-1076 (-895 *4)))) (-5 *1 (-1187 *4)) (-4 *4 (-339))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-110)) (-5 *2 (-1078)) (-5 *1 (-51))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-339) (-137) (-974 (-532)))) (-4 *5 (-1154 *4)) (-5 *2 (-2 (|:| |ans| (-383 *5)) (|:| |nosol| (-110)))) (-5 *1 (-952 *4 *5)) (-5 *3 (-383 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1130)) (-5 *1 (-301 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1130)) (-5 *1 (-495 *3 *4)) (-14 *4 (-532))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1154 *3)) (-4 *3 (-983)) (-5 *2 (-1092 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-598 (-202)))) (-5 *1 (-869))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-484 *3 *4 *5 *6))) (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-484 *3 *4 *5 *6)) (-4 *6 (-892 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-339)) (-4 *3 (-746)) (-4 *4 (-800)) (-5 *1 (-484 *2 *3 *4 *5)) (-4 *5 (-892 *2 *3 *4)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-598 *1)) (-4 *1 (-1002 *4 *5 *6 *3)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-598 *1)) (-5 *3 (-598 *7)) (-4 *1 (-1002 *4 *5 *6 *7)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-598 *1)) (-4 *1 (-1002 *4 *5 *6 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1078)) (-5 *1 (-1112))))) 
+(((*1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-1181)))) ((*1 *2 *2) (-12 (-5 *2 (-864)) (-5 *1 (-1181))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-598 (-598 (-158))))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-598 (-202))) (-5 *1 (-183))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-383 *5)) (-4 *4 (-1134)) (-4 *5 (-1154 *4)) (-5 *1 (-138 *4 *5 *2)) (-4 *2 (-1154 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1098 (-383 (-532)))) (-5 *2 (-383 (-532))) (-5 *1 (-169)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-639 (-288 (-202)))) (-5 *3 (-598 (-1096))) (-5 *4 (-1178 (-288 (-202)))) (-5 *1 (-184)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-267 *3))) (-4 *3 (-282 *3)) (-4 *3 (-1025)) (-4 *3 (-1130)) (-5 *1 (-267 *3)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-282 *2)) (-4 *2 (-1025)) (-4 *2 (-1130)) (-5 *1 (-267 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-112)) (-5 *3 (-1 *1 *1)) (-4 *1 (-275)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-112)) (-5 *3 (-1 *1 (-598 *1))) (-4 *1 (-275)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-112))) (-5 *3 (-598 (-1 *1 (-598 *1)))) (-4 *1 (-275)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-112))) (-5 *3 (-598 (-1 *1 *1))) (-4 *1 (-275)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1 *1 *1)) (-4 *1 (-275)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1 *1 (-598 *1))) (-4 *1 (-275)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-1096))) (-5 *3 (-598 (-1 *1 (-598 *1)))) (-4 *1 (-275)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-1096))) (-5 *3 (-598 (-1 *1 *1))) (-4 *1 (-275)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-267 *3))) (-4 *1 (-282 *3)) (-4 *3 (-1025)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-267 *3)) (-4 *1 (-282 *3)) (-4 *3 (-1025)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-532))) (-5 *4 (-1098 (-383 (-532)))) (-5 *1 (-283 *2)) (-4 *2 (-37 (-383 (-532)))))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 *4)) (-5 *3 (-598 *1)) (-4 *1 (-350 *4 *5)) (-4 *4 (-800)) (-4 *5 (-159)))) ((*1 *1 *1 *2 *1) (-12 (-4 *1 (-350 *2 *3)) (-4 *2 (-800)) (-4 *3 (-159)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1096)) (-5 *3 (-723)) (-5 *4 (-1 *1 *1)) (-4 *1 (-406 *5)) (-4 *5 (-800)) (-4 *5 (-983)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1096)) (-5 *3 (-723)) (-5 *4 (-1 *1 (-598 *1))) (-4 *1 (-406 *5)) (-4 *5 (-800)) (-4 *5 (-983)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-598 (-1096))) (-5 *3 (-598 (-723))) (-5 *4 (-598 (-1 *1 (-598 *1)))) (-4 *1 (-406 *5)) (-4 *5 (-800)) (-4 *5 (-983)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-598 (-1096))) (-5 *3 (-598 (-723))) (-5 *4 (-598 (-1 *1 *1))) (-4 *1 (-406 *5)) (-4 *5 (-800)) (-4 *5 (-983)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-598 (-112))) (-5 *3 (-598 *1)) (-5 *4 (-1096)) (-4 *1 (-406 *5)) (-4 *5 (-800)) (-4 *5 (-573 (-508))))) ((*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-112)) (-5 *3 (-1096)) (-4 *1 (-406 *4)) (-4 *4 (-800)) (-4 *4 (-573 (-508))))) ((*1 *1 *1) (-12 (-4 *1 (-406 *2)) (-4 *2 (-800)) (-4 *2 (-573 (-508))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-1096))) (-4 *1 (-406 *3)) (-4 *3 (-800)) (-4 *3 (-573 (-508))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1096)) (-4 *1 (-406 *3)) (-4 *3 (-800)) (-4 *3 (-573 (-508))))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-493 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-1130)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 *4)) (-5 *3 (-598 *5)) (-4 *1 (-493 *4 *5)) (-4 *4 (-1025)) (-4 *5 (-1130)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-786 *3)) (-4 *3 (-339)) (-5 *1 (-668 *3)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-668 *2)) (-4 *2 (-339)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1025)))) ((*1 *2 *2 *3 *2) (-12 (-5 *2 (-383 (-895 *4))) (-5 *3 (-1096)) (-4 *4 (-524)) (-5 *1 (-979 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-598 (-1096))) (-5 *4 (-598 (-383 (-895 *5)))) (-5 *2 (-383 (-895 *5))) (-4 *5 (-524)) (-5 *1 (-979 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-267 (-383 (-895 *4)))) (-5 *2 (-383 (-895 *4))) (-4 *4 (-524)) (-5 *1 (-979 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-598 (-267 (-383 (-895 *4))))) (-5 *2 (-383 (-895 *4))) (-4 *4 (-524)) (-5 *1 (-979 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1156 *3 *4)) (-4 *3 (-983)) (-4 *4 (-745)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1076 *3))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1060 *4 *5)) (-4 *4 (-13 (-1025) (-33))) (-4 *5 (-13 (-1025) (-33))) (-5 *2 (-110)) (-5 *1 (-1061 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-288 *3)) (-4 *3 (-524)) (-4 *3 (-800))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *1 (-549 *2)) (-4 *2 (-974 *3)) (-4 *2 (-339)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-549 *2)) (-4 *2 (-339)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-800) (-524))) (-5 *1 (-585 *4 *2)) (-4 *2 (-13 (-406 *4) (-939) (-1116))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1018 *2)) (-4 *2 (-13 (-406 *4) (-939) (-1116))) (-4 *4 (-13 (-800) (-524))) (-5 *1 (-585 *4 *2)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-901)) (-5 *2 (-1096)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1018 *1)) (-4 *1 (-901))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-746)) (-4 *3 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $))))) (-4 *5 (-524)) (-5 *1 (-682 *4 *3 *5 *2)) (-4 *2 (-892 (-383 (-895 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-983)) (-4 *5 (-746)) (-4 *3 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $)) (-15 -3904 ((-3 $ "failed") (-1096)))))) (-5 *1 (-922 *4 *5 *3 *2)) (-4 *2 (-892 (-895 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-598 *6)) (-4 *6 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $)) (-15 -3904 ((-3 $ "failed") (-1096)))))) (-4 *4 (-983)) (-4 *5 (-746)) (-5 *1 (-922 *4 *5 *6 *2)) (-4 *2 (-892 (-895 *4) *5 *6))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-598 (-835 *3))) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-914 *4 *5 *6 *3)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-4 *4 (-524)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-383 (-532))) (-4 *4 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-252 *4 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *4)))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-532)) (-4 *1 (-56 *4 *3 *5)) (-4 *4 (-1130)) (-4 *3 (-349 *4)) (-4 *5 (-349 *4))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-914 *3 *4 *2 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800)) (-4 *5 (-997 *3 *4 *2))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-864)) (-5 *3 (-598 (-238))) (-5 *1 (-236)))) ((*1 *1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-238))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-224 *3 *4)) (-14 *3 (-598 (-1096))) (-4 *4 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-532))) (-14 *3 (-598 (-1096))) (-5 *1 (-429 *3 *4 *5)) (-4 *4 (-983)) (-4 *5 (-215 (-3502 *3) (-723))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-464 *3 *4)) (-14 *3 (-598 (-1096))) (-4 *4 (-983))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-598 *7)) (|:| |badPols| (-598 *7)))) (-5 *1 (-915 *4 *5 *6 *7)) (-5 *3 (-598 *7))))) 
+(((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *5 (-1154 *4)) (-5 *2 (-598 (-2 (|:| |deg| (-723)) (|:| -3325 *5)))) (-5 *1 (-762 *4 *5 *3 *6)) (-4 *3 (-608 *5)) (-4 *6 (-608 (-383 *5)))))) 
+(((*1 *2) (-12 (-4 *1 (-325)) (-5 *2 (-598 (-2 (|:| -4186 (-532)) (|:| -3540 (-532)))))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-4 *5 (-344)) (-5 *2 (-723))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-639 (-532))) (-5 *3 (-598 (-532))) (-5 *1 (-1035))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1027 (-1096))) (-5 *1 (-52)) (-5 *3 (-1096))))) 
+(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-137) (-27) (-974 (-532)) (-974 (-383 (-532))))) (-4 *5 (-1154 *4)) (-5 *2 (-1092 (-383 *5))) (-5 *1 (-574 *4 *5)) (-5 *3 (-383 *5)))) ((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-394 *6) *6)) (-4 *6 (-1154 *5)) (-4 *5 (-13 (-137) (-27) (-974 (-532)) (-974 (-383 (-532))))) (-5 *2 (-1092 (-383 *6))) (-5 *1 (-574 *5 *6)) (-5 *3 (-383 *6))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-427))))) 
+(((*1 *1 *1) (-5 *1 (-808))) ((*1 *2 *1) (-12 (-4 *1 (-1028 *2 *3 *4 *5 *6)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *2 (-1025)))) ((*1 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-1077)))) ((*1 *2 *1) (-12 (-5 *2 (-1078)) (-5 *1 (-1096))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-1096))) (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *2 (-598 (-383 (-895 *4)))) (-5 *1 (-867 *4 *5 *6 *7)) (-4 *7 (-892 *4 *6 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2881 *4))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1076 (-2 (|:| |k| (-532)) (|:| |c| *3)))) (-5 *1 (-557 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-723)) (-4 *4 (-524)) (-5 *1 (-908 *4 *2)) (-4 *2 (-1154 *4))))) 
+(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-723)) (-4 *5 (-339)) (-5 *2 (-383 *6)) (-5 *1 (-812 *5 *4 *6)) (-4 *4 (-1169 *5)) (-4 *6 (-1154 *5)))) ((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-723)) (-5 *4 (-1170 *5 *6 *7)) (-4 *5 (-339)) (-14 *6 (-1096)) (-14 *7 *5) (-5 *2 (-383 (-1151 *6 *5))) (-5 *1 (-813 *5 *6 *7)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-723)) (-5 *4 (-1170 *5 *6 *7)) (-4 *5 (-339)) (-14 *6 (-1096)) (-14 *7 *5) (-5 *2 (-383 (-1151 *6 *5))) (-5 *1 (-813 *5 *6 *7))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1178 *4)) (-5 *3 (-1043)) (-4 *4 (-325)) (-5 *1 (-502 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1163 *3 *4 *5)) (-5 *1 (-292 *3 *4 *5)) (-4 *3 (-13 (-339) (-800))) (-14 *4 (-1096)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-4 *1 (-380)) (-5 *2 (-532)))) ((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-394 *3)) (-4 *3 (-524)))) ((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-648)))) ((*1 *2 *1) (-12 (-4 *2 (-1025)) (-5 *1 (-663 *3 *2 *4)) (-4 *3 (-800)) (-14 *4 (-1 (-110) (-2 (|:| -3120 *3) (|:| -3540 *2)) (-2 (|:| -3120 *3) (|:| -3540 *2))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-47))) (-1136 (-47)))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-47)))) (-1136 (-1092 (-47))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) (-1096))) (|:| A (-1 (-47) (-723) (-723) (-1092 (-47)))) (|:| AF (-1 (-1092 (-47)) (-723) (-723) (-1136 (-1092 (-47))))) (|:| AX (-1 (-288 (-532)) (-723) (-1096) (-288 (-532)))) (|:| C (-1 (-598 (-47)) (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-4 (-47) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-47))) (-1136 (-47)))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-47)))) (-1136 (-1092 (-47))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) *3)) (|:| A (-1 (-47) (-723) (-723) (-1092 (-47)))) (|:| AF (-1 (-1092 (-47)) (-723) (-723) (-1136 (-1092 (-47))))) (|:| AX (-1 (-288 (-532)) (-723) *3 (-288 (-532)))) (|:| C (-1 (-598 (-47)) (-723)))) (-598 (-438)))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1076 (-1136 *4)) (-1136 *4))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 *4))) (-1136 (-1092 *4)))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) (-1096))) (|:| A (-1 *4 (-723) (-723) (-1092 *4))) (|:| AF (-1 (-1092 *4) (-723) (-723) (-1136 (-1092 *4)))) (|:| AX (-1 (-288 (-532)) (-723) (-1096) (-288 (-532)))) (|:| C (-1 (-598 *4) (-723))))) (-5 *1 (-456 *4)) (-4 *4 (-13 (-325) (-573 (-532)))))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 *4)) (-1136 *4))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 *4))) (-1136 (-1092 *4)))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) *3)) (|:| A (-1 *4 (-723) (-723) (-1092 *4))) (|:| AF (-1 (-1092 *4) (-723) (-723) (-1136 (-1092 *4)))) (|:| AX (-1 (-288 (-532)) (-723) *3 (-288 (-532)))) (|:| C (-1 (-598 *4) (-723)))) (-598 (-438)))) (-5 *1 (-456 *4)) (-4 *4 (-974 *3)) (-4 *4 (-13 (-325) (-573 (-532)))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-383 (-532)))) (-1136 (-383 (-532))))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-383 (-532))))) (-1136 (-1092 (-383 (-532)))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) (-1096))) (|:| A (-1 (-532) (-723) (-723) (-1092 (-532)))) (|:| AF (-1 (-1092 (-383 (-532))) (-723) (-723) (-1136 (-1092 (-383 (-532)))))) (|:| AX (-1 (-288 (-532)) (-723) (-1096) (-288 (-532)))) (|:| C (-1 (-598 (-532)) (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-4 (-383 (-532)) (-974 *3)) (-4 (-532) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-383 (-532)))) (-1136 (-383 (-532))))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-383 (-532))))) (-1136 (-1092 (-383 (-532)))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) *3)) (|:| A (-1 (-532) (-723) (-723) (-1092 (-532)))) (|:| AF (-1 (-1092 (-383 (-532))) (-723) (-723) (-1136 (-1092 (-383 (-532)))))) (|:| AX (-1 (-288 (-532)) (-723) *3 (-288 (-532)))) (|:| C (-1 (-598 (-532)) (-723)))) (-598 (-438)))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1076 (-1136 *4)) (-1136 *4))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 *4))) (-1136 (-1092 *4)))) (|:| |exprStream| (-1 (-1076 *6) *6 (-1096))) (|:| A (-1 *5 (-723) (-723) (-1092 *5))) (|:| AF (-1 (-1092 *4) (-723) (-723) (-1136 (-1092 *4)))) (|:| AX (-1 *6 (-723) (-1096) *6)) (|:| C (-1 (-598 *5) (-723))))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *4 (-339)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 *4)) (-1136 *4))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 *4))) (-1136 (-1092 *4)))) (|:| |exprStream| (-1 (-1076 *6) *6 *3)) (|:| A (-1 *5 (-723) (-723) (-1092 *5))) (|:| AF (-1 (-1092 *4) (-723) (-723) (-1136 (-1092 *4)))) (|:| AX (-1 *6 (-723) *3 *6)) (|:| C (-1 (-598 *5) (-723)))) (-598 (-438)))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *4 (-974 *3)) (-4 *5 (-974 *3)) (-4 *4 (-339)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 *3) (-974 (-532)) (-148) (-843 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-383 (-895 (-532))))) (-1136 (-383 (-895 (-532)))))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-383 (-895 (-532)))))) (-1136 (-1092 (-383 (-895 (-532))))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) (-1096))) (|:| A (-1 (-895 (-532)) (-723) (-723) (-1092 (-895 (-532))))) (|:| AF (-1 (-1092 (-383 (-895 (-532)))) (-723) (-723) (-1136 (-1092 (-383 (-895 (-532))))))) (|:| AX (-1 (-288 (-532)) (-723) (-1096) (-288 (-532)))) (|:| C (-1 (-598 (-895 (-532))) (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-4 (-383 (-895 (-532))) (-974 *3)) (-4 (-895 (-532)) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-383 (-895 (-532))))) (-1136 (-383 (-895 (-532)))))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-383 (-895 (-532)))))) (-1136 (-1092 (-383 (-895 (-532))))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) *3)) (|:| A (-1 (-895 (-532)) (-723) (-723) (-1092 (-895 (-532))))) (|:| AF (-1 (-1092 (-383 (-895 (-532)))) (-723) (-723) (-1136 (-1092 (-383 (-895 (-532))))))) (|:| AX (-1 (-288 (-532)) (-723) *3 (-288 (-532)))) (|:| C (-1 (-598 (-895 (-532))) (-723)))) (-598 (-438)))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 HPSPEC) (-5 *1 (-460 *4)) (-14 *4 (-1096)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 HPSPEC (-598 (-438)))) (-5 *1 (-460 *4)) (-14 *4 *3)))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-949)) (-5 *2 (-808))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-365)) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-847 (-532))) (-5 *1 (-860)))) ((*1 *2) (-12 (-5 *2 (-847 (-532))) (-5 *1 (-860))))) 
+(((*1 *2) (-12 (-4 *3 (-524)) (-5 *2 (-598 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-393 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-355)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-339)) (-5 *1 (-259 *3 *2)) (-4 *2 (-1169 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-532)) (-5 *1 (-537 *3)) (-4 *3 (-974 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1028 *3 *4 *2 *5 *6)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *2 (-1025))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-343 *4)) (-4 *4 (-159)) (-5 *2 (-639 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-393 *3)) (-4 *3 (-159)) (-5 *2 (-639 *3))))) 
+(((*1 *1) (-12 (-4 *1 (-401 *2)) (-4 *2 (-344)) (-4 *2 (-1025))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-1025)) (-5 *2 (-1183)) (-5 *1 (-1131 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-1025)) (-5 *2 (-1183)) (-5 *1 (-1131 *4))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-110)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *8 (-997 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-598 *8)) (|:| |towers| (-598 (-964 *5 *6 *7 *8))))) (-5 *1 (-964 *5 *6 *7 *8)) (-5 *3 (-598 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-110)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *8 (-997 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-598 *8)) (|:| |towers| (-598 (-1066 *5 *6 *7 *8))))) (-5 *1 (-1066 *5 *6 *7 *8)) (-5 *3 (-598 *8))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-110)) (-4 *6 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-4 *3 (-13 (-27) (-1116) (-406 *6) (-10 -8 (-15 -1256 ($ *7))))) (-4 *7 (-798)) (-4 *8 (-13 (-1156 *3 *7) (-339) (-1116) (-10 -8 (-15 -2411 ($ $)) (-15 -2211 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1078)) (|:| |prob| (-1078)))))) (-5 *1 (-398 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1078)) (-4 *9 (-921 *8)) (-14 *10 (-1096))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-90 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-1044 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-5 *1 (-1067 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-631 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-370)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-1111))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-256 *2)) (-4 *2 (-1130)) (-4 *2 (-1025)))) ((*1 *1 *1) (-12 (-4 *1 (-644 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-370)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-1111))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-339)) (-4 *1 (-303 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-1154 *4)) (-4 *4 (-1134)) (-4 *1 (-316 *4 *3 *5)) (-4 *5 (-1154 (-383 *3))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1178 *4)) (-5 *3 (-1178 *1)) (-4 *4 (-159)) (-4 *1 (-343 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1178 *4)) (-5 *3 (-1178 *1)) (-4 *4 (-159)) (-4 *1 (-346 *4 *5)) (-4 *5 (-1154 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-159)) (-4 *1 (-385 *3 *4)) (-4 *4 (-1154 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-159)) (-4 *1 (-393 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-224 *4 *5)) (-14 *4 (-598 (-1096))) (-4 *5 (-427)) (-5 *2 (-464 *4 *5)) (-5 *1 (-586 *4 *5))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-532)) (-5 *3 (-864)) (-4 *1 (-380)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-532)) (-4 *1 (-380)))) ((*1 *2 *1) (-12 (-4 *1 (-1028 *3 *4 *5 *2 *6)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *2 (-1025))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-2 (|:| |num| (-1178 *4)) (|:| |den| *4)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *2 (-598 *4)) (-5 *1 (-1051 *3 *4)) (-4 *3 (-1154 *4)))) ((*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *2 (-598 *3)) (-5 *1 (-1051 *4 *3)) (-4 *4 (-1154 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-110)) (-5 *3 (-895 *6)) (-5 *4 (-1096)) (-5 *5 (-793 *7)) (-4 *6 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-4 *7 (-13 (-1116) (-29 *6))) (-5 *1 (-201 *6 *7)))) ((*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-110)) (-5 *3 (-1092 *6)) (-5 *4 (-793 *6)) (-4 *6 (-13 (-1116) (-29 *5))) (-4 *5 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-201 *5 *6))))) 
+(((*1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-1181)))) ((*1 *2 *2) (-12 (-5 *2 (-864)) (-5 *1 (-1181))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-304)))) ((*1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-304))))) 
+(((*1 *2) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-639 (-383 *4)))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-110) *9)) (-5 *5 (-1 (-110) *9 *9)) (-4 *9 (-997 *6 *7 *8)) (-4 *6 (-524)) (-4 *7 (-746)) (-4 *8 (-800)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3526 (-598 *9)))) (-5 *3 (-598 *9)) (-4 *1 (-1124 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-110) *8 *8)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-524)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3526 (-598 *8)))) (-5 *3 (-598 *8)) (-4 *1 (-1124 *5 *6 *7 *8))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-343 *2)) (-4 *2 (-159)))) ((*1 *2) (-12 (-4 *2 (-159)) (-5 *1 (-392 *3 *2)) (-4 *3 (-393 *2)))) ((*1 *2) (-12 (-4 *1 (-393 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-892 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-424 *4 *5 *6 *2))))) 
+(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-835 *4)) (-4 *4 (-1025)) (-5 *1 (-832 *4 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-160 *2)) (-4 *2 (-280)))) ((*1 *2 *1) (-12 (-5 *1 (-857 *2)) (-4 *2 (-280)))) ((*1 *2 *1) (-12 (-4 *1 (-930 *2)) (-4 *2 (-524)) (-4 *2 (-280)))) ((*1 *2 *1) (-12 (-4 *1 (-992)) (-5 *2 (-532))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-926 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-1032 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-110))))) 
+(((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-110)) (-5 *1 (-835 *4)) (-4 *4 (-1025))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-598 *8))) (-5 *3 (-598 *8)) (-4 *8 (-892 *5 *7 *6)) (-4 *5 (-13 (-280) (-137))) (-4 *6 (-13 (-800) (-573 (-1096)))) (-4 *7 (-746)) (-5 *2 (-110)) (-5 *1 (-867 *5 *6 *7 *8))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-5 *1 (-937 *3))))) 
+(((*1 *2 *1) (-12 (|has| *1 (-6 -4289)) (-4 *1 (-33)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-723)) (-5 *1 (-90 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-723)) (-5 *1 (-199 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-723)) (-5 *1 (-466 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-723)) (-5 *1 (-937 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-1028 *3 *4 *5 *6 *7)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)) (-5 *2 (-532)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-723)) (-5 *1 (-1067 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-1200 *3 *4)) (-4 *3 (-983)) (-4 *4 (-796))))) 
+(((*1 *2) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-1181)))) ((*1 *2 *2) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-1181))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-1181))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-2 (|:| |eqzro| (-598 *8)) (|:| |neqzro| (-598 *8)) (|:| |wcond| (-598 (-895 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1178 (-383 (-895 *5)))) (|:| -1322 (-598 (-1178 (-383 (-895 *5)))))))))) (-5 *4 (-1078)) (-4 *5 (-13 (-280) (-137))) (-4 *8 (-892 *5 *7 *6)) (-4 *6 (-13 (-800) (-573 (-1096)))) (-4 *7 (-746)) (-5 *2 (-532)) (-5 *1 (-867 *5 *6 *7 *8))))) 
+(((*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-934 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-215 *3 *2)) (-4 *2 (-1130)) (-4 *2 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-808)))) ((*1 *1 *1) (-5 *1 (-808))) ((*1 *2 *3 *3) (-12 (-5 *3 (-886 (-202))) (-5 *2 (-202)) (-5 *1 (-1127)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1176 *2)) (-4 *2 (-1130)) (-4 *2 (-983))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3)) (-4 *3 (-1130)) (-5 *1 (-562 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3)) (-4 *3 (-1130)) (-5 *1 (-1076 *3))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-598 (-1178 *4))) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-4 *3 (-524)) (-5 *2 (-598 (-1178 *3)))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-852)) (-5 *2 (-394 (-1092 *1))) (-5 *3 (-1092 *1))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-639 *3)) (|:| |invmval| (-639 *3)) (|:| |genIdeal| (-484 *3 *4 *5 *6)))) (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-484 *3 *4 *5 *6)) (-4 *6 (-892 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-524) (-137))) (-5 *1 (-509 *3 *2)) (-4 *2 (-1169 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-339) (-344) (-573 (-532)))) (-4 *4 (-1154 *3)) (-4 *5 (-674 *3 *4)) (-5 *1 (-513 *3 *4 *5 *2)) (-4 *2 (-1169 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-339) (-344) (-573 (-532)))) (-5 *1 (-514 *3 *2)) (-4 *2 (-1169 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-13 (-524) (-137))) (-5 *1 (-1072 *3))))) 
+(((*1 *1) (-5 *1 (-110)))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-983)) (-5 *1 (-837 *2 *3)) (-4 *2 (-1154 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3))))) 
+(((*1 *1) (-5 *1 (-1180)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-892 *3 *4 *5)) (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-484 *3 *4 *5 *6))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-517)) (-5 *1 (-147 *2))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-427)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-598 *3)) (-5 *1 (-915 *4 *5 *6 *3)) (-4 *3 (-997 *4 *5 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *1)) (-4 *1 (-427)))) ((*1 *1 *1 *1) (-4 *1 (-427))) ((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-5 *1 (-468 *2)) (-4 *2 (-1154 (-532))))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-532)) (-5 *1 (-645 *2)) (-4 *2 (-1154 *3)))) ((*1 *1 *1 *1) (-5 *1 (-723))) ((*1 *2 *2 *2) (-12 (-4 *3 (-746)) (-4 *4 (-800)) (-4 *5 (-280)) (-5 *1 (-859 *3 *4 *5 *2)) (-4 *2 (-892 *5 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-892 *6 *4 *5)) (-5 *1 (-859 *4 *5 *6 *2)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-280)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1092 *6)) (-4 *6 (-892 *5 *3 *4)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *5 (-280)) (-5 *1 (-859 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-1092 *7))) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-280)) (-5 *2 (-1092 *7)) (-5 *1 (-859 *4 *5 *6 *7)) (-4 *7 (-892 *6 *4 *5)))) ((*1 *1 *1 *1) (-5 *1 (-864))) ((*1 *2 *2 *2) (-12 (-4 *3 (-427)) (-4 *3 (-524)) (-5 *1 (-908 *3 *2)) (-4 *2 (-1154 *3)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-427))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-228 *3 *4 *2 *5)) (-4 *3 (-983)) (-4 *4 (-800)) (-4 *5 (-746)) (-4 *2 (-241 *4))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-825 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-571 *3)) (-4 *3 (-13 (-406 *5) (-27) (-1116))) (-4 *5 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-549 *3)) (-5 *1 (-534 *5 *3 *6)) (-4 *6 (-1025))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-532)) (-5 *2 (-598 (-598 (-202)))) (-5 *1 (-1127))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1076 (-383 *3))) (-5 *1 (-160 *3)) (-4 *3 (-280))))) 
+(((*1 *2) (-12 (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-1183)) (-5 *1 (-1003 *3 *4 *5 *6 *7)) (-4 *7 (-1002 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-1183)) (-5 *1 (-1033 *3 *4 *5 *6 *7)) (-4 *7 (-1002 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-864)) (-4 *6 (-13 (-524) (-800))) (-5 *2 (-598 (-288 *6))) (-5 *1 (-198 *5 *6)) (-5 *3 (-288 *6)) (-4 *5 (-983)))) ((*1 *2 *1) (-12 (-5 *1 (-394 *2)) (-4 *2 (-524)))) ((*1 *2 *3) (-12 (-5 *3 (-549 *5)) (-4 *5 (-13 (-29 *4) (-1116))) (-4 *4 (-13 (-427) (-974 (-532)) (-800) (-594 (-532)))) (-5 *2 (-598 *5)) (-5 *1 (-547 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-549 (-383 (-895 *4)))) (-4 *4 (-13 (-427) (-974 (-532)) (-800) (-594 (-532)))) (-5 *2 (-598 (-288 *4))) (-5 *1 (-552 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1021 *3 *2)) (-4 *3 (-798)) (-4 *2 (-1069 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *1)) (-4 *1 (-1021 *4 *2)) (-4 *4 (-798)) (-4 *2 (-1069 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116))))) ((*1 *2 *1) (-12 (-5 *2 (-1192 (-1096) *3)) (-5 *1 (-1199 *3)) (-4 *3 (-983)))) ((*1 *2 *1) (-12 (-5 *2 (-1192 *3 *4)) (-5 *1 (-1201 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-651 *4 *5 *6 *7)) (-4 *4 (-573 (-508))) (-4 *5 (-1130)) (-4 *6 (-1130)) (-4 *7 (-1130))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-117 *2)) (-4 *2 (-1130))))) 
+(((*1 *2) (-12 (-14 *4 (-723)) (-4 *5 (-1130)) (-5 *2 (-128)) (-5 *1 (-214 *3 *4 *5)) (-4 *3 (-215 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-339)) (-5 *2 (-128)) (-5 *1 (-302 *3 *4)) (-4 *3 (-303 *4)))) ((*1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-366 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-159)))) ((*1 *2 *1) (-12 (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-532)) (-5 *1 (-484 *3 *4 *5 *6)) (-4 *6 (-892 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-598 *6)) (-4 *6 (-800)) (-4 *4 (-339)) (-4 *5 (-746)) (-5 *2 (-532)) (-5 *1 (-484 *4 *5 *6 *7)) (-4 *7 (-892 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-918 *3)) (-4 *3 (-983)) (-5 *2 (-864)))) ((*1 *2) (-12 (-4 *1 (-1186 *3)) (-4 *3 (-339)) (-5 *2 (-128))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-288 (-202))) (-5 *2 (-110)) (-5 *1 (-242))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-723)) (-4 *3 (-983)) (-4 *1 (-637 *3 *4 *5)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *1 *2) (-12 (-4 *2 (-983)) (-4 *1 (-1046 *3 *2 *4 *5)) (-4 *4 (-215 *3 *2)) (-4 *5 (-215 *3 *2))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-339)) (-14 *5 (-931 *3 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1043)) (-5 *1 (-793 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-339)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-484 *4 *5 *6 *3)) (-4 *3 (-892 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-355)) (-5 *2 (-1078)) (-5 *1 (-278))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-864)) (-4 *1 (-215 *3 *4)) (-4 *4 (-983)) (-4 *4 (-1130)))) ((*1 *1 *2) (-12 (-14 *3 (-598 (-1096))) (-4 *4 (-159)) (-4 *5 (-215 (-3502 *3) (-723))) (-14 *6 (-1 (-110) (-2 (|:| -3120 *2) (|:| -3540 *5)) (-2 (|:| -3120 *2) (|:| -3540 *5)))) (-5 *1 (-436 *3 *4 *2 *5 *6 *7)) (-4 *2 (-800)) (-4 *7 (-892 *4 *5 (-810 *3))))) ((*1 *2 *2) (-12 (-5 *2 (-886 (-202))) (-5 *1 (-1127))))) 
+(((*1 *1 *1) (|partial| -12 (-4 *1 (-343 *2)) (-4 *2 (-159)) (-4 *2 (-524)))) ((*1 *1 *1) (|partial| -4 *1 (-672)))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1025)) (-4 *6 (-829 *5)) (-5 *2 (-828 *5 *6 (-598 *6))) (-5 *1 (-830 *5 *6 *4)) (-5 *3 (-598 *6)) (-4 *4 (-573 (-835 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1025)) (-5 *2 (-598 (-267 *3))) (-5 *1 (-830 *5 *3 *4)) (-4 *3 (-974 (-1096))) (-4 *3 (-829 *5)) (-4 *4 (-573 (-835 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1025)) (-5 *2 (-598 (-267 (-895 *3)))) (-5 *1 (-830 *5 *3 *4)) (-4 *3 (-983)) (-3968 (-4 *3 (-974 (-1096)))) (-4 *3 (-829 *5)) (-4 *4 (-573 (-835 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1025)) (-5 *2 (-832 *5 *3)) (-5 *1 (-830 *5 *3 *4)) (-3968 (-4 *3 (-974 (-1096)))) (-3968 (-4 *3 (-983))) (-4 *3 (-829 *5)) (-4 *4 (-573 (-835 *5)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-864)) (-4 *1 (-303 *3)) (-4 *3 (-339)) (-4 *3 (-344)))) ((*1 *2 *1) (-12 (-4 *1 (-303 *2)) (-4 *2 (-339)))) ((*1 *2 *1) (-12 (-4 *1 (-346 *2 *3)) (-4 *3 (-1154 *2)) (-4 *2 (-159)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1178 *4)) (-5 *3 (-864)) (-4 *4 (-325)) (-5 *1 (-502 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1046 *3 *2 *4 *5)) (-4 *4 (-215 *3 *2)) (-4 *5 (-215 *3 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-947 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-524) (-800))) (-4 *2 (-13 (-406 (-156 *4)) (-939) (-1116))) (-5 *1 (-561 *4 *3 *2)) (-4 *3 (-13 (-406 *4) (-939) (-1116)))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-1076 (-598 (-532)))) (-5 *1 (-826)) (-5 *3 (-532)))) ((*1 *2 *3) (-12 (-5 *2 (-1076 (-598 (-532)))) (-5 *1 (-826)) (-5 *3 (-532)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1076 (-598 (-532)))) (-5 *1 (-826)) (-5 *3 (-532))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1178 (-598 (-2 (|:| -1330 *4) (|:| -3120 (-1043)))))) (-4 *4 (-325)) (-5 *2 (-1183)) (-5 *1 (-502 *4))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-1035)) (-5 *3 (-532))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325)) (-5 *2 (-110)))) ((*1 *2 *3) (-12 (-5 *3 (-1092 *4)) (-4 *4 (-325)) (-5 *2 (-110)) (-5 *1 (-333 *4))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-598 *6)) (-4 *1 (-892 *4 *5 *6)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-892 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-723))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-339)) (-5 *1 (-259 *3 *2)) (-4 *2 (-1169 *3))))) 
+(((*1 *1 *1) (-5 *1 (-202))) ((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *1 *1) (-5 *1 (-355))) ((*1 *1) (-5 *1 (-355)))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-110)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *8 (-800)) (-4 *9 (-997 *6 *7 *8)) (-5 *2 (-2 (|:| -3325 (-598 *9)) (|:| -1213 *4) (|:| |ineq| (-598 *9)))) (-5 *1 (-926 *6 *7 *8 *9 *4)) (-5 *3 (-598 *9)) (-4 *4 (-1002 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-110)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *8 (-800)) (-4 *9 (-997 *6 *7 *8)) (-5 *2 (-2 (|:| -3325 (-598 *9)) (|:| -1213 *4) (|:| |ineq| (-598 *9)))) (-5 *1 (-1032 *6 *7 *8 *9 *4)) (-5 *3 (-598 *9)) (-4 *4 (-1002 *6 *7 *8 *9))))) 
+(((*1 *1) (-5 *1 (-131))) ((*1 *1 *1) (-5 *1 (-134))) ((*1 *1 *1) (-4 *1 (-1064)))) 
+(((*1 *1 *1) (-12 (-4 *1 (-221 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-565 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1130)) (-5 *2 (-1183))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-598 *9)) (-4 *8 (-997 *5 *6 *7)) (-4 *9 (-1002 *5 *6 *7 *8)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-723)) (-5 *1 (-1000 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-598 *9)) (-4 *8 (-997 *5 *6 *7)) (-4 *9 (-1034 *5 *6 *7 *8)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-723)) (-5 *1 (-1065 *5 *6 *7 *8 *9))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1092 *3)) (-4 *3 (-325)) (-5 *1 (-333 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-532)) (-5 *3 (-864)) (-5 *1 (-648)))) ((*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-639 *5)) (-5 *3 (-95 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-339)) (-5 *1 (-916 *5))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3183 *4))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 (-464 *3 *4))) (-14 *3 (-598 (-1096))) (-4 *4 (-427)) (-5 *1 (-586 *3 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-723)) (-5 *1 (-550 *2)) (-4 *2 (-517))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-863)) (-5 *2 (-2 (|:| -2283 (-598 *1)) (|:| -2867 *1))) (-5 *3 (-598 *1))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-886 *3) (-886 *3))) (-5 *1 (-161 *3)) (-4 *3 (-13 (-339) (-1116) (-939)))))) 
+(((*1 *1 *1) (-4 *1 (-517)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-892 *4 *5 *6)) (-4 *6 (-573 (-1096))) (-4 *4 (-339)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-1085 (-598 (-895 *4)) (-598 (-267 (-895 *4))))) (-5 *1 (-484 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-153 *3)) (-4 *3 (-159)) (-4 *3 (-517)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-394 *3)) (-4 *3 (-517)) (-4 *3 (-524)))) ((*1 *2 *1) (-12 (-4 *1 (-517)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-750 *3)) (-4 *3 (-159)) (-4 *3 (-517)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-786 *3)) (-4 *3 (-517)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-793 *3)) (-4 *3 (-517)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-934 *3)) (-4 *3 (-159)) (-4 *3 (-517)) (-5 *2 (-110)))) ((*1 *2 *3) (-12 (-5 *2 (-110)) (-5 *1 (-945 *3)) (-4 *3 (-974 (-383 (-532))))))) 
+(((*1 *2) (-12 (-5 *2 (-383 (-895 *3))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-864)) (-5 *1 (-969 *2)) (-4 *2 (-13 (-1025) (-10 -8 (-15 * ($ $ $)))))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1076 (-598 (-532)))) (-5 *1 (-826)) (-5 *3 (-598 (-532)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-1154 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-864)) (-4 *1 (-1156 *3 *4)) (-4 *3 (-983)) (-4 *4 (-745)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-383 (-532))) (-4 *1 (-1159 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1178 *4)) (-5 *3 (-532)) (-4 *4 (-325)) (-5 *1 (-502 *4))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-915 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-598 *7)) (-5 *3 (-110)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-915 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-532))) (-5 *4 (-532)) (-5 *2 (-51)) (-5 *1 (-942))))) 
+(((*1 *1 *1) (-5 *1 (-995)))) 
+(((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -4263 (-532)) (|:| -1265 (-598 *3)))) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 (-288 (-202)))) (-5 *1 (-242))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-1181))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-1201 *3 *4)) (-4 *1 (-350 *3 *4)) (-4 *3 (-800)) (-4 *4 (-159)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-362 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-772 *2)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-772 *2)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1194 *2 *3)) (-4 *2 (-800)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-772 *3)) (-4 *1 (-1194 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1194 *2 *3)) (-4 *2 (-800)) (-4 *3 (-983))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-625 *2)) (-4 *2 (-1130))))) 
+(((*1 *2) (-12 (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-1183)) (-5 *1 (-926 *3 *4 *5 *6 *7)) (-4 *7 (-1002 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-1183)) (-5 *1 (-1032 *3 *4 *5 *6 *7)) (-4 *7 (-1002 *3 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-974 (-532))) (-4 *1 (-275)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-517)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-848 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-598 *3)) (-4 *3 (-280)) (-5 *1 (-164 *3))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-639 (-202))) (-5 *5 (-639 (-532))) (-5 *6 (-202)) (-5 *3 (-532)) (-5 *2 (-972)) (-5 *1 (-703))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1092 *9)) (-5 *4 (-598 *7)) (-4 *7 (-800)) (-4 *9 (-892 *8 *6 *7)) (-4 *6 (-746)) (-4 *8 (-280)) (-5 *2 (-598 (-723))) (-5 *1 (-692 *6 *7 *8 *9)) (-5 *5 (-723))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-339) (-798))) (-5 *1 (-165 *3 *2)) (-4 *2 (-1154 (-156 *3)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-915 *3 *4 *5 *6))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-723)) (-5 *1 (-550 *2)) (-4 *2 (-517)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -4235 *3) (|:| -3540 (-723)))) (-5 *1 (-550 *3)) (-4 *3 (-517))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *2 (-598 (-2 (|:| |eqzro| (-598 *7)) (|:| |neqzro| (-598 *7)) (|:| |wcond| (-598 (-895 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1178 (-383 (-895 *4)))) (|:| -1322 (-598 (-1178 (-383 (-895 *4)))))))))) (-5 *1 (-867 *4 *5 *6 *7)) (-4 *7 (-892 *4 *6 *5))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-110)) (-5 *1 (-112))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-723)) (-5 *2 (-110)) (-5 *1 (-550 *3)) (-4 *3 (-517))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-110) *4 *4)) (-4 *4 (-1130)) (-5 *1 (-351 *4 *2)) (-4 *2 (-13 (-349 *4) (-10 -7 (-6 -4290))))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1028 *3 *4 *5 *6 *7)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-886 *3) (-886 *3))) (-5 *1 (-161 *3)) (-4 *3 (-13 (-339) (-1116) (-939)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-886 *2)) (-5 *1 (-920 *2)) (-4 *2 (-983))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1178 (-1096))) (-5 *3 (-1178 (-428 *4 *5 *6 *7))) (-5 *1 (-428 *4 *5 *6 *7)) (-4 *4 (-159)) (-14 *5 (-864)) (-14 *6 (-598 (-1096))) (-14 *7 (-1178 (-639 *4))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1178 (-428 *4 *5 *6 *7))) (-5 *1 (-428 *4 *5 *6 *7)) (-4 *4 (-159)) (-14 *5 (-864)) (-14 *6 (-598 *2)) (-14 *7 (-1178 (-639 *4))))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-428 *3 *4 *5 *6))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-1096))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 *2)) (-14 *6 (-1178 (-639 *3))))) ((*1 *1) (-12 (-5 *1 (-428 *2 *3 *4 *5)) (-4 *2 (-159)) (-14 *3 (-864)) (-14 *4 (-598 (-1096))) (-14 *5 (-1178 (-639 *2)))))) 
+(((*1 *1) (-5 *1 (-145)))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-532)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *8 (-280)) (-4 *9 (-892 *8 *6 *7)) (-5 *2 (-2 (|:| -3126 (-1092 *9)) (|:| |polval| (-1092 *8)))) (-5 *1 (-692 *6 *7 *8 *9)) (-5 *3 (-1092 *9)) (-5 *4 (-1092 *8))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-775)) (-5 *1 (-774))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-598 *1)) (-4 *1 (-997 *4 *5 *6)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-110)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1124 *4 *5 *6 *3)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-110))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 (-895 *3))) (-4 *3 (-427)) (-5 *1 (-336 *3 *4)) (-14 *4 (-598 (-1096))))) ((*1 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-892 *3 *4 *5)) (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-425 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-598 *7)) (-5 *3 (-1078)) (-4 *7 (-892 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-425 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-598 *7)) (-5 *3 (-1078)) (-4 *7 (-892 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-425 *4 *5 *6 *7)))) ((*1 *1 *1) (-12 (-4 *2 (-339)) (-4 *3 (-746)) (-4 *4 (-800)) (-5 *1 (-484 *2 *3 *4 *5)) (-4 *5 (-892 *2 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-598 (-733 *3 (-810 *4)))) (-4 *3 (-427)) (-14 *4 (-598 (-1096))) (-5 *1 (-583 *3 *4))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1171 *3 *2)) (-4 *2 (-1169 *3))))) 
+(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-153 *3)) (-4 *3 (-159)) (-4 *3 (-517)) (-5 *2 (-383 (-532))))) ((*1 *2 *1) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-394 *3)) (-4 *3 (-517)) (-4 *3 (-524)))) ((*1 *2 *1) (-12 (-4 *1 (-517)) (-5 *2 (-383 (-532))))) ((*1 *2 *1) (-12 (-4 *1 (-750 *3)) (-4 *3 (-159)) (-4 *3 (-517)) (-5 *2 (-383 (-532))))) ((*1 *2 *1) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-786 *3)) (-4 *3 (-517)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-793 *3)) (-4 *3 (-517)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-934 *3)) (-4 *3 (-159)) (-4 *3 (-517)) (-5 *2 (-383 (-532))))) ((*1 *2 *3) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-945 *3)) (-4 *3 (-974 *2))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3183 *3) (|:| |coef1| (-735 *3)) (|:| |coef2| (-735 *3)))) (-5 *1 (-735 *3)) (-4 *3 (-524)) (-4 *3 (-983))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *7)) (-4 *7 (-800)) (-4 *5 (-852)) (-4 *6 (-746)) (-4 *8 (-892 *5 *6 *7)) (-5 *2 (-394 (-1092 *8))) (-5 *1 (-849 *5 *6 *7 *8)) (-5 *4 (-1092 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-852)) (-4 *5 (-1154 *4)) (-5 *2 (-394 (-1092 *5))) (-5 *1 (-850 *4 *5)) (-5 *3 (-1092 *5))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-532)) (-5 *1 (-394 *2)) (-4 *2 (-524))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1064)) (-5 *2 (-131)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1064)) (-5 *2 (-134))))) 
+(((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-532))) (-4 *3 (-983)) (-5 *1 (-557 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-532))) (-4 *1 (-1138 *3)) (-4 *3 (-983)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-532))) (-4 *1 (-1169 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-808)) (-5 *2 (-1183)) (-5 *1 (-1058)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-808))) (-5 *2 (-1183)) (-5 *1 (-1058))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-112)) (-4 *4 (-983)) (-5 *1 (-664 *4 *2)) (-4 *2 (-600 *4)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-112)) (-5 *1 (-787 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1092 *7)) (-4 *7 (-892 *6 *4 *5)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-983)) (-5 *2 (-1092 *6)) (-5 *1 (-294 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-777))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-1096))) (-5 *3 (-1096)) (-5 *1 (-508)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-654 *3)) (-4 *3 (-573 (-508))))) ((*1 *2 *3 *2 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-654 *3)) (-4 *3 (-573 (-508))))) ((*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-654 *3)) (-4 *3 (-573 (-508))))) ((*1 *2 *3 *2 *4) (-12 (-5 *4 (-598 (-1096))) (-5 *2 (-1096)) (-5 *1 (-654 *3)) (-4 *3 (-573 (-508)))))) 
+(((*1 *2) (-12 (-5 *2 (-598 (-723))) (-5 *1 (-1181)))) ((*1 *2 *2) (-12 (-5 *2 (-598 (-723))) (-5 *1 (-1181))))) 
+(((*1 *2 *3 *1) (-12 (-5 *2 (-598 (-1096))) (-5 *1 (-1099)) (-5 *3 (-1096))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-639 *3)) (-4 *3 (-983)) (-5 *1 (-640 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-1154 *4)) (-5 *1 (-511 *4 *2 *5 *6)) (-4 *4 (-280)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-723)))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-598 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-524) (-137))) (-5 *2 (-2 (|:| -3987 *3) (|:| -3980 *3))) (-5 *1 (-1148 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-383 (-532))) (-4 *1 (-522 *3)) (-4 *3 (-13 (-380) (-1116))))) ((*1 *1 *2) (-12 (-4 *1 (-522 *2)) (-4 *2 (-13 (-380) (-1116))))) ((*1 *1 *2 *2) (-12 (-4 *1 (-522 *2)) (-4 *2 (-13 (-380) (-1116)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1096)) (-5 *4 (-895 (-532))) (-5 *2 (-304)) (-5 *1 (-306))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-870)) (-5 *2 (-2 (|:| |brans| (-598 (-598 (-886 (-202))))) (|:| |xValues| (-1020 (-202))) (|:| |yValues| (-1020 (-202))))) (-5 *1 (-143)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-870)) (-5 *4 (-383 (-532))) (-5 *2 (-2 (|:| |brans| (-598 (-598 (-886 (-202))))) (|:| |xValues| (-1020 (-202))) (|:| |yValues| (-1020 (-202))))) (-5 *1 (-143)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-598 (-598 (-886 (-202))))) (|:| |xValues| (-1020 (-202))) (|:| |yValues| (-1020 (-202))))) (-5 *1 (-143)) (-5 *3 (-598 (-886 (-202)))))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-598 (-598 (-886 (-202))))) (|:| |xValues| (-1020 (-202))) (|:| |yValues| (-1020 (-202))))) (-5 *1 (-143)) (-5 *3 (-598 (-598 (-886 (-202))))))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-1020 (-355)))) (-5 *1 (-238)))) ((*1 *1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-238))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1049 *4 *3 *5))) (-4 *4 (-37 (-383 (-532)))) (-4 *4 (-983)) (-4 *3 (-800)) (-5 *1 (-1049 *4 *3 *5)) (-4 *5 (-892 *4 (-504 *3) *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1125 *4))) (-5 *3 (-1096)) (-5 *1 (-1125 *4)) (-4 *4 (-37 (-383 (-532)))) (-4 *4 (-983))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-1078)) (-5 *4 (-1043)) (-5 *2 (-110)) (-5 *1 (-774))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-383 (-532))) (-4 *4 (-974 (-532))) (-4 *4 (-13 (-800) (-524))) (-5 *1 (-31 *4 *2)) (-4 *2 (-406 *4)))) ((*1 *1 *1 *1) (-5 *1 (-128))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-146 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *1 *1 *1) (-5 *1 (-202))) ((*1 *1 *1 *2) (-12 (-4 *1 (-220)) (-5 *2 (-532)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-383 (-532))) (-4 *4 (-339)) (-4 *4 (-37 *3)) (-4 *5 (-1169 *4)) (-5 *1 (-253 *4 *5 *2)) (-4 *2 (-1140 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-383 (-532))) (-4 *4 (-339)) (-4 *4 (-37 *3)) (-4 *5 (-1138 *4)) (-5 *1 (-254 *4 *5 *2 *6)) (-4 *2 (-1161 *4 *5)) (-4 *6 (-921 *5)))) ((*1 *1 *1 *1) (-4 *1 (-258))) ((*1 *1 *2 *3) (-12 (-5 *3 (-532)) (-5 *1 (-337 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *1) (-5 *1 (-355))) ((*1 *1 *2 *3) (-12 (-5 *3 (-723)) (-5 *1 (-362 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-406 *3)) (-4 *3 (-800)) (-4 *3 (-1037)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-450)) (-5 *2 (-532)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-484 *3 *4 *5 *6)) (-4 *6 (-892 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1178 *4)) (-5 *3 (-532)) (-4 *4 (-325)) (-5 *1 (-502 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-508)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-508)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-723)) (-4 *4 (-1025)) (-5 *1 (-631 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-4 *3 (-339)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-639 *4)) (-5 *3 (-723)) (-4 *4 (-983)) (-5 *1 (-640 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-4 *3 (-983)) (-5 *1 (-664 *3 *4)) (-4 *4 (-600 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-112)) (-5 *3 (-532)) (-4 *4 (-983)) (-5 *1 (-664 *4 *5)) (-4 *5 (-600 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-670)) (-5 *2 (-864)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-672)) (-5 *2 (-723)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-676)) (-5 *2 (-723)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-693 *2 *3)) (-14 *2 (-1096)) (-4 *3 (-13 (-983) (-800) (-524))))) ((*1 *1 *2 *3) (-12 (-5 *3 (-723)) (-5 *1 (-772 *2)) (-4 *2 (-800)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-787 *3)) (-4 *3 (-983)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-112)) (-5 *3 (-532)) (-5 *1 (-787 *4)) (-4 *4 (-983)))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1 *1) (-12 (-5 *1 (-835 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-835 *3)) (-4 *3 (-1025)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-939)) (-5 *2 (-383 (-532))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1037)) (-5 *2 (-864)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-1046 *3 *4 *5 *6)) (-4 *4 (-983)) (-4 *5 (-215 *3 *4)) (-4 *6 (-215 *3 *4)) (-4 *4 (-339)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1169 *2)) (-4 *2 (-983)) (-4 *2 (-339))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *1 *1 *1) (-5 *1 (-110))) ((*1 *1 *1 *1) (-4 *1 (-121)))) 
+(((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-445)) (-5 *3 (-598 (-238))) (-5 *1 (-1179)))) ((*1 *1 *1) (-5 *1 (-1179)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-608 *3)) (-4 *3 (-983)) (-4 *3 (-339)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-723)) (-5 *4 (-1 *5 *5)) (-4 *5 (-339)) (-5 *1 (-611 *5 *2)) (-4 *2 (-608 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-1131 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-723)) (-4 *5 (-325)) (-4 *6 (-1154 *5)) (-5 *2 (-598 (-2 (|:| -1322 (-639 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-639 *6))))) (-5 *1 (-478 *5 *6 *7)) (-5 *3 (-2 (|:| -1322 (-639 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-639 *6)))) (-4 *7 (-1154 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-49 *3 *4)) (-4 *3 (-983)) (-14 *4 (-598 (-1096))))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-200 *3 *4)) (-4 *3 (-13 (-983) (-800))) (-14 *4 (-598 (-1096)))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *2 (-1025)) (-5 *1 (-1108 *3 *2)) (-4 *3 (-1025))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-983)) (-4 *4 (-1154 *3)) (-5 *1 (-151 *3 *4 *2)) (-4 *2 (-1154 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-267 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -2797 (-112)) (|:| |arg| (-598 (-835 *3))))) (-5 *1 (-835 *3)) (-4 *3 (-1025)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-112)) (-5 *2 (-598 (-835 *4))) (-5 *1 (-835 *4)) (-4 *4 (-1025))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1092 *3)) (-4 *3 (-325)) (-5 *1 (-333 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-524) (-800) (-974 (-532)))) (-4 *5 (-406 *4)) (-5 *2 (-3 (|:| |overq| (-1092 (-383 (-532)))) (|:| |overan| (-1092 (-47))) (|:| -3617 (-110)))) (-5 *1 (-411 *4 *5 *3)) (-4 *3 (-1154 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-639 *5)) (-5 *4 (-1178 *5)) (-4 *5 (-339)) (-5 *2 (-110)) (-5 *1 (-619 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-339)) (-4 *6 (-13 (-349 *5) (-10 -7 (-6 -4290)))) (-4 *4 (-13 (-349 *5) (-10 -7 (-6 -4290)))) (-5 *2 (-110)) (-5 *1 (-620 *5 *6 *4 *3)) (-4 *3 (-637 *5 *6 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-275)) (-5 *2 (-598 (-112)))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-532)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-723)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-746)) (-4 *4 (-892 *5 *6 *7)) (-4 *5 (-427)) (-4 *7 (-800)) (-5 *1 (-424 *5 *6 *7 *4))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-517)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1092 *7)) (-4 *5 (-983)) (-4 *7 (-983)) (-4 *2 (-1154 *5)) (-5 *1 (-481 *5 *2 *6 *7)) (-4 *6 (-1154 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-983)) (-4 *7 (-983)) (-4 *4 (-1154 *5)) (-5 *2 (-1092 *7)) (-5 *1 (-481 *5 *4 *6 *7)) (-4 *6 (-1154 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1020 (-793 (-202)))) (-5 *2 (-202)) (-5 *1 (-171)))) ((*1 *2 *3) (-12 (-5 *3 (-1020 (-793 (-202)))) (-5 *2 (-202)) (-5 *1 (-273)))) ((*1 *2 *3) (-12 (-5 *3 (-1020 (-793 (-202)))) (-5 *2 (-202)) (-5 *1 (-278))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1178 (-2 (|:| |scaleX| (-202)) (|:| |scaleY| (-202)) (|:| |deltaX| (-202)) (|:| |deltaY| (-202)) (|:| -3878 (-532)) (|:| -4022 (-532)) (|:| |spline| (-532)) (|:| -3714 (-532)) (|:| |axesColor| (-818)) (|:| -2167 (-532)) (|:| |unitsColor| (-818)) (|:| |showing| (-532))))) (-5 *1 (-1179))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *1)) (-4 *3 (-983)) (-4 *1 (-637 *3 *4 *5)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-983)) (-4 *1 (-637 *3 *4 *5)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-983)) (-5 *1 (-639 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *4)) (-4 *4 (-983)) (-4 *1 (-1046 *3 *4 *5 *6)) (-4 *5 (-215 *3 *4)) (-4 *6 (-215 *3 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-941 *3)) (-14 *3 (-532))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-983))))) 
+(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1096)) (-5 *1 (-626 *3)) (-4 *3 (-1025))))) 
+(((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-598 *7)) (|:| |badPols| (-598 *7)))) (-5 *1 (-915 *4 *5 *6 *7)) (-5 *3 (-598 *7))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-639 (-532))) (-5 *1 (-1035))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-301 *3)) (-4 *3 (-1130)))) ((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-495 *3 *4)) (-4 *3 (-1130)) (-14 *4 (-532))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-639 *3)) (-4 *3 (-983)) (-5 *1 (-965 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-598 (-639 *3))) (-4 *3 (-983)) (-5 *1 (-965 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-639 *3)) (-4 *3 (-983)) (-5 *1 (-965 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-598 (-639 *3))) (-4 *3 (-983)) (-5 *1 (-965 *3))))) 
+(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325)) (-5 *2 (-723)))) ((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-378)) (-5 *2 (-723))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-864)) (-5 *2 (-1178 (-598 (-2 (|:| -1330 *4) (|:| -3120 (-1043)))))) (-5 *1 (-322 *4)) (-4 *4 (-325))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 (-598 (-2 (|:| -1330 *4) (|:| -3120 (-1043)))))) (-4 *4 (-325)) (-5 *2 (-723)) (-5 *1 (-322 *4)))) ((*1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-327 *3 *4)) (-14 *3 (-864)) (-14 *4 (-864)))) ((*1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-328 *3 *4)) (-4 *3 (-325)) (-14 *4 (-3 (-1092 *3) (-1178 (-598 (-2 (|:| -1330 *3) (|:| -3120 (-1043))))))))) ((*1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-329 *3 *4)) (-4 *3 (-325)) (-14 *4 (-864))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-800)) (-5 *1 (-124 *3))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-997 *3 *4 *5))))) 
+(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-598 (-639 *6))) (-5 *4 (-110)) (-5 *5 (-532)) (-5 *2 (-639 *6)) (-5 *1 (-966 *6)) (-4 *6 (-339)) (-4 *6 (-983)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-598 (-639 *4))) (-5 *2 (-639 *4)) (-5 *1 (-966 *4)) (-4 *4 (-339)) (-4 *4 (-983)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-598 (-639 *5))) (-5 *4 (-532)) (-5 *2 (-639 *5)) (-5 *1 (-966 *5)) (-4 *5 (-339)) (-4 *5 (-983))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-598 (-571 *2))) (-5 *4 (-598 (-1096))) (-4 *2 (-13 (-406 (-156 *5)) (-939) (-1116))) (-4 *5 (-13 (-524) (-800))) (-5 *1 (-561 *5 *6 *2)) (-4 *6 (-13 (-406 *5) (-939) (-1116)))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-300 *3 *4)) (-4 *3 (-983)) (-4 *4 (-745))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-557 *3)) (-4 *3 (-37 *2)) (-4 *3 (-983))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |gen| *3) (|:| -1898 *4)))) (-5 *1 (-601 *3 *4 *5)) (-4 *3 (-1025)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *1) (-4 *1 (-258))) ((*1 *2 *3) (-12 (-5 *3 (-394 *4)) (-4 *4 (-524)) (-5 *2 (-598 (-2 (|:| -2283 (-723)) (|:| |logand| *4)))) (-5 *1 (-293 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *2 *1) (-12 (-5 *2 (-616 *3 *4)) (-5 *1 (-582 *3 *4 *5)) (-4 *3 (-800)) (-4 *4 (-13 (-159) (-667 (-383 (-532))))) (-14 *5 (-864)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-723)) (-4 *4 (-13 (-983) (-667 (-383 (-532))))) (-4 *5 (-800)) (-5 *1 (-1193 *4 *5 *2)) (-4 *2 (-1198 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-1197 *3 *4)) (-4 *4 (-667 (-383 (-532)))) (-4 *3 (-800)) (-4 *4 (-159))))) 
+(((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |k| (-1096)) (|:| |c| (-1199 *3))))) (-5 *1 (-1199 *3)) (-4 *3 (-983)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |k| *3) (|:| |c| (-1201 *3 *4))))) (-5 *1 (-1201 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1028 *3 *4 *5 *6 *7)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)) (-5 *2 (-110))))) 
+(((*1 *1 *1) (-4 *1 (-133))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-146 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *2 *2) (-12 (-5 *1 (-147 *2)) (-4 *2 (-517))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-571 *1)) (-4 *1 (-275))))) 
+(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-110)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-598 (-964 *5 *6 *7 *3))) (-5 *1 (-964 *5 *6 *7 *3)) (-4 *3 (-997 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-598 *6)) (-4 *1 (-1002 *3 *4 *5 *6)) (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1002 *3 *4 *5 *2)) (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *2 (-997 *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-110)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-598 (-1066 *5 *6 *7 *3))) (-5 *1 (-1066 *5 *6 *7 *3)) (-4 *3 (-997 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-598 (-2 (|:| -2533 *1) (|:| -3066 (-598 *7))))) (-5 *3 (-598 *7)) (-4 *1 (-1124 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-723)) (-5 *1 (-420 *3)) (-4 *3 (-983)))) ((*1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-420 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-110)) (-5 *1 (-1033 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| (-110)) (|:| -1213 *4)))) (-5 *1 (-1033 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-886 *3)) (-4 *3 (-13 (-339) (-1116) (-939))) (-5 *1 (-161 *3))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-1178 *4)) (-4 *4 (-594 (-532))) (-5 *2 (-1178 (-532))) (-5 *1 (-1204 *4))))) 
+(((*1 *2 *3) (-12 (-14 *4 (-598 (-1096))) (-14 *5 (-723)) (-5 *2 (-598 (-484 (-383 (-532)) (-217 *5 (-723)) (-810 *4) (-224 *4 (-383 (-532)))))) (-5 *1 (-485 *4 *5)) (-5 *3 (-484 (-383 (-532)) (-217 *5 (-723)) (-810 *4) (-224 *4 (-383 (-532)))))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-773)) (-14 *5 (-1096)) (-5 *2 (-598 (-1151 *5 *4))) (-5 *1 (-1039 *4 *5)) (-5 *3 (-1151 *5 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-571 *5)) (-4 *5 (-406 *4)) (-4 *4 (-974 (-532))) (-4 *4 (-13 (-800) (-524))) (-5 *2 (-1092 *5)) (-5 *1 (-31 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-571 *1)) (-4 *1 (-983)) (-4 *1 (-275)) (-5 *2 (-1092 *1))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-110)) (-5 *1 (-926 *4 *5 *6 *7 *3)) (-4 *3 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-110)) (-5 *1 (-1032 *4 *5 *6 *7 *3)) (-4 *3 (-1002 *4 *5 *6 *7))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1176 *3)) (-4 *3 (-1130)) (-4 *3 (-983)) (-5 *2 (-639 *3))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-453 *4 *5 *6 *7)) (|:| -3526 (-598 *7)))) (-5 *1 (-915 *4 *5 *6 *7)) (-5 *3 (-598 *7))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-598 (-571 *4))) (-4 *4 (-406 *3)) (-4 *3 (-800)) (-5 *1 (-541 *3 *4)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-832 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-1025)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-723)) (-5 *2 (-598 (-1096))) (-5 *1 (-189)) (-5 *3 (-1096)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-288 (-202))) (-5 *4 (-723)) (-5 *2 (-598 (-1096))) (-5 *1 (-242)))) ((*1 *2 *1) (-12 (-4 *1 (-350 *3 *4)) (-4 *3 (-800)) (-4 *4 (-159)) (-5 *2 (-598 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-598 *3)) (-5 *1 (-582 *3 *4 *5)) (-4 *3 (-800)) (-4 *4 (-13 (-159) (-667 (-383 (-532))))) (-14 *5 (-864)))) ((*1 *2 *1) (-12 (-5 *2 (-598 *3)) (-5 *1 (-623 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-598 *3)) (-5 *1 (-627 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-598 *3)) (-5 *1 (-772 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-598 *3)) (-5 *1 (-836 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-4 *1 (-1194 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983)) (-5 *2 (-598 *3))))) 
+(((*1 *2) (-12 (-4 *4 (-1134)) (-4 *5 (-1154 *4)) (-4 *6 (-1154 (-383 *5))) (-5 *2 (-598 (-598 *4))) (-5 *1 (-315 *3 *4 *5 *6)) (-4 *3 (-316 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-4 *3 (-344)) (-5 *2 (-598 (-598 *3)))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1130)) (-5 *1 (-166 *3 *2)) (-4 *2 (-625 *3))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-670)) (-5 *2 (-864)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-672)) (-5 *2 (-723))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1130)) (-5 *2 (-598 *1)) (-4 *1 (-947 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-886 *4)) (-4 *4 (-983)) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1076 (-202))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2548 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-972)) (-5 *1 (-278))))) 
+(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 *4)) (-4 *4 (-983)) (-4 *2 (-1154 *4)) (-5 *1 (-419 *4 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-383 (-1092 (-288 *5)))) (-5 *3 (-1178 (-288 *5))) (-5 *4 (-532)) (-4 *5 (-13 (-524) (-800))) (-5 *1 (-1053 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-532))) (-5 *4 (-848 (-532))) (-5 *2 (-639 (-532))) (-5 *1 (-553)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-598 (-639 (-532)))) (-5 *1 (-553)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-532))) (-5 *4 (-598 (-848 (-532)))) (-5 *2 (-598 (-639 (-532)))) (-5 *1 (-553))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1078)) (-5 *5 (-639 (-202))) (-5 *6 (-202)) (-5 *7 (-639 (-532))) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-723)) (-5 *1 (-736 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-159))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1056 (-202))) (-5 *3 (-598 (-238))) (-5 *1 (-1180)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1056 (-202))) (-5 *3 (-1078)) (-5 *1 (-1180)))) ((*1 *1 *1) (-5 *1 (-1180)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-303 *3)) (-4 *3 (-339)) (-4 *3 (-344)) (-5 *2 (-1092 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-571 (-47)))) (-5 *1 (-47)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571 (-47))) (-5 *1 (-47)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1092 (-47))) (-5 *3 (-598 (-571 (-47)))) (-5 *1 (-47)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1092 (-47))) (-5 *3 (-571 (-47))) (-5 *1 (-47)))) ((*1 *2 *1) (-12 (-4 *1 (-153 *2)) (-4 *2 (-159)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-339) (-798))) (-5 *1 (-165 *2 *3)) (-4 *3 (-1154 (-156 *2))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-864)) (-4 *1 (-303 *3)) (-4 *3 (-339)) (-4 *3 (-344)))) ((*1 *2 *1) (-12 (-4 *1 (-303 *2)) (-4 *2 (-339)))) ((*1 *2 *1) (-12 (-4 *1 (-346 *2 *3)) (-4 *3 (-1154 *2)) (-4 *2 (-159)))) ((*1 *2 *1) (-12 (-4 *4 (-1154 *2)) (-4 *2 (-930 *3)) (-5 *1 (-389 *3 *2 *4 *5)) (-4 *3 (-280)) (-4 *5 (-13 (-385 *2 *4) (-974 *2))))) ((*1 *2 *1) (-12 (-4 *4 (-1154 *2)) (-4 *2 (-930 *3)) (-5 *1 (-390 *3 *2 *4 *5 *6)) (-4 *3 (-280)) (-4 *5 (-385 *2 *4)) (-14 *6 (-1178 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-864)) (-4 *5 (-983)) (-4 *2 (-13 (-380) (-974 *5) (-339) (-1116) (-258))) (-5 *1 (-418 *5 *3 *2)) (-4 *3 (-1154 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-571 (-475)))) (-5 *1 (-475)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571 (-475))) (-5 *1 (-475)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1092 (-475))) (-5 *3 (-598 (-571 (-475)))) (-5 *1 (-475)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1092 (-475))) (-5 *3 (-571 (-475))) (-5 *1 (-475)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1178 *4)) (-5 *3 (-864)) (-4 *4 (-325)) (-5 *1 (-502 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-427)) (-4 *5 (-674 *4 *2)) (-4 *2 (-1154 *4)) (-5 *1 (-727 *4 *2 *5 *3)) (-4 *3 (-1154 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-750 *2)) (-4 *2 (-159)))) ((*1 *2 *1) (-12 (-4 *1 (-934 *2)) (-4 *2 (-159)))) ((*1 *1 *1) (-4 *1 (-992)))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-639 (-202))) (-5 *5 (-639 (-532))) (-5 *6 (-202)) (-5 *3 (-532)) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1092 *3)) (-4 *3 (-325)) (-5 *1 (-333 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-309 *3 *4 *5 *6)) (-4 *3 (-339)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-4 *6 (-316 *3 *4 *5)) (-5 *2 (-2 (|:| -3525 (-389 *4 (-383 *4) *5 *6)) (|:| |principalPart| *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1154 *5)) (-4 *5 (-339)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2107 (-383 *6)) (|:| |special| (-383 *6)))) (-5 *1 (-677 *5 *6)) (-5 *3 (-383 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-339)) (-5 *2 (-598 *3)) (-5 *1 (-839 *3 *4)) (-4 *3 (-1154 *4)))) ((*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-723)) (-4 *5 (-339)) (-5 *2 (-2 (|:| -3987 *3) (|:| -3980 *3))) (-5 *1 (-839 *3 *5)) (-4 *3 (-1154 *5)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-598 *9)) (-5 *3 (-598 *8)) (-5 *4 (-110)) (-4 *8 (-997 *5 *6 *7)) (-4 *9 (-1002 *5 *6 *7 *8)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *1 (-1000 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-598 *9)) (-5 *3 (-598 *8)) (-5 *4 (-110)) (-4 *8 (-997 *5 *6 *7)) (-4 *9 (-1002 *5 *6 *7 *8)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *1 (-1000 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-598 *9)) (-5 *3 (-598 *8)) (-5 *4 (-110)) (-4 *8 (-997 *5 *6 *7)) (-4 *9 (-1034 *5 *6 *7 *8)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-598 *9)) (-5 *3 (-598 *8)) (-5 *4 (-110)) (-4 *8 (-997 *5 *6 *7)) (-4 *9 (-1034 *5 *6 *7 *8)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *1 (-1065 *5 *6 *7 *8 *9))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-484 (-383 (-532)) (-217 *5 (-723)) (-810 *4) (-224 *4 (-383 (-532))))) (-14 *4 (-598 (-1096))) (-14 *5 (-723)) (-5 *2 (-110)) (-5 *1 (-485 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1078)) (-5 *5 (-639 (-202))) (-5 *6 (-202)) (-5 *7 (-639 (-532))) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-339)) (-4 *5 (-524)) (-5 *2 (-2 (|:| |minor| (-598 (-864))) (|:| -3325 *3) (|:| |minors| (-598 (-598 (-864)))) (|:| |ops| (-598 *3)))) (-5 *1 (-89 *5 *3)) (-5 *4 (-864)) (-4 *3 (-608 *5))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-598 *11)) (-5 *5 (-598 (-1092 *9))) (-5 *6 (-598 *9)) (-5 *7 (-598 *12)) (-5 *8 (-598 (-723))) (-4 *11 (-800)) (-4 *9 (-280)) (-4 *12 (-892 *9 *10 *11)) (-4 *10 (-746)) (-5 *2 (-598 (-1092 *12))) (-5 *1 (-657 *10 *11 *9 *12)) (-5 *3 (-1092 *12))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-776)) (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-406 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-598 (-835 *3))) (-5 *1 (-835 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-892 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-983)) (-4 *7 (-892 *6 *4 *5)) (-5 *2 (-598 *3)) (-5 *1 (-893 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-339) (-10 -8 (-15 -1256 ($ *7)) (-15 -2251 (*7 $)) (-15 -2258 (*7 $)))))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1078)) (-5 *4 (-532)) (-5 *5 (-639 (-202))) (-5 *6 (-202)) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1019 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-777))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-1078))) (-5 *2 (-1078)) (-5 *1 (-171)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1092 *3)) (-5 *1 (-857 *3)) (-4 *3 (-280))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-886 *2)) (-5 *1 (-920 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1076 *4)) (-4 *4 (-37 *3)) (-4 *4 (-983)) (-5 *3 (-383 (-532))) (-5 *1 (-1080 *4))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-532)) (-5 *5 (-639 (-202))) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-355) (-355))) (-5 *4 (-355)) (-5 *2 (-2 (|:| -1330 *4) (|:| -3758 *4) (|:| |totalpts| (-532)) (|:| |success| (-110)))) (-5 *1 (-742)) (-5 *5 (-532))))) 
+(((*1 *2) (-12 (-5 *2 (-355)) (-5 *1 (-976))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-46 *2 *3)) (-4 *3 (-745)) (-4 *2 (-983)))) ((*1 *2 *1 *1) (-12 (-4 *2 (-983)) (-5 *1 (-49 *2 *3)) (-14 *3 (-598 (-1096))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-598 (-864))) (-4 *2 (-339)) (-5 *1 (-142 *4 *2 *5)) (-14 *4 (-864)) (-14 *5 (-931 *4 *2)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-288 *3)) (-5 *1 (-200 *3 *4)) (-4 *3 (-13 (-983) (-800))) (-14 *4 (-598 (-1096))))) ((*1 *2 *3 *1) (-12 (-4 *1 (-296 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-126)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-358 *2 *3)) (-4 *3 (-1025)) (-4 *2 (-983)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *2 (-524)) (-5 *1 (-579 *2 *4)) (-4 *4 (-1154 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-4 *1 (-658 *2)) (-4 *2 (-983)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-983)) (-5 *1 (-685 *2 *3)) (-4 *3 (-676)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 *5)) (-5 *3 (-598 (-723))) (-4 *1 (-690 *4 *5)) (-4 *4 (-983)) (-4 *5 (-800)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-723)) (-4 *1 (-690 *4 *2)) (-4 *4 (-983)) (-4 *2 (-800)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-4 *1 (-802 *2)) (-4 *2 (-983)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 *6)) (-5 *3 (-598 (-723))) (-4 *1 (-892 *4 *5 *6)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *6 (-800)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-723)) (-4 *1 (-892 *4 *5 *2)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *2 (-800)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-4 *2 (-892 *4 (-504 *5) *5)) (-5 *1 (-1049 *4 *5 *2)) (-4 *4 (-983)) (-4 *5 (-800)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-895 *4)) (-5 *1 (-1125 *4)) (-4 *4 (-983))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-267 (-786 *3))) (-4 *5 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-786 *3)) (-5 *1 (-591 *5 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-267 (-786 (-895 *5)))) (-4 *5 (-427)) (-5 *2 (-786 (-383 (-895 *5)))) (-5 *1 (-592 *5)) (-5 *3 (-383 (-895 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-267 (-383 (-895 *5)))) (-5 *3 (-383 (-895 *5))) (-4 *5 (-427)) (-5 *2 (-786 *3)) (-5 *1 (-592 *5))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-339) (-137) (-974 (-532)))) (-4 *5 (-1154 *4)) (-5 *2 (-598 (-383 *5))) (-5 *1 (-953 *4 *5)) (-5 *3 (-383 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-4 *1 (-212 *3)))) ((*1 *1) (-12 (-4 *1 (-212 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-598 (-532))) (-5 *3 (-639 (-532))) (-5 *1 (-1035))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-703))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-598 (-598 (-598 *4)))) (-5 *2 (-598 (-598 *4))) (-4 *4 (-800)) (-5 *1 (-1102 *4))))) 
+(((*1 *1) (-5 *1 (-413)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-926 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-1032 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7))))) 
+(((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4289)) (-4 *1 (-141 *2)) (-4 *2 (-1130)) (-4 *2 (-1025)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3)) (|has| *1 (-6 -4289)) (-4 *1 (-141 *3)) (-4 *3 (-1130)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3)) (-4 *1 (-625 *3)) (-4 *3 (-1130)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-110) *4)) (-5 *3 (-532)) (-4 *4 (-1025)) (-5 *1 (-687 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-532)) (-5 *1 (-687 *2)) (-4 *2 (-1025)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1060 *3 *4)) (-4 *3 (-13 (-1025) (-33))) (-4 *4 (-13 (-1025) (-33))) (-5 *1 (-1061 *3 *4))))) 
+(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-703))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-2 (|:| |deg| (-723)) (|:| -1505 *5)))) (-4 *5 (-1154 *4)) (-4 *4 (-325)) (-5 *2 (-598 *5)) (-5 *1 (-194 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-2 (|:| -4186 *5) (|:| -2997 (-532))))) (-5 *4 (-532)) (-4 *5 (-1154 *4)) (-5 *2 (-598 *5)) (-5 *1 (-645 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2048 (-639 (-383 (-895 *4)))) (|:| |vec| (-598 (-383 (-895 *4)))) (|:| -2630 (-723)) (|:| |rows| (-598 (-532))) (|:| |cols| (-598 (-532))))) (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *2 (-2 (|:| |partsol| (-1178 (-383 (-895 *4)))) (|:| -1322 (-598 (-1178 (-383 (-895 *4))))))) (-5 *1 (-867 *4 *5 *6 *7)) (-4 *7 (-892 *4 *6 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-288 (-202))) (|:| -2932 (-598 (-202))) (|:| |lb| (-598 (-793 (-202)))) (|:| |cf| (-598 (-288 (-202)))) (|:| |ub| (-598 (-793 (-202)))))) (|:| |lsa| (-2 (|:| |lfn| (-598 (-288 (-202)))) (|:| -2932 (-598 (-202))))))) (-5 *2 (-598 (-1078))) (-5 *1 (-242))))) 
+(((*1 *2) (-12 (-4 *3 (-983)) (-5 *2 (-900 (-662 *3 *4))) (-5 *1 (-662 *3 *4)) (-4 *4 (-1154 *3))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-703))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1084 3 *3)) (-4 *3 (-983)) (-4 *1 (-1057 *3)))) ((*1 *1) (-12 (-4 *1 (-1057 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-1035))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-835 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-1028 *3 *4 *5 *6 *7)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)) (-5 *2 (-110))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-598 (-735 *3))) (-5 *1 (-735 *3)) (-4 *3 (-524)) (-4 *3 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1092 *4)) (-5 *1 (-333 *4)) (-4 *4 (-325)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1092 *4)) (-5 *1 (-333 *4)) (-4 *4 (-325)))) ((*1 *1) (-4 *1 (-344))) ((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1178 *4)) (-5 *1 (-502 *4)) (-4 *4 (-325)))) ((*1 *1 *1) (-4 *1 (-517))) ((*1 *1) (-4 *1 (-517))) ((*1 *1 *1) (-5 *1 (-532))) ((*1 *1 *1) (-5 *1 (-723))) ((*1 *2 *1) (-12 (-5 *2 (-848 *3)) (-5 *1 (-847 *3)) (-4 *3 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-5 *2 (-848 *4)) (-5 *1 (-847 *4)) (-4 *4 (-1025)))) ((*1 *1) (-12 (-4 *1 (-930 *2)) (-4 *2 (-517)) (-4 *2 (-524))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-703))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-598 (-532))) (-5 *3 (-110)) (-5 *1 (-1035))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-723)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-746)) (-4 *2 (-892 *4 *5 *6)) (-5 *1 (-424 *4 *5 *6 *2)) (-4 *4 (-427)) (-4 *6 (-800))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-517)) (-5 *2 (-110))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-529))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-202)) (-5 *2 (-972)) (-5 *1 (-703))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-160 *3)) (-4 *3 (-280)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-625 *3)) (-4 *3 (-1130)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-690 *3 *4)) (-4 *3 (-983)) (-4 *4 (-800)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-814 *3)) (-5 *2 (-532)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *1 (-918 *3)) (-4 *3 (-983)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-598 *1)) (-5 *3 (-598 *7)) (-4 *1 (-1002 *4 *5 *6 *7)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-598 *1)) (-4 *1 (-1002 *4 *5 *6 *3)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-598 *1)) (-4 *1 (-1002 *4 *5 *6 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1124 *3 *4 *5 *2)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *2 (-997 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1156 *3 *2)) (-4 *3 (-983)) (-4 *2 (-745))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-51)) (-5 *1 (-782))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-703))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1169 *4)) (-4 *4 (-37 (-383 (-532)))) (-5 *2 (-1 (-1076 *4) (-1076 *4))) (-5 *1 (-1171 *4 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-305 *2)) (-4 *2 (-800)))) ((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3)))) ((*1 *1 *1) (-4 *1 (-1119)))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-532)) (-5 *2 (-1183)) (-5 *1 (-847 *4)) (-4 *4 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-847 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-723)) (-5 *4 (-1178 *2)) (-4 *5 (-280)) (-4 *6 (-930 *5)) (-4 *2 (-13 (-385 *6 *7) (-974 *6))) (-5 *1 (-389 *5 *6 *7 *2)) (-4 *7 (-1154 *6))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-639 *3)) (-4 *3 (-983)) (-5 *1 (-640 *3)))) ((*1 *2 *2 *2 *2) (-12 (-5 *2 (-639 *3)) (-4 *3 (-983)) (-5 *1 (-640 *3))))) 
+(((*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-703))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-394 *2)) (-4 *2 (-524))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-350 *2 *3)) (-4 *2 (-800)) (-4 *3 (-159)))) ((*1 *1 *1) (-12 (-5 *1 (-582 *2 *3 *4)) (-4 *2 (-800)) (-4 *3 (-13 (-159) (-667 (-383 (-532))))) (-14 *4 (-864)))) ((*1 *1 *1) (-12 (-5 *1 (-627 *2)) (-4 *2 (-800)))) ((*1 *1 *1) (-12 (-5 *1 (-772 *2)) (-4 *2 (-800)))) ((*1 *1 *1) (-12 (-4 *1 (-1194 *2 *3)) (-4 *2 (-800)) (-4 *3 (-983))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-305 *2)) (-4 *2 (-800)))) ((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3)))) ((*1 *1 *1) (-4 *1 (-1119)))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-1178 *5)) (-5 *3 (-723)) (-5 *4 (-1043)) (-4 *5 (-325)) (-5 *1 (-502 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-963 (-793 (-532)))) (-5 *1 (-557 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-445)))) ((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-1179)))) ((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-835 *4)) (-4 *4 (-1025)) (-4 *2 (-1025)) (-5 *1 (-832 *4 *2))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-202)) (-5 *1 (-203)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-156 (-202))) (-5 *1 (-203)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1059)))) 
+(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-202)) (-5 *2 (-972)) (-5 *1 (-703))))) 
+(((*1 *1 *1) (-4 *1 (-584))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-585 *3 *2)) (-4 *2 (-13 (-406 *3) (-939) (-1116)))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-229 *2)) (-4 *2 (-1130))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-51))) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-808))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-814 *3)) (-5 *2 (-532))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1154 *5)) (-4 *5 (-339)) (-5 *2 (-2 (|:| |ir| (-549 (-383 *6))) (|:| |specpart| (-383 *6)) (|:| |polypart| *6))) (-5 *1 (-542 *5 *6)) (-5 *3 (-383 *6))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-598 *2)) (-5 *1 (-164 *2)) (-4 *2 (-280)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-598 (-598 *4))) (-5 *2 (-598 *4)) (-4 *4 (-280)) (-5 *1 (-164 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-598 *8)) (-5 *4 (-598 (-2 (|:| -1322 (-639 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-639 *7))))) (-5 *5 (-723)) (-4 *8 (-1154 *7)) (-4 *7 (-1154 *6)) (-4 *6 (-325)) (-5 *2 (-2 (|:| -1322 (-639 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-639 *7)))) (-5 *1 (-478 *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-529))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-598 (-508))) (-5 *1 (-508))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-52))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-532)))) (-4 *4 (-13 (-1154 *3) (-524) (-10 -8 (-15 -3484 ($ $ $))))) (-4 *3 (-524)) (-5 *1 (-1157 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-847 (-532))) (-5 *1 (-860)))) ((*1 *2) (-12 (-5 *2 (-847 (-532))) (-5 *1 (-860))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-110)) (-4 *6 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-4 *3 (-13 (-27) (-1116) (-406 *6) (-10 -8 (-15 -1256 ($ *7))))) (-4 *7 (-798)) (-4 *8 (-13 (-1156 *3 *7) (-339) (-1116) (-10 -8 (-15 -2411 ($ $)) (-15 -2211 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1078)) (|:| |prob| (-1078)))))) (-5 *1 (-398 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1078)) (-4 *9 (-921 *8)) (-14 *10 (-1096))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1092 (-532))) (-5 *2 (-532)) (-5 *1 (-885))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1098 (-383 (-532)))) (-5 *1 (-169)) (-5 *3 (-532))))) 
+(((*1 *1 *1) (-4 *1 (-584))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-585 *3 *2)) (-4 *2 (-13 (-406 *3) (-939) (-1116)))))) 
 (((*1 *1) (-5 *1 (-131)))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-578 (-578 (-578 *4)))) (-5 *2 (-578 (-578 *4))) (-4 *4 (-777)) (-5 *1 (-1076 *4))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-346))) (-5 *1 (-953)) (-5 *3 (-346))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1125 *5)) (-4 *5 (-331)) (-5 *2 (-2 (|:| |ir| (-530 (-375 *6))) (|:| |specpart| (-375 *6)) (|:| |polypart| *6))) (-5 *1 (-525 *5 *6)) (-5 *3 (-375 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-229))))) 
-(((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 (-863 (-199)) (-863 (-199)))) (-5 *1 (-232)))) ((*1 *2 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-297 *4)) (-4 *4 (-331)) (-5 *2 (-621 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-297 *3)) (-4 *3 (-331)) (-5 *2 (-1148 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-335 *4)) (-4 *4 (-156)) (-5 *2 (-621 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-335 *4)) (-4 *4 (-156)) (-5 *2 (-1148 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-338 *4 *5)) (-4 *4 (-156)) (-4 *5 (-1125 *4)) (-5 *2 (-621 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-338 *4 *5)) (-4 *4 (-156)) (-4 *5 (-1125 *4)) (-5 *2 (-1148 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-378 *4 *5)) (-4 *4 (-156)) (-4 *5 (-1125 *4)) (-5 *2 (-621 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-378 *3 *4)) (-4 *3 (-156)) (-4 *4 (-1125 *3)) (-5 *2 (-1148 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-386 *4)) (-4 *4 (-156)) (-5 *2 (-621 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-386 *3)) (-4 *3 (-156)) (-5 *2 (-1148 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-621 *5))) (-5 *3 (-621 *5)) (-4 *5 (-331)) (-5 *2 (-1148 *5)) (-5 *1 (-988 *5))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-331)) (-5 *1 (-697 *2 *3)) (-4 *2 (-640 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-779 *2)) (-4 *2 (-959)) (-4 *2 (-331))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1166 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1170 *3 *4)) (-4 *3 (-959)) (-4 *4 (-773))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-152 (-199))) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-689))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-578 *4)) (-4 *4 (-331)) (-4 *2 (-1125 *4)) (-5 *1 (-843 *4 *2))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1053)) (-5 *4 (-501)) (-5 *5 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-688))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-107)) (-4 *5 (-13 (-276) (-134))) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *8 (-972 *5 *6 *7)) (-5 *2 (-578 *3)) (-5 *1 (-537 *5 *6 *7 *8 *3)) (-4 *3 (-1009 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-107)) (-4 *5 (-13 (-276) (-134))) (-5 *2 (-578 (-2 (|:| -1717 (-1064 *5)) (|:| -2085 (-578 (-866 *5)))))) (-5 *1 (-982 *5 *6)) (-5 *3 (-578 (-866 *5))) (-14 *6 (-578 (-1070))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-276) (-134))) (-5 *2 (-578 (-2 (|:| -1717 (-1064 *4)) (|:| -2085 (-578 (-866 *4)))))) (-5 *1 (-982 *4 *5)) (-5 *3 (-578 (-866 *4))) (-14 *5 (-578 (-1070))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-107)) (-4 *5 (-13 (-276) (-134))) (-5 *2 (-578 (-2 (|:| -1717 (-1064 *5)) (|:| -2085 (-578 (-866 *5)))))) (-5 *1 (-982 *5 *6)) (-5 *3 (-578 (-866 *5))) (-14 *6 (-578 (-1070)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1048 (-199))) (-5 *2 (-578 (-1053))) (-5 *1 (-168)))) ((*1 *2 *3) (-12 (-5 *3 (-1048 (-199))) (-5 *2 (-578 (-1053))) (-5 *1 (-270)))) ((*1 *2 *3) (-12 (-5 *3 (-1048 (-199))) (-5 *2 (-578 (-1053))) (-5 *1 (-272))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1053)) (-5 *4 (-501)) (-5 *5 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-688))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1070)) (-4 *5 (-331)) (-5 *2 (-1048 (-1048 (-866 *5)))) (-5 *1 (-1157 *5)) (-5 *4 (-1048 (-866 *5)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-107)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-578 *10)) (-5 *1 (-563 *5 *6 *7 *8 *9 *10)) (-4 *9 (-977 *5 *6 *7 *8)) (-4 *10 (-1009 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-710 *5 (-787 *6)))) (-5 *4 (-107)) (-4 *5 (-419)) (-14 *6 (-578 (-1070))) (-5 *2 (-578 (-956 *5 *6))) (-5 *1 (-566 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-710 *5 (-787 *6)))) (-5 *4 (-107)) (-4 *5 (-419)) (-14 *6 (-578 (-1070))) (-5 *2 (-578 (-1041 *5 (-487 (-787 *6)) (-787 *6) (-710 *5 (-787 *6))))) (-5 *1 (-566 *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-107)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-578 (-940 *5 *6 *7 *8))) (-5 *1 (-940 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-107)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-578 (-940 *5 *6 *7 *8))) (-5 *1 (-940 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-578 (-710 *5 (-787 *6)))) (-5 *4 (-107)) (-4 *5 (-419)) (-14 *6 (-578 (-1070))) (-5 *2 (-578 (-956 *5 *6))) (-5 *1 (-956 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-107)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-977 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-107)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-578 (-1041 *5 *6 *7 *8))) (-5 *1 (-1041 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-107)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-578 (-1041 *5 *6 *7 *8))) (-5 *1 (-1041 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-1099 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-225 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1064 *6)) (-5 *3 (-501)) (-4 *6 (-276)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-673 *4 *5 *6 *7)) (-4 *7 (-870 *6 *4 *5))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1053)) (-5 *5 (-621 (-199))) (-5 *6 (-621 (-501))) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-688))))) 
-(((*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-726 *2)) (-4 *2 (-156)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-910 *3)) (-4 *3 (-156)) (-5 *1 (-728 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-3 (-1064 *4) (-1148 (-578 (-2 (|:| -2150 *4) (|:| -3506 (-1018))))))) (-5 *1 (-315 *4)) (-4 *4 (-318))))) 
-(((*1 *2) (-12 (-5 *2 (-877 (-1018))) (-5 *1 (-312 *3 *4)) (-14 *3 (-839)) (-14 *4 (-839)))) ((*1 *2) (-12 (-5 *2 (-877 (-1018))) (-5 *1 (-313 *3 *4)) (-4 *3 (-318)) (-14 *4 (-1064 *3)))) ((*1 *2) (-12 (-5 *2 (-877 (-1018))) (-5 *1 (-314 *3 *4)) (-4 *3 (-318)) (-14 *4 (-839))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1053)) (-5 *1 (-490))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-578 (-578 *4)))) (-5 *2 (-578 (-578 *4))) (-5 *1 (-1076 *4)) (-4 *4 (-777))))) 
-(((*1 *2 *3 *3 *1) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-3 *3 (-578 *1))) (-4 *1 (-977 *4 *5 *6 *3))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-346) (-346))) (-5 *4 (-346)) (-5 *2 (-2 (|:| -2150 *4) (|:| -2390 *4) (|:| |totalpts| (-501)) (|:| |success| (-107)))) (-5 *1 (-719)) (-5 *5 (-501))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-688))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-578 (-1064 (-501)))) (-5 *1 (-167)) (-5 *3 (-501))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-501)) (-5 *5 (-621 (-199))) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-68 APROD)))) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-687))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1048 *4)) (-5 *3 (-501)) (-4 *4 (-959)) (-5 *1 (-1055 *4)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-1139 *3 *4 *5)) (-4 *3 (-959)) (-14 *4 (-1070)) (-14 *5 *3)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-621 (-282 (-501)))) (-5 *1 (-941))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-1125 *4)) (-5 *1 (-494 *4 *2 *5 *6)) (-4 *4 (-276)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-701)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-863 (-199)))) (-5 *1 (-1151))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-342 *3 *4)) (-4 *3 (-777)) (-4 *4 (-156)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-1169 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959))))) 
-(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-621 (-199))) (-5 *5 (-621 (-501))) (-5 *3 (-501)) (-5 *2 (-948)) (-5 *1 (-687))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-578 (-578 (-578 *4)))) (-5 *3 (-578 *4)) (-4 *4 (-777)) (-5 *1 (-1076 *4))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-621 (-1064 *8))) (-4 *5 (-959)) (-4 *8 (-959)) (-4 *6 (-1125 *5)) (-5 *2 (-621 *6)) (-5 *1 (-464 *5 *6 *7 *8)) (-4 *7 (-1125 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-769 (-501))) (-5 *1 (-489)))) ((*1 *1) (-12 (-5 *1 (-769 *2)) (-4 *2 (-1001))))) 
-(((*1 *2) (|partial| -12 (-4 *4 (-1108)) (-4 *5 (-1125 (-375 *2))) (-4 *2 (-1125 *4)) (-5 *1 (-309 *3 *4 *2 *5)) (-4 *3 (-310 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-310 *3 *2 *4)) (-4 *3 (-1108)) (-4 *4 (-1125 (-375 *2))) (-4 *2 (-1125 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-786))))) 
-(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-107)) (-5 *6 (-199)) (-5 *7 (-3 (|:| |fn| (-356)) (|:| |fp| (-66 APROD)))) (-5 *8 (-3 (|:| |fn| (-356)) (|:| |fp| (-71 MSOLVE)))) (-5 *2 (-948)) (-5 *1 (-687))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-909 *2)) (-4 *2 (-1104))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-389 *3) (-916))) (-5 *1 (-247 *3 *2)) (-4 *3 (-13 (-777) (-508)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-340 *3)) (-4 *3 (-1104)) (-4 *3 (-777)) (-5 *2 (-107)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-107) *4 *4)) (-4 *1 (-340 *4)) (-4 *4 (-1104)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-621 (-199))) (-5 *5 (-621 (-501))) (-5 *3 (-501)) (-5 *2 (-948)) (-5 *1 (-687))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-567 *3 *2)) (-4 *2 (-13 (-389 *3) (-916) (-1090))))) ((*1 *1 *1) (-4 *1 (-568)))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| (-578 *3)) (|:| -3709 *4)))) (-5 *1 (-978 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-501)) (-4 *2 (-389 *3)) (-5 *1 (-31 *3 *2)) (-4 *3 (-950 *4)) (-4 *3 (-13 (-777) (-508)))))) 
-(((*1 *2) (-12 (-5 *2 (-769 (-501))) (-5 *1 (-489)))) ((*1 *1) (-12 (-5 *1 (-769 *2)) (-4 *2 (-1001))))) 
-(((*1 *1 *1) (-5 *1 (-970)))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-937 *3)) (-4 *3 (-13 (-775) (-331) (-933))))) ((*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-775) (-331))) (-5 *1 (-968 *2 *3)) (-4 *3 (-1125 *2)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-974 *2 *3)) (-4 *2 (-13 (-775) (-331))) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-501)) (-5 *5 (-621 (-199))) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-687))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-446))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-845)) (-5 *2 (-2 (|:| |brans| (-578 (-578 (-863 (-199))))) (|:| |xValues| (-991 (-199))) (|:| |yValues| (-991 (-199))))) (-5 *1 (-140)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-845)) (-5 *4 (-375 (-501))) (-5 *2 (-2 (|:| |brans| (-578 (-578 (-863 (-199))))) (|:| |xValues| (-991 (-199))) (|:| |yValues| (-991 (-199))))) (-5 *1 (-140))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-1 (-107) *8))) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-508)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-2 (|:| |goodPols| (-578 *8)) (|:| |badPols| (-578 *8)))) (-5 *1 (-892 *5 *6 *7 *8)) (-5 *4 (-578 *8))))) 
-(((*1 *1 *1 *1) (-4 *1 (-692)))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-331)) (-5 *2 (-578 *3)) (-5 *1 (-865 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-419)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-892 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-578 *7)) (-5 *3 (-107)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-419)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-892 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-687))))) 
-(((*1 *2) (-12 (-5 *2 (-762 (-501))) (-5 *1 (-489)))) ((*1 *1) (-12 (-5 *1 (-762 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-578 *7)) (-5 *3 (-501)) (-4 *7 (-870 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-417 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-834 *3)) (-4 *3 (-276))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-621 (-199))) (-5 *5 (-621 (-501))) (-5 *3 (-501)) (-5 *2 (-948)) (-5 *1 (-687))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959))))) 
-(((*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-637 *3 *4)) (-4 *3 (-1104)) (-4 *4 (-1104))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-375 *6)) (-4 *5 (-1108)) (-4 *6 (-1125 *5)) (-5 *2 (-2 (|:| -3027 (-701)) (|:| -3189 *3) (|:| |radicand| *6))) (-5 *1 (-135 *5 *6 *7)) (-5 *4 (-701)) (-4 *7 (-1125 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-621 (-199))) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-687))))) 
-(((*1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-359))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-711 *2)) (-4 *2 (-508)) (-4 *2 (-959)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-508)) (-5 *1 (-885 *3 *2)) (-4 *2 (-1125 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-508)))) ((*1 *2 *3 *3 *1) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-578 (-2 (|:| |val| *3) (|:| -3709 *1)))) (-4 *1 (-977 *4 *5 *6 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-775)) (-5 *1 (-273 *3))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-501)) (-5 *3 (-839)) (-4 *1 (-372)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-501)) (-4 *1 (-372)))) ((*1 *2 *1) (-12 (-4 *1 (-1004 *3 *4 *5 *2 *6)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *2 (-1001))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1320 *6) (|:| |sol?| (-107))) (-501) *6)) (-4 *6 (-331)) (-4 *7 (-1125 *6)) (-5 *2 (-2 (|:| |answer| (-530 (-375 *7))) (|:| |a0| *6))) (-5 *1 (-525 *6 *7)) (-5 *3 (-375 *7))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-262 *2)) (-4 *2 (-1104)))) ((*1 *2 *1) (-12 (-4 *3 (-1001)) (-4 *2 (-13 (-389 *4) (-806 *3) (-556 (-810 *3)))) (-5 *1 (-979 *3 *4 *2)) (-4 *4 (-13 (-959) (-806 *3) (-777) (-556 (-810 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1001)) (-5 *1 (-1060 *3 *2)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-687))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-578 *3)) (-4 *3 (-870 *5 *6 *7)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-417 *5 *6 *7 *3))))) 
-(((*1 *1 *1) (-5 *1 (-786))) ((*1 *2 *1) (-12 (-4 *1 (-1004 *2 *3 *4 *5 *6)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *2 (-1001)))) ((*1 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-1052)))) ((*1 *2 *1) (-12 (-5 *2 (-1053)) (-5 *1 (-1070))))) 
-(((*1 *1) (-5 *1 (-128)))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-578 (-578 (-863 (-199))))) (-5 *4 (-795)) (-5 *5 (-839)) (-5 *6 (-578 (-232))) (-5 *2 (-1151)) (-5 *1 (-1150)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-578 (-863 (-199))))) (-5 *4 (-578 (-232))) (-5 *2 (-1151)) (-5 *1 (-1150))))) 
-(((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-501)) (-4 *1 (-55 *2 *4 *5)) (-4 *2 (-1104)) (-4 *4 (-340 *2)) (-4 *5 (-340 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-501)) (-4 *1 (-55 *2 *4 *5)) (-4 *4 (-340 *2)) (-4 *5 (-340 *2)) (-4 *2 (-1104)))) ((*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-114 *3)) (-4 *3 (-1104)))) ((*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-114 *3)) (-4 *3 (-1104)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-578 (-501))) (-4 *2 (-156)) (-5 *1 (-126 *4 *5 *2)) (-14 *4 (-501)) (-14 *5 (-701)))) ((*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-501)) (-4 *2 (-156)) (-5 *1 (-126 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-701)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-501)) (-4 *2 (-156)) (-5 *1 (-126 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-701)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-501)) (-4 *2 (-156)) (-5 *1 (-126 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-701)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *2 (-156)) (-5 *1 (-126 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-701)))) ((*1 *2 *1) (-12 (-4 *2 (-156)) (-5 *1 (-126 *3 *4 *2)) (-14 *3 (-501)) (-14 *4 (-701)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-218 (-1053))) (-5 *1 (-189 *4)) (-4 *4 (-13 (-777) (-10 -8 (-15 -2007 ((-1053) $ *3)) (-15 -2125 ((-1154) $)) (-15 -3512 ((-1154) $))))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-904)) (-5 *1 (-189 *3)) (-4 *3 (-13 (-777) (-10 -8 (-15 -2007 ((-1053) $ (-1070))) (-15 -2125 ((-1154) $)) (-15 -3512 ((-1154) $))))))) ((*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-701)) (-5 *1 (-218 *4)) (-4 *4 (-777)))) ((*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-218 *3)) (-4 *3 (-777)))) ((*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-218 *3)) (-4 *3 (-777)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-256 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-1104)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-258 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-1104)))) ((*1 *2 *1 *2) (-12 (-4 *3 (-156)) (-5 *1 (-259 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1125 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-108)) (-5 *3 (-578 *1)) (-4 *1 (-267)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-267)) (-5 *2 (-108)))) ((*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-267)) (-5 *2 (-108)))) ((*1 *1 *2 *1 *1) (-12 (-4 *1 (-267)) (-5 *2 (-108)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-267)) (-5 *2 (-108)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-310 *2 *3 *4)) (-4 *2 (-1108)) (-4 *3 (-1125 *2)) (-4 *4 (-1125 (-375 *3))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *1 (-386 *2)) (-4 *2 (-156)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-1053)) (-5 *1 (-465)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-50)) (-5 *1 (-570)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1116 (-501))) (-4 *1 (-586 *3)) (-4 *3 (-1104)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-701)) (-5 *1 (-609 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-578 (-501))) (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-108)) (-5 *3 (-578 (-810 *4))) (-5 *1 (-810 *4)) (-4 *4 (-1001)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-824 *2)) (-4 *2 (-1001)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-5 *2 (-822 *4)) (-5 *1 (-825 *4)) (-4 *4 (-1001)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-212 *4 *2)) (-14 *4 (-839)) (-4 *2 (-331)) (-5 *1 (-908 *4 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-924 *2)) (-4 *2 (-1104)))) ((*1 *2 *1) (-12 (-5 *1 (-939 *2)) (-4 *2 (-1104)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-501)) (-4 *1 (-961 *4 *5 *2 *6 *7)) (-4 *2 (-959)) (-4 *6 (-211 *5 *2)) (-4 *7 (-211 *4 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-501)) (-4 *1 (-961 *4 *5 *2 *6 *7)) (-4 *6 (-211 *5 *2)) (-4 *7 (-211 *4 *2)) (-4 *2 (-959)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-839)) (-4 *4 (-1001)) (-4 *5 (-13 (-959) (-806 *4) (-777) (-556 (-810 *4)))) (-5 *1 (-979 *4 *5 *2)) (-4 *2 (-13 (-389 *5) (-806 *4) (-556 (-810 *4)))))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-839)) (-4 *4 (-1001)) (-4 *5 (-13 (-959) (-806 *4) (-777) (-556 (-810 *4)))) (-5 *1 (-981 *4 *5 *2)) (-4 *2 (-13 (-389 *5) (-806 *4) (-556 (-810 *4)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-501))) (-4 *1 (-1004 *3 *4 *5 *6 *7)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-1004 *3 *4 *5 *6 *7)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)))) ((*1 *1 *1 *1) (-4 *1 (-1039))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-1070)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-375 *1)) (-4 *1 (-1125 *2)) (-4 *2 (-959)) (-4 *2 (-331)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-375 *1)) (-4 *1 (-1125 *3)) (-4 *3 (-959)) (-4 *3 (-508)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1128 *2 *3)) (-4 *3 (-722)) (-4 *2 (-959)))) ((*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1138 *2)) (-4 *2 (-1104)))) ((*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1138 *3)) (-4 *3 (-1104)))) ((*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-262 *2)) (-4 *2 (-1104)))) ((*1 *2 *1) (-12 (-4 *3 (-1001)) (-4 *2 (-13 (-389 *4) (-806 *3) (-556 (-810 *3)))) (-5 *1 (-979 *3 *4 *2)) (-4 *4 (-13 (-959) (-806 *3) (-777) (-556 (-810 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1001)) (-5 *1 (-1060 *2 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-687))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-501)) (-5 *1 (-520 *3)) (-4 *3 (-950 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1004 *3 *4 *2 *5 *6)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *2 (-1001))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-389 *3) (-916))) (-5 *1 (-247 *3 *2)) (-4 *3 (-13 (-777) (-508))))) ((*1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *1) (-5 *1 (-444))) ((*1 *1) (-4 *1 (-1090)))) 
-(((*1 *1 *1 *1) (-4 *1 (-500)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-959)) (-4 *3 (-777)) (-5 *2 (-2 (|:| |val| *1) (|:| -3027 (-501)))) (-4 *1 (-389 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-810 *3)) (|:| -3027 (-810 *3)))) (-5 *1 (-810 *3)) (-4 *3 (-1001)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-959)) (-4 *7 (-870 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -3027 (-501)))) (-5 *1 (-871 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-331) (-10 -8 (-15 -3691 ($ *7)) (-15 -2946 (*7 $)) (-15 -2949 (*7 $)))))))) 
-(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-152 (-199)))) (-5 *2 (-948)) (-5 *1 (-687))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1053)) (-4 *1 (-333 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-839)) (-5 *1 (-716))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-232)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-839)) (-5 *3 (-578 (-232))) (-5 *1 (-233))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-331)) (-5 *1 (-255 *3 *2)) (-4 *2 (-1142 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1001)) (-5 *1 (-914 *3))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-501)) (-5 *4 (-107)) (-5 *5 (-621 (-152 (-199)))) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *1 *1) (|partial| -12 (-4 *1 (-335 *2)) (-4 *2 (-156)) (-4 *2 (-508)))) ((*1 *1 *1) (|partial| -4 *1 (-653)))) 
-(((*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-548 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1104)) (-5 *2 (-1154))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-578 *3)) (-4 *3 (-276)) (-5 *1 (-161 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-49 *3 *4)) (-4 *3 (-959)) (-14 *4 (-578 (-1070))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *1) (-4 *1 (-254))) ((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *1 *2) (-12 (-5 *2 (-599 *3 *4)) (-4 *3 (-777)) (-4 *4 (-13 (-156) (-648 (-375 (-501))))) (-5 *1 (-565 *3 *4 *5)) (-14 *5 (-839)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-701)) (-4 *4 (-13 (-959) (-648 (-375 (-501))))) (-4 *5 (-777)) (-5 *1 (-1163 *4 *5 *2)) (-4 *2 (-1169 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-1167 *3 *4)) (-4 *4 (-648 (-375 (-501)))) (-4 *3 (-777)) (-4 *4 (-156))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-501)) (-5 *1 (-373 *2)) (-4 *2 (-508))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3)) (|has| *1 (-6 -4167)) (-4 *1 (-138 *3)) (-4 *3 (-1104)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3)) (-4 *3 (-1104)) (-5 *1 (-545 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3)) (-4 *1 (-608 *3)) (-4 *3 (-1104)))) ((*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1099 *4 *5 *3 *2)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *3 (-777)) (-4 *2 (-972 *4 *5 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-5 *1 (-1102 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-501)) (-5 *4 (-107)) (-5 *5 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-701)) (-4 *5 (-318)) (-4 *6 (-1125 *5)) (-5 *2 (-578 (-2 (|:| -4119 (-621 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-621 *6))))) (-5 *1 (-461 *5 *6 *7)) (-5 *3 (-2 (|:| -4119 (-621 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-621 *6)))) (-4 *7 (-1125 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-318)) (-5 *2 (-701)))) ((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-370)) (-5 *2 (-701))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-553 *5)) (-4 *5 (-389 *4)) (-4 *4 (-950 (-501))) (-4 *4 (-13 (-777) (-508))) (-5 *2 (-1064 *5)) (-5 *1 (-31 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-553 *1)) (-4 *1 (-959)) (-4 *1 (-267)) (-5 *2 (-1064 *1))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-467 (-375 (-501)) (-212 *5 (-701)) (-787 *4) (-220 *4 (-375 (-501))))) (-14 *4 (-578 (-1070))) (-14 *5 (-701)) (-5 *2 (-107)) (-5 *1 (-468 *4 *5))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3)) (-4 *3 (-1104)) (-5 *1 (-545 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3)) (-4 *3 (-1104)) (-5 *1 (-1048 *3))))) 
-(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-501)) (-5 *5 (-621 (-199))) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-65 DOT)))) (-5 *7 (-3 (|:| |fn| (-356)) (|:| |fp| (-66 IMAGE)))) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-686)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-501)) (-5 *5 (-621 (-199))) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-65 DOT)))) (-5 *7 (-3 (|:| |fn| (-356)) (|:| |fp| (-66 IMAGE)))) (-5 *8 (-356)) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-262 (-762 *3))) (-4 *5 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *2 (-762 *3)) (-5 *1 (-574 *5 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-262 (-762 (-866 *5)))) (-4 *5 (-419)) (-5 *2 (-762 (-375 (-866 *5)))) (-5 *1 (-575 *5)) (-5 *3 (-375 (-866 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-262 (-375 (-866 *5)))) (-5 *3 (-375 (-866 *5))) (-4 *5 (-419)) (-5 *2 (-762 *3)) (-5 *1 (-575 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-513))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *1 *2 *2) (-12 (-4 *1 (-150 *2)) (-4 *2 (-156))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-346)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3)) (-4 *3 (-1104)) (-5 *1 (-545 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3)) (-4 *3 (-1104)) (-5 *1 (-1048 *3))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-501)) (-5 *5 (-107)) (-5 *6 (-621 (-199))) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-107)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-977 *4 *5 *6 *3)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-578 *3)) (-4 *3 (-1104))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-125))))) 
-(((*1 *1 *1 *1) (-5 *1 (-107))) ((*1 *1 *1 *1) (-4 *1 (-118)))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-987 *3)) (-4 *3 (-124))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-839)) (-4 *6 (-13 (-508) (-777))) (-5 *2 (-578 (-282 *6))) (-5 *1 (-195 *5 *6)) (-5 *3 (-282 *6)) (-4 *5 (-959)))) ((*1 *2 *1) (-12 (-5 *1 (-373 *2)) (-4 *2 (-508)))) ((*1 *2 *3) (-12 (-5 *3 (-530 *5)) (-4 *5 (-13 (-29 *4) (-1090))) (-4 *4 (-13 (-419) (-950 (-501)) (-777) (-577 (-501)))) (-5 *2 (-578 *5)) (-5 *1 (-532 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-530 (-375 (-866 *4)))) (-4 *4 (-13 (-419) (-950 (-501)) (-777) (-577 (-501)))) (-5 *2 (-578 (-282 *4))) (-5 *1 (-535 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-996 *3 *2)) (-4 *3 (-775)) (-4 *2 (-1044 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-578 *1)) (-4 *1 (-996 *4 *2)) (-4 *4 (-775)) (-4 *2 (-1044 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090))))) ((*1 *2 *1) (-12 (-5 *2 (-1162 (-1070) *3)) (-5 *1 (-1168 *3)) (-4 *3 (-959)))) ((*1 *2 *1) (-12 (-5 *2 (-1162 *3 *4)) (-5 *1 (-1171 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-756)) (-5 *1 (-755))))) 
-(((*1 *2) (-12 (-4 *1 (-372)) (-5 *2 (-839)))) ((*1 *1) (-4 *1 (-500))) ((*1 *2 *2) (-12 (-5 *2 (-839)) (-5 *1 (-630)))) ((*1 *2) (-12 (-5 *2 (-839)) (-5 *1 (-630)))) ((*1 *2 *1) (-12 (-5 *2 (-578 *3)) (-5 *1 (-825 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-578 *1)) (-4 *1 (-972 *4 *5 *6)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-107)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1099 *4 *5 *6 *3)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-866 *6))) (-5 *4 (-578 (-1070))) (-4 *6 (-13 (-508) (-950 *5))) (-4 *5 (-508)) (-5 *2 (-578 (-578 (-262 (-375 (-866 *6)))))) (-5 *1 (-951 *5 *6))))) 
-(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-501)) (-5 *5 (-621 (-199))) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1104)) (-5 *2 (-578 *1)) (-4 *1 (-924 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-1059 *3 *4))) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-50))) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *4)) (-4 *4 (-959)) (-5 *2 (-1148 *4)) (-5 *1 (-1071 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-839)) (-5 *2 (-1148 *3)) (-5 *1 (-1071 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-621 (-199))) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-486 *3)) (-4 *3 (-13 (-657) (-25)))))) 
-(((*1 *1) (|partial| -12 (-4 *1 (-335 *2)) (-4 *2 (-508)) (-4 *2 (-156))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-711 *2)) (-4 *2 (-959)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-354 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-749 *2)) (-4 *2 (-777))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-883 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-1001))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *1 *1 *1) (-5 *1 (-107))) ((*1 *1 *1 *1) (-4 *1 (-118))) ((*1 *1 *1 *1) (-5 *1 (-1018)))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1148 (-578 (-501)))) (-5 *1 (-446)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1104)) (-5 *1 (-545 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1104)) (-5 *1 (-1048 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1104)) (-5 *1 (-1048 *3))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-1 *6 *5)) (-5 *1 (-638 *4 *5 *6)) (-4 *4 (-556 (-490))) (-4 *5 (-1104)) (-4 *6 (-1104))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1104)) (-5 *1 (-1048 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1313 (-375 (-501))) (|:| -1320 (-375 (-501))))) (-5 *2 (-375 (-501))) (-5 *1 (-934 *4)) (-4 *4 (-1125 (-501)))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1064 *4)) (-5 *1 (-324 *4)) (-4 *4 (-318))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1139 *2 *3 *4)) (-4 *2 (-959)) (-14 *3 (-1070)) (-14 *4 *2)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 (-1148 *4))) (-4 *4 (-959)) (-5 *2 (-621 *4)) (-5 *1 (-943 *4))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-107) *8)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-508)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-2 (|:| |goodPols| (-578 *8)) (|:| |badPols| (-578 *8)))) (-5 *1 (-892 *5 *6 *7 *8)) (-5 *4 (-578 *8))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-972 *3 *4 *2)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *5)) (-5 *4 (-839)) (-4 *5 (-777)) (-5 *2 (-578 (-606 *5))) (-5 *1 (-606 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1018)) (-5 *1 (-104)))) ((*1 *2 *1) (-12 (-4 *1 (-124)) (-5 *2 (-701)))) ((*1 *2 *3 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-340 *3)) (-4 *3 (-1104)) (-4 *3 (-1001)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-340 *3)) (-4 *3 (-1104)) (-4 *3 (-1001)) (-5 *2 (-501)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-107) *4)) (-4 *1 (-340 *4)) (-4 *4 (-1104)) (-5 *2 (-501)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1039)) (-5 *2 (-501)) (-5 *3 (-128)))) ((*1 *2 *1 *1 *2) (-12 (-4 *1 (-1039)) (-5 *2 (-501))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-331)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *1 (-482 *3 *4 *5 *2)) (-4 *2 (-618 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4)) (-4 *7 (-906 *4)) (-4 *2 (-618 *7 *8 *9)) (-5 *1 (-483 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-618 *4 *5 *6)) (-4 *8 (-340 *7)) (-4 *9 (-340 *7)))) ((*1 *1 *1) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)) (-4 *2 (-276)))) ((*1 *2 *2) (-12 (-4 *3 (-276)) (-4 *3 (-156)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *1 (-620 *3 *4 *5 *2)) (-4 *2 (-618 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-621 *3)) (-4 *3 (-276)) (-5 *1 (-631 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-961 *2 *3 *4 *5 *6)) (-4 *4 (-959)) (-4 *5 (-211 *3 *4)) (-4 *6 (-211 *2 *4)) (-4 *4 (-276))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-924 *3)) (-4 *3 (-1104)) (-5 *2 (-501))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-870 *4 *5 *6)) (-4 *4 (-276)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-415 *4 *5 *6 *2))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-297 *3)) (-4 *3 (-331)) (-4 *3 (-336)) (-5 *2 (-107)))) ((*1 *2 *3) (-12 (-5 *3 (-1064 *4)) (-4 *4 (-318)) (-5 *2 (-107)) (-5 *1 (-324 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1148 *4)) (-4 *4 (-318)) (-5 *2 (-107)) (-5 *1 (-485 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-959)) (-4 *5 (-1125 *4)) (-5 *2 (-1 *6 (-578 *6))) (-5 *1 (-1144 *4 *5 *3 *6)) (-4 *3 (-593 *5)) (-4 *6 (-1142 *4))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-107)) (-5 *5 (-997 (-701))) (-5 *6 (-701)) (-5 *2 (-2 (|:| |contp| (-501)) (|:| -1575 (-578 (-2 (|:| |irr| *3) (|:| -3257 (-501))))))) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *1) (-12 (-4 *1 (-432 *2 *3)) (-4 *2 (-156)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-490))) ((*1 *1) (-4 *1 (-653))) ((*1 *1) (-4 *1 (-657))) ((*1 *1) (-12 (-5 *1 (-810 *2)) (-4 *2 (-1001)))) ((*1 *1) (-12 (-5 *1 (-813 *2)) (-4 *2 (-777))))) 
-(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-621 (-199))) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-578 *3)) (-5 *1 (-881 *3)) (-4 *3 (-500))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-701)) (-5 *1 (-783 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-156))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-508)) (-4 *4 (-777)) (-5 *1 (-524 *4 *2)) (-4 *2 (-389 *4))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-686))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-513)) (-5 *3 (-501))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-723)) (-4 *4 (-777)) (-4 *6 (-276)) (-5 *2 (-373 *3)) (-5 *1 (-673 *5 *4 *6 *3)) (-4 *3 (-870 *6 *5 *4))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1059 *2 *3)) (-14 *2 (-839)) (-4 *3 (-959))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1053)) (-5 *4 (-501)) (-5 *5 (-621 (-152 (-199)))) (-5 *2 (-948)) (-5 *1 (-685))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-5 *2 (-1 (-199) (-199))) (-5 *1 (-635 *3)) (-4 *3 (-556 (-490))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1070)) (-5 *2 (-1 (-199) (-199) (-199))) (-5 *1 (-635 *3)) (-4 *3 (-556 (-490)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-352 *3 *4)) (-4 *3 (-959)) (-4 *4 (-1001)) (-5 *2 (-578 (-2 (|:| |k| *4) (|:| |c| *3)))))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |k| (-813 *3)) (|:| |c| *4)))) (-5 *1 (-565 *3 *4 *5)) (-4 *3 (-777)) (-4 *4 (-13 (-156) (-648 (-375 (-501))))) (-14 *5 (-839)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-606 *3))) (-5 *1 (-813 *3)) (-4 *3 (-777))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1053)) (-4 *1 (-357))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |k| (-606 *3)) (|:| |c| *4)))) (-5 *1 (-565 *3 *4 *5)) (-4 *3 (-777)) (-4 *4 (-13 (-156) (-648 (-375 (-501))))) (-14 *5 (-839))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1053)) (-5 *4 (-501)) (-5 *5 (-621 (-152 (-199)))) (-5 *2 (-948)) (-5 *1 (-685))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-877 *3)) (-5 *1 (-1058 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-335 *2)) (-4 *2 (-156))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-578 (-810 *3))) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-152 (-199)))) (-5 *2 (-948)) (-5 *1 (-685))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1001)) (-5 *1 (-196 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1104)) (-4 *1 (-225 *3)))) ((*1 *1) (-12 (-4 *1 (-225 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-501)) (-4 *1 (-55 *2 *4 *5)) (-4 *4 (-340 *2)) (-4 *5 (-340 *2)) (-4 *2 (-1104)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-258 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-1104)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-501)) (-4 *1 (-961 *4 *5 *2 *6 *7)) (-4 *6 (-211 *5 *2)) (-4 *7 (-211 *4 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-346)) (-5 *1 (-1152)))) ((*1 *2) (-12 (-5 *2 (-346)) (-5 *1 (-1152))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1053)) (-5 *4 (-501)) (-5 *5 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-685))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-733))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-749 *4)) (-4 *4 (-777)) (-5 *2 (-107)) (-5 *1 (-606 *4))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-815)) (-5 *3 (-2 (|:| |pde| (-578 (-282 (-199)))) (|:| |constraints| (-578 (-2 (|:| |start| (-199)) (|:| |finish| (-199)) (|:| |grid| (-701)) (|:| |boundaryType| (-501)) (|:| |dStart| (-621 (-199))) (|:| |dFinish| (-621 (-199)))))) (|:| |f| (-578 (-578 (-282 (-199))))) (|:| |st| (-1053)) (|:| |tol| (-199)))) (-5 *2 (-948))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1053)) (-5 *4 (-501)) (-5 *5 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-685))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-834 *2)) (-4 *2 (-276))))) 
-(((*1 *2) (-12 (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-1148 *1)) (-4 *1 (-310 *3 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-13 (-276) (-10 -8 (-15 -1559 ((-373 $) $))))) (-4 *4 (-1125 *3)) (-5 *2 (-2 (|:| -4119 (-621 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-621 *3)))) (-5 *1 (-319 *3 *4 *5)) (-4 *5 (-378 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-1125 (-501))) (-5 *2 (-2 (|:| -4119 (-621 (-501))) (|:| |basisDen| (-501)) (|:| |basisInv| (-621 (-501))))) (-5 *1 (-698 *3 *4)) (-4 *4 (-378 (-501) *3)))) ((*1 *2) (-12 (-4 *3 (-318)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 *4)) (-5 *2 (-2 (|:| -4119 (-621 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-621 *4)))) (-5 *1 (-900 *3 *4 *5 *6)) (-4 *6 (-655 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-318)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 *4)) (-5 *2 (-2 (|:| -4119 (-621 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-621 *4)))) (-5 *1 (-1158 *3 *4 *5 *6)) (-4 *6 (-378 *4 *5))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-114 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-685))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 (-2 (|:| |val| (-578 *6)) (|:| -3709 *7)))) (-4 *6 (-972 *3 *4 *5)) (-4 *7 (-977 *3 *4 *5 *6)) (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-903 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-578 (-2 (|:| |val| (-578 *6)) (|:| -3709 *7)))) (-4 *6 (-972 *3 *4 *5)) (-4 *7 (-977 *3 *4 *5 *6)) (-4 *3 (-419)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-1007 *3 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-1048 *4) (-1048 *4))) (-5 *2 (-1048 *4)) (-5 *1 (-1172 *4)) (-4 *4 (-1104)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-578 (-1048 *5)) (-578 (-1048 *5)))) (-5 *4 (-501)) (-5 *2 (-578 (-1048 *5))) (-5 *1 (-1172 *5)) (-4 *5 (-1104))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-331)) (-4 *7 (-1125 *5)) (-4 *4 (-655 *5 *7)) (-5 *2 (-2 (|:| -2978 (-621 *6)) (|:| |vec| (-1148 *5)))) (-5 *1 (-741 *5 *6 *7 *4 *3)) (-4 *6 (-593 *5)) (-4 *3 (-593 *4))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-553 *3)) (-5 *5 (-1064 *3)) (-4 *3 (-13 (-389 *6) (-27) (-1090))) (-4 *6 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-2 (|:| -3071 *3) (|:| |coeff| *3))) (-5 *1 (-512 *6 *3 *7)) (-4 *7 (-1001)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-553 *3)) (-5 *5 (-375 (-1064 *3))) (-4 *3 (-13 (-389 *6) (-27) (-1090))) (-4 *6 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-2 (|:| -3071 *3) (|:| |coeff| *3))) (-5 *1 (-512 *6 *3 *7)) (-4 *7 (-1001))))) 
-(((*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-621 (-199))) (-5 *5 (-621 (-501))) (-5 *3 (-501)) (-5 *2 (-948)) (-5 *1 (-685))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-762 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-769 *3)) (-4 *3 (-1001))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-282 (-501))) (|:| -2958 (-282 (-346))) (|:| CF (-282 (-152 (-346)))) (|:| |switch| (-1069)))) (-5 *1 (-1069))))) 
-(((*1 *1 *1) (|partial| -12 (-4 *1 (-335 *2)) (-4 *2 (-156)) (-4 *2 (-508)))) ((*1 *1 *1) (|partial| -4 *1 (-653)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-375 *4)) (-4 *4 (-1125 *3)) (-4 *3 (-13 (-331) (-134))) (-5 *1 (-367 *3 *4))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-578 (-107))) (-5 *5 (-621 (-199))) (-5 *6 (-621 (-501))) (-5 *7 (-199)) (-5 *3 (-501)) (-5 *2 (-948)) (-5 *1 (-685))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1 (-1048 (-866 *4)) (-1048 (-866 *4)))) (-5 *1 (-1157 *4)) (-4 *4 (-331))))) 
-(((*1 *2 *3 *2) (-12 (-4 *1 (-717)) (-5 *2 (-948)) (-5 *3 (-2 (|:| |fn| (-282 (-199))) (|:| -1505 (-578 (-991 (-769 (-199))))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))))) ((*1 *2 *3 *2) (-12 (-4 *1 (-717)) (-5 *2 (-948)) (-5 *3 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199))))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-621 (-501))) (-5 *5 (-107)) (-5 *7 (-621 (-199))) (-5 *3 (-501)) (-5 *6 (-199)) (-5 *2 (-948)) (-5 *1 (-685))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-501)) (-4 *1 (-1111 *4)) (-4 *4 (-959)) (-4 *4 (-508)) (-5 *2 (-375 (-866 *4))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *1 (-1111 *4)) (-4 *4 (-959)) (-4 *4 (-508)) (-5 *2 (-375 (-866 *4)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-948))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-701)) (-5 *1 (-417 *4 *5 *6 *3)) (-4 *3 (-870 *4 *5 *6))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-578 (-107))) (-5 *7 (-621 (-199))) (-5 *8 (-621 (-501))) (-5 *3 (-501)) (-5 *4 (-199)) (-5 *5 (-107)) (-5 *2 (-948)) (-5 *1 (-685))))) 
-(((*1 *1) (-5 *1 (-435)))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1070)) (-5 *5 (-578 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *6))) (-4 *6 (-13 (-419) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-578 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-509 *6 *3))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-375 (-866 *3))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-501)) (-5 *5 (-621 (-199))) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-684))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-578 (-866 *3))) (-4 *3 (-419)) (-5 *1 (-328 *3 *4)) (-14 *4 (-578 (-1070))))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-578 (-710 *3 (-787 *4)))) (-4 *3 (-419)) (-14 *4 (-578 (-1070))) (-5 *1 (-566 *3 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 (-199) (-199))) (-5 *1 (-845)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-199) (-199))) (-5 *3 (-991 (-199))) (-5 *1 (-845)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1070)) (-5 *5 (-991 (-199))) (-5 *2 (-845)) (-5 *1 (-846 *3)) (-4 *3 (-556 (-490))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-5 *2 (-845)) (-5 *1 (-846 *3)) (-4 *3 (-556 (-490)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-726 *2)) (-4 *2 (-156))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-621 (-199))) (-5 *5 (-107)) (-5 *6 (-199)) (-5 *7 (-621 (-501))) (-5 *8 (-3 (|:| |fn| (-356)) (|:| |fp| (-78 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-356)) (|:| |fp| (-76 OBJFUN)))) (-5 *3 (-501)) (-5 *2 (-948)) (-5 *1 (-684))))) 
-(((*1 *1 *1) (-5 *1 (-970)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-513))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1148 *5)) (-4 *5 (-722)) (-5 *2 (-107)) (-5 *1 (-772 *4 *5)) (-14 *4 (-701))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-621 (-199))) (-5 *6 (-107)) (-5 *7 (-621 (-501))) (-5 *8 (-3 (|:| |fn| (-356)) (|:| |fp| (-63 QPHESS)))) (-5 *3 (-501)) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-684))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-276)) (-5 *2 (-701))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-959)) (-4 *7 (-959)) (-4 *6 (-1125 *5)) (-5 *2 (-1064 (-1064 *7))) (-5 *1 (-464 *5 *6 *4 *7)) (-4 *4 (-1125 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-909 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-107)) (-5 *2 (-948)) (-5 *1 (-684))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-786)) (-5 *2 (-1154)) (-5 *1 (-1033)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-786))) (-5 *2 (-1154)) (-5 *1 (-1033))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-621 (-501))) (-5 *1 (-1010))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-3 (|:| |fn| (-356)) (|:| |fp| (-64 FUNCT1)))) (-5 *2 (-948)) (-5 *1 (-684))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-881 *2)) (-4 *2 (-500))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-508)) (-5 *1 (-885 *3 *2)) (-4 *2 (-1125 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-508)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-959)) (-4 *2 (-508))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-3 (|:| |fn| (-356)) (|:| |fp| (-62 LSFUN2)))) (-5 *2 (-948)) (-5 *1 (-684))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-108)) (-4 *3 (-13 (-777) (-508))) (-5 *1 (-31 *3 *4)) (-4 *4 (-389 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-701)) (-5 *1 (-108)))) ((*1 *1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-108)))) ((*1 *2 *2) (-12 (-5 *2 (-108)) (-4 *3 (-13 (-777) (-508))) (-5 *1 (-143 *3 *4)) (-4 *4 (-389 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-108)) (-5 *1 (-147)))) ((*1 *2 *2) (-12 (-5 *2 (-108)) (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *4)) (-4 *4 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-5 *2 (-108)) (-5 *1 (-266 *3)) (-4 *3 (-267)))) ((*1 *2 *2) (-12 (-4 *1 (-267)) (-5 *2 (-108)))) ((*1 *2 *2) (-12 (-5 *2 (-108)) (-4 *4 (-777)) (-5 *1 (-388 *3 *4)) (-4 *3 (-389 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-108)) (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *4)) (-4 *4 (-389 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-108)) (-5 *1 (-553 *3)) (-4 *3 (-777)))) ((*1 *2 *2) (-12 (-5 *2 (-108)) (-4 *3 (-13 (-777) (-508))) (-5 *1 (-567 *3 *4)) (-4 *4 (-13 (-389 *3) (-916) (-1090)))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-891 *4 *5 *6 *3)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-4 *4 (-508)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *3 (-508))))) 
-(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-12 (-4 *1 (-437 *2 *3)) (-4 *2 (-156)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-490))) ((*1 *1) (-12 (-5 *1 (-810 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-3 (|:| |fn| (-356)) (|:| |fp| (-77 LSFUN1)))) (-5 *2 (-948)) (-5 *1 (-684))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-553 *4)) (-5 *6 (-1070)) (-4 *4 (-13 (-389 *7) (-27) (-1090))) (-4 *7 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4119 (-578 *4)))) (-5 *1 (-517 *7 *4 *3)) (-4 *3 (-593 *4)) (-4 *3 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-301 *5 *6 *7 *8)) (-4 *5 (-389 *4)) (-4 *6 (-1125 *5)) (-4 *7 (-1125 (-375 *6))) (-4 *8 (-310 *5 *6 *7)) (-4 *4 (-13 (-777) (-508) (-950 (-501)))) (-5 *2 (-107)) (-5 *1 (-831 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-301 (-375 (-501)) *4 *5 *6)) (-4 *4 (-1125 (-375 (-501)))) (-4 *5 (-1125 (-375 *4))) (-4 *6 (-310 (-375 (-501)) *4 *5)) (-5 *2 (-107)) (-5 *1 (-832 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-318)) (-5 *2 (-373 (-1064 (-1064 *4)))) (-5 *1 (-1103 *4)) (-5 *3 (-1064 (-1064 *4)))))) 
-(((*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-501)) (-5 *5 (-107)) (-5 *6 (-621 (-199))) (-5 *7 (-3 (|:| |fn| (-356)) (|:| |fp| (-76 OBJFUN)))) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-684))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-199) (-199) (-199))) (-5 *4 (-3 (-1 (-199) (-199) (-199) (-199)) "undefined")) (-5 *5 (-991 (-199))) (-5 *6 (-578 (-232))) (-5 *2 (-1031 (-199))) (-5 *1 (-628))))) 
-(((*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-553 *3)) (-4 *3 (-13 (-389 *5) (-27) (-1090))) (-4 *5 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-2 (|:| -3071 *3) (|:| |coeff| *3))) (-5 *1 (-517 *5 *3 *6)) (-4 *6 (-1001))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-346)) (-5 *1 (-1152)))) ((*1 *2) (-12 (-5 *2 (-346)) (-5 *1 (-1152))))) 
-(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-845))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-331)) (-5 *2 (-2 (|:| -3236 *3) (|:| -1852 *3))) (-5 *1 (-697 *3 *4)) (-4 *3 (-640 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-331)) (-4 *3 (-959)) (-5 *2 (-2 (|:| -3236 *1) (|:| -1852 *1))) (-4 *1 (-779 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-94 *5)) (-4 *5 (-331)) (-4 *5 (-959)) (-5 *2 (-2 (|:| -3236 *3) (|:| -1852 *3))) (-5 *1 (-780 *5 *3)) (-4 *3 (-779 *5))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-107)) (-5 *1 (-903 *4 *5 *6 *7 *3)) (-4 *3 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-107)) (-5 *1 (-1007 *4 *5 *6 *7 *3)) (-4 *3 (-977 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-501)) (-5 *5 (-621 (-199))) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-578 (-282 (-199)))) (|:| |constraints| (-578 (-2 (|:| |start| (-199)) (|:| |finish| (-199)) (|:| |grid| (-701)) (|:| |boundaryType| (-501)) (|:| |dStart| (-621 (-199))) (|:| |dFinish| (-621 (-199)))))) (|:| |f| (-578 (-578 (-282 (-199))))) (|:| |st| (-1053)) (|:| |tol| (-199)))) (-5 *2 (-107)) (-5 *1 (-186))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *2 (-2 (|:| |solns| (-578 *5)) (|:| |maps| (-578 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1026 *3 *5)) (-4 *3 (-1125 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *2 (-578 (-152 *4))) (-5 *1 (-141 *3 *4)) (-4 *3 (-1125 (-152 (-501)))) (-4 *4 (-13 (-331) (-775))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-331) (-775))) (-5 *2 (-578 (-152 *4))) (-5 *1 (-162 *4 *3)) (-4 *3 (-1125 (-152 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-331) (-775))) (-5 *2 (-578 (-152 *4))) (-5 *1 (-162 *4 *3)) (-4 *3 (-1125 (-152 *4)))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-1162 *3 *4)) (-4 *3 (-777)) (-4 *4 (-156)) (-5 *1 (-599 *3 *4)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-599 *3 *4)) (-5 *1 (-1167 *3 *4)) (-4 *3 (-777)) (-4 *4 (-156))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *1)) (-4 *1 (-267)))) ((*1 *1 *1) (-4 *1 (-267))) ((*1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-501)) (-5 *1 (-373 *2)) (-4 *2 (-508))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-372)) (-5 *2 (-501)))) ((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-630))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-723)) (-4 *3 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $))))) (-4 *5 (-508)) (-5 *1 (-663 *4 *3 *5 *2)) (-4 *2 (-870 (-375 (-866 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-959)) (-4 *5 (-723)) (-4 *3 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $)) (-15 -3484 ((-3 $ "failed") (-1070)))))) (-5 *1 (-899 *4 *5 *3 *2)) (-4 *2 (-870 (-866 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-578 *6)) (-4 *6 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $)) (-15 -3484 ((-3 $ "failed") (-1070)))))) (-4 *4 (-959)) (-4 *5 (-723)) (-5 *1 (-899 *4 *5 *6 *2)) (-4 *2 (-870 (-866 *4) *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1048 (-2 (|:| |k| (-501)) (|:| |c| *3)))) (-5 *1 (-540 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-107)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *8 (-972 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-578 *8)) (|:| |towers| (-578 (-940 *5 *6 *7 *8))))) (-5 *1 (-940 *5 *6 *7 *8)) (-5 *3 (-578 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-107)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *8 (-972 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-578 *8)) (|:| |towers| (-578 (-1041 *5 *6 *7 *8))))) (-5 *1 (-1041 *5 *6 *7 *8)) (-5 *3 (-578 *8))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-839)) (-4 *1 (-211 *3 *4)) (-4 *4 (-959)) (-4 *4 (-1104)))) ((*1 *1 *2) (-12 (-14 *3 (-578 (-1070))) (-4 *4 (-156)) (-4 *5 (-211 (-3581 *3) (-701))) (-14 *6 (-1 (-107) (-2 (|:| -3506 *2) (|:| -3027 *5)) (-2 (|:| -3506 *2) (|:| -3027 *5)))) (-5 *1 (-428 *3 *4 *2 *5 *6 *7)) (-4 *2 (-777)) (-4 *7 (-870 *4 *5 (-787 *3))))) ((*1 *2 *2) (-12 (-5 *2 (-863 (-199))) (-5 *1 (-1101))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-501)) (-5 *3 (-839)) (-5 *1 (-630)))) ((*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-621 *5)) (-5 *3 (-94 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-331)) (-5 *1 (-893 *5))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1053)) (-5 *4 (-501)) (-5 *5 (-621 (-199))) (-5 *6 (-199)) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *1) (-5 *1 (-142)))) 
-(((*1 *2) (-12 (-5 *2 (-578 (-701))) (-5 *1 (-1153)))) ((*1 *2 *2) (-12 (-5 *2 (-578 (-701))) (-5 *1 (-1153))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -3996 (-108)) (|:| |arg| (-578 (-810 *3))))) (-5 *1 (-810 *3)) (-4 *3 (-1001)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-108)) (-5 *2 (-578 (-810 *4))) (-5 *1 (-810 *4)) (-4 *4 (-1001))))) 
-(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1053)) (-5 *5 (-621 (-199))) (-5 *6 (-199)) (-5 *7 (-621 (-501))) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-701)) (-5 *1 (-412 *3)) (-4 *3 (-959)))) ((*1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-412 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-756))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-621 (-199))) (-5 *5 (-621 (-501))) (-5 *6 (-199)) (-5 *3 (-501)) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-500)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-225 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-297 *3)) (-4 *3 (-331)) (-4 *3 (-336)) (-5 *2 (-1064 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-297 *3)) (-4 *3 (-331)) (-4 *3 (-336)) (-5 *2 (-1064 *3))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1053)) (-5 *5 (-621 (-199))) (-5 *6 (-199)) (-5 *7 (-621 (-501))) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-701)) (-5 *1 (-536))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1064 *4)) (-4 *4 (-318)) (-5 *2 (-1148 (-578 (-2 (|:| -2150 *4) (|:| -3506 (-1018)))))) (-5 *1 (-315 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1130 *3 *4 *5)) (-4 *3 (-13 (-331) (-777))) (-14 *4 (-1070)) (-14 *5 *3) (-5 *1 (-287 *3 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-1 (-346))) (-5 *1 (-953)) (-5 *3 (-346))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-863 (-199))) (-5 *4 (-795)) (-5 *2 (-1154)) (-5 *1 (-435)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-959)) (-4 *1 (-895 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-863 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-863 *3)) (-4 *3 (-959)) (-4 *1 (-1032 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-1032 *3)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *1 (-1032 *3)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-863 *3)) (-4 *1 (-1032 *3)) (-4 *3 (-959)))) ((*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-863 (-199))) (-5 *1 (-1101)) (-5 *3 (-199))))) 
-(((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-957))))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-863 *3)) (-4 *3 (-13 (-331) (-1090) (-916))) (-5 *1 (-158 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-298))) (-5 *1 (-298))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-621 (-375 (-866 (-501))))) (-5 *2 (-578 (-2 (|:| |radval| (-282 (-501))) (|:| |radmult| (-501)) (|:| |radvect| (-578 (-621 (-282 (-501)))))))) (-5 *1 (-941))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-199)) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-839)) (-4 *4 (-336)) (-4 *4 (-331)) (-5 *2 (-1064 *1)) (-4 *1 (-297 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-297 *3)) (-4 *3 (-331)) (-5 *2 (-1064 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-338 *3 *2)) (-4 *3 (-156)) (-4 *3 (-331)) (-4 *2 (-1125 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1148 *4)) (-4 *4 (-318)) (-5 *2 (-1064 *4)) (-5 *1 (-485 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-4 *5 (-13 (-419) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *2 (-530 *3)) (-5 *1 (-509 *5 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *5)))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-389 *3) (-916))) (-5 *1 (-247 *3 *2)) (-4 *3 (-13 (-777) (-508)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-830)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-870 *4 *5 *6)) (-5 *2 (-373 (-1064 *7))) (-5 *1 (-827 *4 *5 *6 *7)) (-5 *3 (-1064 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-830)) (-4 *5 (-1125 *4)) (-5 *2 (-373 (-1064 *5))) (-5 *1 (-828 *4 *5)) (-5 *3 (-1064 *5))))) 
-(((*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-199)) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-402))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-621 (-282 (-199)))) (-5 *2 (-346)) (-5 *1 (-181))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-508)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-508))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3664 (-711 *3)) (|:| |coef2| (-711 *3)))) (-5 *1 (-711 *3)) (-4 *3 (-508)) (-4 *3 (-959)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-508)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-2 (|:| -3664 *1) (|:| |coef2| *1))) (-4 *1 (-972 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-506 *2)) (-4 *2 (-13 (-372) (-1090))))) ((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-786)))) ((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-786))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-972 *3 *4 *2)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-701)) (-4 *6 (-331)) (-5 *4 (-1097 *6)) (-5 *2 (-1 (-1048 *4) (-1048 *4))) (-5 *1 (-1157 *6)) (-5 *5 (-1048 *4))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-134)) (-4 *2 (-276)) (-4 *2 (-419)) (-4 *3 (-777)) (-4 *4 (-723)) (-5 *1 (-901 *2 *3 *4 *5)) (-4 *5 (-870 *2 *4 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-47)) (-5 *2 (-282 (-501))) (-5 *1 (-1017)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *2)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *2 (-972 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-282 (-199)))) (-5 *2 (-107)) (-5 *1 (-238))))) 
-(((*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *1 (-1026 *3 *2)) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *5 (-621 (-199))) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3664 *3))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1 (-863 (-199)) (-199) (-199))) (-5 *3 (-1 (-199) (-199) (-199) (-199))) (-5 *1 (-227))))) 
-(((*1 *2) (-12 (-5 *2 (-2 (|:| -3014 (-578 *3)) (|:| -1647 (-578 *3)))) (-5 *1 (-1105 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-50)) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-490)) (-5 *1 (-491 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-501)) (-5 *5 (-621 (-199))) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *1 *2 *3 *1) (-12 (-14 *4 (-578 (-1070))) (-4 *2 (-156)) (-4 *3 (-211 (-3581 *4) (-701))) (-14 *6 (-1 (-107) (-2 (|:| -3506 *5) (|:| -3027 *3)) (-2 (|:| -3506 *5) (|:| -3027 *3)))) (-5 *1 (-428 *4 *2 *5 *3 *6 *7)) (-4 *5 (-777)) (-4 *7 (-870 *2 *3 (-787 *4)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-298))))) 
-(((*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4169 "*"))) (-4 *5 (-340 *2)) (-4 *6 (-340 *2)) (-4 *2 (-959)) (-5 *1 (-99 *2 *3 *4 *5 *6)) (-4 *3 (-1125 *2)) (-4 *4 (-618 *2 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-346)) (-5 *1 (-92)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-346)) (-5 *1 (-92))))) 
-(((*1 *2) (|partial| -12 (-4 *3 (-508)) (-4 *3 (-156)) (-5 *2 (-2 (|:| |particular| *1) (|:| -4119 (-578 *1)))) (-4 *1 (-335 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-420 *3 *4 *5 *6)) (|:| -4119 (-578 (-420 *3 *4 *5 *6))))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-593 *2)) (-4 *2 (-959)) (-4 *2 (-331)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-331)) (-5 *1 (-595 *4 *2)) (-4 *2 (-593 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-335 *4)) (-4 *4 (-156)) (-5 *2 (-1148 (-621 *4))))) ((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-1148 (-621 *4))) (-5 *1 (-385 *3 *4)) (-4 *3 (-386 *4)))) ((*1 *2) (-12 (-4 *1 (-386 *3)) (-4 *3 (-156)) (-5 *2 (-1148 (-621 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-1070))) (-4 *5 (-331)) (-5 *2 (-1148 (-621 (-375 (-866 *5))))) (-5 *1 (-988 *5)) (-5 *4 (-621 (-375 (-866 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-1070))) (-4 *5 (-331)) (-5 *2 (-1148 (-621 (-866 *5)))) (-5 *1 (-988 *5)) (-5 *4 (-621 (-866 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-621 *4))) (-4 *4 (-331)) (-5 *2 (-1148 (-621 *4))) (-5 *1 (-988 *4))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *2)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *2 (-972 *3 *4 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-1106))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-501)) (-5 *5 (-621 (-199))) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *2 *3) (-12 (-4 *2 (-331)) (-4 *2 (-775)) (-5 *1 (-865 *2 *3)) (-4 *3 (-1125 *2))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-126 *2 *3 *4)) (-14 *2 (-501)) (-14 *3 (-701)) (-4 *4 (-156)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-777) (-508))) (-5 *1 (-143 *4 *2)) (-4 *2 (-389 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-993 *2)) (-4 *2 (-389 *4)) (-4 *4 (-13 (-777) (-508))) (-5 *1 (-143 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-993 *1)) (-4 *1 (-145)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-145)) (-5 *2 (-1070)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-432 *2 *3)) (-4 *2 (-156)) (-4 *3 (-23)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-1167 *3 *4)) (-4 *3 (-777)) (-4 *4 (-156))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-621 (-199))) (-5 *6 (-621 (-501))) (-5 *3 (-501)) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-276)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *1 (-1022 *3 *4 *5 *2)) (-4 *2 (-618 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-863 *3) (-863 *3))) (-5 *1 (-158 *3)) (-4 *3 (-13 (-331) (-1090) (-916)))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-578 (-866 *6))) (-5 *4 (-578 (-1070))) (-4 *6 (-419)) (-5 *2 (-578 (-578 *7))) (-5 *1 (-493 *6 *7 *5)) (-4 *7 (-331)) (-4 *5 (-13 (-331) (-775)))))) 
-(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-701)) (-4 *5 (-331)) (-5 *2 (-157 *6)) (-5 *1 (-789 *5 *4 *6)) (-4 *4 (-1142 *5)) (-4 *6 (-1125 *5))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-501)) (-5 *2 (-1154)) (-5 *1 (-825 *4)) (-4 *4 (-1001)))) ((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-825 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-825 (-501))) (-5 *1 (-837)))) ((*1 *2) (-12 (-5 *2 (-825 (-501))) (-5 *1 (-837))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-870 *3 *4 *2)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777)) (-4 *3 (-156)))) ((*1 *2 *3 *3) (-12 (-4 *2 (-508)) (-5 *1 (-885 *2 *3)) (-4 *3 (-1125 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-508)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-959)) (-4 *2 (-156))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-199)) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1048 *3)) (-5 *1 (-157 *3)) (-4 *3 (-276))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1070)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-633 *3 *5 *6 *7)) (-4 *3 (-556 (-490))) (-4 *5 (-1104)) (-4 *6 (-1104)) (-4 *7 (-1104)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1070)) (-5 *2 (-1 *6 *5)) (-5 *1 (-638 *3 *5 *6)) (-4 *3 (-556 (-490))) (-4 *5 (-1104)) (-4 *6 (-1104))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-282 (-152 (-346)))) (-5 *1 (-298)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-501))) (-5 *1 (-298)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-346))) (-5 *1 (-298)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-625))) (-5 *1 (-298)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-632))) (-5 *1 (-298)))) ((*1 *1 *2) (-12 (-5 *2 (-282 (-630))) (-5 *1 (-298)))) ((*1 *1) (-5 *1 (-298)))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-683))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-276)) (-4 *3 (-906 *2)) (-4 *4 (-1125 *3)) (-5 *1 (-381 *2 *3 *4 *5)) (-4 *5 (-13 (-378 *3 *4) (-950 *3)))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-199)) (-5 *2 (-948)) (-5 *1 (-682))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-926)) (-5 *2 (-786))))) 
-(((*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-262 *6)) (-5 *4 (-108)) (-4 *6 (-389 *5)) (-4 *5 (-13 (-777) (-508) (-556 (-490)))) (-5 *2 (-50)) (-5 *1 (-285 *5 *6)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-262 *7)) (-5 *4 (-108)) (-5 *5 (-578 *7)) (-4 *7 (-389 *6)) (-4 *6 (-13 (-777) (-508) (-556 (-490)))) (-5 *2 (-50)) (-5 *1 (-285 *6 *7)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-578 (-262 *7))) (-5 *4 (-578 (-108))) (-5 *5 (-262 *7)) (-4 *7 (-389 *6)) (-4 *6 (-13 (-777) (-508) (-556 (-490)))) (-5 *2 (-50)) (-5 *1 (-285 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-578 (-262 *8))) (-5 *4 (-578 (-108))) (-5 *5 (-262 *8)) (-5 *6 (-578 *8)) (-4 *8 (-389 *7)) (-4 *7 (-13 (-777) (-508) (-556 (-490)))) (-5 *2 (-50)) (-5 *1 (-285 *7 *8)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-578 *7)) (-5 *4 (-578 (-108))) (-5 *5 (-262 *7)) (-4 *7 (-389 *6)) (-4 *6 (-13 (-777) (-508) (-556 (-490)))) (-5 *2 (-50)) (-5 *1 (-285 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-578 *8)) (-5 *4 (-578 (-108))) (-5 *6 (-578 (-262 *8))) (-4 *8 (-389 *7)) (-5 *5 (-262 *8)) (-4 *7 (-13 (-777) (-508) (-556 (-490)))) (-5 *2 (-50)) (-5 *1 (-285 *7 *8)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-262 *5)) (-5 *4 (-108)) (-4 *5 (-389 *6)) (-4 *6 (-13 (-777) (-508) (-556 (-490)))) (-5 *2 (-50)) (-5 *1 (-285 *6 *5)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-108)) (-5 *5 (-262 *3)) (-4 *3 (-389 *6)) (-4 *6 (-13 (-777) (-508) (-556 (-490)))) (-5 *2 (-50)) (-5 *1 (-285 *6 *3)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-108)) (-5 *5 (-262 *3)) (-4 *3 (-389 *6)) (-4 *6 (-13 (-777) (-508) (-556 (-490)))) (-5 *2 (-50)) (-5 *1 (-285 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-108)) (-5 *5 (-262 *3)) (-5 *6 (-578 *3)) (-4 *3 (-389 *7)) (-4 *7 (-13 (-777) (-508) (-556 (-490)))) (-5 *2 (-50)) (-5 *1 (-285 *7 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-346))) (-5 *1 (-232)))) ((*1 *1) (|partial| -12 (-4 *1 (-335 *2)) (-4 *2 (-508)) (-4 *2 (-156)))) ((*1 *2 *1) (-12 (-5 *1 (-373 *2)) (-4 *2 (-508))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-863 *4)) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-199)) (-5 *2 (-948)) (-5 *1 (-682))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-825 (-501))) (-5 *1 (-837)))) ((*1 *2) (-12 (-5 *2 (-825 (-501))) (-5 *1 (-837))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-294 *2 *3)) (-4 *3 (-722)) (-4 *2 (-959)) (-4 *2 (-419)))) ((*1 *2 *3) (-12 (-5 *3 (-578 *4)) (-4 *4 (-1125 (-501))) (-5 *2 (-578 (-501))) (-5 *1 (-451 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-779 *2)) (-4 *2 (-959)) (-4 *2 (-419)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-870 *3 *4 *2)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777)) (-4 *3 (-419))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1070)) (-4 *5 (-13 (-419) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *2 (-2 (|:| -3071 *3) (|:| |coeff| *3))) (-5 *1 (-509 *5 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *5)))))) 
-(((*1 *2) (-12 (-4 *4 (-331)) (-5 *2 (-701)) (-5 *1 (-296 *3 *4)) (-4 *3 (-297 *4)))) ((*1 *2) (-12 (-4 *1 (-1165 *3)) (-4 *3 (-331)) (-5 *2 (-701))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-276) (-134))) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-5 *2 (-375 (-866 *4))) (-5 *1 (-844 *4 *5 *6 *3)) (-4 *3 (-870 *4 *6 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-621 *7)) (-4 *7 (-870 *4 *6 *5)) (-4 *4 (-13 (-276) (-134))) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-5 *2 (-621 (-375 (-866 *4)))) (-5 *1 (-844 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-870 *4 *6 *5)) (-4 *4 (-13 (-276) (-134))) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-5 *2 (-578 (-375 (-866 *4)))) (-5 *1 (-844 *4 *5 *6 *7))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-199)) (-5 *1 (-200)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-152 (-199))) (-5 *1 (-200)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1034)))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3664 (-711 *3)) (|:| |coef1| (-711 *3)))) (-5 *1 (-711 *3)) (-4 *3 (-508)) (-4 *3 (-959)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-508)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-2 (|:| -3664 *1) (|:| |coef1| *1))) (-4 *1 (-972 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-621 (-199))) (-5 *5 (-621 (-501))) (-5 *6 (-199)) (-5 *3 (-501)) (-5 *2 (-948)) (-5 *1 (-682))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-578 (-155)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-578 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-501))))) (-4 *2 (-508)) (-5 *1 (-373 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-501)) (|:| -1575 (-578 (-2 (|:| |irr| *4) (|:| -3257 (-501))))))) (-4 *4 (-1125 (-501))) (-5 *2 (-373 *4)) (-5 *1 (-409 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-578 *3)) (-4 *3 (-870 *4 *6 *5)) (-4 *4 (-419)) (-4 *5 (-777)) (-4 *6 (-723)) (-5 *1 (-901 *4 *5 *6 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-434)))) ((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-434))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-346)) (-5 *1 (-1152)))) ((*1 *2) (-12 (-5 *2 (-346)) (-5 *1 (-1152))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-701)) (-4 *4 (-13 (-508) (-134))) (-5 *1 (-1121 *4 *2)) (-4 *2 (-1125 *4))))) 
-(((*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-682))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-150 *2)) (-4 *2 (-156)) (-4 *2 (-967)))) ((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-726 *2)) (-4 *2 (-156)) (-4 *2 (-967)))) ((*1 *1 *1) (-4 *1 (-775))) ((*1 *2 *1) (-12 (-4 *1 (-912 *2)) (-4 *2 (-156)) (-4 *2 (-967)))) ((*1 *1 *1) (-4 *1 (-967))) ((*1 *1 *1) (-4 *1 (-1034)))) 
-(((*1 *1) (-5 *1 (-404)))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-839)) (-4 *5 (-276)) (-4 *3 (-1125 *5)) (-5 *2 (-2 (|:| |plist| (-578 *3)) (|:| |modulo| *5))) (-5 *1 (-427 *5 *3)) (-5 *4 (-578 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 (-152 (-501))))) (-5 *2 (-578 (-152 *4))) (-5 *1 (-347 *4)) (-4 *4 (-13 (-331) (-775))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-578 (-375 (-866 (-152 (-501)))))) (-5 *4 (-578 (-1070))) (-5 *2 (-578 (-578 (-152 *5)))) (-5 *1 (-347 *5)) (-4 *5 (-13 (-331) (-775)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-375 *5)) (-4 *5 (-1125 *4)) (-4 *4 (-508)) (-4 *4 (-959)) (-4 *2 (-1142 *4)) (-5 *1 (-1144 *4 *5 *6 *2)) (-4 *6 (-593 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-863 *2)) (-5 *1 (-897 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-682))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-5 *2 (-1 (-1064 (-866 *4)) (-866 *4))) (-5 *1 (-1157 *4)) (-4 *4 (-331))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-863 *3)) (-4 *3 (-13 (-331) (-1090) (-916))) (-5 *1 (-158 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-615 *4 *3)) (-4 *4 (-1001)) (-4 *3 (-1001))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-419)) (-4 *3 (-723)) (-4 *5 (-777)) (-5 *2 (-107)) (-5 *1 (-417 *4 *3 *5 *6)) (-4 *6 (-870 *4 *3 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-578 *1)) (-5 *3 (-578 *7)) (-4 *1 (-977 *4 *5 *6 *7)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-578 *1)) (-4 *1 (-977 *4 *5 *6 *3)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-578 *1)) (-4 *1 (-977 *4 *5 *6 *3))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-199)) (-5 *2 (-948)) (-5 *1 (-682))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-134)) (-4 *3 (-276)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-892 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1064 *5)) (-4 *5 (-419)) (-5 *2 (-578 *6)) (-5 *1 (-493 *5 *6 *4)) (-4 *6 (-331)) (-4 *4 (-13 (-331) (-775))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-866 *5)) (-4 *5 (-419)) (-5 *2 (-578 *6)) (-5 *1 (-493 *5 *6 *4)) (-4 *6 (-331)) (-4 *4 (-13 (-331) (-775)))))) 
-(((*1 *2) (-12 (-4 *3 (-508)) (-5 *2 (-578 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-386 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-959)) (-5 *2 (-1064 *3))))) 
-(((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *4)) (-4 *4 (-1001)) (-5 *2 (-1154)) (-5 *1 (-1105 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-578 *4)) (-4 *4 (-1001)) (-5 *2 (-1154)) (-5 *1 (-1105 *4))))) 
-(((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-107)) (-5 *1 (-810 *4)) (-4 *4 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-501)) (-5 *2 (-578 (-578 (-199)))) (-5 *1 (-1101))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-578 *6)) (-4 *1 (-870 *4 *5 *6)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-870 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-701))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-682))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *1)) (-4 *1 (-419)))) ((*1 *1 *1 *1) (-4 *1 (-419)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-150 *3)) (-4 *3 (-156)) (-4 *3 (-500)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-373 *3)) (-4 *3 (-500)) (-4 *3 (-508)))) ((*1 *2 *1) (-12 (-4 *1 (-500)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-726 *3)) (-4 *3 (-156)) (-4 *3 (-500)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-762 *3)) (-4 *3 (-500)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-769 *3)) (-4 *3 (-500)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-4 *1 (-912 *3)) (-4 *3 (-156)) (-4 *3 (-500)) (-5 *2 (-107)))) ((*1 *2 *3) (-12 (-5 *2 (-107)) (-5 *1 (-922 *3)) (-4 *3 (-950 (-375 (-501))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-892 *3 *4 *5 *6))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -1749 *3) (|:| |coef1| (-711 *3)) (|:| |coef2| (-711 *3)))) (-5 *1 (-711 *3)) (-4 *3 (-508)) (-4 *3 (-959))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-1053)) (-5 *4 (-1018)) (-5 *2 (-107)) (-5 *1 (-752))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-682))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1148 (-2 (|:| |scaleX| (-199)) (|:| |scaleY| (-199)) (|:| |deltaX| (-199)) (|:| |deltaY| (-199)) (|:| -1654 (-501)) (|:| -2473 (-501)) (|:| |spline| (-501)) (|:| -1184 (-501)) (|:| |axesColor| (-795)) (|:| -3876 (-501)) (|:| |unitsColor| (-795)) (|:| |showing| (-501))))) (-5 *1 (-1151))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-540 *3)) (-4 *3 (-37 *2)) (-4 *3 (-959))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-443 *4 *5 *6 *7)) (|:| -2425 (-578 *7)))) (-5 *1 (-892 *4 *5 *6 *7)) (-5 *3 (-578 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-304 *3 *4 *5 *6)) (-4 *3 (-331)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-4 *6 (-310 *3 *4 *5)) (-5 *2 (-2 (|:| -3611 (-381 *4 (-375 *4) *5 *6)) (|:| |principalPart| *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1125 *5)) (-4 *5 (-331)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2091 (-375 *6)) (|:| |special| (-375 *6)))) (-5 *1 (-658 *5 *6)) (-5 *3 (-375 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-331)) (-5 *2 (-578 *3)) (-5 *1 (-816 *3 *4)) (-4 *3 (-1125 *4)))) ((*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-701)) (-4 *5 (-331)) (-5 *2 (-2 (|:| -1313 *3) (|:| -1320 *3))) (-5 *1 (-816 *3 *5)) (-4 *3 (-1125 *5)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-578 *9)) (-5 *3 (-578 *8)) (-5 *4 (-107)) (-4 *8 (-972 *5 *6 *7)) (-4 *9 (-977 *5 *6 *7 *8)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *1 (-975 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-578 *9)) (-5 *3 (-578 *8)) (-5 *4 (-107)) (-4 *8 (-972 *5 *6 *7)) (-4 *9 (-977 *5 *6 *7 *8)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *1 (-975 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-578 *9)) (-5 *3 (-578 *8)) (-5 *4 (-107)) (-4 *8 (-972 *5 *6 *7)) (-4 *9 (-1009 *5 *6 *7 *8)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *1 (-1040 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-578 *9)) (-5 *3 (-578 *8)) (-5 *4 (-107)) (-4 *8 (-972 *5 *6 *7)) (-4 *9 (-1009 *5 *6 *7 *8)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *1 (-1040 *5 *6 *7 *8 *9))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-863 *2)) (-5 *1 (-897 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2978 (-621 (-375 (-866 *4)))) (|:| |vec| (-578 (-375 (-866 *4)))) (|:| -3689 (-701)) (|:| |rows| (-578 (-501))) (|:| |cols| (-578 (-501))))) (-4 *4 (-13 (-276) (-134))) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-5 *2 (-2 (|:| |partsol| (-1148 (-375 (-866 *4)))) (|:| -4119 (-578 (-1148 (-375 (-866 *4))))))) (-5 *1 (-844 *4 *5 *6 *7)) (-4 *7 (-870 *4 *6 *5))))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-682))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-1070))) (-5 *3 (-1070)) (-5 *1 (-490)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-636 *3)) (-4 *3 (-556 (-490))))) ((*1 *2 *3 *2 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-636 *3)) (-4 *3 (-556 (-490))))) ((*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-636 *3)) (-4 *3 (-556 (-490))))) ((*1 *2 *3 *2 *4) (-12 (-5 *4 (-578 (-1070))) (-5 *2 (-1070)) (-5 *1 (-636 *3)) (-4 *3 (-556 (-490)))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-621 *3)) (-4 *3 (-276)) (-5 *1 (-631 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-1070))) (-5 *1 (-490))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-346) (-346))) (-5 *4 (-346)) (-5 *2 (-2 (|:| -2150 *4) (|:| -2390 *4) (|:| |totalpts| (-501)) (|:| |success| (-107)))) (-5 *1 (-719)) (-5 *5 (-501))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-402)))) ((*1 *2 *3) (-12 (-5 *2 (-107)) (-5 *1 (-520 *3)) (-4 *3 (-950 (-501))))) ((*1 *2 *1) (-12 (-4 *1 (-1004 *3 *4 *5 *6 *7)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-682))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-508) (-134))) (-5 *1 (-492 *3 *2)) (-4 *2 (-1142 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-331) (-336) (-556 (-501)))) (-4 *4 (-1125 *3)) (-4 *5 (-655 *3 *4)) (-5 *1 (-496 *3 *4 *5 *2)) (-4 *2 (-1142 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-331) (-336) (-556 (-501)))) (-5 *1 (-497 *3 *2)) (-4 *2 (-1142 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-13 (-508) (-134))) (-5 *1 (-1047 *3))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1118 *4 *5)) (-5 *3 (-578 *5)) (-14 *4 (-1070)) (-4 *5 (-331)) (-5 *1 (-842 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-578 *5)) (-4 *5 (-331)) (-5 *2 (-1064 *5)) (-5 *1 (-842 *4 *5)) (-14 *4 (-1070))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-578 *2)) (-4 *2 (-1104))))) 
-(((*1 *2) (-12 (-4 *3 (-156)) (-5 *2 (-1148 *1)) (-4 *1 (-335 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-777)) (-5 *2 (-578 (-578 *4))) (-5 *1 (-1076 *4)) (-5 *3 (-578 *4))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-701)) (-5 *3 (-863 *4)) (-4 *1 (-1032 *4)) (-4 *4 (-959)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-701)) (-5 *4 (-863 (-199))) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-501))) (-5 *1 (-957))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-501)) (-5 *5 (-621 (-199))) (-5 *6 (-609 (-199))) (-5 *3 (-199)) (-5 *2 (-948)) (-5 *1 (-681))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-787 *5))) (-14 *5 (-578 (-1070))) (-4 *6 (-419)) (-5 *2 (-2 (|:| |dpolys| (-578 (-220 *5 *6))) (|:| |coords| (-578 (-501))))) (-5 *1 (-438 *5 *6 *7)) (-5 *3 (-578 (-220 *5 *6))) (-4 *7 (-419))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1069)) (-5 *1 (-298))))) 
-(((*1 *1 *1) (-4 *1 (-1039)))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-152 (-199)) (-152 (-199)))) (-5 *4 (-991 (-199))) (-5 *2 (-1152)) (-5 *1 (-229))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-142)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-891 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *5 (-1053)) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-81 PDEF)))) (-5 *7 (-3 (|:| |fn| (-356)) (|:| |fp| (-82 BNDY)))) (-5 *2 (-948)) (-5 *1 (-681))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-346)) (-5 *1 (-168))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1142 *4)) (-5 *1 (-1143 *4 *2)) (-4 *4 (-37 (-375 (-501))))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-217 *2)) (-4 *2 (-1104)))) ((*1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-501)) (-5 *5 (-621 (-199))) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-681))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1148 (-1148 (-501)))) (-5 *3 (-839)) (-5 *1 (-433))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-839)) (-5 *4 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1151))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-168))))) 
-(((*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-508)) (-5 *1 (-885 *3 *2)) (-4 *2 (-1125 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-621 *2)) (-4 *4 (-1125 *2)) (-4 *2 (-13 (-276) (-10 -8 (-15 -1559 ((-373 $) $))))) (-5 *1 (-462 *2 *4 *5)) (-4 *5 (-378 *2 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1021 *3 *2 *4 *5)) (-4 *4 (-211 *3 *2)) (-4 *5 (-211 *3 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-501)) (-5 *5 (-621 (-199))) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-74 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-356)) (|:| |fp| (-75 G JACOBG JACGEP)))) (-5 *4 (-199)) (-5 *2 (-948)) (-5 *1 (-680))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-346)) (|:| |stability| (-346)) (|:| |expense| (-346)) (|:| |accuracy| (-346)) (|:| |intermediateResults| (-346)))) (-5 *2 (-948)) (-5 *1 (-272))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-55 *3 *4 *5)) (-4 *3 (-1104)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-5 *2 (-701))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-866 (-501))) (-5 *3 (-1070)) (-5 *4 (-991 (-375 (-501)))) (-5 *1 (-30))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-107)) (-5 *1 (-903 *4 *5 *6 *7 *3)) (-4 *3 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 *3)) (-4 *3 (-977 *5 *6 *7 *8)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *8 (-972 *5 *6 *7)) (-5 *2 (-107)) (-5 *1 (-903 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-107)) (-5 *1 (-1007 *4 *5 *6 *7 *3)) (-4 *3 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-578 *3)) (-4 *3 (-977 *5 *6 *7 *8)) (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *8 (-972 *5 *6 *7)) (-5 *2 (-107)) (-5 *1 (-1007 *5 *6 *7 *8 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-906 *2)) (-4 *2 (-508)) (-5 *1 (-129 *2 *4 *3)) (-4 *3 (-340 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-906 *2)) (-4 *2 (-508)) (-5 *1 (-466 *2 *4 *5 *3)) (-4 *5 (-340 *2)) (-4 *3 (-340 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-621 *4)) (-4 *4 (-906 *2)) (-4 *2 (-508)) (-5 *1 (-624 *2 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-906 *2)) (-4 *2 (-508)) (-5 *1 (-1120 *2 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-621 (-199))) (-5 *4 (-501)) (-5 *5 (-199)) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-60 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-356)) (|:| |fp| (-86 BDYVAL)))) (-5 *2 (-948)) (-5 *1 (-680)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-621 (-199))) (-5 *4 (-501)) (-5 *5 (-199)) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-60 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-356)) (|:| |fp| (-86 BDYVAL)))) (-5 *8 (-356)) (-5 *2 (-948)) (-5 *1 (-680))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| (-107)) (|:| -3709 *4)))) (-5 *1 (-1008 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1113 *3 *2)) (-4 *3 (-959)) (-4 *2 (-1142 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-346)) (-5 *1 (-953))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-508)) (-5 *2 (-107))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-891 *3 *4 *2 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *2 (-777)) (-4 *5 (-972 *3 *4 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 (-282 (-199)))) (-5 *2 (-2 (|:| |additions| (-501)) (|:| |multiplications| (-501)) (|:| |exponentiations| (-501)) (|:| |functionCalls| (-501)))) (-5 *1 (-272))))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-501)) (-5 *5 (-621 (-199))) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-83 FCNF)))) (-5 *7 (-3 (|:| |fn| (-356)) (|:| |fp| (-84 FCNG)))) (-5 *3 (-199)) (-5 *2 (-948)) (-5 *1 (-680))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1142 *3)) (-5 *1 (-249 *3 *4 *2)) (-4 *2 (-1113 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *4 (-1111 *3)) (-5 *1 (-250 *3 *4 *2 *5)) (-4 *2 (-1134 *3 *4)) (-4 *5 (-898 *4)))) ((*1 *1 *1) (-4 *1 (-254))) ((*1 *2 *3) (-12 (-5 *3 (-373 *4)) (-4 *4 (-508)) (-5 *2 (-578 (-2 (|:| -3189 (-701)) (|:| |logand| *4)))) (-5 *1 (-288 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-307 *2 *3 *4)) (-14 *2 (-578 (-1070))) (-14 *3 (-578 (-1070))) (-4 *4 (-355)))) ((*1 *2 *1) (-12 (-5 *2 (-599 *3 *4)) (-5 *1 (-565 *3 *4 *5)) (-4 *3 (-777)) (-4 *4 (-13 (-156) (-648 (-375 (-501))))) (-14 *5 (-839)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-37 (-375 (-501)))) (-5 *1 (-1057 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-701)) (-4 *4 (-13 (-959) (-648 (-375 (-501))))) (-4 *5 (-777)) (-5 *1 (-1163 *4 *5 *2)) (-4 *2 (-1169 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-1167 *3 *4)) (-4 *4 (-648 (-375 (-501)))) (-4 *3 (-777)) (-4 *4 (-156))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-956 *4 *5)) (-4 *4 (-13 (-775) (-276) (-134) (-933))) (-14 *5 (-578 (-1070))) (-5 *2 (-578 (-578 (-937 (-375 *4))))) (-5 *1 (-1173 *4 *5 *6)) (-14 *6 (-578 (-1070))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-578 (-866 *5))) (-5 *4 (-107)) (-4 *5 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-578 (-937 (-375 *5))))) (-5 *1 (-1173 *5 *6 *7)) (-14 *6 (-578 (-1070))) (-14 *7 (-578 (-1070))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-866 *5))) (-5 *4 (-107)) (-4 *5 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-578 (-937 (-375 *5))))) (-5 *1 (-1173 *5 *6 *7)) (-14 *6 (-578 (-1070))) (-14 *7 (-578 (-1070))))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-866 *4))) (-4 *4 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-578 (-937 (-375 *4))))) (-5 *1 (-1173 *4 *5 *6)) (-14 *5 (-578 (-1070))) (-14 *6 (-578 (-1070)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *2 (-508)) (-4 *2 (-419)) (-5 *1 (-885 *2 *3)) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-107)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *8 (-777)) (-4 *3 (-972 *6 *7 *8)) (-5 *2 (-578 (-2 (|:| |val| *3) (|:| -3709 *4)))) (-5 *1 (-1008 *6 *7 *8 *3 *4)) (-4 *4 (-977 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-578 (-2 (|:| |val| (-578 *8)) (|:| -3709 *9)))) (-5 *5 (-107)) (-4 *8 (-972 *6 *7 *4)) (-4 *9 (-977 *6 *7 *4 *8)) (-4 *6 (-419)) (-4 *7 (-723)) (-4 *4 (-777)) (-5 *2 (-578 (-2 (|:| |val| *8) (|:| -3709 *9)))) (-5 *1 (-1008 *6 *7 *4 *8 *9))))) 
-(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-501)) (-4 *3 (-156)) (-4 *5 (-340 *3)) (-4 *6 (-340 *3)) (-5 *1 (-620 *3 *5 *6 *2)) (-4 *2 (-618 *3 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-701)) (-4 *5 (-959)) (-5 *2 (-501)) (-5 *1 (-410 *5 *3 *6)) (-4 *3 (-1125 *5)) (-4 *6 (-13 (-372) (-950 *5) (-331) (-1090) (-254))))) ((*1 *2 *3) (-12 (-4 *4 (-959)) (-5 *2 (-501)) (-5 *1 (-410 *4 *3 *5)) (-4 *3 (-1125 *4)) (-4 *5 (-13 (-372) (-950 *4) (-331) (-1090) (-254)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-609 *3)) (-4 *3 (-959)) (-4 *3 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-152 (-501))) (-5 *2 (-107)) (-5 *1 (-413)))) ((*1 *2 *3) (-12 (-5 *3 (-467 (-375 (-501)) (-212 *5 (-701)) (-787 *4) (-220 *4 (-375 (-501))))) (-14 *4 (-578 (-1070))) (-14 *5 (-701)) (-5 *2 (-107)) (-5 *1 (-468 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-107)) (-5 *1 (-881 *3)) (-4 *3 (-500)))) ((*1 *2 *1) (-12 (-4 *1 (-1108)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-621 (-199))) (-5 *4 (-501)) (-5 *5 (-199)) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-80 FCN)))) (-5 *2 (-948)) (-5 *1 (-680))))) 
-(((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-156)) (-5 *1 (-259 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1125 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-642 *2 *3 *4 *5 *6)) (-4 *2 (-156)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-646 *2 *3 *4 *5 *6)) (-4 *2 (-156)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-578 (-866 *5))) (-5 *4 (-107)) (-4 *5 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-956 *5 *6))) (-5 *1 (-1173 *5 *6 *7)) (-14 *6 (-578 (-1070))) (-14 *7 (-578 (-1070))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-866 *5))) (-5 *4 (-107)) (-4 *5 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-956 *5 *6))) (-5 *1 (-1173 *5 *6 *7)) (-14 *6 (-578 (-1070))) (-14 *7 (-578 (-1070))))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-866 *4))) (-4 *4 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-956 *4 *5))) (-5 *1 (-1173 *4 *5 *6)) (-14 *5 (-578 (-1070))) (-14 *6 (-578 (-1070)))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-711 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-225 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-501)) (-5 *1 (-180))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1 (-346))) (-5 *1 (-953))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-501) (-501))) (-5 *1 (-329 *3)) (-4 *3 (-1001)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-701) (-701))) (-5 *1 (-354 *3)) (-4 *3 (-1001)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-584 *3 *4 *5)) (-4 *3 (-1001))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-501)) (-5 *5 (-1053)) (-5 *6 (-621 (-199))) (-5 *7 (-3 (|:| |fn| (-356)) (|:| |fp| (-87 G)))) (-5 *8 (-3 (|:| |fn| (-356)) (|:| |fp| (-80 FCN)))) (-5 *9 (-3 (|:| |fn| (-356)) (|:| |fp| (-69 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-356)) (|:| |fp| (-85 OUTPUT)))) (-5 *3 (-199)) (-5 *2 (-948)) (-5 *1 (-680))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-578 *1)) (-4 *1 (-977 *4 *5 *6 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-956 *4 *5)) (-4 *4 (-13 (-775) (-276) (-134) (-933))) (-14 *5 (-578 (-1070))) (-5 *2 (-578 (-2 (|:| -1717 (-1064 *4)) (|:| -2085 (-578 (-866 *4)))))) (-5 *1 (-1173 *4 *5 *6)) (-14 *6 (-578 (-1070))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-107)) (-4 *5 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-2 (|:| -1717 (-1064 *5)) (|:| -2085 (-578 (-866 *5)))))) (-5 *1 (-1173 *5 *6 *7)) (-5 *3 (-578 (-866 *5))) (-14 *6 (-578 (-1070))) (-14 *7 (-578 (-1070))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-107)) (-4 *5 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-2 (|:| -1717 (-1064 *5)) (|:| -2085 (-578 (-866 *5)))))) (-5 *1 (-1173 *5 *6 *7)) (-5 *3 (-578 (-866 *5))) (-14 *6 (-578 (-1070))) (-14 *7 (-578 (-1070))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-107)) (-4 *5 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-2 (|:| -1717 (-1064 *5)) (|:| -2085 (-578 (-866 *5)))))) (-5 *1 (-1173 *5 *6 *7)) (-5 *3 (-578 (-866 *5))) (-14 *6 (-578 (-1070))) (-14 *7 (-578 (-1070))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-578 (-2 (|:| -1717 (-1064 *4)) (|:| -2085 (-578 (-866 *4)))))) (-5 *1 (-1173 *4 *5 *6)) (-5 *3 (-578 (-866 *4))) (-14 *5 (-578 (-1070))) (-14 *6 (-578 (-1070)))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-331)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *1 (-482 *3 *4 *5 *2)) (-4 *2 (-618 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-508)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4)) (-4 *7 (-906 *4)) (-4 *2 (-618 *7 *8 *9)) (-5 *1 (-483 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-618 *4 *5 *6)) (-4 *8 (-340 *7)) (-4 *9 (-340 *7)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)) (-4 *2 (-331)))) ((*1 *2 *2) (|partial| -12 (-4 *3 (-331)) (-4 *3 (-156)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *1 (-620 *3 *4 *5 *2)) (-4 *2 (-618 *3 *4 *5)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-621 *2)) (-4 *2 (-331)) (-4 *2 (-959)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1021 *2 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-211 *2 *3)) (-4 *5 (-211 *2 *3)) (-4 *3 (-331)))) ((*1 *2 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-777)) (-5 *1 (-1076 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-991 (-769 (-346)))) (-5 *2 (-991 (-769 (-199)))) (-5 *1 (-272))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-701)) (-5 *1 (-42 *4 *3)) (-4 *3 (-386 *4))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-1010)) (-5 *3 (-501))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-199)) (|:| |xend| (-199)) (|:| |fn| (-1148 (-282 (-199)))) (|:| |yinit| (-578 (-199))) (|:| |intvals| (-578 (-199))) (|:| |g| (-282 (-199))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-346)) (-5 *1 (-181))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-501)) (-5 *5 (-1053)) (-5 *6 (-621 (-199))) (-5 *7 (-3 (|:| |fn| (-356)) (|:| |fp| (-87 G)))) (-5 *8 (-3 (|:| |fn| (-356)) (|:| |fp| (-80 FCN)))) (-5 *9 (-3 (|:| |fn| (-356)) (|:| |fp| (-85 OUTPUT)))) (-5 *3 (-199)) (-5 *2 (-948)) (-5 *1 (-680))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-513)) (-5 *3 (-501))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-50))) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-1091 *3))) (-5 *1 (-1091 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-4 *5 (-1108)) (-4 *6 (-1125 *5)) (-4 *7 (-1125 (-375 *6))) (-5 *2 (-578 (-866 *5))) (-5 *1 (-309 *4 *5 *6 *7)) (-4 *4 (-310 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-1070)) (-4 *1 (-310 *4 *5 *6)) (-4 *4 (-1108)) (-4 *5 (-1125 *4)) (-4 *6 (-1125 (-375 *5))) (-4 *4 (-331)) (-5 *2 (-578 (-866 *4)))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-1082 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-530 *2)) (-4 *2 (-13 (-29 *4) (-1090))) (-5 *1 (-532 *4 *2)) (-4 *4 (-13 (-419) (-950 (-501)) (-777) (-577 (-501)))))) ((*1 *2 *3) (-12 (-5 *3 (-530 (-375 (-866 *4)))) (-4 *4 (-13 (-419) (-950 (-501)) (-777) (-577 (-501)))) (-5 *2 (-282 *4)) (-5 *1 (-535 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-752))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-501)) (-5 *5 (-621 (-199))) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-87 G)))) (-5 *7 (-3 (|:| |fn| (-356)) (|:| |fp| (-80 FCN)))) (-5 *3 (-199)) (-5 *2 (-948)) (-5 *1 (-680))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1070)) (-5 *2 (-3 (|:| |fst| (-402)) (|:| -2645 "void"))) (-5 *1 (-1073))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-335 *2)) (-4 *2 (-156)))) ((*1 *2) (-12 (-4 *2 (-156)) (-5 *1 (-385 *3 *2)) (-4 *3 (-386 *2)))) ((*1 *2) (-12 (-4 *1 (-386 *2)) (-4 *2 (-156))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1104)) (-5 *1 (-295 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1104)) (-5 *1 (-478 *3 *4)) (-14 *4 (-501))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-578 *7)) (|:| |badPols| (-578 *7)))) (-5 *1 (-892 *4 *5 *6 *7)) (-5 *3 (-578 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-825 (-501))) (-5 *1 (-837)))) ((*1 *2) (-12 (-5 *2 (-825 (-501))) (-5 *1 (-837))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-107) *9)) (-5 *5 (-1 (-107) *9 *9)) (-4 *9 (-972 *6 *7 *8)) (-4 *6 (-508)) (-4 *7 (-723)) (-4 *8 (-777)) (-5 *2 (-2 (|:| |bas| *1) (|:| -2425 (-578 *9)))) (-5 *3 (-578 *9)) (-4 *1 (-1099 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-107) *8 *8)) (-4 *8 (-972 *5 *6 *7)) (-4 *5 (-508)) (-4 *6 (-723)) (-4 *7 (-777)) (-5 *2 (-2 (|:| |bas| *1) (|:| -2425 (-578 *8)))) (-5 *3 (-578 *8)) (-4 *1 (-1099 *5 *6 *7 *8))))) 
-(((*1 *1) (-5 *1 (-1152)))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-924 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-501)) (-5 *5 (-621 (-199))) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-80 FCN)))) (-5 *7 (-3 (|:| |fn| (-356)) (|:| |fp| (-85 OUTPUT)))) (-5 *3 (-199)) (-5 *2 (-948)) (-5 *1 (-680))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 (-447 *3 *4))) (-14 *3 (-578 (-1070))) (-4 *4 (-419)) (-5 *1 (-569 *3 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-608 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-578 *1)) (-4 *1 (-972 *4 *5 *6)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-107)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1099 *4 *5 *6 *3)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-199)) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-73 FUNCTN)))) (-5 *2 (-948)) (-5 *1 (-679))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-1125 *4)) (-5 *1 (-494 *4 *2 *5 *6)) (-4 *4 (-276)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-701)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-331)) (-4 *6 (-13 (-340 *5) (-10 -7 (-6 -4168)))) (-4 *4 (-13 (-340 *5) (-10 -7 (-6 -4168)))) (-5 *2 (-107)) (-5 *1 (-602 *5 *6 *4 *3)) (-4 *3 (-618 *5 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-621 *5)) (-5 *4 (-1148 *5)) (-4 *5 (-331)) (-5 *2 (-107)) (-5 *1 (-603 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1148 (-578 (-2 (|:| -2150 *4) (|:| -3506 (-1018)))))) (-4 *4 (-318)) (-5 *2 (-701)) (-5 *1 (-315 *4)))) ((*1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-320 *3 *4)) (-14 *3 (-839)) (-14 *4 (-839)))) ((*1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-321 *3 *4)) (-4 *3 (-318)) (-14 *4 (-3 (-1064 *3) (-1148 (-578 (-2 (|:| -2150 *3) (|:| -3506 (-1018))))))))) ((*1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-322 *3 *4)) (-4 *3 (-318)) (-14 *4 (-839))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1148 *4)) (-4 *4 (-577 (-501))) (-5 *2 (-1148 (-501))) (-5 *1 (-1174 *4))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-701)) (-5 *1 (-713 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-156))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-508)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *1 (-1095 *3 *4 *5 *2)) (-4 *2 (-618 *3 *4 *5))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1118 *5 *4)) (-4 *4 (-750)) (-14 *5 (-1070)) (-5 *2 (-501)) (-5 *1 (-1014 *4 *5))))) 
-(((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-621 (-199))) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-679))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-419)) (-4 *4 (-777)) (-5 *1 (-524 *4 *2)) (-4 *2 (-254)) (-4 *2 (-389 *4))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1048 *4)) (-5 *3 (-1 *4 (-501))) (-4 *4 (-959)) (-5 *1 (-1055 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-2 (|:| -2109 (-578 *6)) (|:| -2342 (-578 *6))))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-107) *4 *4)) (-4 *4 (-1104)) (-5 *1 (-1030 *4 *2)) (-4 *2 (-13 (-548 (-501) *4) (-10 -7 (-6 -4167) (-6 -4168)))))) ((*1 *2 *2) (-12 (-4 *3 (-777)) (-4 *3 (-1104)) (-5 *1 (-1030 *3 *2)) (-4 *2 (-13 (-548 (-501) *3) (-10 -7 (-6 -4167) (-6 -4168))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |gen| *3) (|:| -1989 (-501))))) (-5 *1 (-329 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |gen| *3) (|:| -1989 (-701))))) (-5 *1 (-354 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| -3739 *3) (|:| -3027 (-501))))) (-5 *1 (-373 *3)) (-4 *3 (-508)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |gen| *3) (|:| -1989 (-701))))) (-5 *1 (-749 *3)) (-4 *3 (-777))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-112 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-112 *2)) (-14 *2 (-501)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-793 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-793 *2)) (-14 *2 (-501)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-501)) (-14 *3 *2) (-5 *1 (-794 *3 *4)) (-4 *4 (-792 *3)))) ((*1 *1 *1) (-12 (-14 *2 (-501)) (-5 *1 (-794 *2 *3)) (-4 *3 (-792 *2)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-501)) (-4 *1 (-1113 *3 *4)) (-4 *3 (-959)) (-4 *4 (-1142 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1113 *2 *3)) (-4 *2 (-959)) (-4 *3 (-1142 *2))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-199)) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-73 FUNCTN)))) (-5 *2 (-948)) (-5 *1 (-679))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-501))) (-4 *3 (-959)) (-5 *1 (-94 *3)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-959)) (-5 *1 (-94 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-959)) (-5 *1 (-94 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-863 *3)) (-4 *3 (-13 (-331) (-1090) (-916))) (-5 *1 (-158 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-578 (-701)))) (-5 *1 (-825 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-402)) (-5 *2 (-578 (-3 (|:| -3986 (-1070)) (|:| |bounds| (-578 (-3 (|:| S (-1070)) (|:| P (-866 (-501))))))))) (-5 *1 (-1074))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 (-621 (-282 (-501))))) (-5 *1 (-941))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-55 *3 *4 *5)) (-4 *3 (-1104)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)) (-5 *2 (-501)))) ((*1 *2 *1) (-12 (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)) (-5 *2 (-501))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1021 *3 *4 *2 *5)) (-4 *4 (-959)) (-4 *5 (-211 *3 *4)) (-4 *2 (-211 *3 *4))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *2 (-948)) (-5 *1 (-679))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1118 *5 *4)) (-5 *1 (-1068 *4 *5 *6)) (-4 *4 (-959)) (-14 *5 (-1070)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1118 *5 *4)) (-5 *1 (-1139 *4 *5 *6)) (-4 *4 (-959)) (-14 *5 (-1070)) (-14 *6 *4)))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *5 (-3 (|:| |fn| (-356)) (|:| |fp| (-59 G)))) (-5 *2 (-948)) (-5 *1 (-679))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-373 *3)) (-5 *1 (-510 *3)) (-4 *3 (-500)))) ((*1 *2 *3) (-12 (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-276)) (-5 *2 (-373 *3)) (-5 *1 (-673 *4 *5 *6 *3)) (-4 *3 (-870 *6 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-276)) (-4 *7 (-870 *6 *4 *5)) (-5 *2 (-373 (-1064 *7))) (-5 *1 (-673 *4 *5 *6 *7)) (-5 *3 (-1064 *7)))) ((*1 *2 *1) (-12 (-4 *3 (-419)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-373 *1)) (-4 *1 (-870 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-777)) (-4 *5 (-723)) (-4 *6 (-419)) (-5 *2 (-373 *3)) (-5 *1 (-894 *4 *5 *6 *3)) (-4 *3 (-870 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-419)) (-4 *7 (-870 *6 *4 *5)) (-5 *2 (-373 (-1064 (-375 *7)))) (-5 *1 (-1066 *4 *5 *6 *7)) (-5 *3 (-1064 (-375 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-373 *1)) (-4 *1 (-1108)))) ((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-373 *3)) (-5 *1 (-1129 *4 *3)) (-4 *3 (-13 (-1125 *4) (-508) (-10 -8 (-15 -3664 ($ $ $))))))) ((*1 *2 *3) (-12 (-5 *3 (-956 *4 *5)) (-4 *4 (-13 (-775) (-276) (-134) (-933))) (-14 *5 (-578 (-1070))) (-5 *2 (-578 (-1041 *4 (-487 (-787 *6)) (-787 *6) (-710 *4 (-787 *6))))) (-5 *1 (-1173 *4 *5 *6)) (-14 *6 (-578 (-1070)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-1154)) (-5 *1 (-417 *4 *5 *6 *3)) (-4 *3 (-870 *4 *5 *6))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-948)) (-5 *3 (-1070)) (-5 *1 (-168))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-375 (-866 *6)) (-1060 (-1070) (-866 *6)))) (-5 *5 (-701)) (-4 *6 (-419)) (-5 *2 (-578 (-621 (-375 (-866 *6))))) (-5 *1 (-261 *6)) (-5 *4 (-621 (-375 (-866 *6)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-375 (-866 *5)) (-1060 (-1070) (-866 *5)))) (|:| |eigmult| (-701)) (|:| |eigvec| (-578 *4)))) (-4 *5 (-419)) (-5 *2 (-578 (-621 (-375 (-866 *5))))) (-5 *1 (-261 *5)) (-5 *4 (-621 (-375 (-866 *5))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-866 (-199))) (-5 *2 (-199)) (-5 *1 (-272))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-959)) (-4 *5 (-723)) (-4 *3 (-777)) (-5 *2 (-2 (|:| -3236 *1) (|:| -1852 *1))) (-4 *1 (-870 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-959)) (-5 *2 (-2 (|:| -3236 *1) (|:| -1852 *1))) (-4 *1 (-1125 *3))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *5 (-3 (|:| |fn| (-356)) (|:| |fp| (-59 G)))) (-5 *2 (-948)) (-5 *1 (-679))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-866 *4))) (-4 *4 (-419)) (-5 *2 (-107)) (-5 *1 (-328 *4 *5)) (-14 *5 (-578 (-1070))))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-710 *4 (-787 *5)))) (-4 *4 (-419)) (-14 *5 (-578 (-1070))) (-5 *2 (-107)) (-5 *1 (-566 *4 *5))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-501)) (-5 *2 (-107)) (-5 *1 (-505))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-107)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1099 *4 *5 *6 *3)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-107))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-562 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -1320 *4) (|:| |sol?| (-107))) (-501) *4)) (-4 *4 (-331)) (-4 *5 (-1125 *4)) (-5 *1 (-525 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 (-282 (-199)))) (-5 *1 (-238))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-409 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1125 *6)) (-4 *6 (-13 (-27) (-389 *5))) (-4 *5 (-13 (-777) (-508) (-950 (-501)))) (-4 *8 (-1125 (-375 *7))) (-5 *2 (-530 *3)) (-5 *1 (-504 *5 *6 *7 *8 *3)) (-4 *3 (-310 *6 *7 *8))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-1070))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *1 *2 *2) (-12 (-5 *1 (-798 *2)) (-4 *2 (-1104)))) ((*1 *1 *2 *2 *2) (-12 (-5 *1 (-800 *2)) (-4 *2 (-1104)))) ((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-578 (-863 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-863 *3))) (-4 *3 (-959)) (-4 *1 (-1032 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-578 *3))) (-4 *1 (-1032 *3)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-863 *3))) (-4 *1 (-1032 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *3 *2) (|partial| -12 (-4 *4 (-331)) (-4 *5 (-13 (-340 *4) (-10 -7 (-6 -4168)))) (-4 *2 (-13 (-340 *4) (-10 -7 (-6 -4168)))) (-5 *1 (-602 *4 *5 *2 *3)) (-4 *3 (-618 *4 *5 *2)))) ((*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1148 *4)) (-5 *3 (-621 *4)) (-4 *4 (-331)) (-5 *1 (-603 *4)))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-578 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-331)) (-5 *1 (-744 *2 *3)) (-4 *3 (-593 *2)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *1 (-1026 *3 *2)) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-501)) (-4 *4 (-13 (-508) (-134))) (-5 *1 (-492 *4 *2)) (-4 *2 (-1142 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-501)) (-4 *4 (-13 (-331) (-336) (-556 *3))) (-4 *5 (-1125 *4)) (-4 *6 (-655 *4 *5)) (-5 *1 (-496 *4 *5 *6 *2)) (-4 *2 (-1142 *6)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-501)) (-4 *4 (-13 (-331) (-336) (-556 *3))) (-5 *1 (-497 *4 *2)) (-4 *2 (-1142 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1048 *4)) (-5 *3 (-501)) (-4 *4 (-13 (-508) (-134))) (-5 *1 (-1047 *4))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *5 (-3 (|:| |fn| (-356)) (|:| |fp| (-59 G)))) (-5 *2 (-948)) (-5 *1 (-679))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1162 (-1070) *3)) (-4 *3 (-959)) (-5 *1 (-1168 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1162 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959)) (-5 *1 (-1171 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-501)) (|has| *1 (-6 -4158)) (-4 *1 (-372)) (-5 *2 (-839))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1004 *3 *4 *5 *6 *7)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)) (-5 *2 (-107))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-779 *2)) (-4 *2 (-959)) (-4 *2 (-331))))) 
-(((*1 *2) (-12 (-5 *2 (-825 (-501))) (-5 *1 (-837))))) 
-(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *5 (-3 (|:| |fn| (-356)) (|:| |fp| (-59 G)))) (-5 *2 (-948)) (-5 *1 (-679))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-375 (-866 *5))) (-5 *4 (-1070)) (-4 *5 (-13 (-276) (-777) (-134))) (-5 *2 (-578 (-282 *5))) (-5 *1 (-1027 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-375 (-866 *5)))) (-5 *4 (-578 (-1070))) (-4 *5 (-13 (-276) (-777) (-134))) (-5 *2 (-578 (-578 (-282 *5)))) (-5 *1 (-1027 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-405))))) 
-(((*1 *2) (-12 (-5 *2 (-1042 (-1053))) (-5 *1 (-359))))) 
-(((*1 *1 *1) (-4 *1 (-792 *2)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-810 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1070)) (-5 *1 (-753))))) 
-(((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4167)) (-4 *1 (-138 *2)) (-4 *2 (-1104)) (-4 *2 (-1001)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3)) (|has| *1 (-6 -4167)) (-4 *1 (-138 *3)) (-4 *3 (-1104)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3)) (-4 *1 (-608 *3)) (-4 *3 (-1104)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-107) *4)) (-5 *3 (-501)) (-4 *4 (-1001)) (-5 *1 (-667 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-501)) (-5 *1 (-667 *2)) (-4 *2 (-1001)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1035 *3 *4)) (-4 *3 (-13 (-1001) (-33))) (-4 *4 (-13 (-1001) (-33))) (-5 *1 (-1036 *3 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-346)))) ((*1 *1 *1 *1) (-4 *1 (-500))) ((*1 *1 *1 *2) (-12 (-5 *1 (-649 *2)) (-4 *2 (-331)))) ((*1 *1 *2) (-12 (-5 *1 (-649 *2)) (-4 *2 (-331)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-701))))) 
-(((*1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-847))))) 
-(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *5 (-3 (|:| |fn| (-356)) (|:| |fp| (-59 -2958)))) (-5 *2 (-948)) (-5 *1 (-679))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-548 *2 *3)) (-4 *3 (-1104)) (-4 *2 (-1001)) (-4 *2 (-777))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-505))))) 
-(((*1 *2 *3 *4) (-12 (-4 *2 (-1125 *4)) (-5 *1 (-737 *4 *2 *3 *5)) (-4 *4 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *3 (-593 *2)) (-4 *5 (-593 (-375 *2))))) ((*1 *2 *3 *4) (-12 (-4 *2 (-1125 *4)) (-5 *1 (-737 *4 *2 *5 *3)) (-4 *4 (-13 (-331) (-134) (-950 (-375 (-501))))) (-4 *5 (-593 *2)) (-4 *3 (-593 (-375 *2)))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-501)) (-5 *5 (-621 (-199))) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-59 -2958)))) (-5 *3 (-199)) (-5 *2 (-948)) (-5 *1 (-679))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-808 *4 *5)) (-5 *3 (-808 *4 *6)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-601 *5)) (-5 *1 (-805 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-346)) (-5 *2 (-1053)) (-5 *1 (-272))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -1738 *1) (|:| -4154 *1) (|:| |associate| *1))) (-4 *1 (-508))))) 
-(((*1 *1) (-5 *1 (-298)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-863 *3)) (-4 *3 (-13 (-331) (-1090) (-916))) (-5 *1 (-158 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-508)) (-5 *2 (-2 (|:| -2978 (-621 *5)) (|:| |vec| (-1148 (-578 (-839)))))) (-5 *1 (-88 *5 *3)) (-5 *4 (-839)) (-4 *3 (-593 *5))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-723)) (-4 *3 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $))))) (-4 *5 (-508)) (-5 *1 (-663 *4 *3 *5 *2)) (-4 *2 (-870 (-375 (-866 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-959)) (-4 *5 (-723)) (-4 *3 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $)) (-15 -3484 ((-3 $ "failed") (-1070)))))) (-5 *1 (-899 *4 *5 *3 *2)) (-4 *2 (-870 (-866 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-578 *6)) (-4 *6 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $)) (-15 -3484 ((-3 $ "failed") (-1070)))))) (-4 *4 (-959)) (-4 *5 (-723)) (-5 *1 (-899 *4 *5 *6 *2)) (-4 *2 (-870 (-866 *4) *5 *6))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-217 *2)) (-4 *2 (-1104)))) ((*1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)))) ((*1 *1 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *5 (-3 (|:| |fn| (-356)) (|:| |fp| (-59 -2958)))) (-5 *2 (-948)) (-5 *1 (-679))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-701)) (-4 *5 (-959)) (-4 *2 (-1125 *5)) (-5 *1 (-1144 *5 *2 *6 *3)) (-4 *6 (-593 *2)) (-4 *3 (-1142 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-108)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-108)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-224 *4 *3 *5 *6)) (-4 *4 (-959)) (-4 *3 (-777)) (-4 *5 (-237 *3)) (-4 *6 (-723)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-224 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-777)) (-4 *5 (-237 *4)) (-4 *6 (-723)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-237 *3)) (-4 *3 (-777)) (-5 *2 (-701))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-991 (-375 (-501))))) (-5 *1 (-232)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-991 (-346)))) (-5 *1 (-232))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-777)) (-5 *2 (-1078 (-578 *4))) (-5 *1 (-1076 *4)) (-5 *3 (-578 *4))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *5 (-3 (|:| |fn| (-356)) (|:| |fp| (-59 -2958)))) (-5 *2 (-948)) (-5 *1 (-679))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-107)) (-5 *1 (-584 *3 *4 *5)) (-4 *3 (-1001)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-5 *1 (-1079 *2)) (-4 *2 (-331))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |var| (-1070)) (|:| |fn| (-282 (-199))) (|:| -1505 (-991 (-769 (-199)))) (|:| |abserr| (-199)) (|:| |relerr| (-199))))) (-5 *1 (-511)))) ((*1 *2 *1) (-12 (-4 *1 (-552 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-5 *2 (-578 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| |xinit| (-199)) (|:| |xend| (-199)) (|:| |fn| (-1148 (-282 (-199)))) (|:| |yinit| (-578 (-199))) (|:| |intvals| (-578 (-199))) (|:| |g| (-282 (-199))) (|:| |abserr| (-199)) (|:| |relerr| (-199))))) (-5 *1 (-733))))) 
-(((*1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1064 (-375 (-866 *3)))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1064 *7)) (-5 *3 (-501)) (-4 *7 (-870 *6 *4 *5)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-959)) (-5 *1 (-289 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-678))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-533 *2)) (-4 *2 (-500))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-375 (-866 *4))) (-5 *3 (-1070)) (-4 *4 (-13 (-508) (-950 (-501)) (-134))) (-5 *1 (-521 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-972 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *2 (-419))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-701)) (-4 *4 (-13 (-508) (-134))) (-5 *1 (-1121 *4 *2)) (-4 *2 (-1125 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *2 (-501)) (-5 *1 (-520 *3)) (-4 *3 (-950 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-224 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-777)) (-4 *5 (-237 *4)) (-4 *6 (-723)) (-5 *2 (-578 *4))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-678))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1113 *3 *2)) (-4 *3 (-959)) (-4 *2 (-1142 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-991 (-346)))) (-5 *1 (-232)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-578 (-991 (-346)))) (-5 *3 (-578 (-232))) (-5 *1 (-233)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-578 (-991 (-346)))) (-5 *1 (-435)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-991 (-346)))) (-5 *1 (-435))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-107) *6 *6)) (-4 *6 (-777)) (-5 *4 (-578 *6)) (-5 *2 (-2 (|:| |fs| (-107)) (|:| |sd| *4) (|:| |td| (-578 *4)))) (-5 *1 (-1076 *6)) (-5 *5 (-578 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-959)) (-5 *2 (-501)) (-5 *1 (-410 *4 *3 *5)) (-4 *3 (-1125 *4)) (-4 *5 (-13 (-372) (-950 *4) (-331) (-1090) (-254)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-282 (-199))) (-5 *2 (-375 (-501))) (-5 *1 (-272))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-3 (-375 (-866 *5)) (-1060 (-1070) (-866 *5)))) (-4 *5 (-419)) (-5 *2 (-578 (-621 (-375 (-866 *5))))) (-5 *1 (-261 *5)) (-5 *4 (-621 (-375 (-866 *5))))))) 
-(((*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-501)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-701)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-839)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-126 *2 *3 *4)) (-14 *2 (-501)) (-14 *3 (-701)) (-4 *4 (-156)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-199)) (-5 *1 (-142)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-839)) (-5 *1 (-142)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-211 *3 *2)) (-4 *2 (-1104)) (-4 *2 (-657)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-211 *3 *2)) (-4 *2 (-1104)) (-4 *2 (-657)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-262 *2)) (-4 *2 (-1012)) (-4 *2 (-1104)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-262 *2)) (-4 *2 (-1012)) (-4 *2 (-1104)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-291 *3 *2)) (-4 *3 (-1001)) (-4 *2 (-123)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-329 *2)) (-4 *2 (-1001)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-329 *2)) (-4 *2 (-1001)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-350 *3 *2)) (-4 *3 (-959)) (-4 *2 (-777)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-352 *2 *3)) (-4 *2 (-959)) (-4 *3 (-1001)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-354 *2)) (-4 *2 (-1001)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-354 *2)) (-4 *2 (-1001)))) ((*1 *1 *2 *1) (-12 (-14 *3 (-578 (-1070))) (-4 *4 (-156)) (-4 *6 (-211 (-3581 *3) (-701))) (-14 *7 (-1 (-107) (-2 (|:| -3506 *5) (|:| -3027 *6)) (-2 (|:| -3506 *5) (|:| -3027 *6)))) (-5 *1 (-428 *3 *4 *5 *6 *7 *2)) (-4 *5 (-777)) (-4 *2 (-870 *4 *6 (-787 *3))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-437 *2 *3)) (-4 *2 (-156)) (-4 *3 (-23)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-437 *2 *3)) (-4 *2 (-156)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-331)) (-4 *3 (-723)) (-4 *4 (-777)) (-5 *1 (-467 *2 *3 *4 *5)) (-4 *5 (-870 *2 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1148 *3)) (-4 *3 (-318)) (-5 *1 (-485 *3)))) ((*1 *1 *1 *1) (-5 *1 (-490))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-541 *3)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-541 *2)) (-4 *2 (-959)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-541 *2)) (-4 *2 (-959)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-583 *2)) (-4 *2 (-965)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-610 *2)) (-4 *2 (-777)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)) (-5 *2 (-1 *7 *5)) (-5 *1 (-616 *5 *6 *7)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-618 *3 *2 *4)) (-4 *3 (-959)) (-4 *2 (-340 *3)) (-4 *4 (-340 *3)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-618 *3 *4 *2)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *2 (-340 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-501)) (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2)))) ((*1 *1 *1 *1) (-4 *1 (-651))) ((*1 *1 *1 *2) (-12 (-5 *1 (-749 *2)) (-4 *2 (-777)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-749 *2)) (-4 *2 (-777)))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1 *1) (-12 (-5 *1 (-810 *2)) (-4 *2 (-1001)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1148 *4)) (-4 *4 (-1125 *3)) (-4 *3 (-508)) (-5 *1 (-885 *3 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-964 *2)) (-4 *2 (-965)))) ((*1 *1 *1 *1) (-4 *1 (-1012))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1021 *3 *4 *2 *5)) (-4 *4 (-959)) (-4 *2 (-211 *3 *4)) (-4 *5 (-211 *3 *4)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1021 *3 *4 *5 *2)) (-4 *4 (-959)) (-4 *5 (-211 *3 *4)) (-4 *2 (-211 *3 *4)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-959)) (-4 *4 (-777)) (-5 *1 (-1024 *3 *4 *2)) (-4 *2 (-870 *3 (-487 *4) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-863 (-199))) (-5 *3 (-199)) (-5 *1 (-1101)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1147 *2)) (-4 *2 (-1104)) (-4 *2 (-657)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1147 *2)) (-4 *2 (-1104)) (-4 *2 (-657)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-501)) (-4 *1 (-1147 *3)) (-4 *3 (-1104)) (-4 *3 (-21)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1166 *2 *3)) (-4 *2 (-777)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1166 *3 *2)) (-4 *3 (-777)) (-4 *2 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1170 *2 *3)) (-4 *2 (-959)) (-4 *3 (-773))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-35 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-5 *2 (-2 (|:| -3626 *3) (|:| -2922 *4)))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| *3) (|:| -3709 *4)))) (-5 *1 (-1008 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-891 *4 *5 *3 *6)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *3 (-777)) (-4 *6 (-972 *4 *5 *3)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-678))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-232))) (-5 *1 (-1151)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-232))) (-5 *1 (-1151)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-232))) (-5 *1 (-1152)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-232))) (-5 *1 (-1152))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-501)) (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-220 *3 *4)) (-14 *3 (-578 (-1070))) (-4 *4 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-501))) (-14 *3 (-578 (-1070))) (-5 *1 (-421 *3 *4 *5)) (-4 *4 (-959)) (-4 *5 (-211 (-3581 *3) (-701))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-447 *3 *4)) (-14 *3 (-578 (-1070))) (-4 *4 (-959))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-586 *3)) (-4 *3 (-1104)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-501)) (-4 *1 (-586 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1148 *1)) (-4 *1 (-335 *4)) (-4 *4 (-156)) (-5 *2 (-621 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-386 *3)) (-4 *3 (-156)) (-5 *2 (-621 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-1153)))) ((*1 *2 *2) (-12 (-5 *2 (-578 (-1053))) (-5 *1 (-1153))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-678))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1018)) (-5 *1 (-769 *3)) (-4 *3 (-1001))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1116 (-501))) (-4 *1 (-586 *3)) (-4 *3 (-1104)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-586 *3)) (-4 *3 (-1104))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1064 *9)) (-5 *4 (-578 *7)) (-4 *7 (-777)) (-4 *9 (-870 *8 *6 *7)) (-4 *6 (-723)) (-4 *8 (-276)) (-5 *2 (-578 (-701))) (-5 *1 (-673 *6 *7 *8 *9)) (-5 *5 (-701))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1064 *7)) (-4 *7 (-870 *6 *4 *5)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-959)) (-5 *2 (-1064 *6)) (-5 *1 (-289 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-49 *3 *4)) (-4 *3 (-959)) (-14 *4 (-578 (-1070))))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-197 *3 *4)) (-4 *3 (-13 (-959) (-777))) (-14 *4 (-578 (-1070)))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-501)) (-5 *4 (-1053)) (-5 *5 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-678))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-839)) (-5 *2 (-1148 (-578 (-2 (|:| -2150 *4) (|:| -3506 (-1018)))))) (-5 *1 (-315 *4)) (-4 *4 (-318))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-107)) (-5 *1 (-903 *4 *5 *6 *7 *3)) (-4 *3 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-107)) (-5 *1 (-1007 *4 *5 *6 *7 *3)) (-4 *3 (-977 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-282 (-199)))) (-5 *4 (-701)) (-5 *2 (-621 (-199))) (-5 *1 (-238))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-1100 *2)) (-4 *2 (-889))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *1 (-734 *4 *2)) (-4 *2 (-13 (-29 *4) (-1090) (-879)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-276)) (-5 *1 (-161 *3))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-501)) (-5 *4 (-1053)) (-5 *5 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-678))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1064 *9)) (-5 *4 (-578 *7)) (-5 *5 (-578 (-578 *8))) (-4 *7 (-777)) (-4 *8 (-276)) (-4 *9 (-870 *8 *6 *7)) (-4 *6 (-723)) (-5 *2 (-2 (|:| |upol| (-1064 *8)) (|:| |Lval| (-578 *8)) (|:| |Lfact| (-578 (-2 (|:| -3739 (-1064 *8)) (|:| -3027 (-501))))) (|:| |ctpol| *8))) (-5 *1 (-673 *6 *7 *8 *9))))) 
-(((*1 *1 *1) (-4 *1 (-967)))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-618 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-340 *2)) (-4 *4 (-340 *2))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-786)))) ((*1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-616 *4 *5 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-346)) (-5 *1 (-1152)))) ((*1 *2) (-12 (-5 *2 (-346)) (-5 *1 (-1152))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-501)) (-5 *4 (-1053)) (-5 *5 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-678))))) 
-(((*1 *2) (-12 (-4 *3 (-959)) (-5 *2 (-877 (-643 *3 *4))) (-5 *1 (-643 *3 *4)) (-4 *4 (-1125 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-1059 3 *3)))) ((*1 *1) (-12 (-5 *1 (-1059 *2 *3)) (-14 *2 (-839)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1031 (-199))) (-5 *1 (-1152)))) ((*1 *2 *1) (-12 (-5 *2 (-1031 (-199))) (-5 *1 (-1152))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-578 (-282 (-199)))) (|:| -3746 (-578 (-199))))) (-5 *2 (-346)) (-5 *1 (-238)))) ((*1 *2 *3) (-12 (-5 *3 (-1148 (-282 (-199)))) (-5 *2 (-346)) (-5 *1 (-272))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-959)) (-5 *1 (-411 *3 *2)) (-4 *2 (-1125 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-199)) (-5 *1 (-200)))) ((*1 *2 *2) (-12 (-5 *2 (-152 (-199))) (-5 *1 (-200))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-578 (-553 *4))) (-4 *4 (-389 *3)) (-4 *3 (-777)) (-5 *1 (-524 *3 *4)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-808 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-1001)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-999 *2)) (-4 *2 (-1001)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-578 *3))) (-4 *3 (-1001)) (-5 *1 (-822 *3))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-346) (-346))) (-5 *4 (-346)) (-5 *2 (-2 (|:| -2150 *4) (|:| -2390 *4) (|:| |totalpts| (-501)) (|:| |success| (-107)))) (-5 *1 (-719)) (-5 *5 (-501))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-501)) (-5 *4 (-1053)) (-5 *5 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-678))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1154)) (-5 *1 (-346)))) ((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-346))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-310 *4 *3 *5)) (-4 *4 (-1108)) (-4 *3 (-1125 *4)) (-4 *5 (-1125 (-375 *3))) (-5 *2 (-107)))) ((*1 *2 *3) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-206)) (-4 *3 (-959)) (-4 *4 (-777)) (-4 *5 (-237 *4)) (-4 *6 (-723)) (-5 *2 (-1 *1 (-701))) (-4 *1 (-224 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-959)) (-4 *3 (-777)) (-4 *5 (-237 *3)) (-4 *6 (-723)) (-5 *2 (-1 *1 (-701))) (-4 *1 (-224 *4 *3 *5 *6)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-701)) (-4 *1 (-237 *2)) (-4 *2 (-777))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-556 (-810 *3))) (-4 *3 (-806 *3)) (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-556 (-810 *3))) (-4 *2 (-806 *3)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-508) (-777) (-950 (-501)))) (-5 *1 (-164 *3 *2)) (-4 *2 (-13 (-27) (-1090) (-389 (-152 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-508) (-777) (-950 (-501)))) (-5 *1 (-164 *4 *2)) (-4 *2 (-13 (-27) (-1090) (-389 (-152 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-1094 *3 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-1094 *4 *2)) (-4 *2 (-13 (-27) (-1090) (-389 *4)))))) 
-(((*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-678))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1001)) (-5 *1 (-667 *3)))) ((*1 *1 *2) (-12 (-5 *1 (-667 *2)) (-4 *2 (-1001)))) ((*1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-578 (-787 *5))) (-14 *5 (-578 (-1070))) (-4 *6 (-419)) (-5 *2 (-578 (-578 (-220 *5 *6)))) (-5 *1 (-438 *5 *6 *7)) (-5 *3 (-578 (-220 *5 *6))) (-4 *7 (-419))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-582 *3)) (-4 *3 (-1001))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-232)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-107)) (-5 *3 (-578 (-232))) (-5 *1 (-233)))) ((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-434)))) ((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-434))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-621 (-375 (-866 (-501))))) (-5 *2 (-578 (-282 (-501)))) (-5 *1 (-941))))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-678))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-825 (-501))) (-5 *1 (-837)))) ((*1 *2 *3) (-12 (-5 *3 (-886)) (-5 *2 (-825 (-501))) (-5 *1 (-837))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-621 (-152 (-375 (-501))))) (-5 *2 (-578 (-2 (|:| |outval| (-152 *4)) (|:| |outmult| (-501)) (|:| |outvect| (-578 (-621 (-152 *4))))))) (-5 *1 (-695 *4)) (-4 *4 (-13 (-331) (-775)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1070)) (-5 *4 (-866 (-501))) (-5 *2 (-298)) (-5 *1 (-300))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-678))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *5)) (-5 *4 (-839)) (-4 *5 (-777)) (-5 *2 (-56 (-578 (-606 *5)))) (-5 *1 (-606 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1134 *3 *2)) (-4 *3 (-959)) (-4 *2 (-1111 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-775)) (-5 *2 (-501)))) ((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-822 *3)) (-4 *3 (-1001)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-974 *4 *3)) (-4 *4 (-13 (-775) (-331))) (-4 *3 (-1125 *4)) (-5 *2 (-501)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-508) (-777) (-950 *2) (-577 *2) (-419))) (-5 *2 (-501)) (-5 *1 (-1015 *4 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *4))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1070)) (-5 *5 (-769 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *6))) (-4 *6 (-13 (-508) (-777) (-950 *2) (-577 *2) (-419))) (-5 *2 (-501)) (-5 *1 (-1015 *6 *3)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1070)) (-5 *5 (-1053)) (-4 *6 (-13 (-508) (-777) (-950 *2) (-577 *2) (-419))) (-5 *2 (-501)) (-5 *1 (-1015 *6 *3)) (-4 *3 (-13 (-27) (-1090) (-389 *6))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-375 (-866 *4))) (-4 *4 (-419)) (-5 *2 (-501)) (-5 *1 (-1016 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1070)) (-5 *5 (-769 (-375 (-866 *6)))) (-5 *3 (-375 (-866 *6))) (-4 *6 (-419)) (-5 *2 (-501)) (-5 *1 (-1016 *6)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-375 (-866 *6))) (-5 *4 (-1070)) (-5 *5 (-1053)) (-4 *6 (-419)) (-5 *2 (-501)) (-5 *1 (-1016 *6)))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-501)) (-5 *1 (-1087 *3)) (-4 *3 (-959))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1148 *1)) (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-621 (-375 (-866 (-501))))) (-5 *2 (-578 (-621 (-282 (-501))))) (-5 *1 (-941))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-389 *4)) (-5 *1 (-143 *4 *2)) (-4 *4 (-13 (-777) (-508)))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-282 (-501))) (|:| -2958 (-282 (-346))) (|:| CF (-282 (-152 (-346)))) (|:| |switch| (-1069)))) (-5 *1 (-1069))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *2 (-948)) (-5 *1 (-678))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-621 (-282 (-199)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-346)) (|:| |stabilityFactor| (-346)))) (-5 *1 (-181))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-5 *1 (-391 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1090) (-389 *3))) (-14 *4 (-1070)) (-14 *5 *2))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-4 *2 (-13 (-27) (-1090) (-389 *3) (-10 -8 (-15 -3691 ($ *4))))) (-4 *4 (-775)) (-4 *5 (-13 (-1128 *2 *4) (-331) (-1090) (-10 -8 (-15 -2596 ($ $)) (-15 -3188 ($ $))))) (-5 *1 (-392 *3 *2 *4 *5 *6 *7)) (-4 *6 (-898 *5)) (-14 *7 (-1070))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-892 *3 *4 *5 *6))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-891 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-33)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *3 (-419)) (-4 *4 (-777)) (-4 *5 (-723)) (-5 *2 (-107)) (-5 *1 (-901 *3 *4 *5 *6)) (-4 *6 (-870 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1035 *3 *4)) (-4 *3 (-13 (-1001) (-33))) (-4 *4 (-13 (-1001) (-33)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-578 (-979 *4 *5 *2))) (-4 *4 (-1001)) (-4 *5 (-13 (-959) (-806 *4) (-777) (-556 (-810 *4)))) (-4 *2 (-13 (-389 *5) (-806 *4) (-556 (-810 *4)))) (-5 *1 (-53 *4 *5 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *3 (-578 (-979 *5 *6 *2))) (-5 *4 (-839)) (-4 *5 (-1001)) (-4 *6 (-13 (-959) (-806 *5) (-777) (-556 (-810 *5)))) (-4 *2 (-13 (-389 *6) (-806 *5) (-556 (-810 *5)))) (-5 *1 (-53 *5 *6 *2))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-282 (-501))) (|:| -2958 (-282 (-346))) (|:| CF (-282 (-152 (-346)))) (|:| |switch| (-1069)))) (-5 *1 (-1069))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-199)) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-72 FCN)))) (-5 *2 (-948)) (-5 *1 (-677))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-870 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-417 *4 *5 *6 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-108))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *6)) (-5 *4 (-578 (-1048 *7))) (-4 *6 (-777)) (-4 *7 (-870 *5 (-487 *6) *6)) (-4 *5 (-959)) (-5 *2 (-1 (-1048 *7) *7)) (-5 *1 (-1024 *5 *6 *7))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-903 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-107)) (-5 *1 (-1007 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4 *5 *6 *7))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 (-2 (|:| -3626 (-2 (|:| |xinit| (-199)) (|:| |xend| (-199)) (|:| |fn| (-1148 (-282 (-199)))) (|:| |yinit| (-578 (-199))) (|:| |intvals| (-578 (-199))) (|:| |g| (-282 (-199))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (|:| -2922 (-2 (|:| |stiffness| (-346)) (|:| |stability| (-346)) (|:| |expense| (-346)) (|:| |accuracy| (-346)) (|:| |intermediateResults| (-346))))))) (-5 *1 (-733))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-419)) (-4 *3 (-777)) (-4 *3 (-950 (-501))) (-4 *3 (-508)) (-5 *1 (-40 *3 *2)) (-4 *2 (-389 *3)) (-4 *2 (-13 (-331) (-267) (-10 -8 (-15 -2946 ((-1023 *3 (-553 $)) $)) (-15 -2949 ((-1023 *3 (-553 $)) $)) (-15 -3691 ($ (-1023 *3 (-553 $)))))))))) 
-(((*1 *1 *1) (-5 *1 (-1069))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-282 (-501))) (|:| -2958 (-282 (-346))) (|:| CF (-282 (-152 (-346)))) (|:| |switch| (-1069)))) (-5 *1 (-1069))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-501)) (-5 *4 (-621 (-199))) (-5 *5 (-199)) (-5 *6 (-3 (|:| |fn| (-356)) (|:| |fp| (-79 FCN)))) (-5 *2 (-948)) (-5 *1 (-677))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-291 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-123)) (-5 *2 (-578 (-2 (|:| |gen| *3) (|:| -1989 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-2 (|:| -3189 *3) (|:| -2607 *4)))) (-5 *1 (-666 *3 *4)) (-4 *3 (-959)) (-4 *4 (-657)))) ((*1 *2 *1) (-12 (-4 *1 (-1128 *3 *4)) (-4 *3 (-959)) (-4 *4 (-722)) (-5 *2 (-1048 (-2 (|:| |k| *4) (|:| |c| *3))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-1070))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-394 *3)) (-4 *3 (-1001)) (-5 *2 (-701))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-959)) (-5 *2 (-1148 *3)) (-5 *1 (-643 *3 *4)) (-4 *4 (-1125 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-1082 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001))))) 
-(((*1 *2) (-12 (-4 *1 (-318)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
-(((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-690))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-199)) (-5 *4 (-501)) (-5 *5 (-3 (|:| |fn| (-356)) (|:| |fp| (-59 -2958)))) (-5 *2 (-948)) (-5 *1 (-677))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-276)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1022 *4 *5 *6 *3)) (-4 *3 (-618 *4 *5 *6))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1116 (-501))) (-4 *1 (-252 *3)) (-4 *3 (-1104)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-4 *1 (-252 *3)) (-4 *3 (-1104))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-282 *3)) (-4 *3 (-508)) (-4 *3 (-777))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-217 *2)) (-4 *2 (-1104)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1099 *3 *4 *5 *2)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *2 (-972 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-1138 *3)) (-4 *3 (-1104)))) ((*1 *2 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 (-822 *3))) (-5 *1 (-825 *3)) (-4 *3 (-1001))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-282 (-199))) (|:| -3746 (-578 (-199))) (|:| |lb| (-578 (-769 (-199)))) (|:| |cf| (-578 (-282 (-199)))) (|:| |ub| (-578 (-769 (-199)))))) (-5 *1 (-238))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-621 *5)) (-4 *5 (-959)) (-5 *1 (-962 *3 *4 *5)) (-14 *3 (-701)) (-14 *4 (-701))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *2)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *2 (-972 *3 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 *1)) (|has| *1 (-6 -4168)) (-4 *1 (-924 *3)) (-4 *3 (-1104))))) 
-(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-621 (-199))) (-5 *4 (-501)) (-5 *5 (-107)) (-5 *2 (-948)) (-5 *1 (-676))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1070)) (-5 *5 (-578 (-375 (-866 *6)))) (-5 *3 (-375 (-866 *6))) (-4 *6 (-13 (-508) (-950 (-501)) (-134))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-578 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-521 *6))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-225 *2)) (-4 *2 (-1104)))) ((*1 *1 *1) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-340 *2)) (-4 *2 (-1104)))) ((*1 *1 *1) (-12 (-5 *1 (-584 *2 *3 *4)) (-4 *2 (-1001)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-157 *2)) (-4 *2 (-276))))) 
-(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-621 (-199))) (-5 *4 (-501)) (-5 *5 (-107)) (-5 *2 (-948)) (-5 *1 (-676))))) 
-(((*1 *2) (-12 (-5 *2 (-578 (-839))) (-5 *1 (-1153)))) ((*1 *2 *2) (-12 (-5 *2 (-578 (-839))) (-5 *1 (-1153))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-2 (|:| |deg| (-701)) (|:| -3215 *5)))) (-4 *5 (-1125 *4)) (-4 *4 (-318)) (-5 *2 (-578 *5)) (-5 *1 (-191 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-2 (|:| -3739 *5) (|:| -1201 (-501))))) (-5 *4 (-501)) (-4 *5 (-1125 *4)) (-5 *2 (-578 *5)) (-5 *1 (-627 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1142 *4)) (-4 *4 (-37 (-375 (-501)))) (-5 *2 (-1 (-1048 *4) (-1048 *4))) (-5 *1 (-1143 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-501)))) (-4 *4 (-13 (-1125 *3) (-508) (-10 -8 (-15 -3664 ($ $ $))))) (-4 *3 (-508)) (-5 *1 (-1129 *3 *4))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-834 *2)) (-4 *2 (-276))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-584 *2 *3 *4)) (-4 *2 (-1001)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-276)) (-5 *2 (-578 (-701))) (-5 *1 (-708 *3 *4 *5 *6 *7)) (-4 *3 (-1125 *6)) (-4 *7 (-870 *6 *4 *5))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-621 *7)) (-5 *3 (-578 *7)) (-4 *7 (-870 *4 *6 *5)) (-4 *4 (-13 (-276) (-134))) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-5 *1 (-844 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1148 *5)) (-4 *5 (-577 *4)) (-4 *4 (-508)) (-5 *2 (-1148 *4)) (-5 *1 (-576 *4 *5))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-692)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-402))))) 
-(((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1125 *5)) (-4 *5 (-13 (-331) (-134) (-950 (-501)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-375 *6)) (|:| |h| *6) (|:| |c1| (-375 *6)) (|:| |c2| (-375 *6)) (|:| -1348 *6))) (-5 *1 (-930 *5 *6)) (-5 *3 (-375 *6))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-501)) (-4 *4 (-156)) (-4 *5 (-340 *4)) (-4 *6 (-340 *4)) (-5 *1 (-620 *4 *5 *6 *2)) (-4 *2 (-618 *4 *5 *6))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-107)) (-5 *1 (-458))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-381 *3 *4 *5 *6)) (-4 *6 (-950 *4)) (-4 *3 (-276)) (-4 *4 (-906 *3)) (-4 *5 (-1125 *4)) (-4 *6 (-378 *4 *5)) (-14 *7 (-1148 *6)) (-5 *1 (-383 *3 *4 *5 *6 *7)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 *6)) (-4 *6 (-378 *4 *5)) (-4 *4 (-906 *3)) (-4 *5 (-1125 *4)) (-4 *3 (-276)) (-5 *1 (-383 *3 *4 *5 *6 *7)) (-14 *7 *2)))) 
-(((*1 *2 *1) (-12 (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107)) (-5 *1 (-467 *3 *4 *5 *6)) (-4 *6 (-870 *3 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-653)) (-5 *2 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-657)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-977 *4 *5 *6 *3)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-107)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-578 (-2 (|:| |val| (-107)) (|:| -3709 *1)))) (-4 *1 (-977 *4 *5 *6 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1154)) (-5 *1 (-346)))) ((*1 *2) (-12 (-5 *2 (-1154)) (-5 *1 (-346))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-419)) (-4 *6 (-723)) (-4 *7 (-777)) (-4 *3 (-972 *5 *6 *7)) (-5 *2 (-578 (-2 (|:| |val| *3) (|:| -3709 *4)))) (-5 *1 (-978 *5 *6 *7 *3 *4)) (-4 *4 (-977 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-508)) (-5 *2 (-701)) (-5 *1 (-42 *4 *3)) (-4 *3 (-386 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-1072 (-375 (-501)))) (-5 *1 (-166))))) 
-(((*1 *1) (-4 *1 (-318)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1 (-346))) (-5 *1 (-953))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-786))) (-5 *1 (-786))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-825 (-501))) (-5 *1 (-837)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-825 (-501))) (-5 *1 (-837))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-578 (-701))) (-5 *3 (-107)) (-5 *1 (-1059 *4 *5)) (-14 *4 (-839)) (-4 *5 (-959))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-107) (-108) (-108))) (-5 *1 (-108))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-578 (-866 *4))) (-5 *3 (-578 (-1070))) (-4 *4 (-419)) (-5 *1 (-838 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-373 *5)) (-4 *5 (-508)) (-5 *2 (-2 (|:| -3027 (-701)) (|:| -3189 *5) (|:| |radicand| (-578 *5)))) (-5 *1 (-288 *5)) (-5 *4 (-701)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-916)) (-5 *2 (-501))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1048 *3)) (-5 *1 (-157 *3)) (-4 *3 (-276))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1070)) (-5 *1 (-553 *3)) (-4 *3 (-777))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-553 *5))) (-4 *4 (-777)) (-5 *2 (-553 *5)) (-5 *1 (-524 *4 *5)) (-4 *5 (-389 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1142 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-331)) (-4 *4 (-508)) (-4 *5 (-1125 *4)) (-5 *2 (-2 (|:| -3499 (-562 *4 *5)) (|:| -3677 (-375 *5)))) (-5 *1 (-562 *4 *5)) (-5 *3 (-375 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-578 (-1059 *3 *4))) (-5 *1 (-1059 *3 *4)) (-14 *3 (-839)) (-4 *4 (-959)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-419)) (-4 *3 (-959)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1125 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-232))) (-5 *4 (-1070)) (-5 *2 (-107)) (-5 *1 (-232))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -4119 (-621 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-621 *3)))) (-4 *3 (-13 (-276) (-10 -8 (-15 -1559 ((-373 $) $))))) (-4 *4 (-1125 *3)) (-5 *1 (-462 *3 *4 *5)) (-4 *5 (-378 *3 *4))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-501)) (-5 *1 (-513))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-701)) (-5 *2 (-1154)) (-5 *1 (-788 *4 *5 *6 *7)) (-4 *4 (-959)) (-14 *5 (-578 (-1070))) (-14 *6 (-578 *3)) (-14 *7 *3))) ((*1 *2 *3) (-12 (-5 *3 (-701)) (-4 *4 (-959)) (-4 *5 (-777)) (-4 *6 (-723)) (-14 *8 (-578 *5)) (-5 *2 (-1154)) (-5 *1 (-1159 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-870 *4 *6 *5)) (-14 *9 (-578 *3)) (-14 *10 *3)))) 
-(((*1 *1 *1) (-5 *1 (-970)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-777) (-276) (-950 (-501)) (-577 (-501)) (-134))) (-5 *2 (-1 *5 *5)) (-5 *1 (-734 *4 *5)) (-4 *5 (-13 (-29 *4) (-1090) (-879)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-578 (-863 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-863 *3))) (-4 *3 (-959)) (-4 *1 (-1032 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-578 *3))) (-4 *1 (-1032 *3)) (-4 *3 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-578 (-863 *3))) (-4 *1 (-1032 *3)) (-4 *3 (-959))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1004 *2 *3 *4 *5 *6)) (-4 *2 (-1001)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-102 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-291 *2 *3)) (-4 *2 (-1001)) (-4 *3 (-123)) (-4 *3 (-722))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-997 *4)) (-4 *4 (-1001)) (-5 *2 (-1 *4)) (-5 *1 (-931 *4)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-346))) (-5 *1 (-953)) (-5 *3 (-346)))) ((*1 *2 *3) (-12 (-5 *3 (-991 (-501))) (-5 *2 (-1 (-501))) (-5 *1 (-957))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-375 (-866 *3))) (-5 *1 (-420 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *3 (-156)) (-14 *4 (-839)) (-14 *5 (-578 (-1070))) (-14 *6 (-1148 (-621 *3)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *1) (-12 (-4 *1 (-372)) (-3031 (|has| *1 (-6 -4158))) (-3031 (|has| *1 (-6 -4150))))) ((*1 *2 *1) (-12 (-4 *1 (-394 *2)) (-4 *2 (-1001)) (-4 *2 (-777)))) ((*1 *1 *1 *1) (-4 *1 (-777))) ((*1 *2 *1) (-12 (-4 *1 (-884 *2)) (-4 *2 (-777)))) ((*1 *1) (-5 *1 (-1018)))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1018)) (-5 *2 (-107)) (-5 *1 (-752))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1004 *2 *3 *4 *5 *6)) (-4 *2 (-1001)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-114 *2)) (-4 *2 (-1104)))) ((*1 *1 *1) (-12 (-5 *1 (-606 *2)) (-4 *2 (-777)))) ((*1 *1 *1) (-12 (-5 *1 (-610 *2)) (-4 *2 (-777)))) ((*1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-786)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-775) (-331))) (-5 *1 (-968 *2 *3)) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-107)) (-5 *1 (-903 *4 *5 *6 *7 *3)) (-4 *3 (-977 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *7 (-972 *4 *5 *6)) (-5 *2 (-107)) (-5 *1 (-1007 *4 *5 *6 *7 *3)) (-4 *3 (-977 *4 *5 *6 *7))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1148 *3)) (-4 *3 (-1125 *4)) (-4 *4 (-1108)) (-4 *1 (-310 *4 *3 *5)) (-4 *5 (-1125 (-375 *3)))))) 
-(((*1 *1) (-4 *1 (-318))) ((*1 *2 *3) (-12 (-5 *3 (-578 *5)) (-4 *5 (-389 *4)) (-4 *4 (-13 (-508) (-777) (-134))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-578 (-1064 *5))) (|:| |prim| (-1064 *5)))) (-5 *1 (-400 *4 *5)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-508) (-777) (-134))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1064 *3)) (|:| |pol2| (-1064 *3)) (|:| |prim| (-1064 *3)))) (-5 *1 (-400 *4 *3)) (-4 *3 (-27)) (-4 *3 (-389 *4)))) ((*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-866 *5)) (-5 *4 (-1070)) (-4 *5 (-13 (-331) (-134))) (-5 *2 (-2 (|:| |coef1| (-501)) (|:| |coef2| (-501)) (|:| |prim| (-1064 *5)))) (-5 *1 (-880 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-866 *5))) (-5 *4 (-578 (-1070))) (-4 *5 (-13 (-331) (-134))) (-5 *2 (-2 (|:| -3189 (-578 (-501))) (|:| |poly| (-578 (-1064 *5))) (|:| |prim| (-1064 *5)))) (-5 *1 (-880 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-578 (-866 *6))) (-5 *4 (-578 (-1070))) (-5 *5 (-1070)) (-4 *6 (-13 (-331) (-134))) (-5 *2 (-2 (|:| -3189 (-578 (-501))) (|:| |poly| (-578 (-1064 *6))) (|:| |prim| (-1064 *6)))) (-5 *1 (-880 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-553 *6)) (-4 *6 (-13 (-389 *5) (-27) (-1090))) (-4 *5 (-13 (-419) (-950 (-501)) (-777) (-134) (-577 (-501)))) (-5 *2 (-1064 (-375 (-1064 *6)))) (-5 *1 (-512 *5 *6 *7)) (-5 *3 (-1064 *6)) (-4 *7 (-1001)))) ((*1 *2 *1) (-12 (-4 *2 (-1125 *3)) (-5 *1 (-643 *3 *2)) (-4 *3 (-959)))) ((*1 *2 *1) (-12 (-4 *1 (-655 *3 *2)) (-4 *3 (-156)) (-4 *2 (-1125 *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1064 *11)) (-5 *6 (-578 *10)) (-5 *7 (-578 (-701))) (-5 *8 (-578 *11)) (-4 *10 (-777)) (-4 *11 (-276)) (-4 *9 (-723)) (-4 *5 (-870 *11 *9 *10)) (-5 *2 (-578 (-1064 *5))) (-5 *1 (-673 *9 *10 *11 *5)) (-5 *3 (-1064 *5)))) ((*1 *2 *1) (-12 (-4 *2 (-870 *3 *4 *5)) (-5 *1 (-947 *3 *4 *5 *2 *6)) (-4 *3 (-331)) (-4 *4 (-723)) (-4 *5 (-777)) (-14 *6 (-578 *2))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-870 *4 *5 *6)) (-4 *4 (-331)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-414 *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-94 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-331)) (-5 *2 (-2 (|:| R (-621 *6)) (|:| A (-621 *6)) (|:| |Ainv| (-621 *6)))) (-5 *1 (-893 *6)) (-5 *3 (-621 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-331) (-775))) (-5 *2 (-2 (|:| |start| *3) (|:| -1575 (-373 *3)))) (-5 *1 (-162 *4 *3)) (-4 *3 (-1125 (-152 *4)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-114 *2)) (-4 *2 (-1104)))) ((*1 *1 *1) (-12 (-5 *1 (-606 *2)) (-4 *2 (-777)))) ((*1 *1 *1) (-12 (-5 *1 (-610 *2)) (-4 *2 (-777)))) ((*1 *1 *1) (-5 *1 (-786))) ((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (-5 *1 (-786)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-775) (-331))) (-5 *1 (-968 *2 *3)) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-898 *2)) (-4 *2 (-1090))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-583 *3)) (-4 *3 (-959)) (-5 *1 (-645 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-959)) (-5 *1 (-764 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-486 *3)) (-4 *3 (-13 (-657) (-25)))))) 
-(((*1 *2) (-12 (-5 *2 (-1053)) (-5 *1 (-690))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-621 *2)) (-5 *4 (-701)) (-4 *2 (-13 (-276) (-10 -8 (-15 -1559 ((-373 $) $))))) (-4 *5 (-1125 *2)) (-5 *1 (-462 *2 *5 *6)) (-4 *6 (-378 *2 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-501)) (|has| *1 (-6 -4168)) (-4 *1 (-1138 *3)) (-4 *3 (-1104))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-593 *2)) (-4 *2 (-959)) (-4 *2 (-331))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-346) (-346))) (-5 *4 (-346)) (-5 *2 (-2 (|:| -2150 *4) (|:| -2390 *4) (|:| |totalpts| (-501)) (|:| |success| (-107)))) (-5 *1 (-719)) (-5 *5 (-501))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-294 *3 *4)) (-4 *3 (-959)) (-4 *4 (-722)) (-5 *2 (-578 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-352 *3 *4)) (-4 *3 (-959)) (-4 *4 (-1001)) (-5 *2 (-578 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1048 *3)) (-5 *1 (-541 *3)) (-4 *3 (-959)))) ((*1 *2 *1) (-12 (-5 *2 (-578 *3)) (-5 *1 (-666 *3 *4)) (-4 *3 (-959)) (-4 *4 (-657)))) ((*1 *2 *1) (-12 (-4 *1 (-779 *3)) (-4 *3 (-959)) (-5 *2 (-578 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1142 *3)) (-4 *3 (-959)) (-5 *2 (-1048 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1148 (-578 (-2 (|:| -2150 (-826 *3)) (|:| -3506 (-1018)))))) (-5 *1 (-320 *3 *4)) (-14 *3 (-839)) (-14 *4 (-839)))) ((*1 *2) (-12 (-5 *2 (-1148 (-578 (-2 (|:| -2150 *3) (|:| -3506 (-1018)))))) (-5 *1 (-321 *3 *4)) (-4 *3 (-318)) (-14 *4 (-3 (-1064 *3) *2)))) ((*1 *2) (-12 (-5 *2 (-1148 (-578 (-2 (|:| -2150 *3) (|:| -3506 (-1018)))))) (-5 *1 (-322 *3 *4)) (-4 *3 (-318)) (-14 *4 (-839))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-1036 *2 *3)) (-4 *2 (-13 (-1001) (-33))) (-4 *3 (-13 (-1001) (-33)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-280)) (-5 *1 (-759))))) 
-(((*1 *1 *1 *1) (-4 *1 (-130))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-143 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-144 *2)) (-4 *2 (-500)))) ((*1 *1 *1 *1) (-5 *1 (-786))) ((*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-501))) (-5 *1 (-957)) (-5 *3 (-501))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3071 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-331)) (-5 *1 (-525 *4 *2)) (-4 *2 (-1125 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-701)) (-5 *1 (-412 *3)) (-4 *3 (-372)) (-4 *3 (-959)))) ((*1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-412 *3)) (-4 *3 (-372)) (-4 *3 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-107)) (-5 *2 (-1053)) (-5 *1 (-50))))) 
-(((*1 *2) (-12 (-4 *1 (-318)) (-5 *2 (-578 (-2 (|:| -3739 (-501)) (|:| -3027 (-501)))))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-107)) (-4 *6 (-13 (-419) (-777) (-950 (-501)) (-577 (-501)))) (-4 *3 (-13 (-27) (-1090) (-389 *6) (-10 -8 (-15 -3691 ($ *7))))) (-4 *7 (-775)) (-4 *8 (-13 (-1128 *3 *7) (-331) (-1090) (-10 -8 (-15 -2596 ($ $)) (-15 -3188 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1053)) (|:| |prob| (-1053)))))) (-5 *1 (-392 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1053)) (-4 *9 (-898 *8)) (-14 *10 (-1070))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-211 *3 *2)) (-4 *2 (-1104)) (-4 *2 (-959)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-786)))) ((*1 *1 *1) (-5 *1 (-786))) ((*1 *2 *3 *3) (-12 (-5 *3 (-863 (-199))) (-5 *2 (-199)) (-5 *1 (-1101)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1147 *2)) (-4 *2 (-1104)) (-4 *2 (-959))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-701)) (-4 *3 (-959)) (-4 *1 (-618 *3 *4 *5)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *1 *2) (-12 (-4 *2 (-959)) (-4 *1 (-1021 *3 *2 *4 *5)) (-4 *4 (-211 *3 *2)) (-4 *5 (-211 *3 *2))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1749 *4))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-4 *4 (-13 (-276) (-134))) (-4 *5 (-13 (-777) (-556 (-1070)))) (-4 *6 (-723)) (-5 *2 (-578 (-2 (|:| |eqzro| (-578 *7)) (|:| |neqzro| (-578 *7)) (|:| |wcond| (-578 (-866 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1148 (-375 (-866 *4)))) (|:| -4119 (-578 (-1148 (-375 (-866 *4)))))))))) (-5 *1 (-844 *4 *5 *6 *7)) (-4 *7 (-870 *4 *6 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-108)) (-4 *4 (-959)) (-5 *1 (-645 *4 *2)) (-4 *2 (-583 *4)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-108)) (-5 *1 (-764 *2)) (-4 *2 (-959))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1064 *3)) (-4 *3 (-318)) (-5 *1 (-324 *3))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-578 (-621 *6))) (-5 *4 (-107)) (-5 *5 (-501)) (-5 *2 (-621 *6)) (-5 *1 (-943 *6)) (-4 *6 (-331)) (-4 *6 (-959)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-578 (-621 *4))) (-5 *2 (-621 *4)) (-5 *1 (-943 *4)) (-4 *4 (-331)) (-4 *4 (-959)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-578 (-621 *5))) (-5 *4 (-501)) (-5 *2 (-621 *5)) (-5 *1 (-943 *5)) (-4 *5 (-331)) (-4 *5 (-959))))) 
-(((*1 *2) (-12 (-4 *4 (-1108)) (-4 *5 (-1125 *4)) (-4 *6 (-1125 (-375 *5))) (-5 *2 (-578 (-578 *4))) (-5 *1 (-309 *3 *4 *5 *6)) (-4 *3 (-310 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-4 *3 (-336)) (-5 *2 (-578 (-578 *3)))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-389 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-578 (-810 *3))) (-5 *1 (-810 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-578 *1)) (-4 *1 (-870 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-959)) (-4 *7 (-870 *6 *4 *5)) (-5 *2 (-578 *3)) (-5 *1 (-871 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-331) (-10 -8 (-15 -3691 ($ *7)) (-15 -2946 (*7 $)) (-15 -2949 (*7 $)))))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-578 (-501))) (-5 *3 (-621 (-501))) (-5 *1 (-1010))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-50)) (-5 *1 (-759))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1064 (-501))) (-5 *2 (-501)) (-5 *1 (-862))))) 
-(((*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-331)) (-4 *3 (-1125 *4)) (-4 *5 (-1125 (-375 *3))) (-4 *1 (-304 *4 *3 *5 *2)) (-4 *2 (-310 *4 *3 *5)))) ((*1 *1 *2 *2 *3) (-12 (-5 *3 (-501)) (-4 *2 (-331)) (-4 *4 (-1125 *2)) (-4 *5 (-1125 (-375 *4))) (-4 *1 (-304 *2 *4 *5 *6)) (-4 *6 (-310 *2 *4 *5)))) ((*1 *1 *2 *2) (-12 (-4 *2 (-331)) (-4 *3 (-1125 *2)) (-4 *4 (-1125 (-375 *3))) (-4 *1 (-304 *2 *3 *4 *5)) (-4 *5 (-310 *2 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-331)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-4 *1 (-304 *3 *4 *5 *2)) (-4 *2 (-310 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-381 *4 (-375 *4) *5 *6)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-4 *6 (-310 *3 *4 *5)) (-4 *3 (-331)) (-4 *1 (-304 *3 *4 *5 *6))))) 
-(((*1 *1 *1 *1) (-5 *1 (-107))) ((*1 *1 *1 *1) (-4 *1 (-118))) ((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *3 *1 *4) (-12 (-5 *3 (-1035 *5 *6)) (-5 *4 (-1 (-107) *6 *6)) (-4 *5 (-13 (-1001) (-33))) (-4 *6 (-13 (-1001) (-33))) (-5 *2 (-107)) (-5 *1 (-1036 *5 *6))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1070)) (-5 *3 (-578 (-866 (-501)))) (-5 *4 (-282 (-152 (-346)))) (-5 *1 (-298)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1070)) (-5 *3 (-578 (-866 (-501)))) (-5 *4 (-282 (-346))) (-5 *1 (-298)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1070)) (-5 *3 (-578 (-866 (-501)))) (-5 *4 (-282 (-501))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1148 (-282 (-152 (-346))))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1148 (-282 (-346)))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1148 (-282 (-501)))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-621 (-282 (-152 (-346))))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-621 (-282 (-346)))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-621 (-282 (-501)))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-282 (-152 (-346)))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-282 (-346))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-282 (-501))) (-5 *1 (-298)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1070)) (-5 *3 (-578 (-866 (-501)))) (-5 *4 (-282 (-625))) (-5 *1 (-298)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1070)) (-5 *3 (-578 (-866 (-501)))) (-5 *4 (-282 (-630))) (-5 *1 (-298)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1070)) (-5 *3 (-578 (-866 (-501)))) (-5 *4 (-282 (-632))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1148 (-282 (-625)))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1148 (-282 (-630)))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1148 (-282 (-632)))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-621 (-282 (-625)))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-621 (-282 (-630)))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-621 (-282 (-632)))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1148 (-625))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1148 (-630))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1148 (-632))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-621 (-625))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-621 (-630))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-621 (-632))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-282 (-625))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-282 (-630))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-282 (-632))) (-5 *1 (-298)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-1053)) (-5 *1 (-298)))) ((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-506 *2)) (-4 *2 (-13 (-372) (-1090)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-310 *4 *5 *6)) (-4 *4 (-1108)) (-4 *5 (-1125 *4)) (-4 *6 (-1125 (-375 *5))) (-5 *2 (-2 (|:| |num| (-621 *5)) (|:| |den| *5)))))) 
-(((*1 *2) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-621 (-375 *4)))))) 
-(((*1 *1 *1) (|partial| -4 *1 (-132))) ((*1 *1 *1) (-4 *1 (-318))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-132)) (-4 *1 (-830))))) 
-(((*1 *2) (-12 (-4 *4 (-156)) (-5 *2 (-107)) (-5 *1 (-334 *3 *4)) (-4 *3 (-335 *4)))) ((*1 *2) (-12 (-4 *1 (-335 *3)) (-4 *3 (-156)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-199)) (-5 *2 (-2 (|:| |brans| (-578 (-578 (-863 *4)))) (|:| |xValues| (-991 *4)) (|:| |yValues| (-991 *4)))) (-5 *1 (-140)) (-5 *3 (-578 (-578 (-863 *4))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1064 *1)) (-5 *4 (-1070)) (-4 *1 (-27)) (-5 *2 (-578 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1064 *1)) (-4 *1 (-27)) (-5 *2 (-578 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-866 *1)) (-4 *1 (-27)) (-5 *2 (-578 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1070)) (-4 *4 (-13 (-777) (-508))) (-5 *2 (-578 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *2 (-578 *1)) (-4 *1 (-29 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-107)) (-5 *1 (-307 *3 *4 *5)) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355)))) ((*1 *2) (-12 (-5 *2 (-107)) (-5 *1 (-307 *3 *4 *5)) (-14 *3 (-578 (-1070))) (-14 *4 (-578 (-1070))) (-4 *5 (-355))))) 
-(((*1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-1073))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-1125 *2)) (-4 *2 (-1125 *4)) (-5 *1 (-900 *4 *2 *3 *5)) (-4 *4 (-318)) (-4 *5 (-655 *2 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-157 *2)) (-4 *2 (-276)))) ((*1 *2 *3) (-12 (-5 *2 (-1072 (-375 (-501)))) (-5 *1 (-166)) (-5 *3 (-501)))) ((*1 *1 *1) (-12 (-4 *1 (-608 *2)) (-4 *2 (-1104)))) ((*1 *1 *1) (-4 *1 (-792 *2))) ((*1 *1 *1) (-12 (-4 *1 (-888 *2 *3 *4)) (-4 *2 (-959)) (-4 *3 (-722)) (-4 *4 (-777))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-578 (-2 (|:| -3739 (-1064 *6)) (|:| -3027 (-501))))) (-4 *6 (-276)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107)) (-5 *1 (-673 *4 *5 *6 *7)) (-4 *7 (-870 *6 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-1032 *2)) (-4 *2 (-959))))) 
-(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1069)) (-5 *1 (-298)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1069)) (-5 *1 (-298))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1125 (-375 *2))) (-5 *2 (-501)) (-5 *1 (-833 *4 *3)) (-4 *3 (-1125 (-375 *4)))))) 
-(((*1 *2) (-12 (-5 *2 (-701)) (-5 *1 (-115 *3)) (-4 *3 (-1125 (-501))))) ((*1 *2 *2) (-12 (-5 *2 (-701)) (-5 *1 (-115 *3)) (-4 *3 (-1125 (-501)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-33)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -1320 *7) (|:| |sol?| (-107))) (-501) *7)) (-5 *6 (-578 (-375 *8))) (-4 *7 (-331)) (-4 *8 (-1125 *7)) (-5 *3 (-375 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-578 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-525 *7 *8))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1019 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *2 (-578 *4)) (-5 *1 (-1026 *3 *4)) (-4 *3 (-1125 *4)))) ((*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *2 (-578 *3)) (-5 *1 (-1026 *4 *3)) (-4 *4 (-1125 *3))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1001)) (-4 *4 (-13 (-959) (-806 *3) (-777) (-556 (-810 *3)))) (-5 *2 (-578 (-979 *3 *4 *5))) (-5 *1 (-981 *3 *4 *5)) (-4 *5 (-13 (-389 *4) (-806 *3) (-556 (-810 *3))))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-959)) (-5 *2 (-107)) (-5 *1 (-411 *4 *3)) (-4 *3 (-1125 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-107))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-726 *2)) (-4 *2 (-156))))) 
-(((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-107)) (|:| -2995 (-701)) (|:| |period| (-701)))) (-5 *1 (-1048 *4)) (-4 *4 (-1104)) (-5 *3 (-701))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-822 *4)) (-4 *4 (-1001)) (-5 *2 (-578 (-701))) (-5 *1 (-825 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1749 *4))) (-5 *1 (-885 *4 *3)) (-4 *3 (-1125 *4))))) 
-(((*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-777)) (-5 *3 (-578 *6)) (-5 *5 (-578 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-578 *5)) (|:| |f3| *5) (|:| |f4| (-578 *5)))) (-5 *1 (-1076 *6)) (-5 *4 (-578 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-102 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-866 (-501))) (-5 *2 (-578 *1)) (-4 *1 (-926)))) ((*1 *2 *3) (-12 (-5 *3 (-866 (-375 (-501)))) (-5 *2 (-578 *1)) (-4 *1 (-926)))) ((*1 *2 *3) (-12 (-5 *3 (-866 *1)) (-4 *1 (-926)) (-5 *2 (-578 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1064 (-501))) (-5 *2 (-578 *1)) (-4 *1 (-926)))) ((*1 *2 *3) (-12 (-5 *3 (-1064 (-375 (-501)))) (-5 *2 (-578 *1)) (-4 *1 (-926)))) ((*1 *2 *3) (-12 (-5 *3 (-1064 *1)) (-4 *1 (-926)) (-5 *2 (-578 *1)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-775) (-331))) (-4 *3 (-1125 *4)) (-5 *2 (-578 *1)) (-4 *1 (-974 *4 *3))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-282 (-501))) (|:| -2958 (-282 (-346))) (|:| CF (-282 (-152 (-346)))) (|:| |switch| (-1069)))) (-5 *1 (-1069))))) 
-(((*1 *2 *3) (-12 (-4 *5 (-13 (-556 *2) (-156))) (-5 *2 (-810 *4)) (-5 *1 (-154 *4 *5 *3)) (-4 *4 (-1001)) (-4 *3 (-150 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-991 (-769 (-346))))) (-5 *2 (-578 (-991 (-769 (-199))))) (-5 *1 (-272)))) ((*1 *1 *2) (-12 (-5 *2 (-199)) (-5 *1 (-346)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-786)) (-5 *3 (-501)) (-5 *1 (-361)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 *3)) (-4 *3 (-156)) (-4 *1 (-378 *3 *4)) (-4 *4 (-1125 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-378 *3 *4)) (-4 *3 (-156)) (-4 *4 (-1125 *3)) (-5 *2 (-1148 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1148 *3)) (-4 *3 (-156)) (-4 *1 (-386 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-386 *3)) (-4 *3 (-156)) (-5 *2 (-1148 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-373 *1)) (-4 *1 (-389 *3)) (-4 *3 (-508)) (-4 *3 (-777)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-430 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1003)) (-5 *1 (-490)))) ((*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-1104)))) ((*1 *1 *2) (-12 (-4 *3 (-156)) (-4 *1 (-655 *3 *2)) (-4 *2 (-1125 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-578 (-810 *3))) (-5 *1 (-810 *3)) (-4 *3 (-1001)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-959)) (-4 *1 (-895 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1070)) (-5 *1 (-969)))) ((*1 *1 *2) (-12 (-5 *2 (-866 *3)) (-4 *3 (-959)) (-4 *1 (-972 *3 *4 *5)) (-4 *5 (-556 (-1070))) (-4 *4 (-723)) (-4 *5 (-777)))) ((*1 *1 *2) (-1405 (-12 (-5 *2 (-866 (-501))) (-4 *1 (-972 *3 *4 *5)) (-12 (-3031 (-4 *3 (-37 (-375 (-501))))) (-4 *3 (-37 (-501))) (-4 *5 (-556 (-1070)))) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777))) (-12 (-5 *2 (-866 (-501))) (-4 *1 (-972 *3 *4 *5)) (-12 (-4 *3 (-37 (-375 (-501)))) (-4 *5 (-556 (-1070)))) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777))))) ((*1 *1 *2) (-12 (-5 *2 (-866 (-375 (-501)))) (-4 *1 (-972 *3 *4 *5)) (-4 *3 (-37 (-375 (-501)))) (-4 *5 (-556 (-1070))) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-578 *7)) (|:| -3709 *8))) (-4 *7 (-972 *4 *5 *6)) (-4 *8 (-977 *4 *5 *6 *7)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-1053)) (-5 *1 (-975 *4 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-5 *2 (-1070)) (-5 *1 (-986)))) ((*1 *1 *2) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1104)))) ((*1 *1 *2) (-12 (-4 *1 (-1004 *3 *4 *5 *6 *2)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *2 (-1001)))) ((*1 *1 *2) (-12 (-4 *1 (-1004 *3 *4 *5 *2 *6)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *2 (-1001)) (-4 *6 (-1001)))) ((*1 *1 *2) (-12 (-4 *1 (-1004 *3 *4 *2 *5 *6)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *2 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)))) ((*1 *1 *2) (-12 (-4 *1 (-1004 *3 *2 *4 *5 *6)) (-4 *3 (-1001)) (-4 *2 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)))) ((*1 *1 *2) (-12 (-4 *1 (-1004 *2 *3 *4 *5 *6)) (-4 *2 (-1001)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)))) ((*1 *1 *2) (-12 (-5 *2 (-578 *1)) (-4 *1 (-1004 *3 *4 *5 *6 *7)) (-4 *3 (-1001)) (-4 *4 (-1001)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-578 *7)) (|:| -3709 *8))) (-4 *7 (-972 *4 *5 *6)) (-4 *8 (-1009 *4 *5 *6 *7)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-1053)) (-5 *1 (-1040 *4 *5 *6 *7 *8)))) ((*1 *1 *2 *3 *2) (-12 (-5 *2 (-786)) (-5 *3 (-501)) (-5 *1 (-1084)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-786)) (-5 *3 (-501)) (-5 *1 (-1084)))) ((*1 *2 *3) (-12 (-5 *3 (-710 *4 (-787 *5))) (-4 *4 (-13 (-775) (-276) (-134) (-933))) (-14 *5 (-578 (-1070))) (-5 *2 (-710 *4 (-787 *6))) (-5 *1 (-1173 *4 *5 *6)) (-14 *6 (-578 (-1070))))) ((*1 *2 *3) (-12 (-5 *3 (-866 *4)) (-4 *4 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-866 (-937 (-375 *4)))) (-5 *1 (-1173 *4 *5 *6)) (-14 *5 (-578 (-1070))) (-14 *6 (-578 (-1070))))) ((*1 *2 *3) (-12 (-5 *3 (-710 *4 (-787 *6))) (-4 *4 (-13 (-775) (-276) (-134) (-933))) (-14 *6 (-578 (-1070))) (-5 *2 (-866 (-937 (-375 *4)))) (-5 *1 (-1173 *4 *5 *6)) (-14 *5 (-578 (-1070))))) ((*1 *2 *3) (-12 (-5 *3 (-1064 *4)) (-4 *4 (-13 (-775) (-276) (-134) (-933))) (-5 *2 (-1064 (-937 (-375 *4)))) (-5 *1 (-1173 *4 *5 *6)) (-14 *5 (-578 (-1070))) (-14 *6 (-578 (-1070))))) ((*1 *2 *3) (-12 (-5 *3 (-1041 *4 (-487 (-787 *6)) (-787 *6) (-710 *4 (-787 *6)))) (-4 *4 (-13 (-775) (-276) (-134) (-933))) (-14 *6 (-578 (-1070))) (-5 *2 (-578 (-710 *4 (-787 *6)))) (-5 *1 (-1173 *4 *5 *6)) (-14 *5 (-578 (-1070)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1139 *2 *3 *4)) (-4 *2 (-959)) (-14 *3 (-1070)) (-14 *4 *2)))) 
-(((*1 *2 *2) (-12 (-5 *1 (-881 *2)) (-4 *2 (-500))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-282 (-199))) (-5 *1 (-238))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-107)) (-5 *1 (-402))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-435)) (-5 *4 (-839)) (-5 *2 (-1154)) (-5 *1 (-1151))))) 
-(((*1 *2 *2 *2) (-12 (-4 *2 (-13 (-331) (-10 -8 (-15 ** ($ $ (-375 (-501))))))) (-5 *1 (-1026 *3 *2)) (-4 *3 (-1125 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-199)) (|:| |xend| (-199)) (|:| |fn| (-1148 (-282 (-199)))) (|:| |yinit| (-578 (-199))) (|:| |intvals| (-578 (-199))) (|:| |g| (-282 (-199))) (|:| |abserr| (-199)) (|:| |relerr| (-199)))) (-5 *2 (-346)) (-5 *1 (-181))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1154)) (-5 *1 (-753))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1001)) (-4 *4 (-1001)) (-4 *6 (-1001)) (-5 *2 (-1 *6 *5)) (-5 *1 (-616 *5 *4 *6))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-939 (-769 (-501)))) (-5 *3 (-1048 (-2 (|:| |k| (-501)) (|:| |c| *4)))) (-4 *4 (-959)) (-5 *1 (-540 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-375 (-501))) (-5 *1 (-192))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-874)) (-5 *2 (-991 (-199))))) ((*1 *2 *1) (-12 (-4 *1 (-889)) (-5 *2 (-991 (-199)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-540 *2)) (-4 *2 (-37 (-375 (-501)))) (-4 *2 (-959))))) 
-(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-578 *1)) (-4 *1 (-276))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-501))) (-5 *2 (-825 (-501))) (-5 *1 (-837)))) ((*1 *2) (-12 (-5 *2 (-825 (-501))) (-5 *1 (-837))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-1001)) (-4 *2 (-820 *4)) (-5 *1 (-623 *4 *2 *5 *3)) (-4 *5 (-340 *2)) (-4 *3 (-13 (-340 *4) (-10 -7 (-6 -4167))))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1070)) (-5 *3 (-346)) (-5 *1 (-970))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-3 (-107) "failed")) (-4 *3 (-419)) (-4 *4 (-777)) (-4 *5 (-723)) (-5 *1 (-901 *3 *4 *5 *6)) (-4 *6 (-870 *3 *5 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1001)) (-5 *1 (-822 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1082 *4 *5)) (-4 *4 (-1001)) (-4 *5 (-1001))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-863 *3) (-863 *3))) (-5 *1 (-158 *3)) (-4 *3 (-13 (-331) (-1090) (-916)))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1018)) (-5 *1 (-104)))) ((*1 *2 *1) (|partial| -12 (-5 *1 (-332 *2)) (-4 *2 (-1001)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1053)) (-5 *1 (-1086))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-331)) (-4 *3 (-959)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -3987 *1))) (-4 *1 (-779 *3))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-199)) (-5 *1 (-200)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-152 (-199))) (-5 *1 (-200)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-399 *3 *2)) (-4 *2 (-389 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1034)))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-795)) (-5 *3 (-578 (-232))) (-5 *1 (-233))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3)) (|has| *1 (-6 -4167)) (-4 *1 (-208 *3)) (-4 *3 (-1001)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-107) *3)) (-4 *1 (-252 *3)) (-4 *3 (-1104))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-968 (-937 *4) (-1064 (-937 *4)))) (-5 *3 (-786)) (-5 *1 (-937 *4)) (-4 *4 (-13 (-775) (-331) (-933)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1064 (-501))) (-5 *1 (-862)) (-5 *3 (-501))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1099 *2 *3 *4 *5)) (-4 *2 (-508)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *5 (-972 *2 *3 *4))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-578 (-501))) (-5 *1 (-1010)) (-5 *3 (-501))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 (-621 *5))) (-5 *4 (-501)) (-4 *5 (-331)) (-4 *5 (-959)) (-5 *2 (-107)) (-5 *1 (-943 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-578 (-621 *4))) (-4 *4 (-331)) (-4 *4 (-959)) (-5 *2 (-107)) (-5 *1 (-943 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-839)) (-5 *2 (-1064 *4)) (-5 *1 (-534 *4)) (-4 *4 (-318))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1048 *3)) (-4 *3 (-959)) (-5 *1 (-1055 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *3)) (-4 *3 (-1125 (-501))) (-5 *1 (-451 *3))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-46 *3 *4)) (-4 *3 (-959)) (-4 *4 (-722)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-959)) (-5 *1 (-49 *3 *4)) (-14 *4 (-578 (-1070))))) ((*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-55 *3 *4 *5)) (-4 *3 (-1104)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-55 *3 *4 *5)) (-4 *3 (-1104)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-55 *3 *4 *5)) (-4 *3 (-1104)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-56 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-56 *6)) (-5 *1 (-57 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-126 *5 *6 *7)) (-14 *5 (-501)) (-14 *6 (-701)) (-4 *7 (-156)) (-4 *8 (-156)) (-5 *2 (-126 *5 *6 *8)) (-5 *1 (-127 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-152 *5)) (-4 *5 (-156)) (-4 *6 (-156)) (-5 *2 (-152 *6)) (-5 *1 (-153 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-282 *3) (-282 *3))) (-4 *3 (-13 (-959) (-777))) (-5 *1 (-197 *3 *4)) (-14 *4 (-578 (-1070))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-212 *5 *6)) (-14 *5 (-701)) (-4 *6 (-1104)) (-4 *7 (-1104)) (-5 *2 (-212 *5 *7)) (-5 *1 (-213 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1104)) (-5 *1 (-262 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-262 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-262 *6)) (-5 *1 (-263 *5 *6)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-553 *1)) (-4 *1 (-267)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1053)) (-5 *5 (-553 *6)) (-4 *6 (-267)) (-4 *2 (-1104)) (-5 *1 (-268 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-553 *5)) (-4 *5 (-267)) (-4 *2 (-267)) (-5 *1 (-269 *5 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-621 *5)) (-4 *5 (-959)) (-4 *6 (-959)) (-5 *2 (-621 *6)) (-5 *1 (-274 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-282 *5)) (-4 *5 (-777)) (-4 *6 (-777)) (-5 *2 (-282 *6)) (-5 *1 (-283 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-301 *5 *6 *7 *8)) (-4 *5 (-331)) (-4 *6 (-1125 *5)) (-4 *7 (-1125 (-375 *6))) (-4 *8 (-310 *5 *6 *7)) (-4 *9 (-331)) (-4 *10 (-1125 *9)) (-4 *11 (-1125 (-375 *10))) (-5 *2 (-301 *9 *10 *11 *12)) (-5 *1 (-302 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-310 *9 *10 *11)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-306 *3)) (-4 *3 (-1001)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1108)) (-4 *8 (-1108)) (-4 *6 (-1125 *5)) (-4 *7 (-1125 (-375 *6))) (-4 *9 (-1125 *8)) (-4 *2 (-310 *8 *9 *10)) (-5 *1 (-311 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-310 *5 *6 *7)) (-4 *10 (-1125 (-375 *9))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-4 *2 (-340 *6)) (-5 *1 (-341 *5 *4 *6 *2)) (-4 *4 (-340 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-352 *3 *4)) (-4 *3 (-959)) (-4 *4 (-1001)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-508)) (-5 *1 (-373 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-373 *5)) (-4 *5 (-508)) (-4 *6 (-508)) (-5 *2 (-373 *6)) (-5 *1 (-374 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-375 *5)) (-4 *5 (-508)) (-4 *6 (-508)) (-5 *2 (-375 *6)) (-5 *1 (-376 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-381 *5 *6 *7 *8)) (-4 *5 (-276)) (-4 *6 (-906 *5)) (-4 *7 (-1125 *6)) (-4 *8 (-13 (-378 *6 *7) (-950 *6))) (-4 *9 (-276)) (-4 *10 (-906 *9)) (-4 *11 (-1125 *10)) (-5 *2 (-381 *9 *10 *11 *12)) (-5 *1 (-382 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-378 *10 *11) (-950 *10))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-156)) (-4 *6 (-156)) (-4 *2 (-386 *6)) (-5 *1 (-384 *4 *5 *2 *6)) (-4 *4 (-386 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-959) (-777))) (-4 *6 (-13 (-959) (-777))) (-4 *2 (-389 *6)) (-5 *1 (-390 *5 *4 *6 *2)) (-4 *4 (-389 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *2 (-394 *6)) (-5 *1 (-395 *5 *4 *6 *2)) (-4 *4 (-394 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-454 *3)) (-4 *3 (-1104)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-471 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-777)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-530 *5)) (-4 *5 (-331)) (-4 *6 (-331)) (-5 *2 (-530 *6)) (-5 *1 (-531 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3071 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-331)) (-4 *6 (-331)) (-5 *2 (-2 (|:| -3071 *6) (|:| |coeff| *6))) (-5 *1 (-531 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-331)) (-4 *2 (-331)) (-5 *1 (-531 *5 *2)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-578 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-331)) (-4 *6 (-331)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-578 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-531 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-545 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-545 *6)) (-5 *1 (-542 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-545 *6)) (-5 *5 (-545 *7)) (-4 *6 (-1104)) (-4 *7 (-1104)) (-4 *8 (-1104)) (-5 *2 (-545 *8)) (-5 *1 (-543 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1048 *6)) (-5 *5 (-545 *7)) (-4 *6 (-1104)) (-4 *7 (-1104)) (-4 *8 (-1104)) (-5 *2 (-1048 *8)) (-5 *1 (-543 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-545 *6)) (-5 *5 (-1048 *7)) (-4 *6 (-1104)) (-4 *7 (-1104)) (-4 *8 (-1104)) (-5 *2 (-1048 *8)) (-5 *1 (-543 *6 *7 *8)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1104)) (-5 *1 (-545 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-578 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-578 *6)) (-5 *1 (-579 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-578 *6)) (-5 *5 (-578 *7)) (-4 *6 (-1104)) (-4 *7 (-1104)) (-4 *8 (-1104)) (-5 *2 (-578 *8)) (-5 *1 (-581 *6 *7 *8)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-586 *3)) (-4 *3 (-1104)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-959)) (-4 *8 (-959)) (-4 *6 (-340 *5)) (-4 *7 (-340 *5)) (-4 *2 (-618 *8 *9 *10)) (-5 *1 (-619 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-618 *5 *6 *7)) (-4 *9 (-340 *8)) (-4 *10 (-340 *8)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-959)) (-4 *8 (-959)) (-4 *6 (-340 *5)) (-4 *7 (-340 *5)) (-4 *2 (-618 *8 *9 *10)) (-5 *1 (-619 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-618 *5 *6 *7)) (-4 *9 (-340 *8)) (-4 *10 (-340 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-508)) (-4 *7 (-508)) (-4 *6 (-1125 *5)) (-4 *2 (-1125 (-375 *8))) (-5 *1 (-641 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1125 (-375 *6))) (-4 *8 (-1125 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-959)) (-4 *9 (-959)) (-4 *5 (-777)) (-4 *6 (-723)) (-4 *2 (-870 *9 *7 *5)) (-5 *1 (-659 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-723)) (-4 *4 (-870 *8 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-777)) (-4 *6 (-777)) (-4 *7 (-723)) (-4 *9 (-959)) (-4 *2 (-870 *9 *8 *6)) (-5 *1 (-660 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-723)) (-4 *4 (-870 *9 *7 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-666 *5 *7)) (-4 *5 (-959)) (-4 *6 (-959)) (-4 *7 (-657)) (-5 *2 (-666 *6 *7)) (-5 *1 (-665 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-959)) (-5 *1 (-666 *3 *4)) (-4 *4 (-657)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-711 *5)) (-4 *5 (-959)) (-4 *6 (-959)) (-5 *2 (-711 *6)) (-5 *1 (-712 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-156)) (-4 *6 (-156)) (-4 *2 (-726 *6)) (-5 *1 (-729 *4 *5 *2 *6)) (-4 *4 (-726 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-762 *5)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-5 *2 (-762 *6)) (-5 *1 (-763 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-762 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-762 *5)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-5 *1 (-763 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-769 *5)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-5 *2 (-769 *6)) (-5 *1 (-770 *5 *6)))) ((*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-769 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-769 *5)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-5 *1 (-770 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-798 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-798 *6)) (-5 *1 (-797 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-800 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-800 *6)) (-5 *1 (-799 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-802 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-802 *6)) (-5 *1 (-801 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-808 *5 *6)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-4 *7 (-1001)) (-5 *2 (-808 *5 *7)) (-5 *1 (-809 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-810 *5)) (-4 *5 (-1001)) (-4 *6 (-1001)) (-5 *2 (-810 *6)) (-5 *1 (-812 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-866 *5)) (-4 *5 (-959)) (-4 *6 (-959)) (-5 *2 (-866 *6)) (-5 *1 (-867 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-777)) (-4 *8 (-959)) (-4 *6 (-723)) (-4 *2 (-13 (-1001) (-10 -8 (-15 -3790 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-701)))))) (-5 *1 (-872 *6 *7 *8 *5 *2)) (-4 *5 (-870 *8 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-877 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-877 *6)) (-5 *1 (-878 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-863 *5)) (-4 *5 (-959)) (-4 *6 (-959)) (-5 *2 (-863 *6)) (-5 *1 (-896 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-866 *4))) (-4 *4 (-959)) (-4 *2 (-870 (-866 *4) *5 *6)) (-4 *5 (-723)) (-4 *6 (-13 (-777) (-10 -8 (-15 -1248 ((-1070) $)) (-15 -3484 ((-3 $ "failed") (-1070)))))) (-5 *1 (-899 *4 *5 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-508)) (-4 *6 (-508)) (-4 *2 (-906 *6)) (-5 *1 (-907 *5 *6 *4 *2)) (-4 *4 (-906 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-156)) (-4 *6 (-156)) (-4 *2 (-912 *6)) (-5 *1 (-913 *4 *5 *2 *6)) (-4 *4 (-912 *5)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-961 *3 *4 *5 *6 *7)) (-4 *5 (-959)) (-4 *6 (-211 *4 *5)) (-4 *7 (-211 *3 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-959)) (-4 *10 (-959)) (-14 *5 (-701)) (-14 *6 (-701)) (-4 *8 (-211 *6 *7)) (-4 *9 (-211 *5 *7)) (-4 *2 (-961 *5 *6 *10 *11 *12)) (-5 *1 (-963 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-961 *5 *6 *7 *8 *9)) (-4 *11 (-211 *6 *10)) (-4 *12 (-211 *5 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-991 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-991 *6)) (-5 *1 (-992 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-991 *5)) (-4 *5 (-775)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-578 *6)) (-5 *1 (-992 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-993 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-993 *6)) (-5 *1 (-994 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-996 *4 *2)) (-4 *4 (-775)) (-4 *2 (-1044 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1048 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-1048 *6)) (-5 *1 (-1050 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1048 *6)) (-5 *5 (-1048 *7)) (-4 *6 (-1104)) (-4 *7 (-1104)) (-4 *8 (-1104)) (-5 *2 (-1048 *8)) (-5 *1 (-1051 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1064 *5)) (-4 *5 (-959)) (-4 *6 (-959)) (-5 *2 (-1064 *6)) (-5 *1 (-1065 *5 *6)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1081 *3 *4)) (-4 *3 (-1001)) (-4 *4 (-1001)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1109 *5 *7 *9)) (-4 *5 (-959)) (-4 *6 (-959)) (-14 *7 (-1070)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1109 *6 *8 *10)) (-5 *1 (-1110 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1070)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1116 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-1116 *6)) (-5 *1 (-1117 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1116 *5)) (-4 *5 (-775)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-1048 *6)) (-5 *1 (-1117 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1118 *5 *6)) (-14 *5 (-1070)) (-4 *6 (-959)) (-4 *8 (-959)) (-5 *2 (-1118 *7 *8)) (-5 *1 (-1119 *5 *6 *7 *8)) (-14 *7 (-1070)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-959)) (-4 *6 (-959)) (-4 *2 (-1125 *6)) (-5 *1 (-1126 *5 *4 *6 *2)) (-4 *4 (-1125 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1130 *5 *7 *9)) (-4 *5 (-959)) (-4 *6 (-959)) (-14 *7 (-1070)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1130 *6 *8 *10)) (-5 *1 (-1131 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1070)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-959)) (-4 *6 (-959)) (-4 *2 (-1142 *6)) (-5 *1 (-1140 *5 *6 *4 *2)) (-4 *4 (-1142 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1148 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-1148 *6)) (-5 *1 (-1149 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1148 *5)) (-4 *5 (-1104)) (-4 *6 (-1104)) (-5 *2 (-1148 *6)) (-5 *1 (-1149 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1166 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-959)) (-5 *1 (-1170 *3 *4)) (-4 *4 (-773))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1082 *4 *5)) (-4 *4 (-1001)) (-4 *5 (-1001))))) 
-(((*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-839)) (-5 *1 (-1002 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-977 *4 *5 *6 *3)) (-4 *4 (-419)) (-4 *5 (-723)) (-4 *6 (-777)) (-4 *3 (-972 *4 *5 *6)) (-5 *2 (-107))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-892 *3 *4 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-578 *3)) (-5 *1 (-892 *4 *5 *6 *3)) (-4 *3 (-972 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-578 *3)) (-4 *3 (-972 *4 *5 *6)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-892 *4 *5 *6 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-578 *6)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *1 (-892 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-578 *7) (-578 *7))) (-5 *2 (-578 *7)) (-4 *7 (-972 *4 *5 *6)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-892 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *1) (-5 *1 (-786)))) 
-(((*1 *2) (-12 (-4 *4 (-1108)) (-4 *5 (-1125 *4)) (-4 *6 (-1125 (-375 *5))) (-5 *2 (-701)) (-5 *1 (-309 *3 *4 *5 *6)) (-4 *3 (-310 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-310 *3 *4 *5)) (-4 *3 (-1108)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-1032 *3)) (-4 *3 (-959)) (-5 *2 (-701))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-578 *8)) (-5 *4 (-126 *5 *6 *7)) (-14 *5 (-501)) (-14 *6 (-701)) (-4 *7 (-156)) (-4 *8 (-156)) (-5 *2 (-126 *5 *6 *8)) (-5 *1 (-127 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-578 *9)) (-4 *9 (-959)) (-4 *5 (-777)) (-4 *6 (-723)) (-4 *8 (-959)) (-4 *2 (-870 *9 *7 *5)) (-5 *1 (-659 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-723)) (-4 *4 (-870 *8 *6 *5))))) 
-(((*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-701)) (-5 *1 (-609 *2)) (-4 *2 (-1001))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-419))) (-5 *1 (-1096 *3 *2)) (-4 *2 (-13 (-389 *3) (-1090)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-972 *4 *5 *6)) (-4 *4 (-508)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *1 (-892 *4 *5 *6 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-46 *3 *2)) (-4 *3 (-959)) (-4 *2 (-722)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-49 *3 *4)) (-4 *3 (-959)) (-14 *4 (-578 (-1070))))) ((*1 *2 *1) (-12 (-5 *2 (-501)) (-5 *1 (-197 *3 *4)) (-4 *3 (-13 (-959) (-777))) (-14 *4 (-578 (-1070))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-224 *4 *3 *5 *6)) (-4 *4 (-959)) (-4 *3 (-777)) (-4 *5 (-237 *3)) (-4 *6 (-723)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-246)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1064 *8)) (-5 *4 (-578 *6)) (-4 *6 (-777)) (-4 *8 (-870 *7 *5 *6)) (-4 *5 (-723)) (-4 *7 (-959)) (-5 *2 (-578 (-701))) (-5 *1 (-289 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-4 *1 (-297 *3)) (-4 *3 (-331)) (-5 *2 (-839)))) ((*1 *2 *1) (-12 (-4 *1 (-342 *3 *4)) (-4 *3 (-777)) (-4 *4 (-156)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-437 *3 *2)) (-4 *3 (-156)) (-4 *2 (-23)))) ((*1 *2 *1) (-12 (-4 *3 (-508)) (-5 *2 (-501)) (-5 *1 (-562 *3 *4)) (-4 *4 (-1125 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-640 *3)) (-4 *3 (-959)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-779 *3)) (-4 *3 (-959)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-822 *3)) (-4 *3 (-1001)))) ((*1 *2 *1) (-12 (-5 *2 (-701)) (-5 *1 (-825 *3)) (-4 *3 (-1001)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-578 *6)) (-4 *1 (-870 *4 *5 *6)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *6 (-777)) (-5 *2 (-578 (-701))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-870 *4 *5 *3)) (-4 *4 (-959)) (-4 *5 (-723)) (-4 *3 (-777)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-888 *3 *2 *4)) (-4 *3 (-959)) (-4 *4 (-777)) (-4 *2 (-722)))) ((*1 *2 *1) (-12 (-4 *1 (-1099 *3 *4 *5 *6)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-5 *2 (-701)))) ((*1 *2 *1) (-12 (-4 *1 (-1113 *3 *4)) (-4 *3 (-959)) (-4 *4 (-1142 *3)) (-5 *2 (-501)))) ((*1 *2 *1) (-12 (-4 *1 (-1134 *3 *4)) (-4 *3 (-959)) (-4 *4 (-1111 *3)) (-5 *2 (-375 (-501))))) ((*1 *2 *1) (-12 (-4 *1 (-1165 *3)) (-4 *3 (-331)) (-5 *2 (-762 (-839))))) ((*1 *2 *1) (-12 (-4 *1 (-1169 *3 *4)) (-4 *3 (-777)) (-4 *4 (-959)) (-5 *2 (-701))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-107) *4)) (|has| *1 (-6 -4167)) (-4 *1 (-454 *4)) (-4 *4 (-1104)) (-5 *2 (-107))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-610 *2)) (-4 *2 (-777)))) ((*1 *1 *1) (-12 (-5 *1 (-749 *2)) (-4 *2 (-777)))) ((*1 *1 *1) (-12 (-5 *1 (-813 *2)) (-4 *2 (-777)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1099 *2 *3 *4 *5)) (-4 *2 (-508)) (-4 *3 (-723)) (-4 *4 (-777)) (-4 *5 (-972 *2 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-1138 *3)) (-4 *3 (-1104)))) ((*1 *1 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-501)) (-4 *1 (-618 *3 *4 *5)) (-4 *3 (-959)) (-4 *4 (-340 *3)) (-4 *5 (-340 *3))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-331)) (-4 *4 (-1125 *3)) (-4 *5 (-1125 (-375 *4))) (-5 *2 (-1148 *6)) (-5 *1 (-301 *3 *4 *5 *6)) (-4 *6 (-310 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-777) (-508))) (-5 *1 (-247 *3 *2)) (-4 *2 (-13 (-389 *3) (-916)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-578 *5)) (-5 *1 (-126 *3 *4 *5)) (-14 *3 (-501)) (-14 *4 (-701)) (-4 *5 (-156))))) 
-(((*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1070)) (-4 *4 (-13 (-276) (-777) (-134) (-950 (-501)) (-577 (-501)))) (-5 *1 (-526 *4 *2)) (-4 *2 (-13 (-1090) (-879) (-1034) (-29 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-863 *3) (-863 *3))) (-5 *1 (-158 *3)) (-4 *3 (-13 (-331) (-1090) (-916)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-621 (-375 (-501)))) (-5 *2 (-578 *4)) (-5 *1 (-709 *4)) (-4 *4 (-13 (-331) (-775)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-508)) (-5 *1 (-40 *3 *2)) (-4 *2 (-13 (-331) (-267) (-10 -8 (-15 -2946 ((-1023 *3 (-553 $)) $)) (-15 -2949 ((-1023 *3 (-553 $)) $)) (-15 -3691 ($ (-1023 *3 (-553 $))))))))) ((*1 *2 *2 *2) (-12 (-4 *3 (-508)) (-5 *1 (-40 *3 *2)) (-4 *2 (-13 (-331) (-267) (-10 -8 (-15 -2946 ((-1023 *3 (-553 $)) $)) (-15 -2949 ((-1023 *3 (-553 $)) $)) (-15 -3691 ($ (-1023 *3 (-553 $))))))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-578 *2)) (-4 *2 (-13 (-331) (-267) (-10 -8 (-15 -2946 ((-1023 *4 (-553 $)) $)) (-15 -2949 ((-1023 *4 (-553 $)) $)) (-15 -3691 ($ (-1023 *4 (-553 $))))))) (-4 *4 (-508)) (-5 *1 (-40 *4 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-578 (-553 *2))) (-4 *2 (-13 (-331) (-267) (-10 -8 (-15 -2946 ((-1023 *4 (-553 $)) $)) (-15 -2949 ((-1023 *4 (-553 $)) $)) (-15 -3691 ($ (-1023 *4 (-553 $))))))) (-4 *4 (-508)) (-5 *1 (-40 *4 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-548 *3 *2)) (-4 *3 (-1001)) (-4 *3 (-777)) (-4 *2 (-1104)))) ((*1 *2 *1) (-12 (-5 *1 (-610 *2)) (-4 *2 (-777)))) ((*1 *2 *1) (-12 (-5 *1 (-749 *2)) (-4 *2 (-777)))) ((*1 *2 *1) (-12 (-5 *2 (-606 *3)) (-5 *1 (-813 *3)) (-4 *3 (-777)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1099 *3 *4 *5 *2)) (-4 *3 (-508)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *2 (-972 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-701)) (-4 *1 (-1138 *3)) (-4 *3 (-1104)))) ((*1 *2 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-891 *3 *4 *5 *6)) (-4 *3 (-959)) (-4 *4 (-723)) (-4 *5 (-777)) (-4 *6 (-972 *3 *4 *5)) (-4 *3 (-508)) (-5 *2 (-107))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-199) (-199) (-199))) (-5 *4 (-1 (-199) (-199) (-199) (-199))) (-5 *2 (-1 (-863 (-199)) (-199) (-199))) (-5 *1 (-628))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1018)) (-5 *1 (-298))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-217 *2)) (-4 *2 (-1104)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-252 *2)) (-4 *2 (-1104)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-252 *2)) (-4 *2 (-1104)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-1138 *2)) (-4 *2 (-1104)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4168)) (-4 *1 (-1138 *2)) (-4 *2 (-1104))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-578 (-2 (|:| -3739 (-1064 *6)) (|:| -3027 (-501))))) (-4 *6 (-276)) (-4 *4 (-723)) (-4 *5 (-777)) (-5 *2 (-501)) (-5 *1 (-673 *4 *5 *6 *7)) (-4 *7 (-870 *6 *4 *5))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-839)) (-5 *4 (-795)) (-5 *2 (-1154)) (-5 *1 (-1151)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-839)) (-5 *4 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1151)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1053)) (-5 *2 (-1154)) (-5 *1 (-1152))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-583 *5)) (-4 *5 (-959)) (-5 *1 (-52 *5 *2 *3)) (-4 *3 (-779 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-621 *3)) (-4 *1 (-386 *3)) (-4 *3 (-156)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-779 *2)) (-4 *2 (-959)))) ((*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-94 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-959)) (-5 *1 (-780 *2 *3)) (-4 *3 (-779 *2))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-530 *3) *3 (-1070))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1070))) (-4 *3 (-254)) (-4 *3 (-568)) (-4 *3 (-950 *4)) (-4 *3 (-389 *7)) (-5 *4 (-1070)) (-4 *7 (-556 (-810 (-501)))) (-4 *7 (-419)) (-4 *7 (-806 (-501))) (-4 *7 (-777)) (-5 *2 (-530 *3)) (-5 *1 (-524 *7 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-37 (-375 (-501)))) (-5 *2 (-2 (|:| -3929 (-1048 *4)) (|:| -3933 (-1048 *4)))) (-5 *1 (-1056 *4)) (-5 *3 (-1048 *4))))) 
-((-1181 . 680371) (-1182 . 680021) (-1183 . 679648) (-1184 . 679400) (-1185 . 679205) (-1186 . 678854) (-1187 . 678801) (-1188 . 678639) (-1189 . 678491) (-1190 . 677975) (-1191 . 677124) (-1192 . 677006) (-1193 . 676897) (-1194 . 676713) (-1195 . 676602) (-1196 . 676500) (-1197 . 676348) (-1198 . 676230) (-1199 . 675819) (-1200 . 675700) (-1201 . 673691) (-1202 . 673552) (-1203 . 673448) (-1204 . 673365) (-1205 . 672986) (-1206 . 672656) (-1207 . 672622) (-1208 . 671906) (-1209 . 671770) (-1210 . 671671) (-1211 . 671563) (-1212 . 658326) (-1213 . 658245) (-1214 . 658167) (-1215 . 658078) (-1216 . 657843) (-1217 . 657762) (-1218 . 657643) (-1219 . 657568) (-1220 . 657432) (-1221 . 657249) (-1222 . 657172) (-1223 . 656937) (-1224 . 656802) (-1225 . 656615) (-1226 . 656506) (-1227 . 656395) (-1228 . 656293) (-1229 . 656219) (-1230 . 656069) (-1231 . 655995) (-1232 . 655847) (-1233 . 655713) (-1234 . 655645) (-1235 . 655562) (-1236 . 655447) (-1237 . 655388) (-1238 . 655250) (-1239 . 655112) (-1240 . 655059) (-1241 . 654794) (-1242 . 654669) (-1243 . 654579) (-1244 . 654527) (-1245 . 654458) (-1246 . 654403) (-1247 . 654240) (-1248 . 649860) (-1249 . 649705) (-1250 . 649144) (-1251 . 649088) (-1252 . 648880) (-1253 . 648738) (-1254 . 648639) (-1255 . 648488) (-1256 . 648433) (-1257 . 648238) (-1258 . 648039) (-1259 . 647753) (-1260 . 647696) (-1261 . 647326) (-1262 . 647272) (-1263 . 647122) (-1264 . 647012) (-1265 . 646900) (-1266 . 646649) (-1267 . 646343) (-1268 . 646220) (-1269 . 646169) (-1270 . 645927) (-1271 . 645513) (-1272 . 645314) (-1273 . 645162) (-1274 . 645034) (-1275 . 644905) (-1276 . 644729) (-1277 . 644660) (-1278 . 641994) (-1279 . 641825) (-1280 . 641729) (-1281 . 641006) (-1282 . 640931) (-1283 . 640864) (-1284 . 640776) (-1285 . 640242) (-1286 . 639945) (-1287 . 639549) (-1288 . 639475) (-1289 . 639311) (-1290 . 638939) (-1291 . 638797) (-1292 . 638578) (-1293 . 638274) (-1294 . 637824) (-1295 . 637732) (-1296 . 637665) (-1297 . 637501) (-1298 . 637341) (-1299 . 637035) (-1300 . 636964) (-1301 . 636854) (-1302 . 636438) (-1303 . 635957) (-1304 . 635755) (-1305 . 635685) (-1306 . 635588) (-1307 . 635408) (-1308 . 635358) (-1309 . 635275) (-1310 . 635103) (-1311 . 635037) (-1312 . 634984) (-1313 . 634657) (-1314 . 634508) (-1315 . 634170) (-1316 . 633374) (-1317 . 632308) (-1318 . 632179) (-1319 . 631849) (-1320 . 631522) (-1321 . 631389) (-1322 . 631318) (-1323 . 631047) (-1324 . 630994) (-1325 . 630820) (-1326 . 630582) (-1327 . 630490) (-1328 . 630434) (-1329 . 630301) (-1330 . 629980) (-1331 . 629801) (-1332 . 629770) (-1333 . 629412) (-1334 . 629357) (-1335 . 629131) (-1336 . 629038) (-1337 . 628640) (-1338 . 628584) (-1339 . 628465) (-1340 . 628384) (-1341 . 628310) (-1342 . 628093) (-1343 . 627987) (-1344 . 627913) (-1345 . 627795) (-1346 . 627643) (-1347 . 627581) (-1348 . 627509) (-1349 . 627481) (-1350 . 627392) (-1351 . 627302) (-1352 . 627098) (-1353 . 626983) (-1354 . 626675) (-1355 . 626444) (-1356 . 626101) (-1357 . 626011) (-1358 . 625956) (-1359 . 625811) (-1360 . 625745) (-1361 . 625469) (-1362 . 625417) (-1363 . 625380) (-1364 . 625256) (-1365 . 625065) (-1366 . 624903) (-1367 . 624812) (-1368 . 624757) (-1369 . 624542) (-1370 . 624397) (-1371 . 624102) (-1372 . 623988) (-1373 . 623875) (-1374 . 623820) (-1375 . 623604) (-1376 . 623333) (-1377 . 623220) (-1378 . 623121) (-1379 . 622999) (-1380 . 622888) (-1381 . 622691) (-1382 . 622610) (-1383 . 622302) (-1384 . 622214) (-1385 . 622112) (-1386 . 621959) (-1387 . 621761) (-1388 . 621610) (-1389 . 621561) (-1390 . 621475) (-1391 . 621387) (-1392 . 621291) (-1393 . 621220) (-1394 . 621167) (-1395 . 620805) (-1396 . 620634) (-1397 . 620453) (-1398 . 620181) (-1399 . 619758) (-1400 . 619392) (-1401 . 619210) (-1402 . 619158) (-1403 . 619019) (-1404 . 618845) (-1405 . 618690) (-1406 . 618273) (-1407 . 617980) (-1408 . 617829) (-1409 . 617693) (-1410 . 617209) (-1411 . 617068) (-1412 . 616973) (-12 . 616818) (-1414 . 616711) (-1415 . 616602) (-1416 . 616476) (-1417 . 615211) (-1418 . 615133) (-1419 . 615011) (-1420 . 614916) (-1421 . 614823) (-1422 . 614608) (-1423 . 614456) (-1424 . 614358) (-1425 . 614256) (-1426 . 614163) (-1427 . 614110) (-1428 . 613889) (-1429 . 613818) (-1430 . 613627) (-1431 . 613450) (-1432 . 613349) (-1433 . 612784) (-1434 . 612594) (-1435 . 612242) (-1436 . 612001) (-1437 . 611886) (-1438 . 611766) (-1439 . 611564) (-1440 . 611483) (-1441 . 611374) (-1442 . 611027) (-1443 . 610919) (-1444 . 610839) (-1445 . 610636) (-1446 . 610371) (-1447 . 610269) (-1448 . 610149) (-1449 . 610049) (-1450 . 609911) (-1451 . 609828) (-1452 . 609728) (-1453 . 609697) (-1454 . 609366) (-1455 . 609309) (-1456 . 609186) (-1457 . 609110) (-1458 . 608947) (-1459 . 608891) (-1460 . 608785) (-1461 . 608455) (-1462 . 608312) (-1463 . 608186) (-1464 . 607983) (-1465 . 607827) (-1466 . 607629) (-1467 . 607563) (-1468 . 607410) (-1469 . 607338) (-1470 . 607243) (-1471 . 607127) (-1472 . 606962) (-1473 . 606811) (-1474 . 606460) (-1475 . 606377) (-1476 . 606306) (-1477 . 606069) (-1478 . 605974) (-1479 . 605838) (-1480 . 605633) (-1481 . 605503) (* . 601259) (-1483 . 601074) (-1484 . 600993) (-1485 . 600845) (-1486 . 600655) (-1487 . 600372) (-1488 . 600294) (-1489 . 600196) (-1490 . 600066) (-1491 . 599983) (-1492 . 599864) (-1493 . 599758) (-1494 . 599622) (-1495 . 599567) (-1496 . 599469) (-1497 . 599314) (-1498 . 599135) (-1499 . 599104) (-1500 . 598581) (-1501 . 598507) (-1502 . 598401) (-1503 . 598244) (-1504 . 598144) (-1505 . 598008) (-1506 . 597586) (-1507 . 597447) (-1508 . 597290) (-1509 . 597237) (-1510 . 597171) (-1511 . 596973) (-1512 . 596377) (-1513 . 596215) (-1514 . 596121) (-1515 . 596093) (-1516 . 595992) (-1517 . 595924) (-1518 . 595783) (-1519 . 595598) (-1520 . 595275) (-1521 . 595220) (-1522 . 595130) (-1523 . 594973) (-1524 . 594924) (-1525 . 594679) (-1526 . 594109) (-1527 . 594056) (-1528 . 593985) (-1529 . 593951) (-1530 . 593893) (-1531 . 593843) (-1532 . 593535) (-1533 . 593376) (-1534 . 593320) (-1535 . 593247) (-1536 . 593099) (-1537 . 593010) (-1538 . 592834) (-1539 . 592672) (-1540 . 592173) (-1541 . 591634) (-1542 . 591198) (-1543 . 591145) (-1544 . 591082) (-1545 . 590849) (-1546 . 590774) (-1547 . 590708) (-1548 . 590519) (-1549 . 590251) (-1550 . 590181) (-1551 . 589930) (-1552 . 589877) (-1553 . 589721) (-1554 . 589482) (-1555 . 589408) (-1556 . 588952) (-1557 . 588878) (-1558 . 588744) (-1559 . 587533) (-1560 . 587460) (-1561 . 587304) (-1562 . 587045) (-1563 . 586943) (-1564 . 586886) (-1565 . 586789) (-1566 . 586682) (-1567 . 586449) (-1568 . 586376) (-1569 . 586215) (-1570 . 586130) (-1571 . 586036) (-1572 . 585813) (-1573 . 585630) (-1574 . 585057) (-1575 . 584628) (-1576 . 584343) (-1577 . 584167) (-1578 . 584066) (-1579 . 583941) (-1580 . 583843) (-1581 . 583727) (-1582 . 583599) (-1583 . 583528) (-1584 . 583427) (-1585 . 583312) (-1586 . 582865) (-1587 . 582564) (-1588 . 582424) (-1589 . 582238) (-1590 . 581740) (-1591 . 581684) (-1592 . 581574) (-1593 . 581336) (-1594 . 581255) (-1595 . 581226) (-1596 . 580751) (-1597 . 580617) (-1598 . 580415) (-1599 . 580251) (-1600 . 580058) (-1601 . 579950) (-1602 . 579884) (-1603 . 579651) (-1604 . 579598) (-1605 . 579307) (-1606 . 579218) (-1607 . 578883) (-1608 . 578800) (-1609 . 578723) (-1610 . 578649) (-1611 . 578342) (-1612 . 578077) (-1613 . 577996) (-1614 . 577906) (-1615 . 577811) (-1616 . 576914) (-1617 . 575697) (-1618 . 575558) (-1619 . 575188) (-1620 . 574912) (-1621 . 574840) (-1622 . 574653) (-1623 . 574597) (-1624 . 574539) (-1625 . 573936) (-1626 . 573338) (-1627 . 573146) (-1628 . 572780) (-1629 . 572694) (-1630 . 572383) (-1631 . 572235) (-1632 . 571735) (-1633 . 571640) (-1634 . 570810) (-1635 . 569636) (-1636 . 569384) (-1637 . 569188) (-1638 . 569067) (-1639 . 569015) (-1640 . 568966) (-1641 . 568878) (-1642 . 568672) (-1643 . 568154) (-1644 . 567755) (-1645 . 567062) (-1646 . 566947) (-1647 . 566891) (-1648 . 566658) (-1649 . 566461) (-1650 . 566179) (-1651 . 565916) (-1652 . 565830) (-1653 . 565389) (-1654 . 565298) (-1655 . 565212) (-1656 . 565081) (-1657 . 564937) (-1658 . 564824) (-1659 . 564722) (-1660 . 564535) (-1661 . 564301) (-1662 . 564153) (-1663 . 564078) (-1664 . 564025) (-1665 . 563903) (-1666 . 563871) (-1667 . 563815) (-1668 . 563582) (-1669 . 563387) (-1670 . 563305) (-1671 . 563116) (-1672 . 563017) (-1673 . 562926) (-1674 . 562855) (-1675 . 562796) (-1676 . 562563) (-1677 . 562140) (-1678 . 562087) (-1679 . 561983) (-1680 . 561712) (-1681 . 561507) (-1682 . 561444) (-1683 . 561365) (-1684 . 560936) (-1685 . 560838) (-1686 . 560430) (-1687 . 560357) (-1688 . 558875) (-1689 . 558663) (-1690 . 558566) (-1691 . 558247) (-1692 . 558140) (-1693 . 558050) (-1694 . 557901) (-1695 . 557765) (-1696 . 557138) (-1697 . 557052) (-1698 . 556945) (-1699 . 556715) (-1700 . 556633) (-1701 . 556537) (-1702 . 556355) (-1703 . 556321) (-1704 . 556246) (-1705 . 556156) (-1706 . 555872) (-1707 . 555706) (-1708 . 555584) (-1709 . 555001) (-1710 . 554865) (-1711 . 554771) (-1712 . 554677) (-1713 . 554564) (-1714 . 554460) (-1715 . 554387) (-1716 . 554233) (-1717 . 553932) (-1718 . 553758) (-1719 . 553730) (-1720 . 553249) (-1721 . 553148) (-1722 . 553026) (-1723 . 552926) (-1724 . 552828) (-1725 . 552689) (-1726 . 552359) (-1727 . 552281) (-1728 . 552131) (-1729 . 551848) (-1730 . 551613) (-1731 . 551038) (-1732 . 550885) (-1733 . 550664) (-1734 . 550303) (-1735 . 550169) (-1736 . 550041) (-1737 . 549948) (-1738 . 549763) (-1739 . 549659) (-1740 . 547903) (-1741 . 547841) (-1742 . 547713) (-1743 . 547575) (-1744 . 547468) (-1745 . 547097) (-1746 . 546799) (-1747 . 546725) (-1748 . 546612) (-1749 . 546246) (-1750 . 546112) (-1751 . 545950) (-1752 . 545799) (-1753 . 545613) (-1754 . 545504) (-1755 . 545379) (-1756 . 545208) (-1757 . 545149) (-1758 . 544569) (-1759 . 544477) (-1760 . 544349) (-1761 . 544298) (-1762 . 544085) (-1763 . 543425) (-1764 . 543254) (-1765 . 542896) (-1766 . 542762) (-1767 . 542586) (-1768 . 542533) (-1769 . 542263) (-1770 . 542132) (-1771 . 542013) (-1772 . 541902) (-1773 . 541780) (-1774 . 541638) (-1775 . 541513) (-1776 . 541382) (-1777 . 541301) (-1778 . 541179) (-1779 . 541072) (-1780 . 540752) (-1781 . 540602) (-1782 . 540414) (-1783 . 540250) (-1784 . 539967) (-1785 . 539752) (-1786 . 539671) (-1787 . 539619) (-1788 . 539503) (-1789 . 539221) (-1790 . 539122) (-1791 . 538941) (-1792 . 538584) (-1793 . 538465) (-1794 . 538276) (-1795 . 538223) (-1796 . 538164) (-1797 . 538081) (-1798 . 537987) (-1799 . 537889) (-1800 . 537828) (-1801 . 537220) (-1802 . 537023) (-1803 . 536886) (-1804 . 536812) (-1805 . 536634) (-1806 . 536446) (-1807 . 536390) (-1808 . 536335) (-1809 . 536282) (-1810 . 536114) (-1811 . 536062) (-1812 . 536009) (-1813 . 535875) (-1814 . 535756) (-1815 . 535563) (-1816 . 535330) (-1817 . 535216) (-1818 . 535188) (-1819 . 535020) (-1820 . 534954) (-1821 . 534766) (-1822 . 534359) (-1823 . 534246) (-1824 . 534193) (-1825 . 533728) (-1826 . 533622) (-1827 . 533026) (-1828 . 532925) (-1829 . 532852) (-1830 . 532730) (-1831 . 532619) (-1832 . 532412) (-1833 . 532042) (-1834 . 531806) (-1835 . 531450) (-1836 . 531328) (-1837 . 530978) (-1838 . 530589) (-1839 . 530537) (-1840 . 530421) (-1841 . 530321) (-1842 . 530219) (-1843 . 529974) (-1844 . 529766) (-1845 . 529550) (-1846 . 529433) (-1847 . 529023) (-1848 . 528725) (-1849 . 528563) (-1850 . 528395) (-1851 . 528268) (-1852 . 528070) (-1853 . 527075) (-1854 . 526913) (-1855 . 526656) (-1856 . 526601) (-1857 . 526433) (-1858 . 526348) (-1859 . 526206) (-1860 . 526153) (-1861 . 526007) (-1862 . 525951) (-1863 . 525785) (-1864 . 525733) (-1865 . 525468) (-1866 . 525357) (-1867 . 525305) (-1868 . 525274) (-1869 . 524897) (-1870 . 524842) (-1871 . 524481) (-1872 . 524240) (-1873 . 524115) (-1874 . 523941) (-1875 . 523647) (-1876 . 523619) (-1877 . 523423) (-1878 . 523290) (-1879 . 523238) (-1880 . 523010) (-1881 . 522833) (-1882 . 522469) (-1883 . 522349) (-1884 . 522247) (-1885 . 522069) (-1886 . 521961) (-1887 . 521843) (-1888 . 521688) (-1889 . 521549) (-1890 . 521426) (-1891 . 520879) (-1892 . 520675) (-1893 . 520417) (-1894 . 520009) (-1895 . 519908) (-1896 . 519827) (-1897 . 518909) (-1898 . 518854) (-1899 . 518719) (-1900 . 518363) (-1901 . 518275) (-1902 . 518225) (-1903 . 518099) (-1904 . 517999) (-1905 . 517679) (-1906 . 517484) (-1907 . 517376) (-1908 . 517285) (-1909 . 517230) (-1910 . 517131) (-1911 . 516989) (-1912 . 516817) (-1913 . 516758) (-1914 . 516392) (-1915 . 516169) (-1916 . 516036) (-1917 . 515961) (-1918 . 515822) (-1919 . 515748) (-1920 . 515650) (-1921 . 515540) (-1922 . 515439) (-1923 . 515363) (-1924 . 515262) (-1925 . 515019) (-1926 . 514803) (-1927 . 514656) (-1928 . 514399) (-1929 . 514295) (-1930 . 514156) (-1931 . 514049) (-1932 . 513975) (-1933 . 513201) (-1934 . 512701) (-1935 . 512585) (-1936 . 512397) (-1937 . 512169) (-1938 . 512071) (-1939 . 511967) (-1940 . 511867) (-1941 . 511763) (-1942 . 511600) (-1943 . 511511) (-1944 . 511407) (-1945 . 511257) (-1946 . 511182) (-1947 . 511047) (-1948 . 510937) (-1949 . 510631) (-1950 . 510534) (-1951 . 510430) (-1952 . 510326) (-1953 . 510248) (-1954 . 510134) (-1955 . 509985) (-1956 . 509908) (-1957 . 509822) (-1958 . 509712) (-1959 . 509529) (-1960 . 509449) (-1961 . 509274) (-1962 . 509149) (-1963 . 508963) (-1964 . 508465) (-1965 . 508225) (-1966 . 508173) (-1967 . 507221) (-1968 . 507153) (-1969 . 507088) (-1970 . 507036) (-1971 . 506965) (-1972 . 506699) (-1973 . 506556) (-1974 . 506394) (-1975 . 506322) (-1976 . 506264) (-1977 . 506112) (-1978 . 506060) (-1979 . 505593) (-1980 . 505080) (-1981 . 504918) (-1982 . 504740) (-1983 . 504507) (-1984 . 504393) (-1985 . 504102) (-1986 . 503965) (-1987 . 503502) (-1988 . 503429) (-1989 . 502282) (-1990 . 502206) (-1991 . 502087) (-1992 . 501969) (-1993 . 501825) (-1994 . 501751) (-1995 . 501671) (-1996 . 501545) (-1997 . 501477) (-1998 . 501383) (-1999 . 501266) (-2000 . 500757) (-2001 . 500655) (-2002 . 500621) (-2003 . 500368) (-2004 . 500165) (-2005 . 500064) (-2006 . 499770) (-2007 . 494916) (-2008 . 494650) (-2009 . 494584) (-2010 . 494556) (-2011 . 494294) (-2012 . 494110) (-2013 . 494009) (-2014 . 493938) (-2015 . 493644) (-2016 . 493387) (-2017 . 493132) (-2018 . 493059) (-2019 . 492632) (-2020 . 492582) (-2021 . 492478) (-2022 . 492412) (-2023 . 492209) (-2024 . 492084) (-2025 . 491994) (-2026 . 491862) (-2027 . 491792) (-2028 . 491635) (-2029 . 491529) (-2030 . 491425) (-2031 . 491108) (-2032 . 491010) (-2033 . 490976) (-2034 . 490741) (-2035 . 490382) (-2036 . 490327) (-2037 . 490202) (-2038 . 489916) (-2039 . 489885) (-2040 . 489779) (-2041 . 489655) (-2042 . 489444) (-2043 . 489306) (-2044 . 489156) (-2045 . 488973) (-2046 . 488874) (-2047 . 488815) (-2048 . 488554) (-2049 . 488502) (-2050 . 488250) (-2051 . 488144) (-2052 . 487937) (-2053 . 487828) (-2054 . 487687) (-2055 . 487507) (-2056 . 487440) (-2057 . 487300) (-2058 . 487234) (-2059 . 487029) (-2060 . 486835) (-2061 . 486753) (-2062 . 486655) (-2063 . 486450) (-2064 . 486300) (-2065 . 486187) (-2066 . 486134) (-2067 . 485853) (-2068 . 485704) (-2069 . 485555) (-2070 . 485407) (-2071 . 485252) (-2072 . 485196) (-2073 . 483343) (-2074 . 483208) (-2075 . 483094) (-2076 . 482990) (-2077 . 482747) (-2078 . 481943) (-2079 . 481820) (-2080 . 481716) (-2081 . 481618) (-2082 . 481526) (-2083 . 481351) (-2084 . 481202) (-2085 . 480069) (-2086 . 480035) (-2087 . 479983) (-2088 . 479778) (-2089 . 479695) (-2090 . 479610) (-2091 . 479535) (-2092 . 479419) (-2093 . 479391) (-2094 . 479130) (-2095 . 478963) (-2096 . 478910) (-2097 . 478825) (-2098 . 478759) (-2099 . 478646) (-2100 . 478468) (-2101 . 478383) (-2102 . 478244) (-2103 . 478046) (-2104 . 477908) (-2105 . 477738) (-2106 . 477653) (-2107 . 477587) (-2108 . 477352) (-2109 . 477195) (-2110 . 477115) (-2111 . 477043) (-2112 . 476889) (-2113 . 476804) (-2114 . 476638) (-2115 . 476586) (-2116 . 476445) (-2117 . 476323) (-2118 . 476232) (-2119 . 475995) (-2120 . 475867) (-2121 . 474685) (-2122 . 474600) (-2123 . 474507) (-2124 . 474405) (-2125 . 473748) (-2126 . 473658) (-2127 . 473605) (-2128 . 473548) (-2129 . 473463) (-2130 . 473067) (-2131 . 472701) (-2132 . 472667) (-2133 . 472582) (-2134 . 472359) (-2135 . 472291) (-2136 . 472176) (-2137 . 471981) (-2138 . 471929) (-2139 . 471844) (-2140 . 471766) (-2141 . 471696) (-2142 . 471422) (-2143 . 471337) (-2144 . 471272) (-2145 . 471187) (-2146 . 471091) (-2147 . 470976) (-2148 . 470891) (-2149 . 470810) (-2150 . 470558) (-2151 . 470404) (-2152 . 470319) (-2153 . 469842) (-2154 . 469565) (-2155 . 469510) (-2156 . 469289) (-2157 . 469204) (-2158 . 469120) (-2159 . 468957) (-2160 . 468884) (-2161 . 468797) (-2162 . 468745) (-2163 . 468512) (-2164 . 468274) (-2165 . 468189) (-2166 . 468094) (-2167 . 467924) (-2168 . 467781) (-2169 . 467681) (-2170 . 467650) (-2171 . 467565) (-2172 . 467413) (-2173 . 467281) (-2174 . 466147) (-2175 . 465983) (-2176 . 465912) (-2177 . 465668) (-2178 . 465536) (-2179 . 465436) (-2180 . 464794) (-2181 . 464690) (-2182 . 464637) (-2183 . 464606) (-2184 . 464403) (-2185 . 464253) (-2186 . 464175) (-2187 . 464061) (-2188 . 463930) (-2189 . 463836) (-2190 . 463748) (-2191 . 463634) (-2192 . 463600) (-2193 . 463518) (-2194 . 462984) (-2195 . 462581) (-2196 . 462424) (-2197 . 462201) (-2198 . 462077) (-2199 . 462025) (-2200 . 461846) (-2201 . 461623) (-2202 . 461548) (-2203 . 461457) (-2204 . 461343) (-2205 . 461177) (-2206 . 460700) (-2207 . 460579) (-2208 . 460505) (-2209 . 459940) (-2210 . 459844) (-2211 . 459545) (-2212 . 459517) (-2213 . 459303) (-2214 . 459220) (-2215 . 459148) (-2216 . 458725) (-2217 . 458574) (-2218 . 458219) (-2219 . 458117) (-2220 . 457927) (-2221 . 457345) (-2222 . 457271) (-2223 . 456953) (-2224 . 456855) (-2225 . 456448) (-2226 . 456136) (-2227 . 456066) (-2228 . 456011) (-2229 . 455949) (-2230 . 455876) (-2231 . 455725) (-2232 . 455676) (-2233 . 455574) (-2234 . 455495) (-2235 . 455395) (-2236 . 455312) (-2237 . 454980) (-2238 . 454883) (-2239 . 454567) (-2240 . 454506) (-2241 . 454354) (-2242 . 454063) (-2243 . 453992) (-2244 . 453874) (-2245 . 453746) (-2246 . 453656) (-2247 . 453418) (-2248 . 453282) (-2249 . 453187) (-2250 . 453005) (-2251 . 452880) (-2252 . 452795) (-2253 . 452739) (-2254 . 452502) (-2255 . 452431) (-2256 . 451720) (-2257 . 450991) (-2258 . 450839) (-2259 . 450787) (-2260 . 450706) (-2261 . 450458) (-2262 . 450067) (-2263 . 450017) (-2264 . 449543) (-2265 . 449443) (-2266 . 449249) (-2267 . 449190) (-2268 . 449131) (-2269 . 449035) (-2270 . 448961) (-2271 . 448887) (-2272 . 448272) (-2273 . 448213) (-2274 . 448104) (-2275 . 447966) (-2276 . 447914) (-2277 . 447641) (-2278 . 447328) (-2279 . 447177) (-2280 . 447096) (-2281 . 446771) (-2282 . 446456) (-2283 . 446357) (-2284 . 446205) (-2285 . 445761) (-2286 . 445294) (-2287 . 445210) (-2288 . 445136) (-2289 . 445006) (-2290 . 444662) (-2291 . 444599) (-2292 . 444510) (-2293 . 444457) (-2294 . 444287) (-2295 . 444196) (-2296 . 443954) (-2297 . 443331) (-2298 . 443173) (-2299 . 443087) (-2300 . 443014) (-2301 . 442941) (-2302 . 442824) (-2303 . 442740) (-2304 . 442604) (-2305 . 442522) (-2306 . 442233) (-2307 . 442137) (-2308 . 442077) (-2309 . 441915) (-2310 . 441811) (-2311 . 441564) (-2312 . 440997) (-2313 . 440969) (-2314 . 440888) (-2315 . 440815) (-2316 . 440557) (-2317 . 440504) (-2318 . 440402) (-2319 . 440169) (-2320 . 440025) (-2321 . 439877) (-2322 . 439690) (-2323 . 439575) (-2324 . 439303) (-2325 . 439238) (-2326 . 439118) (-2327 . 439064) (-2328 . 438981) (-2329 . 438872) (-2330 . 438631) (-2331 . 438385) (-2332 . 438252) (-2333 . 438052) (-2334 . 438000) (-2335 . 437891) (-2336 . 437806) (-2337 . 437308) (-2338 . 437085) (-2339 . 436931) (-2340 . 436832) (-2341 . 436674) (-2342 . 436508) (-2343 . 436440) (-2344 . 436277) (-2345 . 436159) (-2346 . 436059) (-2347 . 436003) (-2348 . 435936) (-2349 . 435734) (-2350 . 435706) (-2351 . 435631) (-2352 . 435230) (-2353 . 435152) (-2354 . 435099) (-2355 . 435000) (-2356 . 434695) (-2357 . 434523) (-2358 . 434284) (-2359 . 434167) (-2360 . 434103) (-2361 . 433897) (-2362 . 433824) (-2363 . 433455) (-2364 . 433308) (-2365 . 433219) (-2366 . 433163) (-2367 . 432881) (-2368 . 432752) (-2369 . 432633) (-2370 . 432485) (-2371 . 432419) (-2372 . 431459) (-2373 . 431304) (-2374 . 430861) (-2375 . 430681) (-2376 . 430525) (-2377 . 430351) (-2378 . 430203) (-2379 . 430129) (-2380 . 430025) (-2381 . 429824) (-2382 . 429726) (-2383 . 429532) (-2384 . 429504) (-2385 . 429400) (-2386 . 429208) (-2387 . 428958) (-2388 . 428885) (-2389 . 428826) (-2390 . 428527) (-2391 . 427888) (-2392 . 427662) (-2393 . 427603) (-2394 . 427283) (-2395 . 427210) (-2396 . 427073) (-2397 . 426937) (-2398 . 426744) (-2399 . 426654) (-2400 . 426536) (-2401 . 426373) (-2402 . 426134) (-2403 . 426053) (-2404 . 425977) (-2405 . 425886) (-2406 . 425768) (-2407 . 425635) (-2408 . 425436) (-2409 . 425110) (-2410 . 424952) (-2411 . 424805) (-2412 . 424705) (-2413 . 424639) (-2414 . 424558) (-2415 . 424444) (-2416 . 424350) (-2417 . 424198) (-2418 . 424132) (-2419 . 423720) (-2420 . 423435) (-2421 . 423357) (-2422 . 423244) (-2423 . 423192) (-2424 . 422907) (-2425 . 422850) (-2426 . 422718) (-2427 . 422352) (-2428 . 422132) (-2429 . 422035) (-2430 . 421983) (-2431 . 421850) (-2432 . 421797) (-2433 . 421530) (-2434 . 421352) (-2435 . 420994) (-2436 . 420791) (-2437 . 420720) (-2438 . 420622) (-2439 . 420515) (-2440 . 420432) (-2441 . 420294) (-2442 . 420239) (-2443 . 420184) (-2444 . 420096) (-2445 . 420030) (-2446 . 419863) (-2447 . 419787) (-2448 . 419593) (-2449 . 419523) (-2450 . 419402) (-2451 . 419049) (-2452 . 418293) (-2453 . 417928) (-2454 . 417770) (-2455 . 417623) (-2456 . 417355) (-2457 . 417070) (-2458 . 416898) (-2459 . 416796) (-2460 . 416692) (-2461 . 416588) (-2462 . 416536) (-2463 . 416443) (-2464 . 416387) (-2465 . 416169) (-2466 . 416040) (-2467 . 415833) (-2468 . 415741) (-2469 . 415421) (-2470 . 415286) (-2471 . 415110) (-2472 . 414963) (-2473 . 414872) (-2474 . 414763) (-2475 . 414566) (-2476 . 414433) (-2477 . 414360) (-2478 . 414297) (-2479 . 414199) (-2480 . 414081) (-2481 . 414000) (-2482 . 413879) (-2483 . 413761) (-2484 . 413708) (-2485 . 413375) (-2486 . 413263) (-2487 . 413145) (-2488 . 413048) (-2489 . 412888) (-2490 . 412645) (-2491 . 412312) (-2492 . 412141) (-2493 . 412030) (-2494 . 411814) (-2495 . 410309) (-2496 . 410167) (-2497 . 410096) (-2498 . 410000) (-2499 . 409849) (-2500 . 409776) (-2501 . 409707) (-2502 . 409565) (-2503 . 409433) (-2504 . 409140) (-2505 . 409006) (-2506 . 408950) (-2507 . 408876) (-2508 . 408812) (-2509 . 408740) (-2510 . 408346) (-2511 . 408261) (-2512 . 408152) (-2513 . 407887) (-2514 . 407837) (-2515 . 407666) (-2516 . 407547) (-2517 . 407451) (-2518 . 407361) (-2519 . 407145) (-2520 . 407053) (-2521 . 406851) (-2522 . 406311) (-2523 . 406260) (-2524 . 406142) (-2525 . 406031) (-2526 . 405833) (-2527 . 405548) (-2528 . 405398) (-2529 . 405315) (-2530 . 405166) (-2531 . 405059) (-2532 . 404387) (-2533 . 403989) (-2534 . 403931) (-2535 . 403849) (-2536 . 403636) (-2537 . 403546) (-2538 . 403440) (-2539 . 403314) (-2540 . 403125) (-2541 . 403072) (-2542 . 402968) (-2543 . 402715) (-2544 . 402687) (-2545 . 402562) (-2546 . 402426) (-2547 . 402370) (-2548 . 402164) (-2549 . 402043) (-2550 . 401865) (-2551 . 400907) (-2552 . 400759) (-2553 . 400659) (-2554 . 400537) (-2555 . 400406) (-2556 . 400332) (-2557 . 400280) (-2558 . 400210) (-2559 . 400151) (-2560 . 399981) (-2561 . 399929) (-2562 . 399753) (-2563 . 399555) (-2564 . 399503) (-2565 . 399472) (-2566 . 399371) (-2567 . 399290) (-2568 . 398990) (-2569 . 398900) (-2570 . 398734) (-2571 . 398651) (-2572 . 398442) (-2573 . 398356) (-2574 . 398304) (-2575 . 398145) (-2576 . 398088) (-2577 . 397976) (-2578 . 397766) (-2579 . 397676) (-2580 . 397624) (-2581 . 397454) (-2582 . 397092) (-2583 . 396943) (-2584 . 396822) (-2585 . 396720) (-2586 . 396582) (-2587 . 396509) (-2588 . 396361) (-2589 . 396302) (-2590 . 396116) (-2591 . 396085) (-2592 . 395931) (-2593 . 395879) (-2594 . 395737) (-2595 . 395631) (-2596 . 393577) (-2597 . 393506) (-2598 . 392987) (-2599 . 392865) (-2600 . 392778) (-2601 . 392712) (-2602 . 392660) (-2603 . 392217) (-2604 . 392133) (-2605 . 390916) (-2606 . 390765) (-2607 . 390506) (-2608 . 390366) (-2609 . 390044) (-2610 . 389968) (-2611 . 389862) (-2612 . 389752) (-2613 . 389677) (-2614 . 389606) (-2615 . 389385) (-2616 . 389242) (-2617 . 389105) (-2618 . 389003) (-2619 . 388969) (-2620 . 388890) (-2621 . 388815) (-2622 . 388675) (-2623 . 388595) (-2624 . 388497) (-2625 . 388345) (-2626 . 386637) (-2627 . 386267) (-2628 . 386065) (-2629 . 385982) (-2630 . 385573) (-2631 . 385479) (-2632 . 385421) (-2633 . 385312) (-2634 . 384992) (-2635 . 384893) (-2636 . 384838) (-2637 . 384747) (-2638 . 384417) (-2639 . 383914) (-2640 . 383770) (-2641 . 383666) (-2642 . 383564) (-2643 . 383443) (-2644 . 383364) (-2645 . 383335) (-2646 . 383195) (-2647 . 383002) (-2648 . 382934) (-2649 . 382713) (-2650 . 382162) (-2651 . 381135) (-2652 . 380982) (-2653 . 380905) (-2654 . 380838) (-2655 . 380767) (-2656 . 380694) (-2657 . 380616) (-2658 . 380523) (-2659 . 380318) (-2660 . 379948) (-2661 . 379875) (-2662 . 379806) (-2663 . 379713) (-2664 . 379590) (-2665 . 379460) (-2666 . 379407) (-2667 . 378909) (-2668 . 378835) (-2669 . 377870) (-2670 . 377796) (-2671 . 377607) (-2672 . 377116) (-2673 . 377022) (-2674 . 376619) (-2675 . 376500) (-2676 . 376040) (-2677 . 375736) (-2678 . 375661) (-2679 . 374473) (-2680 . 374355) (-2681 . 374124) (-2682 . 374033) (-2683 . 373958) (-2684 . 373839) (-2685 . 373707) (-2686 . 373626) (-2687 . 373391) (-2688 . 373271) (-2689 . 373008) (-2690 . 372803) (-2691 . 372440) (-2692 . 372365) (-2693 . 372060) (-2694 . 371780) (-2695 . 371709) (-2696 . 371297) (-2697 . 371244) (-2698 . 371182) (-2699 . 371063) (-2700 . 371014) (-2701 . 369907) (-2702 . 369705) (-2703 . 369677) (-2704 . 369542) (-2705 . 369384) (-2706 . 368884) (-2707 . 368513) (-2708 . 367939) (-2709 . 367795) (-2710 . 367533) (-2711 . 367356) (-2712 . 367215) (-2713 . 366919) (-2714 . 366826) (-2715 . 365097) (-2716 . 365047) (-2717 . 364955) (-2718 . 364844) (-2719 . 364771) (-2720 . 364688) (-2721 . 364266) (-2722 . 364152) (-2723 . 364052) (-2724 . 363979) (-2725 . 363715) (-2726 . 363450) (-2727 . 363325) (-2728 . 363117) (-2729 . 362938) (-2730 . 362811) (-2731 . 362745) (-2732 . 362537) (-2733 . 362219) (-2734 . 361986) (-2735 . 361893) (-2736 . 361859) (-2737 . 361734) (-2738 . 361637) (-2739 . 361530) (-2740 . 361426) (-2741 . 361263) (-2742 . 361211) (-2743 . 361109) (-2744 . 360997) (-2745 . 360804) (-2746 . 360432) (-2747 . 360358) (-2748 . 360210) (-2749 . 360109) (-2750 . 359961) (-2751 . 359774) (-2752 . 359355) (-2753 . 359206) (-2754 . 358913) (-2755 . 358762) (-2756 . 358644) (-2757 . 358537) (-2758 . 358467) (-2759 . 358109) (-2760 . 358037) (-2761 . 357709) (-2762 . 357387) (-2763 . 357270) (-2764 . 357166) (-2765 . 357038) (-2766 . 356957) (-2767 . 356809) (-2768 . 356718) (-2769 . 356635) (-2770 . 356509) (-2771 . 356354) (-2772 . 356206) (-2773 . 355898) (-2774 . 355628) (-2775 . 355269) (-2776 . 355119) (-2777 . 354973) (-2778 . 346112) (-2779 . 346041) (-2780 . 345889) (-2781 . 345834) (-2782 . 345684) (-2783 . 345583) (-2784 . 345479) (-2785 . 345387) (-2786 . 345330) (-2787 . 345273) (-2788 . 344972) (-2789 . 344907) (-2790 . 344849) (-2791 . 344015) (-2792 . 343963) (-2793 . 343932) (-2794 . 343780) (-2795 . 343718) (-2796 . 343589) (-2797 . 343091) (-2798 . 342951) (-2799 . 342749) (-2800 . 342624) (-2801 . 342283) (-2802 . 342105) (-2803 . 342007) (-2804 . 341904) (-2805 . 341722) (-2806 . 341649) (-2807 . 341458) (-2808 . 341354) (-2809 . 341280) (-2810 . 341060) (-2811 . 340958) (-2812 . 340179) (-2813 . 340127) (-2814 . 339782) (-2815 . 339647) (-2816 . 339524) (-2817 . 339434) (-2818 . 339406) (-2819 . 339354) (-2820 . 339269) (-2821 . 339180) (-2822 . 339109) (-2823 . 339028) (-2824 . 338767) (-2825 . 338682) (-2826 . 338565) (-2827 . 338429) (-2828 . 338298) (-2829 . 338232) (-2830 . 338147) (-2831 . 338057) (-2832 . 337914) (-2833 . 337774) (-2834 . 337685) (-2835 . 337600) (-2836 . 337537) (-2837 . 337331) (-2838 . 337179) (-2839 . 336732) (-2840 . 336637) (-2841 . 336505) (-2842 . 335668) (-2843 . 335480) (-2844 . 335291) (-2845 . 335160) (-2846 . 335028) (-2847 . 334976) (-2848 . 334865) (-2849 . 334706) (-2850 . 334621) (-2851 . 334555) (-2852 . 334462) (-2853 . 334391) (-2854 . 334306) (-2855 . 334253) (-2856 . 334177) (-2857 . 333844) (-2858 . 333759) (-2859 . 333704) (-2860 . 333633) (-2861 . 333222) (-2862 . 333141) (-2863 . 333056) (-2864 . 332983) (-2865 . 332952) (-2866 . 332878) (-2867 . 332793) (-2868 . 332742) (-2869 . 332714) (-2870 . 331962) (-2871 . 331877) (-2872 . 331811) (-2873 . 331759) (-2874 . 331674) (-2875 . 331586) (-2876 . 331528) (-2877 . 331476) (-2878 . 331326) (-2879 . 331235) (-2880 . 331133) (-2881 . 331081) (-2882 . 331012) (-2883 . 330921) (-2884 . 330724) (-2885 . 330454) (-2886 . 330299) (-2887 . 330205) (-2888 . 330126) (-2889 . 329974) (-2890 . 329352) (-2891 . 329300) (-2892 . 329167) (-2893 . 329004) (-2894 . 328739) (-2895 . 328615) (-2896 . 328296) (-2897 . 328188) (-2898 . 328132) (-2899 . 327390) (-2900 . 327288) (-2901 . 327236) (-2902 . 327102) (-2903 . 326890) (-2904 . 326790) (-2905 . 326630) (-2906 . 326314) (-2907 . 326286) (-2908 . 326176) (-2909 . 326038) (-2910 . 325816) (-2911 . 325709) (-2912 . 325466) (-2913 . 325388) (-2914 . 325281) (-2915 . 325247) (-2916 . 325159) (-2917 . 324918) (-2918 . 324350) (-2919 . 324269) (-2920 . 324218) (-2921 . 324093) (-2922 . 323161) (-2923 . 323092) (-2924 . 322970) (-2925 . 322885) (-2926 . 322819) (-2927 . 322546) (-2928 . 322473) (-2929 . 322203) (-2930 . 322077) (-2931 . 322024) (-2932 . 321926) (-2933 . 321800) (-2934 . 321674) (-2935 . 321596) (-2936 . 321508) (-2937 . 321331) (-2938 . 321253) (-2939 . 320961) (-2940 . 320783) (-2941 . 320730) (-2942 . 319701) (-2943 . 319541) (-2944 . 319475) (-2945 . 319381) (-2946 . 318711) (-2947 . 318636) (-2948 . 318100) (-2949 . 317449) (-2950 . 317396) (-2951 . 317343) (-2952 . 317104) (-2953 . 316939) (-2954 . 316868) (-2955 . 316737) (-2956 . 316656) (-2957 . 316511) (-2958 . 316436) (-2959 . 316265) (-2960 . 316125) (-2961 . 316067) (-2962 . 315954) (-2963 . 315902) (-2964 . 315844) (-2965 . 315580) (-2966 . 315432) (-2967 . 315328) (-2968 . 315073) (-2969 . 314840) (-2970 . 314750) (-2971 . 314241) (-2972 . 313891) (-2973 . 311142) (-2974 . 311090) (-2975 . 310984) (-2976 . 310903) (-2977 . 310740) (-2978 . 310641) (-2979 . 310575) (-2980 . 310477) (-2981 . 310244) (-2982 . 310167) (-2983 . 310091) (-2984 . 309550) (-2985 . 309280) (-2986 . 309091) (-2987 . 309021) (-2988 . 308961) (-2989 . 308706) (-2990 . 308629) (-2991 . 308546) (-2992 . 308353) (-2993 . 308185) (-2994 . 308119) (-2995 . 308057) (-2996 . 307952) (-2997 . 307883) (-2998 . 307726) (-2999 . 307650) (-3000 . 307265) (-3001 . 307100) (-3002 . 306385) (-3003 . 306297) (-3004 . 306215) (-3005 . 306141) (-3006 . 306080) (-3007 . 305665) (-3008 . 305569) (-3009 . 305240) (-3010 . 304893) (-3011 . 304732) (-3012 . 304529) (-3013 . 304405) (-3014 . 304349) (-3015 . 304041) (-3016 . 303847) (-3017 . 303544) (-3018 . 303392) (-3019 . 303309) (-3020 . 302360) (-3021 . 302294) (-3022 . 302190) (-3023 . 302094) (-3024 . 302026) (-3025 . 301810) (-3026 . 301739) (-3027 . 301281) (-3028 . 300772) (-3029 . 300659) (-3030 . 300607) (-3031 . 300491) (-3032 . 300400) (-3033 . 300347) (-3034 . 300251) (-3035 . 300162) (-3036 . 300026) (-3037 . 299943) (-3038 . 299852) (-3039 . 299763) (-3040 . 299609) (-3041 . 299386) (-3042 . 299252) (-3043 . 299150) (-3044 . 299079) (-3045 . 298994) (-3046 . 298884) (-3047 . 298816) (-3048 . 298701) (-3049 . 298167) (-3050 . 298118) (-3051 . 298052) (-3052 . 297930) (-3053 . 297855) (-3054 . 297497) (-3055 . 297402) (-3056 . 296766) (-3057 . 296685) (-3058 . 296657) (-3059 . 296576) (-3060 . 296548) (-3061 . 296348) (-3062 . 296314) (-3063 . 296244) (-3064 . 296156) (-3065 . 296127) (-3066 . 295803) (-3067 . 295720) (-3068 . 295692) (-3069 . 295463) (-3070 . 295254) (-3071 . 295199) (-3072 . 295017) (-3073 . 294920) (-3074 . 294848) (-3075 . 294741) (-3076 . 294506) (-3077 . 294413) (-3078 . 294352) (-3079 . 294292) (-3080 . 293985) (-3081 . 293910) (-3082 . 293793) (-3083 . 293722) (-3084 . 293525) (-3085 . 293469) (-3086 . 293369) (-3087 . 293019) (-3088 . 292856) (-3089 . 292528) (-3090 . 292340) (-3091 . 291974) (-3092 . 291908) (-3093 . 290229) (-3094 . 290069) (-3095 . 289745) (-3096 . 289630) (-3097 . 289356) (-3098 . 289270) (-3099 . 289204) (-3100 . 289065) (-3101 . 288877) (-3102 . 288773) (-3103 . 288534) (-3104 . 288396) (-3105 . 288323) (-3106 . 288240) (-3107 . 288191) (-3108 . 288121) (-3109 . 287486) (-3110 . 287419) (-3111 . 287265) (-3112 . 287114) (-3113 . 287046) (-3114 . 286962) (-3115 . 286823) (-3116 . 286732) (-3117 . 286680) (-3118 . 286570) (-3119 . 286418) (-3120 . 286074) (-3121 . 285395) (-3122 . 285085) (-3123 . 284975) (-3124 . 284883) (-3125 . 284817) (-3126 . 284367) (-3127 . 284192) (-3128 . 283879) (-3129 . 283762) (-3130 . 283679) (-3131 . 283599) (-3132 . 283493) (-3133 . 283073) (-3134 . 283008) (-3135 . 282705) (-3136 . 282406) (-3137 . 282224) (-3138 . 282056) (-3139 . 281976) (-3140 . 281895) (-3141 . 281682) (-3142 . 281110) (-3143 . 280996) (-3144 . 280782) (-3145 . 280680) (-3146 . 280523) (-3147 . 280472) (-3148 . 280232) (-3149 . 280180) (-3150 . 276339) (-3151 . 276271) (-3152 . 276219) (-3153 . 276153) (-3154 . 276062) (-3155 . 275810) (-3156 . 275734) (-3157 . 275653) (-3158 . 275523) (-3159 . 275175) (-3160 . 275102) (-3161 . 274920) (-3162 . 273789) (-3163 . 273711) (-3164 . 273560) (-3165 . 273508) (-3166 . 273342) (-3167 . 273230) (-3168 . 273163) (-3169 . 271024) (-3170 . 270953) (-3171 . 270900) (-3172 . 270709) (-3173 . 270612) (-3174 . 270560) (-3175 . 270480) (-3176 . 268261) (-3177 . 268217) (-3178 . 268049) (-3179 . 267932) (-3180 . 267796) (-3181 . 267713) (-3182 . 267607) (-3183 . 267533) (-3184 . 267240) (-3185 . 267203) (-3186 . 267105) (-3187 . 266968) (-3188 . 260426) (-3189 . 260088) (-3190 . 260018) (-3191 . 259941) (-3192 . 259827) (-3193 . 259726) (-3194 . 259640) (-3195 . 255836) (-3196 . 255745) (-3197 . 255689) (-3198 . 255573) (-3199 . 255491) (-3200 . 255372) (-3201 . 255282) (-3202 . 255216) (-3203 . 255129) (-3204 . 255078) (-3205 . 254027) (-3206 . 253739) (-3207 . 253467) (-3208 . 253146) (-3209 . 253028) (-3210 . 252903) (-3211 . 252769) (-3212 . 252623) (-3213 . 252305) (-3214 . 252132) (-3215 . 252036) (-3216 . 251519) (-3217 . 251460) (-3218 . 251308) (-3219 . 251239) (-3220 . 250960) (-3221 . 250445) (-3222 . 250347) (-3223 . 250230) (-3224 . 250157) (-3225 . 250129) (-3226 . 250027) (-3227 . 249847) (-3228 . 249713) (-3229 . 249679) (-3230 . 249591) (-3231 . 249475) (-3232 . 249351) (-3233 . 249249) (-3234 . 249145) (-3235 . 249079) (-3236 . 248840) (-3237 . 247835) (-3238 . 247739) (-3239 . 247541) (-3240 . 247404) (-3241 . 246527) (-3242 . 246452) (-3243 . 246283) (-3244 . 246193) (-3245 . 246165) (-3246 . 246011) (-3247 . 245875) (-3248 . 245642) (-3249 . 245568) (-3250 . 245493) (-3251 . 245372) (-3252 . 245320) (-3253 . 245220) (-3254 . 245131) (-3255 . 245065) (-3256 . 244981) (-3257 . 244879) (-3258 . 244727) (-3259 . 244674) (-3260 . 244505) (-3261 . 244427) (** . 241469) (-3263 . 241376) (-3264 . 241137) (-3265 . 241046) (-3266 . 240856) (-3267 . 240705) (-3268 . 240605) (-3269 . 240507) (-3270 . 240303) (-3271 . 240201) (-3272 . 240014) (-3273 . 239903) (-3274 . 239812) (-3275 . 239740) (-3276 . 239252) (-3277 . 239181) (-3278 . 239109) (-3279 . 238783) (-3280 . 238710) (-3281 . 238561) (-3282 . 238501) (-3283 . 238442) (-3284 . 238272) (-3285 . 238153) (-3286 . 238009) (-3287 . 237927) (-3288 . 237854) (-3289 . 237697) (-3290 . 237531) (-3291 . 237442) (-3292 . 237156) (-3293 . 237071) (-3294 . 236988) (-3295 . 236825) (-3296 . 236711) (-3297 . 236495) (-3298 . 236260) (-3299 . 236058) (-3300 . 235969) (-3301 . 235877) (-3302 . 235729) (-3303 . 235541) (-3304 . 235275) (-3305 . 235185) (-3306 . 235106) (-3307 . 234984) (-3308 . 234917) (-3309 . 234853) (-3310 . 234798) (-3311 . 234724) (-3312 . 234599) (-3313 . 234517) (-3314 . 234023) (-3315 . 233524) (-3316 . 233311) (-3317 . 232767) (-3318 . 232642) (-3319 . 232485) (-3320 . 232312) (-3321 . 232116) (-3322 . 232049) (-3323 . 231880) (-3324 . 231671) (-3325 . 231615) (-3326 . 231228) (-3327 . 231113) (-3328 . 230810) (-3329 . 230461) (-3330 . 230378) (-3331 . 230205) (-3332 . 229930) (-3333 . 229856) (-3334 . 229797) (-3335 . 229746) (-3336 . 229412) (-3337 . 229322) (-3338 . 229239) (-3339 . 228807) (-3340 . 228687) (-3341 . 228448) (-3342 . 228396) (-3343 . 228298) (-3344 . 227928) (-3345 . 227819) (-3346 . 227748) (-3347 . 227610) (-3348 . 227523) (-3349 . 227448) (-3350 . 227335) (-3351 . 227250) (-3352 . 227160) (-3353 . 227072) (-3354 . 227007) (-3355 . 226889) (-3356 . 226760) (-3357 . 226558) (-3358 . 226260) (-3359 . 226205) (-3360 . 225867) (-3361 . 225681) (-3362 . 225653) (-3363 . 225622) (-3364 . 225423) (-3365 . 225340) (-3366 . 225236) (-3367 . 224841) (-3368 . 224749) (-3369 . 224676) (-3370 . 224494) (-3371 . 224419) (-3372 . 224155) (-3373 . 223639) (-3374 . 223250) (-3375 . 223158) (-3376 . 223056) (-3377 . 222956) (-3378 . 222904) (-3379 . 222748) (-3380 . 222581) (-3381 . 222474) (-3382 . 222320) (-3383 . 222222) (-3384 . 222151) (-3385 . 222054) (-3386 . 221980) (-3387 . 221860) (-3388 . 221773) (-3389 . 221673) (-3390 . 221590) (-3391 . 221431) (-3392 . 221272) (-3393 . 221190) (-3394 . 221088) (-3395 . 221019) (-3396 . 220953) (-3397 . 220870) (-3398 . 220680) (-3399 . 220491) (-3400 . 220393) (-3401 . 220322) (-3402 . 220120) (-3403 . 220020) (-3404 . 219937) (-3405 . 219837) (-3406 . 219763) (-3407 . 219671) (-3408 . 219642) (-3409 . 219471) (-3410 . 219338) (-3411 . 219304) (-3412 . 218991) (-3413 . 218912) (-3414 . 218803) (-3415 . 218711) (-3416 . 218630) (-3417 . 218475) (-3418 . 218317) (-3419 . 218110) (-3420 . 217204) (-3421 . 217034) (-3422 . 216604) (-3423 . 216365) (-3424 . 216113) (-3425 . 215965) (-3426 . 215831) (-3427 . 215721) (-3428 . 215608) (-3429 . 215571) (-3430 . 215172) (-3431 . 215090) (-3432 . 214997) (-3433 . 214884) (-3434 . 214624) (-3435 . 214491) (-3436 . 214423) (-3437 . 214389) (-3438 . 214334) (-3439 . 214232) (-3440 . 214144) (-3441 . 213947) (-3442 . 213876) (-3443 . 213748) (-3444 . 213674) (-3445 . 213542) (-3446 . 213441) (-3447 . 213391) (-3448 . 213067) (-3449 . 213035) (-3450 . 212986) (-3451 . 212933) (-3452 . 212233) (-3453 . 212097) (-3454 . 212005) (-3455 . 211839) (-3456 . 211757) (-3457 . 211645) (-3458 . 211586) (-3459 . 211505) (-3460 . 211451) (-3461 . 211143) (-3462 . 211046) (-3463 . 210592) (-3464 . 210471) (-3465 . 210398) (-3466 . 210321) (-3467 . 210150) (-3468 . 210079) (-3469 . 209995) (-3470 . 209921) (-3471 . 209656) (-3472 . 209469) (-3473 . 208650) (-3474 . 208561) (-3475 . 208428) (-3476 . 208168) (-3477 . 208078) (-3478 . 207946) (-3479 . 207824) (-3480 . 207796) (-3481 . 207729) (-3482 . 207596) (-3483 . 203858) (-3484 . 203452) (-3485 . 203246) (-3486 . 203158) (-3487 . 202958) (-3488 . 202903) (-3489 . 202813) (-3490 . 197966) (-3491 . 197733) (-3492 . 194794) (-3493 . 194752) (-3494 . 194422) (-3495 . 194277) (-3496 . 193994) (-3497 . 193890) (-3498 . 193726) (-3499 . 193636) (-3500 . 193524) (-3501 . 193228) (-3502 . 193124) (-3503 . 193042) (-3504 . 192672) (-3505 . 192597) (-3506 . 192291) (-3507 . 192212) (-3508 . 191650) (-3509 . 191522) (-3510 . 191449) (-3511 . 191315) (-3512 . 190935) (-3513 . 190851) (-3514 . 190069) (-3515 . 189974) (-3516 . 189737) (-3517 . 189438) (-3518 . 188766) (-3519 . 188669) (-3520 . 188453) (-3521 . 188315) (-3522 . 188110) (-3523 . 187504) (-3524 . 187436) (-3525 . 187348) (-3526 . 187294) (-3527 . 187164) (-3528 . 186979) (-3529 . 186897) (-3530 . 186822) (-3531 . 186651) (-3532 . 186549) (-3533 . 185988) (-3534 . 185890) (-3535 . 185837) (-3536 . 185693) (-3537 . 185499) (-3538 . 185339) (-3539 . 185111) (-3540 . 184956) (-3541 . 184852) (-3542 . 184576) (-3543 . 184486) (-3544 . 184458) (-3545 . 184306) (-3546 . 184235) (-3547 . 180798) (-3548 . 180674) (-3549 . 180057) (-3550 . 179513) (-3551 . 179183) (-3552 . 178346) (-3553 . 178265) (-3554 . 178192) (-3555 . 178015) (-3556 . 177932) (-3557 . 177661) (-3558 . 177293) (-3559 . 177146) (-3560 . 176897) (-3561 . 176845) (-3562 . 176767) (-3563 . 176692) (-3564 . 176384) (-3565 . 176316) (-3566 . 176190) (-3567 . 176108) (-3568 . 176053) (-3569 . 175926) (-3570 . 175724) (-3571 . 175654) (-3572 . 175276) (-3573 . 175059) (-3574 . 174922) (-3575 . 174614) (-3576 . 174521) (-3577 . 174424) (-3578 . 174348) (-3579 . 174164) (-3580 . 174035) (-3581 . 173731) (-3582 . 173562) (-3583 . 173272) (-3584 . 172479) (-3585 . 172171) (-3586 . 172028) (-3587 . 171837) (-3588 . 171286) (-3589 . 171107) (-3590 . 171036) (-3591 . 170628) (-3592 . 170328) (-3593 . 170226) (-3594 . 170153) (-3595 . 169911) (-3596 . 169804) (-3597 . 169677) (-3598 . 169624) (-3599 . 169550) (-3600 . 169497) (-3601 . 169441) (-3602 . 169392) (-3603 . 169087) (-3604 . 169013) (-3605 . 168935) (-3606 . 168901) (-3607 . 168700) (-3608 . 168461) (-3609 . 168395) (-3610 . 168303) (-3611 . 168247) (-3612 . 168162) (-3613 . 167459) (-3614 . 167069) (-3615 . 166951) (-3616 . 166847) (-3617 . 166747) (-3618 . 166534) (-3619 . 166437) (-3620 . 166347) (-3621 . 166151) (-3622 . 166031) (-3623 . 165954) (-3624 . 165801) (-3625 . 165618) (-3626 . 165466) (-3627 . 165376) (-3628 . 165327) (-3629 . 164984) (-3630 . 164786) (-3631 . 164512) (-3632 . 164460) (-3633 . 164411) (-3634 . 163807) (-3635 . 163602) (-3636 . 163444) (-3637 . 163351) (-3638 . 163255) (-3639 . 162768) (-3640 . 162690) (-3641 . 162541) (-3642 . 162356) (-3643 . 162282) (-3644 . 162175) (-3645 . 161963) (-3646 . 161860) (-3647 . 161804) (-3648 . 161748) (-3649 . 161055) (-3650 . 160941) (-3651 . 160816) (-3652 . 160535) (-3653 . 160436) (-3654 . 160364) (-3655 . 160148) (-3656 . 159996) (-3657 . 159894) (-3658 . 159810) (-3659 . 159782) (-3660 . 159418) (-3661 . 159278) (-3662 . 159126) (-3663 . 159043) (-3664 . 157994) (-3665 . 157632) (-3666 . 157516) (-3667 . 157488) (-3668 . 157405) (-3669 . 157312) (-3670 . 157152) (-3671 . 156381) (-3672 . 156259) (-3673 . 156201) (-3674 . 156099) (-3675 . 155947) (-3676 . 155527) (-3677 . 155368) (-3678 . 155294) (-3679 . 153701) (-3680 . 153530) (-3681 . 153246) (-3682 . 153196) (-3683 . 153024) (-3684 . 152937) (-3685 . 152854) (-3686 . 152682) (-3687 . 152600) (-3688 . 152532) (-3689 . 151348) (-3690 . 151259) (-3691 . 129924) (-3692 . 129896) (-3693 . 129844) (-3694 . 129033) (-3695 . 128926) (-3696 . 128790) (-3697 . 128557) (-3698 . 128341) (-3699 . 125803) (-3700 . 125752) (-3701 . 125674) (-3702 . 125594) (-3703 . 125126) (-3704 . 124367) (-3705 . 123995) (-3706 . 123736) (-3707 . 123563) (-3708 . 123368) (-3709 . 123306) (-3710 . 123144) (-3711 . 122755) (-3712 . 122659) (-3713 . 122431) (-3714 . 122379) (-3715 . 121745) (-3716 . 121207) (-3717 . 119172) (-3718 . 118039) (-3719 . 117806) (-3720 . 117729) (-3721 . 117640) (-3722 . 117510) (-3723 . 117401) (-3724 . 117339) (-3725 . 117103) (-3726 . 116959) (-3727 . 116183) (-3728 . 114868) (-3729 . 114677) (-3730 . 114572) (-3731 . 114413) (-3732 . 114337) (-3733 . 113860) (-3734 . 113721) (-3735 . 113304) (-3736 . 113250) (-3737 . 113129) (-3738 . 113009) (-3739 . 107819) (-3740 . 107693) (-3741 . 107541) (-3742 . 107423) (-3743 . 107046) (-3744 . 106850) (-3745 . 106751) (-3746 . 106634) (-3747 . 106500) (-3748 . 106469) (-3749 . 106030) (-3750 . 105999) (-3751 . 105735) (-3752 . 105185) (-3753 . 105023) (-3754 . 103786) (-3755 . 103451) (-3756 . 103282) (-3757 . 103212) (-3758 . 103123) (-3759 . 103045) (-3760 . 102780) (-3761 . 102611) (-3762 . 102312) (-3763 . 102166) (-3764 . 101849) (-3765 . 97695) (-3766 . 97135) (-3767 . 96977) (-3768 . 96891) (-3769 . 96783) (-3770 . 96505) (-3771 . 96396) (-3772 . 96336) (-3773 . 96179) (-3774 . 95623) (-3775 . 95589) (-3776 . 95390) (-3777 . 95307) (-3778 . 95221) (-3779 . 95153) (-3780 . 94951) (-3781 . 94445) (-3782 . 94374) (-3783 . 94325) (-3784 . 94270) (-3785 . 94055) (-3786 . 93989) (-3787 . 92452) (-3788 . 92351) (-3789 . 92248) (-3790 . 91119) (-3791 . 90965) (-3792 . 90913) (-3793 . 90860) (-3794 . 90049) (-3795 . 90000) (-3796 . 89044) (-3797 . 87916) (-3798 . 87656) (-3799 . 87597) (-3800 . 86387) (-3801 . 86237) (-3802 . 86119) (-3803 . 84032) (-3804 . 83930) (-3805 . 83585) (-3806 . 83489) (-3807 . 83316) (-3808 . 83164) (-3809 . 81025) (-3810 . 80770) (-3811 . 79905) (-3812 . 79826) (-3813 . 79483) (-3814 . 79359) (-3815 . 79221) (-3816 . 79123) (-3817 . 79030) (-3818 . 77306) (-3819 . 76501) (-3820 . 76369) (-3821 . 76314) (-3822 . 74893) (-3823 . 74819) (-3824 . 74747) (-3825 . 74657) (-3826 . 73203) (-3827 . 73144) (-3828 . 73062) (-3829 . 72849) (-3830 . 72709) (-3831 . 72655) (-3832 . 72484) (-3833 . 71778) (-3834 . 71711) (-3835 . 71683) (-3836 . 71593) (-3837 . 71438) (-3838 . 71360) (-3839 . 71305) (-3840 . 71039) (-3841 . 70914) (-3842 . 70839) (-3843 . 70620) (-3844 . 70298) (-3845 . 69697) (-3846 . 69626) (-3847 . 69527) (-3848 . 69457) (-3849 . 69404) (-3850 . 68299) (-3851 . 68215) (-3852 . 68091) (-3853 . 67991) (-3854 . 67882) (-3855 . 67776) (-3856 . 67642) (-3857 . 67499) (-3858 . 66429) (-3859 . 66325) (-3860 . 66193) (-3861 . 65897) (-3862 . 65822) (-3863 . 65730) (-3864 . 65655) (-3865 . 65372) (-3866 . 65291) (-3867 . 65126) (-3868 . 64885) (-3869 . 64790) (-3870 . 64737) (-3871 . 64648) (-3872 . 64540) (-3873 . 64461) (-3874 . 64309) (-3875 . 63919) (-3876 . 63545) (-3877 . 63467) (-3878 . 63329) (-3879 . 63273) (-3880 . 63206) (-3881 . 63054) (-3882 . 62688) (-3883 . 62556) (-3884 . 61744) (-3885 . 61606) (-3886 . 60649) (-3887 . 60612) (-3888 . 60532) (-3889 . 60384) (-3890 . 60279) (-3891 . 60030) (-3892 . 59607) (-3893 . 59483) (-3894 . 59377) (-3895 . 59311) (-3896 . 59239) (-3897 . 58842) (-3898 . 58784) (-3899 . 58613) (-3900 . 58478) (-3901 . 58196) (-3902 . 58084) (-3903 . 57969) (-3904 . 57917) (-3905 . 57800) (-3906 . 57666) (-3907 . 57508) (-3908 . 57370) (-3909 . 57342) (-3910 . 57134) (-3911 . 57078) (-3912 . 57005) (-3913 . 56751) (-3914 . 56546) (-3915 . 55219) (-3916 . 55101) (-3917 . 54985) (-3918 . 54904) (-3919 . 54814) (-3920 . 54676) (-3921 . 53839) (-3922 . 53714) (-3923 . 53583) (-3924 . 53445) (-3925 . 53390) (-3926 . 53338) (-3927 . 53203) (-3928 . 53070) (-3929 . 52366) (-3930 . 52214) (-3931 . 52145) (-3932 . 52056) (-3933 . 51352) (-3934 . 50742) (-3935 . 50624) (-3936 . 50497) (-3937 . 49845) (-3938 . 49796) (-3939 . 49715) (-3940 . 49169) (-3941 . 49077) (-3942 . 48975) (-3943 . 48760) (-3944 . 48621) (-3945 . 48075) (-3946 . 47964) (-3947 . 47873) (-3948 . 47605) (-3949 . 47059) (-3950 . 46946) (-3951 . 46882) (-3952 . 46232) (-3953 . 46204) (-3954 . 45799) (-3955 . 45149) (-3956 . 44972) (-3957 . 44844) (-3958 . 44132) (-3959 . 43834) (-3960 . 43523) (-3961 . 42979) (-3962 . 42909) (-3963 . 42753) (-3964 . 42209) (-3965 . 41393) (-3966 . 41322) (-3967 . 40778) (-3968 . 40525) (-3969 . 40284) (-3970 . 39633) (-3971 . 39365) (-3972 . 39256) (-3973 . 39158) (-3974 . 39101) (-3975 . 38450) (-3976 . 38397) (-3977 . 38074) (-3978 . 37423) (-3979 . 36684) (-3980 . 36576) (-3981 . 36031) (-3982 . 35816) (-3983 . 35602) (-3984 . 35057) (-3985 . 34980) (-3986 . 34578) (-3987 . 34003) (-3988 . 33951) (-3989 . 33738) (-3990 . 33664) (-3991 . 33119) (-3992 . 33005) (-3993 . 32949) (-3994 . 32871) (-3995 . 32327) (-3996 . 32251) (-3997 . 32077) (-3998 . 31592) (-3999 . 31048) (-4000 . 30942) (-4001 . 30861) (-4002 . 30408) (-4003 . 29864) (-4004 . 29749) (-4005 . 29642) (-4006 . 29437) (-4007 . 29204) (-4008 . 28660) (-4009 . 27423) (-4010 . 26955) (-4011 . 26800) (-4012 . 26728) (-4013 . 26184) (-4014 . 26069) (-4015 . 26017) (-4016 . 25896) (-4017 . 25844) (-4018 . 25755) (-4019 . 25667) (-4020 . 25519) (-4021 . 25445) (-4022 . 25227) (-4023 . 25174) (-4024 . 25122) (-4025 . 25038) (-4026 . 24855) (-4027 . 24651) (-4028 . 24503) (-4029 . 24427) (-4030 . 24353) (-4031 . 24217) (-4032 . 24143) (-4033 . 23998) (-4034 . 23896) (-4035 . 23819) (-4036 . 23724) (-4037 . 23586) (-4038 . 23423) (-4039 . 23374) (-4040 . 23162) (-4041 . 22983) (-4042 . 22927) (-4043 . 22533) (-4044 . 22431) (-4045 . 22375) (-4046 . 22150) (-4047 . 22077) (-4048 . 21988) (-4049 . 21892) (-4050 . 21784) (-4051 . 21588) (-4052 . 21560) (-4053 . 21489) (-4054 . 21415) (-4055 . 21282) (-4056 . 21226) (-4057 . 21130) (-4058 . 21005) (-4059 . 20953) (-4060 . 20897) (-4061 . 20659) (-4062 . 20460) (-4063 . 19073) (-4064 . 18803) (-4065 . 18650) (-4066 . 18451) (-4067 . 18213) (-4068 . 18119) (-4069 . 18004) (-4070 . 17754) (-4071 . 17602) (-4072 . 17540) (-4073 . 17405) (-4074 . 17335) (-4075 . 17283) (-4076 . 17104) (-4077 . 16759) (-4078 . 16689) (-4079 . 16580) (-4080 . 16435) (-4081 . 15336) (-4082 . 15227) (-4083 . 15102) (-4084 . 14897) (-4085 . 14819) (-4086 . 14738) (-4087 . 14554) (-4088 . 14498) (-4089 . 14389) (-4090 . 14262) (-4091 . 14115) (-4092 . 14025) (-4093 . 13952) (-4094 . 13893) (-4095 . 13841) (-4096 . 13628) (-4097 . 13406) (-4098 . 13354) (-4099 . 13283) (-4100 . 13252) (-4101 . 12579) (-4102 . 12390) (-4103 . 12266) (-4104 . 12117) (-4105 . 11936) (-4106 . 11874) (-4107 . 11711) (-4108 . 11592) (-4109 . 11498) (-4110 . 11344) (-4111 . 11073) (-4112 . 11042) (-4113 . 10848) (-4114 . 9002) (-4115 . 8929) (-4116 . 8678) (-4117 . 8349) (-4118 . 8297) (-4119 . 7475) (-4120 . 7422) (-4121 . 7012) (-4122 . 6750) (-4123 . 6642) (-4124 . 6605) (-4125 . 6505) (-4126 . 6433) (-4127 . 6286) (-4128 . 6105) (-4129 . 5163) (-4130 . 4624) (-4131 . 4489) (-4132 . 4072) (-4133 . 3728) (-4134 . 3694) (-4135 . 3539) (-4136 . 3418) (-4137 . 2368) (-4138 . 1899) (-4139 . 1249) (-4140 . 1197) (-4141 . 977) (-4142 . 815) (-4143 . 734) (-4144 . 600) (-4145 . 521) (-4146 . 274) (-4147 . 30)) 
\ No newline at end of file
+(((*1 *2 *1) (-12 (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1076 (-202))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2548 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-527))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-383 (-895 *3))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-420 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-202)) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-73 FCN)))) (-5 *2 (-972)) (-5 *1 (-698))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-808))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1103 (-598 *4))) (-4 *4 (-800)) (-5 *2 (-598 (-598 *4))) (-5 *1 (-1102 *4))))) 
+(((*1 *1 *1) (-4 *1 (-584))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-585 *3 *2)) (-4 *2 (-13 (-406 *3) (-939) (-1116)))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-232))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-524)) (-5 *2 (-110))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-427)) (-4 *4 (-800)) (-4 *5 (-746)) (-5 *2 (-598 *6)) (-5 *1 (-925 *3 *4 *5 *6)) (-4 *6 (-892 *3 *5 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-947 *3)) (-4 *3 (-1130)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1117 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-639 (-202))) (-5 *4 (-532)) (-5 *5 (-110)) (-5 *2 (-972)) (-5 *1 (-697))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-857 *2)) (-4 *2 (-280))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-892 *3 *4 *2)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800)) (-4 *3 (-159)))) ((*1 *2 *3 *3) (-12 (-4 *2 (-524)) (-5 *1 (-908 *2 *3)) (-4 *3 (-1154 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-524)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1154 *2)) (-4 *2 (-983)) (-4 *2 (-159))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-598 (-895 *3))) (-4 *3 (-427)) (-5 *1 (-336 *3 *4)) (-14 *4 (-598 (-1096))))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-598 (-733 *3 (-810 *4)))) (-4 *3 (-427)) (-14 *4 (-598 (-1096))) (-5 *1 (-583 *3 *4))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-355)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1019 *2)) (-4 *2 (-1130)))) ((*1 *1 *2) (-12 (-5 *1 (-1145 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-639 (-202))) (-5 *4 (-532)) (-5 *5 (-110)) (-5 *2 (-972)) (-5 *1 (-697))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1178 *1)) (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1028 *3 *2 *4 *5 *6)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *2 (-1025))))) 
+(((*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1078)) (-5 *3 (-532)) (-5 *1 (-995))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-406 *4)) (-5 *1 (-407 *4 *2)) (-4 *4 (-13 (-800) (-524)))))) 
+(((*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-339)) (-4 *3 (-1154 *4)) (-4 *5 (-1154 (-383 *3))) (-4 *1 (-309 *4 *3 *5 *2)) (-4 *2 (-316 *4 *3 *5)))) ((*1 *1 *2 *2 *3) (-12 (-5 *3 (-532)) (-4 *2 (-339)) (-4 *4 (-1154 *2)) (-4 *5 (-1154 (-383 *4))) (-4 *1 (-309 *2 *4 *5 *6)) (-4 *6 (-316 *2 *4 *5)))) ((*1 *1 *2 *2) (-12 (-4 *2 (-339)) (-4 *3 (-1154 *2)) (-4 *4 (-1154 (-383 *3))) (-4 *1 (-309 *2 *3 *4 *5)) (-4 *5 (-316 *2 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-339)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-4 *1 (-309 *3 *4 *5 *2)) (-4 *2 (-316 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-389 *4 (-383 *4) *5 *6)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-4 *6 (-316 *3 *4 *5)) (-4 *3 (-339)) (-4 *1 (-309 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *4 *5)) (-4 *5 (-13 (-27) (-1116) (-406 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *4 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-383 (-532))) (-4 *5 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *5 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-267 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *5))) (-4 *5 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-267 *3)) (-5 *5 (-383 (-532))) (-4 *3 (-13 (-27) (-1116) (-406 *6))) (-4 *6 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-287 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-532))) (-5 *4 (-267 *6)) (-4 *6 (-13 (-27) (-1116) (-406 *5))) (-4 *5 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1096)) (-5 *5 (-267 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *6))) (-4 *6 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-532))) (-5 *4 (-267 *7)) (-5 *5 (-1145 (-532))) (-4 *7 (-13 (-27) (-1116) (-406 *6))) (-4 *6 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1096)) (-5 *5 (-267 *3)) (-5 *6 (-1145 (-532))) (-4 *3 (-13 (-27) (-1116) (-406 *7))) (-4 *7 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-383 (-532)))) (-5 *4 (-267 *8)) (-5 *5 (-1145 (-383 (-532)))) (-5 *6 (-383 (-532))) (-4 *8 (-13 (-27) (-1116) (-406 *7))) (-4 *7 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1096)) (-5 *5 (-267 *3)) (-5 *6 (-1145 (-383 (-532)))) (-5 *7 (-383 (-532))) (-4 *3 (-13 (-27) (-1116) (-406 *8))) (-4 *8 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-51)) (-5 *1 (-434 *8 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1076 (-2 (|:| |k| (-532)) (|:| |c| *3)))) (-4 *3 (-983)) (-5 *1 (-557 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-558 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1076 (-2 (|:| |k| (-532)) (|:| |c| *3)))) (-4 *3 (-983)) (-4 *1 (-1138 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-723)) (-5 *3 (-1076 (-2 (|:| |k| (-383 (-532))) (|:| |c| *4)))) (-4 *4 (-983)) (-4 *1 (-1159 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-4 *1 (-1169 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1076 (-2 (|:| |k| (-723)) (|:| |c| *3)))) (-4 *3 (-983)) (-4 *1 (-1169 *3))))) 
+(((*1 *1 *2 *2) (-12 (-4 *1 (-522 *2)) (-4 *2 (-13 (-380) (-1116)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-1060 *2 *3)) (-4 *2 (-13 (-1025) (-33))) (-4 *3 (-13 (-1025) (-33)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-995))))) 
+(((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-202)) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1025)) (-5 *2 (-1 *5 *4)) (-5 *1 (-632 *4 *5)) (-4 *4 (-1025)))) ((*1 *2 *2) (-12 (-4 *3 (-800)) (-5 *1 (-872 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-288 (-532))) (-5 *1 (-873)))) ((*1 *2 *1) (-12 (-4 *1 (-1194 *3 *2)) (-4 *3 (-800)) (-4 *2 (-983)))) ((*1 *2 *1) (-12 (-4 *2 (-983)) (-5 *1 (-1200 *2 *3)) (-4 *3 (-796))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1002 *4 *5 *6 *3)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-5 *2 (-1 *6 *5)) (-5 *1 (-633 *4 *5 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-601 *2 *3 *4)) (-4 *2 (-1025)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1076 *3)) (-5 *1 (-160 *3)) (-4 *3 (-280))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3484 *3))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-864)) (-5 *4 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1179))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1078)) (-5 *1 (-739))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1096)) (-5 *5 (-1020 (-202))) (-5 *2 (-870)) (-5 *1 (-868 *3)) (-4 *3 (-573 (-508))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-5 *2 (-870)) (-5 *1 (-868 *3)) (-4 *3 (-573 (-508))))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-202) (-202))) (-5 *1 (-870)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-202) (-202))) (-5 *3 (-1020 (-202))) (-5 *1 (-870))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-52))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-598 (-598 (-886 (-202))))) (-5 *4 (-818)) (-5 *5 (-864)) (-5 *6 (-598 (-238))) (-5 *2 (-445)) (-5 *1 (-1182)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-598 (-886 (-202))))) (-5 *2 (-445)) (-5 *1 (-1182)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-598 (-886 (-202))))) (-5 *4 (-598 (-238))) (-5 *2 (-445)) (-5 *1 (-1182))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-339) (-798))) (-5 *1 (-165 *3 *2)) (-4 *2 (-1154 (-156 *3)))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-571 *4)) (-4 *4 (-800)) (-4 *2 (-800)) (-5 *1 (-570 *2 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-870)) (-5 *2 (-2 (|:| |brans| (-598 (-598 (-886 (-202))))) (|:| |xValues| (-1020 (-202))) (|:| |yValues| (-1020 (-202))))) (-5 *1 (-143)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-870)) (-5 *4 (-383 (-532))) (-5 *2 (-2 (|:| |brans| (-598 (-598 (-886 (-202))))) (|:| |xValues| (-1020 (-202))) (|:| |yValues| (-1020 (-202))))) (-5 *1 (-143))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 (-886 (-202)) (-886 (-202)))) (-5 *1 (-238)))) ((*1 *2 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-303 *4)) (-4 *4 (-339)) (-5 *2 (-639 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-303 *3)) (-4 *3 (-339)) (-5 *2 (-1178 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-343 *4)) (-4 *4 (-159)) (-5 *2 (-639 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-343 *4)) (-4 *4 (-159)) (-5 *2 (-1178 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-346 *4 *5)) (-4 *4 (-159)) (-4 *5 (-1154 *4)) (-5 *2 (-639 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-346 *4 *5)) (-4 *4 (-159)) (-4 *5 (-1154 *4)) (-5 *2 (-1178 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-385 *4 *5)) (-4 *4 (-159)) (-4 *5 (-1154 *4)) (-5 *2 (-639 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-159)) (-4 *4 (-1154 *3)) (-5 *2 (-1178 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-393 *4)) (-4 *4 (-159)) (-5 *2 (-639 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-393 *3)) (-4 *3 (-159)) (-5 *2 (-1178 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-639 *5))) (-5 *3 (-639 *5)) (-4 *5 (-339)) (-5 *2 (-1178 *5)) (-5 *1 (-1013 *5)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-339)) (-5 *1 (-1184 *3))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-4 *4 (-983)) (-5 *2 (-2 (|:| -3886 *1) (|:| -2860 *1))) (-4 *1 (-1154 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532)))))) (-5 *2 (-598 (-202))) (-5 *1 (-278))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-280)) (-5 *2 (-598 (-723))) (-5 *1 (-731 *3 *4 *5 *6 *7)) (-4 *3 (-1154 *6)) (-4 *7 (-892 *6 *4 *5))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1096)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-651 *3 *5 *6 *7)) (-4 *3 (-573 (-508))) (-4 *5 (-1130)) (-4 *6 (-1130)) (-4 *7 (-1130)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-5 *2 (-1 *6 *5)) (-5 *1 (-656 *3 *5 *6)) (-4 *3 (-573 (-508))) (-4 *5 (-1130)) (-4 *6 (-1130))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-406 *4)) (-5 *1 (-407 *4 *2)) (-4 *4 (-13 (-800) (-524)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1198 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983)) (-5 *2 (-772 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-796)) (-5 *1 (-1200 *3 *2)) (-4 *3 (-983))))) 
+(((*1 *2 *3 *4) (-12 (-4 *7 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-524)) (-4 *8 (-892 *7 *5 *6)) (-5 *2 (-2 (|:| -3540 (-723)) (|:| -2283 *3) (|:| |radicand| *3))) (-5 *1 (-896 *5 *6 *7 *8 *3)) (-5 *4 (-723)) (-4 *3 (-13 (-339) (-10 -8 (-15 -2251 (*8 $)) (-15 -2258 (*8 $)) (-15 -1256 ($ *8)))))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-750 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-1 (-110) *8))) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-524)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-2 (|:| |goodPols| (-598 *8)) (|:| |badPols| (-598 *8)))) (-5 *1 (-915 *5 *6 *7 *8)) (-5 *4 (-598 *8))))) 
+(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-639 *11)) (-5 *4 (-598 (-383 (-895 *8)))) (-5 *5 (-723)) (-5 *6 (-1078)) (-4 *8 (-13 (-280) (-137))) (-4 *11 (-892 *8 *10 *9)) (-4 *9 (-13 (-800) (-573 (-1096)))) (-4 *10 (-746)) (-5 *2 (-2 (|:| |rgl| (-598 (-2 (|:| |eqzro| (-598 *11)) (|:| |neqzro| (-598 *11)) (|:| |wcond| (-598 (-895 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1178 (-383 (-895 *8)))) (|:| -1322 (-598 (-1178 (-383 (-895 *8)))))))))) (|:| |rgsz| (-532)))) (-5 *1 (-867 *8 *9 *10 *11)) (-5 *7 (-532))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-723) *2)) (-5 *4 (-723)) (-4 *2 (-1025)) (-5 *1 (-628 *2)))) ((*1 *2 *2) (-12 (-5 *2 (-1 *3 (-723) *3)) (-4 *3 (-1025)) (-5 *1 (-631 *3))))) 
+(((*1 *1) (-5 *1 (-131)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-639 *7)) (-5 *3 (-598 *7)) (-4 *7 (-892 *4 *6 *5)) (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *1 (-867 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-406 *4)) (-5 *1 (-146 *4 *2)) (-4 *4 (-13 (-800) (-524)))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1092 *1)) (-4 *1 (-949))))) 
+(((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-130 *5 *6 *7)) (-14 *5 (-532)) (-14 *6 (-723)) (-4 *7 (-159)) (-4 *8 (-159)) (-5 *2 (-130 *5 *6 *8)) (-5 *1 (-129 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *9)) (-4 *9 (-983)) (-4 *5 (-800)) (-4 *6 (-746)) (-4 *8 (-983)) (-4 *2 (-892 *9 *7 *5)) (-5 *1 (-678 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-746)) (-4 *4 (-892 *8 *6 *5))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-96)))) ((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-192 (-482))) (-5 *1 (-788))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-288 (-156 (-355)))) (-5 *1 (-304)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-532))) (-5 *1 (-304)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-355))) (-5 *1 (-304)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-643))) (-5 *1 (-304)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-650))) (-5 *1 (-304)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-648))) (-5 *1 (-304)))) ((*1 *1) (-5 *1 (-304)))) 
+(((*1 *2) (-12 (-5 *2 (-383 (-895 *3))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 *4)) (-4 *4 (-325)) (-5 *2 (-1092 *4)) (-5 *1 (-502 *4))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-947 *3)) (-4 *3 (-1130)) (-4 *3 (-1025)) (-5 *2 (-110))))) 
+(((*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-598 *9)) (-5 *3 (-1 (-110) *9)) (-5 *4 (-1 (-110) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-997 *6 *7 *8)) (-4 *6 (-524)) (-4 *7 (-746)) (-4 *8 (-800)) (-5 *1 (-915 *6 *7 *8 *9))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-601 *2 *3 *4)) (-4 *2 (-1025)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *2 *3 *1) (-12 (-5 *1 (-601 *2 *3 *4)) (-4 *2 (-1025)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *1 *1) (-12 (-5 *1 (-626 *2)) (-4 *2 (-983)) (-4 *2 (-1025))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3183 *4))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-1060 *3 *4)) (-4 *3 (-13 (-1025) (-33))) (-4 *4 (-13 (-1025) (-33)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-864)) (-4 *1 (-344)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1178 *4)) (-5 *1 (-502 *4)) (-4 *4 (-325)))) ((*1 *2 *1) (-12 (-4 *2 (-800)) (-5 *1 (-663 *2 *3 *4)) (-4 *3 (-1025)) (-14 *4 (-1 (-110) (-2 (|:| -3120 *2) (|:| -3540 *3)) (-2 (|:| -3120 *2) (|:| -3540 *3))))))) 
+(((*1 *1 *1) (-5 *1 (-995)))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-772 *3)) (-4 *3 (-800)) (-5 *1 (-623 *3))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-549 *2)) (-4 *2 (-339))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-1178 *5)) (-4 *5 (-594 *4)) (-4 *4 (-524)) (-5 *2 (-1178 *4)) (-5 *1 (-593 *4 *5))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-723)) (-4 *4 (-325)) (-5 *1 (-194 *4 *2)) (-4 *2 (-1154 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-406 *4)) (-5 *1 (-407 *4 *2)) (-4 *4 (-13 (-800) (-524)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-808))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-723)) (-4 *1 (-208 *4)) (-4 *4 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-208 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-210)) (-5 *2 (-723)))) ((*1 *1 *1) (-4 *1 (-210))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *3 (-13 (-339) (-137))) (-5 *1 (-375 *3 *4)) (-4 *4 (-1154 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-339) (-137))) (-5 *1 (-375 *2 *3)) (-4 *3 (-1154 *2)))) ((*1 *1) (-12 (-4 *1 (-608 *2)) (-4 *2 (-983)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 *4)) (-5 *3 (-598 (-723))) (-4 *1 (-843 *4)) (-4 *4 (-1025)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-723)) (-4 *1 (-843 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *1 (-843 *3)) (-4 *3 (-1025)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-843 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-110)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-280)) (-4 *3 (-930 *2)) (-4 *4 (-1154 *3)) (-5 *1 (-389 *2 *3 *4 *5)) (-4 *5 (-13 (-385 *3 *4) (-974 *3)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-343 *2)) (-4 *2 (-159))))) 
+(((*1 *1 *1 *1) (-4 *1 (-713)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-1019 *3)) (-4 *3 (-1130))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-56 *3 *4 *5)) (-4 *3 (-1130)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *2 (-532)))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-5 *2 (-532))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1069 *3)) (-4 *3 (-1130)) (-5 *2 (-110))))) 
+(((*1 *1 *1 *1) (|partial| -4 *1 (-126)))) 
+(((*1 *1) (-12 (-4 *1 (-380)) (-3968 (|has| *1 (-6 -4280))) (-3968 (|has| *1 (-6 -4272))))) ((*1 *2 *1) (-12 (-4 *1 (-401 *2)) (-4 *2 (-1025)) (-4 *2 (-800)))) ((*1 *2 *1) (-12 (-5 *1 (-466 *2)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (-4 *1 (-800))) ((*1 *2 *1) (-12 (-4 *1 (-907 *2)) (-4 *2 (-800)))) ((*1 *1) (-5 *1 (-1043)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1194 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983)) (-5 *2 (-772 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-796)) (-5 *1 (-1200 *3 *2)) (-4 *3 (-983))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-346 *4 *5)) (-4 *4 (-159)) (-4 *5 (-1154 *4)) (-5 *2 (-639 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-159)) (-4 *4 (-1154 *3)) (-5 *2 (-639 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-529))))) 
+(((*1 *2) (-12 (-4 *4 (-1134)) (-4 *5 (-1154 *4)) (-4 *6 (-1154 (-383 *5))) (-5 *2 (-723)) (-5 *1 (-315 *3 *4 *5 *6)) (-4 *3 (-316 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-723))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-1012 *3)) (-4 *3 (-127))))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-711))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-713)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-909)) (-5 *1 (-848 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-364)) (-5 *1 (-412)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-364)) (-5 *1 (-412))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 *6)) (-4 *5 (-1025)) (-4 *6 (-1130)) (-5 *2 (-1 *6 *5)) (-5 *1 (-595 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 *2)) (-4 *5 (-1025)) (-4 *2 (-1130)) (-5 *1 (-595 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-598 *6)) (-5 *4 (-598 *5)) (-4 *6 (-1025)) (-4 *5 (-1130)) (-5 *2 (-1 *5 *6)) (-5 *1 (-595 *6 *5)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 *2)) (-4 *5 (-1025)) (-4 *2 (-1130)) (-5 *1 (-595 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-598 *5)) (-5 *4 (-598 *6)) (-4 *5 (-1025)) (-4 *6 (-1130)) (-5 *1 (-595 *5 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1025)) (-4 *2 (-1130)) (-5 *1 (-595 *5 *2)))) ((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1064)) (-5 *3 (-134)) (-5 *2 (-723))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-529))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-202)) (-5 *2 (-972)) (-5 *1 (-703))))) 
+(((*1 *2) (-12 (-5 *2 (-355)) (-5 *1 (-976))))) 
+(((*1 *1) (-12 (-5 *1 (-601 *2 *3 *4)) (-4 *2 (-1025)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-524) (-137))) (-5 *1 (-1148 *3 *2)) (-4 *2 (-1154 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-598 (-886 *4))) (-4 *1 (-1057 *4)) (-4 *4 (-983)) (-5 *2 (-723))))) 
+(((*1 *2 *3 *3) (-12 (-4 *2 (-524)) (-5 *1 (-908 *2 *3)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1078)) (-5 *1 (-739))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-598 *6) "failed") (-532) *6 *6)) (-4 *6 (-339)) (-4 *7 (-1154 *6)) (-5 *2 (-2 (|:| |answer| (-549 (-383 *7))) (|:| |a0| *6))) (-5 *1 (-542 *6 *7)) (-5 *3 (-383 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-339)) (-5 *2 (-598 *3)) (-5 *1 (-888 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-13 (-1025) (-33))) (-5 *1 (-1060 *3 *2)) (-4 *3 (-13 (-1025) (-33)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-410))))) 
+(((*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-793 *4)) (-5 *3 (-571 *4)) (-5 *5 (-110)) (-4 *4 (-13 (-1116) (-29 *6))) (-4 *6 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-201 *6 *4))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1178 *5)) (-4 *5 (-745)) (-5 *2 (-110)) (-5 *1 (-795 *4 *5)) (-14 *4 (-723))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1043)) (-5 *2 (-110)) (-5 *1 (-774))))) 
+(((*1 *1) (-12 (-4 *1 (-442 *2 *3)) (-4 *2 (-159)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-508))) ((*1 *1) (-4 *1 (-672))) ((*1 *1) (-4 *1 (-676))) ((*1 *1) (-12 (-5 *1 (-835 *2)) (-4 *2 (-1025)))) ((*1 *1) (-12 (-5 *1 (-836 *2)) (-4 *2 (-800))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-4 *7 (-892 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-110)) (|:| |z0| (-598 *7)) (|:| |n0| (-598 *7)))) (-5 *1 (-867 *4 *5 *6 *7)) (-5 *3 (-598 *7))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-949)) (-5 *2 (-808))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-406 *4)) (-5 *1 (-407 *4 *2)) (-4 *4 (-13 (-800) (-524)))))) 
+(((*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-723)) (-5 *1 (-626 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-532)) (-4 *3 (-159)) (-4 *5 (-349 *3)) (-4 *6 (-349 *3)) (-5 *1 (-638 *3 *5 *6 *2)) (-4 *2 (-637 *3 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-983)) (-4 *2 (-13 (-380) (-974 *4) (-339) (-1116) (-258))) (-5 *1 (-418 *4 *3 *2)) (-4 *3 (-1154 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-864)) (-4 *5 (-983)) (-4 *2 (-13 (-380) (-974 *5) (-339) (-1116) (-258))) (-5 *1 (-418 *5 *3 *2)) (-4 *3 (-1154 *5))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-127)) (-5 *3 (-723)) (-5 *2 (-1183))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-2 (|:| |gen| *3) (|:| -1898 *4)))) (-4 *3 (-1025)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-601 *3 *4 *5))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-1078)) (-4 *1 (-340 *2 *4)) (-4 *2 (-1025)) (-4 *4 (-1025)))) ((*1 *1 *2) (-12 (-4 *1 (-340 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-1025))))) 
+(((*1 *1) (-5 *1 (-413)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-134))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110)) (-5 *1 (-484 *3 *4 *5 *6)) (-4 *6 (-892 *3 *4 *5)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-999 *4 *3)) (-4 *4 (-13 (-798) (-339))) (-4 *3 (-1154 *4)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1154 *5)) (-4 *5 (-13 (-339) (-137) (-974 (-532)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-383 *6)) (|:| |h| *6) (|:| |c1| (-383 *6)) (|:| |c2| (-383 *6)) (|:| -2702 *6))) (-5 *1 (-953 *5 *6)) (-5 *3 (-383 *6))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-886 *3) (-886 *3))) (-5 *1 (-161 *3)) (-4 *3 (-13 (-339) (-1116) (-939))))) ((*1 *2) (|partial| -12 (-4 *4 (-1134)) (-4 *5 (-1154 (-383 *2))) (-4 *2 (-1154 *4)) (-5 *1 (-315 *3 *4 *2 *5)) (-4 *3 (-316 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-316 *3 *2 *4)) (-4 *3 (-1134)) (-4 *4 (-1154 (-383 *2))) (-4 *2 (-1154 *3))))) 
+(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-4 *1 (-33))) ((*1 *1) (-12 (-5 *1 (-90 *2)) (-4 *2 (-1025)))) ((*1 *1) (-12 (-5 *1 (-130 *2 *3 *4)) (-14 *2 (-532)) (-14 *3 (-723)) (-4 *4 (-159)))) ((*1 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *1) (-12 (-5 *1 (-466 *2)) (-4 *2 (-800)))) ((*1 *1) (-4 *1 (-676))) ((*1 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-1025)))) ((*1 *1) (-12 (-5 *1 (-1067 *2)) (-4 *2 (-1025)))) ((*1 *1) (-5 *1 (-1096)))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1078)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-1183)) (-5 *1 (-926 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1078)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-1183)) (-5 *1 (-1032 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1183)) (-5 *1 (-1179)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-267 *6)) (-5 *4 (-112)) (-4 *6 (-406 *5)) (-4 *5 (-13 (-800) (-524) (-573 (-508)))) (-5 *2 (-51)) (-5 *1 (-289 *5 *6)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-267 *7)) (-5 *4 (-112)) (-5 *5 (-598 *7)) (-4 *7 (-406 *6)) (-4 *6 (-13 (-800) (-524) (-573 (-508)))) (-5 *2 (-51)) (-5 *1 (-289 *6 *7)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-598 (-267 *7))) (-5 *4 (-598 (-112))) (-5 *5 (-267 *7)) (-4 *7 (-406 *6)) (-4 *6 (-13 (-800) (-524) (-573 (-508)))) (-5 *2 (-51)) (-5 *1 (-289 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-598 (-267 *8))) (-5 *4 (-598 (-112))) (-5 *5 (-267 *8)) (-5 *6 (-598 *8)) (-4 *8 (-406 *7)) (-4 *7 (-13 (-800) (-524) (-573 (-508)))) (-5 *2 (-51)) (-5 *1 (-289 *7 *8)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-598 *7)) (-5 *4 (-598 (-112))) (-5 *5 (-267 *7)) (-4 *7 (-406 *6)) (-4 *6 (-13 (-800) (-524) (-573 (-508)))) (-5 *2 (-51)) (-5 *1 (-289 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-598 *8)) (-5 *4 (-598 (-112))) (-5 *6 (-598 (-267 *8))) (-4 *8 (-406 *7)) (-5 *5 (-267 *8)) (-4 *7 (-13 (-800) (-524) (-573 (-508)))) (-5 *2 (-51)) (-5 *1 (-289 *7 *8)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-267 *5)) (-5 *4 (-112)) (-4 *5 (-406 *6)) (-4 *6 (-13 (-800) (-524) (-573 (-508)))) (-5 *2 (-51)) (-5 *1 (-289 *6 *5)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-112)) (-5 *5 (-267 *3)) (-4 *3 (-406 *6)) (-4 *6 (-13 (-800) (-524) (-573 (-508)))) (-5 *2 (-51)) (-5 *1 (-289 *6 *3)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-112)) (-5 *5 (-267 *3)) (-4 *3 (-406 *6)) (-4 *6 (-13 (-800) (-524) (-573 (-508)))) (-5 *2 (-51)) (-5 *1 (-289 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-112)) (-5 *5 (-267 *3)) (-5 *6 (-598 *3)) (-4 *3 (-406 *7)) (-4 *7 (-13 (-800) (-524) (-573 (-508)))) (-5 *2 (-51)) (-5 *1 (-289 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-112)) (-5 *5 (-1096)) (-5 *6 (-598 *3)) (-4 *3 (-406 *7)) (-4 *7 (-13 (-800) (-524) (-573 (-508)))) (-4 *2 (-1169 *3)) (-5 *1 (-290 *7 *3 *2 *8)) (-4 *8 (-1169 (-1090 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-598 *5)) (-4 *5 (-339)) (-4 *6 (-1169 (-1090 *5))) (-4 *2 (-1169 *5)) (-5 *1 (-1173 *5 *2 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-406 *4)) (-5 *1 (-407 *4 *2)) (-4 *4 (-13 (-800) (-524)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-427)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-915 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-598 *7)) (-5 *3 (-110)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-427)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-915 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-14 *3 (-598 (-1096))) (-4 *4 (-159)) (-4 *5 (-215 (-3502 *3) (-723))) (-14 *6 (-1 (-110) (-2 (|:| -3120 *2) (|:| -3540 *5)) (-2 (|:| -3120 *2) (|:| -3540 *5)))) (-4 *2 (-800)) (-5 *1 (-436 *3 *4 *2 *5 *6 *7)) (-4 *7 (-892 *4 *5 (-810 *3)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3183 *4))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-280)) (-5 *2 (-723))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-110)) (-5 *1 (-926 *4 *5 *6 *7 *3)) (-4 *3 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-110)) (-5 *1 (-1032 *4 *5 *6 *7 *3)) (-4 *3 (-1002 *4 *5 *6 *7))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1028 *2 *3 *4 *5 *6)) (-4 *2 (-1025)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-947 *3)) (-4 *3 (-1130)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-378)) (-5 *2 (-723)))) ((*1 *1 *1) (-4 *1 (-378)))) 
+(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-532)) (-5 *6 (-2 (|:| |try| (-355)) (|:| |did| (-355)) (|:| -2205 (-355)))) (-5 *7 (-1 (-1183) (-1178 *5) (-1178 *5) (-355))) (-5 *3 (-1178 (-355))) (-5 *5 (-355)) (-5 *2 (-1183)) (-5 *1 (-741)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-532)) (-5 *6 (-2 (|:| |try| (-355)) (|:| |did| (-355)) (|:| -2205 (-355)))) (-5 *7 (-1 (-1183) (-1178 *5) (-1178 *5) (-355))) (-5 *3 (-1178 (-355))) (-5 *5 (-355)) (-5 *2 (-1183)) (-5 *1 (-741))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1028 *2 *3 *4 *5 *6)) (-4 *2 (-1025)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-723)) (-4 *4 (-325)) (-5 *1 (-194 *4 *2)) (-4 *2 (-1154 *4)))) ((*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-532)) (-5 *1 (-645 *2)) (-4 *2 (-1154 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808)))) ((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-110)) (-5 *1 (-1003 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| (-110)) (|:| -1213 *4)))) (-5 *1 (-1003 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1092 *4)) (-5 *1 (-333 *4)) (-4 *4 (-325))))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-119 *2)) (-4 *2 (-800))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-362 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-772 *2)) (-4 *2 (-800))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-983)) (-4 *7 (-983)) (-4 *6 (-1154 *5)) (-5 *2 (-1092 (-1092 *7))) (-5 *1 (-481 *5 *6 *4 *7)) (-4 *4 (-1154 *6))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1124 *4 *5 *3 *6)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *3 (-800)) (-4 *6 (-997 *4 *5 *3)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-1196 *3)) (-4 *3 (-339)) (-5 *2 (-110))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-1096))) (-5 *3 (-51)) (-5 *1 (-835 *4)) (-4 *4 (-1025))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-639 *3)) (-4 *3 (-13 (-280) (-10 -8 (-15 -4044 ((-394 $) $))))) (-4 *4 (-1154 *3)) (-5 *1 (-479 *3 *4 *5)) (-4 *5 (-385 *3 *4)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-639 *3)) (-4 *3 (-13 (-280) (-10 -8 (-15 -4044 ((-394 $) $))))) (-4 *4 (-1154 *3)) (-5 *1 (-479 *3 *4 *5)) (-4 *5 (-385 *3 *4))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-864)) (-5 *3 (-598 (-238))) (-5 *1 (-236)))) ((*1 *1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-238))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-598 *7)) (-5 *3 (-532)) (-4 *7 (-892 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-424 *4 *5 *6 *7))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-532)) (-4 *4 (-159)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4)) (-5 *1 (-638 *4 *5 *6 *2)) (-4 *2 (-637 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1096)) (-5 *6 (-598 (-571 *3))) (-5 *5 (-571 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *7))) (-4 *7 (-13 (-427) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *2 (-2 (|:| -3117 *3) (|:| |coeff| *3))) (-5 *1 (-525 *7 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-47))) (-1136 (-47)))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-47)))) (-1136 (-1092 (-47))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) (-1096))) (|:| A (-1 (-47) (-723) (-723) (-1092 (-47)))) (|:| AF (-1 (-1092 (-47)) (-723) (-723) (-1136 (-1092 (-47))))) (|:| AX (-1 (-288 (-532)) (-723) (-1096) (-288 (-532)))) (|:| C (-1 (-598 (-47)) (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-4 (-47) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-47))) (-1136 (-47)))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-47)))) (-1136 (-1092 (-47))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) *3)) (|:| A (-1 (-47) (-723) (-723) (-1092 (-47)))) (|:| AF (-1 (-1092 (-47)) (-723) (-723) (-1136 (-1092 (-47))))) (|:| AX (-1 (-288 (-532)) (-723) *3 (-288 (-532)))) (|:| C (-1 (-598 (-47)) (-723)))) (-598 (-438)))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1076 (-1136 *4)) (-1136 *4))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 *4))) (-1136 (-1092 *4)))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) (-1096))) (|:| A (-1 *4 (-723) (-723) (-1092 *4))) (|:| AF (-1 (-1092 *4) (-723) (-723) (-1136 (-1092 *4)))) (|:| AX (-1 (-288 (-532)) (-723) (-1096) (-288 (-532)))) (|:| C (-1 (-598 *4) (-723))))) (-5 *1 (-456 *4)) (-4 *4 (-13 (-325) (-573 (-532)))))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 *4)) (-1136 *4))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 *4))) (-1136 (-1092 *4)))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) *3)) (|:| A (-1 *4 (-723) (-723) (-1092 *4))) (|:| AF (-1 (-1092 *4) (-723) (-723) (-1136 (-1092 *4)))) (|:| AX (-1 (-288 (-532)) (-723) *3 (-288 (-532)))) (|:| C (-1 (-598 *4) (-723)))) (-598 (-438)))) (-5 *1 (-456 *4)) (-4 *4 (-974 *3)) (-4 *4 (-13 (-325) (-573 (-532)))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-383 (-532)))) (-1136 (-383 (-532))))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-383 (-532))))) (-1136 (-1092 (-383 (-532)))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) (-1096))) (|:| A (-1 (-532) (-723) (-723) (-1092 (-532)))) (|:| AF (-1 (-1092 (-383 (-532))) (-723) (-723) (-1136 (-1092 (-383 (-532)))))) (|:| AX (-1 (-288 (-532)) (-723) (-1096) (-288 (-532)))) (|:| C (-1 (-598 (-532)) (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-4 (-383 (-532)) (-974 *3)) (-4 (-532) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-383 (-532)))) (-1136 (-383 (-532))))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-383 (-532))))) (-1136 (-1092 (-383 (-532)))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) *3)) (|:| A (-1 (-532) (-723) (-723) (-1092 (-532)))) (|:| AF (-1 (-1092 (-383 (-532))) (-723) (-723) (-1136 (-1092 (-383 (-532)))))) (|:| AX (-1 (-288 (-532)) (-723) *3 (-288 (-532)))) (|:| C (-1 (-598 (-532)) (-723)))) (-598 (-438)))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1076 (-1136 *4)) (-1136 *4))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 *4))) (-1136 (-1092 *4)))) (|:| |exprStream| (-1 (-1076 *6) *6 (-1096))) (|:| A (-1 *5 (-723) (-723) (-1092 *5))) (|:| AF (-1 (-1092 *4) (-723) (-723) (-1136 (-1092 *4)))) (|:| AX (-1 *6 (-723) (-1096) *6)) (|:| C (-1 (-598 *5) (-723))))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *4 (-339)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 *4)) (-1136 *4))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 *4))) (-1136 (-1092 *4)))) (|:| |exprStream| (-1 (-1076 *6) *6 *3)) (|:| A (-1 *5 (-723) (-723) (-1092 *5))) (|:| AF (-1 (-1092 *4) (-723) (-723) (-1136 (-1092 *4)))) (|:| AX (-1 *6 (-723) *3 *6)) (|:| C (-1 (-598 *5) (-723)))) (-598 (-438)))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *4 (-974 *3)) (-4 *5 (-974 *3)) (-4 *4 (-339)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 *3) (-974 (-532)) (-148) (-843 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-383 (-895 (-532))))) (-1136 (-383 (-895 (-532)))))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-383 (-895 (-532)))))) (-1136 (-1092 (-383 (-895 (-532))))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) (-1096))) (|:| A (-1 (-895 (-532)) (-723) (-723) (-1092 (-895 (-532))))) (|:| AF (-1 (-1092 (-383 (-895 (-532)))) (-723) (-723) (-1136 (-1092 (-383 (-895 (-532))))))) (|:| AX (-1 (-288 (-532)) (-723) (-1096) (-288 (-532)))) (|:| C (-1 (-598 (-895 (-532))) (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-4 (-383 (-895 (-532))) (-974 *3)) (-4 (-895 (-532)) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-383 (-895 (-532))))) (-1136 (-383 (-895 (-532)))))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-383 (-895 (-532)))))) (-1136 (-1092 (-383 (-895 (-532))))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) *3)) (|:| A (-1 (-895 (-532)) (-723) (-723) (-1092 (-895 (-532))))) (|:| AF (-1 (-1092 (-383 (-895 (-532)))) (-723) (-723) (-1136 (-1092 (-383 (-895 (-532))))))) (|:| AX (-1 (-288 (-532)) (-723) *3 (-288 (-532)))) (|:| C (-1 (-598 (-895 (-532))) (-723)))) (-598 (-438)))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 HPSPEC) (-5 *1 (-460 *4)) (-14 *4 (-1096)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 HPSPEC (-598 (-438)))) (-5 *1 (-460 *4)) (-14 *4 *3)))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-1154 *4)) (-4 *4 (-1134)) (-4 *1 (-316 *4 *3 *5)) (-4 *5 (-1154 (-383 *3)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1178 (-383 (-895 *4)))) (|:| -1322 (-598 (-1178 (-383 (-895 *4))))))) (-5 *3 (-598 *7)) (-4 *4 (-13 (-280) (-137))) (-4 *7 (-892 *4 *6 *5)) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *1 (-867 *4 *5 *6 *7))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-355))) (-5 *1 (-238)))) ((*1 *1) (|partial| -12 (-4 *1 (-343 *2)) (-4 *2 (-524)) (-4 *2 (-159)))) ((*1 *2 *1) (-12 (-5 *1 (-394 *2)) (-4 *2 (-524))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-355) (-355))) (-5 *4 (-355)) (-5 *2 (-2 (|:| -1330 *4) (|:| -3758 *4) (|:| |totalpts| (-532)) (|:| |success| (-110)))) (-5 *1 (-742)) (-5 *5 (-532))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-997 *4 *5 *6)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-915 *4 *5 *6 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-777))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-571 *3)) (-5 *5 (-598 *3)) (-5 *6 (-1092 *3)) (-4 *3 (-13 (-406 *7) (-27) (-1116))) (-4 *7 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-598 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-528 *7 *3 *8)) (-4 *8 (-1025)))) ((*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-571 *3)) (-5 *5 (-598 *3)) (-5 *6 (-383 (-1092 *3))) (-4 *3 (-13 (-406 *7) (-27) (-1116))) (-4 *7 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-598 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-528 *7 *3 *8)) (-4 *8 (-1025))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-974 (-532))) (-4 *1 (-275)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-517)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-848 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-598 (-886 *3)))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-598 *6)) (-4 *1 (-914 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524))))) 
+(((*1 *1) (-5 *1 (-1179)))) 
+(((*1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-427))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-598 (-464 *4 *5))) (-5 *3 (-598 (-810 *4))) (-14 *4 (-598 (-1096))) (-4 *5 (-427)) (-5 *1 (-448 *4 *5 *6)) (-4 *6 (-427))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-532)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *2 (-983)) (-5 *1 (-294 *4 *5 *2 *6)) (-4 *6 (-892 *2 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-932 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-565 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1130)) (-5 *2 (-598 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151 *5 *4)) (-4 *4 (-773)) (-14 *5 (-1096)) (-5 *2 (-532)) (-5 *1 (-1039 *4 *5))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1136 *3)) (-4 *3 (-983)) (-5 *1 (-1135 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-47))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-47))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-598 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-47)) (-598 (-438))))) (-5 *5 (-598 (-1096))) (-5 *3 (-598 (-47))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-598 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-47)) (-598 (-438))))) (-5 *5 (-598 (-1096))) (-5 *6 (-598 (-438))) (-5 *3 (-598 (-47))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-598 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 *6) (-598 (-438))))) (-5 *5 (-598 (-1096))) (-5 *3 (-598 *6)) (-4 *6 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-598 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 *7) (-598 (-438))))) (-5 *5 (-598 (-1096))) (-5 *6 (-598 (-438))) (-5 *3 (-598 *7)) (-4 *7 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-598 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-532))) (-598 (-438))))) (-5 *5 (-598 (-1096))) (-5 *3 (-598 (-383 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-598 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-532))) (-598 (-438))))) (-5 *5 (-598 (-1096))) (-5 *6 (-598 (-438))) (-5 *3 (-598 (-383 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-339)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723))))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-339)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-800) (-524))) (-14 *9 (-1 *5 *8)) (-5 *2 (-598 (-2 (|:| -3385 *7) (|:| -2956 (-723))))) (-5 *1 (-458 *5 *6 *7 *8 *9 *10)) (-4 *6 (-427)) (-4 *7 (-13 (-406 (-532)) (-524) (-974 *8) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-598 (-1 (-598 (-2 (|:| -3385 *8) (|:| -2956 (-723)))) (-598 *6) (-598 (-438))))) (-5 *5 (-598 (-1096))) (-5 *3 (-598 *6)) (-4 *6 (-339)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-800) (-524))) (-14 *10 (-1 *6 *9)) (-5 *2 (-598 (-2 (|:| -3385 *8) (|:| -2956 (-723))))) (-5 *1 (-458 *6 *7 *8 *9 *10 *11)) (-4 *7 (-427)) (-4 *8 (-13 (-406 (-532)) (-524) (-974 *9) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-598 (-1 (-598 (-2 (|:| -3385 *9) (|:| -2956 (-723)))) (-598 *7) (-598 (-438))))) (-5 *5 (-598 (-1096))) (-5 *6 (-598 (-438))) (-5 *3 (-598 *7)) (-4 *7 (-339)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-800) (-524))) (-14 *11 (-1 *7 *10)) (-5 *2 (-598 (-2 (|:| -3385 *9) (|:| -2956 (-723))))) (-5 *1 (-458 *7 *8 *9 *10 *11 *12)) (-4 *8 (-427)) (-4 *9 (-13 (-406 (-532)) (-524) (-974 *10) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-598 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-895 (-532)))) (-598 (-438))))) (-5 *5 (-598 (-1096))) (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-598 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-895 (-532)))) (-598 (-438))))) (-5 *5 (-598 (-1096))) (-5 *6 (-598 (-438))) (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-694 *4 (-532))))) (-14 *4 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-694 *5 (-532))))) (-5 *4 (-598 (-438))) (-14 *5 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *5 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-598 (-1 (-598 (-2 (|:| -3385 (-693 *6 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-694 *6 (-532)))) (-598 (-438))))) (-5 *5 (-598 (-1096))) (-5 *3 (-598 (-383 (-694 *6 (-532))))) (-14 *6 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *6 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-598 (-1 (-598 (-2 (|:| -3385 (-693 *7 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-694 *7 (-532)))) (-598 (-438))))) (-5 *5 (-598 (-1096))) (-5 *6 (-598 (-438))) (-5 *3 (-598 (-383 (-694 *7 (-532))))) (-14 *7 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *7 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-857 *3)) (-4 *3 (-280))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-156 (-202))) (-5 *1 (-203)))) ((*1 *2 *2) (-12 (-5 *2 (-202)) (-5 *1 (-203)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *1 *1) (-4 *1 (-1059)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-886 *4)) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-864)) (-5 *1 (-739))))) 
+(((*1 *1) (-4 *1 (-325))) ((*1 *2 *3) (-12 (-5 *3 (-598 *5)) (-4 *5 (-406 *4)) (-4 *4 (-13 (-524) (-800) (-137))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-598 (-1092 *5))) (|:| |prim| (-1092 *5)))) (-5 *1 (-408 *4 *5)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-524) (-800) (-137))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1092 *3)) (|:| |pol2| (-1092 *3)) (|:| |prim| (-1092 *3)))) (-5 *1 (-408 *4 *3)) (-4 *3 (-27)) (-4 *3 (-406 *4)))) ((*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-895 *5)) (-5 *4 (-1096)) (-4 *5 (-13 (-339) (-137))) (-5 *2 (-2 (|:| |coef1| (-532)) (|:| |coef2| (-532)) (|:| |prim| (-1092 *5)))) (-5 *1 (-902 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-895 *5))) (-5 *4 (-598 (-1096))) (-4 *5 (-13 (-339) (-137))) (-5 *2 (-2 (|:| -2283 (-598 (-532))) (|:| |poly| (-598 (-1092 *5))) (|:| |prim| (-1092 *5)))) (-5 *1 (-902 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-598 (-895 *6))) (-5 *4 (-598 (-1096))) (-5 *5 (-1096)) (-4 *6 (-13 (-339) (-137))) (-5 *2 (-2 (|:| -2283 (-598 (-532))) (|:| |poly| (-598 (-1092 *6))) (|:| |prim| (-1092 *6)))) (-5 *1 (-902 *6))))) 
+(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-532)) (-4 *3 (-159)) (-4 *5 (-349 *3)) (-4 *6 (-349 *3)) (-5 *1 (-638 *3 *5 *6 *2)) (-4 *2 (-637 *3 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-625 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1029)) (-5 *1 (-304))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-46 *3 *2)) (-4 *3 (-983)) (-4 *2 (-745)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-49 *3 *4)) (-4 *3 (-983)) (-14 *4 (-598 (-1096))))) ((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-200 *3 *4)) (-4 *3 (-13 (-983) (-800))) (-14 *4 (-598 (-1096))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-228 *4 *3 *5 *6)) (-4 *4 (-983)) (-4 *3 (-800)) (-4 *5 (-241 *3)) (-4 *6 (-746)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-250)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1092 *8)) (-5 *4 (-598 *6)) (-4 *6 (-800)) (-4 *8 (-892 *7 *5 *6)) (-4 *5 (-746)) (-4 *7 (-983)) (-5 *2 (-598 (-723))) (-5 *1 (-294 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-4 *1 (-303 *3)) (-4 *3 (-339)) (-5 *2 (-864)))) ((*1 *2 *1) (-12 (-4 *1 (-350 *3 *4)) (-4 *3 (-800)) (-4 *4 (-159)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-447 *3 *2)) (-4 *3 (-159)) (-4 *2 (-23)))) ((*1 *2 *1) (-12 (-4 *3 (-524)) (-5 *2 (-532)) (-5 *1 (-579 *3 *4)) (-4 *4 (-1154 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-658 *3)) (-4 *3 (-983)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-802 *3)) (-4 *3 (-983)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-847 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-848 *3)) (-4 *3 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-598 *6)) (-4 *1 (-892 *4 *5 *6)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-598 (-723))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-892 *4 *5 *3)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *3 (-800)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-911 *3 *2 *4)) (-4 *3 (-983)) (-4 *4 (-800)) (-4 *2 (-745)))) ((*1 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-1140 *3 *4)) (-4 *3 (-983)) (-4 *4 (-1169 *3)) (-5 *2 (-532)))) ((*1 *2 *1) (-12 (-4 *1 (-1161 *3 *4)) (-4 *3 (-983)) (-4 *4 (-1138 *3)) (-5 *2 (-383 (-532))))) ((*1 *2 *1) (-12 (-4 *1 (-1196 *3)) (-4 *3 (-339)) (-5 *2 (-786 (-864))))) ((*1 *2 *1) (-12 (-4 *1 (-1198 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983)) (-5 *2 (-723))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 (-598 *6))) (-4 *6 (-892 *3 *5 *4)) (-4 *3 (-13 (-280) (-137))) (-4 *4 (-13 (-800) (-573 (-1096)))) (-4 *5 (-746)) (-5 *1 (-867 *3 *4 *5 *6))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-1161 *3 *2)) (-4 *3 (-983)) (-4 *2 (-1138 *3))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *2 (-1025)) (-5 *1 (-630 *5 *6 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-5 *2 (-1 *5 *4)) (-5 *1 (-632 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-406 *4)) (-5 *1 (-407 *4 *2)) (-4 *4 (-13 (-800) (-524)))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-735 *2)) (-4 *2 (-983))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-128))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-325)) (-4 *5 (-303 *4)) (-4 *6 (-1154 *5)) (-5 *2 (-598 *3)) (-5 *1 (-729 *4 *5 *6 *3 *7)) (-4 *3 (-1154 *6)) (-14 *7 (-864))))) 
+(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-110)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *8 (-800)) (-4 *3 (-997 *6 *7 *8)) (-5 *2 (-598 (-2 (|:| |val| *3) (|:| -1213 *4)))) (-5 *1 (-1003 *6 *7 *8 *3 *4)) (-4 *4 (-1002 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-598 (-2 (|:| |val| (-598 *8)) (|:| -1213 *9)))) (-5 *5 (-110)) (-4 *8 (-997 *6 *7 *4)) (-4 *9 (-1002 *6 *7 *4 *8)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *4 (-800)) (-5 *2 (-598 (-2 (|:| |val| *8) (|:| -1213 *9)))) (-5 *1 (-1003 *6 *7 *4 *8 *9))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-847 (-532))) (-5 *1 (-860)))) ((*1 *2) (-12 (-5 *2 (-847 (-532))) (-5 *1 (-860))))) 
+(((*1 *1) (-12 (-5 *1 (-130 *2 *3 *4)) (-14 *2 (-532)) (-14 *3 (-723)) (-4 *4 (-159))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-723)) (-4 *5 (-983)) (-5 *2 (-532)) (-5 *1 (-418 *5 *3 *6)) (-4 *3 (-1154 *5)) (-4 *6 (-13 (-380) (-974 *5) (-339) (-1116) (-258))))) ((*1 *2 *3) (-12 (-4 *4 (-983)) (-5 *2 (-532)) (-5 *1 (-418 *4 *3 *5)) (-4 *3 (-1154 *4)) (-4 *5 (-13 (-380) (-974 *4) (-339) (-1116) (-258)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-835 *2)) (-4 *2 (-1025))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-864)) (-4 *1 (-696 *3)) (-4 *3 (-159))))) 
+(((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-625 *3)) (-4 *3 (-1130)) (-5 *2 (-110))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-892 *4 *5 *6)) (-4 *4 (-339)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-425 *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-95 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-339)) (-5 *2 (-2 (|:| R (-639 *6)) (|:| A (-639 *6)) (|:| |Ainv| (-639 *6)))) (-5 *1 (-916 *6)) (-5 *3 (-639 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-532)) (-5 *1 (-218)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-1078))) (-5 *2 (-532)) (-5 *1 (-218))))) 
+(((*1 *2) (-12 (-4 *3 (-524)) (-5 *2 (-598 (-639 *3))) (-5 *1 (-42 *3 *4)) (-4 *4 (-393 *3))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-598 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-723)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-746)) (-4 *3 (-892 *4 *5 *6)) (-4 *4 (-427)) (-4 *6 (-800)) (-5 *1 (-424 *4 *5 *6 *3))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-1025)) (-5 *2 (-110)) (-5 *1 (-90 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-1025)) (-5 *2 (-110)) (-5 *1 (-199 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-800)) (-5 *2 (-110)) (-5 *1 (-466 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| *1 (-6 -4289)) (-4 *1 (-471 *4)) (-4 *4 (-1130)) (-5 *2 (-110)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-1025)) (-5 *2 (-110)) (-5 *1 (-937 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (|has| $ (-6 -4289)) (-4 *4 (-1025)) (-5 *2 (-110)) (-5 *1 (-1067 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-723))) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-300 *2 *3)) (-4 *3 (-745)) (-4 *2 (-983)) (-4 *2 (-427)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-1154 (-532))) (-5 *2 (-598 (-532))) (-5 *1 (-468 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-802 *2)) (-4 *2 (-983)) (-4 *2 (-427)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-892 *3 *4 *2)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800)) (-4 *3 (-427))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-808)) (-5 *2 (-1183)) (-5 *1 (-1058)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-808))) (-5 *2 (-1183)) (-5 *1 (-1058))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 *4)) (-5 *1 (-1061 *3 *4)) (-4 *3 (-13 (-1025) (-33))) (-4 *4 (-13 (-1025) (-33)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-532)) (-5 *1 (-420 *3)) (-4 *3 (-380)) (-4 *3 (-983))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-626 *3)) (-4 *3 (-983)) (-4 *3 (-1025))))) 
+(((*1 *2) (-12 (-5 *2 (-1178 (-1026 *3 *4))) (-5 *1 (-1026 *3 *4)) (-14 *3 (-864)) (-14 *4 (-864))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-47))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-47))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-4 (-47) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-47)) (-598 (-438)))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-456 *4)) (-4 *4 (-974 *3)) (-4 *4 (-13 (-325) (-573 (-532)))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-4 (-383 (-532)) (-974 *3)) (-4 (-532) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-532))) (-598 (-438)))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-339)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723))))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-339)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-800) (-524))) (-14 *9 (-1 *5 *8)) (-5 *2 (-598 (-2 (|:| -3385 *7) (|:| -2956 (-723))))) (-5 *1 (-458 *5 *6 *7 *8 *9 *10)) (-4 *6 (-427)) (-4 *7 (-13 (-406 (-532)) (-524) (-974 *8) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *4 (-974 *3)) (-4 *5 (-974 *3)) (-4 *4 (-339)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 *3) (-974 (-532)) (-148) (-843 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-4 (-383 (-895 (-532))) (-974 *3)) (-4 (-895 (-532)) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-895 (-532)))) (-598 (-438)))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-694 *4 (-532))))) (-14 *4 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-694 *5 (-532))))) (-5 *4 (-598 (-438))) (-14 *5 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *5 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-694 *4 (-532)))) (-598 (-438)))) (-5 *1 (-460 *4)) (-14 *4 *3)))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-723)) (-5 *1 (-100 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-5 *1 (-468 *2)) (-4 *2 (-1154 (-532)))))) 
+(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1076 (-2 (|:| |k| (-532)) (|:| |c| *6)))) (-5 *4 (-963 (-793 (-532)))) (-5 *5 (-1096)) (-5 *7 (-383 (-532))) (-4 *6 (-983)) (-5 *2 (-808)) (-5 *1 (-557 *6))))) 
+(((*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-280)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2867 *1))) (-4 *1 (-280))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-394 *3)) (-5 *1 (-857 *3)) (-4 *3 (-280))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-383 (-895 *3))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-598 (-2 (|:| |scalar| (-383 (-532))) (|:| |coeff| (-1092 *2)) (|:| |logand| (-1092 *2))))) (-5 *4 (-598 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-339)) (-5 *1 (-549 *2))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-228 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-800)) (-4 *5 (-241 *4)) (-4 *6 (-746)) (-5 *2 (-723)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-228 *4 *3 *5 *6)) (-4 *4 (-983)) (-4 *3 (-800)) (-4 *5 (-241 *3)) (-4 *6 (-746)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-241 *3)) (-4 *3 (-800)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-325)) (-5 *2 (-864)))) ((*1 *2 *3) (-12 (-5 *3 (-310 *4 *5 *6 *7)) (-4 *4 (-13 (-344) (-339))) (-4 *5 (-1154 *4)) (-4 *6 (-1154 (-383 *5))) (-4 *7 (-316 *4 *5 *6)) (-5 *2 (-723)) (-5 *1 (-368 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-4 *1 (-378)) (-5 *2 (-786 (-864))))) ((*1 *2 *1) (-12 (-4 *1 (-380)) (-5 *2 (-532)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-558 *3)) (-4 *3 (-983)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-558 *3)) (-4 *3 (-983)))) ((*1 *2 *1) (-12 (-4 *3 (-524)) (-5 *2 (-532)) (-5 *1 (-579 *3 *4)) (-4 *4 (-1154 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-723)) (-4 *1 (-690 *4 *3)) (-4 *4 (-983)) (-4 *3 (-800)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-690 *4 *3)) (-4 *4 (-983)) (-4 *3 (-800)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-814 *3)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-847 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-848 *3)) (-4 *3 (-1025)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-310 *5 *6 *7 *8)) (-4 *5 (-406 *4)) (-4 *6 (-1154 *5)) (-4 *7 (-1154 (-383 *6))) (-4 *8 (-316 *5 *6 *7)) (-4 *4 (-13 (-800) (-524) (-974 (-532)))) (-5 *2 (-723)) (-5 *1 (-854 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-310 (-383 (-532)) *4 *5 *6)) (-4 *4 (-1154 (-383 (-532)))) (-4 *5 (-1154 (-383 *4))) (-4 *6 (-316 (-383 (-532)) *4 *5)) (-5 *2 (-723)) (-5 *1 (-855 *4 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-339)) (-4 *7 (-1154 *6)) (-4 *4 (-1154 (-383 *7))) (-4 *8 (-316 *6 *7 *4)) (-4 *9 (-13 (-344) (-339))) (-5 *2 (-723)) (-5 *1 (-955 *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1154 *3)) (-4 *3 (-983)) (-4 *3 (-524)) (-5 *2 (-723)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1156 *3 *2)) (-4 *3 (-983)) (-4 *2 (-745)))) ((*1 *2 *1) (-12 (-4 *1 (-1156 *3 *2)) (-4 *3 (-983)) (-4 *2 (-745))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-383 *6)) (-4 *5 (-1134)) (-4 *6 (-1154 *5)) (-5 *2 (-2 (|:| -3540 (-723)) (|:| -2283 *3) (|:| |radicand| *6))) (-5 *1 (-138 *5 *6 *7)) (-5 *4 (-723)) (-4 *7 (-1154 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-524) (-137))) (-5 *2 (-598 *3)) (-5 *1 (-1148 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1096)) (-4 *5 (-13 (-427) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *2 (-2 (|:| -3117 *3) (|:| |coeff| *3))) (-5 *1 (-525 *5 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *5)))))) 
+(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-339) (-798))) (-5 *2 (-2 (|:| |start| *3) (|:| -1265 (-394 *3)))) (-5 *1 (-165 *4 *3)) (-4 *3 (-1154 (-156 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-156 (-532))) (-5 *2 (-110)) (-5 *1 (-421)))) ((*1 *2 *3) (-12 (-5 *3 (-484 (-383 (-532)) (-217 *5 (-723)) (-810 *4) (-224 *4 (-383 (-532))))) (-14 *4 (-598 (-1096))) (-14 *5 (-723)) (-5 *2 (-110)) (-5 *1 (-485 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-110)) (-5 *1 (-903 *3)) (-4 *3 (-517)))) ((*1 *2 *1) (-12 (-4 *1 (-1134)) (-5 *2 (-110))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-1117 *2)) (-4 *2 (-1025)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-5 *1 (-1117 *3)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-598 (-1117 *2))) (-5 *1 (-1117 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-639 (-532))) (-5 *1 (-1035))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-532)) (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-1078)) (-5 *3 (-532)) (-5 *1 (-218)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-598 (-1078))) (-5 *3 (-532)) (-5 *4 (-1078)) (-5 *1 (-218)))) ((*1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-808)))) ((*1 *2 *1) (-12 (-4 *1 (-1156 *2 *3)) (-4 *3 (-745)) (-4 *2 (-983))))) 
+(((*1 *2 *3) (-12 (|has| *6 (-6 -4290)) (-4 *4 (-339)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4)) (-5 *2 (-598 *6)) (-5 *1 (-499 *4 *5 *6 *3)) (-4 *3 (-637 *4 *5 *6)))) ((*1 *2 *3) (-12 (|has| *9 (-6 -4290)) (-4 *4 (-524)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4)) (-4 *7 (-930 *4)) (-4 *8 (-349 *7)) (-4 *9 (-349 *7)) (-5 *2 (-598 *6)) (-5 *1 (-500 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-637 *4 *5 *6)) (-4 *10 (-637 *7 *8 *9)))) ((*1 *2 *1) (-12 (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-4 *3 (-524)) (-5 *2 (-598 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *4 (-159)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4)) (-5 *2 (-598 *6)) (-5 *1 (-638 *4 *5 *6 *3)) (-4 *3 (-637 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-4 *5 (-524)) (-5 *2 (-598 *7)))) ((*1 *1 *2) (-12 (-5 *2 (-639 *3)) (-4 *3 (-339)) (-5 *1 (-1184 *3))))) 
+(((*1 *1) (-5 *1 (-527)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-47))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-47))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-339)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723))))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-339)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-800) (-524))) (-14 *9 (-1 *5 *8)) (-5 *2 (-598 (-2 (|:| -3385 *7) (|:| -2956 (-723))))) (-5 *1 (-458 *5 *6 *7 *8 *9 *10)) (-4 *6 (-427)) (-4 *7 (-13 (-406 (-532)) (-524) (-974 *8) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-694 *4 (-532))))) (-14 *4 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-694 *5 (-532))))) (-5 *4 (-598 (-438))) (-14 *5 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *5 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *5))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-598 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532)))))) (-5 *1 (-956 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-598 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532)))))) (-5 *1 (-956 *3)) (-4 *3 (-1154 (-532))) (-5 *4 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532))))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-598 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532)))))) (-5 *1 (-956 *3)) (-4 *3 (-1154 (-532))) (-5 *4 (-383 (-532))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-383 (-532))) (-5 *2 (-598 (-2 (|:| -3987 *5) (|:| -3980 *5)))) (-5 *1 (-956 *3)) (-4 *3 (-1154 (-532))) (-5 *4 (-2 (|:| -3987 *5) (|:| -3980 *5))))) ((*1 *2 *3) (-12 (-5 *2 (-598 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532)))))) (-5 *1 (-957 *3)) (-4 *3 (-1154 (-383 (-532)))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-598 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532)))))) (-5 *1 (-957 *3)) (-4 *3 (-1154 (-383 (-532)))) (-5 *4 (-2 (|:| -3987 (-383 (-532))) (|:| -3980 (-383 (-532))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-383 (-532))) (-5 *2 (-598 (-2 (|:| -3987 *4) (|:| -3980 *4)))) (-5 *1 (-957 *3)) (-4 *3 (-1154 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-383 (-532))) (-5 *2 (-598 (-2 (|:| -3987 *5) (|:| -3980 *5)))) (-5 *1 (-957 *3)) (-4 *3 (-1154 *5)) (-5 *4 (-2 (|:| -3987 *5) (|:| -3980 *5)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1194 *2 *3)) (-4 *2 (-800)) (-4 *3 (-983)))) ((*1 *1 *1) (-12 (-5 *1 (-1200 *2 *3)) (-4 *2 (-983)) (-4 *3 (-796))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-800) (-974 (-532)) (-594 (-532)) (-427))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1163 *4 *5 *6)) (|:| |%expon| (-292 *4 *5 *6)) (|:| |%expTerms| (-598 (-2 (|:| |k| (-383 (-532))) (|:| |c| *4)))))) (|:| |%type| (-1078)))) (-5 *1 (-1164 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1116) (-406 *3))) (-14 *5 (-1096)) (-14 *6 *4)))) 
+(((*1 *1 *1) (-12 (-4 *1 (-608 *2)) (-4 *2 (-983)))) ((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *4 (-159)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-638 *4 *5 *6 *3)) (-4 *3 (-637 *4 *5 *6)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-159)) (-4 *2 (-983)) (-5 *1 (-664 *2 *3)) (-4 *3 (-600 *2)))) ((*1 *1 *1) (-12 (-4 *2 (-159)) (-4 *2 (-983)) (-5 *1 (-664 *2 *3)) (-4 *3 (-600 *2)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-787 *2)) (-4 *2 (-159)) (-4 *2 (-983)))) ((*1 *1 *1) (-12 (-5 *1 (-787 *2)) (-4 *2 (-159)) (-4 *2 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1098 (-383 (-532)))) (-5 *1 (-169)) (-5 *3 (-532))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-870))))) 
+(((*1 *2) (-12 (-4 *4 (-339)) (-5 *2 (-723)) (-5 *1 (-302 *3 *4)) (-4 *3 (-303 *4)))) ((*1 *2) (-12 (-4 *1 (-1196 *3)) (-4 *3 (-339)) (-5 *2 (-723))))) 
+(((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-401 *2)) (-4 *2 (-1025)) (-4 *2 (-344))))) 
+(((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-159)) (-5 *1 (-263 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1154 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-661 *2 *3 *4 *5 *6)) (-4 *2 (-159)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-665 *2 *3 *4 *5 *6)) (-4 *2 (-159)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)))) ((*1 *1) (-4 *1 (-1071)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-508))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-406 *4)) (-5 *1 (-146 *4 *2)) (-4 *4 (-13 (-800) (-524)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *7)) (-4 *7 (-1002 *3 *4 *5 *6)) (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *1 (-926 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-598 *7)) (-4 *7 (-1002 *3 *4 *5 *6)) (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *1 (-1032 *3 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-895 (-202))) (-5 *2 (-288 (-355))) (-5 *1 (-278))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-903 *2)) (-4 *2 (-517))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-983)) (-5 *1 (-1150 *3 *2)) (-4 *2 (-1154 *3))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-110) *4 *4)) (-4 *4 (-1130)) (-5 *1 (-351 *4 *2)) (-4 *2 (-13 (-349 *4) (-10 -7 (-6 -4290))))))) 
+(((*1 *2 *2 *2) (-12 (-5 *1 (-147 *2)) (-4 *2 (-517))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-339)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-1178 *6)) (-5 *1 (-310 *3 *4 *5 *6)) (-4 *6 (-316 *3 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1092 (-895 *6))) (-4 *6 (-524)) (-4 *2 (-892 (-383 (-895 *6)) *5 *4)) (-5 *1 (-682 *5 *4 *6 *2)) (-4 *5 (-746)) (-4 *4 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $)))))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *2 (-383 (-895 *4))) (-5 *1 (-867 *4 *5 *6 *3)) (-4 *3 (-892 *4 *6 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-639 *7)) (-4 *7 (-892 *4 *6 *5)) (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *2 (-639 (-383 (-895 *4)))) (-5 *1 (-867 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-892 *4 *6 *5)) (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *2 (-598 (-383 (-895 *4)))) (-5 *1 (-867 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-47))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-47))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-4 (-47) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-47)) (-598 (-438)))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-456 *4)) (-4 *4 (-974 *3)) (-4 *4 (-13 (-325) (-573 (-532)))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-4 (-383 (-532)) (-974 *3)) (-4 (-532) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-532))) (-598 (-438)))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-339)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723))))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-339)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-800) (-524))) (-14 *9 (-1 *5 *8)) (-5 *2 (-598 (-2 (|:| -3385 *7) (|:| -2956 (-723))))) (-5 *1 (-458 *5 *6 *7 *8 *9 *10)) (-4 *6 (-427)) (-4 *7 (-13 (-406 (-532)) (-524) (-974 *8) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *4 (-974 *3)) (-4 *5 (-974 *3)) (-4 *4 (-339)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 *3) (-974 (-532)) (-148) (-843 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-4 (-383 (-895 (-532))) (-974 *3)) (-4 (-895 (-532)) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-895 (-532)))) (-598 (-438)))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-694 *4 (-532))))) (-14 *4 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-694 *5 (-532))))) (-5 *4 (-598 (-438))) (-14 *5 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *5 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-694 *4 (-532)))) (-598 (-438)))) (-5 *1 (-460 *4)) (-14 *4 *3)))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1076 *4)) (-5 *3 (-532)) (-4 *4 (-983)) (-5 *1 (-1080 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-1136 *3)) (-4 *3 (-983)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-1170 *3 *4 *5)) (-4 *3 (-983)) (-14 *4 (-1096)) (-14 *5 *3)))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-598 (-895 *5))) (-5 *4 (-110)) (-4 *5 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-980 *5 *6))) (-5 *1 (-1203 *5 *6 *7)) (-14 *6 (-598 (-1096))) (-14 *7 (-598 (-1096))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-895 *5))) (-5 *4 (-110)) (-4 *5 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-980 *5 *6))) (-5 *1 (-1203 *5 *6 *7)) (-14 *6 (-598 (-1096))) (-14 *7 (-598 (-1096))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-895 *4))) (-4 *4 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-980 *4 *5))) (-5 *1 (-1203 *4 *5 *6)) (-14 *5 (-598 (-1096))) (-14 *6 (-598 (-1096)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-1154 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-370))))) 
+(((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-444)))) ((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-444)))) ((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-870))))) 
+(((*1 *1 *1) (-4 *1 (-34))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *1) (-5 *1 (-131)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-383 (-895 *4))) (-4 *4 (-280)) (-5 *2 (-383 (-394 (-895 *4)))) (-5 *1 (-978 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-51)) (-5 *1 (-782))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-529)))) ((*1 *2 *3) (-12 (-5 *2 (-1092 (-383 (-532)))) (-5 *1 (-885)) (-5 *3 (-532))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1178 (-288 (-202)))) (-5 *4 (-598 (-1096))) (-5 *2 (-639 (-288 (-202)))) (-5 *1 (-184)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1025)) (-4 *6 (-843 *5)) (-5 *2 (-639 *6)) (-5 *1 (-641 *5 *6 *3 *4)) (-4 *3 (-349 *6)) (-4 *4 (-13 (-349 *5) (-10 -7 (-6 -4289))))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-800) (-974 (-532)) (-594 (-532)) (-427))) (-5 *2 (-793 *4)) (-5 *1 (-285 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1116) (-406 *3))) (-14 *5 (-1096)) (-14 *6 *4))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-800) (-974 (-532)) (-594 (-532)) (-427))) (-5 *2 (-793 *4)) (-5 *1 (-1164 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1116) (-406 *3))) (-14 *5 (-1096)) (-14 *6 *4)))) 
+(((*1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-367))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-915 *4 *5 *6 *3)) (-4 *3 (-997 *4 *5 *6))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-202)) (-5 *1 (-203)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-156 (-202))) (-5 *1 (-203)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1059)))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-524)) (-5 *1 (-908 *3 *2)) (-4 *2 (-1154 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-524)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1154 *2)) (-4 *2 (-983)) (-4 *2 (-524))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-735 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *5 (-974 (-47))) (-4 *4 (-13 (-524) (-800) (-974 (-532)))) (-4 *5 (-406 *4)) (-5 *2 (-394 (-1092 (-47)))) (-5 *1 (-411 *4 *5 *3)) (-4 *3 (-1154 *5))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-112)) (-5 *4 (-1096)) (-4 *5 (-13 (-800) (-524) (-573 (-508)))) (-4 *2 (-406 *5)) (-5 *1 (-290 *5 *2 *6 *7)) (-4 *6 (-1169 *2)) (-4 *7 (-1169 (-1090 *2)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 (-156 (-532)))))) (-5 *2 (-598 (-598 (-267 (-895 (-156 *4)))))) (-5 *1 (-354 *4)) (-4 *4 (-13 (-339) (-798))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-267 (-383 (-895 (-156 (-532))))))) (-5 *2 (-598 (-598 (-267 (-895 (-156 *4)))))) (-5 *1 (-354 *4)) (-4 *4 (-13 (-339) (-798))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 (-156 (-532))))) (-5 *2 (-598 (-267 (-895 (-156 *4))))) (-5 *1 (-354 *4)) (-4 *4 (-13 (-339) (-798))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-267 (-383 (-895 (-156 (-532)))))) (-5 *2 (-598 (-267 (-895 (-156 *4))))) (-5 *1 (-354 *4)) (-4 *4 (-13 (-339) (-798)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-793 (-355))) (-5 *2 (-793 (-202))) (-5 *1 (-278))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-47))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-47))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-4 (-47) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-47)) (-598 (-438)))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-13 (-325) (-573 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-456 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-456 *4)) (-4 *4 (-974 *3)) (-4 *4 (-13 (-325) (-573 (-532)))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-532)))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-4 (-383 (-532)) (-974 *3)) (-4 (-532) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-532))) (-598 (-438)))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-339)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723))))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-438))) (-4 *5 (-339)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-800) (-524))) (-14 *9 (-1 *5 *8)) (-5 *2 (-598 (-2 (|:| -3385 *7) (|:| -2956 (-723))))) (-5 *1 (-458 *5 *6 *7 *8 *9 *10)) (-4 *6 (-427)) (-4 *7 (-13 (-406 (-532)) (-524) (-974 *8) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)) (-4 *4 (-974 *3)) (-4 *5 (-974 *3)) (-4 *4 (-339)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 *3) (-974 (-532)) (-148) (-843 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 (-532))))) (-5 *4 (-598 (-438))) (-5 *2 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723))))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-4 (-383 (-895 (-532))) (-974 *3)) (-4 (-895 (-532)) (-974 *3)) (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-895 (-532)))) (-598 (-438)))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-383 (-694 *4 (-532))))) (-14 *4 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-694 *5 (-532))))) (-5 *4 (-598 (-438))) (-14 *5 (-1096)) (-5 *2 (-598 (-2 (|:| -3385 (-693 *5 (-532))) (|:| -2956 (-723))))) (-5 *1 (-460 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-694 *4 (-532)))) (-598 (-438)))) (-5 *1 (-460 *4)) (-14 *4 *3)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *1)) (-4 *1 (-1057 *3)) (-4 *3 (-983)))) ((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-383 *1)) (-4 *1 (-1154 *3)) (-4 *3 (-983)) (-4 *3 (-524)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1154 *2)) (-4 *2 (-983)) (-4 *2 (-524))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1126 *3)) (-4 *3 (-912))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-869))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-300 *3 *4)) (-4 *3 (-983)) (-4 *4 (-745)) (-4 *3 (-159))))) 
+(((*1 *2) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-110))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3117 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-339)) (-4 *7 (-1154 *6)) (-5 *2 (-2 (|:| |answer| (-549 (-383 *7))) (|:| |a0| *6))) (-5 *1 (-542 *6 *7)) (-5 *3 (-383 *7))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3484 (-735 *3)) (|:| |coef1| (-735 *3)))) (-5 *1 (-735 *3)) (-4 *3 (-524)) (-4 *3 (-983)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-524)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-2 (|:| -3484 *1) (|:| |coef1| *1))) (-4 *1 (-997 *3 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1025)) (-4 *3 (-843 *5)) (-5 *2 (-639 *3)) (-5 *1 (-641 *5 *3 *6 *4)) (-4 *6 (-349 *3)) (-4 *4 (-13 (-349 *5) (-10 -7 (-6 -4289))))))) 
+(((*1 *1) (|partial| -12 (-4 *1 (-343 *2)) (-4 *2 (-524)) (-4 *2 (-159))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-2 (|:| |val| (-598 *8)) (|:| -1213 *9)))) (-5 *4 (-723)) (-4 *8 (-997 *5 *6 *7)) (-4 *9 (-1002 *5 *6 *7 *8)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-1183)) (-5 *1 (-1000 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-2 (|:| |val| (-598 *8)) (|:| -1213 *9)))) (-5 *4 (-723)) (-4 *8 (-997 *5 *6 *7)) (-4 *9 (-1034 *5 *6 *7 *8)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-1183)) (-5 *1 (-1065 *5 *6 *7 *8 *9))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-229 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-339)) (-5 *1 (-718 *2 *3)) (-4 *2 (-658 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-802 *2)) (-4 *2 (-983)) (-4 *2 (-339))))) 
+(((*1 *2) (-12 (-4 *2 (-159)) (-5 *1 (-152 *3 *2)) (-4 *3 (-153 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-346 *2 *4)) (-4 *4 (-1154 *2)) (-4 *2 (-159)))) ((*1 *2) (-12 (-4 *4 (-1154 *2)) (-4 *2 (-159)) (-5 *1 (-384 *3 *2 *4)) (-4 *3 (-385 *2 *4)))) ((*1 *2) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1154 *2)) (-4 *2 (-159)))) ((*1 *2) (-12 (-4 *3 (-1154 *2)) (-5 *2 (-532)) (-5 *1 (-720 *3 *4)) (-4 *4 (-385 *2 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-892 *3 *4 *2)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800)) (-4 *3 (-159)))) ((*1 *2 *3) (-12 (-4 *2 (-524)) (-5 *1 (-908 *2 *3)) (-4 *3 (-1154 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1154 *2)) (-4 *2 (-983)) (-4 *2 (-159))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-735 *2)) (-4 *2 (-524)) (-4 *2 (-983)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-524)) (-5 *1 (-908 *3 *2)) (-4 *2 (-1154 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-524)))) ((*1 *2 *3 *3 *1) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-598 (-2 (|:| |val| *3) (|:| -1213 *1)))) (-4 *1 (-1002 *4 *5 *6 *3))))) 
+(((*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-532)) (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-343 *4)) (-4 *4 (-159)) (-5 *2 (-598 (-895 *4))))) ((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-598 (-895 *4))) (-5 *1 (-392 *3 *4)) (-4 *3 (-393 *4)))) ((*1 *2) (-12 (-4 *1 (-393 *3)) (-4 *3 (-159)) (-5 *2 (-598 (-895 *3))))) ((*1 *2) (-12 (-5 *2 (-598 (-895 *3))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3))))) ((*1 *2 *3) (-12 (-5 *3 (-1178 (-428 *4 *5 *6 *7))) (-5 *2 (-598 (-895 *4))) (-5 *1 (-428 *4 *5 *6 *7)) (-4 *4 (-524)) (-4 *4 (-159)) (-14 *5 (-864)) (-14 *6 (-598 (-1096))) (-14 *7 (-1178 (-639 *4)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-112)) (-4 *3 (-13 (-800) (-524))) (-5 *1 (-31 *3 *4)) (-4 *4 (-406 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-723)) (-5 *1 (-112)))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-112)))) ((*1 *2 *2) (-12 (-5 *2 (-112)) (-4 *3 (-13 (-800) (-524))) (-5 *1 (-146 *3 *4)) (-4 *4 (-406 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-112)) (-5 *1 (-150)))) ((*1 *2 *2) (-12 (-5 *2 (-112)) (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *4)) (-4 *4 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-5 *2 (-112)) (-5 *1 (-274 *3)) (-4 *3 (-275)))) ((*1 *2 *2) (-12 (-4 *1 (-275)) (-5 *2 (-112)))) ((*1 *2 *2) (-12 (-5 *2 (-112)) (-4 *4 (-800)) (-5 *1 (-405 *3 *4)) (-4 *3 (-406 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-112)) (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *4)) (-4 *4 (-406 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-112)) (-5 *1 (-571 *3)) (-4 *3 (-800)))) ((*1 *2 *2) (-12 (-5 *2 (-112)) (-4 *3 (-13 (-800) (-524))) (-5 *1 (-585 *3 *4)) (-4 *4 (-13 (-406 *3) (-939) (-1116)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-600 *3)) (-4 *3 (-983)) (-5 *1 (-664 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-983)) (-5 *1 (-787 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *1 (-56 *4 *5 *2)) (-4 *4 (-1130)) (-4 *5 (-349 *4)) (-4 *2 (-349 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *1 (-986 *4 *5 *6 *7 *2)) (-4 *6 (-983)) (-4 *7 (-215 *5 *6)) (-4 *2 (-215 *4 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-598 *5)) (-4 *5 (-1154 *3)) (-4 *3 (-280)) (-5 *2 (-110)) (-5 *1 (-430 *3 *5))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-13 (-798) (-339))) (-5 *2 (-110)) (-5 *1 (-993 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1096)) (-4 *4 (-13 (-280) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *1 (-543 *4 *2)) (-4 *2 (-13 (-1116) (-901) (-1059) (-29 *4)))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-316 *4 *3 *5)) (-4 *4 (-1134)) (-4 *3 (-1154 *4)) (-4 *5 (-1154 (-383 *3))) (-5 *2 (-110)))) ((*1 *2 *3) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-110))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-598 (-158)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-365)) (-5 *2 (-110))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-802 *2)) (-4 *2 (-983)) (-4 *2 (-339))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-49 *3 *4)) (-4 *3 (-983)) (-14 *4 (-598 (-1096))))) ((*1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-200 *3 *4)) (-4 *3 (-13 (-983) (-800))) (-14 *4 (-598 (-1096))))) ((*1 *1) (-12 (-4 *1 (-303 *2)) (-4 *2 (-344)) (-4 *2 (-339)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-309 *3 *4 *5 *2)) (-4 *3 (-339)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-4 *2 (-316 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-366 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-159)))) ((*1 *1) (-12 (-4 *2 (-159)) (-4 *1 (-674 *2 *3)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-532)) (-5 *1 (-183))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-941 *3)) (-14 *3 (-532))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-750 *2)) (-4 *2 (-159)))) ((*1 *2 *1) (-12 (-4 *1 (-934 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-791)) (-5 *2 (-972)) (-5 *1 (-790)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-288 (-355)))) (-5 *4 (-598 (-355))) (-5 *2 (-972)) (-5 *1 (-790))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-625 *3)) (-4 *3 (-1130)) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-598 (-886 (-202))))) (-5 *2 (-598 (-202))) (-5 *1 (-445))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-914 *4 *5 *6 *3)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-4 *4 (-524)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-529)) (-5 *3 (-532)))) ((*1 *2 *3) (-12 (-5 *2 (-1092 (-383 (-532)))) (-5 *1 (-885)) (-5 *3 (-532))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1043)) (-5 *1 (-304))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-110)) (-5 *1 (-118 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-2 (|:| |num| (-1178 *4)) (|:| |den| *4)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-798)) (-5 *1 (-276 *3))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-997 *3 *4 *5))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-598 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-532))))) (-4 *2 (-524)) (-5 *1 (-394 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-532)) (|:| -1265 (-598 (-2 (|:| |irr| *4) (|:| -3248 (-532))))))) (-4 *4 (-1154 (-532))) (-5 *2 (-394 *4)) (-5 *1 (-417 *4))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *2 (-997 *4 *5 *6)) (-5 *1 (-728 *4 *5 *6 *2 *3)) (-4 *3 (-1002 *4 *5 *6 *2))))) 
+(((*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-503 *3)) (-4 *3 (-13 (-676) (-25)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1 (-355))) (-5 *1 (-976))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-598 *5) *6)) (-4 *5 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *6 (-1154 *5)) (-5 *2 (-598 (-2 (|:| |poly| *6) (|:| -3325 *3)))) (-5 *1 (-762 *5 *6 *3 *7)) (-4 *3 (-608 *6)) (-4 *7 (-608 (-383 *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-598 *5) *6)) (-4 *5 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-4 *6 (-1154 *5)) (-5 *2 (-598 (-2 (|:| |poly| *6) (|:| -3325 (-606 *6 (-383 *6)))))) (-5 *1 (-765 *5 *6)) (-5 *3 (-606 *6 (-383 *6)))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-339)) (-5 *1 (-718 *2 *3)) (-4 *2 (-658 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-802 *2)) (-4 *2 (-983)) (-4 *2 (-339))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-786 (-202))) (-5 *1 (-203)) (-5 *3 (-202))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-886 *3) (-886 *3))) (-5 *1 (-161 *3)) (-4 *3 (-13 (-339) (-1116) (-939)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-892 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-1183)) (-5 *1 (-424 *4 *5 *6 *7))))) 
+(((*1 *2) (|partial| -12 (-4 *3 (-524)) (-4 *3 (-159)) (-5 *2 (-2 (|:| |particular| *1) (|:| -1322 (-598 *1)))) (-4 *1 (-343 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-428 *3 *4 *5 *6)) (|:| -1322 (-598 (-428 *3 *4 *5 *6))))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *3 (-524))))) 
+(((*1 *1) (-5 *1 (-134))) ((*1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-1037)) (-4 *3 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-406 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-598 (-835 *3))) (-5 *1 (-835 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-892 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-983)) (-4 *7 (-892 *6 *4 *5)) (-5 *2 (-598 *3)) (-5 *1 (-893 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-339) (-10 -8 (-15 -1256 ($ *7)) (-15 -2251 (*7 $)) (-15 -2258 (*7 $)))))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-110) *4 *4)) (-4 *4 (-1130)) (-5 *1 (-1055 *4 *2)) (-4 *2 (-13 (-565 (-532) *4) (-10 -7 (-6 -4289) (-6 -4290)))))) ((*1 *2 *2) (-12 (-4 *3 (-800)) (-4 *3 (-1130)) (-5 *1 (-1055 *3 *2)) (-4 *2 (-13 (-565 (-532) *3) (-10 -7 (-6 -4289) (-6 -4290))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-895 *5))) (-5 *4 (-598 (-1096))) (-4 *5 (-524)) (-5 *2 (-598 (-598 (-267 (-383 (-895 *5)))))) (-5 *1 (-722 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-895 *4))) (-4 *4 (-524)) (-5 *2 (-598 (-598 (-267 (-383 (-895 *4)))))) (-5 *1 (-722 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-639 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -1322 (-598 *6))) *7 *6)) (-4 *6 (-339)) (-4 *7 (-608 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1178 *6) "failed")) (|:| -1322 (-598 (-1178 *6))))) (-5 *1 (-766 *6 *7)) (-5 *4 (-1178 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-912)) (-5 *2 (-1020 (-202)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1178 (-1178 (-532)))) (-5 *1 (-443))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-598 *3)) (-4 *3 (-892 *4 *6 *5)) (-4 *4 (-427)) (-4 *5 (-800)) (-4 *6 (-746)) (-5 *1 (-925 *4 *5 *6 *3))))) 
+(((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-355)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-723)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *8 (-800)) (-4 *3 (-997 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-598 *4)) (|:| |todo| (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))))) (-5 *1 (-1000 *6 *7 *8 *3 *4)) (-4 *4 (-1002 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-598 *4)) (|:| |todo| (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))))) (-5 *1 (-1000 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-723)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *8 (-800)) (-4 *3 (-997 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-598 *4)) (|:| |todo| (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1034 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-598 *4)) (|:| |todo| (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))))) (-5 *1 (-1065 *5 *6 *7 *3 *4)) (-4 *4 (-1034 *5 *6 *7 *3))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-532) (-532))) (-5 *1 (-337 *3)) (-4 *3 (-1025)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-723) (-723))) (-5 *1 (-362 *3)) (-4 *3 (-1025)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-601 *3 *4 *5)) (-4 *3 (-1025))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1084 *2 *3)) (-14 *2 (-864)) (-4 *3 (-983))))) 
+(((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-802 *2)) (-4 *2 (-983)) (-4 *2 (-339))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3980 *6) (|:| |sol?| (-110))) (-532) *6)) (-4 *6 (-339)) (-4 *7 (-1154 *6)) (-5 *2 (-2 (|:| |answer| (-549 (-383 *7))) (|:| |a0| *6))) (-5 *1 (-542 *6 *7)) (-5 *3 (-383 *7))))) 
+(((*1 *1) (-5 *1 (-413)))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3886 *1) (|:| -2860 *1))) (-4 *1 (-280)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-362 *3)) (|:| |rm| (-362 *3)))) (-5 *1 (-362 *3)) (-4 *3 (-1025)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3886 (-723)) (|:| -2860 (-723)))) (-5 *1 (-723)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-772 *3) "failed")) (|:| |rm| (-3 (-772 *3) "failed")))) (-5 *1 (-772 *3)) (-4 *3 (-800)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| -3886 *3) (|:| -2860 *3))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-571 *4)) (-5 *6 (-1096)) (-4 *4 (-13 (-406 *7) (-27) (-1116))) (-4 *7 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1322 (-598 *4)))) (-5 *1 (-534 *7 *4 *3)) (-4 *3 (-608 *4)) (-4 *3 (-1025))))) 
+(((*1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-711))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-5 *1 (-1067 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-532)) (-5 *1 (-468 *4)) (-4 *4 (-1154 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-47))) (-1136 (-47)))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-47)))) (-1136 (-1092 (-47))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) (-1096))) (|:| A (-1 (-47) (-723) (-723) (-1092 (-47)))) (|:| AF (-1 (-1092 (-47)) (-723) (-723) (-1136 (-1092 (-47))))) (|:| AX (-1 (-288 (-532)) (-723) (-1096) (-288 (-532)))) (|:| C (-1 (-598 (-47)) (-723)))) (-598 (-438)))) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-47)) (-598 (-438)))) (-5 *1 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 *4)) (-1136 *4))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 *4))) (-1136 (-1092 *4)))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) (-1096))) (|:| A (-1 *4 (-723) (-723) (-1092 *4))) (|:| AF (-1 (-1092 *4) (-723) (-723) (-1136 (-1092 *4)))) (|:| AX (-1 (-288 (-532)) (-723) (-1096) (-288 (-532)))) (|:| C (-1 (-598 *4) (-723)))) (-598 (-438)))) (-4 *4 (-13 (-325) (-573 (-532)))) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-456 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-383 (-532)))) (-1136 (-383 (-532))))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-383 (-532))))) (-1136 (-1092 (-383 (-532)))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) (-1096))) (|:| A (-1 (-532) (-723) (-723) (-1092 (-532)))) (|:| AF (-1 (-1092 (-383 (-532))) (-723) (-723) (-1136 (-1092 (-383 (-532)))))) (|:| AX (-1 (-288 (-532)) (-723) (-1096) (-288 (-532)))) (|:| C (-1 (-598 (-532)) (-723)))) (-598 (-438)))) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-532))) (-598 (-438)))) (-5 *1 (-457)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 *4)) (-1136 *4))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 *4))) (-1136 (-1092 *4)))) (|:| |exprStream| (-1 (-1076 *6) *6 (-1096))) (|:| A (-1 *5 (-723) (-723) (-1092 *5))) (|:| AF (-1 (-1092 *4) (-723) (-723) (-1136 (-1092 *4)))) (|:| AX (-1 *6 (-723) (-1096) *6)) (|:| C (-1 (-598 *5) (-723)))) (-598 (-438)))) (-4 *4 (-339)) (-4 *5 (-427)) (-4 *6 (-13 (-406 (-532)) (-524) (-974 *7) (-974 (-1096)) (-974 (-532)) (-148) (-843 (-1096)) (-10 -8 (-15 * ($ $ $)) (-15 -3858 ($ $ $)) (-15 ** ($ $ $)) (-15 -2543 ($ $)) (-15 -2382 ($ $)) (-15 -1221 ((-110) $))))) (-4 *7 (-13 (-800) (-524))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-598 (-2 (|:| -3385 *6) (|:| -2956 (-723)))) (-598 *4) (-598 (-438)))) (-5 *1 (-458 *4 *5 *6 *7 *8 *9)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1076 (-1136 (-383 (-895 (-532))))) (-1136 (-383 (-895 (-532)))))) (|:| |degreeStream| (-1076 (-723))) (|:| |testStream| (-1 (-1076 (-1136 (-1092 (-383 (-895 (-532)))))) (-1136 (-1092 (-383 (-895 (-532))))))) (|:| |exprStream| (-1 (-1076 (-288 (-532))) (-288 (-532)) (-1096))) (|:| A (-1 (-895 (-532)) (-723) (-723) (-1092 (-895 (-532))))) (|:| AF (-1 (-1092 (-383 (-895 (-532)))) (-723) (-723) (-1136 (-1092 (-383 (-895 (-532))))))) (|:| AX (-1 (-288 (-532)) (-723) (-1096) (-288 (-532)))) (|:| C (-1 (-598 (-895 (-532))) (-723)))) (-598 (-438)))) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-288 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-895 (-532)))) (-598 (-438)))) (-5 *1 (-459)))) ((*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-598 (-438)))) (-5 *2 (-1 (-598 (-2 (|:| -3385 (-693 *4 (-532))) (|:| -2956 (-723)))) (-598 (-383 (-694 *4 (-532)))) (-598 (-438)))) (-5 *1 (-460 *4)) (-14 *4 (-1096))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-639 (-383 (-532)))) (-5 *2 (-598 *4)) (-5 *1 (-732 *4)) (-4 *4 (-13 (-339) (-798)))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-204 *2)) (-4 *2 (-13 (-339) (-1116))))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-864)) (-5 *4 (-355)) (-5 *2 (-1183)) (-5 *1 (-1179)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-355)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-1109))))) 
+(((*1 *2 *3 *2 *3) (-12 (-5 *2 (-413)) (-5 *3 (-1096)) (-5 *1 (-1099)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-413)) (-5 *3 (-1096)) (-5 *1 (-1099)))) ((*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-413)) (-5 *3 (-598 (-1096))) (-5 *4 (-1096)) (-5 *1 (-1099)))) ((*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-413)) (-5 *3 (-1096)) (-5 *1 (-1099)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-413)) (-5 *3 (-1096)) (-5 *1 (-1100)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-413)) (-5 *3 (-598 (-1096))) (-5 *1 (-1100))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-532)) (-4 *5 (-798)) (-4 *5 (-339)) (-5 *2 (-723)) (-5 *1 (-888 *5 *6)) (-4 *6 (-1154 *5))))) 
+(((*1 *1) (-5 *1 (-1011)))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-444)))) ((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-444))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-598 *1)) (-4 *1 (-1002 *4 *5 *6 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1096)) (-5 *4 (-895 (-532))) (-5 *2 (-304)) (-5 *1 (-306))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-58 *6)) (-4 *6 (-1130)) (-4 *5 (-1130)) (-5 *2 (-58 *5)) (-5 *1 (-57 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-217 *6 *7)) (-14 *6 (-723)) (-4 *7 (-1130)) (-4 *5 (-1130)) (-5 *2 (-217 *6 *5)) (-5 *1 (-216 *6 *7 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1130)) (-4 *5 (-1130)) (-4 *2 (-349 *5)) (-5 *1 (-347 *6 *4 *5 *2)) (-4 *4 (-349 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1025)) (-4 *5 (-1025)) (-4 *2 (-401 *5)) (-5 *1 (-399 *6 *4 *5 *2)) (-4 *4 (-401 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-598 *6)) (-4 *6 (-1130)) (-4 *5 (-1130)) (-5 *2 (-598 *5)) (-5 *1 (-596 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-900 *6)) (-4 *6 (-1130)) (-4 *5 (-1130)) (-5 *2 (-900 *5)) (-5 *1 (-899 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1076 *6)) (-4 *6 (-1130)) (-4 *3 (-1130)) (-5 *2 (-1076 *3)) (-5 *1 (-1074 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1178 *6)) (-4 *6 (-1130)) (-4 *5 (-1130)) (-5 *2 (-1178 *5)) (-5 *1 (-1177 *6 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-373))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-723)) (-4 *3 (-1130)) (-4 *1 (-56 *3 *4 *5)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *1) (-5 *1 (-158))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1078)) (-4 *1 (-365)))) ((*1 *1) (-5 *1 (-370))) ((*1 *1 *2 *3) (-12 (-5 *2 (-723)) (-4 *1 (-603 *3)) (-4 *3 (-1130)))) ((*1 *1) (-12 (-4 *3 (-1025)) (-5 *1 (-828 *2 *3 *4)) (-4 *2 (-1025)) (-4 *4 (-618 *3)))) ((*1 *1) (-12 (-5 *1 (-832 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-1025)))) ((*1 *1) (-12 (-5 *1 (-1084 *2 *3)) (-14 *2 (-864)) (-4 *3 (-983)))) ((*1 *1 *1) (-5 *1 (-1096))) ((*1 *1) (-5 *1 (-1096))) ((*1 *1) (-5 *1 (-1111)))) 
+(((*1 *1) (-12 (-5 *1 (-130 *2 *3 *4)) (-14 *2 (-532)) (-14 *3 (-723)) (-4 *4 (-159))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-818)))) ((*1 *2 *3) (-12 (-5 *3 (-886 *2)) (-5 *1 (-920 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-639 (-383 (-895 *4)))) (-4 *4 (-427)) (-5 *2 (-598 (-3 (-383 (-895 *4)) (-1085 (-1096) (-895 *4))))) (-5 *1 (-265 *4))))) 
+(((*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-571 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1096))) (-5 *5 (-1092 *2)) (-4 *2 (-13 (-406 *6) (-27) (-1116))) (-4 *6 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *1 (-528 *6 *2 *7)) (-4 *7 (-1025)))) ((*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-571 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1096))) (-5 *5 (-383 (-1092 *2))) (-4 *2 (-13 (-406 *6) (-27) (-1116))) (-4 *6 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *1 (-528 *6 *2 *7)) (-4 *7 (-1025))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-886 *3)) (-4 *3 (-13 (-339) (-1116) (-939))) (-5 *1 (-161 *3))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-310 *5 *6 *7 *8)) (-4 *5 (-406 *4)) (-4 *6 (-1154 *5)) (-4 *7 (-1154 (-383 *6))) (-4 *8 (-316 *5 *6 *7)) (-4 *4 (-13 (-800) (-524) (-974 (-532)))) (-5 *2 (-110)) (-5 *1 (-854 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-310 (-383 (-532)) *4 *5 *6)) (-4 *4 (-1154 (-383 (-532)))) (-4 *5 (-1154 (-383 *4))) (-4 *6 (-316 (-383 (-532)) *4 *5)) (-5 *2 (-110)) (-5 *1 (-855 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-267 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-4 *3 (-1025)) (-4 *2 (-13 (-406 *4) (-829 *3) (-573 (-835 *3)))) (-5 *1 (-1005 *3 *4 *2)) (-4 *4 (-13 (-983) (-829 *3) (-800) (-573 (-835 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1025)) (-5 *1 (-1085 *3 *2)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-134))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1096)) (-4 *5 (-339)) (-5 *2 (-598 (-1125 *5))) (-5 *1 (-1187 *5)) (-5 *4 (-1125 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-355)) (-5 *1 (-1180)))) ((*1 *2) (-12 (-5 *2 (-355)) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-723)) (-4 *5 (-524)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-908 *5 *3)) (-4 *3 (-1154 *5))))) 
+(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-639 *2)) (-5 *4 (-723)) (-4 *2 (-13 (-280) (-10 -8 (-15 -4044 ((-394 $) $))))) (-4 *5 (-1154 *2)) (-5 *1 (-479 *2 *5 *6)) (-4 *6 (-385 *2 *5))))) 
+(((*1 *1 *2) (-12 (-4 *3 (-983)) (-5 *1 (-780 *2 *3)) (-4 *2 (-658 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-980 *4 *5)) (-4 *4 (-13 (-798) (-280) (-137) (-958))) (-14 *5 (-598 (-1096))) (-5 *2 (-598 (-2 (|:| -3792 (-1092 *4)) (|:| -3150 (-598 (-895 *4)))))) (-5 *1 (-1203 *4 *5 *6)) (-14 *6 (-598 (-1096))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-110)) (-4 *5 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-2 (|:| -3792 (-1092 *5)) (|:| -3150 (-598 (-895 *5)))))) (-5 *1 (-1203 *5 *6 *7)) (-5 *3 (-598 (-895 *5))) (-14 *6 (-598 (-1096))) (-14 *7 (-598 (-1096))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-110)) (-4 *5 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-2 (|:| -3792 (-1092 *5)) (|:| -3150 (-598 (-895 *5)))))) (-5 *1 (-1203 *5 *6 *7)) (-5 *3 (-598 (-895 *5))) (-14 *6 (-598 (-1096))) (-14 *7 (-598 (-1096))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-110)) (-4 *5 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-2 (|:| -3792 (-1092 *5)) (|:| -3150 (-598 (-895 *5)))))) (-5 *1 (-1203 *5 *6 *7)) (-5 *3 (-598 (-895 *5))) (-14 *6 (-598 (-1096))) (-14 *7 (-598 (-1096))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-2 (|:| -3792 (-1092 *4)) (|:| -3150 (-598 (-895 *4)))))) (-5 *1 (-1203 *4 *5 *6)) (-5 *3 (-598 (-895 *4))) (-14 *5 (-598 (-1096))) (-14 *6 (-598 (-1096)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-571 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *4))) (-4 *4 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-252 *4 *2))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-857 *3)) (-4 *3 (-280))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-524)) (-5 *1 (-40 *3 *2)) (-4 *2 (-13 (-339) (-275) (-10 -8 (-15 -2251 ((-1048 *3 (-571 $)) $)) (-15 -2258 ((-1048 *3 (-571 $)) $)) (-15 -1256 ($ (-1048 *3 (-571 $))))))))) ((*1 *2 *2 *2) (-12 (-4 *3 (-524)) (-5 *1 (-40 *3 *2)) (-4 *2 (-13 (-339) (-275) (-10 -8 (-15 -2251 ((-1048 *3 (-571 $)) $)) (-15 -2258 ((-1048 *3 (-571 $)) $)) (-15 -1256 ($ (-1048 *3 (-571 $))))))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-13 (-339) (-275) (-10 -8 (-15 -2251 ((-1048 *4 (-571 $)) $)) (-15 -2258 ((-1048 *4 (-571 $)) $)) (-15 -1256 ($ (-1048 *4 (-571 $))))))) (-4 *4 (-524)) (-5 *1 (-40 *4 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-598 (-571 *2))) (-4 *2 (-13 (-339) (-275) (-10 -8 (-15 -2251 ((-1048 *4 (-571 $)) $)) (-15 -2258 ((-1048 *4 (-571 $)) $)) (-15 -1256 ($ (-1048 *4 (-571 $))))))) (-4 *4 (-524)) (-5 *1 (-40 *4 *2))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-800) (-524) (-974 (-532)))) (-5 *2 (-383 (-532))) (-5 *1 (-409 *4 *3)) (-4 *3 (-406 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-571 *3)) (-4 *3 (-406 *5)) (-4 *5 (-13 (-800) (-524) (-974 (-532)))) (-5 *2 (-1092 (-383 (-532)))) (-5 *1 (-409 *5 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-775)) (-5 *2 (-51)) (-5 *1 (-782))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1096)) (-4 *5 (-573 (-835 (-532)))) (-4 *5 (-829 (-532))) (-4 *5 (-13 (-800) (-974 (-532)) (-427) (-594 (-532)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-535 *5 *3)) (-4 *3 (-584)) (-4 *3 (-13 (-27) (-1116) (-406 *5)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1134)) (-4 *5 (-1154 *4)) (-5 *2 (-2 (|:| -2283 (-383 *5)) (|:| |poly| *3))) (-5 *1 (-138 *4 *5 *3)) (-4 *3 (-1154 (-383 *5)))))) 
+(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-156 (-202)))) (-5 *2 (-972)) (-5 *1 (-708))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-2 (|:| |zeros| (-1076 (-202))) (|:| |ones| (-1076 (-202))) (|:| |singularities| (-1076 (-202))))) (-5 *1 (-103))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-325)) (-5 *2 (-394 (-1092 (-1092 *4)))) (-5 *1 (-1129 *4)) (-5 *3 (-1092 (-1092 *4)))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *3 (-524)) (-4 *3 (-159)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *1 (-638 *3 *4 *5 *2)) (-4 *2 (-637 *3 *4 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *1 (-550 *2)) (-4 *2 (-517))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-723)) (-4 *4 (-13 (-524) (-137))) (-5 *1 (-1148 *4 *2)) (-4 *2 (-1154 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-202)) (|:| |xend| (-202)) (|:| |fn| (-1178 (-288 (-202)))) (|:| |yinit| (-598 (-202))) (|:| |intvals| (-598 (-202))) (|:| |g| (-288 (-202))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-355)) (-5 *1 (-184))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-1092 *3)) (-5 *1 (-40 *4 *3)) (-4 *3 (-13 (-339) (-275) (-10 -8 (-15 -2251 ((-1048 *4 (-571 $)) $)) (-15 -2258 ((-1048 *4 (-571 $)) $)) (-15 -1256 ($ (-1048 *4 (-571 $)))))))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-708))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *3 (-339)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *1 (-499 *3 *4 *5 *2)) (-4 *2 (-637 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-524)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4)) (-4 *7 (-930 *4)) (-4 *2 (-637 *7 *8 *9)) (-5 *1 (-500 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-637 *4 *5 *6)) (-4 *8 (-349 *7)) (-4 *9 (-349 *7)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)) (-4 *2 (-339)))) ((*1 *2 *2) (|partial| -12 (-4 *3 (-339)) (-4 *3 (-159)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *1 (-638 *3 *4 *5 *2)) (-4 *2 (-637 *3 *4 *5)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-639 *2)) (-4 *2 (-339)) (-4 *2 (-983)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1046 *2 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-215 *2 *3)) (-4 *5 (-215 *2 *3)) (-4 *3 (-339)))) ((*1 *2 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-800)) (-5 *1 (-1102 *3))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1076 *4)) (-5 *3 (-532)) (-4 *4 (-983)) (-5 *1 (-1080 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-1136 *3)) (-4 *3 (-983)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-1170 *3 *4 *5)) (-4 *3 (-983)) (-14 *4 (-1096)) (-14 *5 *3)))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-337 *3)) (-4 *3 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-5 *2 (-723)) (-5 *1 (-362 *4)) (-4 *4 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *2 (-23)) (-5 *1 (-601 *4 *2 *5)) (-4 *4 (-1025)) (-14 *5 *2))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-5 *2 (-723)) (-5 *1 (-772 *4)) (-4 *4 (-800))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-110))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3)) (-4 *3 (-1130)) (-5 *1 (-562 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3)) (-4 *3 (-1130)) (-5 *1 (-1076 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-869))))) 
+(((*1 *2 *1) (-12 (-4 *4 (-1025)) (-5 *2 (-110)) (-5 *1 (-828 *3 *4 *5)) (-4 *3 (-1025)) (-4 *5 (-618 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-832 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (|has| *1 (-6 -4290)) (-4 *1 (-1166 *3)) (-4 *3 (-1130))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1028 *3 *4 *5 *6 *2)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *2 (-1025))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-708))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-639 *2)) (-4 *2 (-159)) (-5 *1 (-136 *2)))) ((*1 *2 *3) (-12 (-4 *4 (-159)) (-4 *2 (-1154 *4)) (-5 *1 (-162 *4 *2 *3)) (-4 *3 (-674 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-639 (-383 (-895 *5)))) (-5 *4 (-1096)) (-5 *2 (-895 *5)) (-5 *1 (-265 *5)) (-4 *5 (-427)))) ((*1 *2 *3) (-12 (-5 *3 (-639 (-383 (-895 *4)))) (-5 *2 (-895 *4)) (-5 *1 (-265 *4)) (-4 *4 (-427)))) ((*1 *2 *1) (-12 (-4 *1 (-346 *3 *2)) (-4 *3 (-159)) (-4 *2 (-1154 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-639 (-156 (-383 (-532))))) (-5 *2 (-895 (-156 (-383 (-532))))) (-5 *1 (-716 *4)) (-4 *4 (-13 (-339) (-798))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-639 (-156 (-383 (-532))))) (-5 *4 (-1096)) (-5 *2 (-895 (-156 (-383 (-532))))) (-5 *1 (-716 *5)) (-4 *5 (-13 (-339) (-798))))) ((*1 *2 *3) (-12 (-5 *3 (-639 (-383 (-532)))) (-5 *2 (-895 (-383 (-532)))) (-5 *1 (-732 *4)) (-4 *4 (-13 (-339) (-798))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-639 (-383 (-532)))) (-5 *4 (-1096)) (-5 *2 (-895 (-383 (-532)))) (-5 *1 (-732 *5)) (-4 *5 (-13 (-339) (-798)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1076 (-532))) (-5 *1 (-1080 *4)) (-4 *4 (-983)) (-5 *3 (-532))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-202) (-202) (-202))) (-5 *4 (-3 (-1 (-202) (-202) (-202) (-202)) "undefined")) (-5 *5 (-1020 (-202))) (-5 *6 (-598 (-238))) (-5 *2 (-1056 (-202))) (-5 *1 (-646))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-914 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-639 (-202))) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-708))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-427)) (-4 *3 (-800)) (-4 *3 (-974 (-532))) (-4 *3 (-524)) (-5 *1 (-40 *3 *2)) (-4 *2 (-406 *3)) (-4 *2 (-13 (-339) (-275) (-10 -8 (-15 -2251 ((-1048 *3 (-571 $)) $)) (-15 -2258 ((-1048 *3 (-571 $)) $)) (-15 -1256 ($ (-1048 *3 (-571 $)))))))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-153 *2)) (-4 *2 (-159)) (-4 *2 (-992)))) ((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-750 *2)) (-4 *2 (-159)) (-4 *2 (-992)))) ((*1 *1 *1) (-4 *1 (-798))) ((*1 *2 *1) (-12 (-4 *1 (-934 *2)) (-4 *2 (-159)) (-4 *2 (-992)))) ((*1 *1 *1) (-4 *1 (-992))) ((*1 *1 *1) (-4 *1 (-1059)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-808)) (-5 *2 (-1078)) (-5 *1 (-660))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-847 (-532))) (-5 *1 (-860)))) ((*1 *2) (-12 (-5 *2 (-847 (-532))) (-5 *1 (-860))))) 
+(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-639 (-202))) (-5 *5 (-639 (-532))) (-5 *3 (-532)) (-5 *2 (-972)) (-5 *1 (-708))))) 
+(((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-869))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1092 *4)) (-5 *1 (-502 *4)) (-4 *4 (-325))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-772 *3)) (-4 *3 (-800)) (-5 *1 (-623 *3))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-708))))) 
+(((*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-835 *4)) (-4 *4 (-1025)) (-5 *1 (-832 *4 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-1201 *3 *4)) (-4 *1 (-350 *3 *4)) (-4 *3 (-800)) (-4 *4 (-159)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-362 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-772 *2)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-772 *2)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1194 *2 *3)) (-4 *2 (-800)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-772 *3)) (-4 *1 (-1194 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1194 *2 *3)) (-4 *2 (-800)) (-4 *3 (-983))))) 
+(((*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *3 (-524))))) 
+(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-598 *1)) (-4 *1 (-863))))) 
+(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-532)) (-5 *5 (-639 (-202))) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-708))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-549 *3)) (-4 *3 (-339))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-835 *4)) (-4 *4 (-1025)) (-5 *2 (-598 *5)) (-5 *1 (-833 *4 *5)) (-4 *5 (-1130))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-598 *3)) (-4 *3 (-892 *5 *6 *7)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-424 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-639 (-202))) (-5 *5 (-639 (-532))) (-5 *3 (-532)) (-5 *2 (-972)) (-5 *1 (-708))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *1) (-5 *1 (-413)))) 
+(((*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-571 *3)) (-4 *3 (-13 (-406 *5) (-27) (-1116))) (-4 *5 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-2 (|:| -3117 *3) (|:| |coeff| *3))) (-5 *1 (-534 *5 *3 *6)) (-4 *6 (-1025))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-608 *2)) (-4 *2 (-983)) (-4 *2 (-339))))) 
+(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-110)) (-5 *6 (-202)) (-5 *7 (-3 (|:| |fn| (-364)) (|:| |fp| (-67 APROD)))) (-5 *8 (-3 (|:| |fn| (-364)) (|:| |fp| (-72 MSOLVE)))) (-5 *2 (-972)) (-5 *1 (-708))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1117 *2)) (-4 *2 (-1025))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-145)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-808)) (-5 *2 (-1078)) (-5 *1 (-660))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-202) (-202) (-202))) (-5 *4 (-1 (-202) (-202) (-202) (-202))) (-5 *2 (-1 (-886 (-202)) (-202) (-202))) (-5 *1 (-646))))) 
+(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-639 (-202))) (-5 *5 (-639 (-532))) (-5 *3 (-532)) (-5 *2 (-972)) (-5 *1 (-708))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-598 (-1005 *4 *5 *2))) (-4 *4 (-1025)) (-4 *5 (-13 (-983) (-829 *4) (-800) (-573 (-835 *4)))) (-4 *2 (-13 (-406 *5) (-829 *4) (-573 (-835 *4)))) (-5 *1 (-54 *4 *5 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *3 (-598 (-1005 *5 *6 *2))) (-5 *4 (-864)) (-4 *5 (-1025)) (-4 *6 (-13 (-983) (-829 *5) (-800) (-573 (-835 *5)))) (-4 *2 (-13 (-406 *6) (-829 *5) (-573 (-835 *5)))) (-5 *1 (-54 *5 *6 *2))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-394 *4)) (-4 *4 (-524))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1098 (-383 (-532)))) (-5 *1 (-169))))) 
+(((*1 *2 *1) (-12 (-4 *4 (-1025)) (-5 *2 (-832 *3 *4)) (-5 *1 (-828 *3 *4 *5)) (-4 *3 (-1025)) (-4 *5 (-618 *4))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-532)) (-5 *5 (-639 (-202))) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-69 APROD)))) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-708))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1027 *3)) (-5 *1 (-847 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-1027 *3)) (-5 *1 (-848 *3)) (-4 *3 (-1025))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-221 *2)) (-4 *2 (-1130))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-267 *2)) (-4 *2 (-676)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1092 *2)) (-4 *2 (-892 (-383 (-895 *6)) *5 *4)) (-5 *1 (-682 *5 *4 *6 *2)) (-4 *5 (-746)) (-4 *4 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $))))) (-4 *6 (-524))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-394 *3)) (-4 *3 (-524)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-2 (|:| -4186 *4) (|:| -2997 (-532))))) (-4 *4 (-1154 (-532))) (-5 *2 (-723)) (-5 *1 (-417 *4))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-892 *3 *5 *4)) (-5 *1 (-925 *3 *4 *5 *2)) (-4 *3 (-427)) (-4 *4 (-800)) (-4 *5 (-746))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-280) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *1 (-402 *4 *2)) (-4 *2 (-13 (-1116) (-29 *4))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 *5))) (-5 *4 (-1096)) (-4 *5 (-137)) (-4 *5 (-13 (-427) (-974 (-532)) (-800) (-594 (-532)))) (-5 *2 (-288 *5)) (-5 *1 (-552 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-406 *4)) (-5 *1 (-146 *4 *2)) (-4 *4 (-13 (-800) (-524)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-406 *4)) (-5 *1 (-146 *4 *2)) (-4 *4 (-13 (-800) (-524)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-355) (-355))) (-5 *4 (-355)) (-5 *2 (-2 (|:| -1330 *4) (|:| -3758 *4) (|:| |totalpts| (-532)) (|:| |success| (-110)))) (-5 *1 (-742)) (-5 *5 (-532))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1096)) (-5 *1 (-775))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-267 *2)) (-4 *2 (-21)) (-4 *2 (-1130))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-808)) (-5 *2 (-1078)) (-5 *1 (-660))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1043)) (-5 *1 (-304))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-892 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-424 *4 *5 *6 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-886 *4))) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983))))) 
+(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-339)) (-5 *1 (-718 *2 *3)) (-4 *2 (-658 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-802 *2)) (-4 *2 (-983)) (-4 *2 (-339))))) 
+(((*1 *1) (-5 *1 (-131)))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-156 (-202))) (-5 *5 (-532)) (-5 *6 (-1078)) (-5 *3 (-202)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-339)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-484 *4 *5 *6 *3)) (-4 *3 (-892 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-524)) (-5 *2 (-2 (|:| -2048 (-639 *5)) (|:| |vec| (-1178 (-598 (-864)))))) (-5 *1 (-89 *5 *3)) (-5 *4 (-864)) (-4 *3 (-608 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1 (-355))) (-5 *1 (-976))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-5 *1 (-100 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-145)) (-5 *1 (-818))))) 
+(((*1 *1 *1) (-5 *1 (-508)))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-156 (-202))) (-5 *5 (-532)) (-5 *6 (-1078)) (-5 *3 (-202)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *1 *1) (-5 *1 (-995)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-870))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-51))))) 
+(((*1 *2 *3) (-12 (-4 *5 (-13 (-573 *2) (-159))) (-5 *2 (-835 *4)) (-5 *1 (-157 *4 *5 *3)) (-4 *4 (-1025)) (-4 *3 (-153 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-1020 (-793 (-355))))) (-5 *2 (-598 (-1020 (-793 (-202))))) (-5 *1 (-278)))) ((*1 *1 *2) (-12 (-5 *2 (-202)) (-5 *1 (-355)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-808)) (-5 *3 (-532)) (-5 *1 (-370)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-159)) (-4 *1 (-385 *3 *4)) (-4 *4 (-1154 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-159)) (-4 *4 (-1154 *3)) (-5 *2 (-1178 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-159)) (-4 *1 (-393 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-393 *3)) (-4 *3 (-159)) (-5 *2 (-1178 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-394 *1)) (-4 *1 (-406 *3)) (-4 *3 (-524)) (-4 *3 (-800)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-440 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1029)) (-5 *1 (-508)))) ((*1 *2 *1) (-12 (-4 *1 (-573 *2)) (-4 *2 (-1130)))) ((*1 *1 *2) (-12 (-4 *3 (-159)) (-4 *1 (-674 *3 *2)) (-4 *2 (-1154 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-835 *3))) (-5 *1 (-835 *3)) (-4 *3 (-1025)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-983)) (-4 *1 (-918 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-994)))) ((*1 *1 *2) (-12 (-5 *2 (-895 *3)) (-4 *3 (-983)) (-4 *1 (-997 *3 *4 *5)) (-4 *5 (-573 (-1096))) (-4 *4 (-746)) (-4 *5 (-800)))) ((*1 *1 *2) (-1328 (-12 (-5 *2 (-895 (-532))) (-4 *1 (-997 *3 *4 *5)) (-12 (-3968 (-4 *3 (-37 (-383 (-532))))) (-4 *3 (-37 (-532))) (-4 *5 (-573 (-1096)))) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800))) (-12 (-5 *2 (-895 (-532))) (-4 *1 (-997 *3 *4 *5)) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *5 (-573 (-1096)))) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800))))) ((*1 *1 *2) (-12 (-5 *2 (-895 (-383 (-532)))) (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-37 (-383 (-532)))) (-4 *5 (-573 (-1096))) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-598 *7)) (|:| -1213 *8))) (-4 *7 (-997 *4 *5 *6)) (-4 *8 (-1002 *4 *5 *6 *7)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-1078)) (-5 *1 (-1000 *4 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-5 *2 (-1096)) (-5 *1 (-1011)))) ((*1 *1 *2) (-12 (-4 *1 (-1019 *2)) (-4 *2 (-1130)))) ((*1 *1 *2) (-12 (-4 *1 (-1028 *3 *4 *5 *6 *2)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *2 (-1025)))) ((*1 *1 *2) (-12 (-4 *1 (-1028 *3 *4 *5 *2 *6)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *2 (-1025)) (-4 *6 (-1025)))) ((*1 *1 *2) (-12 (-4 *1 (-1028 *3 *4 *2 *5 *6)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *2 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)))) ((*1 *1 *2) (-12 (-4 *1 (-1028 *3 *2 *4 *5 *6)) (-4 *3 (-1025)) (-4 *2 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)))) ((*1 *1 *2) (-12 (-4 *1 (-1028 *2 *3 *4 *5 *6)) (-4 *2 (-1025)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *1)) (-4 *1 (-1028 *3 *4 *5 *6 *7)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-598 *7)) (|:| -1213 *8))) (-4 *7 (-997 *4 *5 *6)) (-4 *8 (-1034 *4 *5 *6 *7)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-1078)) (-5 *1 (-1065 *4 *5 *6 *7 *8)))) ((*1 *1 *2 *3 *2) (-12 (-5 *2 (-808)) (-5 *3 (-532)) (-5 *1 (-1111)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-808)) (-5 *3 (-532)) (-5 *1 (-1111)))) ((*1 *2 *3) (-12 (-5 *3 (-733 *4 (-810 *5))) (-4 *4 (-13 (-798) (-280) (-137) (-958))) (-14 *5 (-598 (-1096))) (-5 *2 (-733 *4 (-810 *6))) (-5 *1 (-1203 *4 *5 *6)) (-14 *6 (-598 (-1096))))) ((*1 *2 *3) (-12 (-5 *3 (-895 *4)) (-4 *4 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-895 (-960 (-383 *4)))) (-5 *1 (-1203 *4 *5 *6)) (-14 *5 (-598 (-1096))) (-14 *6 (-598 (-1096))))) ((*1 *2 *3) (-12 (-5 *3 (-733 *4 (-810 *6))) (-4 *4 (-13 (-798) (-280) (-137) (-958))) (-14 *6 (-598 (-1096))) (-5 *2 (-895 (-960 (-383 *4)))) (-5 *1 (-1203 *4 *5 *6)) (-14 *5 (-598 (-1096))))) ((*1 *2 *3) (-12 (-5 *3 (-1092 *4)) (-4 *4 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-1092 (-960 (-383 *4)))) (-5 *1 (-1203 *4 *5 *6)) (-14 *5 (-598 (-1096))) (-14 *6 (-598 (-1096))))) ((*1 *2 *3) (-12 (-5 *3 (-1066 *4 (-504 (-810 *6)) (-810 *6) (-733 *4 (-810 *6)))) (-4 *4 (-13 (-798) (-280) (-137) (-958))) (-14 *6 (-598 (-1096))) (-5 *2 (-598 (-733 *4 (-810 *6)))) (-5 *1 (-1203 *4 *5 *6)) (-14 *5 (-598 (-1096)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1166 *3)) (-4 *3 (-1130)) (-5 *2 (-723))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *5 (-3 (|:| |fn| (-364)) (|:| |fp| (-63 -2255)))) (-5 *2 (-972)) (-5 *1 (-700))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 *4)) (-4 *4 (-594 (-532))) (-5 *2 (-110)) (-5 *1 (-1204 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-128))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-355)) (-5 *1 (-1180)))) ((*1 *2) (-12 (-5 *2 (-355)) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-427)) (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1662 *4))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-532)) (-4 *1 (-56 *2 *4 *5)) (-4 *2 (-1130)) (-4 *4 (-349 *2)) (-4 *5 (-349 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-532)) (-4 *1 (-56 *2 *4 *5)) (-4 *4 (-349 *2)) (-4 *5 (-349 *2)) (-4 *2 (-1130)))) ((*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-117 *3)) (-4 *3 (-1130)))) ((*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-117 *3)) (-4 *3 (-1130)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-598 (-532))) (-4 *2 (-159)) (-5 *1 (-130 *4 *5 *2)) (-14 *4 (-532)) (-14 *5 (-723)))) ((*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-532)) (-4 *2 (-159)) (-5 *1 (-130 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-723)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-532)) (-4 *2 (-159)) (-5 *1 (-130 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-723)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-532)) (-4 *2 (-159)) (-5 *1 (-130 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-723)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *2 (-159)) (-5 *1 (-130 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-723)))) ((*1 *2 *1) (-12 (-4 *2 (-159)) (-5 *1 (-130 *3 *4 *2)) (-14 *3 (-532)) (-14 *4 (-723)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-222 (-1078))) (-5 *1 (-192 *4)) (-4 *4 (-13 (-800) (-10 -8 (-15 -2687 ((-1078) $ *3)) (-15 -2563 ((-1183) $)) (-15 -1412 ((-1183) $))))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-927)) (-5 *1 (-192 *3)) (-4 *3 (-13 (-800) (-10 -8 (-15 -2687 ((-1078) $ (-1096))) (-15 -2563 ((-1183) $)) (-15 -1412 ((-1183) $))))))) ((*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-723)) (-5 *1 (-222 *4)) (-4 *4 (-800)))) ((*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-222 *3)) (-4 *3 (-800)))) ((*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-222 *3)) (-4 *3 (-800)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-260 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-1130)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-262 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-1130)))) ((*1 *2 *1 *2) (-12 (-4 *3 (-159)) (-5 *1 (-263 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1154 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-112)) (-5 *3 (-598 *1)) (-4 *1 (-275)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-275)) (-5 *2 (-112)))) ((*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-275)) (-5 *2 (-112)))) ((*1 *1 *2 *1 *1) (-12 (-4 *1 (-275)) (-5 *2 (-112)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-275)) (-5 *2 (-112)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-316 *2 *3 *4)) (-4 *2 (-1134)) (-4 *3 (-1154 *2)) (-4 *4 (-1154 (-383 *3))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *1 (-393 *2)) (-4 *2 (-159)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1078)) (-5 *1 (-482)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-51)) (-5 *1 (-587)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1145 (-532))) (-4 *1 (-603 *3)) (-4 *3 (-1130)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-723)) (-5 *1 (-626 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-598 (-532))) (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-112)) (-5 *3 (-598 (-835 *4))) (-5 *1 (-835 *4)) (-4 *4 (-1025)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-848 *4)) (-5 *1 (-847 *4)) (-4 *4 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-217 *4 *2)) (-14 *4 (-864)) (-4 *2 (-339)) (-5 *1 (-931 *4 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-947 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-5 *1 (-963 *2)) (-4 *2 (-1130)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-532)) (-4 *1 (-986 *4 *5 *2 *6 *7)) (-4 *2 (-983)) (-4 *6 (-215 *5 *2)) (-4 *7 (-215 *4 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-532)) (-4 *1 (-986 *4 *5 *2 *6 *7)) (-4 *6 (-215 *5 *2)) (-4 *7 (-215 *4 *2)) (-4 *2 (-983)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-864)) (-4 *4 (-1025)) (-4 *5 (-13 (-983) (-829 *4) (-800) (-573 (-835 *4)))) (-5 *1 (-1005 *4 *5 *2)) (-4 *2 (-13 (-406 *5) (-829 *4) (-573 (-835 *4)))))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-864)) (-4 *4 (-1025)) (-4 *5 (-13 (-983) (-829 *4) (-800) (-573 (-835 *4)))) (-5 *1 (-1006 *4 *5 *2)) (-4 *2 (-13 (-406 *5) (-829 *4) (-573 (-835 *4)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-532))) (-4 *1 (-1028 *3 *4 *5 *6 *7)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-1028 *3 *4 *5 *6 *7)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)))) ((*1 *1 *1 *1) (-4 *1 (-1064))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-1096)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-383 *1)) (-4 *1 (-1154 *2)) (-4 *2 (-983)) (-4 *2 (-339)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-383 *1)) (-4 *1 (-1154 *3)) (-4 *3 (-983)) (-4 *3 (-524)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1156 *2 *3)) (-4 *3 (-745)) (-4 *2 (-983)))) ((*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1166 *2)) (-4 *2 (-1130)))) ((*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1166 *3)) (-4 *3 (-1130)))) ((*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-202) (-202))) (-5 *1 (-291)) (-5 *3 (-202))))) 
+(((*1 *2) (-12 (-4 *3 (-524)) (-5 *2 (-598 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-393 *3))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *5 (-3 (|:| |fn| (-364)) (|:| |fp| (-63 -2255)))) (-5 *2 (-972)) (-5 *1 (-700))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-112))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-746)) (-4 *3 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $))))) (-4 *5 (-524)) (-5 *1 (-682 *4 *3 *5 *2)) (-4 *2 (-892 (-383 (-895 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-983)) (-4 *5 (-746)) (-4 *3 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $)) (-15 -3904 ((-3 $ "failed") (-1096)))))) (-5 *1 (-922 *4 *5 *3 *2)) (-4 *2 (-892 (-895 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-598 *6)) (-4 *6 (-13 (-800) (-10 -8 (-15 -2694 ((-1096) $)) (-15 -3904 ((-3 $ "failed") (-1096)))))) (-4 *4 (-983)) (-4 *5 (-746)) (-5 *1 (-922 *4 *5 *6 *2)) (-4 *2 (-892 (-895 *4) *5 *6))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-598 (-835 *3))) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-300 *3 *4)) (-4 *3 (-983)) (-4 *4 (-745)) (-5 *2 (-598 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-358 *3 *4)) (-4 *3 (-983)) (-4 *4 (-1025)) (-5 *2 (-598 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1076 *3)) (-5 *1 (-558 *3)) (-4 *3 (-983)))) ((*1 *2 *1) (-12 (-5 *2 (-598 *3)) (-5 *1 (-685 *3 *4)) (-4 *3 (-983)) (-4 *4 (-676)))) ((*1 *2 *1) (-12 (-4 *1 (-802 *3)) (-4 *3 (-983)) (-5 *2 (-598 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1169 *3)) (-4 *3 (-983)) (-5 *2 (-1076 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-598 *3)) (-4 *3 (-1130))))) 
+(((*1 *1) (-5 *1 (-995)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1076 *3)) (-5 *1 (-160 *3)) (-4 *3 (-280))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-130 *3 *4 *5)) (-14 *3 (-532)) (-14 *4 (-723)) (-4 *5 (-159))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-221 *2)) (-4 *2 (-1130)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-256 *2)) (-4 *2 (-1130)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-256 *2)) (-4 *2 (-1130)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-1166 *2)) (-4 *2 (-1130)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-532)) (-5 *5 (-639 (-202))) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-63 -2255)))) (-5 *3 (-202)) (-5 *2 (-972)) (-5 *1 (-700))))) 
+(((*1 *1) (-5 *1 (-413)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-394 (-1092 *1))) (-5 *1 (-288 *4)) (-5 *3 (-1092 *1)) (-4 *4 (-427)) (-4 *4 (-524)) (-4 *4 (-800)))) ((*1 *2 *3) (-12 (-4 *1 (-852)) (-5 *2 (-394 (-1092 *1))) (-5 *3 (-1092 *1))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-355)) (-5 *2 (-202)) (-5 *1 (-1181)))) ((*1 *2) (-12 (-5 *2 (-202)) (-5 *1 (-1181))))) 
+(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *5 (-3 (|:| |fn| (-364)) (|:| |fp| (-63 -2255)))) (-5 *2 (-972)) (-5 *1 (-700))))) 
+(((*1 *2 *3 *4) (-12 (-4 *4 (-339)) (-5 *2 (-598 (-1076 *4))) (-5 *1 (-259 *4 *5)) (-5 *3 (-1076 *4)) (-4 *5 (-1169 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-5 *1 (-199 *3)))) ((*1 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1130)) (-4 *1 (-229 *3)))) ((*1 *1) (-12 (-4 *1 (-229 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *5 (-3 (|:| |fn| (-364)) (|:| |fp| (-63 G)))) (-5 *2 (-972)) (-5 *1 (-700))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-598 (-886 (-202))))) (-5 *2 (-598 (-1020 (-202)))) (-5 *1 (-871))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-221 *2)) (-4 *2 (-1130)))) ((*1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)))) ((*1 *1 *1) (-12 (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2) (-12 (-4 *3 (-524)) (-5 *2 (-598 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-393 *3))))) 
+(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-639 *3)) (-4 *3 (-983)) (-5 *1 (-640 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *6)) (-5 *4 (-598 (-1076 *7))) (-4 *6 (-800)) (-4 *7 (-892 *5 (-504 *6) *6)) (-4 *5 (-983)) (-5 *2 (-1 (-1076 *7) *7)) (-5 *1 (-1049 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1078)) (|:| -3846 (-1078)))) (-5 *1 (-775))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-355)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-598 (-598 (-886 (-202))))) (-5 *4 (-818)) (-5 *5 (-864)) (-5 *6 (-598 (-238))) (-5 *2 (-1179)) (-5 *1 (-1182)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-598 (-886 (-202))))) (-5 *4 (-598 (-238))) (-5 *2 (-1179)) (-5 *1 (-1182))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *5 (-3 (|:| |fn| (-364)) (|:| |fp| (-63 G)))) (-5 *2 (-972)) (-5 *1 (-700))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-394 *3)) (-4 *3 (-524)) (-5 *1 (-395 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-886 *2)) (-5 *1 (-920 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-598 (-886 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-886 *3))) (-4 *3 (-983)) (-4 *1 (-1057 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-598 *3))) (-4 *1 (-1057 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-886 *3))) (-4 *1 (-1057 *3)) (-4 *3 (-983))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-480 *2)) (-14 *2 (-532)))) ((*1 *1 *1) (-5 *1 (-1043)))) 
+(((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1130)) (-5 *2 (-723)) (-5 *1 (-214 *3 *4 *5)) (-4 *3 (-215 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-296 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-126)) (-5 *2 (-723)))) ((*1 *2) (-12 (-4 *4 (-339)) (-5 *2 (-723)) (-5 *1 (-302 *3 *4)) (-4 *3 (-303 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-337 *3)) (-4 *3 (-1025)))) ((*1 *2) (-12 (-4 *1 (-344)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-362 *3)) (-4 *3 (-1025)))) ((*1 *2) (-12 (-4 *4 (-1025)) (-5 *2 (-723)) (-5 *1 (-400 *3 *4)) (-4 *3 (-401 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-601 *3 *4 *5)) (-4 *3 (-1025)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2) (-12 (-4 *4 (-159)) (-4 *5 (-1154 *4)) (-5 *2 (-723)) (-5 *1 (-673 *3 *4 *5)) (-4 *3 (-674 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-772 *3)) (-4 *3 (-800)))) ((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-943)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-798) (-339))) (-5 *1 (-993 *2 *3)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3) (-12 (-14 *4 (-598 (-1096))) (-4 *5 (-427)) (-5 *2 (-2 (|:| |glbase| (-598 (-224 *4 *5))) (|:| |glval| (-598 (-532))))) (-5 *1 (-586 *4 *5)) (-5 *3 (-598 (-224 *4 *5)))))) 
+(((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-943))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-532)) (-4 *1 (-56 *2 *4 *5)) (-4 *4 (-349 *2)) (-4 *5 (-349 *2)) (-4 *2 (-1130)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-262 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-1130)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-532)) (-4 *1 (-986 *4 *5 *2 *6 *7)) (-4 *6 (-215 *5 *2)) (-4 *7 (-215 *4 *2)) (-4 *2 (-983))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-480 *2)) (-14 *2 (-532)))) ((*1 *1 *1 *1) (-5 *1 (-1043)))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1076 *4)) (-5 *3 (-532)) (-4 *4 (-983)) (-5 *1 (-1080 *4)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-1136 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-1170 *3 *4 *5)) (-4 *3 (-983)) (-14 *4 (-1096)) (-14 *5 *3)))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-598 *2)) (-4 *2 (-1025)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *5 (-3 (|:| |fn| (-364)) (|:| |fp| (-63 G)))) (-5 *2 (-972)) (-5 *1 (-700))))) 
+(((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-480 *2)) (-14 *2 (-532)))) ((*1 *1 *1 *1) (-5 *1 (-1043)))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1108 *4 *5)) (-4 *4 (-1025)) (-4 *5 (-1025))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-267 (-793 *3))) (-4 *3 (-13 (-27) (-1116) (-406 *5))) (-4 *5 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-3 (-793 *3) (-2 (|:| |leftHandLimit| (-3 (-793 *3) "failed")) (|:| |rightHandLimit| (-3 (-793 *3) "failed"))) "failed")) (-5 *1 (-591 *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-267 *3)) (-5 *5 (-1078)) (-4 *3 (-13 (-27) (-1116) (-406 *6))) (-4 *6 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-793 *3)) (-5 *1 (-591 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-267 (-793 (-895 *5)))) (-4 *5 (-427)) (-5 *2 (-3 (-793 (-383 (-895 *5))) (-2 (|:| |leftHandLimit| (-3 (-793 (-383 (-895 *5))) "failed")) (|:| |rightHandLimit| (-3 (-793 (-383 (-895 *5))) "failed"))) "failed")) (-5 *1 (-592 *5)) (-5 *3 (-383 (-895 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-267 (-383 (-895 *5)))) (-5 *3 (-383 (-895 *5))) (-4 *5 (-427)) (-5 *2 (-3 (-793 *3) (-2 (|:| |leftHandLimit| (-3 (-793 *3) "failed")) (|:| |rightHandLimit| (-3 (-793 *3) "failed"))) "failed")) (-5 *1 (-592 *5)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-267 (-383 (-895 *6)))) (-5 *5 (-1078)) (-5 *3 (-383 (-895 *6))) (-4 *6 (-427)) (-5 *2 (-793 *3)) (-5 *1 (-592 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-130 *3 *4 *5)) (-14 *3 (-532)) (-14 *4 *2) (-4 *5 (-159)))) ((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-864)) (-5 *1 (-152 *3 *4)) (-4 *3 (-153 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-864)))) ((*1 *2) (-12 (-4 *1 (-346 *3 *4)) (-4 *3 (-159)) (-4 *4 (-1154 *3)) (-5 *2 (-864)))) ((*1 *2 *3) (-12 (-4 *4 (-339)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4)) (-5 *2 (-723)) (-5 *1 (-499 *4 *5 *6 *3)) (-4 *3 (-637 *4 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-639 *5)) (-5 *4 (-1178 *5)) (-4 *5 (-339)) (-5 *2 (-723)) (-5 *1 (-619 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-339)) (-4 *6 (-13 (-349 *5) (-10 -7 (-6 -4290)))) (-4 *4 (-13 (-349 *5) (-10 -7 (-6 -4290)))) (-5 *2 (-723)) (-5 *1 (-620 *5 *6 *4 *3)) (-4 *3 (-637 *5 *6 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-4 *3 (-524)) (-5 *2 (-723)))) ((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *4 (-159)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4)) (-5 *2 (-723)) (-5 *1 (-638 *4 *5 *6 *3)) (-4 *3 (-637 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-4 *5 (-524)) (-5 *2 (-723)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-1178 *4))) (-4 *4 (-339)) (-5 *2 (-723)) (-5 *1 (-1184 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-1184 *3)) (-4 *3 (-339))))) 
+(((*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-723)) (-4 *2 (-13 (-524) (-427))) (-5 *1 (-321 *2 *4)) (-4 *4 (-46 *2 *3))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-204 *2)) (-4 *2 (-13 (-339) (-1116)))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-598 *2)) (-4 *2 (-1025)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-639 (-202))) (-5 *6 (-639 (-532))) (-5 *3 (-532)) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-926 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-1032 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-344)) (-5 *2 (-864)))) ((*1 *2 *3) (-12 (-5 *3 (-1178 *4)) (-4 *4 (-325)) (-5 *2 (-864)) (-5 *1 (-502 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-723)) (-4 *3 (-13 (-524) (-427))) (-5 *2 (-598 *3)) (-5 *1 (-321 *3 *5)) (-4 *5 (-46 *3 *4))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-723)) (-4 *3 (-983)) (-4 *1 (-637 *3 *4 *5)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-1176 *3)) (-4 *3 (-23)) (-4 *3 (-1130))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-598 (-1092 (-532)))) (-5 *1 (-170)) (-5 *3 (-532))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-598 *2)) (-4 *2 (-1025)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| *3) (|:| -1213 *4)))) (-5 *1 (-1003 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1178 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-339)) (-4 *1 (-674 *5 *6)) (-4 *5 (-159)) (-4 *6 (-1154 *5)) (-5 *2 (-639 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-4 *1 (-846 *3))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-202)) (|:| |xend| (-202)) (|:| |fn| (-1178 (-288 (-202)))) (|:| |yinit| (-598 (-202))) (|:| |intvals| (-598 (-202))) (|:| |g| (-288 (-202))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-2 (|:| |stiffness| (-355)) (|:| |stability| (-355)) (|:| |expense| (-355)) (|:| |accuracy| (-355)) (|:| |intermediateResults| (-355)))) (-5 *1 (-756))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-110)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-438))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-349 *2)) (-4 *2 (-1130)))) ((*1 *2 *2) (-12 (-4 *3 (-983)) (-5 *1 (-419 *3 *2)) (-4 *2 (-1154 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-601 *2 *3 *4)) (-4 *2 (-1025)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *1 *1 *1) (-5 *1 (-202))) ((*1 *2 *2 *2) (-12 (-5 *2 (-202)) (-5 *1 (-203)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-156 (-202))) (-5 *1 (-203)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1 (-355))) (-5 *1 (-976)))) ((*1 *1 *1 *1) (-4 *1 (-1059)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-427)) (-4 *3 (-800)) (-4 *3 (-974 (-532))) (-4 *3 (-524)) (-5 *1 (-40 *3 *2)) (-4 *2 (-406 *3)) (-4 *2 (-13 (-339) (-275) (-10 -8 (-15 -2251 ((-1048 *3 (-571 $)) $)) (-15 -2258 ((-1048 *3 (-571 $)) $)) (-15 -1256 ($ (-1048 *3 (-571 $)))))))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-639 (-288 (-532)))) (-5 *1 (-968))))) 
+(((*1 *1 *1) (-12 (|has| *1 (-6 -4289)) (-4 *1 (-141 *2)) (-4 *2 (-1130)) (-4 *2 (-1025))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-339)) (-4 *3 (-983)) (-5 *1 (-1080 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-51)) (-5 *1 (-1109))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1025)) (-5 *1 (-100 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-100 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-598 (-895 *4))) (-5 *3 (-598 (-1096))) (-4 *4 (-427)) (-5 *1 (-861 *4))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1078)) (-5 *3 (-598 (-238))) (-5 *1 (-236)))) ((*1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-238))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-339)) (-5 *2 (-639 *4)) (-5 *1 (-767 *4 *5)) (-4 *5 (-608 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-723)) (-4 *5 (-339)) (-5 *2 (-639 *5)) (-5 *1 (-767 *5 *6)) (-4 *6 (-608 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-355)) (-5 *1 (-1180)))) ((*1 *2) (-12 (-5 *2 (-355)) (-5 *1 (-1180))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-383 *4)) (-4 *4 (-1154 *3)) (-4 *3 (-13 (-339) (-137) (-974 (-532)))) (-5 *1 (-536 *3 *4))))) 
+(((*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-2 (|:| -3220 (-2 (|:| |xinit| (-202)) (|:| |xend| (-202)) (|:| |fn| (-1178 (-288 (-202)))) (|:| |yinit| (-598 (-202))) (|:| |intvals| (-598 (-202))) (|:| |g| (-288 (-202))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (|:| -2330 (-2 (|:| |stiffness| (-355)) (|:| |stability| (-355)) (|:| |expense| (-355)) (|:| |accuracy| (-355)) (|:| |intermediateResults| (-355))))))) (-5 *1 (-756))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-221 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1124 *3 *4 *5 *2)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *2 (-997 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-1166 *3)) (-4 *3 (-1130)))) ((*1 *2 *1) (-12 (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-343 *2)) (-4 *2 (-159))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-204 *2)) (-4 *2 (-13 (-339) (-1116)))))) 
+(((*1 *1) (-12 (-5 *1 (-598 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-156 (-202))) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-639 *2)) (-5 *4 (-532)) (-4 *2 (-13 (-280) (-10 -8 (-15 -4044 ((-394 $) $))))) (-4 *5 (-1154 *2)) (-5 *1 (-479 *2 *5 *6)) (-4 *6 (-385 *2 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-723)) (-4 *5 (-983)) (-4 *2 (-1154 *5)) (-5 *1 (-1172 *5 *2 *6 *3)) (-4 *6 (-608 *2)) (-4 *3 (-1169 *5))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-355)))) ((*1 *1 *1 *1) (-4 *1 (-517))) ((*1 *1 *1 *2) (-12 (-5 *1 (-668 *2)) (-4 *2 (-339)))) ((*1 *1 *2) (-12 (-5 *1 (-668 *2)) (-4 *2 (-339)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-723))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-598 *7)) (-5 *5 (-598 (-598 *8))) (-4 *7 (-800)) (-4 *8 (-280)) (-4 *6 (-746)) (-4 *9 (-892 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-598 (-2 (|:| -4186 (-1092 *9)) (|:| -3540 (-532))))))) (-5 *1 (-692 *6 *7 *8 *9)) (-5 *3 (-1092 *9))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1098 (-383 (-532)))) (-5 *1 (-169)) (-5 *3 (-532))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1098 (-383 (-532)))) (-5 *1 (-169)) (-5 *3 (-532))))) 
+(((*1 *2) (-12 (-4 *3 (-524)) (-5 *2 (-598 *4)) (-5 *1 (-42 *3 *4)) (-4 *4 (-393 *3))))) 
+(((*1 *1) (-5 *1 (-995)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-56 *3 *4 *5)) (-4 *3 (-1130)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *2 (-532)))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-5 *2 (-532))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-756))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-532)) (-4 *4 (-1154 (-383 *3))) (-5 *2 (-864)) (-5 *1 (-856 *4 *5)) (-4 *5 (-1154 (-383 *4)))))) 
+(((*1 *1 *2) (-12 (-4 *1 (-618 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-1096))) (-5 *1 (-1096))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-598 *6)) (-4 *6 (-800)) (-4 *4 (-339)) (-4 *5 (-746)) (-5 *2 (-2 (|:| |mval| (-639 *4)) (|:| |invmval| (-639 *4)) (|:| |genIdeal| (-484 *4 *5 *6 *7)))) (-5 *1 (-484 *4 *5 *6 *7)) (-4 *7 (-892 *4 *5 *6))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-112)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-228 *4 *3 *5 *6)) (-4 *4 (-983)) (-4 *3 (-800)) (-4 *5 (-241 *3)) (-4 *6 (-746)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-228 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-800)) (-4 *5 (-241 *4)) (-4 *6 (-746)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-241 *3)) (-4 *3 (-800)) (-5 *2 (-723))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-639 (-156 (-383 (-532))))) (-5 *2 (-598 (-156 *4))) (-5 *1 (-716 *4)) (-4 *4 (-13 (-339) (-798)))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1169 *4)) (-5 *1 (-1171 *4 *2)) (-4 *4 (-37 (-383 (-532))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-427)) (-4 *3 (-800)) (-4 *3 (-974 (-532))) (-4 *3 (-524)) (-5 *1 (-40 *3 *2)) (-4 *2 (-406 *3)) (-4 *2 (-13 (-339) (-275) (-10 -8 (-15 -2251 ((-1048 *3 (-571 $)) $)) (-15 -2258 ((-1048 *3 (-571 $)) $)) (-15 -1256 ($ (-1048 *3 (-571 $)))))))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-394 *3)) (-5 *1 (-38 *3)) (-4 *3 (-1154 (-47))))) ((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-119 *3)) (|:| |greater| (-119 *3)))) (-5 *1 (-119 *3)) (-4 *3 (-800)))) ((*1 *2 *2) (-12 (-5 *2 (-549 *4)) (-4 *4 (-13 (-29 *3) (-1116))) (-4 *3 (-13 (-427) (-974 (-532)) (-800) (-594 (-532)))) (-5 *1 (-547 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-549 (-383 (-895 *3)))) (-4 *3 (-13 (-427) (-974 (-532)) (-800) (-594 (-532)))) (-5 *1 (-552 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1154 *5)) (-4 *5 (-339)) (-5 *2 (-2 (|:| -2107 *3) (|:| |special| *3))) (-5 *1 (-677 *5 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1178 *5)) (-4 *5 (-339)) (-4 *5 (-983)) (-5 *2 (-598 (-598 (-639 *5)))) (-5 *1 (-966 *5)) (-5 *3 (-598 (-639 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1178 (-1178 *5))) (-4 *5 (-339)) (-4 *5 (-983)) (-5 *2 (-598 (-598 (-639 *5)))) (-5 *1 (-966 *5)) (-5 *3 (-598 (-639 *5))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-131)) (-5 *2 (-598 *1)) (-4 *1 (-1064)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-134)) (-5 *2 (-598 *1)) (-4 *1 (-1064))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-808) (-808))) (-5 *1 (-112)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-808) (-598 (-808)))) (-5 *1 (-112)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-808) (-598 (-808)))) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-192 *3)) (-4 *3 (-13 (-800) (-10 -8 (-15 -2687 ((-1078) $ (-1096))) (-15 -2563 (*2 $)) (-15 -1412 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-370)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-5 *2 (-1183)) (-5 *1 (-370)))) ((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-660)))) ((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-1111)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-5 *2 (-1183)) (-5 *1 (-1111))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-394 *5)) (-4 *5 (-524)) (-5 *2 (-2 (|:| -3540 (-723)) (|:| -2283 *5) (|:| |radicand| (-598 *5)))) (-5 *1 (-293 *5)) (-5 *4 (-723)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-939)) (-5 *2 (-532))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1092 *3)) (-4 *3 (-325)) (-5 *1 (-333 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-128)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-786 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-793 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-605 (-383 *2))) (-4 *2 (-1154 *4)) (-5 *1 (-763 *4 *2)) (-4 *4 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))))) ((*1 *2 *3) (-12 (-5 *3 (-606 *2 (-383 *2))) (-4 *2 (-1154 *4)) (-5 *1 (-763 *4 *2)) (-4 *4 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532)))))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1043)) (-5 *1 (-107)))) ((*1 *2 *1) (|partial| -12 (-5 *1 (-341 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1078)) (-5 *1 (-1112))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-603 *3)) (-4 *3 (-1130)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *1 (-603 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1688 (-355)) (|:| -3846 (-1078)) (|:| |explanations| (-598 (-1078))))) (-5 *2 (-972)) (-5 *1 (-278)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1688 (-355)) (|:| -3846 (-1078)) (|:| |explanations| (-598 (-1078))) (|:| |extra| (-972)))) (-5 *2 (-972)) (-5 *1 (-278))))) 
+(((*1 *2) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-639 (-383 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-772 *4)) (-4 *4 (-800)) (-5 *2 (-110)) (-5 *1 (-623 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-1154 *4)) (-5 *1 (-511 *4 *2 *5 *6)) (-4 *4 (-280)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-723)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-571 *3)) (-5 *5 (-598 *3)) (-4 *3 (-13 (-406 *6) (-27) (-1116))) (-4 *6 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-598 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-534 *6 *3 *7)) (-4 *7 (-1025))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-1020 (-383 (-532))))) (-5 *1 (-238)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-1020 (-355)))) (-5 *1 (-238))))) 
+(((*1 *2 *3) (-12 (-4 *3 (-13 (-280) (-10 -8 (-15 -4044 ((-394 $) $))))) (-4 *4 (-1154 *3)) (-5 *2 (-2 (|:| -1322 (-639 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-639 *3)))) (-5 *1 (-326 *3 *4 *5)) (-4 *5 (-385 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-532)) (-4 *4 (-1154 *3)) (-5 *2 (-2 (|:| -1322 (-639 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-639 *3)))) (-5 *1 (-720 *4 *5)) (-4 *5 (-385 *3 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-325)) (-4 *3 (-1154 *4)) (-4 *5 (-1154 *3)) (-5 *2 (-2 (|:| -1322 (-639 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-639 *3)))) (-5 *1 (-923 *4 *3 *5 *6)) (-4 *6 (-674 *3 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-325)) (-4 *3 (-1154 *4)) (-4 *5 (-1154 *3)) (-5 *2 (-2 (|:| -1322 (-639 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-639 *3)))) (-5 *1 (-1188 *4 *3 *5 *6)) (-4 *6 (-385 *3 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-835 *4)) (-5 *3 (-1 (-110) *5)) (-4 *4 (-1025)) (-4 *5 (-1130)) (-5 *1 (-833 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-835 *4)) (-5 *3 (-598 (-1 (-110) *5))) (-4 *4 (-1025)) (-4 *5 (-1130)) (-5 *1 (-833 *4 *5)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-835 *5)) (-5 *3 (-598 (-1096))) (-5 *4 (-1 (-110) (-598 *6))) (-4 *5 (-1025)) (-4 *6 (-1130)) (-5 *1 (-833 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-110) *5)) (-4 *5 (-1130)) (-4 *4 (-800)) (-5 *1 (-880 *4 *2 *5)) (-4 *2 (-406 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-598 (-1 (-110) *5))) (-4 *5 (-1130)) (-4 *4 (-800)) (-5 *1 (-880 *4 *2 *5)) (-4 *2 (-406 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1096)) (-5 *4 (-1 (-110) *5)) (-4 *5 (-1130)) (-5 *2 (-288 (-532))) (-5 *1 (-881 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1096)) (-5 *4 (-598 (-1 (-110) *5))) (-4 *5 (-1130)) (-5 *2 (-288 (-532))) (-5 *1 (-881 *5)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-1096))) (-5 *3 (-1 (-110) (-598 *6))) (-4 *6 (-13 (-406 *5) (-829 *4) (-573 (-835 *4)))) (-4 *4 (-1025)) (-4 *5 (-13 (-983) (-829 *4) (-800) (-573 (-835 *4)))) (-5 *1 (-1005 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-886 *3) (-886 *3))) (-5 *1 (-161 *3)) (-4 *3 (-13 (-339) (-1116) (-939)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-406 *2)) (-4 *2 (-800)) (-4 *2 (-983)))) ((*1 *1 *1) (-12 (-5 *1 (-693 *2 *3)) (-14 *2 (-1096)) (-4 *3 (-13 (-983) (-800) (-524))))) ((*1 *1 *1) (-12 (-4 *1 (-930 *2)) (-4 *2 (-524))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-522 *3)) (-4 *3 (-13 (-380) (-1116))) (-5 *2 (-110))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-1096))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1078)) (-5 *1 (-1112))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-296 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-126)) (-5 *2 (-598 (-2 (|:| |gen| *3) (|:| -1898 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| -2283 *3) (|:| -2290 *4)))) (-5 *1 (-685 *3 *4)) (-4 *3 (-983)) (-4 *4 (-676)))) ((*1 *2 *1) (-12 (-4 *1 (-1156 *3 *4)) (-4 *3 (-983)) (-4 *4 (-745)) (-5 *2 (-1076 (-2 (|:| |k| *4) (|:| |c| *3))))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-524)) (-4 *3 (-159)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *1 (-638 *3 *4 *5 *2)) (-4 *2 (-637 *3 *4 *5))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-941 *3)) (-14 *3 (-532))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-791)) (-5 *4 (-995)) (-5 *2 (-972)) (-5 *1 (-790)))) ((*1 *2 *3) (-12 (-5 *3 (-791)) (-5 *2 (-972)) (-5 *1 (-790)))) ((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-598 (-355))) (-5 *5 (-598 (-793 (-355)))) (-5 *6 (-598 (-288 (-355)))) (-5 *3 (-288 (-355))) (-5 *2 (-972)) (-5 *1 (-790)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-288 (-355))) (-5 *4 (-598 (-355))) (-5 *5 (-598 (-793 (-355)))) (-5 *2 (-972)) (-5 *1 (-790)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-288 (-355))) (-5 *4 (-598 (-355))) (-5 *2 (-972)) (-5 *1 (-790)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-288 (-355)))) (-5 *4 (-598 (-355))) (-5 *2 (-972)) (-5 *1 (-790))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-158)))) ((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-1179)))) ((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-202)) (-5 *1 (-775))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-723)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-746)) (-4 *7 (-892 *4 *5 *6)) (-4 *4 (-427)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-424 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-838)) (-5 *3 (-2 (|:| |pde| (-598 (-288 (-202)))) (|:| |constraints| (-598 (-2 (|:| |start| (-202)) (|:| |finish| (-202)) (|:| |grid| (-723)) (|:| |boundaryType| (-532)) (|:| |dStart| (-639 (-202))) (|:| |dFinish| (-639 (-202)))))) (|:| |f| (-598 (-598 (-288 (-202))))) (|:| |st| (-1078)) (|:| |tol| (-202)))) (-5 *2 (-972))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-1005 *3 *4 *5))) (-4 *3 (-1025)) (-4 *4 (-13 (-983) (-829 *3) (-800) (-573 (-835 *3)))) (-4 *5 (-13 (-406 *4) (-829 *3) (-573 (-835 *3)))) (-5 *1 (-1006 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-886 (-202)))) (-5 *1 (-1179))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-355) (-355))) (-5 *4 (-355)) (-5 *2 (-2 (|:| -1330 *4) (|:| -3758 *4) (|:| |totalpts| (-532)) (|:| |success| (-110)))) (-5 *1 (-742)) (-5 *5 (-532))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-800)) (-5 *2 (-1103 (-598 *4))) (-5 *1 (-1102 *4)) (-5 *3 (-598 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-598 *3)) (-5 *1 (-42 *4 *3)) (-4 *3 (-393 *4))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *3 (-598 (-1096))) (-4 *4 (-1025)) (-4 *5 (-13 (-983) (-829 *4) (-800) (-573 (-835 *4)))) (-5 *1 (-1005 *4 *5 *2)) (-4 *2 (-13 (-406 *5) (-829 *4) (-573 (-835 *4)))))) ((*1 *1 *2 *2) (-12 (-4 *3 (-1025)) (-4 *4 (-13 (-983) (-829 *3) (-800) (-573 (-835 *3)))) (-5 *1 (-1005 *3 *4 *2)) (-4 *2 (-13 (-406 *4) (-829 *3) (-573 (-835 *3))))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-339)) (-4 *3 (-983)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2867 *1))) (-4 *1 (-802 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-56 *3 *4 *5)) (-4 *3 (-1130)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *2 (-598 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-598 *3)) (-5 *1 (-90 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-598 *3)) (-5 *1 (-199 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-598 *3)) (-5 *1 (-466 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4289)) (-4 *1 (-471 *3)) (-4 *3 (-1130)) (-5 *2 (-598 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-598 *3)) (-5 *1 (-937 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-598 *3)) (-5 *1 (-1067 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1025)) (-4 *4 (-13 (-983) (-829 *3) (-800) (-573 *2))) (-5 *2 (-835 *3)) (-5 *1 (-1005 *3 *4 *5)) (-4 *5 (-13 (-406 *4) (-829 *3) (-573 *2)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1176 *2)) (-4 *2 (-1130)) (-4 *2 (-939)) (-4 *2 (-983))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1078)) (-5 *3 (-776)) (-5 *1 (-775))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3347 (-598 (-808))) (|:| -1310 (-598 (-808))) (|:| |presup| (-598 (-808))) (|:| -3328 (-598 (-808))) (|:| |args| (-598 (-808))))) (-5 *1 (-1096))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-598 (-571 *6))) (-5 *4 (-1096)) (-5 *2 (-571 *6)) (-4 *6 (-406 *5)) (-4 *5 (-800)) (-5 *1 (-541 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-229 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-723)) (-5 *1 (-736 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-159))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1076 *3)) (-5 *1 (-160 *3)) (-4 *3 (-280))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-199 *3)) (-4 *3 (-1025)))) ((*1 *2 *3) (-12 (-4 *4 (-983)) (-4 *2 (-13 (-380) (-974 *4) (-339) (-1116) (-258))) (-5 *1 (-418 *4 *3 *2)) (-4 *3 (-1154 *4)))) ((*1 *1 *1) (-4 *1 (-517))) ((*1 *2 *1) (-12 (-5 *2 (-864)) (-5 *1 (-623 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-864)) (-5 *1 (-627 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-772 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-836 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-4 *1 (-932 *3)) (-4 *3 (-1130)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-937 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-1128 *3)) (-4 *3 (-1130)))) ((*1 *2 *1) (-12 (-4 *1 (-1176 *2)) (-4 *2 (-1130)) (-4 *2 (-939)) (-4 *2 (-983))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1096))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-112)) (-5 *1 (-111 *3)) (-4 *3 (-800)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-857 *2)) (-4 *2 (-280))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1064)) (-5 *3 (-134)) (-5 *2 (-110))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-598 *1)) (-4 *1 (-406 *4)) (-4 *4 (-800)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1096)) (-4 *1 (-406 *3)) (-4 *3 (-800)))) ((*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1096)) (-4 *1 (-406 *3)) (-4 *3 (-800)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1096)) (-4 *1 (-406 *3)) (-4 *3 (-800)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1096)) (-4 *1 (-406 *3)) (-4 *3 (-800))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-358 *3 *4)) (-4 *3 (-983)) (-4 *4 (-1025)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-601 *3 *4 *5)) (-4 *3 (-1025)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-4 *3 (-280)) (-5 *2 (-598 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-639 *3)) (-4 *3 (-339)) (-5 *1 (-1184 *3))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-2 (|:| -2797 (-112)) (|:| |w| (-202)))) (-5 *1 (-183))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-598 *4)) (-4 *4 (-339)) (-5 *2 (-1178 *4)) (-5 *1 (-767 *4 *3)) (-4 *3 (-608 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-527))))) 
+(((*1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-650)))) ((*1 *2 *2) (-12 (-5 *2 (-864)) (-5 *1 (-650))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-800)) (-5 *1 (-872 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-288 (-532))) (-5 *1 (-873))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-350 *3 *4)) (-4 *3 (-800)) (-4 *4 (-159)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-1198 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-156 (-202))) (-5 *5 (-532)) (-5 *6 (-1078)) (-5 *3 (-202)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1092 *1)) (-4 *1 (-949))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-153 *2)) (-4 *2 (-159)))) ((*1 *1 *1 *1) (-4 *1 (-450))) ((*1 *1 *1) (-12 (-4 *1 (-750 *2)) (-4 *2 (-159)))) ((*1 *2 *2) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-826)))) ((*1 *1 *1) (-5 *1 (-909))) ((*1 *1 *1) (-12 (-4 *1 (-934 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-800)) (-5 *1 (-872 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-288 (-532))) (-5 *1 (-873))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1096)) (-5 *1 (-571 *3)) (-4 *3 (-800))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-156 (-202))) (-5 *5 (-532)) (-5 *6 (-1078)) (-5 *3 (-202)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-250))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-598 *3)) (-5 *1 (-42 *4 *3)) (-4 *3 (-393 *4))))) 
+(((*1 *1 *1) (-4 *1 (-517)))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-202)) (-5 *1 (-203)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-156 (-202))) (-5 *1 (-203)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1059)))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-699))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-401 *3)) (-4 *3 (-1025)) (-5 *2 (-723))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-5 *1 (-1105 *2)) (-4 *2 (-339))))) 
+(((*1 *2) (-12 (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-1178 *1)) (-4 *1 (-316 *3 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-13 (-280) (-10 -8 (-15 -4044 ((-394 $) $))))) (-4 *4 (-1154 *3)) (-5 *2 (-2 (|:| -1322 (-639 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-639 *3)))) (-5 *1 (-326 *3 *4 *5)) (-4 *5 (-385 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-1154 (-532))) (-5 *2 (-2 (|:| -1322 (-639 (-532))) (|:| |basisDen| (-532)) (|:| |basisInv| (-639 (-532))))) (-5 *1 (-720 *3 *4)) (-4 *4 (-385 (-532) *3)))) ((*1 *2) (-12 (-4 *3 (-325)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 *4)) (-5 *2 (-2 (|:| -1322 (-639 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-639 *4)))) (-5 *1 (-923 *3 *4 *5 *6)) (-4 *6 (-674 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-325)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 *4)) (-5 *2 (-2 (|:| -1322 (-639 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-639 *4)))) (-5 *1 (-1188 *3 *4 *5 *6)) (-4 *6 (-385 *4 *5))))) 
+(((*1 *1 *1) (-4 *1 (-34))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-158))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-699))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-983)) (-5 *2 (-598 *1)) (-4 *1 (-1057 *3))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110)) (-5 *1 (-484 *3 *4 *5 *6)) (-4 *6 (-892 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-598 *6)) (-4 *6 (-800)) (-4 *4 (-339)) (-4 *5 (-746)) (-5 *2 (-110)) (-5 *1 (-484 *4 *5 *6 *7)) (-4 *7 (-892 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)) (-4 *2 (-983)) (-4 *2 (-159))))) 
+(((*1 *1 *1) (-4 *1 (-34))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-110) (-112) (-112))) (-5 *1 (-112))))) 
+(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-699))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-723))) (-5 *3 (-158)) (-5 *1 (-1084 *4 *5)) (-14 *4 (-864)) (-4 *5 (-983))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-897)) (-5 *2 (-1020 (-202))))) ((*1 *2 *1) (-12 (-4 *1 (-912)) (-5 *2 (-1020 (-202)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-224 *4 *5)) (-14 *4 (-598 (-1096))) (-4 *5 (-983)) (-5 *2 (-464 *4 *5)) (-5 *1 (-887 *4 *5))))) 
+(((*1 *1 *1) (-4 *1 (-34))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-340 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-5 *2 (-1078))))) 
+(((*1 *1) (-5 *1 (-1183)))) 
+(((*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-699))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-532)) (-5 *2 (-598 (-2 (|:| -4186 *3) (|:| -2997 *4)))) (-5 *1 (-645 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-134))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-947 *3)) (-4 *3 (-1130)) (-4 *3 (-1025)) (-5 *2 (-110))))) 
+(((*1 *1 *1) (-4 *1 (-34))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-370)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-1111))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-532)) (-5 *4 (-1078)) (-5 *5 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-699))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-835 *4)) (-4 *4 (-1025)) (-5 *1 (-833 *4 *3)) (-4 *3 (-1130)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-51)) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202))))) (-5 *1 (-527)))) ((*1 *2 *1) (-12 (-4 *1 (-569 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-5 *2 (-598 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |xinit| (-202)) (|:| |xend| (-202)) (|:| |fn| (-1178 (-288 (-202)))) (|:| |yinit| (-598 (-202))) (|:| |intvals| (-598 (-202))) (|:| |g| (-288 (-202))) (|:| |abserr| (-202)) (|:| |relerr| (-202))))) (-5 *1 (-756))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-112))))) 
+(((*1 *1 *1) (-4 *1 (-34))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-598 (-598 (-598 *4)))) (-5 *3 (-598 *4)) (-4 *4 (-800)) (-5 *1 (-1102 *4))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-532)) (-5 *4 (-1078)) (-5 *5 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-699))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-983)) (-5 *2 (-1178 *3)) (-5 *1 (-662 *3 *4)) (-4 *4 (-1154 *3))))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-532)) (-5 *6 (-1 (-1183) (-1178 *5) (-1178 *5) (-355))) (-5 *3 (-1178 (-355))) (-5 *5 (-355)) (-5 *2 (-1183)) (-5 *1 (-741))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-117 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *1) (-4 *1 (-473))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-668 *2)) (-4 *2 (-339))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-532)) (-5 *4 (-1078)) (-5 *5 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-699))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *1 (-526 *2)) (-4 *2 (-517))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3484 (-735 *3)) (|:| |coef1| (-735 *3)) (|:| |coef2| (-735 *3)))) (-5 *1 (-735 *3)) (-4 *3 (-524)) (-4 *3 (-983)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-524)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-2 (|:| -3484 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-997 *3 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-639 *8)) (-4 *8 (-892 *5 *7 *6)) (-4 *5 (-13 (-280) (-137))) (-4 *6 (-13 (-800) (-573 (-1096)))) (-4 *7 (-746)) (-5 *2 (-598 (-2 (|:| -2630 (-723)) (|:| |eqns| (-598 (-2 (|:| |det| *8) (|:| |rows| (-598 (-532))) (|:| |cols| (-598 (-532)))))) (|:| |fgb| (-598 *8))))) (-5 *1 (-867 *5 *6 *7 *8)) (-5 *4 (-723))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *1) (-4 *1 (-473))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-571 *5))) (-4 *4 (-800)) (-5 *2 (-571 *5)) (-5 *1 (-541 *4 *5)) (-4 *5 (-406 *4))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-532)) (-5 *4 (-1078)) (-5 *5 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-699))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1092 (-383 (-895 *3)))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1151 *5 *4)) (-4 *4 (-773)) (-14 *5 (-1096)) (-5 *2 (-598 *4)) (-5 *1 (-1039 *4 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *1) (-4 *1 (-473))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1130)) (-5 *1 (-1178 *3))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-818)) (-5 *3 (-598 (-238))) (-5 *1 (-236))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-699))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-532)) (-5 *4 (-394 *2)) (-4 *2 (-892 *7 *5 *6)) (-5 *1 (-692 *5 *6 *7 *2)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-280))))) 
+(((*1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-110) *5 *5)) (-5 *4 (-1 (-110) *6 *6)) (-4 *5 (-13 (-1025) (-33))) (-4 *6 (-13 (-1025) (-33))) (-5 *2 (-110)) (-5 *1 (-1060 *5 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *1 *1) (-4 *1 (-473))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1178 *5)) (-4 *5 (-745)) (-5 *2 (-110)) (-5 *1 (-795 *4 *5)) (-14 *4 (-723))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-503 *3)) (-4 *3 (-13 (-676) (-25)))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-699))))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-1108 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-723)) (-5 *6 (-110)) (-4 *7 (-427)) (-4 *8 (-746)) (-4 *9 (-800)) (-4 *3 (-997 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-598 *4)) (|:| |todo| (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))))) (-5 *1 (-1000 *7 *8 *9 *3 *4)) (-4 *4 (-1002 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-723)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *8 (-800)) (-4 *3 (-997 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-598 *4)) (|:| |todo| (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))))) (-5 *1 (-1000 *6 *7 *8 *3 *4)) (-4 *4 (-1002 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-598 *4)) (|:| |todo| (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))))) (-5 *1 (-1000 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-723)) (-5 *6 (-110)) (-4 *7 (-427)) (-4 *8 (-746)) (-4 *9 (-800)) (-4 *3 (-997 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-598 *4)) (|:| |todo| (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))))) (-5 *1 (-1065 *7 *8 *9 *3 *4)) (-4 *4 (-1034 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-723)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *8 (-800)) (-4 *3 (-997 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-598 *4)) (|:| |todo| (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1034 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-598 *4)) (|:| |todo| (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))))) (-5 *1 (-1065 *5 *6 *7 *3 *4)) (-4 *4 (-1034 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-112)) (-5 *5 (-598 *2)) (-4 *2 (-13 (-406 *6) (-23) (-974 (-532)) (-974 *4) (-843 *4) (-148))) (-5 *4 (-1096)) (-4 *6 (-13 (-800) (-524) (-573 (-508)))) (-5 *1 (-961 *6 *2))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *1 *1) (-4 *1 (-473))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-202)) (-5 *2 (-648)) (-5 *1 (-278))))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-699))))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-1108 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025))))) 
+(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-1018 (-895 (-532)))) (-5 *3 (-895 (-532))) (-5 *1 (-304)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1018 (-895 (-532)))) (-5 *1 (-304))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 (-2 (|:| |val| (-598 *6)) (|:| -1213 *7)))) (-4 *6 (-997 *3 *4 *5)) (-4 *7 (-1002 *3 *4 *5 *6)) (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-926 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-598 (-2 (|:| |val| (-598 *6)) (|:| -1213 *7)))) (-4 *6 (-997 *3 *4 *5)) (-4 *7 (-1002 *3 *4 *5 *6)) (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-1032 *3 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *1 *1) (-4 *1 (-473))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-723)) (-4 *1 (-208 *4)) (-4 *4 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-208 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-210)) (-5 *2 (-723)))) ((*1 *1 *1) (-4 *1 (-210))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-241 *3)) (-4 *3 (-800)))) ((*1 *1 *1) (-12 (-4 *1 (-241 *2)) (-4 *2 (-800)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *3 (-13 (-339) (-137))) (-5 *1 (-375 *3 *4)) (-4 *4 (-1154 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-339) (-137))) (-5 *1 (-375 *2 *3)) (-4 *3 (-1154 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-451 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *2 *1 *3) (-12 (-4 *2 (-339)) (-4 *2 (-843 *3)) (-5 *1 (-549 *2)) (-5 *3 (-1096)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-549 *2)) (-4 *2 (-339)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-808)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 *4)) (-5 *3 (-598 (-723))) (-4 *1 (-843 *4)) (-4 *4 (-1025)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-723)) (-4 *1 (-843 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *1 (-843 *3)) (-4 *3 (-1025)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-843 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1086 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1093 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1094 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 (QUOTE |x|))) (-5 *1 (-1136 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1142 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1154 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1170 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3)))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-598 (-895 (-532)))) (-5 *4 (-598 (-1096))) (-5 *2 (-598 (-598 (-355)))) (-5 *1 (-959)) (-5 *5 (-355)))) ((*1 *2 *3) (-12 (-5 *3 (-980 *4 *5)) (-4 *4 (-13 (-798) (-280) (-137) (-958))) (-14 *5 (-598 (-1096))) (-5 *2 (-598 (-598 (-960 (-383 *4))))) (-5 *1 (-1203 *4 *5 *6)) (-14 *6 (-598 (-1096))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-598 (-895 *5))) (-5 *4 (-110)) (-4 *5 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-598 (-960 (-383 *5))))) (-5 *1 (-1203 *5 *6 *7)) (-14 *6 (-598 (-1096))) (-14 *7 (-598 (-1096))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-598 (-895 *5))) (-5 *4 (-110)) (-4 *5 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-598 (-960 (-383 *5))))) (-5 *1 (-1203 *5 *6 *7)) (-14 *6 (-598 (-1096))) (-14 *7 (-598 (-1096))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-895 *5))) (-5 *4 (-110)) (-4 *5 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-598 (-960 (-383 *5))))) (-5 *1 (-1203 *5 *6 *7)) (-14 *6 (-598 (-1096))) (-14 *7 (-598 (-1096))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-895 *4))) (-4 *4 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-598 (-960 (-383 *4))))) (-5 *1 (-1203 *4 *5 *6)) (-14 *5 (-598 (-1096))) (-14 *6 (-598 (-1096)))))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-699))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-733 *5 (-810 *6)))) (-5 *4 (-110)) (-4 *5 (-427)) (-14 *6 (-598 (-1096))) (-5 *2 (-598 (-1066 *5 (-504 (-810 *6)) (-810 *6) (-733 *5 (-810 *6))))) (-5 *1 (-583 *5 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-639 *3)) (-4 *3 (-983)) (-5 *1 (-640 *3))))) 
+(((*1 *1 *1) (-4 *1 (-92))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-639 (-1092 *8))) (-4 *5 (-983)) (-4 *8 (-983)) (-4 *6 (-1154 *5)) (-5 *2 (-639 *6)) (-5 *1 (-481 *5 *6 *7 *8)) (-4 *7 (-1154 *6))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *5 (-3 (|:| |fn| (-364)) (|:| |fp| (-63 -2255)))) (-5 *2 (-972)) (-5 *1 (-698))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1043)) (-5 *2 (-1183)) (-5 *1 (-784))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1076 *3)) (-5 *1 (-160 *3)) (-4 *3 (-280))))) 
+(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-532))) (-5 *1 (-981))))) 
+(((*1 *1 *1) (-4 *1 (-92))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1169 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-202)) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-80 FCN)))) (-5 *2 (-972)) (-5 *1 (-698))))) 
+(((*1 *2) (-12 (-4 *1 (-325)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-605 (-383 *6))) (-5 *4 (-1 (-598 *5) *6)) (-4 *5 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-4 *6 (-1154 *5)) (-5 *2 (-598 (-383 *6))) (-5 *1 (-765 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-605 (-383 *7))) (-5 *4 (-1 (-598 *6) *7)) (-5 *5 (-1 (-394 *7) *7)) (-4 *6 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-4 *7 (-1154 *6)) (-5 *2 (-598 (-383 *7))) (-5 *1 (-765 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-606 *6 (-383 *6))) (-5 *4 (-1 (-598 *5) *6)) (-4 *5 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-4 *6 (-1154 *5)) (-5 *2 (-598 (-383 *6))) (-5 *1 (-765 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-606 *7 (-383 *7))) (-5 *4 (-1 (-598 *6) *7)) (-5 *5 (-1 (-394 *7) *7)) (-4 *6 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-4 *7 (-1154 *6)) (-5 *2 (-598 (-383 *7))) (-5 *1 (-765 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-605 (-383 *5))) (-4 *5 (-1154 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-5 *2 (-598 (-383 *5))) (-5 *1 (-765 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-605 (-383 *6))) (-5 *4 (-1 (-394 *6) *6)) (-4 *6 (-1154 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-5 *2 (-598 (-383 *6))) (-5 *1 (-765 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-606 *5 (-383 *5))) (-4 *5 (-1154 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-5 *2 (-598 (-383 *5))) (-5 *1 (-765 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-606 *6 (-383 *6))) (-5 *4 (-1 (-394 *6) *6)) (-4 *6 (-1154 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-5 *2 (-598 (-383 *6))) (-5 *1 (-765 *5 *6))))) 
+(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-112)) (-5 *5 (-598 *2)) (-4 *2 (-13 (-406 *6) (-23) (-974 (-532)) (-974 *4) (-843 *4) (-148))) (-5 *4 (-1096)) (-4 *6 (-13 (-800) (-524) (-573 (-508)))) (-5 *1 (-961 *6 *2))))) 
+(((*1 *1 *1) (-4 *1 (-92))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3)) (|has| *1 (-6 -4289)) (-4 *1 (-212 *3)) (-4 *3 (-1025)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3)) (-4 *1 (-256 *3)) (-4 *3 (-1130))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-158)) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-598 (-288 (-202)))) (-5 *3 (-202)) (-5 *2 (-110)) (-5 *1 (-189))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-339)) (-4 *7 (-1154 *5)) (-4 *4 (-674 *5 *7)) (-5 *2 (-2 (|:| -2048 (-639 *6)) (|:| |vec| (-1178 *5)))) (-5 *1 (-764 *5 *6 *7 *4 *3)) (-4 *6 (-608 *5)) (-4 *3 (-608 *4))))) 
+(((*1 *1 *1) (-4 *1 (-92))) ((*1 *1 *1 *1) (-5 *1 (-202))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *1 *1 *1) (-5 *1 (-355))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-895 (-383 (-532)))) (-5 *4 (-1096)) (-5 *5 (-1020 (-793 (-202)))) (-5 *2 (-598 (-202))) (-5 *1 (-273))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-798)) (-4 *4 (-339)) (-5 *2 (-723)) (-5 *1 (-888 *4 *5)) (-4 *5 (-1154 *4))))) 
+(((*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4291 "*"))) (-4 *5 (-349 *2)) (-4 *6 (-349 *2)) (-4 *2 (-983)) (-5 *1 (-102 *2 *3 *4 *5 *6)) (-4 *3 (-1154 *2)) (-4 *4 (-637 *2 *5 *6))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-521))))) 
+(((*1 *1 *1) (-4 *1 (-92))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-406 *2)) (-4 *2 (-800)) (-4 *2 (-524)))) ((*1 *1 *1) (-12 (-5 *1 (-693 *2 *3)) (-14 *2 (-1096)) (-4 *3 (-13 (-983) (-800) (-524))))) ((*1 *1 *1) (-12 (-4 *1 (-930 *2)) (-4 *2 (-524))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-983)) (-5 *1 (-419 *3 *2)) (-4 *2 (-1154 *3))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-13 (-339) (-137))) (-5 *2 (-598 (-2 (|:| -3540 (-723)) (|:| -2946 *4) (|:| |num| *4)))) (-5 *1 (-375 *3 *4)) (-4 *4 (-1154 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-112)) (-4 *4 (-13 (-800) (-524))) (-5 *2 (-110)) (-5 *1 (-31 *4 *5)) (-4 *5 (-406 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-112)) (-4 *4 (-13 (-800) (-524))) (-5 *2 (-110)) (-5 *1 (-146 *4 *5)) (-4 *5 (-406 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-112)) (-4 *4 (-13 (-800) (-524))) (-5 *2 (-110)) (-5 *1 (-251 *4 *5)) (-4 *5 (-13 (-406 *4) (-939))))) ((*1 *2 *3) (-12 (-5 *3 (-112)) (-5 *2 (-110)) (-5 *1 (-274 *4)) (-4 *4 (-275)))) ((*1 *2 *3) (-12 (-4 *1 (-275)) (-5 *3 (-112)) (-5 *2 (-110)))) ((*1 *2 *3) (-12 (-5 *3 (-112)) (-4 *5 (-800)) (-5 *2 (-110)) (-5 *1 (-405 *4 *5)) (-4 *4 (-406 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-112)) (-4 *4 (-13 (-800) (-524))) (-5 *2 (-110)) (-5 *1 (-407 *4 *5)) (-4 *5 (-406 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-112)) (-4 *4 (-13 (-800) (-524))) (-5 *2 (-110)) (-5 *1 (-585 *4 *5)) (-4 *5 (-13 (-406 *4) (-939) (-1116)))))) 
+(((*1 *1 *1) (-4 *1 (-92))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-598 (-464 *5 *6))) (-5 *4 (-810 *5)) (-14 *5 (-598 (-1096))) (-5 *2 (-464 *5 *6)) (-5 *1 (-586 *5 *6)) (-4 *6 (-427)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-464 *5 *6))) (-5 *4 (-810 *5)) (-14 *5 (-598 (-1096))) (-5 *2 (-464 *5 *6)) (-5 *1 (-586 *5 *6)) (-4 *6 (-427))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-280)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1047 *4 *5 *6 *3)) (-4 *3 (-637 *4 *5 *6))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-926 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-1032 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-1043)) (-5 *1 (-107))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3)))) ((*1 *1 *1) (-4 *1 (-1119)))) 
+(((*1 *2) (|partial| -12 (-4 *4 (-1134)) (-4 *5 (-1154 (-383 *2))) (-4 *2 (-1154 *4)) (-5 *1 (-315 *3 *4 *2 *5)) (-4 *3 (-316 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-316 *3 *2 *4)) (-4 *3 (-1134)) (-4 *4 (-1154 (-383 *2))) (-4 *2 (-1154 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-1076 *3)) (-4 *3 (-1025)) (-4 *3 (-1130))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-524) (-800) (-974 (-532)))) (-4 *5 (-406 *4)) (-5 *2 (-394 (-1092 (-383 (-532))))) (-5 *1 (-411 *4 *5 *3)) (-4 *3 (-1154 *5))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1 (-110) *7 (-598 *7))) (-4 *1 (-1124 *4 *5 *6 *7)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-110))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3)))) ((*1 *1 *1) (-4 *1 (-1119)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-339)) (-4 *4 (-524)) (-4 *5 (-1154 *4)) (-5 *2 (-2 (|:| -4174 (-579 *4 *5)) (|:| -2380 (-383 *5)))) (-5 *1 (-579 *4 *5)) (-5 *3 (-383 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-1084 *3 *4))) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-427)) (-4 *3 (-983)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1154 *3))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-202)) (-5 *3 (-723)) (-5 *1 (-203)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-156 (-202))) (-5 *3 (-723)) (-5 *1 (-203)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1059)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-355)) (-5 *1 (-93)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-355)) (-5 *1 (-93))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524) (-573 (-508)))) (-5 *1 (-961 *3 *2)) (-4 *2 (-13 (-406 *3) (-23) (-974 (-532)) (-974 (-1096)) (-843 (-1096)) (-148)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3)))) ((*1 *1 *1) (-4 *1 (-1119)))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-61 *3)) (-14 *3 (-1096)))) ((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-68 *3)) (-14 *3 (-1096)))) ((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-71 *3)) (-14 *3 (-1096)))) ((*1 *2 *1) (-12 (-4 *1 (-371)) (-5 *2 (-1183)))) ((*1 *2 *3) (-12 (-5 *3 (-364)) (-5 *2 (-1183)) (-5 *1 (-373)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1078)) (-5 *4 (-808)) (-5 *2 (-1183)) (-5 *1 (-1058)))) ((*1 *2 *3) (-12 (-5 *3 (-808)) (-5 *2 (-1183)) (-5 *1 (-1058)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-808))) (-5 *2 (-1183)) (-5 *1 (-1058))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-993 (-960 *4) (-1092 (-960 *4)))) (-5 *3 (-808)) (-5 *1 (-960 *4)) (-4 *4 (-13 (-798) (-339) (-958)))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-202)) (-5 *1 (-203)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-156 (-202))) (-5 *1 (-203)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1059)))) 
+(((*1 *1 *1) (-12 (-4 *1 (-892 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-427)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-598 (-2 (|:| |val| *3) (|:| -1213 *1)))) (-4 *1 (-1002 *4 *5 *6 *3)))) ((*1 *1 *1) (-4 *1 (-1134))) ((*1 *2 *2) (-12 (-4 *3 (-524)) (-5 *1 (-1157 *3 *2)) (-4 *2 (-13 (-1154 *3) (-524) (-10 -8 (-15 -3484 ($ $ $)))))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-571 *3)) (-5 *5 (-1092 *3)) (-4 *3 (-13 (-406 *6) (-27) (-1116))) (-4 *6 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-2 (|:| -3117 *3) (|:| |coeff| *3))) (-5 *1 (-528 *6 *3 *7)) (-4 *7 (-1025)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-571 *3)) (-5 *5 (-383 (-1092 *3))) (-4 *3 (-13 (-406 *6) (-27) (-1116))) (-4 *6 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-2 (|:| -3117 *3) (|:| |coeff| *3))) (-5 *1 (-528 *6 *3 *7)) (-4 *7 (-1025))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3)))) ((*1 *1 *1) (-4 *1 (-1119)))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1076 (-598 (-532)))) (-5 *3 (-598 (-532))) (-5 *1 (-826))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-367))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1029)) (-5 *3 (-726)) (-5 *1 (-51))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1145 (-532))) (-4 *1 (-256 *3)) (-4 *3 (-1130)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-256 *3)) (-4 *3 (-1130))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-997 *3 *4 *2)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-598 (-383 *7))) (-4 *7 (-1154 *6)) (-5 *3 (-383 *7)) (-4 *6 (-339)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-598 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-542 *6 *7))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-130 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-723)) (-4 *5 (-159)))) ((*1 *1 *1) (-12 (-5 *1 (-130 *2 *3 *4)) (-14 *2 (-532)) (-14 *3 (-723)) (-4 *4 (-159)))) ((*1 *1 *1) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-983)) (-4 *1 (-637 *3 *2 *4)) (-4 *2 (-349 *3)) (-4 *4 (-349 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1062 *2 *3)) (-14 *2 (-723)) (-4 *3 (-983))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1078)) (-4 *1 (-365))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-598 *3)) (-4 *3 (-1154 *5)) (-4 *5 (-280)) (-5 *2 (-723)) (-5 *1 (-430 *5 *3))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1096)) (-5 *4 (-895 (-532))) (-5 *2 (-304)) (-5 *1 (-306)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1096)) (-5 *4 (-1018 (-895 (-532)))) (-5 *2 (-304)) (-5 *1 (-306)))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-723)) (-5 *1 (-626 *3)) (-4 *3 (-983)) (-4 *3 (-1025))))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-601 *2 *3 *4)) (-4 *2 (-1025)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-808))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-364)) (-5 *2 (-1183)) (-5 *1 (-367)))) ((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-367))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-639 *6)) (-5 *5 (-1 (-394 (-1092 *6)) (-1092 *6))) (-4 *6 (-339)) (-5 *2 (-598 (-2 (|:| |outval| *7) (|:| |outmult| (-532)) (|:| |outvect| (-598 (-639 *7)))))) (-5 *1 (-505 *6 *7 *4)) (-4 *7 (-339)) (-4 *4 (-13 (-339) (-798)))))) 
+(((*1 *2) (|partial| -12 (-4 *3 (-524)) (-4 *3 (-159)) (-5 *2 (-2 (|:| |particular| *1) (|:| -1322 (-598 *1)))) (-4 *1 (-343 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-428 *3 *4 *5 *6)) (|:| -1322 (-598 (-428 *3 *4 *5 *6))))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-800) (-524) (-573 (-508)))) (-5 *2 (-112)) (-5 *1 (-961 *4 *3)) (-4 *3 (-13 (-406 *4) (-23) (-974 (-532)) (-974 (-1096)) (-843 (-1096)) (-148)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1076 (-532))) (-5 *1 (-941 *3)) (-14 *3 (-532))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-2 (|:| -3220 (-1096)) (|:| -2330 (-413))))) (-5 *1 (-1100))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-786 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-793 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1092 (-532))) (-5 *1 (-885)) (-5 *3 (-532))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *1 (-757 *4 *2)) (-4 *2 (-13 (-29 *4) (-1116) (-901))))) ((*1 *1 *1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1) (-5 *1 (-808))) ((*1 *2 *3) (-12 (-5 *2 (-1076 *3)) (-5 *1 (-1080 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-250))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-238))) (-5 *4 (-1096)) (-5 *2 (-110)) (-5 *1 (-238)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-438))) (-5 *4 (-1096)) (-5 *2 (-110)) (-5 *1 (-438))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1076 (-202))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2548 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-527))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-112)) (-5 *3 (-598 *1)) (-4 *1 (-275)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-275)) (-5 *2 (-112)))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-571 *3)) (-4 *3 (-800)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-112)) (-5 *3 (-598 *5)) (-5 *4 (-723)) (-4 *5 (-800)) (-5 *1 (-571 *5))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-1025)) (-5 *1 (-906 *2 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-228 *4 *3 *5 *6)) (-4 *4 (-983)) (-4 *3 (-800)) (-4 *5 (-241 *3)) (-4 *6 (-746)) (-5 *2 (-598 (-723))))) ((*1 *2 *1) (-12 (-4 *1 (-228 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-800)) (-4 *5 (-241 *4)) (-4 *6 (-746)) (-5 *2 (-598 (-723)))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-832 *5 *3)) (-5 *4 (-835 *5)) (-4 *5 (-1025)) (-4 *3 (-153 *6)) (-4 (-895 *6) (-829 *5)) (-4 *6 (-13 (-829 *5) (-159))) (-5 *1 (-163 *5 *6 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-832 *4 *1)) (-5 *3 (-835 *4)) (-4 *1 (-829 *4)) (-4 *4 (-1025)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-832 *5 *6)) (-5 *4 (-835 *5)) (-4 *5 (-1025)) (-4 *6 (-13 (-1025) (-974 *3))) (-4 *3 (-829 *5)) (-5 *1 (-874 *5 *3 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-832 *5 *3)) (-4 *5 (-1025)) (-4 *3 (-13 (-406 *6) (-573 *4) (-829 *5) (-974 (-571 $)))) (-5 *4 (-835 *5)) (-4 *6 (-13 (-524) (-800) (-829 *5))) (-5 *1 (-875 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-832 (-532) *3)) (-5 *4 (-835 (-532))) (-4 *3 (-517)) (-5 *1 (-876 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-832 *5 *6)) (-5 *3 (-571 *6)) (-4 *5 (-1025)) (-4 *6 (-13 (-800) (-974 (-571 $)) (-573 *4) (-829 *5))) (-5 *4 (-835 *5)) (-5 *1 (-877 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-828 *5 *6 *3)) (-5 *4 (-835 *5)) (-4 *5 (-1025)) (-4 *6 (-829 *5)) (-4 *3 (-618 *6)) (-5 *1 (-878 *5 *6 *3)))) ((*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-832 *6 *3) *8 (-835 *6) (-832 *6 *3))) (-4 *8 (-800)) (-5 *2 (-832 *6 *3)) (-5 *4 (-835 *6)) (-4 *6 (-1025)) (-4 *3 (-13 (-892 *9 *7 *8) (-573 *4))) (-4 *7 (-746)) (-4 *9 (-13 (-983) (-800) (-829 *6))) (-5 *1 (-879 *6 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-832 *5 *3)) (-4 *5 (-1025)) (-4 *3 (-13 (-892 *8 *6 *7) (-573 *4))) (-5 *4 (-835 *5)) (-4 *7 (-829 *5)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *8 (-13 (-983) (-800) (-829 *5))) (-5 *1 (-879 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-832 *5 *3)) (-4 *5 (-1025)) (-4 *3 (-930 *6)) (-4 *6 (-13 (-524) (-829 *5) (-573 *4))) (-5 *4 (-835 *5)) (-5 *1 (-882 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-832 *5 (-1096))) (-5 *3 (-1096)) (-5 *4 (-835 *5)) (-4 *5 (-1025)) (-5 *1 (-883 *5)))) ((*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-598 (-835 *7))) (-5 *5 (-1 *9 (-598 *9))) (-5 *6 (-1 (-832 *7 *9) *9 (-835 *7) (-832 *7 *9))) (-4 *7 (-1025)) (-4 *9 (-13 (-983) (-573 (-835 *7)) (-974 *8))) (-5 *2 (-832 *7 *9)) (-5 *3 (-598 *9)) (-4 *8 (-13 (-983) (-800))) (-5 *1 (-884 *7 *8 *9))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-598 *3))) (-4 *3 (-1025)) (-5 *1 (-848 *3))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-532)) (-5 *5 (-639 (-202))) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-702))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-394 *3)) (-4 *3 (-524))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-608 *2)) (-4 *2 (-983)) (-4 *2 (-339)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-339)) (-5 *1 (-611 *4 *2)) (-4 *2 (-608 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-365)) (-5 *2 (-1078))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *5 (-1078)) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-81 PDEF)))) (-5 *7 (-3 (|:| |fn| (-364)) (|:| |fp| (-82 BNDY)))) (-5 *2 (-972)) (-5 *1 (-702))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-895 *4)) (-4 *4 (-13 (-280) (-137))) (-4 *2 (-892 *4 *6 *5)) (-5 *1 (-867 *4 *5 *6 *2)) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-112)) (-5 *4 (-571 *7)) (-4 *7 (-13 (-406 *6) (-23) (-974 *2) (-974 *5) (-843 *5) (-148))) (-5 *5 (-1096)) (-4 *6 (-983)) (-4 *6 (-13 (-800) (-524) (-573 (-508)))) (-5 *2 (-532)) (-5 *1 (-961 *6 *7))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-932 *2)) (-4 *2 (-1130)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-532)) (-5 *5 (-639 (-202))) (-5 *6 (-626 (-202))) (-5 *3 (-202)) (-5 *2 (-972)) (-5 *1 (-702))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-288 *3)) (-4 *3 (-524)) (-4 *3 (-800))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1136 *2)) (-4 *2 (-983)))) ((*1 *1 *1) (-12 (-5 *1 (-1170 *2 *3 *4)) (-4 *2 (-983)) (-14 *3 (-1096)) (-14 *4 *2)))) 
+(((*1 *1 *1) (|partial| -12 (-4 *1 (-343 *2)) (-4 *2 (-159)) (-4 *2 (-524)))) ((*1 *1 *1) (|partial| -4 *1 (-672)))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -1322 (-639 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-639 *3)))) (-4 *3 (-13 (-280) (-10 -8 (-15 -4044 ((-394 $) $))))) (-4 *4 (-1154 *3)) (-5 *1 (-479 *3 *4 *5)) (-4 *5 (-385 *3 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808)))) ((*1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-37 (-383 (-532)))) (-5 *2 (-2 (|:| -2412 (-1076 *4)) (|:| -2418 (-1076 *4)))) (-5 *1 (-1082 *4)) (-5 *3 (-1076 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-532)) (-5 *3 (-723)) (-5 *1 (-529))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1124 *2 *3 *4 *5)) (-4 *2 (-524)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *5 (-997 *2 *3 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-864)) (-5 *1 (-1181)))) ((*1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-1181))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-343 *4)) (-4 *4 (-159)) (-5 *2 (-1178 (-639 *4))))) ((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-1178 (-639 *4))) (-5 *1 (-392 *3 *4)) (-4 *3 (-393 *4)))) ((*1 *2) (-12 (-4 *1 (-393 *3)) (-4 *3 (-159)) (-5 *2 (-1178 (-639 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-1096))) (-4 *5 (-339)) (-5 *2 (-1178 (-639 (-383 (-895 *5))))) (-5 *1 (-1013 *5)) (-5 *4 (-639 (-383 (-895 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-1096))) (-4 *5 (-339)) (-5 *2 (-1178 (-639 (-895 *5)))) (-5 *1 (-1013 *5)) (-5 *4 (-639 (-895 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-639 *4))) (-4 *4 (-339)) (-5 *2 (-1178 (-639 *4))) (-5 *1 (-1013 *4))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *2) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-110))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *6)) (-5 *4 (-1096)) (-4 *6 (-406 *5)) (-4 *5 (-800)) (-5 *2 (-598 (-571 *6))) (-5 *1 (-541 *5 *6))))) 
+(((*1 *2) (-12 (-5 *2 (-1056 (-202))) (-5 *1 (-1114))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-598 (-639 *4))) (-5 *2 (-639 *4)) (-4 *4 (-983)) (-5 *1 (-966 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-870))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-288 (-532))) (|:| -2255 (-288 (-355))) (|:| CF (-288 (-156 (-355)))) (|:| |switch| (-1095)))) (-5 *1 (-1095))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-532)) (-5 *5 (-639 (-202))) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-848 *3))) (-5 *1 (-847 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-5 *2 (-1183)) (-5 *1 (-1099)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1096)) (-5 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-5 *2 (-1183)) (-5 *1 (-1099)))) ((*1 *2 *3 *4 *1) (-12 (-5 *3 (-1096)) (-5 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-5 *2 (-1183)) (-5 *1 (-1099))))) 
+(((*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-112)) (-5 *2 (-532)) (-5 *4 (-1096)) (-4 *6 (-13 (-800) (-524) (-573 (-508)))) (-5 *1 (-961 *6 *5)) (-4 *5 (-13 (-406 *6) (-23) (-974 *2) (-974 *4) (-843 *4) (-148)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-1096))) (-5 *2 (-1183)) (-5 *1 (-1099)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-1096))) (-5 *3 (-1096)) (-5 *2 (-1183)) (-5 *1 (-1099)))) ((*1 *2 *3 *4 *1) (-12 (-5 *4 (-598 (-1096))) (-5 *3 (-1096)) (-5 *2 (-1183)) (-5 *1 (-1099))))) 
+(((*1 *1 *2 *3) (-12 (-4 *1 (-358 *3 *2)) (-4 *3 (-983)) (-4 *2 (-1025)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-532)) (-5 *2 (-1076 *3)) (-5 *1 (-1080 *3)) (-4 *3 (-983)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-772 *4)) (-4 *4 (-800)) (-4 *1 (-1194 *4 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-532)) (-5 *5 (-639 (-202))) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-85 FCN)))) (-5 *7 (-3 (|:| |fn| (-364)) (|:| |fp| (-87 OUTPUT)))) (-5 *3 (-202)) (-5 *2 (-972)) (-5 *1 (-701))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-202)) (-5 *1 (-203)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-156 (-202))) (-5 *1 (-203))))) 
+(((*1 *2 *2) (-12 (-4 *2 (-159)) (-4 *2 (-983)) (-5 *1 (-664 *2 *3)) (-4 *3 (-600 *2)))) ((*1 *2 *2) (-12 (-5 *1 (-787 *2)) (-4 *2 (-159)) (-4 *2 (-983))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-383 *4)) (-4 *4 (-1154 *3)) (-4 *3 (-13 (-339) (-137))) (-5 *1 (-375 *3 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-598 *9)) (-4 *8 (-997 *5 *6 *7)) (-4 *9 (-1002 *5 *6 *7 *8)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-723)) (-5 *1 (-1000 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-598 *9)) (-4 *8 (-997 *5 *6 *7)) (-4 *9 (-1034 *5 *6 *7 *8)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-723)) (-5 *1 (-1065 *5 *6 *7 *8 *9))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1064)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1201 *4 *2)) (-4 *1 (-350 *4 *2)) (-4 *4 (-800)) (-4 *2 (-159)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1194 *3 *2)) (-4 *3 (-800)) (-4 *2 (-983)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-772 *4)) (-4 *1 (-1194 *4 *2)) (-4 *4 (-800)) (-4 *2 (-983)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-983)) (-5 *1 (-1200 *2 *3)) (-4 *3 (-796))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-532)) (-5 *5 (-639 (-202))) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-88 G)))) (-5 *7 (-3 (|:| |fn| (-364)) (|:| |fp| (-85 FCN)))) (-5 *3 (-202)) (-5 *2 (-972)) (-5 *1 (-701))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1064)) (-5 *3 (-532)) (-5 *2 (-110))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *2)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *2 (-997 *3 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-598 *3)) (-4 *3 (-1034 *5 *6 *7 *8)) (-4 *5 (-13 (-280) (-137))) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *8 (-997 *5 *6 *7)) (-5 *2 (-110)) (-5 *1 (-554 *5 *6 *7 *8 *3))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-529))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-158))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-864)) (|has| *1 (-6 -4280)) (-4 *1 (-380)))) ((*1 *2) (-12 (-4 *1 (-380)) (-5 *2 (-864)))) ((*1 *2 *2) (-12 (-5 *2 (-864)) (-5 *1 (-648)))) ((*1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-648))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-823 (-1 (-202) (-202)))) (-5 *4 (-1020 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1056 (-202))) (-5 *1 (-230)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-823 (-1 (-202) (-202)))) (-5 *4 (-1020 (-355))) (-5 *2 (-1056 (-202))) (-5 *1 (-230)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-886 (-202)) (-202))) (-5 *4 (-1020 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1056 (-202))) (-5 *1 (-230)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-886 (-202)) (-202))) (-5 *4 (-1020 (-355))) (-5 *2 (-1056 (-202))) (-5 *1 (-230)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-202) (-202) (-202))) (-5 *4 (-1020 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1056 (-202))) (-5 *1 (-230)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-202) (-202) (-202))) (-5 *4 (-1020 (-355))) (-5 *2 (-1056 (-202))) (-5 *1 (-230)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-886 (-202)) (-202) (-202))) (-5 *4 (-1020 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1056 (-202))) (-5 *1 (-230)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-886 (-202)) (-202) (-202))) (-5 *4 (-1020 (-355))) (-5 *2 (-1056 (-202))) (-5 *1 (-230)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-825 (-1 (-202) (-202) (-202)))) (-5 *4 (-1020 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1056 (-202))) (-5 *1 (-230)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-825 (-1 (-202) (-202) (-202)))) (-5 *4 (-1020 (-355))) (-5 *2 (-1056 (-202))) (-5 *1 (-230)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-823 *6)) (-5 *4 (-1018 (-355))) (-5 *5 (-598 (-238))) (-4 *6 (-13 (-573 (-508)) (-1025))) (-5 *2 (-1056 (-202))) (-5 *1 (-234 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-823 *5)) (-5 *4 (-1018 (-355))) (-4 *5 (-13 (-573 (-508)) (-1025))) (-5 *2 (-1056 (-202))) (-5 *1 (-234 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1018 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1056 (-202))) (-5 *1 (-234 *3)) (-4 *3 (-13 (-573 (-508)) (-1025))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1018 (-355))) (-5 *2 (-1056 (-202))) (-5 *1 (-234 *3)) (-4 *3 (-13 (-573 (-508)) (-1025))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-825 *6)) (-5 *4 (-1018 (-355))) (-5 *5 (-598 (-238))) (-4 *6 (-13 (-573 (-508)) (-1025))) (-5 *2 (-1056 (-202))) (-5 *1 (-234 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-825 *5)) (-5 *4 (-1018 (-355))) (-4 *5 (-13 (-573 (-508)) (-1025))) (-5 *2 (-1056 (-202))) (-5 *1 (-234 *5))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-532)) (-5 *5 (-1078)) (-5 *6 (-639 (-202))) (-5 *7 (-3 (|:| |fn| (-364)) (|:| |fp| (-88 G)))) (-5 *8 (-3 (|:| |fn| (-364)) (|:| |fp| (-85 FCN)))) (-5 *9 (-3 (|:| |fn| (-364)) (|:| |fp| (-87 OUTPUT)))) (-5 *3 (-202)) (-5 *2 (-972)) (-5 *1 (-701))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-288 (-202))) (|:| -2932 (-598 (-202))) (|:| |lb| (-598 (-793 (-202)))) (|:| |cf| (-598 (-288 (-202)))) (|:| |ub| (-598 (-793 (-202)))))) (-5 *1 (-242))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (|has| *2 (-6 (-4291 "*"))) (-4 *5 (-349 *2)) (-4 *6 (-349 *2)) (-4 *2 (-983)) (-5 *1 (-102 *2 *3 *4 *5 *6)) (-4 *3 (-1154 *2)) (-4 *4 (-637 *2 *5 *6))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-1035)) (-5 *3 (-532))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-202) (-202))) (-5 *4 (-1020 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1179)) (-5 *1 (-230)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-202) (-202))) (-5 *4 (-1020 (-355))) (-5 *2 (-1179)) (-5 *1 (-230)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-821 (-1 (-202) (-202)))) (-5 *4 (-1020 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1179)) (-5 *1 (-230)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-821 (-1 (-202) (-202)))) (-5 *4 (-1020 (-355))) (-5 *2 (-1179)) (-5 *1 (-230)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-823 (-1 (-202) (-202)))) (-5 *4 (-1020 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1180)) (-5 *1 (-230)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-823 (-1 (-202) (-202)))) (-5 *4 (-1020 (-355))) (-5 *2 (-1180)) (-5 *1 (-230)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-886 (-202)) (-202))) (-5 *4 (-1020 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1180)) (-5 *1 (-230)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-886 (-202)) (-202))) (-5 *4 (-1020 (-355))) (-5 *2 (-1180)) (-5 *1 (-230)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-202) (-202) (-202))) (-5 *4 (-1020 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1180)) (-5 *1 (-230)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-202) (-202) (-202))) (-5 *4 (-1020 (-355))) (-5 *2 (-1180)) (-5 *1 (-230)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-886 (-202)) (-202) (-202))) (-5 *4 (-1020 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1180)) (-5 *1 (-230)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-886 (-202)) (-202) (-202))) (-5 *4 (-1020 (-355))) (-5 *2 (-1180)) (-5 *1 (-230)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-825 (-1 (-202) (-202) (-202)))) (-5 *4 (-1020 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1180)) (-5 *1 (-230)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-825 (-1 (-202) (-202) (-202)))) (-5 *4 (-1020 (-355))) (-5 *2 (-1180)) (-5 *1 (-230)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-267 *7)) (-5 *4 (-1096)) (-5 *5 (-598 (-238))) (-4 *7 (-406 *6)) (-4 *6 (-13 (-524) (-800) (-974 (-532)))) (-5 *2 (-1179)) (-5 *1 (-231 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1018 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1179)) (-5 *1 (-234 *3)) (-4 *3 (-13 (-573 (-508)) (-1025))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1018 (-355))) (-5 *2 (-1179)) (-5 *1 (-234 *3)) (-4 *3 (-13 (-573 (-508)) (-1025))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-821 *6)) (-5 *4 (-1018 (-355))) (-5 *5 (-598 (-238))) (-4 *6 (-13 (-573 (-508)) (-1025))) (-5 *2 (-1179)) (-5 *1 (-234 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-821 *5)) (-5 *4 (-1018 (-355))) (-4 *5 (-13 (-573 (-508)) (-1025))) (-5 *2 (-1179)) (-5 *1 (-234 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-823 *6)) (-5 *4 (-1018 (-355))) (-5 *5 (-598 (-238))) (-4 *6 (-13 (-573 (-508)) (-1025))) (-5 *2 (-1180)) (-5 *1 (-234 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-823 *5)) (-5 *4 (-1018 (-355))) (-4 *5 (-13 (-573 (-508)) (-1025))) (-5 *2 (-1180)) (-5 *1 (-234 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1018 (-355))) (-5 *5 (-598 (-238))) (-5 *2 (-1180)) (-5 *1 (-234 *3)) (-4 *3 (-13 (-573 (-508)) (-1025))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1018 (-355))) (-5 *2 (-1180)) (-5 *1 (-234 *3)) (-4 *3 (-13 (-573 (-508)) (-1025))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-825 *6)) (-5 *4 (-1018 (-355))) (-5 *5 (-598 (-238))) (-4 *6 (-13 (-573 (-508)) (-1025))) (-5 *2 (-1180)) (-5 *1 (-234 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-825 *5)) (-5 *4 (-1018 (-355))) (-4 *5 (-13 (-573 (-508)) (-1025))) (-5 *2 (-1180)) (-5 *1 (-234 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-598 (-202))) (-5 *2 (-1179)) (-5 *1 (-235)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-598 (-202))) (-5 *4 (-598 (-238))) (-5 *2 (-1179)) (-5 *1 (-235)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-886 (-202)))) (-5 *2 (-1179)) (-5 *1 (-235)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-886 (-202)))) (-5 *4 (-598 (-238))) (-5 *2 (-1179)) (-5 *1 (-235)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-598 (-202))) (-5 *2 (-1180)) (-5 *1 (-235)))) ((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-598 (-202))) (-5 *4 (-598 (-238))) (-5 *2 (-1180)) (-5 *1 (-235))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-532)) (-5 *5 (-1078)) (-5 *6 (-639 (-202))) (-5 *7 (-3 (|:| |fn| (-364)) (|:| |fp| (-88 G)))) (-5 *8 (-3 (|:| |fn| (-364)) (|:| |fp| (-85 FCN)))) (-5 *9 (-3 (|:| |fn| (-364)) (|:| |fp| (-70 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-364)) (|:| |fp| (-87 OUTPUT)))) (-5 *3 (-202)) (-5 *2 (-972)) (-5 *1 (-701))))) 
+(((*1 *2 *2) (-12 (-4 *2 (-13 (-339) (-798))) (-5 *1 (-165 *2 *3)) (-4 *3 (-1154 (-156 *2)))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-932 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-532)) (-5 *1 (-645 *2)) (-4 *2 (-1154 *3))))) 
+(((*1 *2) (-12 (-4 *2 (-13 (-406 *3) (-939))) (-5 *1 (-251 *3 *2)) (-4 *3 (-13 (-800) (-524)))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-639 (-202))) (-5 *4 (-532)) (-5 *5 (-202)) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-85 FCN)))) (-5 *2 (-972)) (-5 *1 (-701))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1154 *5)) (-4 *5 (-339)) (-4 *7 (-1154 (-383 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -3833 *3))) (-5 *1 (-530 *5 *6 *7 *3)) (-4 *3 (-316 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1154 *5)) (-4 *5 (-339)) (-5 *2 (-2 (|:| |answer| (-383 *6)) (|:| -3833 (-383 *6)) (|:| |specpart| (-383 *6)) (|:| |polypart| *6))) (-5 *1 (-531 *5 *6)) (-5 *3 (-383 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-325)) (-5 *2 (-394 *3)) (-5 *1 (-194 *4 *3)) (-4 *3 (-1154 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-394 *3)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-723)) (-5 *2 (-394 *3)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-723))) (-5 *2 (-394 *3)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-598 (-723))) (-5 *5 (-723)) (-5 *2 (-394 *3)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-723)) (-5 *2 (-394 *3)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3) (-12 (-5 *2 (-394 *3)) (-5 *1 (-944 *3)) (-4 *3 (-1154 (-383 (-532)))))) ((*1 *2 *3) (-12 (-5 *2 (-394 *3)) (-5 *1 (-1143 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-355)) (-5 *1 (-995))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-524)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-997 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1048 (-532) (-571 (-47)))) (-5 *1 (-47)))) ((*1 *2 *1) (-12 (-4 *3 (-930 *2)) (-4 *4 (-1154 *3)) (-4 *2 (-280)) (-5 *1 (-389 *2 *3 *4 *5)) (-4 *5 (-13 (-385 *3 *4) (-974 *3))))) ((*1 *2 *1) (-12 (-4 *3 (-524)) (-4 *3 (-800)) (-5 *2 (-1048 *3 (-571 *1))) (-4 *1 (-406 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1048 (-532) (-571 (-475)))) (-5 *1 (-475)))) ((*1 *2 *1) (-12 (-4 *4 (-159)) (-4 *2 (|SubsetCategory| (-676) *4)) (-5 *1 (-577 *3 *4 *2)) (-4 *3 (-37 *4)))) ((*1 *2 *1) (-12 (-4 *4 (-159)) (-4 *2 (|SubsetCategory| (-676) *4)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-667 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-930 *2)) (-4 *2 (-524))))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-532)) (-5 *5 (-639 (-202))) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-83 FCNF)))) (-5 *7 (-3 (|:| |fn| (-364)) (|:| |fp| (-84 FCNG)))) (-5 *3 (-202)) (-5 *2 (-972)) (-5 *1 (-701))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2881 *4))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1 (-355))) (-5 *1 (-976))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-1132))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-160 (-383 (-532)))) (-5 *1 (-115 *3)) (-14 *3 (-532)))) ((*1 *1 *2 *3 *3) (-12 (-5 *3 (-1076 *2)) (-4 *2 (-280)) (-5 *1 (-160 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-383 *3)) (-4 *3 (-280)) (-5 *1 (-160 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-160 (-532))) (-5 *1 (-717 *3)) (-4 *3 (-380)))) ((*1 *2 *1) (-12 (-5 *2 (-160 (-383 (-532)))) (-5 *1 (-816 *3)) (-14 *3 (-532)))) ((*1 *2 *1) (-12 (-14 *3 (-532)) (-5 *2 (-160 (-383 (-532)))) (-5 *1 (-817 *3 *4)) (-4 *4 (-814 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1048 (-532) (-571 (-47)))) (-5 *1 (-47)))) ((*1 *2 *1) (-12 (-4 *3 (-280)) (-4 *4 (-930 *3)) (-4 *5 (-1154 *4)) (-5 *2 (-1178 *6)) (-5 *1 (-389 *3 *4 *5 *6)) (-4 *6 (-13 (-385 *4 *5) (-974 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-983)) (-4 *3 (-800)) (-5 *2 (-1048 *3 (-571 *1))) (-4 *1 (-406 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1048 (-532) (-571 (-475)))) (-5 *1 (-475)))) ((*1 *2 *1) (-12 (-4 *3 (-159)) (-4 *2 (-37 *3)) (-5 *1 (-577 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-676) *3)))) ((*1 *2 *1) (-12 (-4 *3 (-159)) (-4 *2 (-667 *3)) (-5 *1 (-614 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-676) *3)))) ((*1 *2 *1) (-12 (-4 *1 (-930 *2)) (-4 *2 (-524))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-639 (-202))) (-5 *4 (-532)) (-5 *5 (-202)) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-60 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-364)) (|:| |fp| (-86 BDYVAL)))) (-5 *2 (-972)) (-5 *1 (-701)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-639 (-202))) (-5 *4 (-532)) (-5 *5 (-202)) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-60 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-364)) (|:| |fp| (-86 BDYVAL)))) (-5 *8 (-364)) (-5 *2 (-972)) (-5 *1 (-701))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-639 *5)) (-4 *5 (-983)) (-5 *1 (-987 *3 *4 *5)) (-14 *3 (-723)) (-14 *4 (-723))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-288 *4)) (-4 *4 (-13 (-781) (-800) (-983))) (-5 *2 (-1078)) (-5 *1 (-779 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-288 *5)) (-5 *4 (-110)) (-4 *5 (-13 (-781) (-800) (-983))) (-5 *2 (-1078)) (-5 *1 (-779 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-775)) (-5 *4 (-288 *5)) (-4 *5 (-13 (-781) (-800) (-983))) (-5 *2 (-1183)) (-5 *1 (-779 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-775)) (-5 *4 (-288 *6)) (-5 *5 (-110)) (-4 *6 (-13 (-781) (-800) (-983))) (-5 *2 (-1183)) (-5 *1 (-779 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-781)) (-5 *2 (-1078)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-781)) (-5 *3 (-110)) (-5 *2 (-1078)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-781)) (-5 *3 (-775)) (-5 *2 (-1183)))) ((*1 *2 *3 *1 *4) (-12 (-4 *1 (-781)) (-5 *3 (-775)) (-5 *4 (-110)) (-5 *2 (-1183))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-288 (-532))) (-5 *1 (-455 *3)) (-4 *3 (-13 (-325) (-573 (-532))))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-997 *3 *4 *2)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-532)) (-5 *5 (-639 (-202))) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-74 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-364)) (|:| |fp| (-75 G JACOBG JACGEP)))) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-701))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-569 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-5 *2 (-110))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-56 *2 *3 *4)) (-4 *2 (-1130)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-565 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-1130))))) 
+(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-864)) (-5 *1 (-1026 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1183)) (-5 *1 (-811 *4 *5 *6 *7)) (-4 *4 (-983)) (-14 *5 (-598 (-1096))) (-14 *6 (-598 *3)) (-14 *7 *3))) ((*1 *2 *3) (-12 (-5 *3 (-723)) (-4 *4 (-983)) (-4 *5 (-800)) (-4 *6 (-746)) (-14 *8 (-598 *5)) (-5 *2 (-1183)) (-5 *1 (-1189 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-892 *4 *6 *5)) (-14 *9 (-598 *3)) (-14 *10 *3)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-296 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-126)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1025)) (-5 *1 (-337 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1025)) (-5 *1 (-362 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1025)) (-5 *1 (-601 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-864)) (-5 *1 (-333 *3)) (-4 *3 (-325))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-639 *5))) (-5 *4 (-532)) (-4 *5 (-339)) (-4 *5 (-983)) (-5 *2 (-110)) (-5 *1 (-966 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-639 *4))) (-4 *4 (-339)) (-4 *4 (-983)) (-5 *2 (-110)) (-5 *1 (-966 *4))))) 
+(((*1 *1 *1) (-5 *1 (-110)))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *5 (-3 (|:| |fn| (-364)) (|:| |fp| (-63 G)))) (-5 *2 (-972)) (-5 *1 (-700))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-337 (-112))) (-4 *2 (-983)) (-5 *1 (-664 *2 *4)) (-4 *4 (-600 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-337 (-112))) (-5 *1 (-787 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *3) (-12 (-4 *2 (-339)) (-4 *2 (-798)) (-5 *1 (-888 *2 *3)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1151 *5 *4)) (-4 *4 (-427)) (-4 *4 (-773)) (-14 *5 (-1096)) (-5 *2 (-532)) (-5 *1 (-1039 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-1130)) (-4 *3 (-800)) (-5 *2 (-110)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4 *4)) (-4 *1 (-349 *4)) (-4 *4 (-1130)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-202)) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-700))))) 
+(((*1 *2 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *2)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *2 (-997 *3 *4 *5))))) 
+(((*1 *2 *3) (-12 (-4 *2 (-1154 *4)) (-5 *1 (-762 *4 *2 *3 *5)) (-4 *4 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *3 (-608 *2)) (-4 *5 (-608 (-383 *2)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-112)) (-5 *4 (-1096)) (-4 *6 (-983)) (-4 *6 (-13 (-800) (-524) (-573 (-508)))) (-5 *2 (-2 (|:| -3103 (-3 (-532) "failed")) (|:| -4092 (-3 (-532) "failed")) (|:| |ker| (-571 *5)))) (-5 *1 (-961 *6 *5)) (-4 *5 (-13 (-406 *6) (-23) (-974 (-532)) (-974 *4) (-843 *4) (-148)))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-532)) (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-202)) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-77 FUNCTN)))) (-5 *2 (-972)) (-5 *1 (-700))))) 
+(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-112)) (-5 *4 (-723)) (-4 *5 (-427)) (-4 *5 (-800)) (-4 *5 (-974 (-532))) (-4 *5 (-524)) (-5 *1 (-40 *5 *2)) (-4 *2 (-406 *5)) (-4 *2 (-13 (-339) (-275) (-10 -8 (-15 -2251 ((-1048 *5 (-571 $)) $)) (-15 -2258 ((-1048 *5 (-571 $)) $)) (-15 -1256 ($ (-1048 *5 (-571 $)))))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1 (-1076 (-895 *4)) (-1076 (-895 *4)))) (-5 *1 (-1187 *4)) (-4 *4 (-339))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-532)) (-5 *1 (-1105 *2)) (-4 *2 (-339))))) 
+(((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-639 (-202))) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-700))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-800)) (-5 *1 (-466 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1183)) (-5 *1 (-1099)))) ((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-1100))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-1190 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-598 *8)) (-5 *3 (-1 (-110) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-524)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *1 (-1190 *5 *6 *7 *8))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1064)) (-5 *2 (-110))))) 
+(((*1 *1 *1) (-4 *1 (-584))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-585 *3 *2)) (-4 *2 (-13 (-406 *3) (-939) (-1116)))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-202)) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-77 FUNCTN)))) (-5 *2 (-972)) (-5 *1 (-700))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-5 *2 (-1 *5)) (-5 *1 (-632 *4 *5))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-130 *2 *3 *4)) (-14 *2 (-532)) (-14 *3 (-723)) (-4 *4 (-159)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-800) (-524))) (-5 *1 (-146 *4 *2)) (-4 *2 (-406 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1018 *2)) (-4 *2 (-406 *4)) (-4 *4 (-13 (-800) (-524))) (-5 *1 (-146 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1018 *1)) (-4 *1 (-148)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-148)) (-5 *2 (-1096)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-442 *2 *3)) (-4 *2 (-159)) (-4 *3 (-23)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-1197 *3 *4)) (-4 *3 (-800)) (-4 *4 (-159))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1018 (-793 *3))) (-4 *3 (-13 (-1116) (-901) (-29 *5))) (-4 *5 (-13 (-280) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *2 (-3 (|:| |f1| (-793 *3)) (|:| |f2| (-598 (-793 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-196 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1018 (-793 *3))) (-5 *5 (-1078)) (-4 *3 (-13 (-1116) (-901) (-29 *6))) (-4 *6 (-13 (-280) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *2 (-3 (|:| |f1| (-793 *3)) (|:| |f2| (-598 (-793 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-196 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 *5))) (-5 *4 (-1018 (-793 (-288 *5)))) (-4 *5 (-13 (-280) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *2 (-3 (|:| |f1| (-793 (-288 *5))) (|:| |f2| (-598 (-793 (-288 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-197 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-383 (-895 *6))) (-5 *4 (-1018 (-793 (-288 *6)))) (-5 *5 (-1078)) (-4 *6 (-13 (-280) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *2 (-3 (|:| |f1| (-793 (-288 *6))) (|:| |f2| (-598 (-793 (-288 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-197 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1018 (-793 (-383 (-895 *5))))) (-5 *3 (-383 (-895 *5))) (-4 *5 (-13 (-280) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *2 (-3 (|:| |f1| (-793 (-288 *5))) (|:| |f2| (-598 (-793 (-288 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-197 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1018 (-793 (-383 (-895 *6))))) (-5 *5 (-1078)) (-5 *3 (-383 (-895 *6))) (-4 *6 (-13 (-280) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *2 (-3 (|:| |f1| (-793 (-288 *6))) (|:| |f2| (-598 (-793 (-288 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-197 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-13 (-280) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *2 (-3 *3 (-598 *3))) (-5 *1 (-404 *5 *3)) (-4 *3 (-13 (-1116) (-901) (-29 *5))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-451 *3 *4 *5)) (-4 *3 (-37 (-383 (-532)))) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-288 (-355))) (-5 *4 (-1020 (-793 (-355)))) (-5 *5 (-355)) (-5 *6 (-995)) (-5 *2 (-972)) (-5 *1 (-533)))) ((*1 *2 *3) (-12 (-5 *3 (-721)) (-5 *2 (-972)) (-5 *1 (-533)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-288 (-355))) (-5 *4 (-1020 (-793 (-355)))) (-5 *5 (-355)) (-5 *2 (-972)) (-5 *1 (-533)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-288 (-355))) (-5 *4 (-1020 (-793 (-355)))) (-5 *5 (-355)) (-5 *2 (-972)) (-5 *1 (-533)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-288 (-355))) (-5 *4 (-1020 (-793 (-355)))) (-5 *2 (-972)) (-5 *1 (-533)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-288 (-355))) (-5 *4 (-598 (-1020 (-793 (-355))))) (-5 *2 (-972)) (-5 *1 (-533)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-288 (-355))) (-5 *4 (-598 (-1020 (-793 (-355))))) (-5 *5 (-355)) (-5 *2 (-972)) (-5 *1 (-533)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-288 (-355))) (-5 *4 (-598 (-1020 (-793 (-355))))) (-5 *5 (-355)) (-5 *2 (-972)) (-5 *1 (-533)))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-288 (-355))) (-5 *4 (-598 (-1020 (-793 (-355))))) (-5 *5 (-355)) (-5 *6 (-995)) (-5 *2 (-972)) (-5 *1 (-533)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-288 (-355))) (-5 *4 (-1018 (-793 (-355)))) (-5 *5 (-1078)) (-5 *2 (-972)) (-5 *1 (-533)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-288 (-355))) (-5 *4 (-1018 (-793 (-355)))) (-5 *5 (-1096)) (-5 *2 (-972)) (-5 *1 (-533)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-339) (-137) (-974 (-532)))) (-4 *5 (-1154 *4)) (-5 *2 (-549 (-383 *5))) (-5 *1 (-536 *4 *5)) (-5 *3 (-383 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 *5))) (-5 *4 (-1096)) (-4 *5 (-137)) (-4 *5 (-13 (-427) (-974 (-532)) (-800) (-594 (-532)))) (-5 *2 (-3 (-288 *5) (-598 (-288 *5)))) (-5 *1 (-552 *5)))) ((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-690 *3 *2)) (-4 *3 (-983)) (-4 *2 (-800)) (-4 *3 (-37 (-383 (-532)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-895 *3)) (-4 *3 (-37 (-383 (-532)))) (-4 *3 (-983)))) ((*1 *1 *1 *2 *3) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *3 (-983)) (-4 *2 (-800)) (-5 *1 (-1049 *3 *2 *4)) (-4 *4 (-892 *3 (-504 *2) *2)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1086 *3 *4 *5)) (-4 *3 (-37 (-383 (-532)))) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1093 *3 *4 *5)) (-4 *3 (-37 (-383 (-532)))) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1094 *3 *4 *5)) (-4 *3 (-37 (-383 (-532)))) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *1 (-1125 *3)) (-4 *3 (-37 (-383 (-532)))) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 (QUOTE |x|))) (-5 *1 (-1136 *3)) (-4 *3 (-37 (-383 (-532)))) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-1328 (-12 (-5 *2 (-1096)) (-4 *1 (-1138 *3)) (-4 *3 (-983)) (-12 (-4 *3 (-29 (-532))) (-4 *3 (-901)) (-4 *3 (-1116)) (-4 *3 (-37 (-383 (-532)))))) (-12 (-5 *2 (-1096)) (-4 *1 (-1138 *3)) (-4 *3 (-983)) (-12 (|has| *3 (-15 -4236 ((-598 *2) *3))) (|has| *3 (-15 -2211 (*3 *3 *2))) (-4 *3 (-37 (-383 (-532)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-983)) (-4 *2 (-37 (-383 (-532)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1142 *3 *4 *5)) (-4 *3 (-37 (-383 (-532)))) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *1) (-12 (-4 *1 (-1154 *2)) (-4 *2 (-983)) (-4 *2 (-37 (-383 (-532)))))) ((*1 *1 *1 *2) (-1328 (-12 (-5 *2 (-1096)) (-4 *1 (-1159 *3)) (-4 *3 (-983)) (-12 (-4 *3 (-29 (-532))) (-4 *3 (-901)) (-4 *3 (-1116)) (-4 *3 (-37 (-383 (-532)))))) (-12 (-5 *2 (-1096)) (-4 *1 (-1159 *3)) (-4 *3 (-983)) (-12 (|has| *3 (-15 -4236 ((-598 *2) *3))) (|has| *3 (-15 -2211 (*3 *3 *2))) (-4 *3 (-37 (-383 (-532)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1159 *2)) (-4 *2 (-983)) (-4 *2 (-37 (-383 (-532)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-37 (-383 (-532)))) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *1 *2) (-1328 (-12 (-5 *2 (-1096)) (-4 *1 (-1169 *3)) (-4 *3 (-983)) (-12 (-4 *3 (-29 (-532))) (-4 *3 (-901)) (-4 *3 (-1116)) (-4 *3 (-37 (-383 (-532)))))) (-12 (-5 *2 (-1096)) (-4 *1 (-1169 *3)) (-4 *3 (-983)) (-12 (|has| *3 (-15 -4236 ((-598 *2) *3))) (|has| *3 (-15 -2211 (*3 *3 *2))) (-4 *3 (-37 (-383 (-532)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1169 *2)) (-4 *2 (-983)) (-4 *2 (-37 (-383 (-532)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1170 *3 *4 *5)) (-4 *3 (-37 (-383 (-532)))) (-4 *3 (-983)) (-14 *5 *3)))) 
+(((*1 *1 *1) (-5 *1 (-995)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 *1)) (|has| *1 (-6 -4290)) (-4 *1 (-947 *3)) (-4 *3 (-1130))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-639 *4)) (-4 *4 (-983)) (-5 *1 (-1062 *3 *4)) (-14 *3 (-723))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-864)) (-4 *5 (-524)) (-5 *2 (-639 *5)) (-5 *1 (-898 *5 *3)) (-4 *3 (-608 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1092 *4)) (-5 *1 (-551 *4)) (-4 *4 (-325))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-221 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-598 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-325)) (-5 *2 (-394 (-1092 (-1092 *4)))) (-5 *1 (-1129 *4)) (-5 *3 (-1092 (-1092 *4)))))) 
+(((*1 *2 *3 *2) (-12 (-4 *1 (-740)) (-5 *2 (-972)) (-5 *3 (-2 (|:| |fn| (-288 (-202))) (|:| -2548 (-598 (-1020 (-793 (-202))))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))))) ((*1 *2 *3 *2) (-12 (-4 *1 (-740)) (-5 *2 (-972)) (-5 *3 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202))))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-983)) (-4 *2 (-637 *4 *5 *6)) (-5 *1 (-102 *4 *3 *2 *5 *6)) (-4 *3 (-1154 *4)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-508)) (-5 *1 (-507 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-5 *2 (-51)) (-5 *1 (-508))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-349 *2)) (-4 *2 (-1130)) (-4 *2 (-800)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3 *3)) (-4 *1 (-349 *3)) (-4 *3 (-1130)))) ((*1 *2 *2) (-12 (-5 *2 (-598 (-848 *3))) (-5 *1 (-848 *3)) (-4 *3 (-1025)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-983)) (-4 *5 (-746)) (-4 *3 (-800)) (-4 *6 (-997 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -2022 *1) (|:| |upper| *1))) (-4 *1 (-914 *4 *5 *3 *6))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1178 *5)) (-4 *5 (-745)) (-5 *2 (-110)) (-5 *1 (-795 *4 *5)) (-14 *4 (-723))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-864)) (-5 *1 (-333 *3)) (-4 *3 (-325))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-994)))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-994))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-1108 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1043)) (-5 *1 (-90 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-1043)) (-5 *1 (-199 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-202)))) ((*1 *2 *1) (-12 (-5 *2 (-1043)) (-5 *1 (-466 *3)) (-4 *3 (-1025)) (-4 *3 (-800)))) ((*1 *1 *1) (-4 *1 (-517))) ((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-555 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1043)) (-5 *1 (-937 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-1025)) (-5 *2 (-1043)))) ((*1 *2 *1) (-12 (-5 *2 (-1043)) (-5 *1 (-1067 *3)) (-4 *3 (-1025)) (-4 *3 (-1025))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808))))) 
+(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-598 (-598 (-202)))) (-5 *4 (-202)) (-5 *2 (-598 (-886 *4))) (-5 *1 (-1127)) (-5 *3 (-886 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-605 (-383 *6))) (-5 *4 (-383 *6)) (-4 *6 (-1154 *5)) (-4 *5 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1322 (-598 *4)))) (-5 *1 (-763 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-605 (-383 *6))) (-4 *6 (-1154 *5)) (-4 *5 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-5 *2 (-2 (|:| -1322 (-598 (-383 *6))) (|:| -2048 (-639 *5)))) (-5 *1 (-763 *5 *6)) (-5 *4 (-598 (-383 *6))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-606 *6 (-383 *6))) (-5 *4 (-383 *6)) (-4 *6 (-1154 *5)) (-4 *5 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1322 (-598 *4)))) (-5 *1 (-763 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-606 *6 (-383 *6))) (-4 *6 (-1154 *5)) (-4 *5 (-13 (-339) (-137) (-974 (-532)) (-974 (-383 (-532))))) (-5 *2 (-2 (|:| -1322 (-598 (-383 *6))) (|:| -2048 (-639 *5)))) (-5 *1 (-763 *5 *6)) (-5 *4 (-598 (-383 *6)))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1096)) (-5 *5 (-598 (-383 (-895 *6)))) (-5 *3 (-383 (-895 *6))) (-4 *6 (-13 (-524) (-974 (-532)) (-137))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-598 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-538 *6))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2) (-12 (-5 *2 (-818)) (-5 *1 (-1181)))) ((*1 *2 *2) (-12 (-5 *2 (-818)) (-5 *1 (-1181))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))) (-5 *1 (-1003 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1096)) (|:| |arrayIndex| (-598 (-895 (-532)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-110)) (|:| -2769 (-808)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1096)) (|:| |rand| (-808)) (|:| |ints2Floats?| (-110)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1095)) (|:| |thenClause| (-304)) (|:| |elseClause| (-304)))) (|:| |returnBranch| (-2 (|:| -1460 (-110)) (|:| -1330 (-2 (|:| |ints2Floats?| (-110)) (|:| -2769 (-808)))))) (|:| |blockBranch| (-598 (-304))) (|:| |commentBranch| (-598 (-1078))) (|:| |callBranch| (-1078)) (|:| |forBranch| (-2 (|:| -2548 (-1018 (-895 (-532)))) (|:| |span| (-895 (-532))) (|:| |body| (-304)))) (|:| |labelBranch| (-1043)) (|:| |loopBranch| (-2 (|:| |switch| (-1095)) (|:| |body| (-304)))) (|:| |commonBranch| (-2 (|:| -3846 (-1096)) (|:| |contents| (-598 (-1096))))) (|:| |printBranch| (-598 (-808))))) (-5 *1 (-304))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1092 (-532))) (-5 *1 (-170)) (-5 *3 (-532)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-723)) (-5 *1 (-736 *2)) (-4 *2 (-159)))) ((*1 *2 *3) (-12 (-5 *2 (-1092 (-532))) (-5 *1 (-885)) (-5 *3 (-532))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1092 *3)) (-4 *3 (-983)) (-4 *1 (-1154 *3))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-532)) (-4 *1 (-1138 *4)) (-4 *4 (-983)) (-4 *4 (-524)) (-5 *2 (-383 (-895 *4))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *1 (-1138 *4)) (-4 *4 (-983)) (-4 *4 (-524)) (-5 *2 (-383 (-895 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *2 (-1 *5 *5)) (-5 *1 (-757 *4 *5)) (-4 *5 (-13 (-29 *4) (-1116) (-901)))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-1098 (-383 (-532)))) (-5 *1 (-169))))) 
+(((*1 *2 *3 *2) (-12 (-4 *2 (-13 (-339) (-798))) (-5 *1 (-165 *2 *3)) (-4 *3 (-1154 (-156 *2))))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-339) (-798))) (-5 *1 (-165 *2 *3)) (-4 *3 (-1154 (-156 *2)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-598 (-3 (|:| -3846 (-1096)) (|:| |bounds| (-598 (-3 (|:| S (-1096)) (|:| P (-895 (-532)))))))))) (-5 *1 (-1100))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-793 (-532))) (-5 *1 (-506)))) ((*1 *1) (-12 (-5 *1 (-793 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1025)) (-4 *3 (-843 *5)) (-5 *2 (-1178 *3)) (-5 *1 (-641 *5 *3 *6 *4)) (-4 *6 (-349 *3)) (-4 *4 (-13 (-349 *5) (-10 -7 (-6 -4289))))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-280)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *1 (-1047 *3 *4 *5 *2)) (-4 *2 (-637 *3 *4 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-864))) (-5 *1 (-1026 *3 *4)) (-14 *3 (-864)) (-14 *4 (-864))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *1 (-296 *4 *2)) (-4 *4 (-1025)) (-4 *2 (-126))))) 
+(((*1 *2) (-12 (-5 *2 (-793 (-532))) (-5 *1 (-506)))) ((*1 *1) (-12 (-5 *1 (-793 *2)) (-4 *2 (-1025))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *1 *1) (-12 (-4 *1 (-229 *2)) (-4 *2 (-1130)))) ((*1 *1 *1) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-349 *2)) (-4 *2 (-1130)))) ((*1 *1 *1) (-12 (-5 *1 (-601 *2 *3 *4)) (-4 *2 (-1025)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-835 *4)) (-4 *4 (-1025)) (-5 *2 (-1 (-110) *5)) (-5 *1 (-833 *4 *5)) (-4 *5 (-1130))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1025)) (-4 *2 (-843 *5)) (-5 *1 (-641 *5 *2 *3 *4)) (-4 *3 (-349 *2)) (-4 *4 (-13 (-349 *5) (-10 -7 (-6 -4289))))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-598 (-355))) (-5 *3 (-598 (-238))) (-5 *1 (-236)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-598 (-355))) (-5 *1 (-445)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-355))) (-5 *1 (-445)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-864)) (-5 *4 (-818)) (-5 *2 (-1183)) (-5 *1 (-1179)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-864)) (-5 *4 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1179))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-412))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)) (|has| *2 (-6 (-4291 "*"))) (-4 *2 (-983)))) ((*1 *2 *3) (-12 (-4 *4 (-349 *2)) (-4 *5 (-349 *2)) (-4 *2 (-159)) (-5 *1 (-638 *2 *4 *5 *3)) (-4 *3 (-637 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1046 *3 *2 *4 *5)) (-4 *4 (-215 *3 *2)) (-4 *5 (-215 *3 *2)) (|has| *2 (-6 (-4291 "*"))) (-4 *2 (-983))))) 
+(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3117 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-339)) (-4 *7 (-1154 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-383 *7)) (|:| |a0| *6)) (-2 (|:| -3117 (-383 *7)) (|:| |coeff| (-383 *7))) "failed")) (-5 *1 (-542 *6 *7)) (-5 *3 (-383 *7))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-972))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-598 (-639 (-532)))) (-5 *1 (-1035))))) 
+(((*1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-711))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-110)) (-5 *1 (-38 *3)) (-4 *3 (-1154 (-47)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-488 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-800))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-598 (-238))) (-5 *4 (-1096)) (-5 *1 (-237 *2)) (-4 *2 (-1130)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-598 (-238))) (-5 *4 (-1096)) (-5 *2 (-51)) (-5 *1 (-238)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-598 (-438))) (-5 *4 (-1096)) (-5 *2 (-51)) (-5 *1 (-438))))) 
+(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1078)) (-5 *2 (-726)) (-5 *1 (-112))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-288 (-202))) (-5 *4 (-1096)) (-5 *5 (-1020 (-793 (-202)))) (-5 *2 (-598 (-202))) (-5 *1 (-171)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-288 (-202))) (-5 *4 (-1096)) (-5 *5 (-1020 (-793 (-202)))) (-5 *2 (-598 (-202))) (-5 *1 (-273))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-886 *3) (-886 *3))) (-5 *1 (-161 *3)) (-4 *3 (-13 (-339) (-1116) (-939)))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-517)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-598 (-886 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-886 *3))) (-4 *3 (-983)) (-4 *1 (-1057 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-598 *3))) (-4 *1 (-1057 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-886 *3))) (-4 *1 (-1057 *3)) (-4 *3 (-983))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-160 *2)) (-4 *2 (-280))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-1092 (-895 *4))) (-5 *1 (-392 *3 *4)) (-4 *3 (-393 *4)))) ((*1 *2) (-12 (-4 *1 (-393 *3)) (-4 *3 (-159)) (-4 *3 (-339)) (-5 *2 (-1092 (-895 *3))))) ((*1 *2) (-12 (-5 *2 (-1092 (-383 (-895 *3)))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1096)) (-4 *4 (-983)) (-4 *4 (-800)) (-5 *2 (-2 (|:| |var| (-571 *1)) (|:| -3540 (-532)))) (-4 *1 (-406 *4)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-112)) (-4 *4 (-983)) (-4 *4 (-800)) (-5 *2 (-2 (|:| |var| (-571 *1)) (|:| -3540 (-532)))) (-4 *1 (-406 *4)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1037)) (-4 *3 (-800)) (-5 *2 (-2 (|:| |var| (-571 *1)) (|:| -3540 (-532)))) (-4 *1 (-406 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-835 *3)) (|:| -3540 (-723)))) (-5 *1 (-835 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-892 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-2 (|:| |var| *5) (|:| -3540 (-723)))))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-983)) (-4 *7 (-892 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -3540 (-532)))) (-5 *1 (-893 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-339) (-10 -8 (-15 -1256 ($ *7)) (-15 -2251 (*7 $)) (-15 -2258 (*7 $)))))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1154 (-532))) (-5 *1 (-468 *3))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1098 (-383 (-532)))) (-5 *1 (-169))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-1184 *3)) (-4 *3 (-339))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-1096))) (-5 *1 (-778))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-1096)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-438))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-723)) (-5 *1 (-424 *4 *5 *6 *3)) (-4 *3 (-892 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-532)) (-4 *2 (-406 *3)) (-5 *1 (-31 *3 *2)) (-4 *3 (-974 *4)) (-4 *3 (-13 (-800) (-524)))))) 
+(((*1 *1) (-5 *1 (-134)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-339)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-1184 *3)) (-4 *3 (-339)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-1178 *3))) (-4 *3 (-339)) (-5 *1 (-1184 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-598 (-1178 *4))) (-5 *3 (-723)) (-4 *4 (-339)) (-5 *1 (-1184 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *1)) (-4 *1 (-275)))) ((*1 *1 *1) (-4 *1 (-275))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808)))) ((*1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-598 (-383 *6))) (-5 *3 (-383 *6)) (-4 *6 (-1154 *5)) (-4 *5 (-13 (-339) (-137) (-974 (-532)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-598 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-536 *5 *6))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *2) (-12 (-5 *2 (-598 (-864))) (-5 *1 (-1181)))) ((*1 *2 *2) (-12 (-5 *2 (-598 (-864))) (-5 *1 (-1181))))) 
+(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-1178 *3)) (-4 *3 (-339)) (-5 *1 (-1184 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-325)) (-4 *4 (-303 *3)) (-4 *5 (-1154 *4)) (-5 *1 (-729 *3 *4 *5 *2 *6)) (-4 *2 (-1154 *5)) (-14 *6 (-864)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-1196 *3)) (-4 *3 (-339)) (-4 *3 (-344)))) ((*1 *1 *1) (-12 (-4 *1 (-1196 *2)) (-4 *2 (-339)) (-4 *2 (-344))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-598 *1)) (-4 *1 (-997 *4 *5 *6)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-110)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1124 *4 *5 *6 *3)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-598 (-895 *6))) (-5 *4 (-598 (-1096))) (-4 *6 (-427)) (-5 *2 (-598 (-598 *7))) (-5 *1 (-510 *6 *7 *5)) (-4 *7 (-339)) (-4 *5 (-13 (-339) (-798)))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-339)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-598 (-1178 *3))) (-4 *3 (-339)) (-5 *1 (-1184 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-1184 *3))) (-5 *1 (-1184 *3)) (-4 *3 (-339)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-598 (-1178 *3)))) (-4 *3 (-339)) (-5 *1 (-1184 *3))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *1 *1) (-5 *1 (-995)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-484 (-383 (-532)) (-217 *5 (-723)) (-810 *4) (-224 *4 (-383 (-532))))) (-14 *4 (-598 (-1096))) (-14 *5 (-723)) (-5 *2 (-110)) (-5 *1 (-485 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1136 *2)) (-4 *2 (-983)))) ((*1 *1 *1) (-12 (-5 *1 (-1170 *2 *3 *4)) (-4 *2 (-983)) (-14 *3 (-1096)) (-14 *4 *2)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-1178 *4))) (-4 *4 (-339)) (-5 *2 (-110)) (-5 *1 (-1184 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-1096))) (-5 *1 (-1100))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-90 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-105 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-5 *1 (-466 *2)) (-4 *2 (-800)))) ((*1 *2 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-5 *1 (-1067 *2)) (-4 *2 (-1025))))) 
+(((*1 *1) (-5 *1 (-445)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-573 (-835 *3))) (-4 *3 (-829 *3)) (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-573 (-835 *3))) (-4 *2 (-829 *3)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1184 *3)) (-4 *3 (-339))))) 
+(((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-869))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1108 *4 *5)) (-4 *4 (-1025)) (-4 *5 (-1025))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *2 (-598 (-598 (-532)))) (-5 *1 (-867 *4 *5 *6 *7)) (-5 *3 (-532)) (-4 *7 (-892 *4 *6 *5))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-339)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-598 (-1178 *3))) (-4 *3 (-339)) (-5 *1 (-1184 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-1184 *3))) (-5 *1 (-1184 *3)) (-4 *3 (-339)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-598 (-1178 *3)))) (-4 *3 (-339)) (-5 *1 (-1184 *3))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-1126 *3)) (-4 *3 (-912))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-2 (|:| -3220 *3) (|:| -2330 *4)))) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *1 (-1107 *3 *4)))) ((*1 *1) (-12 (-4 *1 (-1107 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-723)) (-4 *5 (-339)) (-5 *2 (-160 *6)) (-5 *1 (-812 *5 *4 *6)) (-4 *4 (-1169 *5)) (-4 *6 (-1154 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-13 (-800) (-974 (-532)) (-427) (-594 (-532)))) (-5 *2 (-2 (|:| -3704 *3) (|:| |nconst| *3))) (-5 *1 (-535 *5 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *5)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-598 (-571 *5))) (-5 *3 (-1096)) (-4 *5 (-406 *4)) (-4 *4 (-800)) (-5 *1 (-541 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-339)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-1178 *6)) (-5 *1 (-310 *3 *4 *5 *6)) (-4 *6 (-316 *3 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-464 *4 *5)) (-14 *4 (-598 (-1096))) (-4 *5 (-983)) (-5 *2 (-895 *5)) (-5 *1 (-887 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110)) (-5 *1 (-484 *3 *4 *5 *6)) (-4 *6 (-892 *3 *4 *5))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-355))) (-5 *1 (-976)) (-5 *3 (-355))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *1 *1) (-5 *1 (-47))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-58 *5)) (-4 *5 (-1130)) (-4 *2 (-1130)) (-5 *1 (-57 *5 *2)))) ((*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1025)) (|has| *1 (-6 -4289)) (-4 *1 (-141 *2)) (-4 *2 (-1130)))) ((*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4289)) (-4 *1 (-141 *2)) (-4 *2 (-1130)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4289)) (-4 *1 (-141 *2)) (-4 *2 (-1130)))) ((*1 *2 *3) (-12 (-4 *4 (-983)) (-5 *2 (-2 (|:| -3126 (-1092 *4)) (|:| |deg| (-864)))) (-5 *1 (-198 *4 *5)) (-5 *3 (-1092 *4)) (-4 *5 (-13 (-524) (-800))))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-217 *5 *6)) (-14 *5 (-723)) (-4 *6 (-1130)) (-4 *2 (-1130)) (-5 *1 (-216 *5 *6 *2)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-159)) (-5 *1 (-263 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1154 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-524)) (-4 *2 (-800)))) ((*1 *1 *1) (-12 (-4 *1 (-309 *2 *3 *4 *5)) (-4 *2 (-339)) (-4 *3 (-1154 *2)) (-4 *4 (-1154 (-383 *3))) (-4 *5 (-316 *2 *3 *4)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1130)) (-4 *2 (-1130)) (-5 *1 (-347 *5 *4 *2 *6)) (-4 *4 (-349 *5)) (-4 *6 (-349 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1025)) (-4 *2 (-1025)) (-5 *1 (-399 *5 *4 *2 *6)) (-4 *4 (-401 *5)) (-4 *6 (-401 *2)))) ((*1 *1 *1) (-5 *1 (-475))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-598 *5)) (-4 *5 (-1130)) (-4 *2 (-1130)) (-5 *1 (-596 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-983)) (-4 *2 (-983)) (-4 *6 (-349 *5)) (-4 *7 (-349 *5)) (-4 *8 (-349 *2)) (-4 *9 (-349 *2)) (-5 *1 (-635 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-637 *5 *6 *7)) (-4 *10 (-637 *2 *8 *9)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-661 *2 *3 *4 *5 *6)) (-4 *2 (-159)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-983)) (-5 *1 (-662 *3 *2)) (-4 *2 (-1154 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-665 *2 *3 *4 *5 *6)) (-4 *2 (-159)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-383 *4)) (-4 *4 (-1154 *3)) (-4 *3 (-339)) (-4 *3 (-159)) (-4 *1 (-674 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-159)) (-4 *1 (-674 *3 *2)) (-4 *2 (-1154 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-900 *5)) (-4 *5 (-1130)) (-4 *2 (-1130)) (-5 *1 (-899 *5 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-971 *3 *4 *5 *2 *6)) (-4 *2 (-892 *3 *4 *5)) (-14 *6 (-598 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-983)) (-4 *2 (-983)) (-14 *5 (-723)) (-14 *6 (-723)) (-4 *8 (-215 *6 *7)) (-4 *9 (-215 *5 *7)) (-4 *10 (-215 *6 *2)) (-4 *11 (-215 *5 *2)) (-5 *1 (-988 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-986 *5 *6 *7 *8 *9)) (-4 *12 (-986 *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1076 *5)) (-4 *5 (-1130)) (-4 *2 (-1130)) (-5 *1 (-1074 *5 *2)))) ((*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-110) *2 *2)) (-4 *1 (-1124 *5 *6 *7 *2)) (-4 *5 (-524)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *2 (-997 *5 *6 *7)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1178 *5)) (-4 *5 (-1130)) (-4 *2 (-1130)) (-5 *1 (-1177 *5 *2))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-4 *1 (-1154 *4)) (-4 *4 (-983)) (-5 *2 (-1178 *4))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1096)) (-5 *5 (-598 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *6))) (-4 *6 (-13 (-427) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-598 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-525 *6 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-723)) (-4 *1 (-1154 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-809)))) ((*1 *2 *3) (-12 (-5 *3 (-808)) (-5 *2 (-1183)) (-5 *1 (-809)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1078)) (-5 *4 (-808)) (-5 *2 (-1183)) (-5 *1 (-809)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-532)) (-5 *2 (-1183)) (-5 *1 (-1076 *4)) (-4 *4 (-1025)) (-4 *4 (-1130))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-571 *6)) (-4 *6 (-13 (-406 *5) (-27) (-1116))) (-4 *5 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-1092 (-383 (-1092 *6)))) (-5 *1 (-528 *5 *6 *7)) (-5 *3 (-1092 *6)) (-4 *7 (-1025)))) ((*1 *2 *1) (-12 (-4 *2 (-1154 *3)) (-5 *1 (-662 *3 *2)) (-4 *3 (-983)))) ((*1 *2 *1) (-12 (-4 *1 (-674 *3 *2)) (-4 *3 (-159)) (-4 *2 (-1154 *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1092 *11)) (-5 *6 (-598 *10)) (-5 *7 (-598 (-723))) (-5 *8 (-598 *11)) (-4 *10 (-800)) (-4 *11 (-280)) (-4 *9 (-746)) (-4 *5 (-892 *11 *9 *10)) (-5 *2 (-598 (-1092 *5))) (-5 *1 (-692 *9 *10 *11 *5)) (-5 *3 (-1092 *5)))) ((*1 *2 *1) (-12 (-4 *2 (-892 *3 *4 *5)) (-5 *1 (-971 *3 *4 *5 *2 *6)) (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-14 *6 (-598 *2))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-723)) (-5 *4 (-532)) (-5 *1 (-420 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-960 *3)) (-4 *3 (-13 (-798) (-339) (-958))))) ((*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-798) (-339))) (-5 *1 (-993 *2 *3)) (-4 *3 (-1154 *2)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-999 *2 *3)) (-4 *2 (-13 (-798) (-339))) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-524) (-800) (-974 (-532)))) (-5 *1 (-167 *3 *2)) (-4 *2 (-13 (-27) (-1116) (-406 (-156 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-524) (-800) (-974 (-532)))) (-5 *1 (-167 *4 *2)) (-4 *2 (-13 (-27) (-1116) (-406 (-156 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-1120 *3 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-1120 *4 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-218)) (-5 *3 (-1078)))) ((*1 *2 *2) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-218)))) ((*1 *1 *2) (-12 (-5 *2 (-145)) (-5 *1 (-818))))) 
+(((*1 *1) (-5 *1 (-202))) ((*1 *1) (-5 *1 (-355)))) 
+(((*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-864)) (-5 *1 (-1026 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
+(((*1 *1) (-12 (-4 *1 (-303 *2)) (-4 *2 (-344)) (-4 *2 (-339)))) ((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1178 *4)) (-5 *1 (-502 *4)) (-4 *4 (-325))))) 
+(((*1 *1) (-5 *1 (-131))) ((*1 *1 *1) (-5 *1 (-134))) ((*1 *1 *1) (-4 *1 (-1064)))) 
+(((*1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-427))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-296 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-126)) (-4 *3 (-745))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-947 *3)) (-4 *3 (-1130)) (-5 *2 (-598 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-639 (-383 (-532)))) (-5 *2 (-598 (-2 (|:| |outval| *4) (|:| |outmult| (-532)) (|:| |outvect| (-598 (-639 *4)))))) (-5 *1 (-732 *4)) (-4 *4 (-13 (-339) (-798)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-427) (-137))) (-5 *2 (-394 *3)) (-5 *1 (-97 *4 *3)) (-4 *3 (-1154 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 *3)) (-4 *3 (-1154 *5)) (-4 *5 (-13 (-427) (-137))) (-5 *2 (-394 *3)) (-5 *1 (-97 *5 *3))))) 
+(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-886 *5)) (-5 *3 (-723)) (-4 *5 (-983)) (-5 *1 (-1084 *4 *5)) (-14 *4 (-864))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-579 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -3980 *4) (|:| |sol?| (-110))) (-532) *4)) (-4 *4 (-339)) (-4 *5 (-1154 *4)) (-5 *1 (-542 *4 *5))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-383 (-895 *3))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1178 *6)) (-5 *4 (-1178 (-532))) (-5 *5 (-532)) (-4 *6 (-1025)) (-5 *2 (-1 *6)) (-5 *1 (-954 *6))))) 
+(((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-532)) (-4 *1 (-56 *2 *4 *5)) (-4 *2 (-1130)) (-4 *4 (-349 *2)) (-4 *5 (-349 *2)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-262 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-1130))))) 
+(((*1 *1) (-5 *1 (-413)))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1154 *4)) (-4 *4 (-1134)) (-4 *6 (-1154 (-383 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-316 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1076 (-1076 *4))) (-5 *2 (-1076 *4)) (-5 *1 (-1080 *4)) (-4 *4 (-37 (-383 (-532)))) (-4 *4 (-983))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-5 *1 (-687 *3)))) ((*1 *1 *2) (-12 (-5 *1 (-687 *2)) (-4 *2 (-1025)))) ((*1 *1) (-12 (-5 *1 (-687 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-869))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-1096))) (-5 *2 (-1183)) (-5 *1 (-1132)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-598 (-1096))) (-5 *2 (-1183)) (-5 *1 (-1132))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1027 *4)) (-4 *4 (-1025)) (-5 *2 (-1 *4)) (-5 *1 (-954 *4)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-355))) (-5 *1 (-976)) (-5 *3 (-355)))) ((*1 *2 *3) (-12 (-5 *3 (-1020 (-532))) (-5 *2 (-1 (-532))) (-5 *1 (-981))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-524)) (-4 *3 (-983)) (-5 *2 (-2 (|:| -3886 *1) (|:| -2860 *1))) (-4 *1 (-802 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-95 *5)) (-4 *5 (-524)) (-4 *5 (-983)) (-5 *2 (-2 (|:| -3886 *3) (|:| -2860 *3))) (-5 *1 (-803 *5 *3)) (-4 *3 (-802 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-974 (-532))) (-4 *3 (-13 (-800) (-524))) (-5 *1 (-31 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-1092 *4)) (-5 *1 (-152 *3 *4)) (-4 *3 (-153 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-983)) (-4 *1 (-275)))) ((*1 *2) (-12 (-4 *1 (-303 *3)) (-4 *3 (-339)) (-5 *2 (-1092 *3)))) ((*1 *2) (-12 (-4 *1 (-674 *3 *2)) (-4 *3 (-159)) (-4 *2 (-1154 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *3 *2)) (-4 *3 (-13 (-798) (-339))) (-4 *2 (-1154 *3))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1002 *4 *5 *6 *3)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-110))))) 
+(((*1 *2) (-12 (-4 *3 (-524)) (-5 *2 (-598 (-639 *3))) (-5 *1 (-42 *3 *4)) (-4 *4 (-393 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 (-288 (-202)))) (-5 *1 (-242))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-463))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1 (-886 (-202)) (-886 (-202)))) (-5 *3 (-598 (-238))) (-5 *1 (-236)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-886 (-202)) (-886 (-202)))) (-5 *1 (-238)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-464 *5 *6))) (-5 *3 (-464 *5 *6)) (-14 *5 (-598 (-1096))) (-4 *6 (-427)) (-5 *2 (-1178 *6)) (-5 *1 (-586 *5 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-145)))) ((*1 *2 *3) (-12 (-5 *3 (-886 *2)) (-5 *1 (-920 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-639 *2)) (-4 *4 (-1154 *2)) (-4 *2 (-13 (-280) (-10 -8 (-15 -4044 ((-394 $) $))))) (-5 *1 (-479 *2 *4 *5)) (-4 *5 (-385 *2 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1046 *3 *2 *4 *5)) (-4 *4 (-215 *3 *2)) (-4 *5 (-215 *3 *2)) (-4 *2 (-983))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-90 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-99)) (-5 *2 (-110)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-199 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-466 *3)) (-4 *3 (-1025)) (-4 *3 (-800)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-937 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1067 *3)) (-4 *3 (-1025)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-808)))) ((*1 *2 *3) (-12 (-5 *3 (-808)) (-5 *2 (-1183)) (-5 *1 (-904))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1134)) (-4 *5 (-1154 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-383 *5)) (|:| |c2| (-383 *5)) (|:| |deg| (-723)))) (-5 *1 (-138 *4 *5 *3)) (-4 *3 (-1154 (-383 *5)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-750 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-532)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-438))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-343 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-598 (-810 *5))) (-14 *5 (-598 (-1096))) (-4 *6 (-427)) (-5 *2 (-598 (-598 (-224 *5 *6)))) (-5 *1 (-448 *5 *6 *7)) (-5 *3 (-598 (-224 *5 *6))) (-4 *7 (-427))))) 
+(((*1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-218))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-532))) (-5 *5 (-1 (-1076 *4))) (-4 *4 (-339)) (-4 *4 (-983)) (-5 *2 (-1076 *4)) (-5 *1 (-1080 *4))))) 
+(((*1 *2) (-12 (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-1178 *1)) (-4 *1 (-316 *3 *4 *5))))) 
+(((*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1154 *5)) (-4 *5 (-13 (-339) (-137) (-974 (-532)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-383 *6)) (|:| |c| (-383 *6)) (|:| -2702 *6))) (-5 *1 (-952 *5 *6)) (-5 *3 (-383 *6))))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-202))) (-5 *4 (-723)) (-5 *2 (-639 (-202))) (-5 *1 (-278))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1064)) (-5 *2 (-131)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1064)) (-5 *2 (-134))))) 
+(((*1 *1 *1) (-5 *1 (-110))) ((*1 *1 *1) (-4 *1 (-121))) ((*1 *1 *1 *2) (-12 (-4 *1 (-220)) (-5 *2 (-532)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-450)) (-5 *2 (-532)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-676)) (-5 *2 (-723)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1037)) (-5 *2 (-864))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 (-639 *4))) (-4 *4 (-159)) (-5 *2 (-1178 (-639 (-895 *4)))) (-5 *1 (-168 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1124 *3 *4 *5 *2)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *2 (-997 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *1 *1 *1) (-4 *1 (-613))) ((*1 *1 *1 *1) (-5 *1 (-1043)))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-383 (-895 *3))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-153 *3)) (-4 *3 (-159)) (-4 *3 (-517)) (-5 *2 (-383 (-532))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-383 (-532))) (-5 *1 (-394 *3)) (-4 *3 (-517)) (-4 *3 (-524)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-517)) (-5 *2 (-383 (-532))))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-750 *3)) (-4 *3 (-159)) (-4 *3 (-517)) (-5 *2 (-383 (-532))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-383 (-532))) (-5 *1 (-786 *3)) (-4 *3 (-517)) (-4 *3 (-1025)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-383 (-532))) (-5 *1 (-793 *3)) (-4 *3 (-517)) (-4 *3 (-1025)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-934 *3)) (-4 *3 (-159)) (-4 *3 (-517)) (-5 *2 (-383 (-532))))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-383 (-532))) (-5 *1 (-945 *3)) (-4 *3 (-974 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-355)) (|:| |stability| (-355)) (|:| |expense| (-355)) (|:| |accuracy| (-355)) (|:| |intermediateResults| (-355)))) (-5 *2 (-972)) (-5 *1 (-278))))) 
+(((*1 *1 *1 *1) (-4 *1 (-613))) ((*1 *1 *1 *1) (-5 *1 (-1043)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-915 *3 *4 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-598 *3)) (-5 *1 (-915 *4 *5 *6 *3)) (-4 *3 (-997 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-598 *3)) (-4 *3 (-997 *4 *5 *6)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-915 *4 *5 *6 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-915 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-598 *7) (-598 *7))) (-5 *2 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-915 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-639 *8)) (-5 *4 (-723)) (-4 *8 (-892 *5 *7 *6)) (-4 *5 (-13 (-280) (-137))) (-4 *6 (-13 (-800) (-573 (-1096)))) (-4 *7 (-746)) (-5 *2 (-598 (-2 (|:| |det| *8) (|:| |rows| (-598 (-532))) (|:| |cols| (-598 (-532)))))) (-5 *1 (-867 *5 *6 *7 *8))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-746)) (-4 *4 (-800)) (-4 *5 (-280)) (-5 *1 (-859 *3 *4 *5 *2)) (-4 *2 (-892 *5 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1092 *6)) (-4 *6 (-892 *5 *3 *4)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *5 (-280)) (-5 *1 (-859 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-892 *6 *4 *5)) (-5 *1 (-859 *4 *5 *6 *2)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-280))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-532)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-438))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-599 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1154 *6)) (-4 *6 (-13 (-27) (-406 *5))) (-4 *5 (-13 (-800) (-524) (-974 (-532)))) (-4 *8 (-1154 (-383 *7))) (-5 *2 (-549 *3)) (-5 *1 (-520 *5 *6 *7 *8 *3)) (-4 *3 (-316 *6 *7 *8))))) 
+(((*1 *2 *3 *2 *2) (-12 (-5 *2 (-598 (-464 *4 *5))) (-5 *3 (-810 *4)) (-14 *4 (-598 (-1096))) (-4 *5 (-427)) (-5 *1 (-586 *4 *5))))) 
+(((*1 *1 *1 *1) (-4 *1 (-280))) ((*1 *1 *1 *1) (-5 *1 (-723))) ((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *1 *2 *3 *1) (-12 (-14 *4 (-598 (-1096))) (-4 *2 (-159)) (-4 *3 (-215 (-3502 *4) (-723))) (-14 *6 (-1 (-110) (-2 (|:| -3120 *5) (|:| -3540 *3)) (-2 (|:| -3120 *5) (|:| -3540 *3)))) (-5 *1 (-436 *4 *2 *5 *3 *6 *7)) (-4 *5 (-800)) (-4 *7 (-892 *2 *3 (-810 *4)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-202)) (-5 *1 (-232))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-1078)) (-5 *2 (-355)) (-5 *1 (-739))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-623 *3)) (-4 *3 (-800)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-627 *3)) (-4 *3 (-800)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-772 *3)) (-4 *3 (-800))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-930 *2)) (-4 *2 (-524)) (-4 *2 (-517)))) ((*1 *1 *1) (-4 *1 (-992)))) 
+(((*1 *1) (-5 *1 (-756)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-56 *3 *4 *5)) (-4 *3 (-1130)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-5 *2 (-723))))) 
+(((*1 *1 *1 *1) (-4 *1 (-280))) ((*1 *1 *1 *1) (-5 *1 (-723))) ((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-355)) (-5 *1 (-93))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-267 (-383 (-895 *5)))) (-5 *4 (-1096)) (-4 *5 (-13 (-280) (-800) (-137))) (-5 *2 (-1085 (-598 (-288 *5)) (-598 (-267 (-288 *5))))) (-5 *1 (-1052 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 *5))) (-5 *4 (-1096)) (-4 *5 (-13 (-280) (-800) (-137))) (-5 *2 (-1085 (-598 (-288 *5)) (-598 (-267 (-288 *5))))) (-5 *1 (-1052 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-895 (-532)))) (-5 *1 (-413)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1096)) (-5 *4 (-639 (-202))) (-5 *2 (-1029)) (-5 *1 (-711)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1096)) (-5 *4 (-639 (-532))) (-5 *2 (-1029)) (-5 *1 (-711))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-524))))) 
+(((*1 *2) (-12 (-4 *4 (-1134)) (-4 *5 (-1154 *4)) (-4 *6 (-1154 (-383 *5))) (-5 *2 (-110)) (-5 *1 (-315 *3 *4 *5 *6)) (-4 *3 (-316 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-110))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *1 (-296 *2 *4)) (-4 *4 (-126)) (-4 *2 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-5 *1 (-337 *2)) (-4 *2 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-5 *1 (-362 *2)) (-4 *2 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-5 *1 (-394 *2)) (-4 *2 (-524)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *2 (-1025)) (-5 *1 (-601 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-532)) (-5 *1 (-772 *2)) (-4 *2 (-800))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-1096))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-370)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-1111))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-304))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-110)) (-5 *3 (-598 (-238))) (-5 *1 (-236)))) ((*1 *1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-238)))) ((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-444)))) ((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-444))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-598 *6)) (-4 *6 (-800)) (-4 *4 (-339)) (-4 *5 (-746)) (-5 *1 (-484 *4 *5 *6 *2)) (-4 *2 (-892 *4 *5 *6)))) ((*1 *1 *1 *2) (-12 (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-484 *3 *4 *5 *2)) (-4 *2 (-892 *3 *4 *5))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| -2283 *4) (|:| -3886 *3) (|:| -2860 *3))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-2 (|:| -3886 *1) (|:| -2860 *1))) (-4 *1 (-997 *3 *4 *5)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-524)) (-4 *3 (-983)) (-5 *2 (-2 (|:| -2283 *3) (|:| -3886 *1) (|:| -2860 *1))) (-4 *1 (-1154 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-529))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3183 *4))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-1099))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1019 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-288 (-202))) (-5 *1 (-189))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-598 (-110))) (-5 *7 (-639 (-202))) (-5 *8 (-639 (-532))) (-5 *3 (-532)) (-5 *4 (-202)) (-5 *5 (-110)) (-5 *2 (-972)) (-5 *1 (-706))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-339)) (-5 *2 (-598 (-2 (|:| C (-639 *5)) (|:| |g| (-1178 *5))))) (-5 *1 (-916 *5)) (-5 *3 (-639 *5)) (-5 *4 (-1178 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 (-598 *3))) (-4 *3 (-800)) (-5 *1 (-1102 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-355)) (-5 *1 (-1180)))) ((*1 *2) (-12 (-5 *2 (-355)) (-5 *1 (-1180))))) 
+(((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-444)))) ((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-444)))) ((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-870))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-339)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *1 (-499 *3 *4 *5 *2)) (-4 *2 (-637 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4)) (-4 *7 (-930 *4)) (-4 *2 (-637 *7 *8 *9)) (-5 *1 (-500 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-637 *4 *5 *6)) (-4 *8 (-349 *7)) (-4 *9 (-349 *7)))) ((*1 *1 *1) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)) (-4 *2 (-280)))) ((*1 *2 *2) (-12 (-4 *3 (-280)) (-4 *3 (-159)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *1 (-638 *3 *4 *5 *2)) (-4 *2 (-637 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-639 *3)) (-4 *3 (-280)) (-5 *1 (-649 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-986 *2 *3 *4 *5 *6)) (-4 *4 (-983)) (-4 *5 (-215 *3 *4)) (-4 *6 (-215 *2 *4)) (-4 *4 (-280))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-639 (-532))) (-5 *5 (-110)) (-5 *7 (-639 (-202))) (-5 *3 (-532)) (-5 *6 (-202)) (-5 *2 (-972)) (-5 *1 (-706))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-305 *3)) (-4 *3 (-800))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2) (-12 (-4 *3 (-13 (-800) (-524) (-974 (-532)))) (-5 *2 (-1183)) (-5 *1 (-409 *3 *4)) (-4 *4 (-406 *3))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-1076 *2)) (-4 *2 (-280)) (-5 *1 (-160 *2))))) 
+(((*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-800)) (-5 *3 (-598 *6)) (-5 *5 (-598 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-598 *5)) (|:| |f3| *5) (|:| |f4| (-598 *5)))) (-5 *1 (-1102 *6)) (-5 *4 (-598 *5))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-598 (-110))) (-5 *5 (-639 (-202))) (-5 *6 (-639 (-532))) (-5 *7 (-202)) (-5 *3 (-532)) (-5 *2 (-972)) (-5 *1 (-706))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-915 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-800)) (-5 *2 (-2 (|:| -2283 (-532)) (|:| |var| (-571 *1)))) (-4 *1 (-406 *3))))) 
+(((*1 *1) (-5 *1 (-413)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-1092 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-995)) (-5 *3 (-1078))))) 
+(((*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-639 (-202))) (-5 *5 (-639 (-532))) (-5 *3 (-532)) (-5 *2 (-972)) (-5 *1 (-706))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-5 *1 (-90 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1130)) (-4 *1 (-105 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-5 *1 (-199 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-800)) (-5 *1 (-466 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-5 *1 (-937 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-5 *1 (-1067 *3))))) 
+(((*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-895 (-532))) (-5 *3 (-1096)) (-5 *4 (-1020 (-383 (-532)))) (-5 *1 (-30))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-598 (-598 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-598 (-3 (|:| |array| (-598 *3)) (|:| |scalar| (-1096))))) (-5 *6 (-598 (-1096))) (-5 *3 (-1096)) (-5 *2 (-1029)) (-5 *1 (-373)))) ((*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-598 (-598 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-598 (-3 (|:| |array| (-598 *3)) (|:| |scalar| (-1096))))) (-5 *6 (-598 (-1096))) (-5 *3 (-1096)) (-5 *2 (-1029)) (-5 *1 (-373)))) ((*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-598 (-1096))) (-5 *5 (-1099)) (-5 *3 (-1096)) (-5 *2 (-1029)) (-5 *1 (-373))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-202))) (-5 *2 (-1178 (-648))) (-5 *1 (-278))))) 
+(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-706))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-51))) (-5 *2 (-1183)) (-5 *1 (-809))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-870))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-532)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-438))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-339)) (-5 *1 (-718 *2 *3)) (-4 *2 (-658 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-802 *2)) (-4 *2 (-983)) (-4 *2 (-339))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-427)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-915 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1078)) (-5 *4 (-532)) (-5 *5 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-706))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-670)) (-5 *2 (-864)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-672)) (-5 *2 (-723))))) 
+(((*1 *1 *2 *2) (-12 (-5 *1 (-821 *2)) (-4 *2 (-1130)))) ((*1 *1 *2 *2 *2) (-12 (-5 *1 (-823 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-598 (-886 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-886 *3))) (-4 *3 (-983)) (-4 *1 (-1057 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-598 *3))) (-4 *1 (-1057 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-886 *3))) (-4 *1 (-1057 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-339)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *1 (-499 *3 *4 *5 *2)) (-4 *2 (-637 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-598 *6)) (-5 *1 (-484 *3 *4 *5 *6)) (-4 *6 (-892 *3 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-848 *3))) (-5 *1 (-847 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-947 *3)) (-4 *3 (-1130)) (-5 *2 (-532))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1078)) (-5 *4 (-532)) (-5 *5 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-706))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-750 *2)) (-4 *2 (-159)))) ((*1 *2 *1) (-12 (-4 *1 (-934 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-4 *3 (-524)) (-5 *2 (-1092 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-1108 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-146 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-800) (-524))) (-5 *1 (-146 *4 *2)) (-4 *2 (-406 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-148)) (-5 *2 (-1096)))) ((*1 *1 *1) (-4 *1 (-148)))) 
+(((*1 *2 *1) (-12 (-5 *1 (-90 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-105 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-5 *1 (-466 *2)) (-4 *2 (-800)))) ((*1 *2 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-5 *1 (-1067 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-156 (-202)))) (-5 *2 (-972)) (-5 *1 (-706))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-864))) (-5 *2 (-847 (-532))) (-5 *1 (-860))))) 
+(((*1 *1 *1) (-4 *1 (-524)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-524)) (-5 *1 (-40 *3 *2)) (-4 *2 (-13 (-339) (-275) (-10 -8 (-15 -2251 ((-1048 *3 (-571 $)) $)) (-15 -2258 ((-1048 *3 (-571 $)) $)) (-15 -1256 ($ (-1048 *3 (-571 $)))))))))) 
+(((*1 *2 *3 *4 *5) (-12 (-4 *6 (-1154 *9)) (-4 *7 (-746)) (-4 *8 (-800)) (-4 *9 (-280)) (-4 *10 (-892 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-598 (-1092 *10))) (|:| |dterm| (-598 (-598 (-2 (|:| -3435 (-723)) (|:| |pcoef| *10))))) (|:| |nfacts| (-598 *6)) (|:| |nlead| (-598 *10)))) (-5 *1 (-731 *6 *7 *8 *9 *10)) (-5 *3 (-1092 *10)) (-5 *4 (-598 *6)) (-5 *5 (-598 *10))))) 
+(((*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *1 (-1051 *3 *2)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-723)) (-4 *4 (-13 (-524) (-137))) (-5 *1 (-1148 *4 *2)) (-4 *2 (-1154 *4))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1078)) (-5 *4 (-532)) (-5 *5 (-639 (-156 (-202)))) (-5 *2 (-972)) (-5 *1 (-706))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-280) (-137))) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-892 *4 *5 *6)) (-5 *2 (-598 (-598 *7))) (-5 *1 (-423 *4 *5 *6 *7)) (-5 *3 (-598 *7)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-110)) (-4 *5 (-13 (-280) (-137))) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *8 (-892 *5 *6 *7)) (-5 *2 (-598 (-598 *8))) (-5 *1 (-423 *5 *6 *7 *8)) (-5 *3 (-598 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-280) (-137))) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-892 *4 *5 *6)) (-5 *2 (-598 (-598 *7))) (-5 *1 (-423 *4 *5 *6 *7)) (-5 *3 (-598 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-110)) (-4 *5 (-13 (-280) (-137))) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *8 (-892 *5 *6 *7)) (-5 *2 (-598 (-598 *8))) (-5 *1 (-423 *5 *6 *7 *8)) (-5 *3 (-598 *8))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-110)) (-5 *1 (-926 *4 *5 *6 *7 *3)) (-4 *3 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 *3)) (-4 *3 (-1002 *5 *6 *7 *8)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *8 (-997 *5 *6 *7)) (-5 *2 (-110)) (-5 *1 (-926 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-110)) (-5 *1 (-1032 *4 *5 *6 *7 *3)) (-4 *3 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 *3)) (-4 *3 (-1002 *5 *6 *7 *8)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *8 (-997 *5 *6 *7)) (-5 *2 (-110)) (-5 *1 (-1032 *5 *6 *7 *8 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1194 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1200 *3 *4)) (-4 *3 (-983)) (-4 *4 (-796))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-280) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *1 (-578 *4 *2)) (-4 *2 (-13 (-1116) (-901) (-29 *4)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-365)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1078)) (-5 *4 (-532)) (-5 *5 (-639 (-156 (-202)))) (-5 *2 (-972)) (-5 *1 (-706))))) 
+(((*1 *1) (-5 *1 (-776)))) 
+(((*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1178 *4)) (-5 *3 (-639 *4)) (-4 *4 (-339)) (-5 *1 (-619 *4)))) ((*1 *2 *3 *2) (|partial| -12 (-4 *4 (-339)) (-4 *5 (-13 (-349 *4) (-10 -7 (-6 -4290)))) (-4 *2 (-13 (-349 *4) (-10 -7 (-6 -4290)))) (-5 *1 (-620 *4 *5 *2 *3)) (-4 *3 (-637 *4 *5 *2)))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-598 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-339)) (-5 *1 (-767 *2 *3)) (-4 *3 (-608 *2)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *1 (-1051 *3 *2)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-532)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-438))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-524)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-524))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-639 *4)) (-5 *3 (-864)) (-4 *4 (-983)) (-5 *1 (-965 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-598 (-639 *4))) (-5 *3 (-864)) (-4 *4 (-983)) (-5 *1 (-965 *4))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-598 (-1092 *4))) (-5 *3 (-1092 *4)) (-4 *4 (-852)) (-5 *1 (-615 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-688))))) 
+(((*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-532)) (-5 *5 (-110)) (-5 *6 (-639 (-202))) (-5 *7 (-3 (|:| |fn| (-364)) (|:| |fp| (-76 OBJFUN)))) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-705))))) 
+(((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-598 *3)) (-5 *1 (-90 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-598 *3)) (-5 *1 (-199 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-598 *3)) (-5 *1 (-466 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4289)) (-4 *1 (-471 *3)) (-4 *3 (-1130)) (-5 *2 (-598 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-598 *3)) (-5 *1 (-687 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-598 *3)) (-5 *1 (-937 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-598 *3)) (-5 *1 (-1067 *3)) (-4 *3 (-1025))))) 
+(((*1 *2) (-12 (-5 *2 (-786 (-532))) (-5 *1 (-506)))) ((*1 *1) (-12 (-5 *1 (-786 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *5 (-930 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-132 *4 *5 *3)) (-4 *3 (-349 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *5 (-930 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-483 *4 *5 *6 *3)) (-4 *6 (-349 *4)) (-4 *3 (-349 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-639 *5)) (-4 *5 (-930 *4)) (-4 *4 (-524)) (-5 *2 (-2 (|:| |num| (-639 *4)) (|:| |den| *4))) (-5 *1 (-642 *4 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *6 (-1154 *5)) (-5 *2 (-2 (|:| -3325 *7) (|:| |rh| (-598 (-383 *6))))) (-5 *1 (-760 *5 *6 *7 *3)) (-5 *4 (-598 (-383 *6))) (-4 *7 (-608 *6)) (-4 *3 (-608 (-383 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *5 (-930 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1147 *4 *5 *3)) (-4 *3 (-1154 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-558 *3)) (-4 *3 (-983)))) ((*1 *2 *1) (-12 (-4 *1 (-911 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-745)) (-4 *5 (-800)) (-5 *2 (-110))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-892 *4 *5 *6)) (-4 *4 (-280)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-422 *4 *5 *6 *2))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1092 *3)) (-4 *3 (-325)) (-5 *1 (-333 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-793 (-202)))) (-5 *4 (-202)) (-5 *2 (-598 *4)) (-5 *1 (-242))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-3 (|:| |fn| (-364)) (|:| |fp| (-78 LSFUN1)))) (-5 *2 (-972)) (-5 *1 (-705))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-532)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-394 *2)) (-4 *2 (-524))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-529)))) ((*1 *2 *3) (-12 (-5 *2 (-1092 (-383 (-532)))) (-5 *1 (-885)) (-5 *3 (-532))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-46 *3 *4)) (-4 *3 (-983)) (-4 *4 (-745)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-358 *3 *4)) (-4 *3 (-983)) (-4 *4 (-1025)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-557 *3)) (-4 *3 (-983)))) ((*1 *2 *1) (-12 (-4 *3 (-524)) (-5 *2 (-110)) (-5 *1 (-579 *3 *4)) (-4 *4 (-1154 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-685 *3 *4)) (-4 *3 (-983)) (-4 *4 (-676)))) ((*1 *2 *1) (-12 (-4 *1 (-1194 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983)) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-895 (-532))) (-5 *2 (-598 *1)) (-4 *1 (-949)))) ((*1 *2 *3) (-12 (-5 *3 (-895 (-383 (-532)))) (-5 *2 (-598 *1)) (-4 *1 (-949)))) ((*1 *2 *3) (-12 (-5 *3 (-895 *1)) (-4 *1 (-949)) (-5 *2 (-598 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1092 (-532))) (-5 *2 (-598 *1)) (-4 *1 (-949)))) ((*1 *2 *3) (-12 (-5 *3 (-1092 (-383 (-532)))) (-5 *2 (-598 *1)) (-4 *1 (-949)))) ((*1 *2 *3) (-12 (-5 *3 (-1092 *1)) (-4 *1 (-949)) (-5 *2 (-598 *1)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-798) (-339))) (-4 *3 (-1154 *4)) (-5 *2 (-598 *1)) (-4 *1 (-999 *4 *3))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1096)) (-5 *2 (-413)) (-5 *1 (-1100))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-3 (|:| |fn| (-364)) (|:| |fp| (-62 LSFUN2)))) (-5 *2 (-972)) (-5 *1 (-705))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1183)) (-5 *1 (-355)))) ((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-355))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3)) (|has| *1 (-6 -4289)) (-4 *1 (-212 *3)) (-4 *3 (-1025)))) ((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4289)) (-4 *1 (-212 *2)) (-4 *2 (-1025)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-256 *2)) (-4 *2 (-1130)) (-4 *2 (-1025)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3)) (-4 *1 (-256 *3)) (-4 *3 (-1130)))) ((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-569 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-1025)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-110) *4)) (-5 *3 (-532)) (-4 *4 (-1025)) (-5 *1 (-687 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-532)) (-5 *1 (-687 *2)) (-4 *2 (-1025)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1060 *3 *4)) (-4 *3 (-13 (-1025) (-33))) (-4 *4 (-13 (-1025) (-33))) (-5 *1 (-1061 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-355)) (-5 *2 (-202)) (-5 *1 (-278))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-339)) (-4 *2 (-1154 *4)) (-5 *1 (-865 *4 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1027 (-1027 *3))) (-5 *1 (-847 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *2 (-532)) (-5 *1 (-537 *3)) (-4 *3 (-974 *2))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-3 (|:| |fn| (-364)) (|:| |fp| (-65 FUNCT1)))) (-5 *2 (-972)) (-5 *1 (-705))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-639 (-383 (-895 (-532))))) (-5 *2 (-598 (-288 (-532)))) (-5 *1 (-968))))) 
+(((*1 *2) (-12 (-4 *2 (-13 (-406 *3) (-939))) (-5 *1 (-251 *3 *2)) (-4 *3 (-13 (-800) (-524))))) ((*1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *1) (-5 *1 (-461))) ((*1 *1) (-4 *1 (-1116)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-930 *2)) (-4 *2 (-524)) (-5 *1 (-132 *2 *4 *3)) (-4 *3 (-349 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-930 *2)) (-4 *2 (-524)) (-5 *1 (-483 *2 *4 *5 *3)) (-4 *5 (-349 *2)) (-4 *3 (-349 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-639 *4)) (-4 *4 (-930 *2)) (-4 *2 (-524)) (-5 *1 (-642 *2 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-930 *2)) (-4 *2 (-524)) (-5 *1 (-1147 *2 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-532)) (-4 *4 (-13 (-524) (-137))) (-5 *1 (-509 *4 *2)) (-4 *2 (-1169 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-532)) (-4 *4 (-13 (-339) (-344) (-573 *3))) (-4 *5 (-1154 *4)) (-4 *6 (-674 *4 *5)) (-5 *1 (-513 *4 *5 *6 *2)) (-4 *2 (-1169 *6)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-532)) (-4 *4 (-13 (-339) (-344) (-573 *3))) (-5 *1 (-514 *4 *2)) (-4 *2 (-1169 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1076 *4)) (-5 *3 (-532)) (-4 *4 (-13 (-524) (-137))) (-5 *1 (-1072 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1130)) (-5 *2 (-723)) (-5 *1 (-166 *4 *3)) (-4 *3 (-625 *4))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-156 *4)) (-5 *1 (-165 *4 *3)) (-4 *4 (-13 (-339) (-798))) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-110)) (-4 *5 (-13 (-339) (-798))) (-5 *2 (-598 (-2 (|:| -1265 (-598 *3)) (|:| -3758 *5)))) (-5 *1 (-165 *5 *3)) (-4 *3 (-1154 (-156 *5))))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-339) (-798))) (-5 *2 (-598 (-2 (|:| -1265 (-598 *3)) (|:| -3758 *4)))) (-5 *1 (-165 *4 *3)) (-4 *3 (-1154 (-156 *4)))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-110)) (-5 *2 (-972)) (-5 *1 (-705))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-598 (-2 (|:| |totdeg| (-723)) (|:| -3126 *3)))) (-5 *4 (-723)) (-4 *3 (-892 *5 *6 *7)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *1 (-424 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-110)) (-5 *1 (-273))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-532)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-438))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-303 *3)) (-4 *3 (-339)) (-4 *3 (-344)) (-5 *2 (-110)))) ((*1 *2 *3) (-12 (-5 *3 (-1092 *4)) (-4 *4 (-325)) (-5 *2 (-110)) (-5 *1 (-333 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1178 *4)) (-4 *4 (-325)) (-5 *2 (-110)) (-5 *1 (-502 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-864)) (-5 *2 (-1092 *3)) (-5 *1 (-1105 *3)) (-4 *3 (-339))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-639 (-202))) (-5 *6 (-110)) (-5 *7 (-639 (-532))) (-5 *8 (-3 (|:| |fn| (-364)) (|:| |fp| (-64 QPHESS)))) (-5 *3 (-532)) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-705))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-33)) (-5 *3 (-723)) (-5 *2 (-110)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-90 *4)) (-4 *4 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-199 *4)) (-4 *4 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-466 *4)) (-4 *4 (-800)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-937 *4)) (-4 *4 (-1025)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-110)) (-5 *1 (-1067 *4)) (-4 *4 (-1025)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-110)) (-5 *1 (-1131 *3)) (-4 *3 (-800)) (-4 *3 (-1025))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-49 *3 *4)) (-4 *3 (-983)) (-14 *4 (-598 (-1096))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939))))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1169 *3)) (-5 *1 (-253 *3 *4 *2)) (-4 *2 (-1140 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *4 (-1138 *3)) (-5 *1 (-254 *3 *4 *2 *5)) (-4 *2 (-1161 *3 *4)) (-4 *5 (-921 *4)))) ((*1 *1 *1) (-4 *1 (-258))) ((*1 *1 *1) (-12 (-5 *1 (-313 *2 *3 *4)) (-14 *2 (-598 (-1096))) (-14 *3 (-598 (-1096))) (-4 *4 (-363)))) ((*1 *1 *2) (-12 (-5 *2 (-616 *3 *4)) (-4 *3 (-800)) (-4 *4 (-13 (-159) (-667 (-383 (-532))))) (-5 *1 (-582 *3 *4 *5)) (-14 *5 (-864)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1081 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-37 (-383 (-532)))) (-5 *1 (-1082 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-723)) (-4 *4 (-13 (-983) (-667 (-383 (-532))))) (-4 *5 (-800)) (-5 *1 (-1193 *4 *5 *2)) (-4 *2 (-1198 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-1197 *3 *4)) (-4 *4 (-667 (-383 (-532)))) (-4 *3 (-800)) (-4 *4 (-159))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-848 *3))) (-4 *3 (-1025)) (-5 *1 (-847 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-110)) (-5 *1 (-550 *3)) (-4 *3 (-517))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1136 *2)) (-4 *2 (-983)))) ((*1 *1 *1) (-12 (-5 *1 (-1170 *2 *3 *4)) (-4 *2 (-983)) (-14 *3 (-1096)) (-14 *4 *2)))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-202)) (-5 *5 (-532)) (-5 *2 (-1126 *3)) (-5 *1 (-743 *3)) (-4 *3 (-912)))) ((*1 *1 *2 *3 *4) (-12 (-5 *3 (-598 (-598 (-886 (-202))))) (-5 *4 (-110)) (-5 *1 (-1126 *2)) (-4 *2 (-912))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-301 *3)) (-4 *3 (-1130)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-495 *3 *4)) (-4 *3 (-1130)) (-14 *4 (-532))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-639 (-202))) (-5 *5 (-110)) (-5 *6 (-202)) (-5 *7 (-639 (-532))) (-5 *8 (-3 (|:| |fn| (-364)) (|:| |fp| (-79 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-364)) (|:| |fp| (-76 OBJFUN)))) (-5 *3 (-532)) (-5 *2 (-972)) (-5 *1 (-705))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1196 *3)) (-4 *3 (-339)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *6)) (-5 *4 (-598 (-1096))) (-4 *6 (-339)) (-5 *2 (-598 (-267 (-895 *6)))) (-5 *1 (-510 *5 *6 *7)) (-4 *5 (-427)) (-4 *7 (-13 (-339) (-798)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-800)) (-5 *2 (-2 (|:| |f1| (-598 *4)) (|:| |f2| (-598 (-598 (-598 *4)))) (|:| |f3| (-598 (-598 *4))) (|:| |f4| (-598 (-598 (-598 *4)))))) (-5 *1 (-1102 *4)) (-5 *3 (-598 (-598 (-598 *4))))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-532)) (-5 *5 (-639 (-202))) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-705))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-112)) (-4 *2 (-1025)) (-4 *2 (-800)) (-5 *1 (-111 *2))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1192 (-1096) *3)) (-4 *3 (-983)) (-5 *1 (-1199 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1192 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983)) (-5 *1 (-1201 *3 *4))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-304))))) 
+(((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-598 *11)) (|:| |todo| (-598 (-2 (|:| |val| *3) (|:| -1213 *11)))))) (-5 *6 (-723)) (-5 *2 (-598 (-2 (|:| |val| (-598 *10)) (|:| -1213 *11)))) (-5 *3 (-598 *10)) (-5 *4 (-598 *11)) (-4 *10 (-997 *7 *8 *9)) (-4 *11 (-1002 *7 *8 *9 *10)) (-4 *7 (-427)) (-4 *8 (-746)) (-4 *9 (-800)) (-5 *1 (-1000 *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-598 *11)) (|:| |todo| (-598 (-2 (|:| |val| *3) (|:| -1213 *11)))))) (-5 *6 (-723)) (-5 *2 (-598 (-2 (|:| |val| (-598 *10)) (|:| -1213 *11)))) (-5 *3 (-598 *10)) (-5 *4 (-598 *11)) (-4 *10 (-997 *7 *8 *9)) (-4 *11 (-1034 *7 *8 *9 *10)) (-4 *7 (-427)) (-4 *8 (-746)) (-4 *9 (-800)) (-5 *1 (-1065 *7 *8 *9 *10 *11))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-914 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-598 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-228 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-800)) (-4 *5 (-241 *4)) (-4 *6 (-746)) (-5 *2 (-598 *4))))) 
+(((*1 *1 *2 *2) (-12 (-4 *1 (-153 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-532)) (-5 *5 (-639 (-202))) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-847 (-532))) (-5 *1 (-860)))) ((*1 *2 *3) (-12 (-5 *3 (-909)) (-5 *2 (-847 (-532))) (-5 *1 (-860))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-524) (-800) (-974 (-532)))) (-5 *1 (-167 *3 *2)) (-4 *2 (-13 (-27) (-1116) (-406 (-156 *3)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-1120 *3 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *3)))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| (-110)) (|:| -1213 *4)))) (-5 *1 (-1033 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1025)) (-5 *2 (-1027 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1025)) (-5 *2 (-1027 (-598 *4))) (-5 *1 (-847 *4)) (-5 *3 (-598 *4)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1025)) (-5 *2 (-1027 (-1027 *4))) (-5 *1 (-847 *4)) (-5 *3 (-1027 *4)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-1027 *3)) (-5 *1 (-847 *3)) (-4 *3 (-1025))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-1096))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-110)) (-4 *4 (-13 (-339) (-798))) (-5 *2 (-394 *3)) (-5 *1 (-165 *4 *3)) (-4 *3 (-1154 (-156 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-339) (-798))) (-5 *2 (-394 *3)) (-5 *1 (-165 *4 *3)) (-4 *3 (-1154 (-156 *4)))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *5 (-639 (-202))) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-366 *3 *4 *5)) (-14 *3 (-723)) (-14 *4 (-723)) (-4 *5 (-159))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1078)) (-5 *3 (-776)) (-5 *1 (-775))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-723)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-438))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-639 *5))) (-5 *4 (-1178 *5)) (-4 *5 (-280)) (-4 *5 (-983)) (-5 *2 (-639 *5)) (-5 *1 (-966 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-983)) (-4 *5 (-1154 *4)) (-5 *2 (-1 *6 (-598 *6))) (-5 *1 (-1172 *4 *5 *3 *6)) (-4 *3 (-608 *5)) (-4 *6 (-1169 *4))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-325)) (-5 *3 (-532)) (-5 *2 (-1104 (-864) (-723)))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-524)) (-4 *7 (-892 *3 *5 *6)) (-5 *2 (-2 (|:| -3540 (-723)) (|:| -2283 *8) (|:| |radicand| *8))) (-5 *1 (-896 *5 *6 *3 *7 *8)) (-5 *4 (-723)) (-4 *8 (-13 (-339) (-10 -8 (-15 -2251 (*7 $)) (-15 -2258 (*7 $)) (-15 -1256 ($ *7)))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1020 (-793 (-202)))) (-5 *2 (-202)) (-5 *1 (-171)))) ((*1 *2 *3) (-12 (-5 *3 (-1020 (-793 (-202)))) (-5 *2 (-202)) (-5 *1 (-273)))) ((*1 *2 *3) (-12 (-5 *3 (-1020 (-793 (-202)))) (-5 *2 (-202)) (-5 *1 (-278))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-848 *4)) (-4 *4 (-1025)) (-5 *2 (-598 (-723))) (-5 *1 (-847 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-110)) (-4 *5 (-13 (-280) (-137))) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *8 (-997 *5 *6 *7)) (-5 *2 (-598 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-1034 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-110)) (-4 *5 (-13 (-280) (-137))) (-5 *2 (-598 (-2 (|:| -3792 (-1092 *5)) (|:| -3150 (-598 (-895 *5)))))) (-5 *1 (-1007 *5 *6)) (-5 *3 (-598 (-895 *5))) (-14 *6 (-598 (-1096))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-280) (-137))) (-5 *2 (-598 (-2 (|:| -3792 (-1092 *4)) (|:| -3150 (-598 (-895 *4)))))) (-5 *1 (-1007 *4 *5)) (-5 *3 (-598 (-895 *4))) (-14 *5 (-598 (-1096))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-110)) (-4 *5 (-13 (-280) (-137))) (-5 *2 (-598 (-2 (|:| -3792 (-1092 *5)) (|:| -3150 (-598 (-895 *5)))))) (-5 *1 (-1007 *5 *6)) (-5 *3 (-598 (-895 *5))) (-14 *6 (-598 (-1096)))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-903 *2)) (-4 *2 (-517))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-110) (-112) (-112))) (-5 *1 (-112))))) 
+(((*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-202)) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-529))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-532)) (|has| *1 (-6 -4280)) (-4 *1 (-380)) (-5 *2 (-864))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-800) (-524))) (-5 *1 (-146 *4 *2)) (-4 *2 (-406 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1018 *2)) (-4 *2 (-406 *4)) (-4 *4 (-13 (-800) (-524))) (-5 *1 (-146 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1018 *1)) (-4 *1 (-148)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-148)) (-5 *2 (-1096))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-777))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-256 *2)) (-4 *2 (-1130)) (-4 *2 (-800)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-110) *3 *3)) (-4 *1 (-256 *3)) (-4 *3 (-1130)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-466 *2)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-907 *2)) (-4 *2 (-800))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *5 (-202)) (-5 *2 (-972)) (-5 *1 (-704))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-639 (-156 (-383 (-532))))) (-5 *2 (-598 (-2 (|:| |outval| (-156 *4)) (|:| |outmult| (-532)) (|:| |outvect| (-598 (-639 (-156 *4))))))) (-5 *1 (-716 *4)) (-4 *4 (-13 (-339) (-798)))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1154 *2)) (-4 *2 (-983)) (-4 *2 (-524))))) 
+(((*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-639 *4)) (-5 *3 (-723)) (-4 *4 (-983)) (-5 *1 (-640 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-532))))) (-5 *1 (-394 *3)) (-4 *3 (-524)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-723)) (-4 *3 (-325)) (-4 *5 (-1154 *3)) (-5 *2 (-598 (-1092 *3))) (-5 *1 (-478 *3 *5 *6)) (-4 *6 (-1154 *5))))) 
+(((*1 *2 *3 *2) (|partial| -12 (-5 *3 (-864)) (-5 *1 (-417 *2)) (-4 *2 (-1154 (-532))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-864)) (-5 *4 (-723)) (-5 *1 (-417 *2)) (-4 *2 (-1154 (-532))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-864)) (-5 *4 (-598 (-723))) (-5 *1 (-417 *2)) (-4 *2 (-1154 (-532))))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-864)) (-5 *4 (-598 (-723))) (-5 *5 (-723)) (-5 *1 (-417 *2)) (-4 *2 (-1154 (-532))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-864)) (-5 *4 (-598 (-723))) (-5 *5 (-723)) (-5 *6 (-110)) (-5 *1 (-417 *2)) (-4 *2 (-1154 (-532))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-864)) (-5 *4 (-394 *2)) (-4 *2 (-1154 *5)) (-5 *1 (-419 *5 *2)) (-4 *5 (-983))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1140 *3 *2)) (-4 *3 (-983)) (-4 *2 (-1169 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-532)) (-5 *1 (-420 *3)) (-4 *3 (-380)) (-4 *3 (-983))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-949)) (-5 *2 (-808))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-1140 *3 *2)) (-4 *3 (-983)) (-4 *2 (-1169 *3))))) 
+(((*1 *1) (-5 *1 (-776)))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-1108 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-800)) (-5 *1 (-222 *3))))) 
+(((*1 *1 *1) (-4 *1 (-33))) ((*1 *1 *1) (-12 (-5 *1 (-90 *2)) (-4 *2 (-1025)))) ((*1 *1 *1) (-5 *1 (-112))) ((*1 *1 *1) (-5 *1 (-158))) ((*1 *1 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *1 *1) (-12 (-5 *1 (-466 *2)) (-4 *2 (-800)))) ((*1 *1 *1) (-4 *1 (-517))) ((*1 *1 *1) (-12 (-5 *1 (-835 *2)) (-4 *2 (-1025)))) ((*1 *1 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-1025)))) ((*1 *1 *1) (-12 (-4 *1 (-1057 *2)) (-4 *2 (-983)))) ((*1 *1 *1) (-12 (-5 *1 (-1060 *2 *3)) (-4 *2 (-13 (-1025) (-33))) (-4 *3 (-13 (-1025) (-33))))) ((*1 *1 *1) (-12 (-5 *1 (-1067 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-267 *3))) (-5 *1 (-267 *3)) (-4 *3 (-524)) (-4 *3 (-1130))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *1 *1) (-12 (-4 *1 (-932 *2)) (-4 *2 (-1130)))) ((*1 *1 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-438))) (-5 *2 (-1096)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-438))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1076 (-202))) (-5 *2 (-598 (-1078))) (-5 *1 (-171)))) ((*1 *2 *3) (-12 (-5 *3 (-1076 (-202))) (-5 *2 (-598 (-1078))) (-5 *1 (-273)))) ((*1 *2 *3) (-12 (-5 *3 (-1076 (-202))) (-5 *2 (-598 (-1078))) (-5 *1 (-278))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-110)) (-5 *5 (-1027 (-723))) (-5 *6 (-723)) (-5 *2 (-2 (|:| |contp| (-532)) (|:| -1265 (-598 (-2 (|:| |irr| *3) (|:| -3248 (-532))))))) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-723)) (-4 *1 (-690 *4 *5)) (-4 *4 (-983)) (-4 *5 (-800)) (-5 *2 (-895 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-4 *1 (-690 *4 *5)) (-4 *4 (-983)) (-4 *5 (-800)) (-5 *2 (-895 *4)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-723)) (-4 *1 (-1169 *4)) (-4 *4 (-983)) (-5 *2 (-895 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-4 *1 (-1169 *4)) (-4 *4 (-983)) (-5 *2 (-895 *4))))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-598 *2)) (-4 *2 (-1130)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1076 *2)) (-4 *2 (-1130))))) 
+(((*1 *2) (-12 (-5 *2 (-818)) (-5 *1 (-1181)))) ((*1 *2 *2) (-12 (-5 *2 (-818)) (-5 *1 (-1181))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1028 *3 *4 *5 *6 *7)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)) (-5 *2 (-110))))) 
+(((*1 *1) (-5 *1 (-776)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-288 (-202))) (-5 *1 (-242))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-864)) (-5 *2 (-723)) (-5 *1 (-1026 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808)))) ((*1 *1 *1) (-5 *1 (-808))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-4 *1 (-1023 *3)))) ((*1 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-339)) (-5 *1 (-718 *2 *3)) (-4 *2 (-658 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-802 *2)) (-4 *2 (-983)) (-4 *2 (-339))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1092 *3)) (-4 *3 (-325)) (-5 *1 (-333 *3))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1078)) (-5 *3 (-532)) (-5 *1 (-218))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1025))))) 
+(((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-723)) (-5 *1 (-694 *4 *3)) (-14 *4 (-1096)) (-4 *3 (-983)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-723)) (-5 *1 (-735 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-905 *3 *2)) (-4 *2 (-126)) (-4 *3 (-524)) (-4 *3 (-983)) (-4 *2 (-745)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-723)) (-5 *1 (-1092 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-909)) (-4 *2 (-126)) (-5 *1 (-1098 *3)) (-4 *3 (-524)) (-4 *3 (-983)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-723)) (-5 *1 (-1151 *4 *3)) (-14 *4 (-1096)) (-4 *3 (-983))))) 
+(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-110)) (-5 *1 (-90 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-110)) (-5 *1 (-199 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-110)) (-5 *1 (-466 *3)) (-4 *3 (-1025)) (-4 *3 (-800)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4289)) (-4 *1 (-471 *3)) (-4 *3 (-1130)) (-4 *3 (-1025)) (-5 *2 (-110)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-848 *4)) (-4 *4 (-1025)) (-5 *2 (-110)) (-5 *1 (-847 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-110)) (-5 *1 (-937 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-864)) (-5 *2 (-110)) (-5 *1 (-1026 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4289)) (-5 *2 (-110)) (-5 *1 (-1067 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1178 *4)) (-4 *4 (-339)) (-5 *2 (-110)) (-5 *1 (-1184 *4))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-600 *5)) (-4 *5 (-983)) (-5 *1 (-53 *5 *2 *3)) (-4 *3 (-802 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-639 *3)) (-4 *1 (-393 *3)) (-4 *3 (-159)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-802 *2)) (-4 *2 (-983)))) ((*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-95 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-983)) (-5 *1 (-803 *2 *3)) (-4 *3 (-802 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-1111))))) 
+(((*1 *1 *1 *1) (-4 *1 (-450))) ((*1 *1 *1 *1) (-4 *1 (-713)))) 
+(((*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1020 (-202))) (-5 *1 (-869)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-1020 (-202))) (-5 *1 (-870)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1020 (-202))) (-5 *1 (-870)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-355)) (-5 *2 (-1183)) (-5 *1 (-1180)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-355)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-532)) (-5 *4 (-1 (-1183) (-1029))) (-5 *2 (-1183)) (-5 *1 (-96))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| *3) (|:| -1213 *4)))) (-5 *1 (-1033 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1112))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-598 (-1020 (-355)))) (-5 *3 (-598 (-238))) (-5 *1 (-236)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-1020 (-355)))) (-5 *1 (-238)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-598 (-1020 (-355)))) (-5 *1 (-445)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-1020 (-355)))) (-5 *1 (-445))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1178 (-598 (-532)))) (-5 *1 (-463)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1130)) (-5 *1 (-562 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1130)) (-5 *1 (-1076 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1130)) (-5 *1 (-1076 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1096)) (-5 *4 (-895 (-532))) (-5 *2 (-304)) (-5 *1 (-306))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-774)) (-5 *4 (-51)) (-5 *2 (-1183)) (-5 *1 (-784))))) 
+(((*1 *2) (-12 (-5 *2 (-355)) (-5 *1 (-976))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1) (-5 *1 (-808))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1092 (-532))) (-5 *3 (-532)) (-4 *1 (-814 *4))))) 
+(((*1 *1 *1) (-4 *1 (-613))) ((*1 *1 *1) (-5 *1 (-1043)))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-90 *2)) (-4 *2 (-1025)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-105 *2)) (-4 *2 (-1130)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-119 *2)) (-4 *2 (-800)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-124 *2)) (-4 *2 (-800)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-256 *3)) (-4 *3 (-1130)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-532)) (-4 *1 (-256 *2)) (-4 *2 (-1130)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-466 *2)) (-4 *2 (-800)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3220 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (|:| -2330 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1076 (-202))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2548 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-527)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-723)) (-4 *1 (-644 *2)) (-4 *2 (-1025)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3220 (-2 (|:| |xinit| (-202)) (|:| |xend| (-202)) (|:| |fn| (-1178 (-288 (-202)))) (|:| |yinit| (-598 (-202))) (|:| |intvals| (-598 (-202))) (|:| |g| (-288 (-202))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (|:| -2330 (-2 (|:| |stiffness| (-355)) (|:| |stability| (-355)) (|:| |expense| (-355)) (|:| |accuracy| (-355)) (|:| |intermediateResults| (-355)))))) (-5 *1 (-756)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-1025)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1067 *2)) (-4 *2 (-1025)))) ((*1 *2 *3 *4) (-12 (-5 *2 (-1183)) (-5 *1 (-1108 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-802 *2)) (-4 *2 (-983)) (-4 *2 (-339))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-2 (|:| -2630 (-723)) (|:| |eqns| (-598 (-2 (|:| |det| *7) (|:| |rows| (-598 (-532))) (|:| |cols| (-598 (-532)))))) (|:| |fgb| (-598 *7))))) (-4 *7 (-892 *4 *6 *5)) (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *2 (-723)) (-5 *1 (-867 *4 *5 *6 *7))))) 
+(((*1 *1 *1 *1) (-5 *1 (-110))) ((*1 *1 *1 *1) (-4 *1 (-121))) ((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-598 *3)) (-5 *1 (-903 *3)) (-4 *3 (-517))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-517)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-202))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-110))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-802 *2)) (-4 *2 (-983)) (-4 *2 (-339))))) 
+(((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-110)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-598 (-964 *5 *6 *7 *8))) (-5 *1 (-964 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-110)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-598 (-1066 *5 *6 *7 *8))) (-5 *1 (-1066 *5 *6 *7 *8))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-410))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *2)) (-5 *4 (-1 (-110) *2 *2)) (-5 *1 (-1131 *2)) (-4 *2 (-1025)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-1025)) (-4 *2 (-800)) (-5 *1 (-1131 *2))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-892 *3 *4 *2)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-746)) (-4 *5 (-983)) (-4 *6 (-892 *5 *4 *2)) (-4 *2 (-800)) (-5 *1 (-893 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-339) (-10 -8 (-15 -1256 ($ *6)) (-15 -2251 (*6 $)) (-15 -2258 (*6 $))))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-383 (-895 *4))) (-4 *4 (-524)) (-5 *2 (-1096)) (-5 *1 (-979 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-847 (-532))) (-5 *1 (-860))))) 
+(((*1 *2 *1 *2) (-12 (-5 *1 (-963 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1096)) (-5 *5 (-1020 (-202))) (-5 *2 (-870)) (-5 *1 (-868 *3)) (-4 *3 (-573 (-508))))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1096)) (-5 *5 (-1020 (-202))) (-5 *2 (-870)) (-5 *1 (-868 *3)) (-4 *3 (-573 (-508))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1020 (-202))) (-5 *1 (-869)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-202) (-202))) (-5 *3 (-1020 (-202))) (-5 *1 (-869)))) ((*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-202) (-202))) (-5 *3 (-1020 (-202))) (-5 *1 (-869)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1020 (-202))) (-5 *1 (-870)))) ((*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-202) (-202))) (-5 *3 (-1020 (-202))) (-5 *1 (-870)))) ((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-202) (-202))) (-5 *3 (-1020 (-202))) (-5 *1 (-870)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-598 (-1 (-202) (-202)))) (-5 *3 (-1020 (-202))) (-5 *1 (-870)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-598 (-1 (-202) (-202)))) (-5 *3 (-1020 (-202))) (-5 *1 (-870)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-202) (-202))) (-5 *3 (-1020 (-202))) (-5 *1 (-870)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-202) (-202))) (-5 *3 (-1020 (-202))) (-5 *1 (-870))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| -3220 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (|:| -2330 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1076 (-202))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2548 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-527)))) ((*1 *2 *1) (-12 (-4 *1 (-565 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1130)) (-5 *2 (-598 *4))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-296 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-126))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-864)) (-4 *5 (-800)) (-5 *2 (-58 (-598 (-623 *5)))) (-5 *1 (-623 *5))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3484 *3))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1029)) (-5 *2 (-1183)) (-5 *1 (-96))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1096)) (-4 *5 (-339)) (-5 *2 (-1076 (-1076 (-895 *5)))) (-5 *1 (-1187 *5)) (-5 *4 (-1076 (-895 *5)))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-93))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-110) *6 *6)) (-4 *6 (-800)) (-5 *4 (-598 *6)) (-5 *2 (-2 (|:| |fs| (-110)) (|:| |sd| *4) (|:| |td| (-598 *4)))) (-5 *1 (-1102 *6)) (-5 *5 (-598 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *3 (-1134)) (-4 *5 (-1154 *3)) (-4 *6 (-1154 (-383 *5))) (-5 *2 (-110)) (-5 *1 (-315 *4 *3 *5 *6)) (-4 *4 (-316 *3 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-110))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-639 *3)) (-4 *3 (-983)) (-5 *1 (-640 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-524)) (-5 *2 (-110))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-110)) (-5 *1 (-475))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-524) (-800) (-974 (-532)))) (-4 *5 (-406 *4)) (-5 *2 (-394 *3)) (-5 *1 (-411 *4 *5 *3)) (-4 *3 (-1154 *5))))) 
+(((*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-598 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-110) *8 *8)) (-4 *1 (-1124 *5 *6 *7 *8)) (-4 *5 (-524)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *8 (-997 *5 *6 *7))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-383 (-895 *3))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-427)) (-5 *2 (-598 (-2 (|:| |eigval| (-3 (-383 (-895 *4)) (-1085 (-1096) (-895 *4)))) (|:| |geneigvec| (-598 (-639 (-383 (-895 *4)))))))) (-5 *1 (-265 *4)) (-5 *3 (-639 (-383 (-895 *4))))))) 
+(((*1 *2) (-12 (-5 *2 (-598 (-1096))) (-5 *1 (-103))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-723)) (-5 *1 (-806 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-159))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-288 *3)) (-4 *3 (-13 (-983) (-800))) (-5 *1 (-200 *3 *4)) (-14 *4 (-598 (-1096)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-325)) (-5 *2 (-110)) (-5 *1 (-194 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1078)) (-5 *1 (-775))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1028 *3 *4 *5 *6 *7)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)) (-5 *2 (-110))))) 
+(((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-648)))) ((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-648))))) 
+(((*1 *2 *2 *2) (-12 (-4 *2 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *1 (-1051 *3 *2)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-598 (-886 (-202))))) (-5 *1 (-445))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-723)) (-5 *3 (-110)) (-5 *1 (-108)))) ((*1 *2 *2) (-12 (-5 *2 (-864)) (|has| *1 (-6 -4280)) (-4 *1 (-380)))) ((*1 *2) (-12 (-4 *1 (-380)) (-5 *2 (-864))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-110)) (-4 *5 (-325)) (-5 *2 (-2 (|:| |cont| *5) (|:| -1265 (-598 (-2 (|:| |irr| *3) (|:| -3248 (-532))))))) (-5 *1 (-194 *5 *3)) (-4 *3 (-1154 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-892 *4 *6 *5)) (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *2 (-110)) (-5 *1 (-867 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-895 *4))) (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *2 (-110)) (-5 *1 (-867 *4 *5 *6 *7)) (-4 *7 (-892 *4 *6 *5))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-112))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-983)) (-4 *3 (-1154 *4)) (-4 *2 (-1169 *4)) (-5 *1 (-1172 *4 *3 *5 *2)) (-4 *5 (-608 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-524) (-800) (-974 (-532)))) (-5 *1 (-167 *3 *2)) (-4 *2 (-13 (-27) (-1116) (-406 (-156 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-524) (-800) (-974 (-532)))) (-5 *1 (-167 *4 *2)) (-4 *2 (-13 (-27) (-1116) (-406 (-156 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-1120 *3 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-1120 *4 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *4)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1161 *3 *2)) (-4 *3 (-983)) (-4 *2 (-1138 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-383 (-895 *5))) (-5 *4 (-1096)) (-4 *5 (-13 (-280) (-800) (-137))) (-5 *2 (-598 (-288 *5))) (-5 *1 (-1052 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-383 (-895 *5)))) (-5 *4 (-598 (-1096))) (-4 *5 (-13 (-280) (-800) (-137))) (-5 *2 (-598 (-598 (-288 *5)))) (-5 *1 (-1052 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-800) (-524))) (-5 *2 (-110)) (-5 *1 (-251 *4 *3)) (-4 *3 (-13 (-406 *4) (-939)))))) 
+(((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-869))))) 
+(((*1 *1 *1) (-4 *1 (-1064)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-983)) (-5 *2 (-532)) (-5 *1 (-418 *4 *3 *5)) (-4 *3 (-1154 *4)) (-4 *5 (-13 (-380) (-974 *4) (-339) (-1116) (-258)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-267 *2)) (-4 *2 (-21)) (-4 *2 (-1130))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-983)) (-5 *1 (-662 *3 *2)) (-4 *2 (-1154 *3))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-914 *3 *4 *2 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800)) (-4 *5 (-997 *3 *4 *2))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-110)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-598 *10)) (-5 *1 (-580 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1002 *5 *6 *7 *8)) (-4 *10 (-1034 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-733 *5 (-810 *6)))) (-5 *4 (-110)) (-4 *5 (-427)) (-14 *6 (-598 (-1096))) (-5 *2 (-598 (-980 *5 *6))) (-5 *1 (-583 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-733 *5 (-810 *6)))) (-5 *4 (-110)) (-4 *5 (-427)) (-14 *6 (-598 (-1096))) (-5 *2 (-598 (-1066 *5 (-504 (-810 *6)) (-810 *6) (-733 *5 (-810 *6))))) (-5 *1 (-583 *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-110)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-598 (-964 *5 *6 *7 *8))) (-5 *1 (-964 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-110)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-598 (-964 *5 *6 *7 *8))) (-5 *1 (-964 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-598 (-733 *5 (-810 *6)))) (-5 *4 (-110)) (-4 *5 (-427)) (-14 *6 (-598 (-1096))) (-5 *2 (-598 (-980 *5 *6))) (-5 *1 (-980 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-110)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-1002 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-110)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-598 (-1066 *5 *6 *7 *8))) (-5 *1 (-1066 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-598 *8)) (-5 *4 (-110)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-598 (-1066 *5 *6 *7 *8))) (-5 *1 (-1066 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-1124 *4 *5 *6 *7))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808)))) ((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *1 *1) (-5 *1 (-995)))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1154 *5)) (-4 *5 (-13 (-27) (-406 *4))) (-4 *4 (-13 (-800) (-524) (-974 (-532)))) (-4 *7 (-1154 (-383 *6))) (-5 *1 (-520 *4 *5 *6 *7 *2)) (-4 *2 (-316 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-625 *3)) (-4 *3 (-1130)) (-5 *2 (-723))))) 
+(((*1 *2) (-12 (-5 *2 (-110)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-12 (-4 *1 (-447 *2 *3)) (-4 *2 (-159)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-508))) ((*1 *1) (-12 (-5 *1 (-835 *2)) (-4 *2 (-1025)))) ((*1 *1) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-339))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-524)) (-4 *4 (-800)) (-5 *1 (-541 *4 *2)) (-4 *2 (-406 *4))))) 
+(((*1 *1 *1) (-4 *1 (-992))) ((*1 *1 *1 *2 *2) (-12 (-4 *1 (-1156 *3 *2)) (-4 *3 (-983)) (-4 *2 (-745)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1156 *3 *2)) (-4 *3 (-983)) (-4 *2 (-745))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-389 *3 *4 *5 *6)) (-4 *6 (-974 *4)) (-4 *3 (-280)) (-4 *4 (-930 *3)) (-4 *5 (-1154 *4)) (-4 *6 (-385 *4 *5)) (-14 *7 (-1178 *6)) (-5 *1 (-390 *3 *4 *5 *6 *7)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 *6)) (-4 *6 (-385 *4 *5)) (-4 *4 (-930 *3)) (-4 *5 (-1154 *4)) (-4 *3 (-280)) (-5 *1 (-390 *3 *4 *5 *6 *7)) (-14 *7 *2)))) 
+(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -1265 (-598 (-2 (|:| |irr| *10) (|:| -3248 (-532))))))) (-5 *6 (-598 *3)) (-5 *7 (-598 *8)) (-4 *8 (-800)) (-4 *3 (-280)) (-4 *10 (-892 *3 *9 *8)) (-4 *9 (-746)) (-5 *2 (-2 (|:| |polfac| (-598 *10)) (|:| |correct| *3) (|:| |corrfact| (-598 (-1092 *3))))) (-5 *1 (-581 *8 *9 *3 *10)) (-5 *4 (-598 (-1092 *3)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-200 *2 *3)) (-4 *2 (-13 (-983) (-800))) (-14 *3 (-598 (-1096)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-598 *3)) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1078)) (-5 *3 (-598 (-238))) (-5 *1 (-236)))) ((*1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-238)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1179)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-1180))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-202)) (|:| |xend| (-202)) (|:| |fn| (-1178 (-288 (-202)))) (|:| |yinit| (-598 (-202))) (|:| |intvals| (-598 (-202))) (|:| |g| (-288 (-202))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-355)) (-5 *1 (-184))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-421)) (-5 *3 (-532))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1028 *3 *4 *5 *6 *7)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)) (-5 *2 (-110))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-412))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-639 *3)) (-4 *3 (-280)) (-5 *1 (-649 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-394 (-1092 *1))) (-5 *1 (-288 *4)) (-5 *3 (-1092 *1)) (-4 *4 (-427)) (-4 *4 (-524)) (-4 *4 (-800)))) ((*1 *2 *3) (-12 (-4 *1 (-852)) (-5 *2 (-394 (-1092 *1))) (-5 *3 (-1092 *1))))) 
+(((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-288 (-202))) (-5 *2 (-383 (-532))) (-5 *1 (-278))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-798)) (-5 *2 (-532)))) ((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-848 *3)) (-4 *3 (-1025)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-999 *4 *3)) (-4 *4 (-13 (-798) (-339))) (-4 *3 (-1154 *4)) (-5 *2 (-532)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-524) (-800) (-974 *2) (-594 *2) (-427))) (-5 *2 (-532)) (-5 *1 (-1040 *4 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *4))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1096)) (-5 *5 (-793 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *6))) (-4 *6 (-13 (-524) (-800) (-974 *2) (-594 *2) (-427))) (-5 *2 (-532)) (-5 *1 (-1040 *6 *3)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1096)) (-5 *5 (-1078)) (-4 *6 (-13 (-524) (-800) (-974 *2) (-594 *2) (-427))) (-5 *2 (-532)) (-5 *1 (-1040 *6 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *6))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-383 (-895 *4))) (-4 *4 (-427)) (-5 *2 (-532)) (-5 *1 (-1041 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1096)) (-5 *5 (-793 (-383 (-895 *6)))) (-5 *3 (-383 (-895 *6))) (-4 *6 (-427)) (-5 *2 (-532)) (-5 *1 (-1041 *6)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-383 (-895 *6))) (-5 *4 (-1096)) (-5 *5 (-1078)) (-4 *6 (-427)) (-5 *2 (-532)) (-5 *1 (-1041 *6)))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-532)) (-5 *1 (-1113 *3)) (-4 *3 (-983))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-5 *1 (-90 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 (-288 (-202)))) (-5 *2 (-2 (|:| |additions| (-532)) (|:| |multiplications| (-532)) (|:| |exponentiations| (-532)) (|:| |functionCalls| (-532)))) (-5 *1 (-278))))) 
+(((*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-598 *3)) (-5 *5 (-864)) (-4 *3 (-1154 *4)) (-4 *4 (-280)) (-5 *1 (-435 *4 *3))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1092 *1)) (-5 *3 (-1096)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1092 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-895 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1096)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-800) (-524))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-800) (-524)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1154 *2)) (-4 *2 (-1134)) (-5 *1 (-138 *2 *4 *3)) (-4 *3 (-1154 (-383 *4)))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-886 (-202))) (-5 *2 (-1183)) (-5 *1 (-445))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-565 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1130)) (-5 *2 (-110))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-362 *3)) (|:| |mm| (-362 *3)) (|:| |rm| (-362 *3)))) (-5 *1 (-362 *3)) (-4 *3 (-1025)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-772 *3)) (|:| |mm| (-772 *3)) (|:| |rm| (-772 *3)))) (-5 *1 (-772 *3)) (-4 *3 (-800))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-229 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *1) (-12 (-4 *1 (-380)) (-3968 (|has| *1 (-6 -4280))) (-3968 (|has| *1 (-6 -4272))))) ((*1 *2 *1) (-12 (-4 *1 (-401 *2)) (-4 *2 (-1025)) (-4 *2 (-800)))) ((*1 *2 *1) (-12 (-4 *1 (-783 *2)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (-4 *1 (-800))) ((*1 *1) (-5 *1 (-1043)))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-598 (-723))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-915 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-110)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *8 (-800)) (-4 *3 (-997 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-598 *4)) (|:| |todo| (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))))) (-5 *1 (-1000 *6 *7 *8 *3 *4)) (-4 *4 (-1002 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-598 *4)) (|:| |todo| (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))))) (-5 *1 (-1065 *5 *6 *7 *3 *4)) (-4 *4 (-1034 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110)) (-5 *1 (-484 *3 *4 *5 *6)) (-4 *6 (-892 *3 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-672)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-676)) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-529)) (-5 *3 (-532))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-355)) (-5 *1 (-93)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-355)) (-5 *1 (-93))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1096)) (-5 *3 (-410)) (-4 *5 (-800)) (-5 *1 (-1031 *5 *4)) (-4 *4 (-406 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-252 *3 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-252 *4 *2)) (-4 *2 (-13 (-27) (-1116) (-406 *4))))) ((*1 *1 *1) (-5 *1 (-355))) ((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| *3) (|:| -1213 *4)))) (-5 *1 (-728 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-1067 (-1078))) (-5 *1 (-367))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-786 (-202))) (-5 *1 (-203))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-1060 *3 *2)) (-4 *3 (-13 (-1025) (-33))) (-4 *2 (-13 (-1025) (-33)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-818)) (-5 *1 (-238)))) ((*1 *1 *2) (-12 (-5 *2 (-355)) (-5 *1 (-238))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-895 *5)) (-4 *5 (-983)) (-5 *2 (-224 *4 *5)) (-5 *1 (-887 *4 *5)) (-14 *4 (-598 (-1096)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-980 *4 *5)) (-4 *4 (-13 (-798) (-280) (-137) (-958))) (-14 *5 (-598 (-1096))) (-5 *2 (-598 (-598 (-960 (-383 *4))))) (-5 *1 (-1203 *4 *5 *6)) (-14 *6 (-598 (-1096))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-598 (-895 *5))) (-5 *4 (-110)) (-4 *5 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-598 (-960 (-383 *5))))) (-5 *1 (-1203 *5 *6 *7)) (-14 *6 (-598 (-1096))) (-14 *7 (-598 (-1096))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-895 *5))) (-5 *4 (-110)) (-4 *5 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-598 (-960 (-383 *5))))) (-5 *1 (-1203 *5 *6 *7)) (-14 *6 (-598 (-1096))) (-14 *7 (-598 (-1096))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-895 *4))) (-4 *4 (-13 (-798) (-280) (-137) (-958))) (-5 *2 (-598 (-598 (-960 (-383 *4))))) (-5 *1 (-1203 *4 *5 *6)) (-14 *5 (-598 (-1096))) (-14 *6 (-598 (-1096)))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-316 *4 *3 *5)) (-4 *4 (-1134)) (-4 *3 (-1154 *4)) (-4 *5 (-1154 (-383 *3))) (-5 *2 (-110)))) ((*1 *2 *3) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-524) (-800) (-974 (-532)))) (-5 *2 (-110)) (-5 *1 (-167 *4 *3)) (-4 *3 (-13 (-27) (-1116) (-406 (-156 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-410)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-110)) (-5 *1 (-1120 *4 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-895 *5)) (-4 *5 (-983)) (-5 *2 (-464 *4 *5)) (-5 *1 (-887 *4 *5)) (-14 *4 (-598 (-1096)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-721)) (-5 *2 (-2 (|:| -1688 (-355)) (|:| -3846 (-1078)) (|:| |explanations| (-598 (-1078))) (|:| |extra| (-972)))) (-5 *1 (-533)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-721)) (-5 *4 (-995)) (-5 *2 (-2 (|:| -1688 (-355)) (|:| -3846 (-1078)) (|:| |explanations| (-598 (-1078))) (|:| |extra| (-972)))) (-5 *1 (-533)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-740)) (-5 *3 (-995)) (-5 *4 (-2 (|:| |fn| (-288 (-202))) (|:| -2548 (-598 (-1020 (-793 (-202))))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-2 (|:| -1688 (-355)) (|:| |explanations| (-1078)) (|:| |extra| (-972)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-740)) (-5 *3 (-995)) (-5 *4 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-2 (|:| -1688 (-355)) (|:| |explanations| (-1078)) (|:| |extra| (-972)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-753)) (-5 *3 (-995)) (-5 *4 (-2 (|:| |xinit| (-202)) (|:| |xend| (-202)) (|:| |fn| (-1178 (-288 (-202)))) (|:| |yinit| (-598 (-202))) (|:| |intvals| (-598 (-202))) (|:| |g| (-288 (-202))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-2 (|:| -1688 (-355)) (|:| |explanations| (-1078)))))) ((*1 *2 *3) (-12 (-5 *3 (-761)) (-5 *2 (-2 (|:| -1688 (-355)) (|:| -3846 (-1078)) (|:| |explanations| (-598 (-1078))))) (-5 *1 (-758)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-761)) (-5 *4 (-995)) (-5 *2 (-2 (|:| -1688 (-355)) (|:| -3846 (-1078)) (|:| |explanations| (-598 (-1078))))) (-5 *1 (-758)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-789)) (-5 *3 (-995)) (-5 *4 (-2 (|:| |lfn| (-598 (-288 (-202)))) (|:| -2932 (-598 (-202))))) (-5 *2 (-2 (|:| -1688 (-355)) (|:| |explanations| (-1078)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-789)) (-5 *3 (-995)) (-5 *4 (-2 (|:| |fn| (-288 (-202))) (|:| -2932 (-598 (-202))) (|:| |lb| (-598 (-793 (-202)))) (|:| |cf| (-598 (-288 (-202)))) (|:| |ub| (-598 (-793 (-202)))))) (-5 *2 (-2 (|:| -1688 (-355)) (|:| |explanations| (-1078)))))) ((*1 *2 *3) (-12 (-5 *3 (-791)) (-5 *2 (-2 (|:| -1688 (-355)) (|:| -3846 (-1078)) (|:| |explanations| (-598 (-1078))))) (-5 *1 (-790)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-791)) (-5 *4 (-995)) (-5 *2 (-2 (|:| -1688 (-355)) (|:| -3846 (-1078)) (|:| |explanations| (-598 (-1078))))) (-5 *1 (-790)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-838)) (-5 *3 (-995)) (-5 *4 (-2 (|:| |pde| (-598 (-288 (-202)))) (|:| |constraints| (-598 (-2 (|:| |start| (-202)) (|:| |finish| (-202)) (|:| |grid| (-723)) (|:| |boundaryType| (-532)) (|:| |dStart| (-639 (-202))) (|:| |dFinish| (-639 (-202)))))) (|:| |f| (-598 (-598 (-288 (-202))))) (|:| |st| (-1078)) (|:| |tol| (-202)))) (-5 *2 (-2 (|:| -1688 (-355)) (|:| |explanations| (-1078)))))) ((*1 *2 *3) (-12 (-5 *3 (-841)) (-5 *2 (-2 (|:| -1688 (-355)) (|:| -3846 (-1078)) (|:| |explanations| (-598 (-1078))))) (-5 *1 (-840)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-841)) (-5 *4 (-995)) (-5 *2 (-2 (|:| -1688 (-355)) (|:| -3846 (-1078)) (|:| |explanations| (-598 (-1078))))) (-5 *1 (-840))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-775))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-532)) (-5 *1 (-355))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 *4)) (-5 *1 (-1003 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-711))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-3 (-383 (-895 *5)) (-1085 (-1096) (-895 *5)))) (-4 *5 (-427)) (-5 *2 (-598 (-639 (-383 (-895 *5))))) (-5 *1 (-265 *5)) (-5 *4 (-639 (-383 (-895 *5))))))) 
+(((*1 *1 *1 *1) (-5 *1 (-110)))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1178 *1)) (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-598 (-571 *3))) (|:| |vals| (-598 *3)))) (-5 *1 (-252 *5 *3)) (-4 *3 (-13 (-27) (-1116) (-406 *5)))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-280)) (-5 *1 (-430 *3 *2)) (-4 *2 (-1154 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-280)) (-5 *1 (-435 *3 *2)) (-4 *2 (-1154 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-280)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-723))) (-5 *1 (-511 *3 *2 *4 *5)) (-4 *2 (-1154 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-864)) (-5 *4 (-394 *6)) (-4 *6 (-1154 *5)) (-4 *5 (-983)) (-5 *2 (-598 *6)) (-5 *1 (-419 *5 *6))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-598 *6)) (-4 *1 (-914 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524))))) 
+(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-639 (-202))) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-598 (-1092 *7))) (-5 *3 (-1092 *7)) (-4 *7 (-892 *5 *6 *4)) (-4 *5 (-852)) (-4 *6 (-746)) (-4 *4 (-800)) (-5 *1 (-849 *5 *6 *4 *7))))) 
+(((*1 *1 *1) (-4 *1 (-814 *2)))) 
+(((*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-95 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-983)) (-5 *1 (-803 *5 *2)) (-4 *2 (-802 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1092 *6)) (-5 *3 (-532)) (-4 *6 (-280)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-692 *4 *5 *6 *7)) (-4 *7 (-892 *6 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1025)) (-4 *4 (-1025)) (-4 *6 (-1025)) (-5 *2 (-1 *6 *5)) (-5 *1 (-633 *5 *4 *6))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-983)) (-4 *2 (-637 *4 *5 *6)) (-5 *1 (-102 *4 *3 *2 *5 *6)) (-4 *3 (-1154 *4)) (-4 *5 (-349 *4)) (-4 *6 (-349 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1130)) (-4 *1 (-141 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-2 (|:| -3540 (-723)) (|:| -2946 *4) (|:| |num| *4)))) (-4 *4 (-1154 *3)) (-4 *3 (-13 (-339) (-137))) (-5 *1 (-375 *3 *4)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-5 *3 (-598 (-895 (-532)))) (-5 *4 (-110)) (-5 *1 (-413)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-5 *3 (-598 (-1096))) (-5 *4 (-110)) (-5 *1 (-413)))) ((*1 *2 *1) (-12 (-5 *2 (-1076 *3)) (-5 *1 (-562 *3)) (-4 *3 (-1130)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-589 *2)) (-4 *2 (-159)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-623 *3)) (-4 *3 (-800)) (-5 *1 (-616 *3 *4)) (-4 *4 (-159)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-623 *3)) (-4 *3 (-800)) (-5 *1 (-616 *3 *4)) (-4 *4 (-159)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-623 *3)) (-4 *3 (-800)) (-5 *1 (-616 *3 *4)) (-4 *4 (-159)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-598 (-598 *3)))) (-4 *3 (-1025)) (-5 *1 (-626 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-663 *2 *3 *4)) (-4 *2 (-800)) (-4 *3 (-1025)) (-14 *4 (-1 (-110) (-2 (|:| -3120 *2) (|:| -3540 *3)) (-2 (|:| -3120 *2) (|:| -3540 *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-2 (|:| -3220 (-1096)) (|:| -2330 *4)))) (-4 *4 (-1025)) (-5 *1 (-832 *3 *4)) (-4 *3 (-1025)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-598 *5)) (-4 *5 (-13 (-1025) (-33))) (-5 *2 (-598 (-1060 *3 *5))) (-5 *1 (-1060 *3 *5)) (-4 *3 (-13 (-1025) (-33))))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-2 (|:| |val| *4) (|:| -1213 *5)))) (-4 *4 (-13 (-1025) (-33))) (-4 *5 (-13 (-1025) (-33))) (-5 *2 (-598 (-1060 *4 *5))) (-5 *1 (-1060 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -1213 *4))) (-4 *3 (-13 (-1025) (-33))) (-4 *4 (-13 (-1025) (-33))) (-5 *1 (-1060 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1060 *2 *3)) (-4 *2 (-13 (-1025) (-33))) (-4 *3 (-13 (-1025) (-33))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-110)) (-5 *1 (-1060 *2 *3)) (-4 *2 (-13 (-1025) (-33))) (-4 *3 (-13 (-1025) (-33))))) ((*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-598 *3)) (-4 *3 (-13 (-1025) (-33))) (-5 *1 (-1061 *2 *3)) (-4 *2 (-13 (-1025) (-33))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-598 (-1060 *2 *3))) (-4 *2 (-13 (-1025) (-33))) (-4 *3 (-13 (-1025) (-33))) (-5 *1 (-1061 *2 *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-598 (-1061 *2 *3))) (-5 *1 (-1061 *2 *3)) (-4 *2 (-13 (-1025) (-33))) (-4 *3 (-13 (-1025) (-33))))) ((*1 *1 *2) (-12 (-5 *2 (-1060 *3 *4)) (-4 *3 (-13 (-1025) (-33))) (-4 *4 (-13 (-1025) (-33))) (-5 *1 (-1061 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1085 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *2 *1) (-12 (-14 *3 (-598 (-1096))) (-4 *4 (-159)) (-14 *6 (-1 (-110) (-2 (|:| -3120 *5) (|:| -3540 *2)) (-2 (|:| -3120 *5) (|:| -3540 *2)))) (-4 *2 (-215 (-3502 *3) (-723))) (-5 *1 (-436 *3 *4 *5 *2 *6 *7)) (-4 *5 (-800)) (-4 *7 (-892 *4 *2 (-810 *3)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-309 *3 *4 *5 *6)) (-4 *3 (-339)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-4 *6 (-316 *3 *4 *5)) (-5 *2 (-389 *4 (-383 *4) *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 *6)) (-4 *6 (-13 (-385 *4 *5) (-974 *4))) (-4 *4 (-930 *3)) (-4 *5 (-1154 *4)) (-4 *3 (-280)) (-5 *1 (-389 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-892 *3 *4 *5)) (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-484 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *3) (-12 (-4 *2 (-524)) (-4 *2 (-427)) (-5 *1 (-908 *2 *3)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1002 *4 *5 *6 *3)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-110)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-598 (-2 (|:| |val| (-110)) (|:| -1213 *1)))) (-4 *1 (-1002 *4 *5 *6 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-524)) (-4 *4 (-930 *3)) (-5 *1 (-132 *3 *4 *2)) (-4 *2 (-349 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *5 (-930 *4)) (-4 *2 (-349 *4)) (-5 *1 (-483 *4 *5 *2 *3)) (-4 *3 (-349 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-639 *5)) (-4 *5 (-930 *4)) (-4 *4 (-524)) (-5 *2 (-639 *4)) (-5 *1 (-642 *4 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-524)) (-4 *4 (-930 *3)) (-5 *1 (-1147 *3 *4 *2)) (-4 *2 (-1154 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-930 *2)) (-4 *2 (-524)) (-4 *2 (-517)))) ((*1 *1 *1) (-4 *1 (-992)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -3347 (-598 (-808))) (|:| -1310 (-598 (-808))) (|:| |presup| (-598 (-808))) (|:| -3328 (-598 (-808))) (|:| |args| (-598 (-808))))) (-5 *1 (-1096)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-598 (-808)))) (-5 *1 (-1096))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-309 *3 *4 *5 *6)) (-4 *3 (-339)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-4 *6 (-316 *3 *4 *5)) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1169 *4)) (-4 *4 (-37 (-383 (-532)))) (-5 *2 (-1 (-1076 *4) (-1076 *4) (-1076 *4))) (-5 *1 (-1171 *4 *5))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-723)) (-4 *2 (-13 (-524) (-427))) (-5 *1 (-321 *2 *4)) (-4 *4 (-46 *2 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-786 (-202))) (-5 *1 (-203))))) 
+(((*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-723)) (-4 *3 (-524)) (-5 *1 (-908 *3 *2)) (-4 *2 (-1154 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *2 (-1076 (-202))) (-5 *1 (-171)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-288 (-202))) (-5 *4 (-598 (-1096))) (-5 *5 (-1020 (-793 (-202)))) (-5 *2 (-1076 (-202))) (-5 *1 (-273)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1178 (-288 (-202)))) (-5 *4 (-598 (-1096))) (-5 *5 (-1020 (-793 (-202)))) (-5 *2 (-1076 (-202))) (-5 *1 (-273))))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-639 (-383 (-895 (-532))))) (-5 *2 (-598 (-639 (-288 (-532))))) (-5 *1 (-968))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-723)) (-5 *1 (-42 *4 *3)) (-4 *3 (-393 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-941 *3)) (-14 *3 (-532))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-2 (|:| -4186 *4) (|:| -2997 (-532))))) (-4 *4 (-1154 (-532))) (-5 *2 (-687 (-723))) (-5 *1 (-417 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-394 *5)) (-4 *5 (-1154 *4)) (-4 *4 (-983)) (-5 *2 (-687 (-723))) (-5 *1 (-419 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 (-598 (-2 (|:| -1330 *4) (|:| -3120 (-1043)))))) (-4 *4 (-325)) (-5 *2 (-639 *4)) (-5 *1 (-322 *4))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| *3) (|:| -1213 *4)))) (-5 *1 (-1033 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-267 (-895 (-532)))) (-5 *2 (-2 (|:| |varOrder| (-598 (-1096))) (|:| |inhom| (-3 (-598 (-1178 (-723))) "failed")) (|:| |hom| (-598 (-1178 (-723)))))) (-5 *1 (-213))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-1183)) (-5 *1 (-412))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-5 *2 (-355)) (-5 *1 (-976))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-723)) (-5 *1 (-112))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1096)) (-4 *5 (-13 (-524) (-974 (-532)) (-137))) (-5 *2 (-2 (|:| -3117 (-383 (-895 *5))) (|:| |coeff| (-383 (-895 *5))))) (-5 *1 (-538 *5)) (-5 *3 (-383 (-895 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1092 *4)) (-4 *4 (-325)) (-5 *2 (-900 (-1043))) (-5 *1 (-322 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-532)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-1183)) (-5 *1 (-424 *4 *5 *6 *7)) (-4 *7 (-892 *4 *5 *6))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-355)) (-5 *1 (-995))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-963 (-793 (-532)))) (-5 *3 (-1076 (-2 (|:| |k| (-532)) (|:| |c| *4)))) (-4 *4 (-983)) (-5 *1 (-557 *4))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *4)) (-4 *4 (-524)) (-5 *2 (-1092 *4)) (-5 *1 (-719 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *5)) (-4 *5 (-159)) (-5 *1 (-130 *3 *4 *5)) (-14 *3 (-532)) (-14 *4 (-723))))) 
+(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-110)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *8 (-800)) (-4 *3 (-997 *6 *7 *8)) (-5 *2 (-598 (-2 (|:| |val| *3) (|:| -1213 *4)))) (-5 *1 (-1033 *6 *7 *8 *3 *4)) (-4 *4 (-1002 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-598 (-2 (|:| |val| (-598 *8)) (|:| -1213 *9)))) (-5 *5 (-110)) (-4 *8 (-997 *6 *7 *4)) (-4 *9 (-1002 *6 *7 *4 *8)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *4 (-800)) (-5 *2 (-598 (-2 (|:| |val| *8) (|:| -1213 *9)))) (-5 *1 (-1033 *6 *7 *4 *8 *9))))) 
+(((*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-750 *2)) (-4 *2 (-159)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-936 *3)) (-4 *3 (-159)) (-5 *1 (-752 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-532)) (-4 *5 (-325)) (-5 *2 (-394 (-1092 (-1092 *5)))) (-5 *1 (-1129 *5)) (-5 *3 (-1092 (-1092 *5)))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-340 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-1025)))) ((*1 *1 *1) (-5 *1 (-587)))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-993 (-960 *3) (-1092 (-960 *3)))) (-5 *1 (-960 *3)) (-4 *3 (-13 (-798) (-339) (-958)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-4 *4 (-13 (-524) (-427))) (-5 *2 (-598 *4)) (-5 *1 (-321 *4 *5)) (-4 *5 (-46 *4 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1183)) (-5 *1 (-355)))) ((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-355))))) 
+(((*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-723)) (-4 *3 (-13 (-676) (-344) (-10 -7 (-15 ** (*3 *3 (-532)))))) (-5 *1 (-223 *3))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1076 *3)) (-5 *1 (-160 *3)) (-4 *3 (-280))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1096)) (-5 *1 (-775))))) 
+(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-339)) (-5 *1 (-839 *2 *3)) (-4 *2 (-1154 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-786 (-202))) (-5 *1 (-203))))) 
+(((*1 *2 *1) (-12 (-4 *4 (-1025)) (-5 *2 (-832 *3 *5)) (-5 *1 (-828 *3 *4 *5)) (-4 *3 (-1025)) (-4 *5 (-618 *4))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-639 (-202))) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *2)) (-4 *2 (-406 *4)) (-5 *1 (-146 *4 *2)) (-4 *4 (-13 (-800) (-524)))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-598 (-1092 *7))) (-5 *3 (-1092 *7)) (-4 *7 (-892 *4 *5 *6)) (-4 *4 (-852)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *1 (-849 *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-598 (-1092 *5))) (-5 *3 (-1092 *5)) (-4 *5 (-1154 *4)) (-4 *4 (-852)) (-5 *1 (-850 *4 *5))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-723)) (-4 *5 (-524)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-908 *5 *3)) (-4 *3 (-1154 *5))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-110)) (-5 *1 (-782))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-808))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-532)) (-5 *5 (-639 (-202))) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *1 *1 *2 *1) (-12 (-5 *1 (-125 *2)) (-4 *2 (-1025)))) ((*1 *1 *2) (-12 (-5 *1 (-125 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-869))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-1194 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983)) (-4 *4 (-159)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1194 *2 *3)) (-4 *2 (-800)) (-4 *3 (-983)) (-4 *3 (-159))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-1092 (-895 *4))) (-5 *1 (-392 *3 *4)) (-4 *3 (-393 *4)))) ((*1 *2) (-12 (-4 *1 (-393 *3)) (-4 *3 (-159)) (-4 *3 (-339)) (-5 *2 (-1092 (-895 *3))))) ((*1 *2) (-12 (-5 *2 (-1092 (-383 (-895 *3)))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-195))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-445)) (-5 *4 (-864)) (-5 *2 (-1183)) (-5 *1 (-1179))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-532)) (-5 *5 (-110)) (-5 *6 (-639 (-202))) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-199 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-229 *3)) (-4 *3 (-1130)) (-5 *2 (-723)))) ((*1 *2 *1) (-12 (-4 *1 (-275)) (-5 *2 (-723)))) ((*1 *2 *3) (-12 (-4 *4 (-983)) (-4 *2 (-13 (-380) (-974 *4) (-339) (-1116) (-258))) (-5 *1 (-418 *4 *3 *2)) (-4 *3 (-1154 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-723)) (-5 *1 (-571 *3)) (-4 *3 (-800)))) ((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-808)))) ((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-808))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1183)) (-5 *1 (-1099)))) ((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-1099))))) 
+(((*1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-145))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *2 (-598 *4)) (-5 *1 (-1051 *3 *4)) (-4 *3 (-1154 *4)))) ((*1 *2 *3 *3) (-12 (-4 *3 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *2 (-598 *3)) (-5 *1 (-1051 *4 *3)) (-4 *4 (-1154 *3))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1096)) (-4 *5 (-573 (-835 (-532)))) (-4 *5 (-829 (-532))) (-4 *5 (-13 (-800) (-974 (-532)) (-427) (-594 (-532)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-535 *5 *3)) (-4 *3 (-584)) (-4 *3 (-13 (-27) (-1116) (-406 *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1096)) (-5 *4 (-793 *2)) (-4 *2 (-1059)) (-4 *2 (-13 (-27) (-1116) (-406 *5))) (-4 *5 (-573 (-835 (-532)))) (-4 *5 (-829 (-532))) (-4 *5 (-13 (-800) (-974 (-532)) (-427) (-594 (-532)))) (-5 *1 (-535 *5 *2))))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-983)) (-5 *2 (-1 (-598 *4) *4)) (-5 *1 (-101 *4)) (-5 *3 (-598 *4))))) 
+(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-532)) (-5 *5 (-639 (-202))) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-66 DOT)))) (-5 *7 (-3 (|:| |fn| (-364)) (|:| |fp| (-67 IMAGE)))) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-707)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-532)) (-5 *5 (-639 (-202))) (-5 *6 (-3 (|:| |fn| (-364)) (|:| |fp| (-66 DOT)))) (-5 *7 (-3 (|:| |fn| (-364)) (|:| |fp| (-67 IMAGE)))) (-5 *8 (-364)) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1092 *7)) (-4 *5 (-983)) (-4 *7 (-983)) (-4 *2 (-1154 *5)) (-5 *1 (-481 *5 *2 *6 *7)) (-4 *6 (-1154 *2))))) 
+(((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-869))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-723)) (-4 *2 (-13 (-524) (-427))) (-5 *1 (-321 *2 *4)) (-4 *4 (-46 *2 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-3 (-1092 *4) (-1178 (-598 (-2 (|:| -1330 *4) (|:| -3120 (-1043))))))) (-5 *1 (-322 *4)) (-4 *4 (-325))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-202)) (-5 *2 (-383 (-532))) (-5 *1 (-278))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-532)) (-5 *4 (-110)) (-5 *5 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-5 *2 (-355)) (-5 *1 (-739))))) 
+(((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4289)) (-4 *1 (-565 *4 *3)) (-4 *4 (-1025)) (-4 *3 (-1130)) (-4 *3 (-1025)) (-5 *2 (-110))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1025))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| *3) (|:| -1213 *4)))) (-5 *1 (-1003 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-800)) (-4 *5 (-746)) (-4 *6 (-524)) (-4 *7 (-892 *6 *5 *3)) (-5 *1 (-439 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-974 (-383 (-532))) (-339) (-10 -8 (-15 -1256 ($ *7)) (-15 -2251 (*7 $)) (-15 -2258 (*7 $)))))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-532)) (-5 *4 (-110)) (-5 *5 (-639 (-156 (-202)))) (-5 *2 (-972)) (-5 *1 (-707))))) 
+(((*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-598 (-598 (-886 (-202))))) (-5 *3 (-598 (-818))) (-5 *4 (-598 (-864))) (-5 *5 (-598 (-238))) (-5 *1 (-445)))) ((*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-598 (-598 (-886 (-202))))) (-5 *3 (-598 (-818))) (-5 *4 (-598 (-864))) (-5 *1 (-445)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-598 (-886 (-202))))) (-5 *1 (-445)))) ((*1 *1 *1) (-5 *1 (-445)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 *4)) (-5 *1 (-1033 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-786 (-202))) (-5 *1 (-203))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1183)) (-5 *1 (-1099))))) 
+(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1078)) (-5 *4 (-156 (-202))) (-5 *5 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-639 (-288 (-202)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-355)) (|:| |stabilityFactor| (-355)))) (-5 *1 (-184))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-565 *2 *3)) (-4 *3 (-1130)) (-4 *2 (-1025)) (-4 *2 (-800))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-746)) (-4 *4 (-800)) (-4 *6 (-280)) (-5 *2 (-394 *3)) (-5 *1 (-692 *5 *4 *6 *3)) (-4 *3 (-892 *6 *5 *4))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-723)) (-5 *1 (-152 *3 *4)) (-4 *3 (-153 *4)))) ((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1130)) (-5 *2 (-723)) (-5 *1 (-214 *3 *4 *5)) (-4 *3 (-215 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-800)) (-5 *2 (-723)) (-5 *1 (-405 *3 *4)) (-4 *3 (-406 *4)))) ((*1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-516 *3)) (-4 *3 (-517)))) ((*1 *2) (-12 (-4 *1 (-715)) (-5 *2 (-723)))) ((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-723)) (-5 *1 (-749 *3 *4)) (-4 *3 (-750 *4)))) ((*1 *2) (-12 (-4 *4 (-524)) (-5 *2 (-723)) (-5 *1 (-929 *3 *4)) (-4 *3 (-930 *4)))) ((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-723)) (-5 *1 (-933 *3 *4)) (-4 *3 (-934 *4)))) ((*1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-948 *3)) (-4 *3 (-949)))) ((*1 *2) (-12 (-4 *1 (-983)) (-5 *2 (-723)))) ((*1 *2) (-12 (-5 *2 (-723)) (-5 *1 (-991 *3)) (-4 *3 (-992))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-897)) (-5 *2 (-1020 (-202))))) ((*1 *2 *1) (-12 (-4 *1 (-912)) (-5 *2 (-1020 (-202)))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-427)) (-4 *4 (-800)) (-4 *5 (-746)) (-5 *2 (-110)) (-5 *1 (-925 *3 *4 *5 *6)) (-4 *6 (-892 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1060 *3 *4)) (-4 *3 (-13 (-1025) (-33))) (-4 *4 (-13 (-1025) (-33)))))) 
+(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1078)) (-5 *4 (-156 (-202))) (-5 *5 (-532)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 *5)) (-5 *4 (-598 (-1 *6 (-598 *6)))) (-4 *5 (-37 (-383 (-532)))) (-4 *6 (-1169 *5)) (-5 *2 (-598 *6)) (-5 *1 (-1171 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-598 (-598 (-886 *3)))))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-598 (-598 (-886 *4)))) (-5 *3 (-110)) (-4 *4 (-983)) (-4 *1 (-1057 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-598 (-886 *3)))) (-4 *3 (-983)) (-4 *1 (-1057 *3)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-598 (-598 (-598 *4)))) (-5 *3 (-110)) (-4 *1 (-1057 *4)) (-4 *4 (-983)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-598 (-598 (-886 *4)))) (-5 *3 (-110)) (-4 *1 (-1057 *4)) (-4 *4 (-983)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-598 (-598 (-598 *5)))) (-5 *3 (-598 (-158))) (-5 *4 (-158)) (-4 *1 (-1057 *5)) (-4 *5 (-983)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-598 (-598 (-886 *5)))) (-5 *3 (-598 (-158))) (-5 *4 (-158)) (-4 *1 (-1057 *5)) (-4 *5 (-983))))) 
+(((*1 *1) (-5 *1 (-145)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-786 (-202))) (-5 *1 (-203))))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-571 *3)) (-5 *5 (-1 (-1092 *3) (-1092 *3))) (-4 *3 (-13 (-27) (-406 *6))) (-4 *6 (-13 (-800) (-524))) (-5 *2 (-549 *3)) (-5 *1 (-519 *6 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1019 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-532)) (-5 *5 (-156 (-202))) (-5 *6 (-1078)) (-5 *4 (-202)) (-5 *2 (-972)) (-5 *1 (-710))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-394 *3)) (-5 *1 (-526 *3)) (-4 *3 (-517))))) 
+(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1078)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *8 (-800)) (-4 *4 (-997 *6 *7 *8)) (-5 *2 (-1183)) (-5 *1 (-728 *6 *7 *8 *4 *5)) (-4 *5 (-1002 *6 *7 *8 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-983)) (-5 *2 (-1 (-598 *4) *4)) (-5 *1 (-101 *4)) (-5 *3 (-598 *4))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-723)) (-5 *2 (-383 (-532))) (-5 *1 (-202)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-383 (-532))) (-5 *1 (-202)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-723)) (-5 *2 (-383 (-532))) (-5 *1 (-355)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *2 (-383 (-532))) (-5 *1 (-355))))) 
+(((*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-339) (-10 -8 (-15 ** ($ $ (-383 (-532))))))) (-5 *1 (-1051 *3 *2)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1019 *3)) (-4 *3 (-1130)) (-5 *2 (-532))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-598 (-1096))) (-4 *4 (-1025)) (-4 *5 (-13 (-983) (-829 *4) (-800) (-573 (-835 *4)))) (-5 *1 (-54 *4 *5 *2)) (-4 *2 (-13 (-406 *5) (-829 *4) (-573 (-835 *4))))))) 
+(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-598 (-1092 *11))) (-5 *3 (-1092 *11)) (-5 *4 (-598 *10)) (-5 *5 (-598 *8)) (-5 *6 (-598 (-723))) (-5 *7 (-1178 (-598 (-1092 *8)))) (-4 *10 (-800)) (-4 *8 (-280)) (-4 *11 (-892 *8 *9 *10)) (-4 *9 (-746)) (-5 *1 (-657 *9 *10 *8 *11))))) 
+(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-1064)) (-5 *2 (-1145 (-532)))))) 
+(((*1 *2) (-12 (-5 *2 (-900 (-1043))) (-5 *1 (-317 *3 *4)) (-14 *3 (-864)) (-14 *4 (-864)))) ((*1 *2) (-12 (-5 *2 (-900 (-1043))) (-5 *1 (-318 *3 *4)) (-4 *3 (-325)) (-14 *4 (-1092 *3)))) ((*1 *2) (-12 (-5 *2 (-900 (-1043))) (-5 *1 (-319 *3 *4)) (-4 *3 (-325)) (-14 *4 (-864))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-598 *3))) (-4 *3 (-1025)) (-4 *1 (-846 *3))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-532)) (-5 *4 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-709))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-202)) (-5 *1 (-203)))) ((*1 *2 *2) (-12 (-5 *2 (-156 (-202))) (-5 *1 (-203)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-407 *3 *2)) (-4 *2 (-406 *3)))) ((*1 *1 *1) (-4 *1 (-1059)))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-521))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-349 *2)) (-4 *2 (-1130)) (-4 *2 (-800)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-110) *3 *3)) (-4 *1 (-349 *3)) (-4 *3 (-1130)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-466 *2)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-907 *2)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1057 *2)) (-4 *2 (-983)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *1)) (-4 *1 (-1057 *3)) (-4 *3 (-983)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-1084 *3 *4))) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-1084 *2 *3)) (-14 *2 (-864)) (-4 *3 (-983))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-49 *2 *3)) (-4 *2 (-983)) (-14 *3 (-598 (-1096))))) ((*1 *1 *1) (-12 (-5 *1 (-200 *2 *3)) (-4 *2 (-13 (-983) (-800))) (-14 *3 (-598 (-1096)))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-983)) (-4 *5 (-746)) (-4 *3 (-800)) (-5 *2 (-2 (|:| -2283 *1) (|:| |gap| (-723)) (|:| -2860 *1))) (-4 *1 (-997 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-2 (|:| -2283 *1) (|:| |gap| (-723)) (|:| -2860 *1))) (-4 *1 (-997 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1019 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1078)) (-5 *5 (-639 (-202))) (-5 *6 (-639 (-532))) (-5 *4 (-532)) (-5 *2 (-972)) (-5 *1 (-709))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-396 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1116) (-406 *3))) (-14 *4 (-1096)) (-14 *5 *2))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-4 *2 (-13 (-27) (-1116) (-406 *3) (-10 -8 (-15 -1256 ($ *4))))) (-4 *4 (-798)) (-4 *5 (-13 (-1156 *2 *4) (-339) (-1116) (-10 -8 (-15 -2411 ($ $)) (-15 -2211 ($ $))))) (-5 *1 (-398 *3 *2 *4 *5 *6 *7)) (-4 *6 (-921 *5)) (-14 *7 (-1096))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-304))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-145)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-5 *2 (-723)) (-5 *1 (-42 *4 *3)) (-4 *3 (-393 *4))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1078)) (-5 *4 (-532)) (-5 *5 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-709))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-598 *2))) (-5 *4 (-598 *5)) (-4 *5 (-37 (-383 (-532)))) (-4 *2 (-1169 *5)) (-5 *1 (-1171 *5 *2))))) 
+(((*1 *2) (-12 (-5 *2 (-1183)) (-5 *1 (-1099)))) ((*1 *2 *3) (-12 (-5 *3 (-1096)) (-5 *2 (-1183)) (-5 *1 (-1099)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1096)) (-5 *2 (-1183)) (-5 *1 (-1099))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1084 *2 *3)) (-14 *2 (-864)) (-4 *3 (-983))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1092 *6)) (-4 *6 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-1092 *7)) (-5 *1 (-294 *4 *5 *6 *7)) (-4 *7 (-892 *6 *4 *5))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-598 (-267 *4))) (-5 *1 (-582 *3 *4 *5)) (-4 *3 (-800)) (-4 *4 (-13 (-159) (-667 (-383 (-532))))) (-14 *5 (-864))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1078)) (-5 *4 (-532)) (-5 *5 (-639 (-202))) (-5 *2 (-972)) (-5 *1 (-709))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1098 (-383 (-532)))) (-5 *2 (-383 (-532))) (-5 *1 (-169))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-847 (-532))) (-5 *1 (-860)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-847 (-532))) (-5 *1 (-860))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-4 *4 (-13 (-524) (-427))) (-5 *2 (-598 *4)) (-5 *1 (-321 *4 *5)) (-4 *5 (-46 *4 *3))))) 
+(((*1 *1 *1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-1076 *3)) (-4 *3 (-1130)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-864)) (-5 *2 (-445)) (-5 *1 (-1179))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-134)))) ((*1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-134))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *3 *4) (-12 (-4 *2 (-1154 *4)) (-5 *1 (-760 *4 *2 *3 *5)) (-4 *4 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *3 (-608 *2)) (-4 *5 (-608 (-383 *2))))) ((*1 *2 *3 *4) (-12 (-4 *2 (-1154 *4)) (-5 *1 (-760 *4 *2 *5 *3)) (-4 *4 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *5 (-608 *2)) (-4 *3 (-608 (-383 *2)))))) 
+(((*1 *2 *3 *3 *3) (-12 (-4 *4 (-983)) (-5 *2 (-1 (-598 *4) *4)) (-5 *1 (-101 *4)) (-5 *3 (-598 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-280) (-137))) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-892 *4 *5 *6)) (-5 *2 (-598 (-598 *7))) (-5 *1 (-423 *4 *5 *6 *7)) (-5 *3 (-598 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-110)) (-4 *5 (-13 (-280) (-137))) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *8 (-892 *5 *6 *7)) (-5 *2 (-598 (-598 *8))) (-5 *1 (-423 *5 *6 *7 *8)) (-5 *3 (-598 *8))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-972)) (-5 *3 (-1096)) (-5 *1 (-242))))) 
+(((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-339)) (-5 *1 (-259 *3 *2)) (-4 *2 (-1169 *3))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-598 *6)) (-5 *4 (-1 *6 (-723) (-1178 (-1092 *6)))) (-5 *5 (-598 (-723))) (-4 *6 (-13 (-524) (-427))) (-5 *2 (-639 (-1092 *6))) (-5 *1 (-321 *6 *7)) (-4 *7 (-46 *6 (-723)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1078)) (-5 *1 (-508))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-723)) (-4 *2 (-524)) (-5 *1 (-908 *2 *4)) (-4 *4 (-1154 *2))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1043)) (-5 *1 (-304))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-915 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *5 (-1154 *4)) (-5 *2 (-598 (-2 (|:| -2946 *5) (|:| -3862 *5)))) (-5 *1 (-760 *4 *5 *3 *6)) (-4 *3 (-608 *5)) (-4 *6 (-608 (-383 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *4 (-1154 *5)) (-5 *2 (-598 (-2 (|:| -2946 *4) (|:| -3862 *4)))) (-5 *1 (-760 *5 *4 *3 *6)) (-4 *3 (-608 *4)) (-4 *6 (-608 (-383 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *5 (-1154 *4)) (-5 *2 (-598 (-2 (|:| -2946 *5) (|:| -3862 *5)))) (-5 *1 (-760 *4 *5 *6 *3)) (-4 *6 (-608 *5)) (-4 *3 (-608 (-383 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-339) (-137) (-974 (-383 (-532))))) (-4 *4 (-1154 *5)) (-5 *2 (-598 (-2 (|:| -2946 *4) (|:| -3862 *4)))) (-5 *1 (-760 *5 *4 *6 *3)) (-4 *6 (-608 *4)) (-4 *3 (-608 (-383 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-2 (|:| |den| (-532)) (|:| |gcdnum| (-532))))) (-4 *4 (-1154 (-383 *2))) (-5 *2 (-532)) (-5 *1 (-856 *4 *5)) (-4 *5 (-1154 (-383 *4)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-786 (-202))) (-5 *1 (-203))))) 
+(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-598 *1)) (-4 *1 (-280))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-598 (-598 (-598 (-886 *3)))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-1096))) (-5 *1 (-1100))))) 
+(((*1 *1 *1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-1025)) (-4 *2 (-843 *4)) (-5 *1 (-641 *4 *2 *5 *3)) (-4 *5 (-349 *2)) (-4 *3 (-13 (-349 *4) (-10 -7 (-6 -4289))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1145 *3)) (-4 *3 (-1130))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 *7)) (-4 *7 (-997 *4 *5 *6)) (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-598 (-1190 *4 *5 *6 *7))) (-5 *1 (-1190 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-598 *9)) (-5 *4 (-1 (-110) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-997 *6 *7 *8)) (-4 *6 (-524)) (-4 *7 (-746)) (-4 *8 (-800)) (-5 *2 (-598 (-1190 *6 *7 *8 *9))) (-5 *1 (-1190 *6 *7 *8 *9))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-832 *4 *5)) (-5 *3 (-832 *4 *6)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-618 *5)) (-5 *1 (-828 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-13 (-798) (-339))) (-5 *1 (-993 *2 *3)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-1098 (-383 (-532)))) (-5 *1 (-169))))) 
+(((*1 *1 *1) (-12 (|has| *1 (-6 -4290)) (-4 *1 (-349 *2)) (-4 *2 (-1130)) (-4 *2 (-800)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-110) *3 *3)) (|has| *1 (-6 -4290)) (-4 *1 (-349 *3)) (-4 *3 (-1130))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-145)) (-5 *1 (-818))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-726)) (-5 *1 (-51))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-5 *2 (-1 (-202) (-202))) (-5 *1 (-653 *3)) (-4 *3 (-573 (-508))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1096)) (-5 *2 (-1 (-202) (-202) (-202))) (-5 *1 (-653 *3)) (-4 *3 (-573 (-508)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-549 *3)) (-4 *3 (-339))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1092 *4)) (-5 *1 (-333 *4)) (-4 *4 (-325))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-316 *4 *3 *5)) (-4 *4 (-1134)) (-4 *3 (-1154 *4)) (-4 *5 (-1154 (-383 *3))) (-5 *2 (-110)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-339)) (-5 *2 (-598 *3)) (-5 *1 (-888 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1029)) (-5 *1 (-1100))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| *3) (|:| -1213 *4)))) (-5 *1 (-1033 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3980 *6) (|:| |sol?| (-110))) (-532) *6)) (-4 *6 (-339)) (-4 *7 (-1154 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-383 *7)) (|:| |a0| *6)) (-2 (|:| -3117 (-383 *7)) (|:| |coeff| (-383 *7))) "failed")) (-5 *1 (-542 *6 *7)) (-5 *3 (-383 *7))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-914 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524)) (-5 *2 (-110))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 *1)) (-4 *1 (-346 *4 *5)) (-4 *4 (-159)) (-4 *5 (-1154 *4)) (-5 *2 (-639 *4)))) ((*1 *2) (-12 (-4 *4 (-159)) (-4 *5 (-1154 *4)) (-5 *2 (-639 *4)) (-5 *1 (-384 *3 *4 *5)) (-4 *3 (-385 *4 *5)))) ((*1 *2) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-159)) (-4 *4 (-1154 *3)) (-5 *2 (-639 *3))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-598 *2) *2 *2 *2)) (-4 *2 (-1025)) (-5 *1 (-100 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1025)) (-5 *1 (-100 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-598 (-598 *4)))) (-5 *2 (-598 (-598 *4))) (-5 *1 (-1102 *4)) (-4 *4 (-800))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-847 (-532))) (-5 *1 (-860)))) ((*1 *2) (-12 (-5 *2 (-847 (-532))) (-5 *1 (-860))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-524)) (-5 *1 (-579 *2 *3)) (-4 *3 (-1154 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-355)) (-5 *2 (-1078)) (-5 *1 (-278))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-723)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-746)) (-4 *6 (-892 *3 *4 *5)) (-4 *3 (-427)) (-4 *5 (-800)) (-5 *1 (-424 *3 *4 *5 *6))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3183 *3) (|:| |coef2| (-735 *3)))) (-5 *1 (-735 *3)) (-4 *3 (-524)) (-4 *3 (-983))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-325)) (-5 *2 (-900 (-1092 *4))) (-5 *1 (-333 *4)) (-5 *3 (-1092 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *1 (-821 *2)) (-4 *2 (-1130)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *1 (-823 *2)) (-4 *2 (-1130)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-723)) (-5 *1 (-825 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-358 *3 *4)) (-4 *3 (-983)) (-4 *4 (-1025)) (-5 *2 (-598 (-2 (|:| |k| *4) (|:| |c| *3)))))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |k| (-836 *3)) (|:| |c| *4)))) (-5 *1 (-582 *3 *4 *5)) (-4 *3 (-800)) (-4 *4 (-13 (-159) (-667 (-383 (-532))))) (-14 *5 (-864)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-623 *3))) (-5 *1 (-836 *3)) (-4 *3 (-800))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-355)) (-5 *1 (-995))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-598 (-598 (-532)))) (-5 *1 (-909)) (-5 *3 (-598 (-532)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-733 *5 (-810 *6)))) (-5 *4 (-110)) (-4 *5 (-427)) (-14 *6 (-598 (-1096))) (-5 *2 (-598 (-980 *5 *6))) (-5 *1 (-583 *5 *6))))) 
+(((*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1096)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-598 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-598 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3117 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1116) (-27) (-406 *8))) (-4 *8 (-13 (-427) (-800) (-137) (-974 *3) (-594 *3))) (-5 *3 (-532)) (-5 *2 (-2 (|:| |ans| *4) (|:| -3980 *4) (|:| |sol?| (-110)))) (-5 *1 (-950 *8 *4))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-355)) (-5 *3 (-1078)) (-5 *1 (-93)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-355)) (-5 *3 (-1078)) (-5 *1 (-93))))) 
+(((*1 *1) (-4 *1 (-325)))) 
+(((*1 *2 *3 *2) (-12 (-5 *1 (-629 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-134))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-598 *1)) (-4 *1 (-997 *4 *5 *6)) (-4 *4 (-983)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-110)))) ((*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-110) *3 *3)) (-4 *1 (-1124 *5 *6 *7 *3)) (-4 *5 (-524)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-110))))) 
+(((*1 *2) (-12 (-4 *3 (-524)) (-5 *2 (-598 (-639 *3))) (-5 *1 (-42 *3 *4)) (-4 *4 (-393 *3))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1096)) (-5 *6 (-110)) (-4 *7 (-13 (-280) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-4 *3 (-13 (-1116) (-901) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-793 *3)) (|:| |f2| (-598 (-793 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-196 *7 *3)) (-5 *5 (-793 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-532)) (-5 *2 (-786 (-202))) (-5 *1 (-203)) (-5 *4 (-202))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-1154 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *2 *3) (-12 (-5 *1 (-629 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-33)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-90 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-199 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-466 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-4 *3 (-427)) (-4 *4 (-800)) (-4 *5 (-746)) (-5 *2 (-110)) (-5 *1 (-925 *3 *4 *5 *6)) (-4 *6 (-892 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-937 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1060 *3 *4)) (-4 *3 (-13 (-1025) (-33))) (-4 *4 (-13 (-1025) (-33))))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1067 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3023 *1) (|:| -4276 *1) (|:| |associate| *1))) (-4 *1 (-524))))) 
+(((*1 *2) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-782))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-864)) (-5 *1 (-379 *3)) (-4 *3 (-380)))) ((*1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-379 *3)) (-4 *3 (-380)))) ((*1 *2 *2) (-12 (-5 *2 (-864)) (|has| *1 (-6 -4280)) (-4 *1 (-380)))) ((*1 *2) (-12 (-4 *1 (-380)) (-5 *2 (-864)))) ((*1 *2 *1) (-12 (-4 *1 (-814 *3)) (-5 *2 (-1076 (-532)))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-517)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-5 *2 (-110))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |k| (-623 *3)) (|:| |c| *4)))) (-5 *1 (-582 *3 *4 *5)) (-4 *3 (-800)) (-4 *4 (-13 (-159) (-667 (-383 (-532))))) (-14 *5 (-864))))) 
+(((*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-808) (-808) (-808))) (-5 *4 (-532)) (-5 *2 (-808)) (-5 *1 (-601 *5 *6 *7)) (-4 *5 (-1025)) (-4 *6 (-23)) (-14 *7 *6))) ((*1 *2 *1 *2) (-12 (-5 *2 (-808)) (-5 *1 (-804 *3 *4 *5)) (-4 *3 (-983)) (-14 *4 (-95 *3)) (-14 *5 (-1 *3 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-202)) (-5 *1 (-808)))) ((*1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-808)))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-808)))) ((*1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-808)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-808)) (-5 *1 (-1092 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1154 *2)) (-4 *2 (-983))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-598 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-723)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-746)) (-4 *6 (-892 *3 *4 *5)) (-4 *3 (-427)) (-4 *5 (-800)) (-5 *1 (-424 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-598 *8)) (-5 *4 (-598 (-835 *6))) (-5 *5 (-1 (-832 *6 *8) *8 (-835 *6) (-832 *6 *8))) (-4 *6 (-1025)) (-4 *8 (-13 (-983) (-573 (-835 *6)) (-974 *7))) (-5 *2 (-832 *6 *8)) (-4 *7 (-13 (-983) (-800))) (-5 *1 (-884 *6 *7 *8))))) 
+(((*1 *1) (-5 *1 (-776)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-5 *2 (-110)) (-5 *1 (-915 *4 *5 *6 *3)) (-4 *3 (-997 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *2 (-598 (-598 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-986 *3 *4 *5 *6 *7)) (-4 *5 (-983)) (-4 *6 (-215 *4 *5)) (-4 *7 (-215 *3 *5)) (-5 *2 (-598 (-598 *5))))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-598 *3))) (-5 *1 (-1103 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-723)) (-5 *1 (-806 *2)) (-4 *2 (-159)))) ((*1 *2 *3 *3 *2) (-12 (-5 *3 (-723)) (-5 *1 (-806 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-51)) (-5 *1 (-50 *2)) (-4 *2 (-1130)))) ((*1 *1 *2) (-12 (-5 *2 (-895 (-355))) (-5 *1 (-313 *3 *4 *5)) (-4 *5 (-974 (-355))) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *1 *2) (-12 (-5 *2 (-383 (-895 (-355)))) (-5 *1 (-313 *3 *4 *5)) (-4 *5 (-974 (-355))) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-355))) (-5 *1 (-313 *3 *4 *5)) (-4 *5 (-974 (-355))) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *1 *2) (-12 (-5 *2 (-895 (-532))) (-5 *1 (-313 *3 *4 *5)) (-4 *5 (-974 (-532))) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *1 *2) (-12 (-5 *2 (-383 (-895 (-532)))) (-5 *1 (-313 *3 *4 *5)) (-4 *5 (-974 (-532))) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-532))) (-5 *1 (-313 *3 *4 *5)) (-4 *5 (-974 (-532))) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-313 *3 *4 *5)) (-14 *3 (-598 *2)) (-14 *4 (-598 *2)) (-4 *5 (-363)))) ((*1 *1 *2) (-12 (-5 *2 (-288 *5)) (-4 *5 (-363)) (-5 *1 (-313 *3 *4 *5)) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))))) ((*1 *1 *2) (-12 (-5 *2 (-639 (-383 (-895 (-532))))) (-4 *1 (-360)))) ((*1 *1 *2) (-12 (-5 *2 (-639 (-383 (-895 (-355))))) (-4 *1 (-360)))) ((*1 *1 *2) (-12 (-5 *2 (-639 (-895 (-532)))) (-4 *1 (-360)))) ((*1 *1 *2) (-12 (-5 *2 (-639 (-895 (-355)))) (-4 *1 (-360)))) ((*1 *1 *2) (-12 (-5 *2 (-639 (-288 (-532)))) (-4 *1 (-360)))) ((*1 *1 *2) (-12 (-5 *2 (-639 (-288 (-355)))) (-4 *1 (-360)))) ((*1 *1 *2) (-12 (-5 *2 (-383 (-895 (-532)))) (-4 *1 (-372)))) ((*1 *1 *2) (-12 (-5 *2 (-383 (-895 (-355)))) (-4 *1 (-372)))) ((*1 *1 *2) (-12 (-5 *2 (-895 (-532))) (-4 *1 (-372)))) ((*1 *1 *2) (-12 (-5 *2 (-895 (-355))) (-4 *1 (-372)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-532))) (-4 *1 (-372)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-355))) (-4 *1 (-372)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-383 (-895 (-532))))) (-4 *1 (-416)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-383 (-895 (-355))))) (-4 *1 (-416)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-895 (-532)))) (-4 *1 (-416)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-895 (-355)))) (-4 *1 (-416)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-288 (-532)))) (-4 *1 (-416)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-288 (-355)))) (-4 *1 (-416)))) ((*1 *2 *1) (-12 (-5 *2 (-383 (-694 *3 *4))) (-5 *1 (-693 *3 *4)) (-14 *3 (-1096)) (-4 *4 (-13 (-983) (-800) (-524))))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (|:| |mdnia| (-2 (|:| |fn| (-288 (-202))) (|:| -2548 (-598 (-1020 (-793 (-202))))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))))) (-5 *1 (-721)))) ((*1 *1 *2) (-12 (-5 *2 (-1136 *3)) (-4 *3 (-325)) (-5 *1 (-730 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-202)) (|:| |xend| (-202)) (|:| |fn| (-1178 (-288 (-202)))) (|:| |yinit| (-598 (-202))) (|:| |intvals| (-598 (-202))) (|:| |g| (-288 (-202))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *1 (-761)))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-288 (-202))) (|:| -2932 (-598 (-202))) (|:| |lb| (-598 (-793 (-202)))) (|:| |cf| (-598 (-288 (-202)))) (|:| |ub| (-598 (-793 (-202)))))) (|:| |lsa| (-2 (|:| |lfn| (-598 (-288 (-202)))) (|:| -2932 (-598 (-202))))))) (-5 *1 (-791)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-598 (-288 (-202)))) (|:| |constraints| (-598 (-2 (|:| |start| (-202)) (|:| |finish| (-202)) (|:| |grid| (-723)) (|:| |boundaryType| (-532)) (|:| |dStart| (-639 (-202))) (|:| |dFinish| (-639 (-202)))))) (|:| |f| (-598 (-598 (-288 (-202))))) (|:| |st| (-1078)) (|:| |tol| (-202)))) (-5 *1 (-841)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *1 (-914 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-974 *2)) (-4 *2 (-1130)))) ((*1 *1 *2) (-1328 (-12 (-5 *2 (-895 *3)) (-12 (-3968 (-4 *3 (-37 (-383 (-532))))) (-3968 (-4 *3 (-37 (-532)))) (-4 *5 (-573 (-1096)))) (-4 *3 (-983)) (-4 *1 (-997 *3 *4 *5)) (-4 *4 (-746)) (-4 *5 (-800))) (-12 (-5 *2 (-895 *3)) (-12 (-3968 (-4 *3 (-517))) (-3968 (-4 *3 (-37 (-383 (-532))))) (-4 *3 (-37 (-532))) (-4 *5 (-573 (-1096)))) (-4 *3 (-983)) (-4 *1 (-997 *3 *4 *5)) (-4 *4 (-746)) (-4 *5 (-800))) (-12 (-5 *2 (-895 *3)) (-12 (-3968 (-4 *3 (-930 (-532)))) (-4 *3 (-37 (-383 (-532)))) (-4 *5 (-573 (-1096)))) (-4 *3 (-983)) (-4 *1 (-997 *3 *4 *5)) (-4 *4 (-746)) (-4 *5 (-800))))) ((*1 *1 *2) (-1328 (-12 (-5 *2 (-895 (-532))) (-4 *1 (-997 *3 *4 *5)) (-12 (-3968 (-4 *3 (-37 (-383 (-532))))) (-4 *3 (-37 (-532))) (-4 *5 (-573 (-1096)))) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800))) (-12 (-5 *2 (-895 (-532))) (-4 *1 (-997 *3 *4 *5)) (-12 (-4 *3 (-37 (-383 (-532)))) (-4 *5 (-573 (-1096)))) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800))))) ((*1 *1 *2) (-12 (-5 *2 (-895 (-383 (-532)))) (-4 *1 (-997 *3 *4 *5)) (-4 *3 (-37 (-383 (-532)))) (-4 *5 (-573 (-1096))) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-598 *10)) (-5 *5 (-110)) (-4 *10 (-1002 *6 *7 *8 *9)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *8 (-800)) (-4 *9 (-997 *6 *7 *8)) (-5 *2 (-598 (-2 (|:| -3325 (-598 *9)) (|:| -1213 *10) (|:| |ineq| (-598 *9))))) (-5 *1 (-926 *6 *7 *8 *9 *10)) (-5 *3 (-598 *9)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-598 *10)) (-5 *5 (-110)) (-4 *10 (-1002 *6 *7 *8 *9)) (-4 *6 (-427)) (-4 *7 (-746)) (-4 *8 (-800)) (-4 *9 (-997 *6 *7 *8)) (-5 *2 (-598 (-2 (|:| -3325 (-598 *9)) (|:| -1213 *10) (|:| |ineq| (-598 *9))))) (-5 *1 (-1032 *6 *7 *8 *9 *10)) (-5 *3 (-598 *9))))) 
+(((*1 *2 *3 *3 *1) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-3 *3 (-598 *1))) (-4 *1 (-1002 *4 *5 *6 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-228 *2 *3 *4 *5)) (-4 *2 (-983)) (-4 *3 (-800)) (-4 *4 (-241 *3)) (-4 *5 (-746))))) 
+(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1154 *6)) (-4 *6 (-13 (-339) (-137) (-974 *4))) (-5 *4 (-532)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-110)))) (|:| -3325 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-952 *6 *3))))) 
+(((*1 *1) (-5 *1 (-304)))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-723)) (-4 *3 (-13 (-280) (-10 -8 (-15 -4044 ((-394 $) $))))) (-4 *4 (-1154 *3)) (-5 *1 (-479 *3 *4 *5)) (-4 *5 (-385 *3 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 (-1076 *4) (-1076 *4))) (-5 *2 (-1076 *4)) (-5 *1 (-1202 *4)) (-4 *4 (-1130)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-598 (-1076 *5)) (-598 (-1076 *5)))) (-5 *4 (-532)) (-5 *2 (-598 (-1076 *5))) (-5 *1 (-1202 *5)) (-4 *5 (-1130))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1092 (-383 (-895 *3)))) (-5 *1 (-428 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *3 (-159)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))) (-14 *6 (-1178 (-639 *3)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-325)) (-5 *2 (-598 (-2 (|:| |deg| (-723)) (|:| -1505 *3)))) (-5 *1 (-194 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *1 *1 *1) (-5 *1 (-110))) ((*1 *1 *1 *1) (-4 *1 (-121))) ((*1 *1 *1 *1) (-5 *1 (-1043)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-892 *3 *4 *5)) (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-424 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-900 *3)) (-5 *1 (-1083 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-3 (-110) "failed")) (-4 *3 (-427)) (-4 *4 (-800)) (-4 *5 (-746)) (-5 *1 (-925 *3 *4 *5 *6)) (-4 *6 (-892 *3 *5 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1078)) (-5 *1 (-1112)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-1112))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-288 (-202)))) (-5 *4 (-723)) (-5 *2 (-639 (-202))) (-5 *1 (-242))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-723) (-723) *7)) (-5 *4 (-1178 *7)) (-5 *5 (-723)) (-5 *6 (-1178 (-1092 *2))) (-4 *7 (-46 *2 *5)) (-4 *2 (-13 (-524) (-427))) (-5 *1 (-321 *2 *7))))) 
+(((*1 *2) (-12 (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-852)) (-5 *1 (-432 *3 *4 *2 *5)) (-4 *5 (-892 *2 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-852)) (-5 *1 (-849 *2 *3 *4 *5)) (-4 *5 (-892 *2 *3 *4)))) ((*1 *2) (-12 (-4 *2 (-852)) (-5 *1 (-850 *2 *3)) (-4 *3 (-1154 *2))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-857 *2)) (-4 *2 (-280))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-532)) (-5 *1 (-394 *2)) (-4 *2 (-524))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-886 *3)) (-4 *3 (-13 (-339) (-1116) (-939))) (-5 *1 (-161 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-598 *3))) (-4 *3 (-1025)) (-5 *1 (-1103 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-598 *3)) (|:| |image| (-598 *3)))) (-5 *1 (-848 *3)) (-4 *3 (-1025))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-918 *2)) (-4 *2 (-983)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-886 (-202))) (-5 *1 (-1127)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1176 *2)) (-4 *2 (-1130)) (-4 *2 (-983))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-608 *2)) (-4 *2 (-983)) (-4 *2 (-339)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-339)) (-5 *1 (-611 *4 *2)) (-4 *2 (-608 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-524)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-908 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-355) (-355))) (-5 *4 (-355)) (-5 *2 (-2 (|:| -1330 *4) (|:| -3758 *4) (|:| |totalpts| (-532)) (|:| |success| (-110)))) (-5 *1 (-742)) (-5 *5 (-532))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1183)) (-5 *1 (-192 *4)) (-4 *4 (-13 (-800) (-10 -8 (-15 -2687 ((-1078) $ (-1096))) (-15 -2563 (*2 $)) (-15 -1412 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-192 *3)) (-4 *3 (-13 (-800) (-10 -8 (-15 -2687 ((-1078) $ (-1096))) (-15 -2563 (*2 $)) (-15 -1412 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-482))))) 
+(((*1 *1) (-12 (-4 *1 (-153 *2)) (-4 *2 (-159))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-847 (-532))) (-5 *1 (-860)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-847 (-532))) (-5 *1 (-860))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1092 *7)) (-5 *3 (-532)) (-4 *7 (-892 *6 *4 *5)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-983)) (-5 *1 (-294 *4 *5 *6 *7))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-340 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-1025))))) 
+(((*1 *1 *1) (-4 *1 (-584))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-585 *3 *2)) (-4 *2 (-13 (-406 *3) (-939) (-1116)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-343 *2)) (-4 *2 (-159))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-5 *1 (-848 *3))))) 
+(((*1 *1 *1 *1) (-4 *1 (-517)))) 
+(((*1 *2 *1) (-12 (-5 *1 (-1126 *2)) (-4 *2 (-912))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-280) (-137))) (-4 *5 (-13 (-800) (-573 (-1096)))) (-4 *6 (-746)) (-5 *2 (-598 *3)) (-5 *1 (-867 *4 *5 *6 *3)) (-4 *3 (-892 *4 *6 *5))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-598 *7)) (-5 *4 (-1 *7 (-723) (-723) *8)) (-5 *5 (-1178 *9)) (-5 *6 (-598 (-723))) (-4 *7 (-13 (-524) (-427))) (-4 *8 (-300 *7 (-723))) (-4 *9 (-300 (-383 *7) (-723))) (-5 *2 (-639 (-1092 *7))) (-5 *1 (-320 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-598 *7)) (-5 *4 (-1 *7 (-723) (-723) *8)) (-5 *5 (-1178 *9)) (-5 *6 (-723)) (-4 *7 (-13 (-524) (-427))) (-4 *8 (-300 *7 *6)) (-4 *9 (-300 (-383 *7) *6)) (-5 *2 (-1076 (-639 (-1092 *7)))) (-5 *1 (-320 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-598 *7)) (-5 *4 (-1 *7 (-723) (-723) *8)) (-5 *5 (-1178 *8)) (-5 *6 (-598 (-723))) (-4 *7 (-13 (-524) (-427))) (-4 *8 (-46 *7 (-723))) (-5 *2 (-639 (-1092 *7))) (-5 *1 (-321 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-598 *7)) (-5 *4 (-1 *7 (-723) (-723) *8)) (-5 *5 (-1178 *8)) (-5 *6 (-723)) (-4 *7 (-13 (-524) (-427))) (-4 *8 (-46 *7 *6)) (-5 *2 (-1076 (-639 (-1092 *7)))) (-5 *1 (-321 *7 *8))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1145 (-532))) (-4 *1 (-603 *3)) (-4 *3 (-1130)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-603 *3)) (-4 *3 (-1130))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-598 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-723)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-746)) (-4 *6 (-892 *4 *3 *5)) (-4 *4 (-427)) (-4 *5 (-800)) (-5 *1 (-424 *4 *3 *5 *6))))) 
+(((*1 *2) (-12 (-4 *4 (-1134)) (-4 *5 (-1154 *4)) (-4 *6 (-1154 (-383 *5))) (-5 *2 (-723)) (-5 *1 (-315 *3 *4 *5 *6)) (-4 *3 (-316 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-316 *3 *4 *5)) (-4 *3 (-1134)) (-4 *4 (-1154 *3)) (-4 *5 (-1154 (-383 *4))) (-5 *2 (-723))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1084 *3 *4)) (-14 *3 (-864)) (-4 *4 (-983))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-524)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *1 (-1121 *3 *4 *5 *2)) (-4 *2 (-637 *3 *4 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-469))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-524)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)) (-5 *1 (-1121 *3 *4 *5 *2)) (-4 *2 (-637 *3 *4 *5))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-275)) (-5 *3 (-1096)) (-5 *2 (-110)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-275)) (-5 *2 (-110))))) 
+(((*1 *1) (-5 *1 (-1099)))) 
+(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-524)) (-5 *2 (-2 (|:| -3886 *3) (|:| -2860 *3))) (-5 *1 (-1149 *4 *3)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-292 *3 *4 *5)) (-4 *3 (-13 (-339) (-800))) (-14 *4 (-1096)) (-14 *5 *3)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-349 *2)) (-4 *5 (-349 *2)) (-4 *2 (-339)) (-5 *1 (-499 *2 *4 *5 *3)) (-4 *3 (-637 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)) (|has| *2 (-6 (-4291 "*"))) (-4 *2 (-983)))) ((*1 *2 *3) (-12 (-4 *4 (-349 *2)) (-4 *5 (-349 *2)) (-4 *2 (-159)) (-5 *1 (-638 *2 *4 *5 *3)) (-4 *3 (-637 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1046 *3 *2 *4 *5)) (-4 *4 (-215 *3 *2)) (-4 *5 (-215 *3 *2)) (|has| *2 (-6 (-4291 "*"))) (-4 *2 (-983))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-550 *2)) (-4 *2 (-517))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-598 (-886 (-202))))) (-5 *1 (-1126 *3)) (-4 *3 (-912))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-644 *3)) (-4 *3 (-1025)) (-5 *2 (-598 (-2 (|:| -2330 *3) (|:| -4096 (-723)))))))) 
+(((*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-110)) (-5 *1 (-557 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-598 (-1 (-110) *8))) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-524)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *2 (-2 (|:| |goodPols| (-598 *8)) (|:| |badPols| (-598 *8)))) (-5 *1 (-915 *5 *6 *7 *8)) (-5 *4 (-598 *8))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-532)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-723)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-864)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-130 *2 *3 *4)) (-14 *2 (-532)) (-14 *3 (-723)) (-4 *4 (-159)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-202)) (-5 *1 (-145)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-864)) (-5 *1 (-145)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-886 *3)) (-4 *3 (-13 (-339) (-1116))) (-5 *1 (-204 *3)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-267 *2)) (-4 *2 (-1037)) (-4 *2 (-1130)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-267 *2)) (-4 *2 (-1037)) (-4 *2 (-1130)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-296 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-126)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-337 *2)) (-4 *2 (-1025)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-337 *2)) (-4 *2 (-1025)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-357 *3 *2)) (-4 *3 (-983)) (-4 *2 (-800)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-358 *2 *3)) (-4 *2 (-983)) (-4 *3 (-1025)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-362 *2)) (-4 *2 (-1025)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-362 *2)) (-4 *2 (-1025)))) ((*1 *1 *2 *1) (-12 (-14 *3 (-598 (-1096))) (-4 *4 (-159)) (-4 *6 (-215 (-3502 *3) (-723))) (-14 *7 (-1 (-110) (-2 (|:| -3120 *5) (|:| -3540 *6)) (-2 (|:| -3120 *5) (|:| -3540 *6)))) (-5 *1 (-436 *3 *4 *5 *6 *7 *2)) (-4 *5 (-800)) (-4 *2 (-892 *4 *6 (-810 *3))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-447 *2 *3)) (-4 *2 (-159)) (-4 *3 (-23)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-447 *2 *3)) (-4 *2 (-159)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-339)) (-4 *3 (-746)) (-4 *4 (-800)) (-5 *1 (-484 *2 *3 *4 *5)) (-4 *5 (-892 *2 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-325)) (-5 *1 (-502 *3)))) ((*1 *1 *1 *1) (-5 *1 (-508))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-558 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-558 *2)) (-4 *2 (-983)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-558 *2)) (-4 *2 (-983)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-600 *2)) (-4 *2 (-990)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-627 *2)) (-4 *2 (-800)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)) (-5 *2 (-1 *7 *5)) (-5 *1 (-633 *5 *6 *7)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1025)) (-4 *4 (-983)) (-5 *1 (-634 *3 *4)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-637 *3 *2 *4)) (-4 *3 (-983)) (-4 *2 (-349 *3)) (-4 *4 (-349 *3)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-637 *3 *4 *2)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *2 (-349 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-532)) (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)))) ((*1 *1 *1 *1) (-4 *1 (-670))) ((*1 *1 *1 *1) (-12 (-5 *1 (-693 *2 *3)) (-14 *2 (-1096)) (-4 *3 (-13 (-983) (-800) (-524))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-772 *2)) (-4 *2 (-800)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-772 *2)) (-4 *2 (-800)))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1 *1) (-12 (-5 *1 (-835 *2)) (-4 *2 (-1025)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1178 *4)) (-4 *4 (-1154 *3)) (-4 *3 (-524)) (-5 *1 (-908 *3 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-989 *2)) (-4 *2 (-990)))) ((*1 *1 *1 *1) (-4 *1 (-1037))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1046 *3 *4 *2 *5)) (-4 *4 (-983)) (-4 *2 (-215 *3 *4)) (-4 *5 (-215 *3 *4)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1046 *3 *4 *5 *2)) (-4 *4 (-983)) (-4 *5 (-215 *3 *4)) (-4 *2 (-215 *3 *4)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-983)) (-4 *4 (-800)) (-5 *1 (-1049 *3 *4 *2)) (-4 *2 (-892 *3 (-504 *4) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-886 (-202))) (-5 *3 (-202)) (-5 *1 (-1127)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1176 *2)) (-4 *2 (-1130)) (-4 *2 (-676)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1176 *2)) (-4 *2 (-1130)) (-4 *2 (-676)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-532)) (-4 *1 (-1176 *3)) (-4 *3 (-1130)) (-4 *3 (-21)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-339)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1194 *2 *3)) (-4 *2 (-800)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1194 *3 *2)) (-4 *3 (-800)) (-4 *2 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1200 *2 *3)) (-4 *2 (-983)) (-4 *3 (-796))))) 
+(((*1 *2) (-12 (-5 *2 (-864)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *2) (-12 (-5 *2 (-864)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-723))) (-5 *3 (-110)) (-5 *1 (-1084 *4 *5)) (-14 *4 (-864)) (-4 *5 (-983))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-339)) (-5 *2 (-2 (|:| A (-639 *5)) (|:| |eqs| (-598 (-2 (|:| C (-639 *5)) (|:| |g| (-1178 *5)) (|:| -3325 *6) (|:| |rh| *5)))))) (-5 *1 (-766 *5 *6)) (-5 *3 (-639 *5)) (-5 *4 (-1178 *5)) (-4 *6 (-608 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-339)) (-4 *6 (-608 *5)) (-5 *2 (-2 (|:| -2048 (-639 *6)) (|:| |vec| (-1178 *5)))) (-5 *1 (-766 *5 *6)) (-5 *3 (-639 *6)) (-5 *4 (-1178 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-13 (-800) (-280) (-974 (-532)) (-594 (-532)) (-137))) (-5 *1 (-757 *4 *2)) (-4 *2 (-13 (-29 *4) (-1116) (-901)))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1151 *5 *4)) (-4 *4 (-773)) (-14 *5 (-1096)) (-5 *2 (-532)) (-5 *1 (-1039 *4 *5))))) 
+(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-598 (-571 *2))) (-5 *4 (-1096)) (-4 *2 (-13 (-27) (-1116) (-406 *5))) (-4 *5 (-13 (-524) (-800) (-974 (-532)) (-594 (-532)))) (-5 *1 (-252 *5 *2))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-723)) (-5 *2 (-1183)) (-5 *1 (-355))))) 
+(((*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-110) *5 *5)) (-4 *5 (-13 (-1025) (-33))) (-5 *2 (-110)) (-5 *1 (-1060 *4 *5)) (-4 *4 (-13 (-1025) (-33)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-800)) (-5 *1 (-119 *3))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-639 *3)) (-4 *3 (-280)) (-5 *1 (-649 *3))))) 
+(((*1 *1) (-12 (-5 *1 (-204 *2)) (-4 *2 (-13 (-339) (-1116)))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-598 *6)) (-4 *6 (-997 *3 *4 *5)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-1190 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-598 *8)) (-5 *3 (-1 (-110) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-997 *5 *6 *7)) (-4 *5 (-524)) (-4 *6 (-746)) (-4 *7 (-800)) (-5 *1 (-1190 *5 *6 *7 *8))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-35 *3 *4)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-5 *2 (-2 (|:| -3220 *3) (|:| -2330 *4)))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-325)) (-4 *2 (-983)) (-5 *1 (-662 *2 *3)) (-4 *3 (-1154 *2))))) 
+(((*1 *1) (-5 *1 (-145)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-204 *2)) (-4 *2 (-13 (-339) (-1116)))))) 
+(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-835 *4)) (-4 *4 (-1025)) (-5 *2 (-110)) (-5 *1 (-832 *4 *5)) (-4 *5 (-1025)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-835 *5)) (-4 *5 (-1025)) (-5 *2 (-110)) (-5 *1 (-833 *5 *3)) (-4 *3 (-1130)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-598 *6)) (-5 *4 (-835 *5)) (-4 *5 (-1025)) (-4 *6 (-1130)) (-5 *2 (-110)) (-5 *1 (-833 *5 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-4 *3 (-524)) (-5 *2 (-1092 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1078)) (-4 *4 (-13 (-427) (-800) (-974 (-532)) (-594 (-532)))) (-5 *2 (-110)) (-5 *1 (-201 *4 *5)) (-4 *5 (-13 (-1116) (-29 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-156 *5)) (-4 *5 (-13 (-406 *4) (-939) (-1116))) (-4 *4 (-13 (-524) (-800))) (-4 *2 (-13 (-406 (-156 *4)) (-939) (-1116))) (-5 *1 (-561 *4 *5 *2))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-383 (-895 *4))) (-5 *3 (-1096)) (-4 *4 (-13 (-524) (-974 (-532)) (-137))) (-5 *1 (-538 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1092 *4)) (-4 *4 (-325)) (-4 *2 (-13 (-378) (-10 -7 (-15 -1256 (*2 *4)) (-15 -2624 ((-864) *2)) (-15 -1322 ((-1178 *2) (-864))) (-15 -2134 (*2 *2))))) (-5 *1 (-332 *2 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1096)) (-4 *4 (-427)) (-4 *4 (-800)) (-5 *1 (-541 *4 *2)) (-4 *2 (-258)) (-4 *2 (-406 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-648)))) ((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-648))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-310 *5 *6 *7 *8)) (-4 *5 (-406 *4)) (-4 *6 (-1154 *5)) (-4 *7 (-1154 (-383 *6))) (-4 *8 (-316 *5 *6 *7)) (-4 *4 (-13 (-800) (-524) (-974 (-532)))) (-5 *2 (-2 (|:| -2956 (-723)) (|:| -3385 *8))) (-5 *1 (-854 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-310 (-383 (-532)) *4 *5 *6)) (-4 *4 (-1154 (-383 (-532)))) (-4 *5 (-1154 (-383 *4))) (-4 *6 (-316 (-383 (-532)) *4 *5)) (-5 *2 (-2 (|:| -2956 (-723)) (|:| -3385 *6))) (-5 *1 (-855 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-365)) (-5 *2 (-1078))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-280)) (-5 *1 (-164 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151 *5 *4)) (-4 *4 (-427)) (-4 *4 (-773)) (-14 *5 (-1096)) (-5 *2 (-532)) (-5 *1 (-1039 *4 *5))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-1096))) (-5 *1 (-508))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *2 (-532)) (-5 *1 (-1113 *3)) (-4 *3 (-983))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-983)) (-4 *2 (-13 (-380) (-974 *4) (-339) (-1116) (-258))) (-5 *1 (-418 *4 *3 *2)) (-4 *3 (-1154 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-44 (-1078) (-726))) (-5 *1 (-112))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-153 *3)) (-4 *3 (-159)) (-4 *3 (-992)) (-4 *3 (-1116)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3)))))) 
+(((*1 *2) (-12 (-4 *4 (-339)) (-5 *2 (-864)) (-5 *1 (-302 *3 *4)) (-4 *3 (-303 *4)))) ((*1 *2) (-12 (-4 *4 (-339)) (-5 *2 (-786 (-864))) (-5 *1 (-302 *3 *4)) (-4 *3 (-303 *4)))) ((*1 *2) (-12 (-4 *1 (-303 *3)) (-4 *3 (-339)) (-5 *2 (-864)))) ((*1 *2) (-12 (-4 *1 (-1196 *3)) (-4 *3 (-339)) (-5 *2 (-786 (-864)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1023 *3)) (-4 *3 (-1025)) (-5 *2 (-110))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-972))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-383 (-532))) (-5 *2 (-202)) (-5 *1 (-278))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-598 (-1078))) (-5 *1 (-370))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-723)) (-5 *3 (-886 *5)) (-4 *5 (-983)) (-5 *1 (-1084 *4 *5)) (-14 *4 (-864)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-723))) (-5 *3 (-723)) (-5 *1 (-1084 *4 *5)) (-14 *4 (-864)) (-4 *5 (-983)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-723))) (-5 *3 (-886 *5)) (-4 *5 (-983)) (-5 *1 (-1084 *4 *5)) (-14 *4 (-864))))) 
+(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-303 *3)) (-4 *3 (-339)) (-4 *3 (-344)) (-5 *2 (-1092 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-303 *3)) (-4 *3 (-339)) (-4 *3 (-344)) (-5 *2 (-1092 *3))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-3 (-110) (-598 *1))) (-4 *1 (-1002 *4 *5 *6 *3))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-288 (-532))) (|:| -2255 (-288 (-355))) (|:| CF (-288 (-156 (-355)))) (|:| |switch| (-1095)))) (-5 *1 (-1095))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-818)) (-5 *1 (-238)))) ((*1 *1 *2) (-12 (-5 *2 (-355)) (-5 *1 (-238))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1076 *4)) (-5 *3 (-1 *4 (-532))) (-4 *4 (-983)) (-5 *1 (-1080 *4))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| *3) (|:| -1213 *4)))) (-5 *1 (-1003 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-110)) (-5 *5 (-532)) (-4 *6 (-339)) (-4 *6 (-344)) (-4 *6 (-983)) (-5 *2 (-598 (-598 (-639 *6)))) (-5 *1 (-966 *6)) (-5 *3 (-598 (-639 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-339)) (-4 *4 (-344)) (-4 *4 (-983)) (-5 *2 (-598 (-598 (-639 *4)))) (-5 *1 (-966 *4)) (-5 *3 (-598 (-639 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-110)) (-4 *5 (-339)) (-4 *5 (-344)) (-4 *5 (-983)) (-5 *2 (-598 (-598 (-639 *5)))) (-5 *1 (-966 *5)) (-5 *3 (-598 (-639 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-864)) (-4 *5 (-339)) (-4 *5 (-344)) (-4 *5 (-983)) (-5 *2 (-598 (-598 (-639 *5)))) (-5 *1 (-966 *5)) (-5 *3 (-598 (-639 *5)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-807)))) ((*1 *2 *1) (-12 (-5 *2 (-1078)) (-5 *1 (-927)))) ((*1 *2 *1) (-12 (-4 *1 (-947 *2)) (-4 *2 (-1130)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-1025) (-33))) (-5 *1 (-1060 *2 *3)) (-4 *3 (-13 (-1025) (-33)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-997 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-746)) (-4 *4 (-800)) (-4 *2 (-427))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-288 (-532))) (|:| -2255 (-288 (-355))) (|:| CF (-288 (-156 (-355)))) (|:| |switch| (-1095)))) (-5 *1 (-1095))))) 
+(((*1 *1 *1) (-5 *1 (-995)))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-112)) (-5 *4 (-598 *2)) (-5 *1 (-111 *2)) (-4 *2 (-1025)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-112)) (-5 *3 (-1 *4 (-598 *4))) (-4 *4 (-1025)) (-5 *1 (-111 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-112)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1025)) (-5 *1 (-111 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-112)) (-5 *2 (-1 *4 (-598 *4))) (-5 *1 (-111 *4)) (-4 *4 (-1025)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-600 *3)) (-4 *3 (-983)) (-5 *1 (-664 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-983)) (-5 *1 (-787 *3))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-355) (-355))) (-5 *4 (-355)) (-5 *2 (-2 (|:| -1330 *4) (|:| -3758 *4) (|:| |totalpts| (-532)) (|:| |success| (-110)))) (-5 *1 (-742)) (-5 *5 (-532))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-921 *2)) (-4 *2 (-1116))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-288 (-532))) (|:| -2255 (-288 (-355))) (|:| CF (-288 (-156 (-355)))) (|:| |switch| (-1095)))) (-5 *1 (-1095))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1178 *4)) (-4 *4 (-393 *3)) (-4 *3 (-280)) (-4 *3 (-524)) (-5 *1 (-42 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-864)) (-4 *4 (-339)) (-5 *2 (-1178 *1)) (-4 *1 (-303 *4)))) ((*1 *2) (-12 (-4 *3 (-339)) (-5 *2 (-1178 *1)) (-4 *1 (-303 *3)))) ((*1 *2) (-12 (-4 *3 (-159)) (-4 *4 (-1154 *3)) (-5 *2 (-1178 *1)) (-4 *1 (-385 *3 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-280)) (-4 *4 (-930 *3)) (-4 *5 (-1154 *4)) (-5 *2 (-1178 *6)) (-5 *1 (-389 *3 *4 *5 *6)) (-4 *6 (-13 (-385 *4 *5) (-974 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-280)) (-4 *4 (-930 *3)) (-4 *5 (-1154 *4)) (-5 *2 (-1178 *6)) (-5 *1 (-390 *3 *4 *5 *6 *7)) (-4 *6 (-385 *4 *5)) (-14 *7 *2))) ((*1 *2) (-12 (-4 *3 (-159)) (-5 *2 (-1178 *1)) (-4 *1 (-393 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-864)) (-5 *2 (-1178 (-1178 *4))) (-5 *1 (-502 *4)) (-4 *4 (-325)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-1178 *3))) (-4 *3 (-339)) (-5 *1 (-1184 *3))))) 
+(((*1 *1 *1) (-5 *1 (-1095))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-288 (-532))) (|:| -2255 (-288 (-355))) (|:| CF (-288 (-156 (-355)))) (|:| |switch| (-1095)))) (-5 *1 (-1095))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-2 (|:| -3878 (-723)) (|:| |curves| (-723)) (|:| |polygons| (-723)) (|:| |constructs| (-723))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-789)) (-5 *3 (-2 (|:| |fn| (-288 (-202))) (|:| -2932 (-598 (-202))) (|:| |lb| (-598 (-793 (-202)))) (|:| |cf| (-598 (-288 (-202)))) (|:| |ub| (-598 (-793 (-202)))))) (-5 *2 (-972)))) ((*1 *2 *3) (-12 (-4 *1 (-789)) (-5 *3 (-2 (|:| |lfn| (-598 (-288 (-202)))) (|:| -2932 (-598 (-202))))) (-5 *2 (-972))))) 
+(((*1 *2 *3) (-12 (-4 *3 (-1154 (-383 (-532)))) (-5 *2 (-2 (|:| |den| (-532)) (|:| |gcdnum| (-532)))) (-5 *1 (-856 *3 *4)) (-4 *4 (-1154 (-383 *3))))) ((*1 *2 *3) (-12 (-4 *4 (-1154 (-383 *2))) (-5 *2 (-532)) (-5 *1 (-856 *4 *3)) (-4 *3 (-1154 (-383 *4)))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-963 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-886 *5)) (-4 *5 (-983)) (-5 *2 (-723)) (-5 *1 (-1084 *4 *5)) (-14 *4 (-864)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-723))) (-5 *3 (-723)) (-5 *1 (-1084 *4 *5)) (-14 *4 (-864)) (-4 *5 (-983)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-598 (-723))) (-5 *3 (-886 *5)) (-4 *5 (-983)) (-5 *1 (-1084 *4 *5)) (-14 *4 (-864))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-13 (-280) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *2 (-549 *3)) (-5 *1 (-402 *5 *3)) (-4 *3 (-13 (-1116) (-29 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-13 (-524) (-974 (-532)) (-137))) (-5 *2 (-549 (-383 (-895 *5)))) (-5 *1 (-538 *5)) (-5 *3 (-383 (-895 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-532))) (-5 *2 (-723)) (-5 *1 (-553))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-895 *4)) (-4 *4 (-983)) (-4 *4 (-573 *2)) (-5 *2 (-355)) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-895 *5)) (-5 *4 (-864)) (-4 *5 (-983)) (-4 *5 (-573 *2)) (-5 *2 (-355)) (-5 *1 (-738 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-383 (-895 *4))) (-4 *4 (-524)) (-4 *4 (-573 *2)) (-5 *2 (-355)) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-383 (-895 *5))) (-5 *4 (-864)) (-4 *5 (-524)) (-4 *5 (-573 *2)) (-5 *2 (-355)) (-5 *1 (-738 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-288 *4)) (-4 *4 (-524)) (-4 *4 (-800)) (-4 *4 (-573 *2)) (-5 *2 (-355)) (-5 *1 (-738 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-288 *5)) (-5 *4 (-864)) (-4 *5 (-524)) (-4 *5 (-800)) (-4 *5 (-573 *2)) (-5 *2 (-355)) (-5 *1 (-738 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-522 *2)) (-4 *2 (-13 (-380) (-1116))))) ((*1 *1 *1 *1) (-4 *1 (-746)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1124 *3 *4 *5 *6)) (-4 *3 (-524)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-2 (|:| -2533 (-598 *6)) (|:| -3066 (-598 *6))))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-128))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-972)) (-5 *1 (-278)))) ((*1 *2 *3) (-12 (-5 *3 (-598 (-972))) (-5 *2 (-972)) (-5 *1 (-278)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *1)) (-4 *1 (-603 *3)) (-4 *3 (-1130)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-603 *2)) (-4 *2 (-1130)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-603 *2)) (-4 *2 (-1130)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-603 *2)) (-4 *2 (-1130)))) ((*1 *1 *1 *1) (-5 *1 (-995))) ((*1 *2 *3) (-12 (-5 *3 (-1076 (-1076 *4))) (-5 *2 (-1076 *4)) (-5 *1 (-1073 *4)) (-4 *4 (-1130)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1166 *2)) (-4 *2 (-1130)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1166 *2)) (-4 *2 (-1130))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-524) (-137))) (-5 *1 (-509 *3 *2)) (-4 *2 (-1169 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-339) (-344) (-573 (-532)))) (-4 *4 (-1154 *3)) (-4 *5 (-674 *3 *4)) (-5 *1 (-513 *3 *4 *5 *2)) (-4 *2 (-1169 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-339) (-344) (-573 (-532)))) (-5 *1 (-514 *3 *2)) (-4 *2 (-1169 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-13 (-524) (-137))) (-5 *1 (-1072 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1154 *5)) (-4 *5 (-339)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-542 *5 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1178 (-723))) (-5 *1 (-626 *3)) (-4 *3 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-410)))) ((*1 *2 *3) (-12 (-5 *2 (-110)) (-5 *1 (-537 *3)) (-4 *3 (-974 (-532))))) ((*1 *2 *1) (-12 (-4 *1 (-1028 *3 *4 *5 *6 *7)) (-4 *3 (-1025)) (-4 *4 (-1025)) (-4 *5 (-1025)) (-4 *6 (-1025)) (-4 *7 (-1025)) (-5 *2 (-110))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-598 (-598 (-598 (-723)))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2) (-12 (-5 *2 (-818)) (-5 *1 (-1181)))) ((*1 *2 *2) (-12 (-5 *2 (-818)) (-5 *1 (-1181))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-228 *3 *4 *5 *6)) (-4 *3 (-983)) (-4 *4 (-800)) (-4 *5 (-241 *4)) (-4 *6 (-746)) (-5 *2 (-110))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-835 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-4 *1 (-1194 *3 *4)) (-4 *3 (-800)) (-4 *4 (-983)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-1200 *3 *4)) (-4 *3 (-983)) (-4 *4 (-796))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1002 *3 *4 *5 *6)) (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-4 *6 (-997 *3 *4 *5)) (-5 *2 (-110)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1002 *4 *5 *6 *3)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *3 (-997 *4 *5 *6)) (-5 *2 (-110))))) 
+(((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-773)) (-14 *5 (-1096)) (-5 *2 (-598 (-1151 *5 *4))) (-5 *1 (-1039 *4 *5)) (-5 *3 (-1151 *5 *4))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1092 *9)) (-5 *4 (-598 *7)) (-5 *5 (-598 (-598 *8))) (-4 *7 (-800)) (-4 *8 (-280)) (-4 *9 (-892 *8 *6 *7)) (-4 *6 (-746)) (-5 *2 (-2 (|:| |upol| (-1092 *8)) (|:| |Lval| (-598 *8)) (|:| |Lfact| (-598 (-2 (|:| -4186 (-1092 *8)) (|:| -3540 (-532))))) (|:| |ctpol| *8))) (-5 *1 (-692 *6 *7 *8 *9))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-983)) (-5 *2 (-1178 *3)) (-5 *1 (-662 *3 *4)) (-4 *4 (-1154 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1043)) (-5 *1 (-107)))) ((*1 *2 *1) (-12 (-4 *1 (-127)) (-5 *2 (-723)))) ((*1 *2 *3 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-349 *3)) (-4 *3 (-1130)) (-4 *3 (-1025)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-1130)) (-4 *3 (-1025)) (-5 *2 (-532)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-110) *4)) (-4 *1 (-349 *4)) (-4 *4 (-1130)) (-5 *2 (-532)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1064)) (-5 *2 (-532)) (-5 *3 (-131)))) ((*1 *2 *1 *1 *2) (-12 (-4 *1 (-1064)) (-5 *2 (-532))))) 
+(((*1 *2 *3 *1 *4) (-12 (-5 *3 (-1060 *5 *6)) (-5 *4 (-1 (-110) *6 *6)) (-4 *5 (-13 (-1025) (-33))) (-4 *6 (-13 (-1025) (-33))) (-5 *2 (-110)) (-5 *1 (-1061 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-598 (-508))) (-5 *2 (-1096)) (-5 *1 (-508))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1092 *4)) (-4 *4 (-325)) (-5 *2 (-1178 (-598 (-2 (|:| -1330 *4) (|:| -3120 (-1043)))))) (-5 *1 (-322 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 (-1076 *3))) (-5 *1 (-1076 *3)) (-4 *3 (-1130))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-110) *4 *4)) (-4 *4 (-1130)) (-5 *1 (-1055 *4 *2)) (-4 *2 (-13 (-565 (-532) *4) (-10 -7 (-6 -4289) (-6 -4290)))))) ((*1 *2 *2) (-12 (-4 *3 (-800)) (-4 *3 (-1130)) (-5 *1 (-1055 *3 *2)) (-4 *2 (-13 (-565 (-532) *3) (-10 -7 (-6 -4289) (-6 -4290))))))) 
+(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-153 *2)) (-4 *2 (-159)) (-4 *2 (-524)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-300 *2 *3)) (-4 *2 (-983)) (-4 *3 (-745)) (-4 *2 (-524)))) ((*1 *1 *1 *1) (|partial| -4 *1 (-524))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2)) (-4 *2 (-524)))) ((*1 *1 *1 *1) (|partial| -5 *1 (-723))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-802 *2)) (-4 *2 (-983)) (-4 *2 (-524)))) ((*1 *1 *1 *1) (-5 *1 (-808))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1178 *4)) (-4 *4 (-1154 *3)) (-4 *3 (-524)) (-5 *1 (-908 *3 *4)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-986 *3 *4 *2 *5 *6)) (-4 *2 (-983)) (-4 *5 (-215 *4 *2)) (-4 *6 (-215 *3 *2)) (-4 *2 (-524)))) ((*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1076 *3)) (-4 *3 (-983)) (-5 *1 (-1080 *3))))) 
+(((*1 *1 *1 *1 *1) (-5 *1 (-808))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 (-808))) (-5 *1 (-808))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-786 (-202))) (-5 *1 (-203)))) ((*1 *1 *1) (-4 *1 (-584))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-585 *3 *2)) (-4 *2 (-13 (-406 *3) (-939) (-1116)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-202)) (-5 *2 (-288 (-355))) (-5 *1 (-278))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-557 *2)) (-4 *2 (-37 (-383 (-532)))) (-4 *2 (-983))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-340 *3 *2)) (-4 *3 (-1025)) (-4 *2 (-1025))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1183)) (-5 *1 (-775))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1178 *5)) (-4 *5 (-594 *4)) (-4 *4 (-524)) (-5 *2 (-110)) (-5 *1 (-593 *4 *5))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1061 *2 *3)) (-4 *2 (-13 (-1025) (-33))) (-4 *3 (-13 (-1025) (-33)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-280)) (-5 *2 (-110))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| (-598 *3)) (|:| -1213 *4)))) (-5 *1 (-1033 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-750 *2)) (-4 *2 (-159)))) ((*1 *2 *1) (-12 (-4 *1 (-934 *2)) (-4 *2 (-159))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-301 *3)) (-4 *3 (-1130)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-495 *3 *4)) (-4 *3 (-1130)) (-14 *4 *2)))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-598 (-1096))) (-5 *2 (-1096)) (-5 *1 (-304))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-427))) (-5 *1 (-1122 *3 *2)) (-4 *2 (-13 (-406 *3) (-1116)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-288 (-202))) (-5 *2 (-202)) (-5 *1 (-278))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1096)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-598 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-598 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3117 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1116) (-27) (-406 *8))) (-4 *8 (-13 (-427) (-800) (-137) (-974 *3) (-594 *3))) (-5 *3 (-532)) (-5 *2 (-598 *4)) (-5 *1 (-951 *8 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1163 *3 *4 *5)) (-4 *3 (-13 (-339) (-800))) (-14 *4 (-1096)) (-14 *5 *3) (-5 *1 (-292 *3 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-1 (-355))) (-5 *1 (-976)) (-5 *3 (-355))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-128))))) 
+(((*1 *1 *1) (-4 *1 (-992)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |gen| *3) (|:| -1898 (-532))))) (-5 *1 (-337 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |gen| *3) (|:| -1898 (-723))))) (-5 *1 (-362 *3)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| -4186 *3) (|:| -3540 (-532))))) (-5 *1 (-394 *3)) (-4 *3 (-524)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-2 (|:| |gen| *3) (|:| -1898 (-723))))) (-5 *1 (-772 *3)) (-4 *3 (-800))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-983)) (-5 *2 (-532)) (-5 *1 (-418 *4 *3 *5)) (-4 *3 (-1154 *4)) (-4 *5 (-13 (-380) (-974 *4) (-339) (-1116) (-258)))))) 
+(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-598 (-1092 *13))) (-5 *3 (-1092 *13)) (-5 *4 (-598 *12)) (-5 *5 (-598 *10)) (-5 *6 (-598 *13)) (-5 *7 (-598 (-598 (-2 (|:| -3435 (-723)) (|:| |pcoef| *13))))) (-5 *8 (-598 (-723))) (-5 *9 (-1178 (-598 (-1092 *10)))) (-4 *12 (-800)) (-4 *10 (-280)) (-4 *13 (-892 *10 *11 *12)) (-4 *11 (-746)) (-5 *1 (-657 *11 *12 *10 *13))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1096)) (-5 *3 (-598 (-895 (-532)))) (-5 *4 (-288 (-156 (-355)))) (-5 *1 (-304)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1096)) (-5 *3 (-598 (-895 (-532)))) (-5 *4 (-288 (-355))) (-5 *1 (-304)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1096)) (-5 *3 (-598 (-895 (-532)))) (-5 *4 (-288 (-532))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1178 (-288 (-156 (-355))))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1178 (-288 (-355)))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1178 (-288 (-532)))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-639 (-288 (-156 (-355))))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-639 (-288 (-355)))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-639 (-288 (-532)))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-288 (-156 (-355)))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-288 (-355))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-288 (-532))) (-5 *1 (-304)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1096)) (-5 *3 (-598 (-895 (-532)))) (-5 *4 (-288 (-643))) (-5 *1 (-304)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1096)) (-5 *3 (-598 (-895 (-532)))) (-5 *4 (-288 (-648))) (-5 *1 (-304)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1096)) (-5 *3 (-598 (-895 (-532)))) (-5 *4 (-288 (-650))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1178 (-288 (-643)))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1178 (-288 (-648)))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1178 (-288 (-650)))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-639 (-288 (-643)))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-639 (-288 (-648)))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-639 (-288 (-650)))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1178 (-643))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1178 (-648))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1178 (-650))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-639 (-643))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-639 (-648))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-639 (-650))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-288 (-643))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-288 (-648))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-288 (-650))) (-5 *1 (-304)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1096)) (-5 *3 (-1078)) (-5 *1 (-304)))) ((*1 *1 *1 *1) (-5 *1 (-808)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-4 *1 (-1023 *3)))) ((*1 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1025))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-941 *3)) (-14 *3 (-532))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1078)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-1183)) (-5 *1 (-1003 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1078)) (-4 *4 (-427)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-1183)) (-5 *1 (-1033 *4 *5 *6 *7 *8)) (-4 *8 (-1002 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-524) (-137))) (-5 *1 (-509 *3 *2)) (-4 *2 (-1169 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-339) (-344) (-573 (-532)))) (-4 *4 (-1154 *3)) (-4 *5 (-674 *3 *4)) (-5 *1 (-513 *3 *4 *5 *2)) (-4 *2 (-1169 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-339) (-344) (-573 (-532)))) (-5 *1 (-514 *3 *2)) (-4 *2 (-1169 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1076 *3)) (-4 *3 (-13 (-524) (-137))) (-5 *1 (-1072 *3))))) 
+(((*1 *1) (-4 *1 (-33))) ((*1 *1) (-12 (-5 *1 (-90 *2)) (-4 *2 (-1025)))) ((*1 *1) (-12 (-5 *1 (-199 *2)) (-4 *2 (-1025)))) ((*1 *1) (-12 (-5 *1 (-466 *2)) (-4 *2 (-800)))) ((*1 *1) (-5 *1 (-808))) ((*1 *1) (-12 (-4 *2 (-427)) (-4 *3 (-800)) (-4 *4 (-746)) (-5 *1 (-925 *2 *3 *4 *5)) (-4 *5 (-892 *2 *4 *3)))) ((*1 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-1025)))) ((*1 *1) (-12 (-5 *1 (-1060 *2 *3)) (-4 *2 (-13 (-1025) (-33))) (-4 *3 (-13 (-1025) (-33))))) ((*1 *1) (-12 (-5 *1 (-1067 *2)) (-4 *2 (-1025)))) ((*1 *1) (-5 *1 (-1099))) ((*1 *1) (-5 *1 (-1100)))) 
+(((*1 *1 *2) (-12 (-4 *1 (-37 *2)) (-4 *2 (-159)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-339)) (-14 *6 (-1178 (-639 *3))) (-5 *1 (-43 *3 *4 *5 *6)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))))) ((*1 *1 *2) (-12 (-5 *2 (-1048 (-532) (-571 (-47)))) (-5 *1 (-47)))) ((*1 *2 *3) (-12 (-5 *2 (-51)) (-5 *1 (-50 *3)) (-4 *3 (-1130)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-313 (-1666 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-1666) (-648)))) (-5 *1 (-60 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-313 (-1666) (-1666 (QUOTE XC)) (-648)))) (-5 *1 (-62 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-313 (-1666 (QUOTE X)) (-1666) (-648))) (-5 *1 (-63 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-639 (-313 (-1666) (-1666 (QUOTE X) (QUOTE HESS)) (-648)))) (-5 *1 (-64 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-313 (-1666) (-1666 (QUOTE XC)) (-648))) (-5 *1 (-65 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-313 (-1666 (QUOTE X)) (-1666 (QUOTE -1435)) (-648)))) (-5 *1 (-70 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-313 (-1666) (-1666 (QUOTE X)) (-648)))) (-5 *1 (-73 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-313 (-1666 (QUOTE X) (QUOTE EPS)) (-1666 (QUOTE -1435)) (-648)))) (-5 *1 (-74 *3 *4 *5)) (-14 *3 (-1096)) (-14 *4 (-1096)) (-14 *5 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-313 (-1666 (QUOTE EPS)) (-1666 (QUOTE YA) (QUOTE YB)) (-648)))) (-5 *1 (-75 *3 *4 *5)) (-14 *3 (-1096)) (-14 *4 (-1096)) (-14 *5 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-313 (-1666) (-1666 (QUOTE X)) (-648))) (-5 *1 (-76 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-313 (-1666) (-1666 (QUOTE X)) (-648))) (-5 *1 (-77 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-313 (-1666) (-1666 (QUOTE XC)) (-648)))) (-5 *1 (-78 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-313 (-1666) (-1666 (QUOTE X)) (-648)))) (-5 *1 (-79 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-313 (-1666) (-1666 (QUOTE X)) (-648)))) (-5 *1 (-80 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-313 (-1666 (QUOTE X) (QUOTE -1435)) (-1666) (-648)))) (-5 *1 (-81 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-639 (-313 (-1666 (QUOTE X) (QUOTE -1435)) (-1666) (-648)))) (-5 *1 (-82 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-639 (-313 (-1666 (QUOTE X)) (-1666) (-648)))) (-5 *1 (-83 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-313 (-1666 (QUOTE X)) (-1666) (-648)))) (-5 *1 (-84 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-313 (-1666 (QUOTE X)) (-1666 (QUOTE -1435)) (-648)))) (-5 *1 (-85 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-639 (-313 (-1666 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-1666) (-648)))) (-5 *1 (-86 *3)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-313 (-1666 (QUOTE X)) (-1666 (QUOTE -1435)) (-648))) (-5 *1 (-88 *3)) (-14 *3 (-1096)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-90 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-941 2)) (-5 *1 (-106)))) ((*1 *2 *1) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-106)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-130 *3 *4 *5))) (-5 *1 (-130 *3 *4 *5)) (-14 *3 (-532)) (-14 *4 (-723)) (-4 *5 (-159)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *5)) (-4 *5 (-159)) (-5 *1 (-130 *3 *4 *5)) (-14 *3 (-532)) (-14 *4 (-723)))) ((*1 *1 *2) (-12 (-5 *2 (-1062 *4 *5)) (-14 *4 (-723)) (-4 *5 (-159)) (-5 *1 (-130 *3 *4 *5)) (-14 *3 (-532)))) ((*1 *1 *2) (-12 (-5 *2 (-217 *4 *5)) (-14 *4 (-723)) (-4 *5 (-159)) (-5 *1 (-130 *3 *4 *5)) (-14 *3 (-532)))) ((*1 *2 *3) (-12 (-5 *3 (-1178 (-639 *4))) (-4 *4 (-159)) (-5 *2 (-1178 (-639 (-383 (-895 *4))))) (-5 *1 (-168 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-13 (-800) (-10 -8 (-15 -2687 ((-1078) $ (-1096))) (-15 -2563 ((-1183) $)) (-15 -1412 ((-1183) $))))) (-5 *1 (-192 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-941 10)) (-5 *1 (-195)))) ((*1 *2 *1) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-195)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-199 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-598 *3)) (-5 *1 (-222 *3)) (-4 *3 (-800)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-800)) (-5 *1 (-222 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1018 (-288 *4))) (-4 *4 (-13 (-800) (-524) (-573 (-355)))) (-5 *2 (-1018 (-355))) (-5 *1 (-233 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-241 *2)) (-4 *2 (-800)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-250)))) ((*1 *2 *1) (-12 (-4 *2 (-1154 *3)) (-5 *1 (-263 *3 *2 *4 *5 *6 *7)) (-4 *3 (-159)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1163 *4 *5 *6)) (-4 *4 (-13 (-27) (-1116) (-406 *3))) (-14 *5 (-1096)) (-14 *6 *4) (-4 *3 (-13 (-800) (-974 (-532)) (-594 (-532)) (-427))) (-5 *1 (-285 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-304)))) ((*1 *2 *1) (-12 (-5 *2 (-288 *5)) (-5 *1 (-313 *3 *4 *5)) (-14 *3 (-598 (-1096))) (-14 *4 (-598 (-1096))) (-4 *5 (-363)))) ((*1 *2 *3) (-12 (-4 *4 (-325)) (-4 *2 (-303 *4)) (-5 *1 (-323 *3 *4 *2)) (-4 *3 (-303 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-325)) (-4 *2 (-303 *4)) (-5 *1 (-323 *2 *4 *3)) (-4 *3 (-303 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-350 *3 *4)) (-4 *3 (-800)) (-4 *4 (-159)) (-5 *2 (-1201 *3 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-350 *3 *4)) (-4 *3 (-800)) (-4 *4 (-159)) (-5 *2 (-1192 *3 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-350 *2 *3)) (-4 *2 (-800)) (-4 *3 (-159)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1100)) (|:| -2185 (-598 (-304))))) (-4 *1 (-359)))) ((*1 *1 *2) (-12 (-5 *2 (-304)) (-4 *1 (-359)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-304))) (-4 *1 (-359)))) ((*1 *1 *2) (-12 (-5 *2 (-639 (-648))) (-4 *1 (-359)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1100)) (|:| -2185 (-598 (-304))))) (-4 *1 (-360)))) ((*1 *1 *2) (-12 (-5 *2 (-304)) (-4 *1 (-360)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-304))) (-4 *1 (-360)))) ((*1 *2 *1) (-12 (-4 *1 (-365)) (-5 *2 (-1078)))) ((*1 *1 *2) (-12 (-5 *2 (-1078)) (-4 *1 (-365)))) ((*1 *2 *3) (-12 (-5 *2 (-370)) (-5 *1 (-369 *3)) (-4 *3 (-1025)))) ((*1 *1 *2) (-12 (-5 *2 (-808)) (-5 *1 (-370)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1100)) (|:| -2185 (-598 (-304))))) (-4 *1 (-372)))) ((*1 *1 *2) (-12 (-5 *2 (-304)) (-4 *1 (-372)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-304))) (-4 *1 (-372)))) ((*1 *1 *2) (-12 (-5 *2 (-267 (-288 (-156 (-355))))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-267 (-288 (-355)))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-267 (-288 (-532)))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-156 (-355)))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-355))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-532))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-267 (-288 (-643)))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-267 (-288 (-648)))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-267 (-288 (-650)))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-643))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-648))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-650))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1100)) (|:| -2185 (-598 (-304))))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-304))) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-304)) (-5 *1 (-374 *3 *4 *5 *6)) (-14 *3 (-1096)) (-14 *4 (-3 (|:| |fst| (-410)) (|:| -2461 "void"))) (-14 *5 (-598 (-1096))) (-14 *6 (-1100)))) ((*1 *1 *2) (-12 (-5 *2 (-305 *4)) (-4 *4 (-13 (-800) (-21))) (-5 *1 (-403 *3 *4)) (-4 *3 (-13 (-159) (-37 (-383 (-532))))))) ((*1 *1 *2) (-12 (-5 *1 (-403 *2 *3)) (-4 *2 (-13 (-159) (-37 (-383 (-532))))) (-4 *3 (-13 (-800) (-21))))) ((*1 *1 *2) (-12 (-5 *2 (-383 (-895 (-383 *3)))) (-4 *3 (-524)) (-4 *3 (-800)) (-4 *1 (-406 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-895 (-383 *3))) (-4 *3 (-524)) (-4 *3 (-800)) (-4 *1 (-406 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-383 *3)) (-4 *3 (-524)) (-4 *3 (-800)) (-4 *1 (-406 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1048 *3 (-571 *1))) (-4 *3 (-983)) (-4 *3 (-800)) (-4 *1 (-406 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1029)) (-5 *1 (-410)))) ((*1 *2 *1) (-12 (-5 *2 (-1096)) (-5 *1 (-410)))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-410)))) ((*1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-410)))) ((*1 *1 *2) (-12 (-5 *2 (-410)) (-5 *1 (-413)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-413)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1100)) (|:| -2185 (-598 (-304))))) (-4 *1 (-415)))) ((*1 *1 *2) (-12 (-5 *2 (-304)) (-4 *1 (-415)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-304))) (-4 *1 (-415)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-648))) (-4 *1 (-415)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1100)) (|:| -2185 (-598 (-304))))) (-4 *1 (-416)))) ((*1 *1 *2) (-12 (-5 *2 (-304)) (-4 *1 (-416)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-304))) (-4 *1 (-416)))) ((*1 *1 *2) (-12 (-5 *2 (-1178 (-383 (-895 *3)))) (-4 *3 (-159)) (-14 *6 (-1178 (-639 *3))) (-5 *1 (-428 *3 *4 *5 *6)) (-14 *4 (-864)) (-14 *5 (-598 (-1096))))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-598 (-886 (-202))))) (-5 *1 (-445)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-445)))) ((*1 *1 *2) (-12 (-5 *2 (-1163 *3 *4 *5)) (-4 *3 (-983)) (-14 *4 (-1096)) (-14 *5 *3) (-5 *1 (-451 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-451 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-466 *3)) (-4 *3 (-1025)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-941 16)) (-5 *1 (-469)))) ((*1 *2 *1) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-469)))) ((*1 *1 *2) (-12 (-5 *2 (-1048 (-532) (-571 (-475)))) (-5 *1 (-475)))) ((*1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-482)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *6)) (-4 *6 (-892 *3 *4 *5)) (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-484 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-4 *3 (-159)) (-5 *1 (-566 *3 *2)) (-4 *2 (-696 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-572 *2)) (-4 *2 (-1130)))) ((*1 *1 *2) (-12 (-4 *1 (-576 *2)) (-4 *2 (-983)))) ((*1 *2 *1) (-12 (-5 *2 (-1197 *3 *4)) (-5 *1 (-582 *3 *4 *5)) (-4 *3 (-800)) (-4 *4 (-13 (-159) (-667 (-383 (-532))))) (-14 *5 (-864)))) ((*1 *2 *1) (-12 (-5 *2 (-1192 *3 *4)) (-5 *1 (-582 *3 *4 *5)) (-4 *3 (-800)) (-4 *4 (-13 (-159) (-667 (-383 (-532))))) (-14 *5 (-864)))) ((*1 *1 *2) (-12 (-4 *3 (-159)) (-5 *1 (-590 *3 *2)) (-4 *2 (-696 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-627 *3)) (-5 *1 (-623 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-772 *3)) (-5 *1 (-623 *3)) (-4 *3 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-900 (-900 (-900 *3)))) (-5 *1 (-626 *3)) (-4 *3 (-1025)))) ((*1 *1 *2) (-12 (-5 *2 (-900 (-900 (-900 *3)))) (-4 *3 (-1025)) (-5 *1 (-626 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-772 *3)) (-5 *1 (-627 *3)) (-4 *3 (-800)))) ((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-631 *3)) (-4 *3 (-1025)))) ((*1 *1 *2) (-12 (-4 *3 (-983)) (-4 *1 (-637 *3 *4 *2)) (-4 *4 (-349 *3)) (-4 *2 (-349 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-156 (-355))) (-5 *1 (-643)))) ((*1 *1 *2) (-12 (-5 *2 (-156 (-650))) (-5 *1 (-643)))) ((*1 *1 *2) (-12 (-5 *2 (-156 (-648))) (-5 *1 (-643)))) ((*1 *1 *2) (-12 (-5 *2 (-156 (-532))) (-5 *1 (-643)))) ((*1 *1 *2) (-12 (-5 *2 (-156 (-355))) (-5 *1 (-643)))) ((*1 *1 *2) (-12 (-5 *2 (-650)) (-5 *1 (-648)))) ((*1 *2 *1) (-12 (-5 *2 (-355)) (-5 *1 (-648)))) ((*1 *2 *3) (-12 (-5 *3 (-288 (-532))) (-5 *2 (-288 (-650))) (-5 *1 (-650)))) ((*1 *1 *2) (-12 (-5 *1 (-652 *2)) (-4 *2 (-1025)))) ((*1 *2 *3) (-12 (-5 *3 (-808)) (-5 *2 (-1078)) (-5 *1 (-660)))) ((*1 *2 *1) (-12 (-4 *2 (-159)) (-5 *1 (-661 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-983)) (-5 *1 (-662 *3 *2)) (-4 *2 (-1154 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3120 *3) (|:| -3540 *4))) (-5 *1 (-663 *3 *4 *5)) (-4 *3 (-800)) (-4 *4 (-1025)) (-14 *5 (-1 (-110) *2 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3120 *3) (|:| -3540 *4))) (-4 *3 (-800)) (-4 *4 (-1025)) (-5 *1 (-663 *3 *4 *5)) (-14 *5 (-1 (-110) *2 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-159)) (-5 *1 (-665 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-2 (|:| -2283 *3) (|:| -2290 *4)))) (-4 *3 (-983)) (-4 *4 (-676)) (-5 *1 (-685 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-383 (-694 *3 *4))) (-14 *3 (-1096)) (-4 *4 (-13 (-983) (-800) (-524))) (-5 *1 (-693 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-895 *4)) (-4 *4 (-983)) (-5 *1 (-694 *3 *4)) (-14 *3 (-1096)))) ((*1 *1 *2) (-12 (-5 *2 (-1174 *3)) (-14 *3 (-1096)) (-5 *1 (-694 *3 *4)) (-4 *4 (-983)))) ((*1 *1 *2) (-12 (-5 *1 (-694 *3 *2)) (-14 *3 (-1096)) (-4 *2 (-983)))) ((*1 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-715)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (|:| |mdnia| (-2 (|:| |fn| (-288 (-202))) (|:| -2548 (-598 (-1020 (-793 (-202))))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))))) (-5 *1 (-721)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-288 (-202))) (|:| -2548 (-598 (-1020 (-793 (-202))))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *1 (-721)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1096)) (|:| |fn| (-288 (-202))) (|:| -2548 (-1020 (-793 (-202)))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *1 (-721)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-721)))) ((*1 *2 *3) (-12 (-5 *2 (-726)) (-5 *1 (-725 *3)) (-4 *3 (-1130)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-202)) (|:| |xend| (-202)) (|:| |fn| (-1178 (-288 (-202)))) (|:| |yinit| (-598 (-202))) (|:| |intvals| (-598 (-202))) (|:| |g| (-288 (-202))) (|:| |abserr| (-202)) (|:| |relerr| (-202)))) (-5 *1 (-761)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-761)))) ((*1 *2 *1) (-12 (-4 *2 (-843 *3)) (-5 *1 (-770 *3 *2 *4)) (-4 *3 (-1025)) (-14 *4 *3))) ((*1 *1 *2) (-12 (-4 *3 (-1025)) (-14 *4 *3) (-5 *1 (-770 *3 *2 *4)) (-4 *2 (-843 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-777)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-288 (-202))) (|:| -2932 (-598 (-202))) (|:| |lb| (-598 (-793 (-202)))) (|:| |cf| (-598 (-288 (-202)))) (|:| |ub| (-598 (-793 (-202)))))) (|:| |lsa| (-2 (|:| |lfn| (-598 (-288 (-202)))) (|:| -2932 (-598 (-202))))))) (-5 *1 (-791)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-598 (-288 (-202)))) (|:| -2932 (-598 (-202))))) (-5 *1 (-791)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-288 (-202))) (|:| -2932 (-598 (-202))) (|:| |lb| (-598 (-793 (-202)))) (|:| |cf| (-598 (-288 (-202)))) (|:| |ub| (-598 (-793 (-202)))))) (-5 *1 (-791)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-791)))) ((*1 *1 *2) (-12 (-5 *2 (-1174 *3)) (-14 *3 (-1096)) (-5 *1 (-805 *3 *4 *5 *6)) (-4 *4 (-983)) (-14 *5 (-95 *4)) (-14 *6 (-1 *4 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-532)) (-5 *1 (-807)))) ((*1 *1 *2) (-12 (-5 *2 (-895 *3)) (-4 *3 (-983)) (-5 *1 (-811 *3 *4 *5 *6)) (-14 *4 (-598 (-1096))) (-14 *5 (-598 (-723))) (-14 *6 (-723)))) ((*1 *2 *1) (-12 (-5 *2 (-895 *3)) (-5 *1 (-811 *3 *4 *5 *6)) (-4 *3 (-983)) (-14 *4 (-598 (-1096))) (-14 *5 (-598 (-723))) (-14 *6 (-723)))) ((*1 *1 *2) (-12 (-5 *2 (-145)) (-5 *1 (-818)))) ((*1 *2 *3) (-12 (-5 *3 (-895 (-47))) (-5 *2 (-288 (-532))) (-5 *1 (-819)))) ((*1 *2 *3) (-12 (-5 *3 (-383 (-895 (-47)))) (-5 *2 (-288 (-532))) (-5 *1 (-819)))) ((*1 *1 *2) (-12 (-5 *1 (-836 *2)) (-4 *2 (-800)))) ((*1 *2 *1) (-12 (-5 *2 (-772 *3)) (-5 *1 (-836 *3)) (-4 *3 (-800)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-598 (-288 (-202)))) (|:| |constraints| (-598 (-2 (|:| |start| (-202)) (|:| |finish| (-202)) (|:| |grid| (-723)) (|:| |boundaryType| (-532)) (|:| |dStart| (-639 (-202))) (|:| |dFinish| (-639 (-202)))))) (|:| |f| (-598 (-598 (-288 (-202))))) (|:| |st| (-1078)) (|:| |tol| (-202)))) (-5 *1 (-841)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-841)))) ((*1 *2 *1) (-12 (-5 *2 (-1117 *3)) (-5 *1 (-844 *3)) (-4 *3 (-1025)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-848 *3))) (-4 *3 (-1025)) (-5 *1 (-847 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-848 *3))) (-5 *1 (-847 *3)) (-4 *3 (-1025)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1025)) (-5 *1 (-848 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-598 (-598 *3))) (-4 *3 (-1025)) (-5 *1 (-848 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-383 (-394 *3))) (-4 *3 (-280)) (-5 *1 (-857 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-383 *3)) (-5 *1 (-857 *3)) (-4 *3 (-280)))) ((*1 *2 *3) (-12 (-5 *3 (-461)) (-5 *2 (-288 *4)) (-5 *1 (-862 *4)) (-4 *4 (-13 (-800) (-524))))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-532))) (-5 *1 (-909)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-937 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *2 *1) (-12 (-5 *2 (-383 (-532))) (-5 *1 (-941 *3)) (-14 *3 (-532)))) ((*1 *2 *3) (-12 (-5 *2 (-1183)) (-5 *1 (-970 *3)) (-4 *3 (-1130)))) ((*1 *2 *3) (-12 (-5 *3 (-284)) (-5 *1 (-970 *2)) (-4 *2 (-1130)))) ((*1 *1 *2) (-12 (-4 *3 (-339)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-971 *3 *4 *5 *2 *6)) (-4 *2 (-892 *3 *4 *5)) (-14 *6 (-598 *2)))) ((*1 *1 *2) (-12 (-4 *1 (-974 *2)) (-4 *2 (-1130)))) ((*1 *2 *3) (-12 (-5 *2 (-383 (-895 *3))) (-5 *1 (-979 *3)) (-4 *3 (-524)))) ((*1 *1 *2) (-12 (-5 *2 (-532)) (-4 *1 (-983)))) ((*1 *2 *1) (-12 (-5 *2 (-639 *5)) (-5 *1 (-987 *3 *4 *5)) (-14 *3 (-723)) (-14 *4 (-723)) (-4 *5 (-983)))) ((*1 *1 *2) (-12 (-4 *3 (-983)) (-4 *4 (-800)) (-5 *1 (-1049 *3 *4 *2)) (-4 *2 (-892 *3 (-504 *4) *4)))) ((*1 *1 *2) (-12 (-4 *3 (-983)) (-4 *2 (-800)) (-5 *1 (-1049 *3 *2 *4)) (-4 *4 (-892 *3 (-504 *2) *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-808)))) ((*1 *2 *1) (-12 (-5 *2 (-639 *4)) (-5 *1 (-1062 *3 *4)) (-14 *3 (-723)) (-4 *4 (-983)))) ((*1 *1 *2) (-12 (-5 *2 (-134)) (-4 *1 (-1064)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-1067 *3)) (-4 *3 (-1025)) (-4 *3 (-1025)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-1130)) (-5 *1 (-1076 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-1076 *3)) (-5 *1 (-1080 *3)) (-4 *3 (-983)))) ((*1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1086 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1093 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1094 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1151 *4 *3)) (-4 *3 (-983)) (-14 *4 (-1096)) (-14 *5 *3) (-5 *1 (-1094 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-1095)))) ((*1 *1 *2) (-12 (-5 *2 (-1078)) (-5 *1 (-1096)))) ((*1 *2 *1) (-12 (-5 *2 (-1104 (-1096) (-413))) (-5 *1 (-1100)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-1103 *3)) (-4 *3 (-1025)))) ((*1 *2 *3) (-12 (-5 *2 (-1111)) (-5 *1 (-1110 *3)) (-4 *3 (-1025)))) ((*1 *1 *2) (-12 (-5 *2 (-808)) (-5 *1 (-1111)))) ((*1 *1 *2) (-12 (-5 *2 (-895 *3)) (-4 *3 (-983)) (-5 *1 (-1125 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1096)) (-5 *1 (-1125 *3)) (-4 *3 (-983)))) ((*1 *1 *2) (-12 (-5 *2 (-900 *3)) (-4 *3 (-1130)) (-5 *1 (-1128 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1174 (QUOTE |x|))) (-5 *1 (-1136 *3)) (-4 *3 (-983)))) ((*1 *1 *2) (-12 (-5 *2 (-1151 (QUOTE |x|) *3)) (-4 *3 (-983)) (-5 *1 (-1136 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-983)) (-4 *1 (-1140 *3 *2)) (-4 *2 (-1169 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1142 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1020 *3)) (-4 *3 (-1130)) (-5 *1 (-1145 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1174 *3)) (-14 *3 (-1096)) (-5 *1 (-1151 *3 *4)) (-4 *4 (-983)))) ((*1 *1 *2) (-12 (-4 *3 (-983)) (-4 *1 (-1161 *3 *2)) (-4 *2 (-1138 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1174 *4)) (-14 *4 (-1096)) (-5 *1 (-1170 *3 *4 *5)) (-4 *3 (-983)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1151 *4 *3)) (-4 *3 (-983)) (-14 *4 (-1096)) (-14 *5 *3) (-5 *1 (-1170 *3 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-1096)) (-5 *1 (-1174 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-1179)))) ((*1 *2 *3) (-12 (-5 *3 (-445)) (-5 *2 (-1179)) (-5 *1 (-1182)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-1183)))) ((*1 *2 *1) (-12 (-5 *2 (-598 (-1178 *3))) (-5 *1 (-1184 *3)) (-4 *3 (-339)))) ((*1 *2 *1) (-12 (-5 *2 (-808)) (-5 *1 (-1184 *3)) (-4 *3 (-339)))) ((*1 *1 *2) (-12 (-4 *3 (-983)) (-4 *4 (-800)) (-4 *5 (-746)) (-14 *6 (-598 *4)) (-5 *1 (-1189 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-892 *3 *5 *4)) (-14 *7 (-598 (-723))) (-14 *8 (-723)))) ((*1 *2 *1) (-12 (-4 *2 (-892 *3 *5 *4)) (-5 *1 (-1189 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-983)) (-4 *4 (-800)) (-4 *5 (-746)) (-14 *6 (-598 *4)) (-14 *7 (-598 (-723))) (-14 *8 (-723)))) ((*1 *1 *2) (-12 (-4 *1 (-1191 *2)) (-4 *2 (-983)))) ((*1 *1 *2) (-12 (-4 *1 (-1194 *2 *3)) (-4 *2 (-800)) (-4 *3 (-983)))) ((*1 *2 *1) (-12 (-5 *2 (-1201 *3 *4)) (-5 *1 (-1197 *3 *4)) (-4 *3 (-800)) (-4 *4 (-159)))) ((*1 *2 *1) (-12 (-5 *2 (-1192 *3 *4)) (-5 *1 (-1197 *3 *4)) (-4 *3 (-800)) (-4 *4 (-159)))) ((*1 *1 *2) (-12 (-5 *2 (-616 *3 *4)) (-4 *3 (-800)) (-4 *4 (-159)) (-5 *1 (-1197 *3 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-1200 *3 *2)) (-4 *3 (-983)) (-4 *2 (-796))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-417 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1060 *2 *3)) (-4 *2 (-13 (-1025) (-33))) (-4 *3 (-13 (-1025) (-33)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-46 *2 *3)) (-4 *2 (-983)) (-4 *3 (-745)))) ((*1 *1 *1) (-12 (-5 *1 (-49 *2 *3)) (-4 *2 (-983)) (-14 *3 (-598 (-1096))))) ((*1 *1 *1) (-12 (-5 *1 (-200 *2 *3)) (-4 *2 (-13 (-983) (-800))) (-14 *3 (-598 (-1096))))) ((*1 *1 *1) (-12 (-4 *1 (-358 *2 *3)) (-4 *2 (-983)) (-4 *3 (-1025)))) ((*1 *1 *1) (-12 (-14 *2 (-598 (-1096))) (-4 *3 (-159)) (-4 *5 (-215 (-3502 *2) (-723))) (-14 *6 (-1 (-110) (-2 (|:| -3120 *4) (|:| -3540 *5)) (-2 (|:| -3120 *4) (|:| -3540 *5)))) (-5 *1 (-436 *2 *3 *4 *5 *6 *7)) (-4 *4 (-800)) (-4 *7 (-892 *3 *5 (-810 *2))))) ((*1 *1 *1) (-12 (-4 *1 (-488 *2 *3)) (-4 *2 (-1025)) (-4 *3 (-800)))) ((*1 *1 *1) (-12 (-4 *2 (-524)) (-5 *1 (-579 *2 *3)) (-4 *3 (-1154 *2)))) ((*1 *1 *1) (-12 (-4 *1 (-658 *2)) (-4 *2 (-983)))) ((*1 *1 *1) (-12 (-5 *1 (-685 *2 *3)) (-4 *3 (-800)) (-4 *2 (-983)) (-4 *3 (-676)))) ((*1 *1 *1) (-12 (-4 *1 (-802 *2)) (-4 *2 (-983)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-997 *3 *4 *2)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800)))) ((*1 *1 *1) (-12 (-5 *1 (-1200 *2 *3)) (-4 *2 (-983)) (-4 *3 (-796))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-639 *4)) (-5 *3 (-864)) (|has| *4 (-6 (-4291 "*"))) (-4 *4 (-983)) (-5 *1 (-965 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-598 (-639 *4))) (-5 *3 (-864)) (|has| *4 (-6 (-4291 "*"))) (-4 *4 (-983)) (-5 *1 (-965 *4))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-886 (-202))) (-5 *4 (-818)) (-5 *2 (-1183)) (-5 *1 (-445)))) ((*1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *3 (-983)) (-4 *1 (-918 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1057 *3)) (-4 *3 (-983)) (-5 *2 (-886 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-886 *3)) (-4 *3 (-983)) (-4 *1 (-1057 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-723)) (-4 *1 (-1057 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-598 *3)) (-4 *1 (-1057 *3)) (-4 *3 (-983)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-886 *3)) (-4 *1 (-1057 *3)) (-4 *3 (-983)))) ((*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-886 (-202))) (-5 *1 (-1127)) (-5 *3 (-202))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-598 (-224 *4 *5))) (-5 *2 (-224 *4 *5)) (-14 *4 (-598 (-1096))) (-4 *5 (-427)) (-5 *1 (-586 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-232))))) 
+(((*1 *2) (-12 (-4 *4 (-159)) (-5 *2 (-110)) (-5 *1 (-342 *3 *4)) (-4 *3 (-343 *4)))) ((*1 *2) (-12 (-4 *1 (-343 *3)) (-4 *3 (-159)) (-5 *2 (-110))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-983)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *2 (-598 *1)) (-4 *1 (-892 *3 *4 *5))))) 
+(((*1 *1 *1) (-5 *1 (-202))) ((*1 *1 *1) (-5 *1 (-355))) ((*1 *1) (-5 *1 (-355)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-427)) (-4 *4 (-746)) (-4 *5 (-800)) (-5 *1 (-424 *3 *4 *5 *2)) (-4 *2 (-892 *3 *4 *5))))) 
+(((*1 *1 *1 *1) (-4 *1 (-517)))) 
+(((*1 *2 *3) (-12 (-5 *2 (-394 (-1092 (-532)))) (-5 *1 (-170)) (-5 *3 (-532))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 *5)) (-5 *1 (-130 *3 *4 *5)) (-14 *3 (-532)) (-14 *4 (-723)) (-4 *5 (-159))))) 
+(((*1 *2) (-12 (-5 *2 (-818)) (-5 *1 (-1181)))) ((*1 *2 *2) (-12 (-5 *2 (-818)) (-5 *1 (-1181))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-115 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-115 *2)) (-14 *2 (-532)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-532)) (-5 *1 (-816 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-816 *2)) (-14 *2 (-532)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-532)) (-14 *3 *2) (-5 *1 (-817 *3 *4)) (-4 *4 (-814 *3)))) ((*1 *1 *1) (-12 (-14 *2 (-532)) (-5 *1 (-817 *2 *3)) (-4 *3 (-814 *2)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-532)) (-4 *1 (-1140 *3 *4)) (-4 *3 (-983)) (-4 *4 (-1169 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1140 *2 *3)) (-4 *2 (-983)) (-4 *3 (-1169 *2))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-46 *2 *3)) (-4 *3 (-745)) (-4 *2 (-983)))) ((*1 *2 *1) (-12 (-4 *2 (-983)) (-5 *1 (-49 *2 *3)) (-14 *3 (-598 (-1096))))) ((*1 *2 *1) (-12 (-5 *2 (-288 *3)) (-5 *1 (-200 *3 *4)) (-4 *3 (-13 (-983) (-800))) (-14 *4 (-598 (-1096))))) ((*1 *2 *1) (-12 (-4 *1 (-358 *2 *3)) (-4 *3 (-1025)) (-4 *2 (-983)))) ((*1 *2 *1) (-12 (-14 *3 (-598 (-1096))) (-4 *5 (-215 (-3502 *3) (-723))) (-14 *6 (-1 (-110) (-2 (|:| -3120 *4) (|:| -3540 *5)) (-2 (|:| -3120 *4) (|:| -3540 *5)))) (-4 *2 (-159)) (-5 *1 (-436 *3 *2 *4 *5 *6 *7)) (-4 *4 (-800)) (-4 *7 (-892 *2 *5 (-810 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-488 *2 *3)) (-4 *3 (-800)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-4 *2 (-524)) (-5 *1 (-579 *2 *3)) (-4 *3 (-1154 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-658 *2)) (-4 *2 (-983)))) ((*1 *2 *1) (-12 (-4 *2 (-983)) (-5 *1 (-685 *2 *3)) (-4 *3 (-800)) (-4 *3 (-676)))) ((*1 *2 *1) (-12 (-4 *1 (-802 *2)) (-4 *2 (-983)))) ((*1 *2 *1) (-12 (-4 *1 (-911 *2 *3 *4)) (-4 *3 (-745)) (-4 *4 (-800)) (-4 *2 (-983)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-997 *3 *4 *2)) (-4 *3 (-983)) (-4 *4 (-746)) (-4 *2 (-800))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-110) *2)) (-4 *2 (-127)) (-5 *1 (-1012 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-532) *2 *2)) (-4 *2 (-127)) (-5 *1 (-1012 *2))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1096)) (-4 *5 (-13 (-280) (-800) (-137) (-974 (-532)) (-594 (-532)))) (-5 *2 (-549 *3)) (-5 *1 (-402 *5 *3)) (-4 *3 (-13 (-1116) (-29 *5)))))) 
+(((*1 *1 *1 *1) (-5 *1 (-110))) ((*1 *1 *1 *1) (-4 *1 (-121)))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-637 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-349 *2)) (-4 *4 (-349 *2))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-46 *2 *3)) (-4 *2 (-983)) (-4 *3 (-745)))) ((*1 *2 *1) (-12 (-4 *1 (-358 *3 *2)) (-4 *3 (-983)) (-4 *2 (-1025)))) ((*1 *2 *1) (-12 (-14 *3 (-598 (-1096))) (-4 *4 (-159)) (-4 *6 (-215 (-3502 *3) (-723))) (-14 *7 (-1 (-110) (-2 (|:| -3120 *5) (|:| -3540 *6)) (-2 (|:| -3120 *5) (|:| -3540 *6)))) (-5 *2 (-663 *5 *6 *7)) (-5 *1 (-436 *3 *4 *5 *6 *7 *8)) (-4 *5 (-800)) (-4 *8 (-892 *4 *6 (-810 *3))))) ((*1 *2 *1) (-12 (-4 *2 (-676)) (-4 *2 (-800)) (-5 *1 (-685 *3 *2)) (-4 *3 (-983)))) ((*1 *1 *1) (-12 (-4 *1 (-911 *2 *3 *4)) (-4 *2 (-983)) (-4 *3 (-745)) (-4 *4 (-800))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-598 *5)) (-4 *5 (-13 (-524) (-427))) (-5 *4 (-723)) (-5 *2 (-383 (-1092 *5))) (-5 *1 (-321 *5 *6)) (-4 *6 (-46 *5 *4)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-598 (-383 *5))) (-4 *5 (-13 (-524) (-427))) (-5 *4 (-723)) (-5 *2 (-383 (-1092 *5))) (-5 *1 (-321 *5 *6)) (-4 *6 (-46 *5 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1151 *4 *5)) (-5 *3 (-598 *5)) (-14 *4 (-1096)) (-4 *5 (-339)) (-5 *1 (-866 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-598 *5)) (-4 *5 (-339)) (-5 *2 (-1092 *5)) (-5 *1 (-866 *4 *5)) (-14 *4 (-1096)))) ((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-598 *6)) (-5 *4 (-723)) (-4 *6 (-339)) (-5 *2 (-383 (-895 *6))) (-5 *1 (-984 *5 *6)) (-14 *5 (-1096))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-159)) (-4 *2 (-23)) (-5 *1 (-263 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1154 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-661 *3 *2 *4 *5 *6)) (-4 *3 (-159)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *2 (-1154 *3)) (-5 *1 (-662 *3 *2)) (-4 *3 (-983)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-665 *3 *2 *4 *5 *6)) (-4 *3 (-159)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *1 (-814 *3)) (-5 *2 (-532))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-522 *2)) (-4 *2 (-13 (-380) (-1116)))))) 
+(((*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-300 *2 *3)) (-4 *2 (-983)) (-4 *3 (-745))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-288 (-532))) (|:| -2255 (-288 (-355))) (|:| CF (-288 (-156 (-355)))) (|:| |switch| (-1095)))) (-5 *1 (-1095))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-110)) (-5 *1 (-869))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-427)) (-4 *6 (-746)) (-4 *7 (-800)) (-4 *3 (-997 *5 *6 *7)) (-5 *2 (-598 (-2 (|:| |val| (-110)) (|:| -1213 *4)))) (-5 *1 (-728 *5 *6 *7 *3 *4)) (-4 *4 (-1002 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-300 *2 *3)) (-4 *3 (-745)) (-4 *2 (-983)))) ((*1 *2 *1) (-12 (-4 *1 (-406 *2)) (-4 *2 (-800))))) 
+(((*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-886 (-202)) (-202))) (-5 *3 (-1020 (-202))) (-5 *1 (-869)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-886 (-202)) (-202))) (-5 *3 (-1020 (-202))) (-5 *1 (-869)))) ((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-886 (-202)) (-202))) (-5 *3 (-1020 (-202))) (-5 *1 (-870)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-886 (-202)) (-202))) (-5 *3 (-1020 (-202))) (-5 *1 (-870))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-532)) (-5 *1 (-394 *2)) (-4 *2 (-524))))) 
+(((*1 *2) (-12 (-5 *2 (-639 (-853 *3))) (-5 *1 (-327 *3 *4)) (-14 *3 (-864)) (-14 *4 (-864)))) ((*1 *2) (-12 (-5 *2 (-639 *3)) (-5 *1 (-328 *3 *4)) (-4 *3 (-325)) (-14 *4 (-3 (-1092 *3) (-1178 (-598 (-2 (|:| -1330 *3) (|:| -3120 (-1043))))))))) ((*1 *2) (-12 (-5 *2 (-639 *3)) (-5 *1 (-329 *3 *4)) (-4 *3 (-325)) (-14 *4 (-864))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-524)) (-4 *5 (-746)) (-4 *6 (-800)) (-4 *7 (-997 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-598 *7)) (|:| |badPols| (-598 *7)))) (-5 *1 (-915 *4 *5 *6 *7)) (-5 *3 (-598 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-300 *3 *4)) (-4 *3 (-983)) (-4 *4 (-745)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-4 *1 (-406 *3)) (-4 *3 (-800)) (-5 *2 (-110)))) ((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-693 *3 *4)) (-14 *3 (-1096)) (-4 *4 (-13 (-983) (-800) (-524)))))) 
+(((*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-571 *3)) (-5 *5 (-1092 *3)) (-4 *3 (-13 (-406 *6) (-27) (-1116))) (-4 *6 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-549 *3)) (-5 *1 (-528 *6 *3 *7)) (-4 *7 (-1025)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-571 *3)) (-5 *5 (-383 (-1092 *3))) (-4 *3 (-13 (-406 *6) (-27) (-1116))) (-4 *6 (-13 (-427) (-974 (-532)) (-800) (-137) (-594 (-532)))) (-5 *2 (-549 *3)) (-5 *1 (-528 *6 *3 *7)) (-4 *7 (-1025))))) 
+(((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-532)) (-5 *1 (-981))))) 
+(((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-532)) (-4 *1 (-637 *3 *4 *5)) (-4 *3 (-983)) (-4 *4 (-349 *3)) (-4 *5 (-349 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-288 (-202))) (-5 *2 (-288 (-383 (-532)))) (-5 *1 (-278))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-110)) (-5 *1 (-835 *3)) (-4 *3 (-1025))))) 
+(((*1 *1 *1) (-4 *1 (-220))) ((*1 *1 *1) (-12 (-4 *2 (-159)) (-5 *1 (-263 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1154 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (-1328 (-12 (-5 *1 (-267 *2)) (-4 *2 (-339)) (-4 *2 (-1130))) (-12 (-5 *1 (-267 *2)) (-4 *2 (-450)) (-4 *2 (-1130))))) ((*1 *1 *1) (-4 *1 (-450))) ((*1 *2 *2) (-12 (-5 *2 (-1178 *3)) (-4 *3 (-325)) (-5 *1 (-502 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-665 *2 *3 *4 *5 *6)) (-4 *2 (-159)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-750 *2)) (-4 *2 (-159)) (-4 *2 (-339))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-110)) (-5 *1 (-118 *3)) (-4 *3 (-1154 (-532))))) ((*1 *2 *3 *2) (-12 (-5 *2 (-110)) (-5 *1 (-118 *3)) (-4 *3 (-1154 (-532)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-598 (-571 *1))) (-4 *1 (-275))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-800) (-524))) (-5 *1 (-251 *3 *2)) (-4 *2 (-13 (-406 *3) (-939)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-532))) (-4 *3 (-983)) (-5 *1 (-95 *3)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-983)) (-5 *1 (-95 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-983)) (-5 *1 (-95 *3))))) 
+((-1211 . 762982) (-1212 . 762880) (-1213 . 762818) (-1214 . 762662) (-1215 . 761956) (-1216 . 761885) (-1217 . 761797) (-1218 . 761676) (-1219 . 761615) (-1220 . 761148) (-1221 . 760886) (-1222 . 760684) (-1223 . 760351) (-1224 . 760278) (-1225 . 759884) (-1226 . 759759) (-1227 . 759553) (-1228 . 759501) (-1229 . 759346) (-1230 . 759264) (-1231 . 759195) (-1232 . 758516) (-1233 . 757831) (-1234 . 757230) (-1235 . 757130) (-1236 . 757065) (-1237 . 756891) (-1238 . 756727) (-1239 . 755622) (-1240 . 755049) (-1241 . 754949) (-1242 . 754838) (-1243 . 754756) (-1244 . 754722) (-1245 . 754604) (-1246 . 754520) (-1247 . 754411) (-1248 . 754259) (-1249 . 754207) (-1250 . 754073) (-1251 . 753465) (-1252 . 753223) (-1253 . 752153) (-1254 . 752053) (-1255 . 751975) (-1256 . 729464) (-1257 . 728905) (-1258 . 728482) (-1259 . 728109) (-1260 . 728031) (-1261 . 727905) (-1262 . 725239) (-1263 . 724850) (-1264 . 724702) (-1265 . 724273) (-1266 . 724242) (-1267 . 724190) (-1268 . 723993) (-1269 . 723578) (-1270 . 723504) (-1271 . 723400) (-1272 . 723321) (-1273 . 723161) (-1274 . 723054) (-1275 . 722841) (-1276 . 722786) (-1277 . 722686) (-1278 . 722576) (-1279 . 722523) (-1280 . 722448) (-1281 . 722365) (-1282 . 722291) (-1283 . 722097) (-1284 . 722001) (-1285 . 721190) (-1286 . 720905) (-1287 . 720824) (-1288 . 720687) (-1289 . 720612) (-1290 . 720443) (-1291 . 719943) (-1292 . 719847) (-1293 . 719516) (-1294 . 719386) (-1295 . 719352) (-1296 . 719084) (-1297 . 718841) (-1298 . 718714) (-1299 . 718614) (-1300 . 718561) (-1301 . 718469) (-1302 . 718198) (-1303 . 718119) (-1304 . 717969) (-1305 . 717546) (-1306 . 716936) (-1307 . 716884) (-1308 . 716780) (-1309 . 716604) (-1310 . 716504) (-1311 . 715725) (-1312 . 715651) (-1313 . 715322) (-1314 . 714978) (-1315 . 714922) (-1316 . 714662) (-1317 . 714329) (-1318 . 714276) (-1319 . 714116) (-1320 . 714059) (-1321 . 713878) (-1322 . 712977) (-1323 . 712822) (-1324 . 712756) (-1325 . 712551) (-1326 . 711989) (-1327 . 711958) (-1328 . 711803) (-1329 . 711697) (-1330 . 711445) (-1331 . 710811) (-1332 . 710608) (-1333 . 710507) (-1334 . 710406) (-12 . 710251) (-1336 . 710099) (-1337 . 709911) (-1338 . 709564) (-1339 . 709501) (-1340 . 709427) (-1341 . 709375) (-1342 . 709300) (-1343 . 708984) (-1344 . 708857) (-1345 . 708791) (-1346 . 708658) (-1347 . 708577) (-1348 . 708514) (-1349 . 708386) (-1350 . 708310) (-1351 . 708257) (-1352 . 707763) (-1353 . 707665) (-1354 . 707540) (-1355 . 707337) (-1356 . 707201) (-1357 . 707024) (-1358 . 706863) (-1359 . 706774) (-1360 . 706670) (-1361 . 706315) (-1362 . 706246) (-1363 . 706193) (-1364 . 706165) (-1365 . 706073) (-1366 . 705943) (-1367 . 705598) (-1368 . 705532) (-1369 . 705453) (-1370 . 705380) (-1371 . 705233) (-1372 . 705165) (-1373 . 705063) (-1374 . 704869) (-1375 . 704753) (-1376 . 704590) (-1377 . 704180) (-1378 . 704062) (-1379 . 704009) (-1380 . 703859) (* . 699432) (-1382 . 699330) (-1383 . 699095) (-1384 . 699009) (-1385 . 698899) (-1386 . 698842) (-1387 . 698750) (-1388 . 698695) (-1389 . 698196) (-1390 . 698071) (-1391 . 697937) (-1392 . 697908) (-1393 . 697785) (-1394 . 697657) (-1395 . 697598) (-1396 . 697470) (-1397 . 697380) (-1398 . 697118) (-1399 . 696905) (-1400 . 696752) (-1401 . 695805) (-1402 . 695635) (-1403 . 695579) (-1404 . 695545) (-1405 . 695471) (-1406 . 695416) (-1407 . 695278) (-1408 . 695200) (-1409 . 695045) (-1410 . 694893) (-1411 . 694841) (-1412 . 694461) (-1413 . 694404) (-1414 . 694314) (-1415 . 694109) (-1416 . 693975) (-1417 . 693804) (-1418 . 693614) (-1419 . 693494) (-1420 . 693412) (-1421 . 693318) (-1422 . 693245) (-1423 . 693190) (-1424 . 692892) (-1425 . 692698) (-1426 . 692615) (-1427 . 692509) (-1428 . 692401) (-1429 . 692251) (-1430 . 692152) (-1431 . 692016) (-1432 . 691919) (-1433 . 691788) (-1434 . 691609) (-1435 . 691351) (-1436 . 691289) (-1437 . 691130) (-1438 . 691102) (-1439 . 690801) (-1440 . 690689) (-1441 . 690538) (-1442 . 689954) (-1443 . 684914) (-1444 . 684768) (-1445 . 684436) (-1446 . 684303) (-1447 . 684275) (-1448 . 684012) (-1449 . 683799) (-1450 . 683647) (-1451 . 683588) (-1452 . 683486) (-1453 . 682942) (-1454 . 682770) (-1455 . 682537) (-1456 . 682500) (-1457 . 682189) (-1458 . 682132) (-1459 . 682031) (-1460 . 681399) (-1461 . 681321) (-1462 . 681247) (-1463 . 681155) (-1464 . 680837) (-1465 . 680740) (-1466 . 680344) (-1467 . 680292) (-1468 . 680214) (-1469 . 680186) (-1470 . 680046) (-1471 . 679599) (-1472 . 679436) (-1473 . 679348) (-1474 . 679274) (-1475 . 678908) (-1476 . 678692) (-1477 . 678588) (-1478 . 678488) (-1479 . 678363) (-1480 . 678153) (-1481 . 678085) (-1482 . 678008) (-1483 . 677874) (-1484 . 677761) (-1485 . 677586) (-1486 . 677270) (-1487 . 677119) (-1488 . 676801) (-1489 . 676595) (-1490 . 676541) (-1491 . 676446) (-1492 . 676080) (-1493 . 675991) (-1494 . 675921) (-1495 . 675698) (-1496 . 675647) (-1497 . 675595) (-1498 . 675398) (-1499 . 675309) (-1500 . 675219) (-1501 . 675078) (-1502 . 674683) (-1503 . 674611) (-1504 . 674463) (-1505 . 674367) (-1506 . 674306) (-1507 . 674211) (-1508 . 674143) (-1509 . 674084) (-1510 . 673913) (-1511 . 673076) (-1512 . 672940) (-1513 . 672887) (-1514 . 672789) (-1515 . 672736) (-1516 . 672527) (-1517 . 672447) (-1518 . 672413) (-1519 . 672342) (-1520 . 671979) (-1521 . 671874) (-1522 . 671551) (-1523 . 671449) (-1524 . 671347) (-1525 . 671276) (-1526 . 671119) (-1527 . 670995) (-1528 . 670843) (-1529 . 670751) (-1530 . 670628) (-1531 . 670481) (-1532 . 670325) (-1533 . 670250) (-1534 . 670062) (-1535 . 669924) (-1536 . 669810) (-1537 . 669727) (-1538 . 669637) (-1539 . 669585) (-1540 . 669117) (-1541 . 668633) (-1542 . 668485) (-1543 . 668428) (-1544 . 668116) (-1545 . 667943) (-1546 . 667371) (-1547 . 667316) (-1548 . 667093) (-1549 . 666995) (-1550 . 666914) (-1551 . 666633) (-1552 . 666566) (-1553 . 666275) (-1554 . 666082) (-1555 . 666010) (-1556 . 665882) (-1557 . 665577) (-1558 . 665475) (-1559 . 665285) (-1560 . 665212) (-1561 . 665077) (-1562 . 665020) (-1563 . 664839) (-1564 . 664780) (-1565 . 664752) (-1566 . 663993) (-1567 . 663830) (-1568 . 663716) (-1569 . 663461) (-1570 . 663344) (-1571 . 662528) (-1572 . 662389) (-1573 . 662299) (-1574 . 662158) (-1575 . 662044) (-1576 . 661974) (-1577 . 661915) (-1578 . 661744) (-1579 . 661673) (-1580 . 661301) (-1581 . 661157) (-1582 . 660896) (-1583 . 660690) (-1584 . 660630) (-1585 . 660499) (-1586 . 660431) (-1587 . 660294) (-1588 . 660220) (-1589 . 660071) (-1590 . 659959) (-1591 . 659910) (-1592 . 659728) (-1593 . 659215) (-1594 . 659107) (-1595 . 658568) (-1596 . 658288) (-1597 . 658239) (-1598 . 658121) (-1599 . 657641) (-1600 . 657498) (-1601 . 657408) (-1602 . 657349) (-1603 . 656987) (-1604 . 656791) (-1605 . 656729) (-1606 . 656677) (-1607 . 656562) (-1608 . 656437) (-1609 . 656382) (-1610 . 656311) (-1611 . 656159) (-1612 . 655851) (-1613 . 655744) (-1614 . 655634) (-1615 . 655517) (-1616 . 655458) (-1617 . 655368) (-1618 . 655315) (-1619 . 655241) (-1620 . 655137) (-1621 . 655005) (-1622 . 654890) (-1623 . 654766) (-1624 . 654638) (-1625 . 654535) (-1626 . 654425) (-1627 . 654290) (-1628 . 654141) (-1629 . 653639) (-1630 . 653528) (-1631 . 653436) (-1632 . 653332) (-1633 . 653194) (-1634 . 653123) (-1635 . 652974) (-1636 . 652877) (-1637 . 652665) (-1638 . 652561) (-1639 . 652499) (-1640 . 652432) (-1641 . 652363) (-1642 . 652292) (-1643 . 652097) (-1644 . 651891) (-1645 . 651755) (-1646 . 651502) (-1647 . 651424) (-1648 . 651334) (-1649 . 651225) (-1650 . 651127) (-1651 . 650647) (-1652 . 650546) (-1653 . 650487) (-1654 . 650375) (-1655 . 650216) (-1656 . 650068) (-1657 . 649961) (-1658 . 649706) (-1659 . 649608) (-1660 . 649191) (-1661 . 648881) (-1662 . 648786) (-1663 . 648332) (-1664 . 648068) (-1665 . 647964) (-1666 . 645426) (-1667 . 645277) (-1668 . 645139) (-1669 . 644984) (-1670 . 644863) (-1671 . 644829) (-1672 . 644650) (-1673 . 644549) (-1674 . 644395) (-1675 . 644264) (-1676 . 644211) (-1677 . 643932) (-1678 . 643694) (-1679 . 643568) (-1680 . 643470) (-1681 . 643436) (-1682 . 643251) (-1683 . 643201) (-1684 . 643030) (-1685 . 642975) (-1686 . 642909) (-1687 . 642857) (-1688 . 639916) (-1689 . 639795) (-1690 . 639451) (-1691 . 639210) (-1692 . 638380) (-1693 . 638259) (-1694 . 638158) (-1695 . 638055) (-1696 . 638002) (-1697 . 637943) (-1698 . 637841) (-1699 . 637783) (-1700 . 637266) (-1701 . 637152) (-1702 . 637018) (-1703 . 636944) (-1704 . 636713) (-1705 . 636196) (-1706 . 636060) (-1707 . 635958) (-1708 . 635687) (-1709 . 635621) (-1710 . 635512) (-1711 . 635246) (-1712 . 635153) (-1713 . 635075) (-1714 . 634965) (-1715 . 634641) (-1716 . 634522) (-1717 . 634326) (-1718 . 634253) (-1719 . 632988) (-1720 . 632907) (-1721 . 632873) (-1722 . 632664) (-1723 . 632591) (-1724 . 632541) (-1725 . 632393) (-1726 . 632319) (-1727 . 632054) (-1728 . 631786) (-1729 . 631688) (-1730 . 631593) (-1731 . 631204) (-1732 . 630861) (-1733 . 630679) (-1734 . 630569) (-1735 . 630351) (-1736 . 630276) (-1737 . 630205) (-1738 . 629980) (-1739 . 629949) (-1740 . 629859) (-1741 . 628004) (-1742 . 627883) (-1743 . 627806) (-1744 . 627736) (-1745 . 627588) (-1746 . 627556) (-1747 . 627507) (-1748 . 627390) (-1749 . 627082) (-1750 . 627004) (-1751 . 626439) (-1752 . 626318) (-1753 . 626262) (-1754 . 625888) (-1755 . 625706) (-1756 . 625519) (-1757 . 625446) (-1758 . 625321) (-1759 . 625223) (-1760 . 625075) (-1761 . 625022) (-1762 . 624930) (-1763 . 624817) (-1764 . 624716) (-1765 . 624659) (-1766 . 624440) (-1767 . 624269) (-1768 . 624196) (-1769 . 624002) (-1770 . 623859) (-1771 . 623804) (-1772 . 623752) (-1773 . 623676) (-1774 . 623402) (-1775 . 623212) (-1776 . 623163) (-1777 . 623028) (-1778 . 622960) (-1779 . 622835) (-1780 . 622713) (-1781 . 622617) (-1782 . 621566) (-1783 . 620447) (-1784 . 620388) (-1785 . 620332) (-1786 . 619913) (-1787 . 619722) (-1788 . 619670) (-1789 . 619283) (-1790 . 619210) (-1791 . 619139) (-1792 . 619037) (-1793 . 618984) (-1794 . 618947) (-1795 . 618871) (-1796 . 618775) (-1797 . 618453) (-1798 . 618380) (-1799 . 618291) (-1800 . 616165) (-1801 . 616105) (-1802 . 615965) (-1803 . 615861) (-1804 . 615812) (-1805 . 615727) (-1806 . 615634) (-1807 . 615328) (-1808 . 615041) (-1809 . 614988) (-1810 . 614785) (-1811 . 614686) (-1812 . 614350) (-1813 . 614285) (-1814 . 614224) (-1815 . 613851) (-1816 . 612923) (-1817 . 612358) (-1818 . 612241) (-1819 . 612170) (-1820 . 612086) (-1821 . 611937) (-1822 . 611727) (-1823 . 611623) (-1824 . 611554) (-1825 . 611501) (-1826 . 611473) (-1827 . 611325) (-1828 . 611225) (-1829 . 611109) (-1830 . 610710) (-1831 . 610493) (-1832 . 610250) (-1833 . 610125) (-1834 . 609963) (-1835 . 609867) (-1836 . 609286) (-1837 . 609213) (-1838 . 609124) (-1839 . 609096) (-1840 . 609008) (-1841 . 608953) (-1842 . 608868) (-1843 . 608790) (-1844 . 608090) (-1845 . 607787) (-1846 . 607687) (-1847 . 607613) (-1848 . 607398) (-1849 . 607279) (-1850 . 607010) (-1851 . 606958) (-1852 . 606633) (-1853 . 606531) (-1854 . 606442) (-1855 . 606390) (-1856 . 606274) (-1857 . 606200) (-1858 . 606145) (-1859 . 605338) (-1860 . 605239) (-1861 . 604999) (-1862 . 604706) (-1863 . 604599) (-1864 . 604517) (-1865 . 604370) (-1866 . 604235) (-1867 . 604112) (-1868 . 604041) (-1869 . 603933) (-1870 . 603808) (-1871 . 603557) (-1872 . 603494) (-1873 . 603139) (-1874 . 602932) (-1875 . 602667) (-1876 . 602515) (-1877 . 602384) (-1878 . 602326) (-1879 . 602196) (-1880 . 602060) (-1881 . 601319) (-1882 . 601263) (-1883 . 601087) (-1884 . 600991) (-1885 . 600866) (-1886 . 600783) (-1887 . 600563) (-1888 . 600459) (-1889 . 600279) (-1890 . 600208) (-1891 . 600057) (-1892 . 599680) (-1893 . 599522) (-1894 . 599302) (-1895 . 599086) (-1896 . 599016) (-1897 . 598935) (-1898 . 597788) (-1899 . 597203) (-1900 . 596938) (-1901 . 596845) (-1902 . 596588) (-1903 . 596505) (-1904 . 596382) (-1905 . 596194) (-1906 . 595998) (-1907 . 595852) (-1908 . 595523) (-1909 . 595415) (-1910 . 595323) (-1911 . 594824) (-1912 . 594425) (-1913 . 594172) (-1914 . 594070) (-1915 . 593902) (-1916 . 593819) (-1917 . 593736) (-1918 . 593638) (-1919 . 593571) (-1920 . 592860) (-1921 . 592745) (-1922 . 592583) (-1923 . 592511) (-1924 . 591950) (-1925 . 591450) (-1926 . 591316) (-1927 . 591243) (-1928 . 591125) (-1929 . 590963) (-1930 . 590861) (-1931 . 590777) (-1932 . 590638) (-1933 . 590465) (-1934 . 589646) (-1935 . 589540) (-1936 . 588914) (-1937 . 588698) (-1938 . 588629) (-1939 . 588516) (-1940 . 588330) (-1941 . 588115) (-1942 . 587992) (-1943 . 587453) (-1944 . 587425) (-1945 . 587292) (-1946 . 587240) (-1947 . 587074) (-1948 . 586899) (-1949 . 586202) (-1950 . 585473) (-1951 . 585380) (-1952 . 585238) (-1953 . 585119) (-1954 . 584985) (-1955 . 584614) (-1956 . 584412) (-1957 . 584381) (-1958 . 584300) (-1959 . 584192) (-1960 . 583872) (-1961 . 583597) (-1962 . 583509) (-1963 . 583420) (-1964 . 583313) (-1965 . 583187) (-1966 . 583113) (-1967 . 582899) (-1968 . 582775) (-1969 . 582339) (-1970 . 582232) (-1971 . 582097) (-1972 . 581943) (-1973 . 581794) (-1974 . 581671) (-1975 . 581619) (-1976 . 581545) (-1977 . 581444) (-1978 . 581362) (-1979 . 580788) (-1980 . 580672) (-1981 . 580244) (-1982 . 580191) (-1983 . 580068) (-1984 . 579989) (-1985 . 579915) (-1986 . 579887) (-1987 . 579754) (-1988 . 579600) (-1989 . 579422) (-1990 . 579214) (-1991 . 579137) (-1992 . 579021) (-1993 . 578968) (-1994 . 578898) (-1995 . 578721) (-1996 . 577947) (-1997 . 577803) (-1998 . 577703) (-1999 . 577622) (-2000 . 577468) (-2001 . 577272) (-2002 . 577213) (-2003 . 577156) (-2004 . 577105) (-2005 . 576980) (-2006 . 576928) (-2007 . 576527) (-2008 . 576267) (-2009 . 576046) (-2010 . 575993) (-2011 . 575869) (-2012 . 575806) (-2013 . 575329) (-2014 . 575067) (-2015 . 574961) (-2016 . 574713) (-2017 . 574355) (-2018 . 574304) (-2019 . 574208) (-2020 . 573975) (-2021 . 573947) (-2022 . 573849) (-2023 . 573636) (-2024 . 573558) (-2025 . 573468) (-2026 . 573416) (-2027 . 573146) (-2028 . 573050) (-2029 . 572916) (-2030 . 572683) (-2031 . 572612) (-2032 . 572489) (-2033 . 572098) (-2034 . 571821) (-2035 . 571105) (-2036 . 571039) (-2037 . 570842) (-2038 . 570090) (-2039 . 570018) (-2040 . 569844) (-2041 . 569778) (-2042 . 569725) (-2043 . 569593) (-2044 . 569522) (-2045 . 569408) (-2046 . 569140) (-2047 . 569031) (-2048 . 568932) (-2049 . 568857) (-2050 . 568619) (-2051 . 568496) (-2052 . 568353) (-2053 . 568303) (-2054 . 568112) (-2055 . 568057) (-2056 . 567934) (-2057 . 567868) (-2058 . 567813) (-2059 . 567597) (-2060 . 567479) (-2061 . 566991) (-2062 . 566728) (-2063 . 566606) (-2064 . 566278) (-2065 . 566223) (-2066 . 566157) (-2067 . 566060) (-2068 . 565923) (-2069 . 565840) (-2070 . 565366) (-2071 . 565096) (-2072 . 564856) (-2073 . 564702) (-2074 . 564650) (-2075 . 564473) (-2076 . 564343) (-2077 . 564137) (-2078 . 564109) (-2079 . 563888) (-2080 . 563753) (-2081 . 563579) (-2082 . 563390) (-2083 . 563273) (-2084 . 563038) (-2085 . 562949) (-2086 . 562755) (-2087 . 562681) (-2088 . 562589) (-2089 . 562483) (-2090 . 562398) (-2091 . 562245) (-2092 . 562146) (-2093 . 562093) (-2094 . 561911) (-2095 . 561346) (-2096 . 561060) (-2097 . 560971) (-2098 . 560883) (-2099 . 560087) (-2100 . 559765) (-2101 . 559681) (-2102 . 559628) (-2103 . 559334) (-2104 . 559241) (-2105 . 555804) (-2106 . 555700) (-2107 . 555625) (-2108 . 555492) (-2109 . 555371) (-2110 . 555219) (-2111 . 555099) (-2112 . 554897) (-2113 . 554746) (-2114 . 554550) (-2115 . 554476) (-2116 . 554170) (-2117 . 553971) (-2118 . 553905) (-2119 . 553797) (-2120 . 553748) (-2121 . 553674) (-2122 . 553484) (-2123 . 553456) (-2124 . 553136) (-2125 . 553075) (-2126 . 552978) (-2127 . 552762) (-2128 . 552584) (-2129 . 552553) (-2130 . 552470) (-2131 . 552164) (-2132 . 551978) (-2133 . 551480) (-2134 . 551187) (-2135 . 551099) (-2136 . 550985) (-2137 . 550833) (-2138 . 550573) (-2139 . 550406) (-2140 . 550103) (-2141 . 550075) (-2142 . 549951) (-2143 . 549818) (-2144 . 549693) (-2145 . 549633) (-2146 . 549562) (-2147 . 549492) (-2148 . 549411) (-2149 . 548453) (-2150 . 548091) (-2151 . 548036) (-2152 . 547715) (-2153 . 547678) (-2154 . 547569) (-2155 . 547306) (-2156 . 547225) (-2157 . 546920) (-2158 . 546846) (-2159 . 546787) (-2160 . 546711) (-2161 . 546661) (-2162 . 546572) (-2163 . 546520) (-2164 . 546213) (-2165 . 545835) (-2166 . 545766) (-2167 . 545392) (-2168 . 545244) (-2169 . 545128) (-2170 . 544859) (-2171 . 544753) (-2172 . 544661) (-2173 . 544563) (-2174 . 544438) (-2175 . 544271) (-2176 . 544165) (-2177 . 544087) (-2178 . 543937) (-2179 . 543743) (-2180 . 543651) (-2181 . 543472) (-2182 . 543244) (-2183 . 543169) (-2184 . 542952) (-2185 . 541994) (-2186 . 541781) (-2187 . 541681) (-2188 . 541598) (-2189 . 541327) (-2190 . 540362) (-2191 . 540225) (-2192 . 540166) (-2193 . 540100) (-2194 . 539481) (-2195 . 539392) (-2196 . 539290) (-2197 . 539220) (-2198 . 539109) (-2199 . 538698) (-2200 . 538579) (-2201 . 538430) (-2202 . 538064) (-2203 . 537947) (-2204 . 537810) (-2205 . 537754) (-2206 . 537665) (-2207 . 537543) (-2208 . 537450) (-2209 . 537351) (-2210 . 537320) (-2211 . 530650) (-2212 . 530068) (-2213 . 529955) (-2214 . 529769) (-2215 . 529631) (-2216 . 529575) (-2217 . 529230) (-2218 . 529109) (-2219 . 529036) (-2220 . 528938) (-2221 . 528864) (-2222 . 528744) (-2223 . 528673) (-2224 . 528365) (-2225 . 528182) (-2226 . 528064) (-2227 . 527755) (-2228 . 527595) (-2229 . 527473) (-2230 . 527376) (-2231 . 527193) (-2232 . 527062) (-2233 . 526970) (-2234 . 526792) (-2235 . 526636) (-2236 . 526605) (-2237 . 526370) (-2238 . 526300) (-2239 . 525947) (-2240 . 525864) (-2241 . 525506) (-2242 . 525410) (-2243 . 525213) (-2244 . 525120) (-2245 . 524838) (-2246 . 524650) (-2247 . 524553) (-2248 . 523782) (-2249 . 523671) (-2250 . 523153) (-2251 . 522483) (-2252 . 522381) (-2253 . 521890) (-2254 . 521839) (-2255 . 521764) (-2256 . 521625) (-2257 . 521373) (-2258 . 520722) (-2259 . 520595) (-2260 . 520521) (-2261 . 519765) (-2262 . 519343) (-2263 . 519151) (-2264 . 519052) (-2265 . 518975) (-2266 . 518813) (-2267 . 518716) (-2268 . 518346) (-2269 . 514481) (-2270 . 514400) (-2271 . 514226) (-2272 . 514104) (-2273 . 513907) (-2274 . 513600) (-2275 . 511365) (-2276 . 511150) (-2277 . 511098) (-2278 . 511043) (-2279 . 510845) (-2280 . 510632) (-2281 . 510558) (-2282 . 510325) (-2283 . 509987) (-2284 . 509931) (-2285 . 509526) (-2286 . 509418) (-2287 . 509260) (-2288 . 509146) (-2289 . 508908) (-2290 . 508649) (-2291 . 508383) (-2292 . 508176) (-2293 . 507826) (-2294 . 507745) (-2295 . 507617) (-2296 . 507462) (-2297 . 507413) (-2298 . 507312) (-2299 . 507254) (-2300 . 507116) (-2301 . 506997) (-2302 . 506845) (-2303 . 506182) (-2304 . 506082) (-2305 . 505963) (-2306 . 505893) (-2307 . 505746) (-2308 . 505659) (-2309 . 505433) (-2310 . 505315) (-2311 . 505099) (-2312 . 505011) (-2313 . 504816) (-2314 . 504645) (-2315 . 504398) (-2316 . 504296) (-2317 . 504126) (-2318 . 503892) (-2319 . 503839) (-2320 . 503749) (-2321 . 503663) (-2322 . 503492) (-2323 . 503419) (-2324 . 503288) (-2325 . 503207) (-2326 . 501068) (-2327 . 500800) (-2328 . 500725) (-2329 . 500426) (-2330 . 499493) (-2331 . 499310) (-2332 . 499251) (-2333 . 498923) (-2334 . 498821) (-2335 . 498746) (-2336 . 498607) (-2337 . 498455) (-2338 . 498389) (-2339 . 498292) (-2340 . 498213) (-2341 . 498032) (-2342 . 497674) (-2343 . 497410) (-2344 . 497276) (-2345 . 497224) (-2346 . 497133) (-2347 . 496847) (-2348 . 496734) (-2349 . 496675) (-2350 . 496215) (-2351 . 495960) (-2352 . 495772) (-2353 . 495619) (-2354 . 495549) (-2355 . 495499) (-2356 . 495407) (-2357 . 494755) (-2358 . 494208) (-2359 . 493787) (-2360 . 493552) (-2361 . 493416) (-2362 . 492876) (-2363 . 492330) (-2364 . 492164) (-2365 . 492030) (-2366 . 491765) (-2367 . 491367) (-2368 . 490821) (-2369 . 490651) (-2370 . 490479) (-2371 . 490394) (-2372 . 490142) (-2373 . 489596) (-2374 . 489540) (-2375 . 489172) (-2376 . 488974) (-2377 . 488670) (-2378 . 488020) (-2379 . 487155) (-2380 . 486996) (-2381 . 486916) (-2382 . 486702) (-2383 . 486052) (-2384 . 486000) (-2385 . 485823) (-2386 . 485698) (-2387 . 485558) (-2388 . 484846) (-2389 . 484642) (-2390 . 484540) (-2391 . 484450) (-2392 . 484267) (-2393 . 483723) (-2394 . 483503) (-2395 . 481824) (-2396 . 481738) (-2397 . 481567) (-2398 . 481511) (-2399 . 480967) (-2400 . 480885) (-2401 . 480811) (-2402 . 480739) (-2403 . 480588) (-2404 . 480381) (-2405 . 479837) (-2406 . 479758) (-2407 . 479654) (-2408 . 479446) (-2409 . 479348) (-2410 . 478160) (-2411 . 476022) (-2412 . 475371) (-2413 . 474961) (-2414 . 474799) (-2415 . 474711) (-2416 . 474613) (-2417 . 474546) (-2418 . 473895) (-2419 . 473675) (-2420 . 472076) (-2421 . 471988) (-2422 . 471893) (-2423 . 471807) (-2424 . 471696) (-2425 . 471045) (-2426 . 470869) (-2427 . 470838) (-2428 . 470684) (-2429 . 470589) (-2430 . 470512) (-2431 . 470437) (-2432 . 469892) (-2433 . 469773) (-2434 . 469669) (-2435 . 469490) (-2436 . 469364) (-2437 . 469245) (-2438 . 468700) (-2439 . 468357) (-2440 . 468033) (-2441 . 467968) (-2442 . 467845) (-2443 . 467781) (-2444 . 467236) (-2445 . 467155) (-2446 . 466984) (-2447 . 466888) (-2448 . 466768) (-2449 . 466659) (-2450 . 466115) (-2451 . 466063) (-2452 . 465539) (-2453 . 465373) (-2454 . 465253) (-2455 . 465135) (-2456 . 464591) (-2457 . 464501) (-2458 . 464449) (-2459 . 464322) (-2460 . 464221) (-2461 . 464192) (-2462 . 464101) (-2463 . 463557) (-2464 . 463433) (-2465 . 463316) (-2466 . 463198) (-2467 . 463100) (-2468 . 463026) (-2469 . 462482) (-2470 . 462370) (-2471 . 462086) (-2472 . 462012) (-2473 . 461917) (-2474 . 461862) (-2475 . 461318) (-2476 . 460400) (-2477 . 460326) (-2478 . 460255) (-2479 . 460160) (-2480 . 459925) (-2481 . 459894) (-2482 . 459801) (-2483 . 459749) (-2484 . 459617) (-2485 . 459536) (-2486 . 459388) (-2487 . 459322) (-2488 . 459048) (-2489 . 458982) (-2490 . 458850) (-2491 . 458670) (-2492 . 458522) (-2493 . 458424) (-2494 . 458374) (-2495 . 458245) (-2496 . 458160) (-2497 . 457928) (-2498 . 457727) (-2499 . 457621) (-2500 . 457568) (-2501 . 457483) (-2502 . 457370) (-2503 . 456976) (-2504 . 456902) (-2505 . 456847) (-2506 . 456761) (-2507 . 456708) (-2508 . 456623) (-2509 . 455837) (-2510 . 455763) (-2511 . 455662) (-2512 . 455553) (-2513 . 455412) (-2514 . 455327) (-2515 . 455083) (-2516 . 455009) (-2517 . 454922) (-2518 . 454749) (-2519 . 454082) (-2520 . 453997) (-2521 . 453862) (-2522 . 453495) (-2523 . 453402) (-2524 . 453302) (-2525 . 453100) (-2526 . 453015) (-2527 . 452948) (-2528 . 452747) (-2529 . 452391) (-2530 . 452173) (-2531 . 452121) (-2532 . 452036) (-2533 . 451879) (-2534 . 451237) (-2535 . 451146) (-2536 . 451065) (-2537 . 450926) (-2538 . 450564) (-2539 . 450479) (-2540 . 450415) (-2541 . 450364) (-2542 . 450277) (-2543 . 450063) (-2544 . 449978) (-2545 . 449869) (-2546 . 448769) (-2547 . 447964) (-2548 . 447826) (-2549 . 447508) (-2550 . 447423) (-2551 . 447283) (-2552 . 447195) (-2553 . 447066) (-2554 . 446768) (-2555 . 446677) (-2556 . 446526) (-2557 . 446339) (-2558 . 446039) (-2559 . 445851) (-2560 . 445767) (-2561 . 445682) (-2562 . 445465) (-2563 . 444742) (-2564 . 443691) (-2565 . 443608) (-2566 . 443336) (-2567 . 443251) (-2568 . 443132) (-2569 . 443000) (-2570 . 442578) (-2571 . 442341) (-2572 . 442256) (-2573 . 442142) (-2574 . 442017) (-2575 . 441967) (-2576 . 441863) (-2577 . 441630) (-2578 . 441545) (-2579 . 441517) (-2580 . 441427) (-2581 . 441345) (-2582 . 441290) (-2583 . 441205) (-2584 . 441123) (-2585 . 440835) (-2586 . 440590) (-2587 . 440451) (-2588 . 440268) (-2589 . 440176) (-2590 . 440123) (-2591 . 440054) (-2592 . 439999) (-2593 . 439691) (-2594 . 439618) (-2595 . 439195) (-2596 . 439101) (-2597 . 438969) (-2598 . 438869) (-2599 . 438630) (-2600 . 438502) (-2601 . 438411) (-2602 . 438305) (-2603 . 438137) (-2604 . 438069) (-2605 . 437976) (-2606 . 437885) (-2607 . 437791) (-2608 . 437725) (-2609 . 437453) (-2610 . 437400) (-2611 . 437062) (-2612 . 436974) (-2613 . 436759) (-2614 . 436636) (-2615 . 436231) (-2616 . 436157) (-2617 . 436006) (-2618 . 435800) (-2619 . 435715) (-2620 . 435640) (-2621 . 435558) (-2622 . 435360) (-2623 . 435233) (-2624 . 435095) (-2625 . 434727) (-2626 . 434556) (-2627 . 434481) (-2628 . 434412) (-2629 . 434297) (-2630 . 432951) (-2631 . 431769) (-2632 . 431684) (-2633 . 431573) (-2634 . 431482) (-2635 . 431399) (-2636 . 431333) (-2637 . 431299) (-2638 . 431143) (-2639 . 431068) (-2640 . 430789) (-2641 . 430698) (-2642 . 430378) (-2643 . 430329) (-2644 . 430143) (-2645 . 430058) (-2646 . 429102) (-2647 . 429017) (-2648 . 428696) (-2649 . 428623) (-2650 . 428547) (-2651 . 428385) (-2652 . 428119) (-2653 . 428047) (-2654 . 427958) (-2655 . 427776) (-2656 . 427691) (-2657 . 427612) (-2658 . 427522) (-2659 . 427324) (-2660 . 427221) (-2661 . 427062) (-2662 . 426991) (-2663 . 426746) (-2664 . 426644) (-2665 . 426519) (-2666 . 426362) (-2667 . 426247) (-2668 . 426038) (-2669 . 425955) (-2670 . 425927) (-2671 . 425742) (-2672 . 425391) (-2673 . 425273) (-2674 . 425199) (-2675 . 425171) (-2676 . 425100) (-2677 . 425015) (-2678 . 424534) (-2679 . 424443) (-2680 . 423847) (-2681 . 423795) (-2682 . 423638) (-2683 . 423572) (-2684 . 423482) (-2685 . 423403) (-2686 . 423318) (-2687 . 418462) (-2688 . 418322) (-2689 . 418222) (-2690 . 418173) (-2691 . 418076) (-2692 . 417919) (-2693 . 417847) (-2694 . 413461) (-2695 . 413410) (-2696 . 413358) (-2697 . 413327) (-2698 . 413195) (-2699 . 413164) (-2700 . 413112) (-2701 . 413035) (-2702 . 412963) (-2703 . 412801) (-2704 . 412665) (-2705 . 412533) (-2706 . 412505) (-2707 . 412336) (-2708 . 412236) (-2709 . 412097) (-2710 . 412012) (-2711 . 411959) (-2712 . 411891) (-2713 . 411821) (-2714 . 411768) (-2715 . 411683) (-2716 . 411481) (-2717 . 411379) (-2718 . 411272) (-2719 . 411165) (-2720 . 411080) (-2721 . 410754) (-2722 . 410636) (-2723 . 410437) (-2724 . 410352) (-2725 . 410159) (-2726 . 410078) (-2727 . 409997) (-2728 . 409850) (-2729 . 409656) (-2730 . 409539) (-2731 . 409469) (-2732 . 409354) (-2733 . 408935) (-2734 . 408794) (-2735 . 408632) (-2736 . 408564) (-2737 . 408512) (-2738 . 408455) (-2739 . 408194) (-2740 . 408124) (-2741 . 407879) (-2742 . 407851) (-2743 . 407747) (-2744 . 407597) (-2745 . 407413) (-2746 . 407302) (-2747 . 407188) (-2748 . 407105) (-2749 . 406980) (-2750 . 406912) (-2751 . 406782) (-2752 . 406248) (-2753 . 406146) (-2754 . 406042) (-2755 . 405969) (-2756 . 405880) (-2757 . 405831) (-2758 . 405699) (-2759 . 405565) (-2760 . 405497) (-2761 . 405016) (-2762 . 404744) (-2763 . 404640) (-2764 . 404492) (-2765 . 404283) (-2766 . 404189) (-2767 . 403160) (-2768 . 403059) (-2769 . 402926) (-2770 . 402829) (-2771 . 402631) (-2772 . 402582) (-2773 . 402478) (-2774 . 402316) (-2775 . 402245) (-2776 . 401897) (-2777 . 401618) (-2778 . 400721) (-2779 . 400620) (-2780 . 400399) (-2781 . 400134) (-2782 . 400012) (-2783 . 399947) (-2784 . 399798) (-2785 . 399681) (-2786 . 399529) (-2787 . 399369) (-2788 . 399252) (-2789 . 399094) (-2790 . 398809) (-2791 . 398743) (-2792 . 398467) (-2793 . 397616) (-2794 . 397543) (-2795 . 397385) (-2796 . 396168) (-2797 . 396092) (-2798 . 395912) (-2799 . 395743) (-2800 . 395643) (-2801 . 395523) (-2802 . 395471) (-2803 . 395176) (-2804 . 394766) (-2805 . 394700) (-2806 . 394606) (-2807 . 394055) (-2808 . 393905) (-2809 . 393783) (-2810 . 393693) (-2811 . 393089) (-2812 . 393029) (-2813 . 391898) (-2814 . 391805) (-2815 . 391665) (-2816 . 391567) (-2817 . 391538) (-2818 . 391392) (-2819 . 390924) (-2820 . 390870) (-2821 . 390633) (-2822 . 390515) (-2823 . 386837) (-2824 . 386741) (-2825 . 386666) (-2826 . 386616) (-2827 . 386318) (-2828 . 385758) (-2829 . 385730) (-2830 . 385473) (-2831 . 385390) (-2832 . 385315) (-2833 . 385039) (-2834 . 384008) (-2835 . 383930) (-2836 . 383791) (-2837 . 383708) (-2838 . 383648) (-2839 . 383088) (-2840 . 382803) (-2841 . 382267) (-2842 . 382211) (-2843 . 382084) (-2844 . 381726) (-2845 . 381574) (-2846 . 381465) (-2847 . 381391) (-2848 . 381242) (-2849 . 380755) (-2850 . 380683) (-2851 . 380600) (-2852 . 380448) (-2853 . 380118) (-2854 . 380009) (-2855 . 379936) (-2856 . 379778) (-2857 . 379700) (-2858 . 379647) (-2859 . 379494) (-2860 . 379296) (-2861 . 379201) (-2862 . 379130) (-2863 . 378960) (-2864 . 378853) (-2865 . 378775) (-2866 . 378587) (-2867 . 378012) (-2868 . 377939) (-2869 . 377887) (-2870 . 377809) (-2871 . 377568) (-2872 . 377384) (-2873 . 377276) (-2874 . 377163) (-2875 . 376924) (-2876 . 376752) (-2877 . 375757) (-2878 . 375121) (-2879 . 374997) (-2880 . 374569) (-2881 . 373897) (-2882 . 373748) (-2883 . 373639) (-2884 . 373160) (-2885 . 373083) (-2886 . 372917) (-2887 . 372634) (-2888 . 372388) (-2889 . 372269) (-2890 . 372160) (-2891 . 372108) (-2892 . 372037) (-2893 . 371783) (-2894 . 367876) (-2895 . 367795) (-2896 . 367178) (-2897 . 367076) (-2898 . 366884) (-2899 . 366699) (-2900 . 366641) (-2901 . 366575) (-2902 . 366318) (-2903 . 366083) (-2904 . 365950) (-2905 . 365900) (-2906 . 365502) (-2907 . 365217) (-2908 . 365086) (-2909 . 365019) (-2910 . 364907) (-2911 . 364879) (-2912 . 364335) (-2913 . 364191) (-2914 . 364131) (-2915 . 364057) (-2916 . 363454) (-2917 . 363175) (-2918 . 359268) (-2919 . 358693) (-2920 . 358493) (-2921 . 358341) (-2922 . 358283) (-2923 . 358151) (-2924 . 358070) (-2925 . 358017) (-2926 . 357962) (-2927 . 357881) (-2928 . 357549) (-2929 . 357442) (-2930 . 357376) (-2931 . 357323) (-2932 . 357206) (-2933 . 356608) (-2934 . 356537) (-2935 . 356470) (-2936 . 356317) (-2937 . 356265) (-2938 . 356183) (-2939 . 355627) (-2940 . 355261) (-2941 . 355116) (-2942 . 353789) (-2943 . 351358) (-2944 . 351330) (-2945 . 350422) (-2946 . 350103) (-2947 . 349985) (-2948 . 349900) (-2949 . 349688) (-2950 . 349322) (-2951 . 349173) (-2952 . 349091) (-2953 . 348870) (-2954 . 348761) (-2955 . 348558) (-2956 . 346419) (-2957 . 346199) (-2958 . 346028) (-2959 . 345955) (-2960 . 345756) (-2961 . 345556) (-2962 . 345475) (-2963 . 345401) (-2964 . 341494) (-2965 . 341391) (-2966 . 341305) (-2967 . 341220) (-2968 . 341102) (-2969 . 340960) (-2970 . 340599) (-2971 . 340499) (-2972 . 339806) (-2973 . 339593) (-2974 . 339496) (-2975 . 339356) (-2976 . 339018) (-2977 . 338947) (-2978 . 338913) (-2979 . 338840) (-2980 . 338750) (-2981 . 338667) (-2982 . 338611) (-2983 . 338300) (-2984 . 338222) (-2985 . 338132) (-2986 . 337998) (-2987 . 337496) (-2988 . 337339) (-2989 . 337286) (-2990 . 337234) (-2991 . 337176) (-2992 . 337069) (-2993 . 336953) (-2994 . 336815) (-2995 . 336727) (-2996 . 336550) (-2997 . 334541) (-2998 . 334488) (-2999 . 334432) (-3000 . 334284) (-3001 . 333218) (-3002 . 333150) (-3003 . 333057) (-3004 . 332834) (-3005 . 332764) (-3006 . 326245) (-3007 . 326167) (-3008 . 326054) (-3009 . 325961) (-3010 . 325799) (-3011 . 325666) (-3012 . 325583) (-3013 . 325417) (-3014 . 325311) (-3015 . 325282) (-3016 . 325128) (-3017 . 325047) (-3018 . 324856) (-3019 . 324163) (-3020 . 324111) (-3021 . 323972) (-3022 . 323770) (-3023 . 323585) (-3024 . 323314) (-3025 . 323185) (-3026 . 316810) (-3027 . 316543) (-3028 . 316398) (-3029 . 316241) (-3030 . 316115) (-3031 . 315791) (-3032 . 315692) (-3033 . 315487) (-3034 . 315321) (-3035 . 315207) (-3036 . 315149) (-3037 . 315060) (-3038 . 314971) (-3039 . 314867) (-3040 . 314495) (-3041 . 314405) (-3042 . 314308) (-3043 . 314130) (-3044 . 314064) (-3045 . 313931) (-3046 . 313827) (-3047 . 313321) (-3048 . 313238) (-3049 . 313080) (-3050 . 312947) (-3051 . 312615) (-3052 . 312563) (-3053 . 312438) (-3054 . 312174) (-3055 . 311857) (-3056 . 311750) (-3057 . 309639) (-3058 . 309492) (-3059 . 309120) (-3060 . 308682) (-3061 . 308324) (-3062 . 308048) (-3063 . 307762) (-3064 . 307710) (-3065 . 307682) (-3066 . 307516) (-3067 . 307378) (-3068 . 307307) (-3069 . 307026) (-3070 . 306878) (-3071 . 306795) (-3072 . 306688) (-3073 . 306626) (-3074 . 306377) (-3075 . 306134) (-3076 . 306063) (-3077 . 305952) (-3078 . 305749) (-3079 . 305697) (-3080 . 305597) (-3081 . 305499) (-3082 . 305446) (-3083 . 305217) (-3084 . 305149) (-3085 . 305076) (-3086 . 304996) (-3087 . 304897) (-3088 . 304793) (-3089 . 304708) (-3090 . 304659) (-3091 . 304531) (-3092 . 304479) (-3093 . 303642) (-3094 . 303538) (-3095 . 303467) (-3096 . 303430) (-3097 . 303381) (-3098 . 303312) (-3099 . 302982) (-3100 . 302930) (-3101 . 302721) (-3102 . 302558) (-3103 . 302235) (-3104 . 302191) (-3105 . 302119) (-3106 . 301886) (-3107 . 301811) (-3108 . 301777) (-3109 . 301722) (-3110 . 301584) (-3111 . 301506) (-3112 . 300713) (-3113 . 300644) (-3114 . 300537) (-3115 . 300439) (-3116 . 300315) (-3117 . 300260) (-3118 . 300177) (-3119 . 300146) (-3120 . 299840) (-3121 . 299722) (-3122 . 299597) (-3123 . 299344) (-3124 . 299128) (-3125 . 299038) (-3126 . 298945) (-3127 . 298777) (-3128 . 298406) (-3129 . 298279) (-3130 . 297900) (-3131 . 297866) (-3132 . 297800) (-3133 . 297693) (-3134 . 297502) (-3135 . 297449) (-3136 . 297421) (-3137 . 297239) (-3138 . 296730) (-3139 . 296495) (-3140 . 296440) (-3141 . 296288) (-3142 . 295980) (-3143 . 295817) (-3144 . 295710) (-3145 . 295412) (-3146 . 295250) (-3147 . 295119) (-3148 . 295002) (-3149 . 294919) (-3150 . 293710) (-3151 . 293347) (-3152 . 293246) (-3153 . 293149) (-3154 . 292799) (-3155 . 292750) (-3156 . 292387) (-3157 . 292285) (-3158 . 292217) (-3159 . 292126) (-3160 . 292051) (-3161 . 291926) (-3162 . 291852) (-3163 . 291761) (-3164 . 291672) (-3165 . 291534) (-3166 . 291397) (-3167 . 291000) (-3168 . 290966) (-3169 . 290853) (-3170 . 290797) (-3171 . 290694) (-3172 . 290622) (-3173 . 287873) (-3174 . 287150) (-3175 . 287043) (-3176 . 286959) (-3177 . 286826) (-3178 . 286700) (-3179 . 286587) (-3180 . 286414) (-3181 . 286342) (-3182 . 286101) (-3183 . 285735) (-3184 . 285680) (-3185 . 285567) (-3186 . 285427) (-3187 . 285291) (-3188 . 285236) (-3189 . 285184) (-3190 . 285077) (-3191 . 285011) (-3192 . 284873) (-3193 . 284766) (-3194 . 284714) (-3195 . 284540) (-3196 . 284473) (-3197 . 284302) (-3198 . 283359) (-3199 . 283302) (-3200 . 283274) (-3201 . 283136) (-3202 . 283054) (-3203 . 282979) (-3204 . 282529) (-3205 . 282395) (-3206 . 282180) (-3207 . 282131) (-3208 . 281979) (-3209 . 281901) (-3210 . 281363) (-3211 . 281158) (-3212 . 281103) (-3213 . 281051) (-3214 . 280971) (-3215 . 280862) (-3216 . 280724) (-3217 . 280596) (-3218 . 280361) (-3219 . 280255) (-3220 . 280103) (-3221 . 280019) (-3222 . 279908) (-3223 . 279204) (-3224 . 278840) (-3225 . 278785) (-3226 . 278684) (-3227 . 278532) (-3228 . 278357) (-3229 . 278195) (-3230 . 277491) (-3231 . 277346) (-3232 . 277242) (-3233 . 277175) (-3234 . 276038) (-3235 . 275955) (-3236 . 275833) (-3237 . 275781) (-3238 . 275726) (-3239 . 275523) (-3240 . 275442) (-3241 . 275335) (-3242 . 274713) (-3243 . 274615) (-3244 . 274399) (-3245 . 274343) (-3246 . 274216) (-3247 . 274109) (-3248 . 274007) (-3249 . 273694) (-3250 . 273286) (-3251 . 272991) (-3252 . 272893) (-3253 . 272323) (-3254 . 271955) (-3255 . 271722) (-3256 . 271694) (-3257 . 271578) (-3258 . 271474) (-3259 . 271386) (-3260 . 271333) (-3261 . 271209) (-3262 . 271046) (-3263 . 270930) (-3264 . 270463) (-3265 . 268958) (-3266 . 268909) (-3267 . 268707) (-3268 . 268585) (-3269 . 268433) (-3270 . 268316) (-3271 . 268243) (-3272 . 268121) (-3273 . 267969) (-3274 . 267892) (-3275 . 267788) (-3276 . 267717) (-3277 . 267604) (-3278 . 267472) (-3279 . 267420) (-3280 . 267363) (-3281 . 267272) (-3282 . 267104) (-3283 . 266570) (-3284 . 266499) (-3285 . 266194) (-3286 . 265972) (-3287 . 265779) (-3288 . 265601) (-3289 . 265518) (-3290 . 264032) (-3291 . 263948) (-3292 . 263780) (-3293 . 262072) (-3294 . 261983) (-3295 . 261791) (-3296 . 261690) (-3297 . 261512) (-3298 . 261459) (-3299 . 261406) (-3300 . 261098) (-3301 . 260856) (-3302 . 260758) (-3303 . 259946) (-3304 . 259850) (-3305 . 259776) (-3306 . 259669) (-3307 . 259589) (-3308 . 259292) (-3309 . 258510) (-3310 . 258160) (-3311 . 257948) (-3312 . 257855) (-3313 . 257523) (-3314 . 257290) (-3315 . 257160) (-3316 . 256910) (-3317 . 256795) (-3318 . 256701) (-3319 . 256329) (-3320 . 256195) (-3321 . 256001) (-3322 . 255376) (-3323 . 255311) (-3324 . 255142) (-3325 . 254991) (-3326 . 254913) (-3327 . 254670) (-3328 . 254636) (-3329 . 253462) (-3330 . 253324) (-3331 . 253218) (-3332 . 253121) (-3333 . 253026) (-3334 . 252813) (-3335 . 252417) (-3336 . 252308) (-3337 . 252235) (-3338 . 251788) (-3339 . 251645) (-3340 . 251531) (-3341 . 251412) (-3342 . 251109) (-3343 . 250951) (-3344 . 250863) (-3345 . 250661) (-3346 . 250588) (-3347 . 250554) (-3348 . 250476) (-3349 . 250418) (-3350 . 250340) (-3351 . 249920) (-3352 . 249601) (-3353 . 249361) (-3354 . 249048) (-3355 . 249011) (-3356 . 248775) (-3357 . 248716) (-3358 . 248415) (-3359 . 248193) (-3360 . 248119) (-3361 . 247886) (-3362 . 247734) (-3363 . 247648) (-3364 . 247445) (-3365 . 247154) (-3366 . 247085) (-3367 . 246884) (-3368 . 246777) (-3369 . 246743) (-3370 . 246678) (-3371 . 246595) (** . 243542) (-3373 . 243452) (-3374 . 243153) (-3375 . 242310) (-3376 . 242217) (-3377 . 241991) (-3378 . 241847) (-3379 . 241788) (-3380 . 241648) (-3381 . 241569) (-3382 . 241486) (-3383 . 241406) (-3384 . 241292) (-3385 . 240863) (-3386 . 240790) (-3387 . 240738) (-3388 . 240582) (-3389 . 240418) (-3390 . 240276) (-3391 . 240037) (-3392 . 240003) (-3393 . 239894) (-3394 . 239821) (-3395 . 239518) (-3396 . 239369) (-3397 . 238697) (-3398 . 238615) (-3399 . 238521) (-3400 . 237745) (-3401 . 237686) (-3402 . 237188) (-3403 . 237136) (-3404 . 236897) (-3405 . 236869) (-3406 . 235920) (-3407 . 235847) (-3408 . 235738) (-3409 . 235590) (-3410 . 235458) (-3411 . 235392) (-3412 . 235304) (-3413 . 235233) (-3414 . 234861) (-3415 . 234679) (-3416 . 234543) (-3417 . 234446) (-3418 . 234248) (-3419 . 234098) (-3420 . 234022) (-3421 . 233831) (-3422 . 233509) (-3423 . 233453) (-3424 . 232919) (-3425 . 232861) (-3426 . 232795) (-3427 . 232729) (-3428 . 232612) (-3429 . 232581) (-3430 . 232490) (-3431 . 232197) (-3432 . 232105) (-3433 . 231864) (-3434 . 231772) (-3435 . 231667) (-3436 . 231499) (-3437 . 230872) (-3438 . 230656) (-3439 . 230625) (-3440 . 230516) (-3441 . 230411) (-3442 . 230338) (-3443 . 230228) (-3444 . 230162) (-3445 . 230020) (-3446 . 229832) (-3447 . 229728) (-3448 . 229644) (-3449 . 229239) (-3450 . 229120) (-3451 . 229064) (-3452 . 228979) (-3453 . 228409) (-3454 . 228257) (-3455 . 228067) (-3456 . 227987) (-3457 . 227757) (-3458 . 227619) (-3459 . 227538) (-3460 . 227401) (-3461 . 227152) (-3462 . 226993) (-3463 . 226912) (-3464 . 226505) (-3465 . 225832) (-3466 . 225714) (-3467 . 225307) (-3468 . 225239) (-3469 . 225103) (-3470 . 225031) (-3471 . 224921) (-3472 . 224702) (-3473 . 224628) (-3474 . 223925) (-3475 . 223844) (-3476 . 223687) (-3477 . 222733) (-3478 . 222410) (-3479 . 222329) (-3480 . 222247) (-3481 . 222042) (-3482 . 221980) (-3483 . 221868) (-3484 . 220819) (-3485 . 220668) (-3486 . 220592) (-3487 . 220456) (-3488 . 220427) (-3489 . 220272) (-3490 . 220244) (-3491 . 219821) (-3492 . 219768) (-3493 . 219552) (-3494 . 219470) (-3495 . 219281) (-3496 . 219119) (-3497 . 218815) (-3498 . 218751) (-3499 . 218361) (-3500 . 218310) (-3501 . 218194) (-3502 . 217446) (-3503 . 217372) (-3504 . 217159) (-3505 . 217063) (-3506 . 216455) (-3507 . 216232) (-3508 . 216133) (-3509 . 215994) (-3510 . 215801) (-3511 . 215326) (-3512 . 215197) (-3513 . 215087) (-3514 . 214987) (-3515 . 214570) (-3516 . 214499) (-3517 . 214210) (-3518 . 214052) (-3519 . 213797) (-3520 . 213673) (-3521 . 213101) (-3522 . 212983) (-3523 . 212858) (-3524 . 212734) (-3525 . 212678) (-3526 . 212462) (-3527 . 212012) (-3528 . 211547) (-3529 . 211365) (-3530 . 211297) (-3531 . 211132) (-3532 . 210929) (-3533 . 210849) (-3534 . 210777) (-3535 . 210687) (-3536 . 210553) (-3537 . 210501) (-3538 . 210446) (-3539 . 204071) (-3540 . 203613) (-3541 . 203517) (-3542 . 203019) (-3543 . 202921) (-3544 . 202815) (-3545 . 202711) (-3546 . 202589) (-3547 . 202382) (-3548 . 202120) (-3549 . 202014) (-3550 . 201620) (-3551 . 201544) (-3552 . 201456) (-3553 . 201307) (-3554 . 201215) (-3555 . 201001) (-3556 . 200967) (-3557 . 200765) (-3558 . 200414) (-3559 . 200288) (-3560 . 200167) (-3561 . 200049) (-3562 . 199887) (-3563 . 199708) (-3564 . 199617) (-3565 . 199021) (-3566 . 198510) (-3567 . 198425) (-3568 . 198285) (-3569 . 194481) (-3570 . 194276) (-3571 . 194191) (-3572 . 194091) (-3573 . 194037) (-3574 . 193126) (-3575 . 193060) (-3576 . 192958) (-3577 . 192883) (-3578 . 192719) (-3579 . 192538) (-3580 . 192471) (-3581 . 192351) (-3582 . 192188) (-3583 . 192084) (-3584 . 192001) (-3585 . 191933) (-3586 . 191832) (-3587 . 191719) (-3588 . 191653) (-3589 . 191430) (-3590 . 191098) (-3591 . 190989) (-3592 . 190776) (-3593 . 190646) (-3594 . 190444) (-3595 . 190391) (-3596 . 190289) (-3597 . 190132) (-3598 . 190042) (-3599 . 189849) (-3600 . 189678) (-3601 . 189606) (-3602 . 189480) (-3603 . 189399) (-3604 . 189152) (-3605 . 189090) (-3606 . 189039) (-3607 . 188875) (-3608 . 188800) (-3609 . 188748) (-3610 . 188475) (-3611 . 188350) (-3612 . 188256) (-3613 . 187991) (-3614 . 187894) (-3615 . 187709) (-3616 . 187638) (-3617 . 187476) (-3618 . 186972) (-3619 . 186899) (-3620 . 186808) (-3621 . 186700) (-3622 . 186575) (-3623 . 186523) (-3624 . 186336) (-3625 . 186184) (-3626 . 185900) (-3627 . 185333) (-3628 . 184901) (-3629 . 184438) (-3630 . 184380) (-3631 . 180473) (-3632 . 180397) (-3633 . 180324) (-3634 . 180108) (-3635 . 179964) (-3636 . 179853) (-3637 . 179800) (-3638 . 179718) (-3639 . 179481) (-3640 . 179321) (-3641 . 179150) (-3642 . 179060) (-3643 . 178994) (-3644 . 178880) (-3645 . 178371) (-3646 . 178131) (-3647 . 177965) (-3648 . 177937) (-3649 . 177596) (-3650 . 177485) (-3651 . 177367) (-3652 . 177276) (-3653 . 177006) (-3654 . 176767) (-3655 . 176596) (-3656 . 175359) (-3657 . 175240) (-3658 . 175150) (-3659 . 175075) (-3660 . 174956) (-3661 . 174809) (-3662 . 174602) (-3663 . 174482) (-3664 . 174429) (-3665 . 174293) (-3666 . 173987) (-3667 . 170080) (-3668 . 169493) (-3669 . 169412) (-3670 . 169246) (-3671 . 169144) (-3672 . 169092) (-3673 . 168974) (-3674 . 168848) (-3675 . 168670) (-3676 . 168566) (-3677 . 168370) (-3678 . 168233) (-3679 . 168062) (-3680 . 167810) (-3681 . 167719) (-3682 . 167349) (-3683 . 167272) (-3684 . 166981) (-3685 . 166887) (-3686 . 166752) (-3687 . 166656) (-3688 . 166520) (-3689 . 166447) (-3690 . 166097) (-3691 . 166029) (-3692 . 165896) (-3693 . 165843) (-3694 . 165772) (-3695 . 165673) (-3696 . 165590) (-3697 . 165488) (-3698 . 165454) (-3699 . 165218) (-3700 . 165065) (-3701 . 164976) (-3702 . 164874) (-3703 . 164784) (-3704 . 164690) (-3705 . 164432) (-3706 . 164360) (-3707 . 164308) (-3708 . 164109) (-3709 . 164011) (-3710 . 163729) (-3711 . 163595) (-3712 . 163506) (-3713 . 162945) (-3714 . 162697) (-3715 . 162341) (-3716 . 162158) (-3717 . 161823) (-3718 . 161729) (-3719 . 161619) (-3720 . 160924) (-3721 . 160828) (-3722 . 160775) (-3723 . 160480) (-3724 . 160414) (-3725 . 160087) (-3726 . 159961) (-3727 . 159840) (-3728 . 159809) (-3729 . 159586) (-3730 . 159488) (-3731 . 159000) (-3732 . 156569) (-3733 . 156479) (-3734 . 156396) (-3735 . 156284) (-3736 . 155932) (-3737 . 155819) (-3738 . 155717) (-3739 . 155605) (-3740 . 155410) (-3741 . 155318) (-3742 . 155160) (-3743 . 155034) (-3744 . 154618) (-3745 . 154527) (-3746 . 154393) (-3747 . 154340) (-3748 . 154231) (-3749 . 153681) (-3750 . 153632) (-3751 . 153555) (-3752 . 153503) (-3753 . 149596) (-3754 . 149523) (-3755 . 149290) (-3756 . 149089) (-3757 . 148977) (-3758 . 148678) (-3759 . 148289) (-3760 . 148142) (-3761 . 148054) (-3762 . 147807) (-3763 . 147605) (-3764 . 147503) (-3765 . 147359) (-3766 . 147217) (-3767 . 146536) (-3768 . 146193) (-3769 . 146119) (-3770 . 146003) (-3771 . 145841) (-3772 . 145687) (-3773 . 145543) (-3774 . 145401) (-3775 . 142970) (-3776 . 142870) (-3777 . 142693) (-3778 . 142578) (-3779 . 142507) (-3780 . 142313) (-3781 . 142285) (-3782 . 142186) (-3783 . 142009) (-3784 . 141811) (-3785 . 141546) (-3786 . 141358) (-3787 . 141024) (-3788 . 140750) (-3789 . 140602) (-3790 . 140496) (-3791 . 140382) (-3792 . 140081) (-3793 . 139789) (-3794 . 139708) (-3795 . 139597) (-3796 . 139531) (-3797 . 139371) (-3798 . 139220) (-3799 . 139079) (-3800 . 139011) (-3801 . 138930) (-3802 . 138702) (-3803 . 138612) (-3804 . 138438) (-3805 . 138251) (-3806 . 138180) (-3807 . 138124) (-3808 . 137946) (-3809 . 137177) (-3810 . 136699) (-3811 . 136577) (-3812 . 136478) (-3813 . 136289) (-3814 . 136061) (-3815 . 136006) (-3816 . 135710) (-3817 . 135643) (-3818 . 135553) (-3819 . 135253) (-3820 . 135153) (-3821 . 135070) (-3822 . 134966) (-3823 . 134849) (-3824 . 134763) (-3825 . 134241) (-3826 . 134163) (-3827 . 134038) (-3828 . 133985) (-3829 . 133828) (-3830 . 133726) (-3831 . 133584) (-3832 . 133498) (-3833 . 133343) (-3834 . 133257) (-3835 . 133062) (-3836 . 132969) (-3837 . 132664) (-3838 . 132567) (-3839 . 132463) (-3840 . 132031) (-3841 . 131933) (-3842 . 131866) (-3843 . 131744) (-3844 . 131570) (-3845 . 131438) (-3846 . 131035) (-3847 . 129757) (-3848 . 129471) (-3849 . 129340) (-3850 . 129217) (-3851 . 129159) (-3852 . 127938) (-3853 . 127722) (-3854 . 125993) (-3855 . 125551) (-3856 . 125283) (-3857 . 125168) (-3858 . 122882) (-3859 . 122795) (-3860 . 122675) (-3861 . 122503) (-3862 . 122283) (-3863 . 122179) (-3864 . 121694) (-3865 . 121461) (-3866 . 121328) (-3867 . 121089) (-3868 . 120873) (-3869 . 120792) (-3870 . 120496) (-3871 . 120426) (-3872 . 120337) (-3873 . 120098) (-3874 . 119975) (-3875 . 119916) (-3876 . 119850) (-3877 . 119744) (-3878 . 119653) (-3879 . 119601) (-3880 . 119473) (-3881 . 119407) (-3882 . 119285) (-3883 . 119046) (-3884 . 115308) (-3885 . 115221) (-3886 . 114982) (-3887 . 114775) (-3888 . 114698) (-3889 . 114447) (-3890 . 114209) (-3891 . 113839) (-3892 . 113787) (-3893 . 113712) (-3894 . 113616) (-3895 . 113264) (-3896 . 113114) (-3897 . 113033) (-3898 . 112958) (-3899 . 112808) (-3900 . 112735) (-3901 . 112683) (-3902 . 112363) (-3903 . 112277) (-3904 . 111870) (-3905 . 111789) (-3906 . 111637) (-3907 . 111562) (-3908 . 111470) (-3909 . 111353) (-3910 . 111300) (-3911 . 111200) (-3912 . 110792) (-3913 . 110694) (-3914 . 110618) (-3915 . 110544) (-3916 . 110450) (-3917 . 110007) (-3918 . 109554) (-3919 . 109462) (-3920 . 109360) (-3921 . 109119) (-3922 . 108112) (-3923 . 107962) (-3924 . 107839) (-3925 . 107632) (-3926 . 107545) (-3927 . 107395) (-3928 . 107072) (-3929 . 106928) (-3930 . 106689) (-3931 . 106541) (-3932 . 106406) (-3933 . 106033) (-3934 . 105969) (-3935 . 105895) (-3936 . 105812) (-3937 . 105741) (-3938 . 105657) (-3939 . 105542) (-3940 . 105001) (-3941 . 104949) (-3942 . 104834) (-3943 . 104425) (-3944 . 104329) (-3945 . 104141) (-3946 . 104028) (-3947 . 103940) (-3948 . 103825) (-3949 . 103715) (-3950 . 103580) (-3951 . 103374) (-3952 . 103300) (-3953 . 103067) (-3954 . 103015) (-3955 . 102911) (-3956 . 102802) (-3957 . 102532) (-3958 . 101917) (-3959 . 101826) (-3960 . 100609) (-3961 . 100502) (-3962 . 100426) (-3963 . 100357) (-3964 . 100198) (-3965 . 100056) (-3966 . 99858) (-3967 . 99694) (-3968 . 99578) (-3969 . 99476) (-3970 . 99204) (-3971 . 98954) (-3972 . 98782) (-3973 . 98606) (-3974 . 98355) (-3975 . 97839) (-3976 . 97766) (-3977 . 97310) (-3978 . 97108) (-3979 . 97037) (-3980 . 96710) (-3981 . 96632) (-3982 . 96221) (-3983 . 96032) (-3984 . 95973) (-3985 . 95735) (-3986 . 95530) (-3987 . 95203) (-3988 . 95052) (-3989 . 95018) (-3990 . 94834) (-3991 . 94637) (-3992 . 94554) (-3993 . 94417) (-3994 . 94355) (-3995 . 94072) (-3996 . 93884) (-3997 . 93829) (-3998 . 93670) (-3999 . 93595) (-4000 . 93448) (-4001 . 93079) (-4002 . 93005) (-4003 . 92853) (-4004 . 92783) (-4005 . 92477) (-4006 . 92339) (-4007 . 92230) (-4008 . 92043) (-4009 . 91962) (-4010 . 91872) (-4011 . 91758) (-4012 . 91525) (-4013 . 91396) (-4014 . 91126) (-4015 . 91031) (-4016 . 90890) (-4017 . 90675) (-4018 . 90527) (-4019 . 90437) (-4020 . 90311) (-4021 . 89434) (-4022 . 89343) (-4023 . 89196) (-4024 . 89062) (-4025 . 88980) (-4026 . 88697) (-4027 . 87460) (-4028 . 87232) (-4029 . 87094) (-4030 . 87032) (-4031 . 86909) (-4032 . 86828) (-4033 . 86659) (-4034 . 86504) (-4035 . 86395) (-4036 . 86246) (-4037 . 86137) (-4038 . 86062) (-4039 . 85829) (-4040 . 85658) (-4041 . 85336) (-4042 . 84701) (-4043 . 84612) (-4044 . 83401) (-4045 . 83246) (-4046 . 83160) (-4047 . 83083) (-4048 . 83008) (-4049 . 82936) (-4050 . 82884) (-4051 . 78730) (-4052 . 78628) (-4053 . 78463) (-4054 . 78411) (-4055 . 78121) (-4056 . 78042) (-4057 . 77907) (-4058 . 77856) (-4059 . 77659) (-4060 . 77606) (-4061 . 77564) (-4062 . 77456) (-4063 . 77379) (-4064 . 77312) (-4065 . 77150) (-4066 . 77077) (-4067 . 76934) (-4068 . 76822) (-4069 . 76746) (-4070 . 76631) (-4071 . 76548) (-4072 . 76275) (-4073 . 76127) (-4074 . 75958) (-4075 . 75676) (-4076 . 75368) (-4077 . 75216) (-4078 . 75147) (-4079 . 75024) (-4080 . 74783) (-4081 . 74650) (-4082 . 74318) (-4083 . 60540) (-4084 . 60470) (-4085 . 60126) (-4086 . 59884) (-4087 . 59730) (-4088 . 59448) (-4089 . 59087) (-4090 . 59007) (-4091 . 58824) (-4092 . 58772) (-4093 . 58579) (-4094 . 58266) (-4095 . 58166) (-4096 . 56825) (-4097 . 56719) (-4098 . 56620) (-4099 . 56477) (-4100 . 56425) (-4101 . 56117) (-4102 . 56027) (-4103 . 55954) (-4104 . 55922) (-4105 . 55777) (-4106 . 55711) (-4107 . 55616) (-4108 . 55465) (-4109 . 55336) (-4110 . 55234) (-4111 . 55182) (-4112 . 54768) (-4113 . 54565) (-4114 . 54444) (-4115 . 54275) (-4116 . 54124) (-4117 . 53969) (-4118 . 53889) (-4119 . 53708) (-4120 . 53516) (-4121 . 53353) (-4122 . 53322) (-4123 . 53212) (-4124 . 53149) (-4125 . 53093) (-4126 . 52810) (-4127 . 52540) (-4128 . 52386) (-4129 . 52318) (-4130 . 51625) (-4131 . 51518) (-4132 . 51435) (-4133 . 51382) (-4134 . 51330) (-4135 . 51264) (-4136 . 51183) (-4137 . 51003) (-4138 . 50802) (-4139 . 50445) (-4140 . 49893) (-4141 . 49628) (-4142 . 49476) (-4143 . 49301) (-4144 . 49203) (-4145 . 48970) (-4146 . 48866) (-4147 . 48601) (-4148 . 48530) (-4149 . 48446) (-4150 . 48298) (-4151 . 48065) (-4152 . 47706) (-4153 . 47570) (-4154 . 47481) (-4155 . 46983) (-4156 . 46658) (-4157 . 46313) (-4158 . 46224) (-4159 . 46035) (-4160 . 45856) (-4161 . 45732) (-4162 . 45542) (-4163 . 45424) (-4164 . 45272) (-4165 . 45108) (-4166 . 45026) (-4167 . 42991) (-4168 . 42889) (-4169 . 41498) (-4170 . 41436) (-4171 . 41250) (-4172 . 41111) (-4173 . 41045) (-4174 . 40955) (-4175 . 39820) (-4176 . 39599) (-4177 . 39546) (-4178 . 39473) (-4179 . 39316) (-4180 . 38001) (-4181 . 37851) (-4182 . 37770) (-4183 . 37537) (-4184 . 37222) (-4185 . 37151) (-4186 . 31959) (-4187 . 31770) (-4188 . 31679) (-4189 . 31571) (-4190 . 31194) (-4191 . 31005) (-4192 . 30897) (-4193 . 30788) (-4194 . 29827) (-4195 . 29699) (-4196 . 29327) (-4197 . 29166) (-4198 . 28727) (-4199 . 28627) (-4200 . 28568) (-4201 . 28070) (-4202 . 27994) (-4203 . 27895) (-4204 . 27560) (-4205 . 27396) (-4206 . 27318) (-4207 . 27175) (-4208 . 27054) (-4209 . 26646) (-4210 . 26590) (-4211 . 26444) (-4212 . 26392) (-4213 . 26304) (-4214 . 26230) (-4215 . 26065) (-4216 . 25953) (-4217 . 25675) (-4218 . 25577) (-4219 . 25472) (-4220 . 25213) (-4221 . 25134) (-4222 . 25049) (-4223 . 24950) (-4224 . 23413) (-4225 . 23268) (-4226 . 22883) (-4227 . 22754) (-4228 . 22671) (-4229 . 22519) (-4230 . 22076) (-4231 . 21265) (-4232 . 21127) (-4233 . 21099) (-4234 . 20981) (-4235 . 20741) (-4236 . 19531) (-4237 . 19231) (-4238 . 18489) (-4239 . 18418) (-4240 . 18281) (-4241 . 18129) (-4242 . 18038) (-4243 . 17742) (-4244 . 8881) (-4245 . 8726) (-4246 . 8651) (-4247 . 8478) (-4248 . 8298) (-4249 . 8204) (-4250 . 8133) (-4251 . 8039) (-4252 . 7320) (-4253 . 7168) (-4254 . 6724) (-4255 . 6085) (-4256 . 4361) (-4257 . 4236) (-4258 . 4134) (-4259 . 3958) (-4260 . 3905) (-4261 . 3803) (-4262 . 2382) (-4263 . 2299) (-4264 . 2228) (-4265 . 2176) (-4266 . 1832) (-4267 . 1728) (-4268 . 274) (-4269 . 30)) 
\ No newline at end of file
diff --git a/src/share/algebra/users.daase/index.kaf b/src/share/algebra/users.daase/index.kaf
old mode 100755
new mode 100644
index 6efa0b5..6e07b78
--- a/src/share/algebra/users.daase/index.kaf
+++ b/src/share/algebra/users.daase/index.kaf
@@ -1,15 +1,15 @@
-209919              (|FunctionSpaceUnivariatePolynomialFactor| |GenUFactorize| |LinearOrdinaryDifferentialOperatorFactorizer|)
+216586              (|FunctionSpaceUnivariatePolynomialFactor| |GenUFactorize| |LinearOrdinaryDifferentialOperatorFactorizer|)
 (|GenericNonAssociativeAlgebra|)
 (|Expression|)
 (|AlgebraicIntegrate|)
 (|ElementaryIntegration|)
 (|ConstantLODE| |ElementaryFunctionStructurePackage| |Expression| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |GenusZeroIntegration| |InnerAlgebraicNumber| |IntegrationResultToFunction| |TransSolvePackage| |TranscendentalManipulations|)
-(|AlgFactor| |Expression| |FunctionSpaceUnivariatePolynomialFactor| |PolynomialAN2Expression| |SimplifyAlgebraicNumberConvertPackage| |ToolsForSign|)
+(|AlgFactor| |Expression| |FunctionSpaceUnivariatePolynomialFactor| |GuessAlgebraicNumber| |PolynomialAN2Expression| |SimplifyAlgebraicNumberConvertPackage| |ToolsForSign|)
 (|d01TransformFunctionType|)
 (|d03AgentsPackage|)
 (|DeRhamComplex|)
-(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnyFunctions1| |DrawOption| |DrawOptionFunctions1| |ExpertSystemToolsPackage| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |FortranTemplate| |FunctionSpaceAttachPredicates| |GenUFactorize| |GenerateUnivariatePowerSeries| |InputForm| |InputFormFunctions1| |Library| |MakeFloatCompiledFunction| |MakeFunction| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |OpenMathPackage| |OpenMathServerPackage| |OutputPackage| |PartialFractionPackage| |Pattern| |PatternFunctions1| |PatternMatchPushDown| |RadixUtilities| |Result| |RoutinesTable| |TemplateUtilities| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |d01TransformFunctionType| |d01alfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType|)
-(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |DrawOption| |DrawOptionFunctions1| |ExpertSystemToolsPackage| |FunctionSpaceAttachPredicates| |GenUFactorize| |InputFormFunctions1| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |OpenMathServerPackage| |OutputPackage| |Pattern| |PatternFunctions1| |PatternMatchPushDown| |RoutinesTable| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |d01TransformFunctionType| |d01alfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType|)
+(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnyFunctions1| |DrawOption| |DrawOptionFunctions1| |ExpertSystemToolsPackage| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |FortranTemplate| |FunctionSpaceAttachPredicates| |GenUFactorize| |GenerateUnivariatePowerSeries| |GuessOption| |GuessOptionFunctions0| |InputForm| |InputFormFunctions1| |Library| |MakeFloatCompiledFunction| |MakeFunction| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |OpenMathPackage| |OpenMathServerPackage| |OutputPackage| |PartialFractionPackage| |Pattern| |PatternFunctions1| |PatternMatchPushDown| |RadixUtilities| |Result| |RoutinesTable| |TemplateUtilities| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |d01TransformFunctionType| |d01alfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType|)
+(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |DrawOption| |DrawOptionFunctions1| |ExpertSystemToolsPackage| |FunctionSpaceAttachPredicates| |GenUFactorize| |GuessOption| |GuessOptionFunctions0| |InputFormFunctions1| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |OpenMathServerPackage| |OutputPackage| |Pattern| |PatternFunctions1| |PatternMatchPushDown| |RoutinesTable| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |d01TransformFunctionType| |d01alfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType|)
 (|RewriteRule| |Ruleset| |TranscendentalManipulations|)
 (|LinearOrdinaryDifferentialOperator2|)
 (|NagIntegrationPackage| |NagRootFindingPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType|)
@@ -48,24 +48,24 @@
 (|PrimitiveRatDE| |PrimitiveRatRicDE|)
 (|BalancedPAdicRational|)
 (|ExpertSystemContinuityPackage|)
-(|AlgebraicFunction| |AlgebraicManipulations| |AlgebraicNumber| |ApplyRules| |Asp8| |BasicOperatorFunctions1| |CombinatorialFunction| |CommonOperators| |ComplexTrigonometricManipulations| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |Expression| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |FortranExpression| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |InnerAlgebraicNumber| |InnerTrigonometricManipulations| |IntegrationTools| |Kernel| |KernelFunctions2| |LaplaceTransform| |LiouvillianFunction| |ModuleOperator| |NonLinearFirstOrderODESolver| |Operator| |Pattern| |PatternFunctions2| |PatternMatchKernel| |PatternMatchPushDown| |PointsOfFiniteOrder| |PowerSeriesLimitPackage| |Switch| |TranscendentalManipulations| |TrigonometricManipulations| |d01WeightsPackage| |d01anfAnnaType| |d01asfAnnaType|)
-(|AlgebraicFunction| |CombinatorialFunction| |ElementaryFunction| |ExpressionSpace&| |FunctionSpace&| |FunctionalSpecialFunction| |KernelFunctions2| |LiouvillianFunction|)
+(|AlgebraicFunction| |AlgebraicManipulations| |AlgebraicNumber| |ApplyRules| |Asp8| |BasicOperatorFunctions1| |CombinatorialFunction| |CommonOperators| |ComplexTrigonometricManipulations| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |FortranExpression| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |Guess| |InnerAlgebraicNumber| |InnerTrigonometricManipulations| |IntegrationTools| |Kernel| |KernelFunctions2| |LaplaceTransform| |LiouvillianFunction| |ModuleOperator| |MyExpression| |NonLinearFirstOrderODESolver| |Operator| |Pattern| |PatternFunctions2| |PatternMatchKernel| |PatternMatchPushDown| |PointsOfFiniteOrder| |PowerSeriesLimitPackage| |RecurrenceOperator| |Switch| |TranscendentalManipulations| |TrigonometricManipulations| |d01WeightsPackage| |d01anfAnnaType| |d01asfAnnaType|)
+(|AlgebraicFunction| |CombinatorialFunction| |ElementaryFunction| |ExpressionSpace&| |FunctionSpace&| |FunctionalSpecialFunction| |KernelFunctions2| |LiouvillianFunction| |RecurrenceOperator|)
 (|BalancedBinaryTree| |BinarySearchTree| |BinaryTournament|)
 (|SetOfMIntegersInOneToN|)
-(|AbelianMonoid&| |AbelianMonoidRing&| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |AnyFunctions1| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicType&| |BezoutMatrix| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |BitAggregate&| |Bits| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclicStreamTools| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |Dictionary&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |EvaluateCycleIndicators| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemContinuityPackage1| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |FGLMIfCanPackage| |Factored| |FactoredFunctions| |FactoringUtilities| |Field&| |File| |FileName| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteDivisorCategory&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerLinearDependence| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegralDomain&| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KeyedAccessFile| |KeyedDictionary&| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagPolynomialRootsPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |None| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedSet&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PadeApproximantPackage| |PadeApproximants| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternFunctions1| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchListResult| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchSymbol| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalLODE| |RationalRetractions| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SegmentFunctions2| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |TableauxBumpers| |TabulatedComputationPackage| |TaylorSeries| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |UserDefinedPartialOrdering| |Variable| |Vector| |VectorFunctions2| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianMonoid&| |AbelianMonoidRing&| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |AnyFunctions1| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicType&| |BezoutMatrix| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |BitAggregate&| |Bits| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclicStreamTools| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |Dictionary&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |EvaluateCycleIndicators| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemContinuityPackage1| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |FGLMIfCanPackage| |Factored| |FactoredFunctions| |FactoringUtilities| |Field&| |File| |FileName| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteDivisorCategory&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessOption| |GuessOptionFunctions0| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerLinearDependence| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegralDomain&| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KeyedAccessFile| |KeyedDictionary&| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagPolynomialRootsPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |None| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedSet&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PadeApproximantPackage| |PadeApproximants| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternFunctions1| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchListResult| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchSymbol| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SegmentFunctions2| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |TableauxBumpers| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |UserDefinedPartialOrdering| |Variable| |Vector| |VectorFunctions2| |VectorSpaceBasis| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|PrimitiveRatDE| |RationalLODE|)
 (|GaloisGroupFactorizer|)
 (|CliffordAlgebra| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |Equation| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |HomogeneousDirectProduct| |InnerFiniteField| |InnerPrimeField| |OrderedDirectProduct| |PrimeField| |RectangularMatrix| |SplitHomogeneousDirectProduct|)
 (|CartesianTensorFunctions2|)
 (|AlgebraicFunctionField| |AlgebraicIntegration| |PureAlgebraicIntegration| |RadicalFunctionField|)
-(|Character| |CharacterClass| |Float| |FortranTemplate| |IndexedBits| |IndexedString| |LieExponentials| |NumberFormats| |OutputForm| |RadixExpansion| |RecursivePolynomialCategory&| |ScriptFormulaFormat| |String| |StringAggregate&| |Symbol| |TemplateUtilities| |TexFormat| |Tree|)
-(|Character| |IndexedString| |String| |StringAggregate&|)
+(|AxiomServer| |Character| |CharacterClass| |Float| |FortranTemplate| |IndexedBits| |IndexedString| |LieExponentials| |MathMLFormat| |NumberFormats| |OutputForm| |RadixExpansion| |RecursivePolynomialCategory&| |ScriptFormulaFormat| |String| |StringAggregate&| |Symbol| |TemplateUtilities| |TexFormat| |Tree|)
+(|Character| |IndexedString| |MathMLFormat| |String| |StringAggregate&|)
 (|MonogenicAlgebra&|)
 (|PAdicWildFunctionFieldIntegralBasis|)
 (|FramedNonAssociativeAlgebra&| |GenericNonAssociativeAlgebra|)
 (|GraphImage| |Palette| |ThreeDimensionalViewport| |TwoDimensionalViewport| |ViewDefaultsPackage|)
 (|Expression|)
-(|FractionalIdeal| |PAdicWildFunctionFieldIntegralBasis| |UnivariatePolynomialCommonDenominator|)
+(|FractionFreeFastGaussianFractions| |FractionalIdeal| |PAdicWildFunctionFieldIntegralBasis| |UnivariatePolynomialCommonDenominator|)
 (|AlgebraicFunction| |CombinatorialFunction| |ElementaryFunction| |ExpressionSpace&| |FunctionSpace&| |FunctionalSpecialFunction| |LiouvillianFunction|)
 (|FreeNilpotentLie|)
 (|DoubleResultantPackage| |InnerAlgFactor| |InnerAlgebraicNumber| |PolynomialFactorizationByRecursion| |TranscendentalIntegration| |TwoFactorize|)
@@ -91,7 +91,7 @@
 (|TopLevelDrawFunctions|)
 (|ChineseRemainderToolsForIntegralBases| |FiniteFieldCategory&| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |GenUFactorize| |IrredPolyOverFiniteField| |MultFiniteFactorize| |PAdicWildFunctionFieldIntegralBasis| |SparseUnivariatePolynomial| |TwoFactorize| |WildFunctionFieldIntegralBasis|)
 (|FGLMIfCanPackage| |GroebnerSolve| |IdealDecompositionPackage| |LinGroebnerPackage| |PolToPol| |QuasiAlgebraicSet2|)
-(|AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |BalancedPAdicRational| |BasicFunctions| |BinaryExpansion| |Color| |CommonOperators| |ComplexCategory&| |DecimalExpansion| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |ExpertSystemContinuityPackage| |ExpertSystemContinuityPackage1| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExpressionTubePlot| |Factored| |Float| |FortranCode| |Fraction| |GraphImage| |HexadecimalExpansion| |InnerAlgebraicNumber| |InputForm| |Integer| |IntegerNumberSystem&| |MachineFloat| |MachineInteger| |MeshCreationRoutinesForThreeDimensions| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NagSpecialFunctionsPackage| |NumericTubePlot| |OpenMathDevice| |OpenMathServerPackage| |OutputForm| |PAdicRational| |PAdicRationalConstructor| |Pi| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PlotTools| |QuotientFieldCategory&| |RadixExpansion| |RealNumberSystem&| |RomanNumeral| |SExpression| |SingleInteger| |SparseUnivariateLaurentSeries| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TubePlotTools| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |ViewDefaultsPackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |BalancedPAdicRational| |BasicFunctions| |BinaryExpansion| |Color| |ComplexCategory&| |DecimalExpansion| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |ExpertSystemContinuityPackage| |ExpertSystemContinuityPackage1| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExpressionTubePlot| |Factored| |Float| |FortranCode| |Fraction| |GraphImage| |HexadecimalExpansion| |InnerAlgebraicNumber| |InputForm| |Integer| |IntegerNumberSystem&| |MachineFloat| |MachineInteger| |MeshCreationRoutinesForThreeDimensions| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NagSpecialFunctionsPackage| |NumericTubePlot| |OpenMathDevice| |OpenMathServerPackage| |OutputForm| |PAdicRational| |PAdicRationalConstructor| |Pi| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PlotTools| |QuotientFieldCategory&| |RadixExpansion| |RealNumberSystem&| |RomanNumeral| |SExpression| |SingleInteger| |SparseUnivariateLaurentSeries| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TubePlotTools| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |ViewDefaultsPackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|DoubleFloat|)
 (|AlgebraicIntegrate|)
 (|DrawOptionFunctions1| |ThreeDimensionalViewport| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions|)
@@ -104,11 +104,12 @@
 (|ComplexTrigonometricManipulations| |ElementaryRischDE| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |GenusZeroIntegration| |ODEIntegration| |PowerSeriesLimitPackage| |TransSolvePackage| |TrigonometricManipulations|)
 (|SparseUnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor|)
 (|FunctionSpaceToExponentialExpansion|)
-(|FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |LaplaceTransform|)
+(|FunctionSpaceComplexIntegration| |FunctionSpaceIntegration|)
 (|ElementaryIntegration|)
 (|ElementaryIntegration|)
-(|AlgebraicNumber| |ApplyRules| |ArrayStack| |AssociationList| |BalancedBinaryTree| |BalancedPAdicRational| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |CharacterClass| |Complex| |ComplexRootFindingPackage| |DataList| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |EigenPackage| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |EqTable| |Equation| |EquationFunctions2| |Evalable&| |ExpertSystemContinuityPackage| |ExponentialExpansion| |Expression| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FlexibleArray| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FortranProgram| |Fraction| |FullyEvalableOver&| |FunctionSpace&| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerNumericFloatSolvePackage| |InnerTable| |KeyedAccessFile| |LaplaceTransform| |Library| |LieExponentials| |LieSquareMatrix| |List| |ListMultiDictionary| |MachineComplex| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |Octonion| |OneDimensionalArray| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PatternMatch| |PendantTree| |Point| |Polynomial| |PolynomialCategory&| |PolynomialIdeals| |PowerSeriesLimitPackage| |PrimitiveArray| |Quaternion| |Queue| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionLimitPackage| |RationalRicDE| |RectangularMatrix| |RegularChain| |RegularTriangularSet| |Result| |RetractSolvePackage| |RewriteRule| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |Stream| |String| |StringTable| |SystemSolvePackage| |Table| |TaylorSeries| |ThreeDimensionalMatrix| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |Tree| |TwoDimensionalArray| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |Vector| |WuWenTsunTriangularSet| |d01AgentsPackage| |d01TransformFunctionType| |d02AgentsPackage| |d03AgentsPackage|)
+(|AlgebraicNumber| |ApplyRules| |ArrayStack| |AssociationList| |BalancedBinaryTree| |BalancedPAdicRational| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |CharacterClass| |Complex| |ComplexRootFindingPackage| |DataList| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |EigenPackage| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |EqTable| |Equation| |EquationFunctions2| |Evalable&| |ExpertSystemContinuityPackage| |ExponentialExpansion| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FlexibleArray| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FortranProgram| |Fraction| |FullyEvalableOver&| |FunctionSpace&| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerNumericFloatSolvePackage| |InnerTable| |KeyedAccessFile| |LaplaceTransform| |Library| |LieExponentials| |LieSquareMatrix| |List| |ListMultiDictionary| |MachineComplex| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |Octonion| |OneDimensionalArray| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PatternMatch| |PendantTree| |Point| |Polynomial| |PolynomialCategory&| |PolynomialIdeals| |PowerSeriesLimitPackage| |PrimitiveArray| |Quaternion| |Queue| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionLimitPackage| |RationalRicDE| |RectangularMatrix| |RecurrenceOperator| |RegularChain| |RegularTriangularSet| |Result| |RetractSolvePackage| |RewriteRule| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |Stream| |String| |StringTable| |SystemSolvePackage| |Table| |TaylorSeries| |ThreeDimensionalMatrix| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |Tree| |TwoDimensionalArray| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |Vector| |WuWenTsunTriangularSet| |d01AgentsPackage| |d01TransformFunctionType| |d02AgentsPackage| |d03AgentsPackage|)
 (|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AttributeButtons| |RoutinesTable| |d01AgentsPackage|)
+(|ParametricLinearEquations|)
 (|InnerModularGcd|)
 (|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AttributeButtons| |ErrorFunctions| |OpenMathPackage| |ResolveLatticeCompletion| |RoutinesTable| |d01AgentsPackage|)
 (|d01AgentsPackage| |e04gcfAnnaType|)
@@ -117,17 +118,19 @@
 (|d02AgentsPackage| |e04nafAnnaType|)
 (|FunctionSpaceToExponentialExpansion|)
 (|ExponentialExpansion| |FunctionSpaceToExponentialExpansion| |UnivariatePuiseuxSeriesWithExponentialSingularity|)
-(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AttachPredicates| |ComplexTrigonometricManipulations| |DeRhamComplex| |DegreeReductionPackage| |DrawNumericHack| |ElementaryFunctionSign| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpressionFunctions2| |ExpressionToOpenMath| |ExpressionTubePlot| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranProgram| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |InnerAlgebraicNumber| |IntegrationResultRFToFunction| |MachineInteger| |MeshCreationRoutinesForThreeDimensions| |Numeric| |PatternMatchAssertions| |PiCoercions| |PolynomialAN2Expression| |RadicalEigenPackage| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |SimplifyAlgebraicNumberConvertPackage| |Switch| |ToolsForSign| |TransSolvePackage| |TransSolvePackageService| |TrigonometricManipulations| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AttachPredicates| |ComplexTrigonometricManipulations| |DeRhamComplex| |DegreeReductionPackage| |DrawNumericHack| |ElementaryFunctionSign| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpressionFunctions2| |ExpressionToOpenMath| |ExpressionTubePlot| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranProgram| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |GuessAlgebraicNumber| |GuessFinite| |GuessFiniteFunctions| |GuessInteger| |GuessPolynomial| |InnerAlgebraicNumber| |IntegrationResultRFToFunction| |MachineInteger| |MappingPackage4| |MeshCreationRoutinesForThreeDimensions| |MyExpression| |Numeric| |PatternMatchAssertions| |PiCoercions| |PolynomialAN2Expression| |RadicalEigenPackage| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |SimplifyAlgebraicNumberConvertPackage| |Switch| |ToolsForSign| |TransSolvePackage| |TransSolvePackageService| |TrigonometricManipulations| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|AnnaOrdinaryDifferentialEquationPackage| |ExpertSystemToolsPackage| |FortranExpression| |InnerAlgebraicNumber| |MachineInteger| |Numeric| |TransSolvePackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |e04AgentsPackage|)
+(|RecurrenceOperator|)
 (|Expression| |ExpressionFunctions2| |FunctionSpaceFunctions2| |InnerTrigonometricManipulations|)
 (|AntiSymm| |DeRhamComplex|)
-(|AlgFactor| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicMultFact| |AlgebraicNumber| |BalancedFactorisation| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |ChangeOfVariable| |ChineseRemainderToolsForIntegralBases| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexRootFindingPackage| |ComplexRootPackage| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DoubleFloat| |EigenPackage| |ElementaryFunctionLODESolver| |ElementaryFunctionSign| |Equation| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |Field&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |Float| |Fraction| |FullPartialFractionExpansion| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GeneralizedMultivariateFactorize| |GosperSummationMethod| |GroebnerFactorizationPackage| |GroebnerSolve| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerMultFact| |InnerNumericEigenPackage| |InnerPrimeField| |Integer| |IntegerFactorizationPackage| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegrationResultToFunction| |InverseLaplaceTransform| |Kovacic| |LinearOrdinaryDifferentialOperatorFactorizer| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |ModularField| |MonomialExtensionTools| |MultFiniteFactorize| |MultivariateFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NumberFieldIntegralBasis| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |ParametricLinearEquations| |PartialFraction| |PartialFractionPackage| |Pi| |PlaneAlgebraicCurvePlot| |PointsOfFiniteOrder| |Polynomial| |PolynomialCategory&| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |QuasiAlgebraicSet| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFactorize| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionSign| |RationalRicDE| |RealClosure| |RealZeroPackage| |RomanNumeral| |SAERationalFunctionAlgFactor| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SimpleAlgebraicExtensionAlgFactor| |SingleInteger| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SturmHabichtPackage| |SupFractionFactorizer| |SystemSolvePackage| |TransSolvePackage| |TranscendentalIntegration| |TranscendentalManipulations| |TwoFactorize| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |WildFunctionFieldIntegralBasis|)
+(|AlgFactor| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicMultFact| |AlgebraicNumber| |BalancedFactorisation| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |ChangeOfVariable| |ChineseRemainderToolsForIntegralBases| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexRootFindingPackage| |ComplexRootPackage| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DoubleFloat| |EigenPackage| |ElementaryFunctionLODESolver| |ElementaryFunctionSign| |Equation| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |Field&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |Float| |Fraction| |FullPartialFractionExpansion| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GeneralizedMultivariateFactorize| |GosperSummationMethod| |GroebnerFactorizationPackage| |GroebnerSolve| |Guess| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerMultFact| |InnerNumericEigenPackage| |InnerPrimeField| |Integer| |IntegerFactorizationPackage| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegrationResultToFunction| |InverseLaplaceTransform| |Kovacic| |LinearOrdinaryDifferentialOperatorFactorizer| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |ModularField| |MonomialExtensionTools| |MultFiniteFactorize| |MultivariateFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NumberFieldIntegralBasis| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |ParametricLinearEquations| |PartialFraction| |PartialFractionPackage| |Pi| |PlaneAlgebraicCurvePlot| |PointsOfFiniteOrder| |Polynomial| |PolynomialCategory&| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |QuasiAlgebraicSet| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFactorize| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionSign| |RationalRicDE| |RealClosure| |RealZeroPackage| |RomanNumeral| |SAERationalFunctionAlgFactor| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SimpleAlgebraicExtensionAlgFactor| |SingleInteger| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SturmHabichtPackage| |SupFractionFactorizer| |SystemSolvePackage| |TransSolvePackage| |TranscendentalIntegration| |TranscendentalManipulations| |TwoFactorize| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |WildFunctionFieldIntegralBasis|)
 (|ComplexCategory&| |Integer| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate|)
 (|ChangeOfVariable| |PolynomialRoots| |TranscendentalManipulations|)
 (|FunctionSpaceUnivariatePolynomialFactor| |Integer| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |RationalFunctionFactor| |UnivariatePolynomialCategory&|)
 (|InnerMultFact| |MultFiniteFactorize| |MultivariateSquareFree| |PolynomialGcdPackage|)
 (|BinaryFile| |ParametricLinearEquations| |TextFile|)
 (|BinaryFile| |File| |FortranOutputStackPackage| |FortranPackage| |FortranTemplate| |KeyedAccessFile| |Library| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |ParametricLinearEquations| |TextFile|)
+(|FractionFreeFastGaussianFractions|)
 (|AlgebraicIntegrate| |FindOrderFinite| |FiniteDivisorFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |ReducedDivisor|)
 (|FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension|)
 (|InnerFiniteField|)
@@ -139,7 +142,7 @@
 (|DirectProductFunctions2| |InnerCommonDenominator| |ListFunctions2| |MatrixLinearAlgebraFunctions| |OneDimensionalArrayFunctions2| |PrimitiveArrayFunctions2| |VectorFunctions2|)
 (|OneDimensionalArrayAggregate&|)
 (|GaloisGroupUtilities|)
-(|AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |Asp19| |AttributeButtons| |BalancedPAdicRational| |BinaryExpansion| |BrillhartTests| |ComplexCategory&| |DecimalExpansion| |DoubleFloat| |DrawComplex| |DrawNumericHack| |DrawOption| |DrawOptionFunctions0| |ElementaryFunctionSign| |ExpertSystemToolsPackage| |ExponentialExpansion| |Factored| |Float| |FortranExpression| |Fraction| |GraphImage| |HexadecimalExpansion| |InnerAlgebraicNumber| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |Integer| |IntegerNumberSystem&| |MachineComplex| |MachineFloat| |MachineInteger| |NumberFormats| |Numeric| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |OpenMathServerPackage| |PAdicRational| |PAdicRationalConstructor| |Pi| |PlaneAlgebraicCurvePlot| |QuotientFieldCategory&| |RadixExpansion| |RandomFloatDistributions| |RealNumberSystem&| |RealSolvePackage| |RomanNumeral| |RoutinesTable| |SingleInteger| |SparseUnivariateLaurentSeries| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TwoDimensionalViewport| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |ViewDefaultsPackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |Asp19| |AttributeButtons| |BalancedPAdicRational| |BinaryExpansion| |BrillhartTests| |ComplexCategory&| |DecimalExpansion| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |DrawNumericHack| |DrawOption| |DrawOptionFunctions0| |ElementaryFunctionSign| |ExpertSystemToolsPackage| |ExponentialExpansion| |Factored| |Float| |FortranExpression| |Fraction| |GraphImage| |HexadecimalExpansion| |InnerAlgebraicNumber| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |Integer| |IntegerNumberSystem&| |Interval| |MachineComplex| |MachineFloat| |MachineInteger| |NumberFormats| |Numeric| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |OpenMathServerPackage| |PAdicRational| |PAdicRationalConstructor| |Pi| |PlaneAlgebraicCurvePlot| |QuotientFieldCategory&| |RadixExpansion| |RandomFloatDistributions| |RealNumberSystem&| |RealSolvePackage| |RomanNumeral| |RoutinesTable| |SingleInteger| |SparseUnivariateLaurentSeries| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TwoDimensionalViewport| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |ViewDefaultsPackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|RealSolvePackage|)
 (|Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |FortranCodePackage1| |FortranProgram|)
 (|Asp1| |Asp10| |Asp19| |Asp20| |Asp24| |Asp31| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp80| |Asp9|)
@@ -148,7 +151,9 @@
 (|Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |FortranPackage| |FortranType| |SimpleFortranProgram| |SymbolTable|)
 (|Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |FortranCode| |FortranPackage| |SymbolTable| |TheSymbolTable|)
 (|FourierSeries|)
-(|AbelianMonoidRing&| |AlgFactor| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedFunctionSpace&| |Asp1| |Asp10| |Asp19| |Asp20| |Asp24| |Asp31| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp80| |Asp9| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |ChangeOfVariable| |CoerceVectorMatrixPackage| |CombinatorialFunction| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexRootFindingPackage| |ContinuedFraction| |CycleIndicators| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleResultantPackage| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FourierSeries| |Fraction| |FractionFunctions2| |FractionalIdeal| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |InfiniteProductFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerModularGcd| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |Integer| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieSquareMatrix| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |LinearSystemPolynomialPackage| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |ModularField| |MonogenicAlgebra&| |MonomialExtensionTools| |MultipleMap| |MultivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |NormalizationPackage| |NumberTheoreticPolynomialFunctions| |Numeric| |ODEIntegration| |Octonion| |OctonionCategory&| |OnePointCompletion| |OrderedCompletion| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrthogonalPolynomialFunctions| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |PartialFraction| |PartialFractionPackage| |PatternMatchIntegration| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialAN2Expression| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursionUnivariate| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PureAlgebraicIntegration| |PureAlgebraicLODE| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RandomIntegerDistributions| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalIntegration| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RecursivePolynomialCategory&| |ReducedDivisor| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StructuralConstantsPackage| |SturmHabichtPackage| |SupFractionFactorizer| |SymmetricPolynomial| |SystemSolvePackage| |TangentExpansions| |TaylorSeries| |ToolsForSign| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalRischDE| |TranscendentalRischDESystem| |TwoDimensionalPlotClipping| |UTSodetools| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |XExponentialPackage| |XPBWPolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01WeightsPackage| |d01aqfAnnaType| |d02AgentsPackage| |e04AgentsPackage| |e04ucfAnnaType|)
+(|AbelianMonoidRing&| |AlgFactor| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedFunctionSpace&| |Asp1| |Asp10| |Asp19| |Asp20| |Asp24| |Asp31| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp80| |Asp9| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |ChangeOfVariable| |CoerceVectorMatrixPackage| |CombinatorialFunction| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexRootFindingPackage| |ContinuedFraction| |CycleIndicators| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DoubleResultantPackage| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionFunctions2| |FractionalIdeal| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |GuessInteger| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |InfiniteProductFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerModularGcd| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |Integer| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |Interval| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieSquareMatrix| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |LinearSystemPolynomialPackage| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |ModularField| |MonogenicAlgebra&| |MonomialExtensionTools| |MultipleMap| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |NormalizationPackage| |NumberTheoreticPolynomialFunctions| |Numeric| |ODEIntegration| |Octonion| |OctonionCategory&| |OnePointCompletion| |OrderedCompletion| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrthogonalPolynomialFunctions| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |PartialFraction| |PartialFractionPackage| |PatternMatchIntegration| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialAN2Expression| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursionUnivariate| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PureAlgebraicIntegration| |PureAlgebraicLODE| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReducedDivisor| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StructuralConstantsPackage| |SturmHabichtPackage| |SupFractionFactorizer| |SymmetricPolynomial| |SystemSolvePackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ToolsForSign| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalRischDE| |TranscendentalRischDESystem| |TwoDimensionalPlotClipping| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |XExponentialPackage| |XPBWPolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01WeightsPackage| |d01aqfAnnaType| |d02AgentsPackage| |e04AgentsPackage| |e04ucfAnnaType|)
+(|FractionFreeFastGaussianFractions| |Guess|)
+(|Guess|)
 (|FiniteDivisor| |FiniteDivisorFunctions2| |FractionalIdealFunctions2| |FramedModule| |HyperellipticFiniteDivisor| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational|)
 (|FiniteDivisorFunctions2|)
 (|FiniteDivisor|)
@@ -179,14 +184,18 @@
 (|LexTriangularPackage| |PolynomialSetUtilitiesPackage| |QuasiComponentPackage| |RegularSetDecompositionPackage| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage|)
 (|SparseTable|)
 (|PolynomialSetUtilitiesPackage| |WuWenTsunTriangularSet|)
-(|GroebnerSolve| |MPolyCatPolyFactorizer| |SystemSolvePackage|)
+(|GroebnerSolve| |Guess| |MPolyCatPolyFactorizer| |SystemSolvePackage|)
 (|PureAlgebraicIntegration|)
 (|FunctionSpaceSum| |RationalFunctionSum|)
 (|TopLevelDrawFunctionsForPoints| |TwoDimensionalViewport| |ViewportPackage|)
 (|PlotTools| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions|)
 (|Permanent|)
-(|GroebnerFactorizationPackage| |GroebnerPackage| |GroebnerSolve| |LinGroebnerPackage| |ParametricLinearEquations| |PolynomialIdeals| |QuasiAlgebraicSet|)
-(|FGLMIfCanPackage| |GroebnerSolve| |IdealDecompositionPackage| |LinGroebnerPackage| |ParametricLinearEquations| |PolynomialIdeals| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |ResidueRing|)
+(|GroebnerFactorizationPackage| |GroebnerPackage| |GroebnerSolve| |LinGroebnerPackage| |PolynomialIdeals| |QuasiAlgebraicSet|)
+(|FGLMIfCanPackage| |GroebnerSolve| |IdealDecompositionPackage| |LinGroebnerPackage| |PolynomialIdeals| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |ResidueRing|)
+(|GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessPolynomial| |GuessUnivariatePolynomial|)
+(|GuessFinite|)
+(|Guess| |GuessOptionFunctions0|)
+(|Guess|)
 (|FreeNilpotentLie|)
 (|EqTable| |StringTable| |TabulatedComputationPackage|)
 (|Integer|)
@@ -208,7 +217,7 @@
 (|InfiniteTupleFunctions2| |InfiniteTupleFunctions3|)
 (|SAERationalFunctionAlgFactor| |SimpleAlgebraicExtensionAlgFactor|)
 (|AlgebraicNumber|)
-(|AlgebraicFunctionField| |AlgebraicIntegrate| |ElementaryFunctionStructurePackage| |FractionalIdeal| |FunctionFieldCategory&| |InnerMatrixQuotientFieldFunctions| |PrimitiveRatDE| |RadicalFunctionField| |RationalLODE|)
+(|AlgebraicFunctionField| |AlgebraicIntegrate| |ElementaryFunctionStructurePackage| |FractionFreeFastGaussian| |FractionalIdeal| |FunctionFieldCategory&| |InnerMatrixQuotientFieldFunctions| |PrimitiveRatDE| |RadicalFunctionField| |RationalLODE|)
 (|FreeAbelianGroup| |FreeAbelianMonoid|)
 (|IndexedMatrix| |IndexedTwoDimensionalArray| |Matrix| |TwoDimensionalArray|)
 (|InnerMatrixQuotientFieldFunctions| |MatrixLinearAlgebraFunctions|)
@@ -225,11 +234,11 @@
 (|Table|)
 (|SparseMultivariateTaylorSeries| |UnivariateTaylorSeries|)
 (|ComplexTrigonometricManipulations| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |TrigonometricManipulations|)
-(|AssociationList| |BalancedPAdicRational| |BasicOperatorFunctions1| |BinaryExpansion| |Bits| |Boolean| |CharacterClass| |CommonOperators| |Complex| |ComplexCategory&| |DataList| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |EqTable| |ExponentialExpansion| |Expression| |Factored| |FlexibleArray| |Float| |FortranPackage| |FortranProgram| |Fraction| |FunctionSpace&| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |HashTable| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerTable| |InputFormFunctions1| |Integer| |IntegerNumberSystem&| |Kernel| |KeyedAccessFile| |Library| |LiouvillianFunction| |List| |ListMultiDictionary| |MachineComplex| |MachineInteger| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OpenMathPackage| |OrderedVariableList| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |Pi| |Point| |Polynomial| |PolynomialCategory&| |PrimitiveArray| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadixExpansion| |RectangularMatrix| |RecursivePolynomialCategory&| |RegularChain| |RegularTriangularSet| |Result| |RomanNumeral| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SingleInteger| |SparseMultivariatePolynomial| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |Table| |TemplateUtilities| |TopLevelDrawFunctions| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |Vector| |WuWenTsunTriangularSet|)
+(|AssociationList| |BalancedPAdicRational| |BasicOperatorFunctions1| |BinaryExpansion| |Bits| |Boolean| |CharacterClass| |CommonOperators| |Complex| |ComplexCategory&| |DataList| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |EqTable| |ExponentialExpansion| |Expression| |Factored| |FlexibleArray| |Float| |FortranPackage| |FortranProgram| |Fraction| |FunctionSpace&| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |HashTable| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerTable| |InputFormFunctions1| |Integer| |IntegerNumberSystem&| |Kernel| |KeyedAccessFile| |Library| |LiouvillianFunction| |List| |ListMultiDictionary| |MachineComplex| |MachineInteger| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OpenMathPackage| |OrderedVariableList| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |Pi| |Point| |Polynomial| |PolynomialCategory&| |PrimitiveArray| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadixExpansion| |RectangularMatrix| |RecursivePolynomialCategory&| |RegularChain| |RegularTriangularSet| |Result| |RomanNumeral| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SingleInteger| |SparseMultivariatePolynomial| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |Table| |TemplateUtilities| |TopLevelDrawFunctions| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |Vector| |WuWenTsunTriangularSet|)
 (|FunctionSpace&|)
-(|AbelianGroup&| |AbelianMonoidRing&| |AlgFactor| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ArrayStack| |Asp10| |Asp19| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp55| |Asp73| |Asp74| |Asp77| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BezoutMatrix| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |EigenPackage| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtensibleLinearAggregate&| |Factored| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingPointSystem&| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FourierSeries| |Fraction| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GrayCode| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Group&| |HallBasis| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperbolicFunctionCategory&| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |InverseLaplaceTransform| |IrrRepSymNatPackage| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |LeftAlgebra&| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListToMap| |LocalAlgebra| |Localize| |LyndonWord| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |MakeFloatCompiledFunction| |MappingPackage1| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeRing&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathDevice| |OpenMathError| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |PartialFraction| |Partition| |PartitionsAndPermutations| |Pattern| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPolynomialCategory| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialCategory&| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RationalFactorize| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalLODE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecursivePolynomialCategory&| |ReduceLODE| |ReductionOfOrder| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RoutinesTable| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stream| |StreamAggregate&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StructuralConstantsPackage| |SturmHabichtPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TemplateUtilities| |TexFormat| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesFunctions2| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |Vector| |VectorCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoidRing&| |AlgFactor| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ArrayStack| |Asp10| |Asp19| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp55| |Asp73| |Asp74| |Asp77| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |Bezier| |BezoutMatrix| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Color| |CombinatorialFunction| |Commutator| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |EigenPackage| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtensibleLinearAggregate&| |Factored| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingPointSystem&| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GrayCode| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Group&| |Guess| |GuessFinite| |GuessFiniteFunctions| |GuessOption| |GuessOptionFunctions0| |HallBasis| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperbolicFunctionCategory&| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |LeftAlgebra&| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListToMap| |LocalAlgebra| |Localize| |LyndonWord| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |MakeFloatCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NonAssociativeRing&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |PartialFraction| |Partition| |PartitionsAndPermutations| |Pattern| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPolynomialCategory| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialCategory&| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RationalFactorize| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReductionOfOrder| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RoutinesTable| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stream| |StreamAggregate&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StructuralConstantsPackage| |SturmHabichtPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TemplateUtilities| |TexFormat| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesFunctions2| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |Vector| |VectorCategory&| |VectorSpaceBasis| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|RandomIntegerDistributions|)
-(|ComplexRootFindingPackage| |GaloisGroupUtilities| |IntegerNumberSystem&| |IrrRepSymNatPackage| |MultivariateLifting| |RepresentationPackage1| |SetOfMIntegersInOneToN| |SymmetricGroupCombinatoricFunctions|)
+(|ComplexRootFindingPackage| |GaloisGroupUtilities| |Guess| |IntegerNumberSystem&| |IrrRepSymNatPackage| |MultivariateLifting| |RepresentationPackage1| |SetOfMIntegersInOneToN| |SymmetricGroupCombinatoricFunctions|)
 (|CyclotomicPolynomialPackage| |Factored| |GaussianFactorizationPackage| |IntegerNumberSystem&| |NumberFieldIntegralBasis|)
 (|ElementaryFunctionStructurePackage|)
 (|InnerPrimeField|)
@@ -241,7 +250,7 @@
 (|PAdicWildFunctionFieldIntegralBasis|)
 (|FunctionFieldIntegralBasis| |NumberFieldIntegralBasis| |PAdicWildFunctionFieldIntegralBasis| |WildFunctionFieldIntegralBasis|)
 (|AnnaNumericalIntegrationPackage| |d01AgentsPackage|)
-(|AlgebraicIntegrate| |AlgebraicIntegration| |ElementaryIntegration| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |GenusZeroIntegration| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |LaplaceTransform| |PureAlgebraicIntegration| |RationalFunctionIntegration| |RationalIntegration| |TranscendentalIntegration|)
+(|AlgebraicIntegrate| |AlgebraicIntegration| |ElementaryIntegration| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |GenusZeroIntegration| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |PureAlgebraicIntegration| |RationalFunctionIntegration| |RationalIntegration| |TranscendentalIntegration|)
 (|ElementaryIntegration| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |GenusZeroIntegration| |IntegrationResultRFToFunction| |PureAlgebraicIntegration| |RationalFunctionIntegration|)
 (|RationalFunctionDefiniteIntegration|)
 (|FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |IntegrationResultRFToFunction|)
@@ -250,7 +259,7 @@
 (|RationalUnivariateRepresentationPackage| |ZeroDimensionalSolvePackage|)
 (|ElementaryFunctionSign| |TransSolvePackage|)
 (|PAdicWildFunctionFieldIntegralBasis|)
-(|AlgFactor| |AlgebraicFunction| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedFunctionSpace&| |ApplyRules| |CombinatorialFunction| |ComplexTrigonometricManipulations| |DefiniteIntegrationTools| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |Expression| |ExpressionFunctions2| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |FortranExpression| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceFunctions2| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GenusZeroIntegration| |InnerAlgebraicNumber| |InnerTrigonometricManipulations| |IntegrationResultToFunction| |IntegrationTools| |InverseLaplaceTransform| |KernelFunctions2| |LaplaceTransform| |LiouvillianFunction| |NonLinearFirstOrderODESolver| |ODEIntegration| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PatternMatchKernel| |PointsOfFiniteOrder| |PowerSeriesLimitPackage| |PureAlgebraicIntegration| |RadicalEigenPackage| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RewriteRule| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TrigonometricManipulations| |d01AgentsPackage| |d01WeightsPackage|)
+(|AlgFactor| |AlgebraicFunction| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedFunctionSpace&| |ApplyRules| |CombinatorialFunction| |ComplexTrigonometricManipulations| |DefiniteIntegrationTools| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |Expression| |ExpressionFunctions2| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |FortranExpression| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceFunctions2| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GenusZeroIntegration| |Guess| |InnerAlgebraicNumber| |InnerTrigonometricManipulations| |IntegrationResultToFunction| |IntegrationTools| |InverseLaplaceTransform| |KernelFunctions2| |LaplaceTransform| |LiouvillianFunction| |MyExpression| |NonLinearFirstOrderODESolver| |ODEIntegration| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PatternMatchKernel| |PointsOfFiniteOrder| |PowerSeriesLimitPackage| |PureAlgebraicIntegration| |RadicalEigenPackage| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RecurrenceOperator| |RewriteRule| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TrigonometricManipulations| |d01AgentsPackage| |d01WeightsPackage|)
 (|Expression|)
 (|Library|)
 (|ElementaryFunctionLODESolver|)
@@ -267,17 +276,18 @@
 (|LinearOrdinaryDifferentialOperator|)
 (|PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&|)
 (|AlgebraGivenByStructuralConstants| |AlgebraicHermiteIntegration| |CliffordAlgebra| |ElementaryFunctionLODESolver| |FramedNonAssociativeAlgebra&| |GosperSummationMethod| |LinearDependence| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |ODETools| |RationalLODE| |StructuralConstantsPackage| |TransSolvePackageService|)
+(|VectorSpaceBasis|)
 (|SystemSolvePackage|)
 (|Expression| |PowerSeriesLimitPackage|)
-(|AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttachPredicates| |AttributeButtons| |BagAggregate&| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BoundIntegerRoots| |CRApackage| |CardinalNumber| |CartesianTensor| |CartesianTensorFunctions2| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |Dictionary&| |DictionaryOperations&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DisplayPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DoubleFloat| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |ErrorFunctions| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Evalable&| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |FGLMIfCanPackage| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |Field&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteLinearAggregateFunctions2| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FiniteSetAggregateFunctions2| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |Fraction| |FractionalIdeal| |FramedAlgebra&| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductObject| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerEvalable&| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegrationFunctionsTable| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |InverseLaplaceTransform| |IrrRepSymNatPackage| |Kernel| |KernelFunctions2| |KeyedAccessFile| |KeyedDictionary&| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LiouvillianFunction| |List| |ListFunctions2| |ListFunctions3| |ListMonoidOps| |ListMultiDictionary| |ListToMap| |LyndonWord| |MPolyCatFunctions2| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |MappingPackage1| |Matrix| |MatrixCategory&| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonoidRingFunctions2| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODEIntensityFunctionsTable| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathError| |OpenMathPackage| |OppositeMonogenicLinearOperator| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PadeApproximants| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |PartialDifferentialRing&| |PartialFraction| |PartialFractionPackage| |Partition| |PartitionsAndPermutations| |Pattern| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchTools| |PendantTree| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolyGroebner| |Polynomial| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSign| |RationalIntegration| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetAggregate&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SmithNormalForm| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |Stream| |StreamAggregate&| |StreamFunctions2| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TexFormat| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |VectorCategory&| |VectorFunctions2| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
-(|AlgebraPackage| |Asp19| |Asp55| |ElementaryFunctionSign| |FiniteSetAggregateFunctions2| |FramedNonAssociativeAlgebra&| |GaloisGroupFactorizer| |GenericNonAssociativeAlgebra| |LieSquareMatrix| |MatrixCommonDenominator| |PAdicWildFunctionFieldIntegralBasis| |PermutationGroupExamples| |RealSolvePackage| |ThreeSpace| |TwoDimensionalPlotClipping| |UnivariateTaylorSeriesODESolver|)
+(|AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttachPredicates| |AttributeButtons| |AxiomServer| |BagAggregate&| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |Bezier| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BoundIntegerRoots| |CRApackage| |CardinalNumber| |CartesianTensor| |CartesianTensorFunctions2| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |Dictionary&| |DictionaryOperations&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DisplayPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DoubleFloat| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |ErrorFunctions| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Evalable&| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |FGLMIfCanPackage| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |Field&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteLinearAggregateFunctions2| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FiniteSetAggregateFunctions2| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductObject| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerEvalable&| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegrationFunctionsTable| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |Kernel| |KernelFunctions2| |KeyedAccessFile| |KeyedDictionary&| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LiouvillianFunction| |List| |ListFunctions2| |ListFunctions3| |ListMonoidOps| |ListMultiDictionary| |ListToMap| |LyndonWord| |MPolyCatFunctions2| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonoidRingFunctions2| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODEIntensityFunctionsTable| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathError| |OpenMathPackage| |OppositeMonogenicLinearOperator| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PadeApproximants| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |PartialDifferentialRing&| |PartialFraction| |PartialFractionPackage| |Partition| |PartitionsAndPermutations| |Pattern| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchTools| |PendantTree| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolyGroebner| |Polynomial| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSign| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetAggregate&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SmithNormalForm| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |Stream| |StreamAggregate&| |StreamFunctions2| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TexFormat| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |VectorCategory&| |VectorFunctions2| |VectorSpaceBasis| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AlgebraPackage| |Asp19| |Asp55| |ElementaryFunctionSign| |FiniteSetAggregateFunctions2| |FramedNonAssociativeAlgebra&| |GaloisGroupFactorizer| |GenericNonAssociativeAlgebra| |Guess| |LieSquareMatrix| |MatrixCommonDenominator| |PAdicWildFunctionFieldIntegralBasis| |PermutationGroupExamples| |RealSolvePackage| |TaylorSolve| |ThreeSpace| |TwoDimensionalPlotClipping| |UnivariateTaylorSeriesODESolver|)
 (|FreeGroup| |FreeMonoid| |InnerFreeAbelianMonoid|)
 (|IntegerFactorizationPackage|)
 (|Expression| |FunctionSpace&| |RationalFunction|)
 (|Fraction|)
 (|LocalAlgebra|)
 (|LieExponentials| |LiePolynomial| |PoincareBirkhoffWittLyndonBasis| |XPBWPolynomial|)
-(|IdealDecompositionPackage| |MultFiniteFactorize|)
+(|Guess| |IdealDecompositionPackage| |MultFiniteFactorize|)
 (|PolToPol|)
 (|GeneralizedMultivariateFactorize|)
 (|GeneralizedMultivariateFactorize| |IdealDecompositionPackage| |MultivariateFactorize| |SystemSolvePackage|)
@@ -285,14 +295,15 @@
 (|Asp27| |Asp28| |Asp8| |ExpertSystemToolsPackage| |MachineComplex|)
 (|MachineComplex| |MachineFloat|)
 (|LiePolynomial| |LyndonWord|)
-(|MakeFloatCompiledFunction|)
+(|ExpressionSolve| |MakeFloatCompiledFunction|)
 (|ExpressionTubePlot| |PlotFunctions1| |TopLevelDrawFunctions|)
 (|MakeBinaryCompiledFunction| |MakeUnaryCompiledFunction|)
 (|Expression| |FunctionSpace&| |MakeFloatCompiledFunction|)
+(|Guess| |GuessAlgebraicNumber| |GuessInteger| |GuessPolynomial| |GuessUnivariatePolynomial|)
 (|MappingPackage1|)
 (|MappingPackage2|)
 (|MappingPackage3|)
-(|AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AnnaNumericalOptimizationPackage| |AnnaPartialDifferentialEquationPackage| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |Asp80| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |BalancedPAdicRational| |BinaryExpansion| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Complex| |ComplexCategory&| |CycleIndicators| |DecimalExpansion| |DenavitHartenbergMatrix| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |EigenPackage| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage2| |ExponentialExpansion| |Expression| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FortranCode| |Fraction| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FullyLinearlyExplicitRingOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |GeneralDistributedMultivariatePolynomial| |GenericNonAssociativeAlgebra| |GosperSummationMethod| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |IndexedVector| |InnerAlgebraicNumber| |InnerFiniteField| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerPrimeField| |Integer| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IrrRepSymNatPackage| |LieSquareMatrix| |LinGroebnerPackage| |LinearDependence| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |MachineComplex| |MachineInteger| |Matrix| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularHermitianRowReduction| |MonogenicAlgebra&| |MultiVariableCalculusFunctions| |MultivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NumberFieldIntegralBasis| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODETools| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |ParametricLinearEquations| |Point| |Polynomial| |PolynomialCategory&| |PolynomialFactorizationExplicit&| |PrecomputedAssociatedEquations| |PrimeField| |PseudoLinearNormalForm| |PureAlgebraicLODE| |Quaternion| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadixExpansion| |RationalLODE| |RectangularMatrix| |RectangularMatrixCategoryFunctions2| |ReduceLODE| |RepresentationPackage1| |RepresentationPackage2| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StorageEfficientMatrixOperations| |StructuralConstantsPackage| |SymmetricGroupCombinatoricFunctions| |SystemODESolver| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalRischDESystem| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |Vector| |VectorCategory&| |WildFunctionFieldIntegralBasis| |d01alfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AnnaNumericalOptimizationPackage| |AnnaPartialDifferentialEquationPackage| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |Asp80| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |BalancedPAdicRational| |BinaryExpansion| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Complex| |ComplexCategory&| |CycleIndicators| |DecimalExpansion| |DenavitHartenbergMatrix| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |EigenPackage| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage2| |ExponentialExpansion| |Expression| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FortranCode| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FullyLinearlyExplicitRingOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |GeneralDistributedMultivariatePolynomial| |GenericNonAssociativeAlgebra| |GosperSummationMethod| |Guess| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |IndexedVector| |InnerAlgebraicNumber| |InnerFiniteField| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerPrimeField| |Integer| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IrrRepSymNatPackage| |LieSquareMatrix| |LinGroebnerPackage| |LinearDependence| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |MachineComplex| |MachineInteger| |Matrix| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularHermitianRowReduction| |MonogenicAlgebra&| |MultiVariableCalculusFunctions| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NumberFieldIntegralBasis| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODETools| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |ParametricLinearEquations| |Point| |Polynomial| |PolynomialCategory&| |PolynomialFactorizationExplicit&| |PrecomputedAssociatedEquations| |PrimeField| |PseudoLinearNormalForm| |PureAlgebraicLODE| |Quaternion| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadixExpansion| |RationalInterpolation| |RationalLODE| |RectangularMatrix| |RectangularMatrixCategoryFunctions2| |ReduceLODE| |RepresentationPackage1| |RepresentationPackage2| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StorageEfficientMatrixOperations| |StructuralConstantsPackage| |SymmetricGroupCombinatoricFunctions| |SystemODESolver| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalRischDESystem| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |Vector| |VectorCategory&| |VectorSpaceBasis| |WildFunctionFieldIntegralBasis| |d01alfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|AlgebraicHermiteIntegration| |Asp19| |Asp20| |Asp31| |Asp35| |Asp41| |Asp42| |Asp74| |Asp77| |Asp80| |CoerceVectorMatrixPackage| |ComplexCategory&| |FractionalIdeal| |FramedAlgebra&| |FunctionFieldCategory&| |InnerMatrixQuotientFieldFunctions| |LinearDependence| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |ReduceLODE| |SimpleAlgebraicExtension| |SmithNormalForm|)
 (|AlgebraicFunctionField| |FractionalIdeal| |FramedModule| |FunctionFieldCategory&| |QuotientFieldCategory&|)
 (|IndexedMatrix| |Matrix|)
@@ -307,7 +318,7 @@
 (|ContinuedFraction|)
 (|MonoidRingFunctions2|)
 (|TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalRischDE| |TranscendentalRischDESystem|)
-(|FortranOutputStackPackage| |FortranPackage| |NAGLinkSupportPackage|)
+(|FortranOutputStackPackage| |FortranPackage| |Guess| |NAGLinkSupportPackage|)
 (|GeneralizedMultivariateFactorize| |MPolyCatRationalFunctionFactorizer|)
 (|Asp19| |Asp31| |Asp35| |Asp41| |Asp42| |Asp49| |Asp55| |d02AgentsPackage| |e04nafAnnaType|)
 (|FunctionFieldCategoryFunctions2| |PointsOfFiniteOrder| |ReducedDivisor|)
@@ -315,6 +326,8 @@
 (|Equation| |GeneralizedMultivariateFactorize| |GroebnerFactorizationPackage| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |ParametricLinearEquations| |PartialFractionPackage| |PolynomialSetUtilitiesPackage| |QuasiAlgebraicSet| |RadicalSolvePackage| |RationalFunctionFactor| |SupFractionFactorizer| |TransSolvePackage|)
 (|InnerMultFact| |MultFiniteFactorize| |MultivariateSquareFree| |PolynomialGcdPackage|)
 (|InnerMultFact| |PolynomialCategory&| |SupFractionFactorizer|)
+(|GuessUnivariatePolynomial|)
+(|MyExpression|)
 (|Asp1| |Asp10| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage|)
 (|MultivariateLifting|)
 (|d02AgentsPackage|)
@@ -325,10 +338,11 @@
 (|LexTriangularPackage| |RationalUnivariateRepresentationPackage| |RegularChain| |ZeroDimensionalSolvePackage|)
 (|NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2|)
 (|NewSparseMultivariatePolynomial|)
+(|Guess|)
 (|ElementaryFunctionODESolver|)
 (|RationalRicDE|)
-(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ApplyUnivariateSkewPolynomial| |ArrayStack| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |Automorphism| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicOperator| |BasicOperatorFunctions1| |BezoutMatrix| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |Bits| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CRApackage| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialInMonogenicalAlgebra| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |CommonOperators| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CyclicStreamTools| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |Dictionary&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialRing&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DoubleResultantPackage| |DrawComplex| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |EuclideanDomain&| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoringUtilities| |Field&| |FieldOfPrimeCharacteristic&| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranExpression| |FourierSeries| |Fraction| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GrayCode| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerSolve| |Group&| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KernelFunctions2| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MakeCachableSet| |MappingPackage1| |MappingPackageInternalHacks1| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |NAGLinkSupportPackage| |NPCoef| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |PartialDifferentialRing&| |PartialFraction| |Partition| |Pattern| |PatternFunctions2| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPushDown| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PoincareBirkhoffWittLyndonBasis| |Point| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolationAlgorithms| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalLODE| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecursivePolynomialCategory&| |ReduceLODE| |ReducedDivisor| |ReductionOfOrder| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |SExpressionOf| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TangentExpansions| |TaylorSeries| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |Vector| |VectorCategory&| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01aqfAnnaType| |d01fcfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
-(|AlgebraicFunction| |Any| |AnyFunctions1| |BasicOperator| |BasicOperatorFunctions1| |CombinatorialFunction| |CommonOperators| |FunctionSpace&| |FunctionSpaceAttachPredicates| |LaplaceTransform| |LiouvillianFunction| |ModuleOperator| |NoneFunctions1|)
+(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ApplyUnivariateSkewPolynomial| |ArrayStack| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |Automorphism| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicOperator| |BasicOperatorFunctions1| |BezoutMatrix| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |Bits| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CRApackage| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialInMonogenicalAlgebra| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |CommonOperators| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CyclicStreamTools| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |Dictionary&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialRing&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DoubleResultantPackage| |DrawComplex| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |EuclideanDomain&| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoringUtilities| |Field&| |FieldOfPrimeCharacteristic&| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GrayCode| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerSolve| |Group&| |Guess| |GuessOption| |GuessOptionFunctions0| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KernelFunctions2| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MakeCachableSet| |MappingPackage1| |MappingPackageInternalHacks1| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |PartialDifferentialRing&| |PartialFraction| |Partition| |Pattern| |PatternFunctions2| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPushDown| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PoincareBirkhoffWittLyndonBasis| |Point| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolationAlgorithms| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReducedDivisor| |ReductionOfOrder| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |SExpressionOf| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |Vector| |VectorCategory&| |VectorSpaceBasis| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01aqfAnnaType| |d01fcfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AlgebraicFunction| |Any| |AnyFunctions1| |BasicOperator| |BasicOperatorFunctions1| |CombinatorialFunction| |CommonOperators| |FunctionSpace&| |FunctionSpaceAttachPredicates| |FunctionalSpecialFunction| |LaplaceTransform| |LiouvillianFunction| |ModuleOperator| |NoneFunctions1| |RecurrenceOperator|)
 (|AnyFunctions1| |ModuleOperator|)
 (|InternalRationalUnivariateRepresentationPackage| |LazardSetSolvingPackage| |LexTriangularPackage| |RationalUnivariateRepresentationPackage| |ZeroDimensionalSolvePackage|)
 (|OutputForm| |RomanNumeral|)
@@ -344,7 +358,7 @@
 (|AnnaOrdinaryDifferentialEquationPackage| |d02AgentsPackage|)
 (|ConstantLODE| |ElementaryFunctionLODESolver|)
 (|LyndonWord| |OneDimensionalArrayFunctions2| |TwoDimensionalArray|)
-(|AlgebraicFunctionField| |Complex| |ExtensionField&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |Infinity| |InnerFiniteField| |InnerPrimeField| |MachineComplex| |MoebiusTransform| |OnePointCompletionFunctions2| |PowerSeriesLimitPackage| |PrimeField| |RadicalFunctionField| |RationalFunctionLimitPackage| |SimpleAlgebraicExtension|)
+(|AlgebraicFunctionField| |Complex| |DoubleFloatSpecialFunctions| |ExtensionField&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |Infinity| |InnerFiniteField| |InnerPrimeField| |MachineComplex| |MoebiusTransform| |OnePointCompletionFunctions2| |PowerSeriesLimitPackage| |PrimeField| |RadicalFunctionField| |RationalFunctionLimitPackage| |SimpleAlgebraicExtension|)
 (|RationalFunctionLimitPackage|)
 (|OpenMathServerPackage|)
 (|Complex| |DoubleFloat| |ExpressionToOpenMath| |Float| |Fraction| |Integer| |List| |OpenMathConnection| |OpenMathPackage| |OpenMathServerPackage| |SingleInteger| |String| |Symbol|)
@@ -355,11 +369,11 @@
 (|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |DefiniteIntegrationTools| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionSign| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |Infinity| |InnerSparseUnivariatePowerSeries| |LaplaceTransform| |OrderedCompletionFunctions2| |PatternMatchIntegration| |PowerSeriesLimitPackage| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |UnivariatePuiseuxSeriesWithExponentialSingularity| |d01AgentsPackage| |d01TransformFunctionType| |d03AgentsPackage| |e04AgentsPackage| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04ucfAnnaType|)
 (|RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage|)
 (|LiePolynomial| |LyndonWord| |Magma| |PoincareBirkhoffWittLyndonBasis| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XRecursivePolynomial|)
-(|DistributedMultivariatePolynomial| |FGLMIfCanPackage| |GeneralDistributedMultivariatePolynomial| |GroebnerSolve| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |LexTriangularPackage| |LinGroebnerPackage| |MultivariatePolynomial| |PolToPol| |QuasiAlgebraicSet2| |RationalUnivariateRepresentationPackage| |RegularChain| |ZeroDimensionalSolvePackage|)
+(|DistributedMultivariatePolynomial| |FGLMIfCanPackage| |GeneralDistributedMultivariatePolynomial| |GroebnerSolve| |Guess| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |LexTriangularPackage| |LinGroebnerPackage| |MultivariatePolynomial| |PolToPol| |QuasiAlgebraicSet2| |RationalUnivariateRepresentationPackage| |RegularChain| |ZeroDimensionalSolvePackage|)
 (|FullPartialFractionExpansion|)
 (|FullPartialFractionExpansion| |LinearOrdinaryDifferentialOperatorsOps| |OrderlyDifferentialPolynomial|)
-(|Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |Boolean| |CRApackage| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DenavitHartenbergMatrix| |Dequeue| |DictionaryOperations&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |DoubleFloat| |DrawOption| |ElementaryFunctionODESolver| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |EqTable| |Equation| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionToOpenMath| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionSpace&| |GaloisGroupFactorizationUtilities| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteTuple| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |InternalRationalUnivariateRepresentationPackage| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |LeftAlgebra&| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |Matrix| |MatrixCategory&| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |NAGLinkSupportPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeRing&| |NonNegativeInteger| |None| |NormalizationPackage| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PrimeField| |PrimitiveArray| |PrintPackage| |Product| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |QuotientFieldCategory&| |RadicalFunctionField| |RadixExpansion| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealZeroPackage| |RectangularMatrix| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |ScriptFormulaFormat1| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |SquareMatrixCategory&| |Stack| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TexFormat| |TexFormat1| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctionsForCompiledFunctions| |Tree| |TriangularSetCategory&| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalViewport| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |UniversalSegment| |Variable| |Vector| |Void| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
-(|GenUFactorize| |IndexCard| |InternalRationalUnivariateRepresentationPackage| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |RationalUnivariateRepresentationPackage| |TabulatedComputationPackage| |ZeroDimensionalSolvePackage|)
+(|Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |Boolean| |CRApackage| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DenavitHartenbergMatrix| |Dequeue| |DictionaryOperations&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |DoubleFloat| |DrawOption| |ElementaryFunctionODESolver| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |EqTable| |Equation| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionToOpenMath| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionSpace&| |GaloisGroupFactorizationUtilities| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteTuple| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |InternalRationalUnivariateRepresentationPackage| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |LeftAlgebra&| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixCategory&| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeRing&| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PrimeField| |PrimitiveArray| |PrintPackage| |Product| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |QuotientFieldCategory&| |RadicalFunctionField| |RadixExpansion| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealZeroPackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |ScriptFormulaFormat1| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |SquareMatrixCategory&| |Stack| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TexFormat1| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctionsForCompiledFunctions| |Tree| |TriangularSetCategory&| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalViewport| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |UniversalSegment| |Variable| |Vector| |VectorSpaceBasis| |Void| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|GenUFactorize| |Guess| |IndexCard| |InternalRationalUnivariateRepresentationPackage| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |SparseUnivariatePolynomialExpressions| |TabulatedComputationPackage| |TaylorSolve| |ZeroDimensionalSolvePackage|)
 (|PAdicRational|)
 (|BalancedPAdicRational| |PAdicRational|)
 (|DrawOption| |DrawOptionFunctions0| |GraphImage| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TwoDimensionalViewport| |ViewDefaultsPackage| |ViewportPackage|)
@@ -367,9 +381,9 @@
 (|ParametricPlaneCurveFunctions2| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForCompiledFunctions|)
 (|ParametricSpaceCurveFunctions2| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForCompiledFunctions|)
 (|ParametricSurfaceFunctions2| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForCompiledFunctions|)
-(|CycleIndicators| |EvaluateCycleIndicators| |Permutation| |PermutationGroupExamples| |SymmetricPolynomial|)
-(|CycleIndicators| |IrrRepSymNatPackage| |Partition| |SymmetricGroupCombinatoricFunctions|)
-(|ApplyRules| |BalancedPAdicRational| |BinaryExpansion| |Complex| |ComplexCategory&| |ComplexPattern| |ComplexPatternMatch| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |ExponentialExpansion| |Expression| |Float| |Fraction| |FunctionSpace&| |GeneralDistributedMultivariatePolynomial| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |Integer| |IntegerNumberSystem&| |Kernel| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |MultivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |OrderedVariableList| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResult| |PatternMatchSymbol| |PatternMatchTools| |Polynomial| |PolynomialCategory&| |QuotientFieldCategory&| |RadixExpansion| |RealNumberSystem&| |RecursivePolynomialCategory&| |RewriteRule| |RomanNumeral| |SequentialDifferentialPolynomial| |SingleInteger| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |Symbol| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial|)
+(|CycleIndicators| |EvaluateCycleIndicators| |Guess| |Permutation| |PermutationGroupExamples| |SymmetricPolynomial|)
+(|CycleIndicators| |Guess| |IrrRepSymNatPackage| |Partition| |SymmetricGroupCombinatoricFunctions|)
+(|ApplyRules| |BalancedPAdicRational| |BinaryExpansion| |Complex| |ComplexCategory&| |ComplexPattern| |ComplexPatternMatch| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |ExponentialExpansion| |Expression| |Float| |Fraction| |FunctionSpace&| |GeneralDistributedMultivariatePolynomial| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |Integer| |IntegerNumberSystem&| |Kernel| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |OrderedVariableList| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResult| |PatternMatchSymbol| |PatternMatchTools| |Polynomial| |PolynomialCategory&| |QuotientFieldCategory&| |RadixExpansion| |RealNumberSystem&| |RecursivePolynomialCategory&| |RewriteRule| |RomanNumeral| |SequentialDifferentialPolynomial| |SingleInteger| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |Symbol| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial|)
 (|ApplyRules| |PatternMatchResult| |PatternMatchTools| |RewriteRule|)
 (|Expression|)
 (|IntegerNumberSystem&|)
@@ -380,7 +394,7 @@
 (|Expression| |PolynomialCategory&|)
 (|ComplexPatternMatch| |PatternMatchFunctionSpace| |PatternMatchPolynomialCategory| |PatternMatchQuotientFieldCategory|)
 (|QuotientFieldCategory&|)
-(|ApplyRules| |BalancedPAdicRational| |BinaryExpansion| |Complex| |ComplexCategory&| |ComplexPatternMatch| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |ExponentialExpansion| |Expression| |Float| |Fraction| |GeneralDistributedMultivariatePolynomial| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |Integer| |IntegerNumberSystem&| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |MultivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchListResult| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResultFunctions2| |PatternMatchSymbol| |PatternMatchTools| |Polynomial| |PolynomialCategory&| |QuotientFieldCategory&| |RadixExpansion| |RealNumberSystem&| |RomanNumeral| |SequentialDifferentialPolynomial| |SingleInteger| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |Symbol| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial|)
+(|ApplyRules| |BalancedPAdicRational| |BinaryExpansion| |Complex| |ComplexCategory&| |ComplexPatternMatch| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |ExponentialExpansion| |Expression| |Float| |Fraction| |GeneralDistributedMultivariatePolynomial| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |Integer| |IntegerNumberSystem&| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchListResult| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResultFunctions2| |PatternMatchSymbol| |PatternMatchTools| |Polynomial| |PolynomialCategory&| |QuotientFieldCategory&| |RadixExpansion| |RealNumberSystem&| |RomanNumeral| |SequentialDifferentialPolynomial| |SingleInteger| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |Symbol| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial|)
 (|ComplexPatternMatch| |PatternMatchPushDown|)
 (|Symbol|)
 (|PatternMatchFunctionSpace| |PatternMatchPolynomialCategory|)
@@ -399,8 +413,8 @@
 (|PointsOfFiniteOrder| |PointsOfFiniteOrderRational|)
 (|FGLMIfCanPackage| |GroebnerSolve|)
 (|FunctionFieldCategory&| |PrimitiveElement|)
-(|AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |Asp1| |Asp10| |Asp19| |Asp20| |Asp24| |Asp30| |Asp31| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |CoerceVectorMatrixPackage| |ComplexPatternMatch| |ComplexRootPackage| |DefiniteIntegrationTools| |DiophantineSolutionPackage| |EigenPackage| |Equation| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |Expression| |FGLMIfCanPackage| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranPackage| |FortranType| |FramedNonAssociativeAlgebra&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenericNonAssociativeAlgebra| |IdealDecompositionPackage| |InnerAlgebraicNumber| |InnerNumericFloatSolvePackage| |LexTriangularPackage| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |NewSparseMultivariatePolynomial| |NonLinearSolvePackage| |Numeric| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrdinaryWeightedPolynomials| |ParametricLinearEquations| |PartialFractionPackage| |PatternMatch| |Pi| |PlaneAlgebraicCurvePlot| |PolToPol| |PolynomialAN2Expression| |PolynomialFunctions2| |PolynomialIdeals| |PolynomialToUnivariatePolynomial| |PrimitiveElement| |PushVariables| |RadicalEigenPackage| |RadicalSolvePackage| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealSolvePackage| |RecursivePolynomialCategory&| |RepresentationPackage1| |RetractSolvePackage| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariateTaylorSeries| |StructuralConstantsPackage| |SymbolTable| |SystemSolvePackage| |TaylorSeries| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |UnivariateLaurentSeriesConstructor| |UnivariateTaylorSeries| |WeierstrassPreparation| |ZeroDimensionalSolvePackage| |e04AgentsPackage| |e04mbfAnnaType| |e04nafAnnaType|)
-(|CombinatorialFunction| |DifferentialSparseMultivariatePolynomial| |ElementaryFunctionStructurePackage| |Expression| |ExpressionSpaceODESolver| |FunctionSpace&| |FunctionSpaceFunctions2| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GosperSummationMethod| |InnerTrigonometricManipulations| |MRationalFactorize| |ParametricLinearEquations| |PolynomialAN2Expression| |PolynomialCategory&| |PolynomialFunctions2| |QuasiAlgebraicSet2| |RationalFunction| |RealSolvePackage| |TransSolvePackage| |TranscendentalManipulations|)
+(|AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |Asp1| |Asp10| |Asp19| |Asp20| |Asp24| |Asp30| |Asp31| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |CoerceVectorMatrixPackage| |ComplexPatternMatch| |ComplexRootPackage| |DefiniteIntegrationTools| |DiophantineSolutionPackage| |EigenPackage| |Equation| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |Expression| |FGLMIfCanPackage| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranPackage| |FortranType| |FramedNonAssociativeAlgebra&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenericNonAssociativeAlgebra| |IdealDecompositionPackage| |InnerAlgebraicNumber| |InnerNumericFloatSolvePackage| |LexTriangularPackage| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MyExpression| |MyUnivariatePolynomial| |NewSparseMultivariatePolynomial| |NonLinearSolvePackage| |Numeric| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrdinaryWeightedPolynomials| |ParametricLinearEquations| |PartialFractionPackage| |PatternMatch| |Pi| |PlaneAlgebraicCurvePlot| |PolToPol| |PolynomialAN2Expression| |PolynomialFunctions2| |PolynomialIdeals| |PolynomialToUnivariatePolynomial| |PrimitiveElement| |PushVariables| |RadicalEigenPackage| |RadicalSolvePackage| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealSolvePackage| |RecursivePolynomialCategory&| |RepresentationPackage1| |RetractSolvePackage| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariateTaylorSeries| |StructuralConstantsPackage| |SymbolTable| |SystemSolvePackage| |TaylorSeries| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |UnivariateFormalPowerSeries| |UnivariateLaurentSeriesConstructor| |UnivariateTaylorSeries| |WeierstrassPreparation| |ZeroDimensionalSolvePackage| |e04AgentsPackage| |e04mbfAnnaType| |e04nafAnnaType|)
+(|CombinatorialFunction| |DifferentialSparseMultivariatePolynomial| |ElementaryFunctionStructurePackage| |Expression| |ExpressionSpaceODESolver| |FunctionSpace&| |FunctionSpaceFunctions2| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GosperSummationMethod| |Guess| |InnerTrigonometricManipulations| |MRationalFactorize| |ParametricLinearEquations| |PolynomialAN2Expression| |PolynomialCategory&| |PolynomialFunctions2| |QuasiAlgebraicSet2| |RationalFunction| |RealSolvePackage| |TransSolvePackage| |TranscendentalManipulations|)
 (|AlgFactor| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |ElementaryFunctionLODESolver| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |Expression| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |GenusZeroIntegration| |RationalFunction| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign|)
 (|AlgebraicallyClosedField&|)
 (|PolynomialCategory&|)
@@ -415,7 +429,7 @@
 (|InternalRationalUnivariateRepresentationPackage| |LazardSetSolvingPackage| |QuasiComponentPackage| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |WuWenTsunTriangularSet| |ZeroDimensionalSolvePackage|)
 (|RadicalSolvePackage|)
 (|PolynomialCategory&|)
-(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AbelianSemiGroup&| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |Asp19| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AttributeButtons| |Automorphism| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BinaryExpansion| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CommonOperators| |Complex| |ComplexCategory&| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionTubePlot| |Factored| |FactoringUtilities| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |Float| |FloatingPointSystem&| |FortranExpression| |FourierSeries| |Fraction| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GraphImage| |GrayCode| |Group&| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LiouvillianFunction| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularField| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |Monad&| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MultFiniteFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |NagEigenPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeAlgebra&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NumberFieldIntegralBasis| |NumberFormats| |Numeric| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |ParametricLinearEquations| |PartialFraction| |Partition| |PatternMatchIntegration| |Permanent| |Permutation| |PermutationGroupExamples| |Pi| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialSolveByFormulas| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |Product| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RealClosedField&| |RealClosure| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RecursivePolynomialCategory&| |ReduceLODE| |RegularTriangularSetCategory&| |RepeatedDoubling| |RepeatedSquaring| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |Ruleset| |SemiGroup&| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StreamTranscendentalFunctions| |SturmHabichtPackage| |SubSpace| |SymmetricFunctions| |SymmetricPolynomial| |TangentExpansions| |TaylorSeries| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TubePlotTools| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AbelianSemiGroup&| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |Asp19| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AttributeButtons| |Automorphism| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |Bezier| |BinaryExpansion| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Complex| |ComplexCategory&| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionTubePlot| |Factored| |FactoringUtilities| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |Float| |FloatingPointSystem&| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GraphImage| |GrayCode| |Group&| |Guess| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |Interval| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LiouvillianFunction| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularField| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |Monad&| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MultFiniteFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NagEigenPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeAlgebra&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |Numeric| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |ParametricLinearEquations| |PartialFraction| |Partition| |PatternMatchIntegration| |Permanent| |Permutation| |PermutationGroupExamples| |Pi| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialSolveByFormulas| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |Product| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RealClosedField&| |RealClosure| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RecursivePolynomialCategory&| |ReduceLODE| |RegularTriangularSetCategory&| |RepeatedDoubling| |RepeatedSquaring| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |Ruleset| |SemiGroup&| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StreamTranscendentalFunctions| |SturmHabichtPackage| |SubSpace| |SymmetricFunctions| |SymmetricPolynomial| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TubePlotTools| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|DefiniteIntegrationTools| |ElementaryFunctionSign| |LaplaceTransform| |d01AgentsPackage|)
 (|AssociatedEquations|)
 (|FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldNormalBasis|)
@@ -451,6 +465,7 @@
 (|RightOpenIntervalRootCharacterization|)
 (|PlaneAlgebraicCurvePlot|)
 (|DefiniteIntegrationTools| |InnerNumericFloatSolvePackage| |RealZeroPackageQ|)
+(|Guess|)
 (|PureAlgebraicLODE|)
 (|ElementaryFunctionLODESolver|)
 (|AlgebraicFunctionField| |Any| |CardinalNumber| |CommonOperators| |Float| |FramedModule| |InnerSparseUnivariatePowerSeries| |RadicalFunctionField| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Symbol| |ThreeDimensionalViewport| |UserDefinedPartialOrdering| |ViewDefaultsPackage|)
@@ -465,25 +480,26 @@
 (|ApplyRules| |TranscendentalManipulations|)
 (|RealClosure|)
 (|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AttributeButtons| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
-(|Any| |AnyFunctions1| |FortranCode| |FortranPackage| |FortranProgram| |FortranScalarType| |InputForm| |NAGLinkSupportPackage| |NumberFormats| |OpenMathPackage| |Result| |SymbolTable|)
+(|Any| |AnyFunctions1| |ApplicationProgramInterface| |AxiomServer| |FortranCode| |FortranPackage| |FortranProgram| |FortranScalarType| |InputForm| |NAGLinkSupportPackage| |NumberFormats| |OpenMathPackage| |Result| |SymbolTable|)
 (|SExpression|)
 (|ScriptFormulaFormat1|)
-(|AnnaNumericalIntegrationPackage| |Asp19| |Asp8| |CombinatorialFunction| |DrawComplex| |ElementaryFunctionDefiniteIntegration| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpressionTubePlot| |FortranCode| |FortranCodePackage1| |FunctionSpaceSum| |GraphImage| |InnerPolySum| |LiouvillianFunction| |MeshCreationRoutinesForThreeDimensions| |ParametricLinearEquations| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PlotFunctions1| |PlotTools| |RandomIntegerDistributions| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |SegmentBinding| |SegmentBindingFunctions2| |SegmentFunctions2| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TwoDimensionalPlotClipping| |UniversalSegment| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d03AgentsPackage| |e04AgentsPackage| |e04gcfAnnaType|)
-(|AnnaNumericalIntegrationPackage| |Asp19| |Asp8| |CombinatorialFunction| |DrawNumericHack| |ElementaryFunctionDefiniteIntegration| |Expression| |FortranCode| |FortranCodePackage1| |FunctionSpaceSum| |LiouvillianFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |SegmentBindingFunctions2| |TopLevelDrawFunctions|)
+(|AnnaNumericalIntegrationPackage| |Asp19| |Asp8| |CombinatorialFunction| |DrawComplex| |ElementaryFunctionDefiniteIntegration| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpressionTubePlot| |FortranCode| |FortranCodePackage1| |FunctionSpaceSum| |GraphImage| |Guess| |InnerPolySum| |LiouvillianFunction| |MeshCreationRoutinesForThreeDimensions| |ParametricLinearEquations| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PlotFunctions1| |PlotTools| |RandomIntegerDistributions| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |SegmentBinding| |SegmentBindingFunctions2| |SegmentFunctions2| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TwoDimensionalPlotClipping| |UniversalSegment| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d03AgentsPackage| |e04AgentsPackage| |e04gcfAnnaType|)
+(|AnnaNumericalIntegrationPackage| |Asp19| |Asp8| |CombinatorialFunction| |DrawNumericHack| |ElementaryFunctionDefiniteIntegration| |Expression| |FortranCode| |FortranCodePackage1| |FunctionSpaceSum| |Guess| |LiouvillianFunction| |MyExpression| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |SegmentBindingFunctions2| |TopLevelDrawFunctions|)
 (|DrawNumericHack| |RationalFunctionSum|)
 (|SegmentBindingFunctions2| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions|)
 (|SequentialDifferentialPolynomial|)
-(|BasicOperator| |ExpressionSpace&| |Factored| |GaloisGroupFactorizer| |GeneralPolynomialSet| |IntegerPrimesPackage| |ModularHermitianRowReduction| |MonoidRing| |ParametricLinearEquations| |Pattern| |Permutation| |PermutationGroup| |PolynomialSetCategory&| |QuasiAlgebraicSet| |RandomDistributions| |SymmetricGroupCombinatoricFunctions| |ThreeDimensionalViewport| |ThreeSpace|)
+(|ApplicationProgramInterface| |BasicOperator| |ExpressionSpace&| |Factored| |GaloisGroupFactorizer| |GeneralPolynomialSet| |IntegerPrimesPackage| |ModularHermitianRowReduction| |MonoidRing| |ParametricLinearEquations| |Pattern| |Permutation| |PermutationGroup| |PolynomialSetCategory&| |QuasiAlgebraicSet| |RandomDistributions| |SymmetricGroupCombinatoricFunctions| |ThreeDimensionalViewport| |ThreeSpace|)
 (|AlgebraicFunctionField| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |RadicalFunctionField|)
-(|AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Commutator| |Complex| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |DoubleFloat| |DrawOption| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionSign| |EqTable| |Equation| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |Matrix| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedCompletionFunctions2| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchIntegration| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |Queue| |RadicalFunctionField| |RadixExpansion| |RandomDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RealClosure| |RectangularMatrix| |Reference| |RegularChain| |RegularTriangularSet| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |Stream| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Symbol| |SymmetricPolynomial| |Table| |TaylorSeries| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |Tree| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |UTSodetools| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UniversalSegment| |Variable| |Vector| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
-(|ExponentialOfUnivariatePuiseuxSeries| |GeneralUnivariatePowerSeries| |InnerSparseUnivariatePowerSeries| |ModMonic| |MultivariateSquareFree| |NewSparseUnivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariateTaylorSeries|)
+(|AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Commutator| |Complex| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |DoubleFloat| |DrawOption| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionSign| |EqTable| |Equation| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GuessOption| |GuessOptionFunctions0| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NottinghamGroup| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedCompletionFunctions2| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchIntegration| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |Queue| |RadicalFunctionField| |RadixExpansion| |RandomDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RealClosure| |RectangularMatrix| |Reference| |RegularChain| |RegularTriangularSet| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |Stream| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Symbol| |SymmetricPolynomial| |Table| |TaylorSeries| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |Tree| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UniversalSegment| |Variable| |Vector| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|ExponentialOfUnivariatePuiseuxSeries| |GeneralUnivariatePowerSeries| |InnerSparseUnivariatePowerSeries| |ModMonic| |MultivariateSquareFree| |MyUnivariatePolynomial| |NewSparseUnivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariateTaylorSeries|)
 (|TranscendentalRischDESystem|)
 (|Kernel| |MakeCachableSet|)
-(|AlgebraicFunction| |AlgebraicManipulations| |AlgebraicNumber| |CombinatorialFunction| |ComplexTrigonometricManipulations| |DifferentialSparseMultivariatePolynomial| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |Expression| |ExpressionSpaceODESolver| |FunctionSpace&| |FunctionSpaceFunctions2| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GosperSummationMethod| |InnerAlgebraicNumber| |InnerTrigonometricManipulations| |IntegrationResultToFunction| |IntegrationTools| |InverseLaplaceTransform| |LaplaceTransform| |MRationalFactorize| |MultFiniteFactorize| |MultivariatePolynomial| |NewSparseMultivariatePolynomial| |NonLinearFirstOrderODESolver| |ODEIntegration| |OrderlyDifferentialPolynomial| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PointsOfFiniteOrder| |Polynomial| |PureAlgebraicIntegration| |SequentialDifferentialPolynomial| |TransSolvePackage| |TranscendentalManipulations|)
+(|AlgebraicFunction| |AlgebraicManipulations| |AlgebraicNumber| |CombinatorialFunction| |ComplexTrigonometricManipulations| |DifferentialSparseMultivariatePolynomial| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |Expression| |ExpressionSpaceODESolver| |FunctionSpace&| |FunctionSpaceFunctions2| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GosperSummationMethod| |Guess| |InnerAlgebraicNumber| |InnerTrigonometricManipulations| |IntegrationResultToFunction| |IntegrationTools| |InverseLaplaceTransform| |LaplaceTransform| |MRationalFactorize| |MultFiniteFactorize| |MultivariatePolynomial| |MyExpression| |NewSparseMultivariatePolynomial| |NonLinearFirstOrderODESolver| |ODEIntegration| |OrderlyDifferentialPolynomial| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PointsOfFiniteOrder| |Polynomial| |PureAlgebraicIntegration| |RecurrenceOperator| |SequentialDifferentialPolynomial| |TransSolvePackage| |TranscendentalManipulations|)
 (|TaylorSeries|)
 (|SparseUnivariatePuiseuxSeries|)
-(|AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |CharacteristicPolynomialInMonogenicalAlgebra| |ChineseRemainderToolsForIntegralBases| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootPackage| |ConstantLODE| |ContinuedFraction| |CyclotomicPolynomialPackage| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |DoubleResultantPackage| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpaceODESolver| |FGLMIfCanPackage| |Factored| |FactoringUtilities| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteRankNonAssociativeAlgebra&| |Float| |FloatingComplexPackage| |FortranExpression| |Fraction| |FractionalIdeal| |FramedNonAssociativeAlgebra&| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GcdDomain&| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GroebnerSolve| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |InfiniteProductFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultToFunction| |IntegrationTools| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LeadingCoefDetermination| |LieSquareMatrix| |LinGroebnerPackage| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |LinearSystemPolynomialPackage| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |ModularField| |MultFiniteFactorize| |MultivariateFactorize| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |NPCoef| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormInMonogenicAlgebra| |NormRetractPackage| |NumberTheoreticPolynomialFunctions| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PartialFraction| |PartialFractionPackage| |PatternMatchIntegration| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |PointsOfFiniteOrder| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialNumberTheoryFunctions| |PolynomialSquareFree| |PolynomialToUnivariatePolynomial| |PrimeField| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |PureAlgebraicIntegration| |PushVariables| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFactorize| |RationalFunctionFactor| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealZeroPackageQ| |RecursivePolynomialCategory&| |ReducedDivisor| |RetractSolvePackage| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SupFractionFactorizer| |SymmetricFunctions| |SystemSolvePackage| |TangentExpansions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TwoFactorize| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |WeierstrassPreparation| |WeightedPolynomials| |ZeroDimensionalSolvePackage|)
-(|AlgebraicIntegration| |DefiniteIntegrationTools| |ElementaryFunctionLODESolver| |FiniteFieldPolynomialPackage2| |FunctionSpace&| |FunctionSpaceReduce| |GenusZeroIntegration| |InnerAlgebraicNumber| |InnerPolySum| |InnerTrigonometricManipulations| |IntegrationResultFunctions2| |MultivariateLifting| |Pi| |PiCoercions| |PointsOfFiniteOrder| |PolynomialCategoryQuotientFunctions| |PureAlgebraicIntegration| |RadicalSolvePackage| |RealClosedField&| |TranscendentalIntegration| |TranscendentalManipulations|)
+(|AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |CharacteristicPolynomialInMonogenicalAlgebra| |ChineseRemainderToolsForIntegralBases| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootPackage| |ConstantLODE| |ContinuedFraction| |CyclotomicPolynomialPackage| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |DoubleResultantPackage| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpaceODESolver| |FGLMIfCanPackage| |Factored| |FactoringUtilities| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteRankNonAssociativeAlgebra&| |Float| |FloatingComplexPackage| |FortranExpression| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedNonAssociativeAlgebra&| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GcdDomain&| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GroebnerSolve| |Guess| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |InfiniteProductFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultToFunction| |IntegrationTools| |Interval| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LeadingCoefDetermination| |LieSquareMatrix| |LinGroebnerPackage| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |LinearSystemPolynomialPackage| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MatrixCategory&| |ModMonic| |ModularField| |MultFiniteFactorize| |MultivariateFactorize| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormInMonogenicAlgebra| |NormRetractPackage| |NumberTheoreticPolynomialFunctions| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PartialFraction| |PartialFractionPackage| |PatternMatchIntegration| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |PointsOfFiniteOrder| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialNumberTheoryFunctions| |PolynomialSquareFree| |PolynomialToUnivariatePolynomial| |PrimeField| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |PureAlgebraicIntegration| |PushVariables| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFactorize| |RationalFunctionFactor| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealZeroPackageQ| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReducedDivisor| |RetractSolvePackage| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SupFractionFactorizer| |SymmetricFunctions| |SystemSolvePackage| |TangentExpansions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TwoFactorize| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |WeierstrassPreparation| |WeightedPolynomials| |ZeroDimensionalSolvePackage|)
+(|ExpressionSolve| |TaylorSolve|)
+(|AlgebraicIntegration| |DefiniteIntegrationTools| |ElementaryFunctionLODESolver| |FiniteFieldPolynomialPackage2| |FunctionSpace&| |FunctionSpaceReduce| |GenusZeroIntegration| |Guess| |InnerAlgebraicNumber| |InnerPolySum| |InnerTrigonometricManipulations| |IntegrationResultFunctions2| |MultivariateLifting| |Pi| |PiCoercions| |PointsOfFiniteOrder| |PolynomialCategoryQuotientFunctions| |PureAlgebraicIntegration| |RadicalSolvePackage| |RealClosedField&| |TranscendentalIntegration| |TranscendentalManipulations|)
 (|LinearOrdinaryDifferentialOperator| |UnivariateSkewPolynomial|)
 (|SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries|)
 (|SplittingTree| |WuWenTsunTriangularSet|)
@@ -495,22 +511,22 @@
 (|AlgebraGivenByStructuralConstants| |CartesianTensor| |GenericNonAssociativeAlgebra| |LieSquareMatrix| |Permanent| |QuadraticForm|)
 (|FortranOutputStackPackage| |Queue|)
 (|Matrix|)
-(|BalancedPAdicInteger| |BasicFunctions| |ContinuedFraction| |CycleIndicators| |ElementaryFunctionsUnivariateLaurentSeries| |EllipticFunctionsUnivariateTaylorSeries| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialOfUnivariatePuiseuxSeries| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfiniteTuple| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerPAdicInteger| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |NumericContinuedFraction| |PAdicInteger| |PAdicRationalConstructor| |PadeApproximants| |ParadoxicalCombinatorsForStreams| |PartitionsAndPermutations| |RadixExpansion| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Stream| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |TableauxBumpers| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |WeierstrassPreparation| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01aqfAnnaType| |e04gcfAnnaType|)
-(|PartitionsAndPermutations|)
-(|ContinuedFraction| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfiniteTupleFunctions2| |PartitionsAndPermutations| |SparseMultivariateTaylorSeries| |Stream| |StreamFunctions3| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |TableauxBumpers| |UnivariatePuiseuxSeriesConstructor| |UnivariateTaylorSeriesFunctions2| |UniversalSegmentFunctions2| |WeierstrassPreparation|)
-(|InfiniteTupleFunctions3| |PartitionsAndPermutations| |SparseMultivariateTaylorSeries| |Stream| |StreamTaylorSeriesOperations| |WeierstrassPreparation|)
+(|BalancedPAdicInteger| |BasicFunctions| |ContinuedFraction| |CycleIndicators| |ElementaryFunctionsUnivariateLaurentSeries| |EllipticFunctionsUnivariateTaylorSeries| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialOfUnivariatePuiseuxSeries| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |Guess| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfiniteTuple| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerPAdicInteger| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |NumericContinuedFraction| |PAdicInteger| |PAdicRationalConstructor| |PadeApproximants| |ParadoxicalCombinatorsForStreams| |PartitionsAndPermutations| |RadixExpansion| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Stream| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |TableauxBumpers| |TaylorSolve| |UnivariateFormalPowerSeries| |UnivariateFormalPowerSeriesFunctions| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |WeierstrassPreparation| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01aqfAnnaType| |e04gcfAnnaType|)
+(|Guess| |PartitionsAndPermutations|)
+(|ContinuedFraction| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |FractionFreeFastGaussian| |Guess| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfiniteTupleFunctions2| |PartitionsAndPermutations| |SparseMultivariateTaylorSeries| |Stream| |StreamFunctions3| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |TableauxBumpers| |UnivariatePuiseuxSeriesConstructor| |UnivariateTaylorSeriesFunctions2| |UniversalSegmentFunctions2| |WeierstrassPreparation|)
+(|InfiniteTupleFunctions3| |PartitionsAndPermutations| |SparseMultivariateTaylorSeries| |Stream| |StreamTaylorSeriesOperations| |UnivariateFormalPowerSeriesFunctions| |WeierstrassPreparation|)
 (|InfiniteProductCharacteristicZero| |InfiniteProductPrimeField|)
 (|EllipticFunctionsUnivariateTaylorSeries| |InfiniteProductFiniteField| |InnerTaylorSeries| |SparseMultivariateTaylorSeries| |StreamInfiniteProduct| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |UnivariateLaurentSeriesConstructor| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |WeierstrassPreparation|)
 (|ElementaryFunctionsUnivariateLaurentSeries| |InfiniteProductFiniteField| |SparseMultivariateTaylorSeries| |StreamInfiniteProduct| |StreamTranscendentalFunctionsNonCommutative| |UnivariateTaylorSeriesCategory&|)
 (|UnivariateTaylorSeriesCategory&|)
-(|AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DictionaryOperations&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |DoubleFloat| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |ErrorFunctions| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionTubePlot| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerMod| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |Matrix| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |MoreSystemCommands| |Multiset| |MultivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NormalizationPackage| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |OperationsQuery| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |PureAlgebraicIntegration| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |RadicalFunctionField| |RadixExpansion| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalUnivariateRepresentationPackage| |RealClosure| |RectangularMatrix| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |Stack| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TemplateUtilities| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalManipulations| |Tree| |TrigonometricManipulations| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UniversalSegment| |Variable| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DictionaryOperations&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |DoubleFloat| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |ErrorFunctions| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionTubePlot| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerMod| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Interval| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |MoreSystemCommands| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |OperationsQuery| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |PureAlgebraicIntegration| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |RadicalFunctionField| |RadixExpansion| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalUnivariateRepresentationPackage| |RealClosure| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |Stack| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TemplateUtilities| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalManipulations| |Tree| |TrigonometricManipulations| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UniversalSegment| |Variable| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|InnerNumericFloatSolvePackage| |TranscendentalIntegration|)
 (|ThreeSpace|)
 (|MeshCreationRoutinesForThreeDimensions| |SubSpace| |ThreeDimensionalViewport| |ThreeSpace|)
 (|EigenPackage| |PolynomialIdeals| |RadicalEigenPackage| |RadicalSolvePackage|)
 (|Expression|)
 (|Asp12| |Asp30| |Asp35| |Asp55| |Asp74| |Asp8| |FortranCode|)
-(|AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplyRules| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AttachPredicates| |AttributeButtons| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BinaryExpansion| |Boolean| |CombinatorialFunction| |CommonOperators| |Complex| |ComplexCategory&| |ComplexPattern| |ComplexPatternMatch| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |Equation| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |FGLMIfCanPackage| |Factored| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasisExtensionByPolynomial| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranType| |Fraction| |FramedNonAssociativeAlgebra&| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |HexadecimalExpansion| |HomogeneousDirectProduct| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |InnerAlgebraicNumber| |InnerNumericFloatSolvePackage| |InnerSparseUnivariatePowerSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InverseLaplaceTransform| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |LexTriangularPackage| |Library| |LieSquareMatrix| |LinGroebnerPackage| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |LiouvillianFunction| |List| |ListMultiDictionary| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |MonogenicAlgebra&| |Multiset| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NewSparseUnivariatePolynomial| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODEIntegration| |Octonion| |OctonionCategory&| |OpenMathDevice| |OpenMathError| |OpenMathErrorKind| |OrdSetInts| |OrderedDirectProduct| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OutputForm| |PAdicRational| |PAdicRationalConstructor| |ParametricLinearEquations| |PartialFractionPackage| |Pattern| |PatternFunctions2| |PatternMatch| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchSymbol| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PlotFunctions1| |PolToPol| |Polynomial| |PolynomialAN2Expression| |PolynomialFunctions2| |PolynomialIdeals| |PolynomialToUnivariatePolynomial| |PowerSeriesLimitPackage| |PrimitiveElement| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QueryEquation| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosure| |RealSolvePackage| |RectangularMatrix| |RecursivePolynomialCategory&| |RepresentationPackage1| |Result| |RetractSolvePackage| |RewriteRule| |RomanNumeral| |RoutinesTable| |RuleCalled| |SExpression| |SegmentBinding| |SegmentBindingFunctions2| |SequentialDifferentialPolynomial| |Set| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StructuralConstantsPackage| |Switch| |Symbol| |SymbolTable| |SystemSolvePackage| |TaylorSeries| |TheSymbolTable| |ThreeDimensionalMatrix| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TrigonometricManipulations| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |Variable| |Vector| |WeierstrassPreparation| |XPolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AttachPredicates| |AttributeButtons| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BinaryExpansion| |Boolean| |CombinatorialFunction| |CommonOperators| |Complex| |ComplexCategory&| |ComplexPattern| |ComplexPatternMatch| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |Equation| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |FGLMIfCanPackage| |Factored| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasisExtensionByPolynomial| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranType| |Fraction| |FramedNonAssociativeAlgebra&| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |InnerAlgebraicNumber| |InnerNumericFloatSolvePackage| |InnerSparseUnivariatePowerSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InverseLaplaceTransform| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |LexTriangularPackage| |Library| |LieSquareMatrix| |LinGroebnerPackage| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |LiouvillianFunction| |List| |ListMultiDictionary| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |MonogenicAlgebra&| |Multiset| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NewSparseUnivariatePolynomial| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODEIntegration| |Octonion| |OctonionCategory&| |OpenMathDevice| |OpenMathError| |OpenMathErrorKind| |OrdSetInts| |OrderedDirectProduct| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OutputForm| |PAdicRational| |PAdicRationalConstructor| |ParametricLinearEquations| |PartialFractionPackage| |Pattern| |PatternFunctions2| |PatternMatch| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchSymbol| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PlotFunctions1| |PolToPol| |Polynomial| |PolynomialAN2Expression| |PolynomialFunctions2| |PolynomialIdeals| |PolynomialToUnivariatePolynomial| |PowerSeriesLimitPackage| |PrimitiveElement| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QueryEquation| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosure| |RealSolvePackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |RepresentationPackage1| |Result| |RetractSolvePackage| |RewriteRule| |RomanNumeral| |RoutinesTable| |RuleCalled| |SExpression| |SegmentBinding| |SegmentBindingFunctions2| |SequentialDifferentialPolynomial| |Set| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StructuralConstantsPackage| |Switch| |Symbol| |SymbolTable| |SystemSolvePackage| |TaylorSeries| |TheSymbolTable| |ThreeDimensionalMatrix| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TrigonometricManipulations| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCategory&| |Variable| |Vector| |WeierstrassPreparation| |XPolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |FortranPackage| |FortranProgram| |TheSymbolTable|)
 (|TangentExpansions|)
 (|IrrRepSymNatPackage| |RepresentationPackage1|)
@@ -522,6 +538,7 @@
 (|QuasiComponentPackage| |RegularTriangularSetGcdPackage| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage|)
 (|ElementaryFunctionStructurePackage|)
 (|WeierstrassPreparation|)
+(|ExpressionSolve|)
 (|FortranTemplate|)
 (|TexFormat1|)
 (|FortranTemplate|)
@@ -546,12 +563,14 @@
 (|TopLevelDrawFunctionsForCompiledFunctions|)
 (|TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |ViewportPackage|)
 (|MultFiniteFactorize| |SparseUnivariatePolynomial|)
+(|Guess| |NottinghamGroup| |RecurrenceOperator| |UnivariateFormalPowerSeriesFunctions|)
+(|Guess|)
 (|UnivariateLaurentSeriesFunctions2| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesFunctions2|)
 (|UnivariateLaurentSeries|)
 (|UnivariatePuiseuxSeriesFunctions2|)
-(|PadeApproximantPackage| |PolynomialInterpolation| |PolynomialToUnivariatePolynomial| |SparseUnivariateTaylorSeries| |SturmHabichtPackage| |UnivariatePolynomialFunctions2| |UnivariateTaylorSeries|)
-(|AlgFactor| |AlgebraicFunctionField| |AlgebraicIntegrate| |BoundIntegerRoots| |CharacteristicPolynomialInMonogenicalAlgebra| |ComplexCategory&| |DoubleResultantPackage| |FiniteDivisorFunctions2| |Fraction| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupPolynomialUtilities| |GeneralPolynomialGcdPackage| |InnerAlgFactor| |InnerMultFact| |InnerNumericEigenPackage| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |MultFiniteFactorize| |MultipleMap| |MultivariateSquareFree| |NewSparseUnivariatePolynomialFunctions2| |NormInMonogenicAlgebra| |PartialFractionPackage| |PointsOfFiniteOrder| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialToUnivariatePolynomial| |PrimitiveRatDE| |RadicalFunctionField| |RationalFactorize| |RationalFunctionFactor| |RationalRicDE| |RealZeroPackageQ| |ReducedDivisor| |SparseUnivariatePolynomialFunctions2| |SupFractionFactorizer| |TranscendentalIntegration| |TwoFactorize| |UnivariatePolynomialFunctions2|)
-(|ChangeOfVariable| |DefiniteIntegrationTools| |DoubleResultantPackage| |FiniteDivisor| |FunctionFieldCategory&| |InnerPolySum| |PointsOfFiniteOrder| |PointsOfFiniteOrderTools| |PureAlgebraicIntegration|)
+(|Guess| |PadeApproximantPackage| |PolynomialInterpolation| |PolynomialToUnivariatePolynomial| |SparseUnivariateTaylorSeries| |SturmHabichtPackage| |UnivariateFormalPowerSeries| |UnivariatePolynomialFunctions2| |UnivariateTaylorSeries|)
+(|AlgFactor| |AlgebraicFunctionField| |AlgebraicIntegrate| |BoundIntegerRoots| |CharacteristicPolynomialInMonogenicalAlgebra| |ComplexCategory&| |DoubleResultantPackage| |FiniteDivisorFunctions2| |Fraction| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupPolynomialUtilities| |GeneralPolynomialGcdPackage| |InnerAlgFactor| |InnerMultFact| |InnerNumericEigenPackage| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |MultFiniteFactorize| |MultipleMap| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2| |NormInMonogenicAlgebra| |PartialFractionPackage| |PointsOfFiniteOrder| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialToUnivariatePolynomial| |PrimitiveRatDE| |RadicalFunctionField| |RationalFactorize| |RationalFunctionFactor| |RationalRicDE| |RealZeroPackageQ| |ReducedDivisor| |SparseUnivariatePolynomialFunctions2| |SupFractionFactorizer| |TranscendentalIntegration| |TwoFactorize| |UnivariatePolynomialFunctions2|)
+(|ChangeOfVariable| |DefiniteIntegrationTools| |DoubleResultantPackage| |FiniteDivisor| |FunctionFieldCategory&| |Guess| |InnerPolySum| |PointsOfFiniteOrder| |PointsOfFiniteOrderTools| |PureAlgebraicIntegration|)
 (|GaloisGroupFactorizer|)
 (|UnivariatePolynomialDecompositionPackage|)
 (|FiniteFieldCategory&| |Integer| |PolynomialSquareFree| |SparseUnivariatePolynomial| |UnivariatePolynomialCategory&|)
@@ -559,17 +578,17 @@
 (|SparseUnivariatePuiseuxSeries| |UnivariatePuiseuxSeries|)
 (|ExponentialExpansion| |FunctionSpaceToExponentialExpansion|)
 (|SparseUnivariateSkewPolynomial|)
-(|PadeApproximantPackage| |RationalRicDE| |UnivariateLaurentSeries| |UnivariateLaurentSeriesFunctions2| |UnivariatePuiseuxSeries|)
+(|PadeApproximantPackage| |RationalRicDE| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesFunctions2| |UnivariatePuiseuxSeries|)
 (|UnivariateLaurentSeriesFunctions2|)
-(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AssociationList| |Bits| |DataList| |DisplayPackage| |ExtensibleLinearAggregate&| |FlexibleArray| |Float| |GaloisGroupUtilities| |GenerateUnivariatePowerSeries| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |LazyStreamAggregate&| |List| |ListAggregate&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |Point| |PrimitiveArray| |Stream| |StreamAggregate&| |String| |StringAggregate&| |Symbol| |TemplateUtilities| |TexFormat| |UniversalSegmentFunctions2| |Vector|)
+(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AssociationList| |AxiomServer| |Bits| |DataList| |DisplayPackage| |ExtensibleLinearAggregate&| |FlexibleArray| |Float| |GaloisGroupUtilities| |GenerateUnivariatePowerSeries| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |LazyStreamAggregate&| |List| |ListAggregate&| |MathMLFormat| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |Point| |PrimitiveArray| |Stream| |StreamAggregate&| |String| |StringAggregate&| |Symbol| |TemplateUtilities| |TexFormat| |UniversalSegmentFunctions2| |Vector|)
 (|GenerateUnivariatePowerSeries|)
 (|FunctionSpace&| |Polynomial| |UserDefinedVariableOrdering|)
-(|GeneralUnivariatePowerSeries| |PolynomialToUnivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |UnivariateLaurentSeries| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariateSkewPolynomial| |UnivariateTaylorSeries|)
-(|AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicNumber| |AnnaOrdinaryDifferentialEquationPackage| |Asp10| |Asp19| |Asp20| |Asp28| |Asp31| |Asp35| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp78| |Asp8| |Asp80| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |BalancedPAdicRational| |BinaryExpansion| |CartesianTensor| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Complex| |ComplexCategory&| |ComplexIntegerSolveLinearPolynomialEquation| |DecimalExpansion| |DenavitHartenbergMatrix| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductFunctions2| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |EigenPackage| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionStructurePackage| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |Expression| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FortranCode| |Fraction| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeNilpotentLie| |FullyLinearlyExplicitRingOver&| |FunctionFieldCategory&| |GaloisGroupPolynomialUtilities| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GenericNonAssociativeAlgebra| |GosperSummationMethod| |GrayCode| |HallBasis| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerPrimeField| |Integer| |IntegerLinearDependence| |IntegerPrimesPackage| |IntegerSolveLinearPolynomialEquation| |IntegralBasisTools| |IntegrationResultToFunction| |IrrRepSymNatPackage| |LieSquareMatrix| |LinGroebnerPackage| |LinearDependence| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |MachineComplex| |MachineInteger| |Matrix| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularHermitianRowReduction| |MonogenicAlgebra&| |MultiVariableCalculusFunctions| |MultivariateLifting| |MultivariatePolynomial| |NPCoef| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NumberFieldIntegralBasis| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |OrderedDirectProduct| |OrderingFunctions| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |ParametricLinearEquations| |Permanent| |Permutation| |PermutationGroup| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialFactorizationExplicit&| |PolynomialIdeals| |PrimeField| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicLODE| |Quaternion| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadixExpansion| |RandomDistributions| |RationalLODE| |RealZeroPackage| |RectangularMatrix| |ReduceLODE| |RepresentationPackage1| |RepresentationPackage2| |RomanNumeral| |SequentialDifferentialPolynomial| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StructuralConstantsPackage| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SystemODESolver| |SystemSolvePackage| |TangentExpansions| |ThreeDimensionalMatrix| |TransSolvePackageService| |TranscendentalRischDESystem| |TwoDimensionalViewport| |UTSodetools| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |VectorFunctions2| |WildFunctionFieldIntegralBasis| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |e04AgentsPackage| |e04fdfAnnaType| |e04gcfAnnaType| |e04ucfAnnaType|)
+(|GeneralUnivariatePowerSeries| |MyUnivariatePolynomial| |PolynomialToUnivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariateSkewPolynomial| |UnivariateTaylorSeries|)
+(|AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicNumber| |AnnaOrdinaryDifferentialEquationPackage| |Asp10| |Asp19| |Asp20| |Asp28| |Asp31| |Asp35| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp78| |Asp8| |Asp80| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |BalancedPAdicRational| |BinaryExpansion| |CartesianTensor| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Complex| |ComplexCategory&| |ComplexIntegerSolveLinearPolynomialEquation| |DecimalExpansion| |DenavitHartenbergMatrix| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductFunctions2| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |EigenPackage| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionStructurePackage| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |Expression| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FortranCode| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeNilpotentLie| |FullyLinearlyExplicitRingOver&| |FunctionFieldCategory&| |GaloisGroupPolynomialUtilities| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GenericNonAssociativeAlgebra| |GosperSummationMethod| |GrayCode| |Guess| |HallBasis| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerPrimeField| |Integer| |IntegerLinearDependence| |IntegerPrimesPackage| |IntegerSolveLinearPolynomialEquation| |IntegralBasisTools| |IntegrationResultToFunction| |IrrRepSymNatPackage| |LieSquareMatrix| |LinGroebnerPackage| |LinearDependence| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |MachineComplex| |MachineInteger| |Matrix| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularHermitianRowReduction| |MonogenicAlgebra&| |MultiVariableCalculusFunctions| |MultivariateLifting| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NumberFieldIntegralBasis| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |OrderedDirectProduct| |OrderingFunctions| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |ParametricLinearEquations| |Permanent| |Permutation| |PermutationGroup| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialFactorizationExplicit&| |PolynomialIdeals| |PrimeField| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicLODE| |Quaternion| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadixExpansion| |RandomDistributions| |RationalInterpolation| |RationalLODE| |RealZeroPackage| |RectangularMatrix| |ReduceLODE| |RepresentationPackage1| |RepresentationPackage2| |RomanNumeral| |SequentialDifferentialPolynomial| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StructuralConstantsPackage| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SystemODESolver| |SystemSolvePackage| |TangentExpansions| |ThreeDimensionalMatrix| |TransSolvePackageService| |TranscendentalRischDESystem| |TwoDimensionalViewport| |UTSodetools| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |VectorFunctions2| |VectorSpaceBasis| |WildFunctionFieldIntegralBasis| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |e04AgentsPackage| |e04fdfAnnaType| |e04gcfAnnaType| |e04ucfAnnaType|)
 (|AlgebraicHermiteIntegration| |AlgebraicIntegrate| |Asp10| |Asp19| |Asp20| |Asp31| |Asp35| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp78| |Asp8| |Asp80| |FramedNonAssociativeAlgebraFunctions2| |GenExEuclid| |GenericNonAssociativeAlgebra| |LinearDependence| |SimpleAlgebraicExtension|)
 (|GraphImage| |MeshCreationRoutinesForThreeDimensions| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TwoDimensionalViewport| |ViewportPackage|)
 (|TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions|)
-(|AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociationList| |AttributeButtons| |Bits| |CommonOperators| |Complex| |ComplexRootFindingPackage| |DataList| |Database| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DisplayPackage| |DoubleFloat| |EqTable| |EuclideanGroebnerBasisPackage| |ExpressionToOpenMath| |FiniteAlgebraicExtensionField&| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteLinearAggregateSort| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranTemplate| |Fraction| |FramedNonAssociativeAlgebra&| |FunctionSpaceReduce| |GaloisGroupFactorizer| |GaloisGroupUtilities| |GenUFactorize| |GeneralSparseTable| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |HashTable| |HomogeneousDirectProduct| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |Integer| |IntegrationFunctionsTable| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Kernel| |KeyedAccessFile| |Library| |List| |MachineFloat| |MakeCachableSet| |MoreSystemCommands| |NAGLinkSupportPackage| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntensityFunctionsTable| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathConnection| |OpenMathDevice| |OpenMathPackage| |OpenMathServerPackage| |OrderedDirectProduct| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PermutationGroup| |Point| |PointsOfFiniteOrder| |PrimitiveArray| |PrintPackage| |QuasiComponentPackage| |RadicalFunctionField| |RandomNumberSource| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResolveLatticeCompletion| |Result| |RoutinesTable| |ScriptFormulaFormat| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SortPackage| |SortedCache| |SparseTable| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |SystemODESolver| |Table| |TabulatedComputationPackage| |TexFormat| |TheSymbolTable| |ThreeDimensionalViewport| |TwoDimensionalViewport| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |ZeroDimensionalSolvePackage| |e04AgentsPackage|)
+(|AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |ApplicationProgramInterface| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociationList| |AttributeButtons| |AxiomServer| |BinaryFile| |Bits| |CommonOperators| |Complex| |ComplexRootFindingPackage| |DataList| |Database| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DiscreteLogarithmPackage| |DisplayPackage| |DoubleFloat| |EqTable| |EuclideanGroebnerBasisPackage| |ExpressionToOpenMath| |File| |FiniteAlgebraicExtensionField&| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteLinearAggregateSort| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranTemplate| |Fraction| |FramedNonAssociativeAlgebra&| |FunctionSpaceReduce| |GaloisGroupFactorizer| |GaloisGroupUtilities| |GenUFactorize| |GeneralSparseTable| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |HashTable| |HomogeneousDirectProduct| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |Integer| |IntegrationFunctionsTable| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Kernel| |KeyedAccessFile| |Library| |List| |MachineFloat| |MakeCachableSet| |MathMLFormat| |MoreSystemCommands| |NAGLinkSupportPackage| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntensityFunctionsTable| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathConnection| |OpenMathDevice| |OpenMathPackage| |OpenMathServerPackage| |OrderedDirectProduct| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PermutationGroup| |Point| |PointsOfFiniteOrder| |PrimitiveArray| |PrintPackage| |QuasiComponentPackage| |RadicalFunctionField| |RandomNumberSource| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResolveLatticeCompletion| |Result| |RoutinesTable| |ScriptFormulaFormat| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SortPackage| |SortedCache| |SparseTable| |SparseUnivariatePolynomialExpressions| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |SystemODESolver| |Table| |TabulatedComputationPackage| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalViewport| |TwoDimensionalViewport| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |ZeroDimensionalSolvePackage| |e04AgentsPackage|)
 (|OrdinaryWeightedPolynomials|)
 (|PAdicWildFunctionFieldIntegralBasis|)
 (|LieExponentials| |LiePolynomial| |XPBWPolynomial| |XPolynomial| |XRecursivePolynomial|)
@@ -604,4 +623,4 @@
 (|AnnaNumericalOptimizationPackage|)
 (|AnnaNumericalOptimizationPackage|)
 (|AnnaNumericalOptimizationPackage|)
-(("e04ucfAnnaType" 0 209882) ("e04nafAnnaType" 0 209845) ("e04mbfAnnaType" 0 209808) ("e04jafAnnaType" 0 209771) ("e04gcfAnnaType" 0 209734) ("e04fdfAnnaType" 0 209697) ("e04dgfAnnaType" 0 209660) ("e04AgentsPackage" 0 209521) ("d03eefAnnaType" 0 209478) ("d03AgentsPackage" 0 209459) ("d02ejfAnnaType" 0 209415) ("d02cjfAnnaType" 0 209371) ("d02bhfAnnaType" 0 209327) ("d02bbfAnnaType" 0 209283) ("d02AgentsPackage" 0 209213) ("d01gbfAnnaType" 0 209177) ("d01fcfAnnaType" 0 209141) ("d01asfAnnaType" 0 209105) ("d01aqfAnnaType" 0 209069) ("d01apfAnnaType" 0 209033) ("d01anfAnnaType" 0 208997) ("d01amfAnnaType" 0 208961) ("d01alfAnnaType" 0 208925) ("d01akfAnnaType" 0 208889) ("d01ajfAnnaType" 0 208853) ("d01WeightsPackage" 0 208800) ("d01TransformFunctionType" 0 208764) ("d01AgentsPackage" 0 208511) ("XRecursivePolynomial" 0 208462) ("XPolynomialRing" 0 208435) ("XPBWPolynomial" 0 208415) ("XDistributedPolynomial" 0 208325) ("WildFunctionFieldIntegralBasis" 0 208285) ("WeightedPolynomials" 0 208253) ("Void" 0 204855) ("ViewportPackage" 0 204767) ("ViewDefaultsPackage" 0 204555) ("VectorSpace&" 0 NIL) ("VectorFunctions2" 0 204246) ("VectorCategory&" 0 NIL) ("Vector" 0 199634) ("Variable" 0 199344) ("UserDefinedPartialOrdering" 0 199282) ("UniversalSegmentFunctions2" 0 199248) ("UniversalSegment" 0 198527) ("UnivariateTaylorSeriesFunctions2" 0 198489) ("UnivariateTaylorSeriesCategory&" 0 NIL) ("UnivariateTaylorSeries" 0 198358) ("UnivariateSkewPolynomialCategoryOps" 0 198323) ("UnivariateSkewPolynomialCategory&" 0 NIL) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 198260) ("UnivariatePuiseuxSeriesConstructorCategory&" 0 NIL) ("UnivariatePuiseuxSeriesConstructor" 0 198200) ("UnivariatePuiseuxSeries" 0 197979) ("UnivariatePowerSeriesCategory&" 0 NIL) ("UnivariatePolynomialSquareFree" 0 197860) ("UnivariatePolynomialDivisionPackage" 0 197815) ("UnivariatePolynomialDecompositionPackage" 0 197789) ("UnivariatePolynomialCommonDenominator" 0 197584) ("UnivariatePolynomialCategoryFunctions2" 0 196500) ("UnivariatePolynomialCategory&" 0 NIL) ("UnivariatePolynomial" 0 196301) ("UnivariateLaurentSeriesFunctions2" 0 196263) ("UnivariateLaurentSeriesConstructorCategory&" 0 NIL) ("UnivariateLaurentSeriesConstructor" 0 196235) ("UnivariateLaurentSeries" 0 196135) ("UniqueFactorizationDomain&" 0 NIL) ("UnaryRecursiveAggregate&" 0 NIL) ("TwoFactorize" 0 196082) ("TwoDimensionalViewport" 0 195919) ("TwoDimensionalPlotClipping" 0 195873) ("TwoDimensionalArrayCategory&" 0 NIL) ("TwoDimensionalArray" 0 195857) ("TubePlotTools" 0 195816) ("TubePlot" 0 195731) ("TrigonometricManipulations" 0 195546) ("TrigonometricFunctionCategory&" 0 NIL) ("TriangularSetCategory&" 0 NIL) ("TriangularMatrixOperations" 0 195356) ("Tree" 0 195327) ("TranscendentalRischDESystem" 0 195299) ("TranscendentalRischDE" 0 195255) ("TranscendentalManipulations" 0 195139) ("TranscendentalIntegration" 0 195071) ("TranscendentalHermiteIntegration" 0 195041) ("TranscendentalFunctionCategory&" 0 NIL) ("TransSolvePackageService" 0 195019) ("TopLevelDrawFunctionsForCompiledFunctions" 0 194993) ("ToolsForSign" 0 194886) ("ThreeSpace" 0 194644) ("ThreeDimensionalViewport" 0 194527) ("ThreeDimensionalMatrix" 0 194484) ("TheSymbolTable" 0 194434) ("TextFile" 0 194414) ("TexFormat" 0 194399) ("TemplateUtilities" 0 194379) ("TaylorSeries" 0 194352) ("TangentExpansions" 0 194313) ("TabulatedComputationPackage" 0 194177) ("Tableau" 0 194157) ("TableAggregate&" 0 NIL) ("Table" 0 193595) ("SystemSolvePackage" 0 193490) ("SystemODESolver" 0 193468) ("SymmetricPolynomial" 0 193422) ("SymmetricGroupCombinatoricFunctions" 0 193373) ("SymmetricFunctions" 0 193351) ("SymbolTable" 0 193072) ("Symbol" 0 185716) ("Switch" 0 185653) ("SupFractionFactorizer" 0 185638) ("SuchThat" 0 185558) ("SubSpaceComponentProperty" 0 185464) ("SubSpace" 0 185449) ("SubResultantPackage" 0 185387) ("StringAggregate&" 0 NIL) ("String" 0 175238) ("StreamTranscendentalFunctionsNonCommutative" 0 175202) ("StreamTranscendentalFunctions" 0 174989) ("StreamTaylorSeriesOperations" 0 174606) ("StreamInfiniteProduct" 0 174540) ("StreamFunctions3" 0 174386) ("StreamFunctions2" 0 173934) ("StreamFunctions1" 0 173904) ("StreamAggregate&" 0 NIL) ("Stream" 0 172327) ("StorageEfficientMatrixOperations" 0 172316) ("Stack" 0 172278) ("SquareMatrixCategory&" 0 NIL) ("SquareMatrix" 0 172145) ("SquareFreeRegularTriangularSetGcdPackage" 0 172018) ("SquareFreeRegularTriangularSet" 0 171921) ("SquareFreeRegularSetDecompositionPackage" 0 171886) ("SquareFreeQuasiComponentPackage" 0 171709) ("SplittingTree" 0 171682) ("SplittingNode" 0 171639) ("SparseUnivariateTaylorSeries" 0 171573) ("SparseUnivariateSkewPolynomial" 0 171507) ("SparseUnivariatePolynomialFunctions2" 0 171001) ("SparseUnivariatePolynomial" 0 165214) ("SparseUnivariateLaurentSeries" 0 165180) ("SparseMultivariateTaylorSeries" 0 165163) ("SparseMultivariatePolynomial" 0 163975) ("SortedCache" 0 163946) ("SmithNormalForm" 0 163914) ("SingletonAsOrderedSet" 0 163376) ("SingleInteger" 0 156738) ("SimpleAlgebraicExtension" 0 156607) ("SetCategory&" 0 NIL) ("SetAggregate&" 0 NIL) ("Set" 0 156229) ("SequentialDifferentialVariable" 0 156192) ("SemiGroup&" 0 NIL) ("SegmentFunctions2" 0 156077) ("SegmentBindingFunctions2" 0 156035) ("SegmentBinding" 0 155701) ("Segment" 0 154645) ("ScriptFormulaFormat" 0 154620) ("SExpressionOf" 0 154604) ("SExpression" 0 154419) ("RoutinesTable" 0 153828) ("Ring&" 0 NIL) ("RightOpenIntervalRootCharacterization" 0 153812) ("RewriteRule" 0 153767) ("RetractableTo&" 0 NIL) ("RetractSolvePackage" 0 153741) ("Result" 0 152670) ("RepeatedSquaring" 0 152501) ("RepeatedDoubling" 0 152446) ("RegularTriangularSetGcdPackage" 0 152388) ("RegularTriangularSetCategory&" 0 NIL) ("RegularTriangularSet" 0 152371) ("RegularSetDecompositionPackage" 0 152346) ("RegularChain" 0 152291) ("Reference" 0 151908) ("ReductionOfOrder" 0 151875) ("ReduceLODE" 0 151853) ("RecursivePolynomialCategory&" 0 NIL) ("RecursiveAggregate&" 0 NIL) ("RectangularMatrixCategory&" 0 NIL) ("RealZeroPackage" 0 151773) ("RealSolvePackage" 0 151745) ("RealRootCharacterizationCategory&" 0 NIL) ("RealPolynomialUtilitiesPackage" 0 151703) ("RealNumberSystem&" 0 NIL) ("RealClosure" 0 151671) ("RealClosedField&" 0 NIL) ("RationalRicDE" 0 151581) ("RationalLODE" 0 151442) ("RationalIntegration" 0 151321) ("RationalFunctionSign" 0 151263) ("RationalFunctionIntegration" 0 151229) ("RationalFunctionFactor" 0 151196) ("RationalFunction" 0 151148) ("RationalFactorize" 0 150998) ("RandomNumberSource" 0 150918) ("RadixExpansion" 0 150856) ("RadicalSolvePackage" 0 150834) ("RadicalCategory&" 0 NIL) ("QuotientFieldCategoryFunctions2" 0 150811) ("QuotientFieldCategory&" 0 NIL) ("Queue" 0 150799) ("QueryEquation" 0 150786) ("QuaternionCategory&" 0 NIL) ("Quaternion" 0 150773) ("QuasiComponentPackage" 0 150659) ("QuasiAlgebraicSet" 0 150636) ("QuadraticForm" 0 150616) ("PushVariables" 0 150589) ("PureAlgebraicIntegration" 0 150512) ("PseudoRemainderSequence" 0 150427) ("PseudoLinearNormalForm" 0 150407) ("Product" 0 150366) ("PrintPackage" 0 150340) ("PrimitiveRatRicDE" 0 150322) ("PrimitiveRatDE" 0 150269) ("PrimitiveElement" 0 150235) ("PrimitiveArray" 0 149573) ("PrimeField" 0 149507) ("PrecomputedAssociatedEquations" 0 149483) ("PowerSeriesLimitPackage" 0 149391) ("PowerSeriesCategory&" 0 NIL) ("PositiveInteger" 0 140912) ("PolynomialSquareFree" 0 140888) ("PolynomialSolveByFormulas" 0 140864) ("PolynomialSetUtilitiesPackage" 0 140467) ("PolynomialSetCategory&" 0 NIL) ("PolynomialRoots" 0 140364) ("PolynomialRing" 0 140196) ("PolynomialNumberTheoryFunctions" 0 140142) ("PolynomialInterpolationAlgorithms" 0 140114) ("PolynomialIdeals" 0 140063) ("PolynomialGcdPackage" 0 139987) ("PolynomialFunctions2" 0 139791) ("PolynomialFactorizationExplicit&" 0 NIL) ("PolynomialFactorizationByRecursionUnivariate" 0 139728) ("PolynomialFactorizationByRecursion" 0 139704) ("PolynomialDecomposition" 0 139674) ("PolynomialCategoryQuotientFunctions" 0 139275) ("PolynomialCategoryLifting" 0 138648) ("PolynomialCategory&" 0 NIL) ("Polynomial" 0 136402) ("PolyGroebner" 0 136356) ("PolToPol" 0 136319) ("PointsOfFiniteOrderTools" 0 136265) ("PointsOfFiniteOrder" 0 136242) ("PointPackage" 0 136101) ("Point" 0 135686) ("PoincareBirkhoffWittLyndonBasis" 0 135649) ("PlotTools" 0 135634) ("Plot3D" 0 135567) ("Plot" 0 135430) ("PlaneAlgebraicCurvePlot" 0 135386) ("PiCoercions" 0 135364) ("Pi" 0 135328) ("PermutationGroup" 0 135299) ("Permutation" 0 135204) ("PatternMatchTools" 0 135141) ("PatternMatchSymbol" 0 135130) ("PatternMatchResultFunctions2" 0 135083) ("PatternMatchResult" 0 133745) ("PatternMatchQuotientFieldCategory" 0 133718) ("PatternMatchPushDown" 0 133597) ("PatternMatchPolynomialCategory" 0 133560) ("PatternMatchListResult" 0 133515) ("PatternMatchListAggregate" 0 133498) ("PatternMatchKernel" 0 133455) ("PatternMatchIntegration" 0 133336) ("PatternMatchIntegerNumberSystem" 0 133311) ("PatternMatchFunctionSpace" 0 133296) ("PatternFunctions1" 0 133226) ("Pattern" 0 131773) ("PartitionsAndPermutations" 0 131681) ("Partition" 0 131572) ("PartialDifferentialRing&" 0 NIL) ("ParametricSurface" 0 131472) ("ParametricSpaceCurve" 0 131369) ("ParametricPlaneCurve" 0 131266) ("ParadoxicalCombinatorsForStreams" 0 131065) ("Palette" 0 130863) ("PAdicRationalConstructor" 0 130821) ("PAdicInteger" 0 130803) ("OutputPackage" 0 130535) ("OutputForm" 0 122038) ("OrderlyDifferentialVariable" 0 121932) ("OrderlyDifferentialPolynomial" 0 121899) ("OrderedVariableList" 0 121520) ("OrderedSet&" 0 NIL) ("OrderedRing&" 0 NIL) ("OrderedFreeMonoid" 0 121368) ("OrderedCompletionFunctions2" 0 121297) ("OrderedCompletion" 0 120514) ("OrdSetInts" 0 120480) ("OpenMathPackage" 0 120454) ("OpenMathErrorKind" 0 120436) ("OpenMathEncoding" 0 120258) ("OpenMathDevice" 0 120076) ("OpenMathConnection" 0 120050) ("OnePointCompletionFunctions2" 0 120017) ("OnePointCompletion" 0 119362) ("OneDimensionalArrayAggregate&" 0 NIL) ("OneDimensionalArray" 0 119293) ("OctonionCategory&" 0 NIL) ("ODETools" 0 119245) ("ODEIntensityFunctionsTable" 0 119182) ("ODEIntegration" 0 119073) ("NumericalPDEProblem" 0 119030) ("NumericalOptimizationProblem" 0 118974) ("NumericalODEProblem" 0 118930) ("NumericalIntegrationProblem" 0 118867) ("NumericTubePlot" 0 118821) ("NumericRealEigenPackage" 0 118800) ("Numeric" 0 118761) ("NumberTheoreticPolynomialFunctions" 0 118731) ("NumberFormats" 0 118701) ("NormalizationPackage" 0 118528) ("NoneFunctions1" 0 118493) ("None" 0 118241) ("NonNegativeInteger" 0 104313) ("NonLinearSolvePackage" 0 104295) ("NonLinearFirstOrderODESolver" 0 104263) ("NonAssociativeRng&" 0 NIL) ("NonAssociativeRing&" 0 NIL) ("NonAssociativeAlgebra&" 0 NIL) ("NewSparseUnivariatePolynomialFunctions2" 0 104227) ("NewSparseUnivariatePolynomial" 0 104149) ("NewSparseMultivariatePolynomial" 0 104037) ("NagPartialDifferentialEquationsPackage" 0 104018) ("NagOrdinaryDifferentialEquationsPackage" 0 103948) ("NagOptimisationPackage" 0 103792) ("NagIntegrationPackage" 0 103620) ("NagEigenPackage" 0 103599) ("NPCoef" 0 103575) ("NAGLinkSupportPackage" 0 103163) ("MultivariateSquareFree" 0 103099) ("MultivariateLifting" 0 103011) ("MultivariateFactorize" 0 102678) ("Multiset" 0 102619) ("MultipleMap" 0 102544) ("MultiVariableCalculusFunctions" 0 102450) ("MultFiniteFactorize" 0 102376) ("MoreSystemCommands" 0 102305) ("MonomialExtensionTools" 0 102186) ("MonoidRing" 0 102161) ("Monoid&" 0 NIL) ("MonogenicAlgebra&" 0 NIL) ("MonadWithUnit&" 0 NIL) ("Monad&" 0 NIL) ("MoebiusTransform" 0 102139) ("ModuleOperator" 0 102126) ("ModuleMonomial" 0 102098) ("Module&" 0 NIL) ("ModularRing" 0 102058) ("ModularHermitianRowReduction" 0 101853) ("ModularDistinctDegreeFactorizer" 0 101796) ("ModMonic" 0 101686) ("MeshCreationRoutinesForThreeDimensions" 0 101640) ("MergeThing" 0 101627) ("MatrixLinearAlgebraFunctions" 0 101600) ("MatrixCommonDenominator" 0 101490) ("MatrixCategoryFunctions2" 0 101109) ("MatrixCategory&" 0 NIL) ("Matrix" 0 96647) ("MappingPackageInternalHacks3" 0 96627) ("MappingPackageInternalHacks2" 0 96607) ("MappingPackageInternalHacks1" 0 96587) ("MakeUnaryCompiledFunction" 0 96527) ("MakeFunction" 0 96468) ("MakeFloatCompiledFunction" 0 96404) ("MakeBinaryCompiledFunction" 0 96374) ("Magma" 0 96343) ("MachineInteger" 0 96309) ("MachineFloat" 0 96240) ("MRationalFactorize" 0 96076) ("MPolyCatRationalFunctionFactorizer" 0 95966) ("MPolyCatPolyFactorizer" 0 95929) ("MPolyCatFunctions3" 0 95916) ("MPolyCatFunctions2" 0 95864) ("LyndonWord" 0 95777) ("Logic&" 0 NIL) ("Localize" 0 95760) ("LocalAlgebra" 0 95747) ("ListToMap" 0 95696) ("ListMultiDictionary" 0 95664) ("ListMonoidOps" 0 95612) ("ListFunctions2" 0 95231) ("ListAggregate&" 0 NIL) ("List" 0 79846) ("LiouvillianFunction" 0 79805) ("LinearSystemPolynomialPackage" 0 79782) ("LinearSystemMatrixPackage" 0 79448) ("LinearPolynomialEquationByFractions" 0 79327) ("LinearOrdinaryDifferentialOperatorsOps" 0 79288) ("LinearOrdinaryDifferentialOperatorFactorizer" 0 79255) ("LinearOrdinaryDifferentialOperatorCategory&" 0 NIL) ("LinearOrdinaryDifferentialOperator2" 0 79222) ("LinearOrdinaryDifferentialOperator1" 0 79058) ("LinearOrdinaryDifferentialOperator" 0 78980) ("LinearDependence" 0 78952) ("LinearAggregate&" 0 NIL) ("LinGroebnerPackage" 0 78915) ("LiePolynomial" 0 78878) ("LieAlgebra&" 0 NIL) ("LexTriangularPackage" 0 78846) ("LeftAlgebra&" 0 NIL) ("LeadingCoefDetermination" 0 78806) ("LazyStreamAggregate&" 0 NIL) ("LaurentPolynomial" 0 78735) ("Kovacic" 0 78702) ("KeyedDictionary&" 0 NIL) ("KeyedAccessFile" 0 78690) ("KernelFunctions2" 0 78675) ("Kernel" 0 76916) ("IrredPolyOverFiniteField" 0 76876) ("Interval" 0 76829) ("InternalRationalUnivariateRepresentationPackage" 0 76755) ("InternalPrintPackage" 0 76647) ("IntegrationTools" 0 76338) ("IntegrationResultToFunction" 0 76243) ("IntegrationResultRFToFunction" 0 76203) ("IntegrationResultFunctions2" 0 76004) ("IntegrationResult" 0 75613) ("IntegrationFunctionsTable" 0 75558) ("IntegralDomain&" 0 NIL) ("IntegralBasisTools" 0 75429) ("IntegralBasisPolynomialTools" 0 75389) ("IntegerSolveLinearPolynomialEquation" 0 75377) ("IntegerRoots" 0 75192) ("IntegerRetractions" 0 75160) ("IntegerPrimesPackage" 0 74728) ("IntegerNumberTheoryFunctions" 0 74643) ("IntegerNumberSystem&" 0 NIL) ("IntegerMod" 0 74623) ("IntegerLinearDependence" 0 74584) ("IntegerFactorizationPackage" 0 74460) ("IntegerCombinatoricFunctions" 0 74252) ("IntegerBits" 0 74221) ("Integer" 0 60455) ("InputFormFunctions1" 0 60436) ("InputForm" 0 58392) ("InnerTrigonometricManipulations" 0 58264) ("InnerTaylorSeries" 0 58204) ("InnerTable" 0 58194) ("InnerSparseUnivariatePowerSeries" 0 58097) ("InnerPrimeField" 0 58063) ("InnerPolySum" 0 58039) ("InnerPolySign" 0 57956) ("InnerPAdicInteger" 0 57916) ("InnerNumericFloatSolvePackage" 0 57819) ("InnerNumericEigenPackage" 0 57762) ("InnerNormalBasisFieldFunctions" 0 57714) ("InnerMultFact" 0 57668) ("InnerMatrixQuotientFieldFunctions" 0 57635) ("InnerMatrixLinearAlgebraFunctions" 0 57566) ("InnerIndexedTwoDimensionalArray" 0 57488) ("InnerFreeAbelianMonoid" 0 57447) ("InnerEvalable&" 0 NIL) ("InnerCommonDenominator" 0 57228) ("InnerAlgebraicNumber" 0 57208) ("InnerAlgFactor" 0 57139) ("InfiniteTuple" 0 57085) ("IndexedVector" 0 57058) ("IndexedString" 0 57047) ("IndexedOneDimensionalArray" 0 56978) ("IndexedList" 0 56969) ("IndexedFlexibleArray" 0 56882) ("IndexedExponents" 0 56606) ("IndexedDirectProductOrderedAbelianMonoidSup" 0 56585) ("IndexedDirectProductOrderedAbelianMonoid" 0 56537) ("IndexedDirectProductObject" 0 56499) ("IndexedDirectProductAbelianMonoid" 0 56419) ("IndexedDirectProductAbelianGroup" 0 56404) ("IndexedBits" 0 56395) ("IndexedAggregate&" 0 NIL) ("IdealDecompositionPackage" 0 56372) ("HyperbolicFunctionCategory&" 0 NIL) ("HomogeneousDistributedMultivariatePolynomial" 0 56303) ("HomogeneousDirectProduct" 0 56222) ("HomogeneousAggregate&" 0 NIL) ("HeuGcd" 0 56210) ("HashTable" 0 56154) ("HallBasis" 0 56133) ("Group&" 0 NIL) ("GroebnerPackage" 0 55945) ("GroebnerInternalPackage" 0 55790) ("GrayCode" 0 55776) ("GraphicsDefaults" 0 55676) ("GraphImage" 0 55598) ("GradedModule&" 0 NIL) ("GradedAlgebra&" 0 NIL) ("GosperSummationMethod" 0 55555) ("GenusZeroIntegration" 0 55526) ("GeneralizedMultivariateFactorize" 0 55462) ("GeneralTriangularSet" 0 55403) ("GeneralSparseTable" 0 55387) ("GeneralPolynomialSet" 0 55196) ("GeneralPolynomialGcdPackage" 0 55172) ("GeneralHenselPackage" 0 55086) ("GeneralDistributedMultivariatePolynomial" 0 55001) ("GenUFactorize" 0 54949) ("GenExEuclid" 0 54775) ("GcdDomain&" 0 NIL) ("GaloisGroupUtilities" 0 54737) ("GaloisGroupPolynomialUtilities" 0 54711) ("GaloisGroupFactorizer" 0 54663) ("GaloisGroupFactorizationUtilities" 0 54620) ("FunctionalSpecialFunction" 0 54605) ("FunctionSpaceUnivariatePolynomialFactor" 0 54506) ("FunctionSpaceToUnivariatePowerSeries" 0 54466) ("FunctionSpacePrimitiveElement" 0 54389) ("FunctionSpaceIntegration" 0 54181) ("FunctionSpaceFunctions2" 0 54097) ("FunctionSpaceComplexIntegration" 0 54068) ("FunctionSpaceAttachPredicates" 0 54021) ("FunctionSpaceAssertions" 0 53954) ("FunctionSpace&" 0 NIL) ("FunctionFieldCategoryFunctions2" 0 53926) ("FunctionFieldCategory&" 0 NIL) ("FullyRetractableTo&" 0 NIL) ("FullyLinearlyExplicitRingOver&" 0 NIL) ("FullyEvalableOver&" 0 NIL) ("FreeMonoid" 0 53904) ("FreeModule1" 0 53828) ("FreeModule" 0 53723) ("FreeGroup" 0 53693) ("FreeAbelianGroup" 0 53674) ("FramedNonAssociativeAlgebra&" 0 NIL) ("FramedModule" 0 53656) ("FramedAlgebra&" 0 NIL) ("FractionalIdealFunctions2" 0 53628) ("FractionalIdeal" 0 53460) ("Fraction" 0 46384) ("FourierComponent" 0 46366) ("FortranType" 0 46076) ("FortranScalarType" 0 45796) ("FortranPackage" 0 45586) ("FortranOutputStackPackage" 0 45341) ("FortranExpression" 0 45176) ("FortranCode" 0 44909) ("FloatingRealPackage" 0 44888) ("FloatingPointSystem&" 0 NIL) ("Float" 0 43075) ("FlexibleArray" 0 43050) ("FiniteSetAggregate&" 0 NIL) ("FiniteRankNonAssociativeAlgebra&" 0 NIL) ("FiniteRankAlgebra&" 0 NIL) ("FiniteLinearAggregateSort" 0 43016) ("FiniteLinearAggregateFunctions2" 0 42837) ("FiniteLinearAggregate&" 0 NIL) ("FiniteFieldSolveLinearPolynomialEquation" 0 42806) ("FiniteFieldPolynomialPackage" 0 42604) ("FiniteFieldNormalBasisExtensionByPolynomial" 0 42543) ("FiniteFieldFunctions" 0 42390) ("FiniteFieldExtensionByPolynomial" 0 42305) ("FiniteFieldExtension" 0 42284) ("FiniteFieldCyclicGroupExtensionByPolynomial" 0 42223) ("FiniteFieldCategory&" 0 NIL) ("FiniteDivisorCategory&" 0 NIL) ("FiniteDivisor" 0 42087) ("FiniteAlgebraicExtensionField&" 0 NIL) ("FiniteAbelianMonoidRing&" 0 NIL) ("FileName" 0 41727) ("File" 0 41673) ("FieldOfPrimeCharacteristic&" 0 NIL) ("Field&" 0 NIL) ("FactoringUtilities" 0 41585) ("FactoredFunctions2" 0 41390) ("FactoredFunctions" 0 41321) ("FactoredFunctionUtilities" 0 41206) ("Factored" 0 37252) ("ExtensionField&" 0 NIL) ("ExtensibleLinearAggregate&" 0 NIL) ("ExtAlgBasis" 0 37223) ("ExpressionSpaceFunctions2" 0 37125) ("ExpressionSpace&" 0 NIL) ("ExpressionFunctions2" 0 36748) ("Expression" 0 35073) ("ExponentialOfUnivariatePuiseuxSeries" 0 34958) ("ExponentialExpansion" 0 34918) ("ExpertSystemToolsPackage2" 0 34880) ("ExpertSystemToolsPackage1" 0 34859) ("ExpertSystemToolsPackage" 0 34368) ("ExpertSystemContinuityPackage" 0 34330) ("Exit" 0 34060) ("Evalable&" 0 NIL) ("EuclideanModularRing" 0 34040) ("EuclideanDomain&" 0 NIL) ("ErrorFunctions" 0 33832) ("Equation" 0 30788) ("EltableAggregate&" 0 NIL) ("ElementaryRischDESystem" 0 30762) ("ElementaryRischDE" 0 30736) ("ElementaryIntegration" 0 30654) ("ElementaryFunctionsUnivariatePuiseuxSeries" 0 30614) ("ElementaryFunctionsUnivariateLaurentSeries" 0 30543) ("ElementaryFunctionStructurePackage" 0 30213) ("ElementaryFunctionSign" 0 29851) ("ElementaryFunctionODESolver" 0 29818) ("ElementaryFunctionCategory&" 0 NIL) ("ElementaryFunction" 0 29803) ("EigenPackage" 0 29779) ("DrawOptionFunctions1" 0 29754) ("DrawOptionFunctions0" 0 29560) ("DrawOption" 0 29398) ("DoubleResultantPackage" 0 29375) ("DoubleFloatSpecialFunctions" 0 29359) ("DoubleFloat" 0 27285) ("DivisionRing&" 0 NIL) ("DistributedMultivariatePolynomial" 0 27167) ("DistinctDegreeFactorize" 0 26848) ("DisplayPackage" 0 26822) ("DiscreteLogarithmPackage" 0 26797) ("DirectProductCategory&" 0 NIL) ("DirectProduct" 0 26388) ("DifferentialVariableCategory&" 0 NIL) ("DifferentialSparseMultivariatePolynomial" 0 26278) ("DifferentialRing&" 0 NIL) ("DifferentialPolynomialCategory&" 0 NIL) ("DifferentialExtension&" 0 NIL) ("DictionaryOperations&" 0 NIL) ("Dictionary&" 0 NIL) ("DegreeReductionPackage" 0 26254) ("DefiniteIntegrationTools" 0 26174) ("Database" 0 26154) ("DataList" 0 26141) ("CyclotomicPolynomialPackage" 0 26093) ("CyclicStreamTools" 0 26059) ("CoordinateSystems" 0 26017) ("ContinuedFraction" 0 25902) ("ConstantLODE" 0 25869) ("ComplexRootPackage" 0 25810) ("ComplexPatternMatch" 0 25789) ("ComplexPattern" 0 25768) ("ComplexIntegerSolveLinearPolynomialEquation" 0 25747) ("ComplexFunctions2" 0 25715) ("ComplexFactorization" 0 25647) ("ComplexCategory&" 0 NIL) ("Complex" 0 25130) ("CommuteUnivariatePolynomialCategory" 0 24983) ("Commutator" 0 24962) ("CommonOperators" 0 24809) ("CommonDenominator" 0 24711) ("CombinatorialFunction" 0 24696) ("Color" 0 24597) ("Collection&" 0 NIL) ("CoerceVectorMatrixPackage" 0 24533) ("ChineseRemainderToolsForIntegralBases" 0 24493) ("CharacteristicPolynomialInMonogenicalAlgebra" 0 24471) ("CharacterClass" 0 24413) ("Character" 0 24133) ("ChangeOfVariable" 0 24033) ("CartesianTensor" 0 24003) ("CardinalNumber" 0 23414) ("BrillhartTests" 0 23388) ("BoundIntegerRoots" 0 23354) ("Boolean" 0 7075) ("Bits" 0 7048) ("BitAggregate&" 0 NIL) ("BinaryTreeCategory&" 0 NIL) ("BinaryTree" 0 6987) ("BinaryRecursiveAggregate&" 0 NIL) ("BasicType&" 0 NIL) ("BasicOperatorFunctions1" 0 6815) ("BasicOperator" 0 5470) ("BasicFunctions" 0 5436) ("BalancedPAdicInteger" 0 5410) ("BalancedFactorisation" 0 5371) ("BagAggregate&" 0 NIL) ("Automorphism" 0 5191) ("AttributeButtons" 0 4917) ("AssociationList" 0 4765) ("AssociatedLieAlgebra" 0 4745) ("Asp9" 0 4650) ("Asp80" 0 4606) ("Asp8" 0 4511) ("Asp78" 0 4467) ("Asp77" 0 4423) ("Asp74" 0 4363) ("Asp73" 0 4303) ("Asp7" 0 4191) ("Asp6" 0 4165) ("Asp55" 0 4121) ("Asp50" 0 4077) ("Asp49" 0 4016) ("Asp42" 0 3972) ("Asp41" 0 3928) ("Asp4" 0 3868) ("Asp35" 0 3842) ("Asp34" 0 3806) ("Asp33" 0 3762) ("Asp31" 0 3701) ("Asp30" 0 3665) ("Asp29" 0 3645) ("Asp28" 0 3591) ("Asp27" 0 3571) ("Asp24" 0 3527) ("Asp20" 0 3483) ("Asp19" 0 3439) ("Asp12" 0 3395) ("Asp10" 0 3351) ("Asp1" 0 3165) ("ArcTrigonometricFunctionCategory&" 0 NIL) ("ApplyUnivariateSkewPolynomial" 0 3125) ("ApplyRules" 0 3069) ("AnyFunctions1" 0 2040) ("Any" 0 728) ("AntiSymm" 0 710) ("AnnaNumericalOptimizationPackage" 0 689) ("AnnaNumericalIntegrationPackage" 0 660) ("AlgebraicallyClosedFunctionSpace&" 0 NIL) ("AlgebraicallyClosedField&" 0 NIL) ("AlgebraicNumber" 0 510) ("AlgebraicManipulations" 0 224) ("AlgebraicIntegration" 0 198) ("AlgebraicHermiteIntegration" 0 175) ("AlgebraicFunction" 0 160) ("AlgebraGivenByStructuralConstants" 0 127) ("Algebra&" 0 NIL) ("AlgFactor" 0 20) ("Aggregate&" 0 NIL) ("AbelianSemiGroup&" 0 NIL) ("AbelianMonoidRing&" 0 NIL) ("AbelianMonoid&" 0 NIL) ("AbelianGroup&" 0 NIL))
\ No newline at end of file
+(("e04ucfAnnaType" 0 216549) ("e04nafAnnaType" 0 216512) ("e04mbfAnnaType" 0 216475) ("e04jafAnnaType" 0 216438) ("e04gcfAnnaType" 0 216401) ("e04fdfAnnaType" 0 216364) ("e04dgfAnnaType" 0 216327) ("e04AgentsPackage" 0 216188) ("d03eefAnnaType" 0 216145) ("d03AgentsPackage" 0 216126) ("d02ejfAnnaType" 0 216082) ("d02cjfAnnaType" 0 216038) ("d02bhfAnnaType" 0 215994) ("d02bbfAnnaType" 0 215950) ("d02AgentsPackage" 0 215880) ("d01gbfAnnaType" 0 215844) ("d01fcfAnnaType" 0 215808) ("d01asfAnnaType" 0 215772) ("d01aqfAnnaType" 0 215736) ("d01apfAnnaType" 0 215700) ("d01anfAnnaType" 0 215664) ("d01amfAnnaType" 0 215628) ("d01alfAnnaType" 0 215592) ("d01akfAnnaType" 0 215556) ("d01ajfAnnaType" 0 215520) ("d01WeightsPackage" 0 215467) ("d01TransformFunctionType" 0 215431) ("d01AgentsPackage" 0 215178) ("XRecursivePolynomial" 0 215129) ("XPolynomialRing" 0 215102) ("XPBWPolynomial" 0 215082) ("XDistributedPolynomial" 0 214992) ("WildFunctionFieldIntegralBasis" 0 214952) ("WeightedPolynomials" 0 214920) ("Void" 0 211332) ("ViewportPackage" 0 211244) ("ViewDefaultsPackage" 0 211032) ("VectorSpace&" 0 NIL) ("VectorFunctions2" 0 210723) ("VectorCategory&" 0 NIL) ("Vector" 0 205917) ("Variable" 0 205572) ("UserDefinedPartialOrdering" 0 205510) ("UniversalSegmentFunctions2" 0 205476) ("UniversalSegment" 0 204726) ("UnivariateTaylorSeriesFunctions2" 0 204688) ("UnivariateTaylorSeriesCategory&" 0 NIL) ("UnivariateTaylorSeries" 0 204527) ("UnivariateSkewPolynomialCategoryOps" 0 204492) ("UnivariateSkewPolynomialCategory&" 0 NIL) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 204429) ("UnivariatePuiseuxSeriesConstructorCategory&" 0 NIL) ("UnivariatePuiseuxSeriesConstructor" 0 204369) ("UnivariatePuiseuxSeries" 0 204148) ("UnivariatePowerSeriesCategory&" 0 NIL) ("UnivariatePolynomialSquareFree" 0 204029) ("UnivariatePolynomialDivisionPackage" 0 203984) ("UnivariatePolynomialDecompositionPackage" 0 203958) ("UnivariatePolynomialCommonDenominator" 0 203745) ("UnivariatePolynomialCategoryFunctions2" 0 202621) ("UnivariatePolynomialCategory&" 0 NIL) ("UnivariatePolynomial" 0 202384) ("UnivariateLaurentSeriesFunctions2" 0 202346) ("UnivariateLaurentSeriesConstructorCategory&" 0 NIL) ("UnivariateLaurentSeriesConstructor" 0 202318) ("UnivariateLaurentSeries" 0 202218) ("UnivariateFormalPowerSeriesFunctions" 0 202208) ("UnivariateFormalPowerSeries" 0 202120) ("UniqueFactorizationDomain&" 0 NIL) ("UnaryRecursiveAggregate&" 0 NIL) ("TwoFactorize" 0 202067) ("TwoDimensionalViewport" 0 201904) ("TwoDimensionalPlotClipping" 0 201858) ("TwoDimensionalArrayCategory&" 0 NIL) ("TwoDimensionalArray" 0 201842) ("TubePlotTools" 0 201801) ("TubePlot" 0 201716) ("TrigonometricManipulations" 0 201531) ("TrigonometricFunctionCategory&" 0 NIL) ("TriangularSetCategory&" 0 NIL) ("TriangularMatrixOperations" 0 201341) ("Tree" 0 201312) ("TranscendentalRischDESystem" 0 201284) ("TranscendentalRischDE" 0 201240) ("TranscendentalManipulations" 0 201124) ("TranscendentalIntegration" 0 201056) ("TranscendentalHermiteIntegration" 0 201026) ("TranscendentalFunctionCategory&" 0 NIL) ("TransSolvePackageService" 0 201004) ("TopLevelDrawFunctionsForCompiledFunctions" 0 200978) ("ToolsForSign" 0 200871) ("ThreeSpace" 0 200629) ("ThreeDimensionalViewport" 0 200512) ("ThreeDimensionalMatrix" 0 200469) ("TheSymbolTable" 0 200419) ("TextFile" 0 200399) ("TexFormat" 0 200384) ("TemplateUtilities" 0 200364) ("TaylorSolve" 0 200344) ("TaylorSeries" 0 200317) ("TangentExpansions" 0 200278) ("TabulatedComputationPackage" 0 200142) ("Tableau" 0 200122) ("TableAggregate&" 0 NIL) ("Table" 0 199560) ("SystemSolvePackage" 0 199455) ("SystemODESolver" 0 199433) ("SymmetricPolynomial" 0 199387) ("SymmetricGroupCombinatoricFunctions" 0 199338) ("SymmetricFunctions" 0 199316) ("SymbolTable" 0 199037) ("Symbol" 0 191334) ("Switch" 0 191271) ("SupFractionFactorizer" 0 191256) ("SuchThat" 0 191176) ("SubSpaceComponentProperty" 0 191082) ("SubSpace" 0 191067) ("SubResultantPackage" 0 191005) ("StringAggregate&" 0 NIL) ("String" 0 180603) ("StreamTranscendentalFunctionsNonCommutative" 0 180567) ("StreamTranscendentalFunctions" 0 180354) ("StreamTaylorSeriesOperations" 0 179971) ("StreamInfiniteProduct" 0 179905) ("StreamFunctions3" 0 179712) ("StreamFunctions2" 0 179225) ("StreamFunctions1" 0 179187) ("StreamAggregate&" 0 NIL) ("Stream" 0 177456) ("StorageEfficientMatrixOperations" 0 177445) ("Stack" 0 177407) ("SquareMatrixCategory&" 0 NIL) ("SquareMatrix" 0 177274) ("SquareFreeRegularTriangularSetGcdPackage" 0 177147) ("SquareFreeRegularTriangularSet" 0 177050) ("SquareFreeRegularSetDecompositionPackage" 0 177015) ("SquareFreeQuasiComponentPackage" 0 176838) ("SplittingTree" 0 176811) ("SplittingNode" 0 176768) ("SparseUnivariateTaylorSeries" 0 176702) ("SparseUnivariateSkewPolynomial" 0 176636) ("SparseUnivariatePolynomialFunctions2" 0 176122) ("SparseUnivariatePolynomialExpressions" 0 176088) ("SparseUnivariatePolynomial" 0 170078) ("SparseUnivariateLaurentSeries" 0 170044) ("SparseMultivariateTaylorSeries" 0 170027) ("SparseMultivariatePolynomial" 0 168795) ("SortedCache" 0 168766) ("SmithNormalForm" 0 168734) ("SingletonAsOrderedSet" 0 168101) ("SingleInteger" 0 161271) ("SimpleAlgebraicExtension" 0 161140) ("SetCategory&" 0 NIL) ("SetAggregate&" 0 NIL) ("Set" 0 160732) ("SequentialDifferentialVariable" 0 160695) ("SemiGroup&" 0 NIL) ("SegmentFunctions2" 0 160580) ("SegmentBindingFunctions2" 0 160538) ("SegmentBinding" 0 160181) ("Segment" 0 159117) ("ScriptFormulaFormat" 0 159092) ("SExpressionOf" 0 159076) ("SExpression" 0 158847) ("RoutinesTable" 0 158256) ("Ring&" 0 NIL) ("RightOpenIntervalRootCharacterization" 0 158240) ("RewriteRule" 0 158195) ("RetractableTo&" 0 NIL) ("RetractSolvePackage" 0 158169) ("Result" 0 157098) ("RepeatedSquaring" 0 156929) ("RepeatedDoubling" 0 156874) ("RegularTriangularSetGcdPackage" 0 156816) ("RegularTriangularSetCategory&" 0 NIL) ("RegularTriangularSet" 0 156799) ("RegularSetDecompositionPackage" 0 156774) ("RegularChain" 0 156719) ("Reference" 0 156336) ("ReductionOfOrder" 0 156303) ("ReduceLODE" 0 156281) ("RecursivePolynomialCategory&" 0 NIL) ("RecursiveAggregate&" 0 NIL) ("RecurrenceOperator" 0 156271) ("RectangularMatrixCategory&" 0 NIL) ("RealZeroPackage" 0 156191) ("RealSolvePackage" 0 156163) ("RealRootCharacterizationCategory&" 0 NIL) ("RealPolynomialUtilitiesPackage" 0 156121) ("RealNumberSystem&" 0 NIL) ("RealClosure" 0 156089) ("RealClosedField&" 0 NIL) ("RationalRicDE" 0 155999) ("RationalLODE" 0 155860) ("RationalIntegration" 0 155739) ("RationalFunctionSign" 0 155681) ("RationalFunctionIntegration" 0 155647) ("RationalFunctionFactor" 0 155614) ("RationalFunction" 0 155566) ("RationalFactorize" 0 155416) ("RandomNumberSource" 0 155336) ("RadixExpansion" 0 155274) ("RadicalSolvePackage" 0 155252) ("RadicalCategory&" 0 NIL) ("QuotientFieldCategoryFunctions2" 0 155229) ("QuotientFieldCategory&" 0 NIL) ("Queue" 0 155217) ("QueryEquation" 0 155204) ("QuaternionCategory&" 0 NIL) ("Quaternion" 0 155191) ("QuasiComponentPackage" 0 155077) ("QuasiAlgebraicSet" 0 155054) ("QuadraticForm" 0 155034) ("PushVariables" 0 155007) ("PureAlgebraicIntegration" 0 154930) ("PseudoRemainderSequence" 0 154845) ("PseudoLinearNormalForm" 0 154825) ("Product" 0 154784) ("PrintPackage" 0 154758) ("PrimitiveRatRicDE" 0 154740) ("PrimitiveRatDE" 0 154687) ("PrimitiveElement" 0 154653) ("PrimitiveArray" 0 153991) ("PrimeField" 0 153925) ("PrecomputedAssociatedEquations" 0 153901) ("PowerSeriesLimitPackage" 0 153809) ("PowerSeriesCategory&" 0 NIL) ("PositiveInteger" 0 145115) ("PolynomialSquareFree" 0 145091) ("PolynomialSolveByFormulas" 0 145067) ("PolynomialSetUtilitiesPackage" 0 144670) ("PolynomialSetCategory&" 0 NIL) ("PolynomialRoots" 0 144567) ("PolynomialRing" 0 144399) ("PolynomialNumberTheoryFunctions" 0 144345) ("PolynomialInterpolationAlgorithms" 0 144317) ("PolynomialIdeals" 0 144266) ("PolynomialGcdPackage" 0 144190) ("PolynomialFunctions2" 0 143994) ("PolynomialFactorizationExplicit&" 0 NIL) ("PolynomialFactorizationByRecursionUnivariate" 0 143931) ("PolynomialFactorizationByRecursion" 0 143907) ("PolynomialDecomposition" 0 143877) ("PolynomialCategoryQuotientFunctions" 0 143478) ("PolynomialCategoryLifting" 0 142843) ("PolynomialCategory&" 0 NIL) ("Polynomial" 0 140503) ("PolyGroebner" 0 140457) ("PolToPol" 0 140420) ("PointsOfFiniteOrderTools" 0 140366) ("PointsOfFiniteOrder" 0 140343) ("PointPackage" 0 140202) ("Point" 0 139787) ("PoincareBirkhoffWittLyndonBasis" 0 139750) ("PlotTools" 0 139735) ("Plot3D" 0 139668) ("Plot" 0 139531) ("PlaneAlgebraicCurvePlot" 0 139487) ("PiCoercions" 0 139465) ("Pi" 0 139429) ("PermutationGroup" 0 139400) ("Permutation" 0 139305) ("PatternMatchTools" 0 139242) ("PatternMatchSymbol" 0 139231) ("PatternMatchResultFunctions2" 0 139184) ("PatternMatchResult" 0 137766) ("PatternMatchQuotientFieldCategory" 0 137739) ("PatternMatchPushDown" 0 137618) ("PatternMatchPolynomialCategory" 0 137581) ("PatternMatchListResult" 0 137536) ("PatternMatchListAggregate" 0 137519) ("PatternMatchKernel" 0 137476) ("PatternMatchIntegration" 0 137357) ("PatternMatchIntegerNumberSystem" 0 137332) ("PatternMatchFunctionSpace" 0 137317) ("PatternFunctions1" 0 137247) ("Pattern" 0 135714) ("PartitionsAndPermutations" 0 135614) ("Partition" 0 135497) ("PartialDifferentialRing&" 0 NIL) ("ParametricSurface" 0 135397) ("ParametricSpaceCurve" 0 135294) ("ParametricPlaneCurve" 0 135191) ("ParadoxicalCombinatorsForStreams" 0 134990) ("Palette" 0 134788) ("PAdicRationalConstructor" 0 134746) ("PAdicInteger" 0 134728) ("OutputPackage" 0 134374) ("OutputForm" 0 125599) ("OrderlyDifferentialVariable" 0 125493) ("OrderlyDifferentialPolynomial" 0 125460) ("OrderedVariableList" 0 125073) ("OrderedSet&" 0 NIL) ("OrderedRing&" 0 NIL) ("OrderedFreeMonoid" 0 124921) ("OrderedCompletionFunctions2" 0 124850) ("OrderedCompletion" 0 124067) ("OrdSetInts" 0 124033) ("OpenMathPackage" 0 124007) ("OpenMathErrorKind" 0 123989) ("OpenMathEncoding" 0 123811) ("OpenMathDevice" 0 123629) ("OpenMathConnection" 0 123603) ("OnePointCompletionFunctions2" 0 123570) ("OnePointCompletion" 0 122885) ("OneDimensionalArrayAggregate&" 0 NIL) ("OneDimensionalArray" 0 122816) ("OctonionCategory&" 0 NIL) ("ODETools" 0 122768) ("ODEIntensityFunctionsTable" 0 122705) ("ODEIntegration" 0 122596) ("NumericalPDEProblem" 0 122553) ("NumericalOptimizationProblem" 0 122497) ("NumericalODEProblem" 0 122453) ("NumericalIntegrationProblem" 0 122390) ("NumericTubePlot" 0 122344) ("NumericRealEigenPackage" 0 122323) ("Numeric" 0 122284) ("NumberTheoreticPolynomialFunctions" 0 122254) ("NumberFormats" 0 122224) ("NormalizationPackage" 0 122051) ("NoneFunctions1" 0 122016) ("None" 0 121715) ("NonNegativeInteger" 0 107421) ("NonLinearSolvePackage" 0 107403) ("NonLinearFirstOrderODESolver" 0 107371) ("NonAssociativeRng&" 0 NIL) ("NonAssociativeRing&" 0 NIL) ("NonAssociativeAlgebra&" 0 NIL) ("NewtonInterpolation" 0 107361) ("NewSparseUnivariatePolynomialFunctions2" 0 107325) ("NewSparseUnivariatePolynomial" 0 107247) ("NewSparseMultivariatePolynomial" 0 107135) ("NagPartialDifferentialEquationsPackage" 0 107116) ("NagOrdinaryDifferentialEquationsPackage" 0 107046) ("NagOptimisationPackage" 0 106890) ("NagIntegrationPackage" 0 106718) ("NagEigenPackage" 0 106697) ("NPCoef" 0 106673) ("NAGLinkSupportPackage" 0 106261) ("MyUnivariatePolynomial" 0 106244) ("MyExpression" 0 106214) ("MultivariateSquareFree" 0 106150) ("MultivariateLifting" 0 106062) ("MultivariateFactorize" 0 105729) ("Multiset" 0 105670) ("MultipleMap" 0 105595) ("MultiVariableCalculusFunctions" 0 105501) ("MultFiniteFactorize" 0 105427) ("MoreSystemCommands" 0 105348) ("MonomialExtensionTools" 0 105229) ("MonoidRing" 0 105204) ("Monoid&" 0 NIL) ("MonogenicAlgebra&" 0 NIL) ("MonadWithUnit&" 0 NIL) ("Monad&" 0 NIL) ("MoebiusTransform" 0 105182) ("ModuleOperator" 0 105169) ("ModuleMonomial" 0 105141) ("Module&" 0 NIL) ("ModularRing" 0 105101) ("ModularHermitianRowReduction" 0 104896) ("ModularDistinctDegreeFactorizer" 0 104839) ("ModMonic" 0 104729) ("MeshCreationRoutinesForThreeDimensions" 0 104683) ("MergeThing" 0 104670) ("MatrixLinearAlgebraFunctions" 0 104643) ("MatrixCommonDenominator" 0 104533) ("MatrixCategoryFunctions2" 0 104152) ("MatrixCategory&" 0 NIL) ("Matrix" 0 99496) ("MappingPackageInternalHacks3" 0 99476) ("MappingPackageInternalHacks2" 0 99456) ("MappingPackageInternalHacks1" 0 99436) ("MappingPackage1" 0 99342) ("MakeUnaryCompiledFunction" 0 99282) ("MakeFunction" 0 99223) ("MakeFloatCompiledFunction" 0 99159) ("MakeBinaryCompiledFunction" 0 99111) ("Magma" 0 99080) ("MachineInteger" 0 99046) ("MachineFloat" 0 98977) ("MRationalFactorize" 0 98813) ("MPolyCatRationalFunctionFactorizer" 0 98703) ("MPolyCatPolyFactorizer" 0 98666) ("MPolyCatFunctions3" 0 98653) ("MPolyCatFunctions2" 0 98593) ("LyndonWord" 0 98506) ("Logic&" 0 NIL) ("Localize" 0 98489) ("LocalAlgebra" 0 98476) ("ListToMap" 0 98425) ("ListMultiDictionary" 0 98393) ("ListMonoidOps" 0 98341) ("ListFunctions2" 0 97938) ("ListAggregate&" 0 NIL) ("List" 0 82039) ("LiouvillianFunction" 0 81998) ("LinearSystemPolynomialPackage" 0 81975) ("LinearSystemMatrixPackage1" 0 81954) ("LinearSystemMatrixPackage" 0 81620) ("LinearPolynomialEquationByFractions" 0 81499) ("LinearOrdinaryDifferentialOperatorsOps" 0 81460) ("LinearOrdinaryDifferentialOperatorFactorizer" 0 81427) ("LinearOrdinaryDifferentialOperatorCategory&" 0 NIL) ("LinearOrdinaryDifferentialOperator2" 0 81394) ("LinearOrdinaryDifferentialOperator1" 0 81230) ("LinearOrdinaryDifferentialOperator" 0 81152) ("LinearDependence" 0 81124) ("LinearAggregate&" 0 NIL) ("LinGroebnerPackage" 0 81087) ("LiePolynomial" 0 81050) ("LieAlgebra&" 0 NIL) ("LexTriangularPackage" 0 81018) ("LeftAlgebra&" 0 NIL) ("LeadingCoefDetermination" 0 80978) ("LazyStreamAggregate&" 0 NIL) ("LaurentPolynomial" 0 80907) ("Kovacic" 0 80874) ("KeyedDictionary&" 0 NIL) ("KeyedAccessFile" 0 80862) ("KernelFunctions2" 0 80847) ("Kernel" 0 78998) ("IrredPolyOverFiniteField" 0 78958) ("Interval" 0 78911) ("InternalRationalUnivariateRepresentationPackage" 0 78837) ("InternalPrintPackage" 0 78729) ("IntegrationTools" 0 78420) ("IntegrationResultToFunction" 0 78325) ("IntegrationResultRFToFunction" 0 78285) ("IntegrationResultFunctions2" 0 78086) ("IntegrationResult" 0 77714) ("IntegrationFunctionsTable" 0 77659) ("IntegralDomain&" 0 NIL) ("IntegralBasisTools" 0 77530) ("IntegralBasisPolynomialTools" 0 77490) ("IntegerSolveLinearPolynomialEquation" 0 77478) ("IntegerRoots" 0 77293) ("IntegerRetractions" 0 77261) ("IntegerPrimesPackage" 0 76829) ("IntegerNumberTheoryFunctions" 0 76744) ("IntegerNumberSystem&" 0 NIL) ("IntegerMod" 0 76724) ("IntegerLinearDependence" 0 76685) ("IntegerFactorizationPackage" 0 76561) ("IntegerCombinatoricFunctions" 0 76345) ("IntegerBits" 0 76314) ("Integer" 0 62106) ("InputFormFunctions1" 0 62087) ("InputForm" 0 59963) ("InnerTrigonometricManipulations" 0 59835) ("InnerTaylorSeries" 0 59775) ("InnerTable" 0 59765) ("InnerSparseUnivariatePowerSeries" 0 59668) ("InnerPrimeField" 0 59634) ("InnerPolySum" 0 59610) ("InnerPolySign" 0 59527) ("InnerPAdicInteger" 0 59487) ("InnerNumericFloatSolvePackage" 0 59390) ("InnerNumericEigenPackage" 0 59333) ("InnerNormalBasisFieldFunctions" 0 59285) ("InnerMultFact" 0 59239) ("InnerMatrixQuotientFieldFunctions" 0 59206) ("InnerMatrixLinearAlgebraFunctions" 0 59137) ("InnerIndexedTwoDimensionalArray" 0 59059) ("InnerFreeAbelianMonoid" 0 59018) ("InnerEvalable&" 0 NIL) ("InnerCommonDenominator" 0 58772) ("InnerAlgebraicNumber" 0 58752) ("InnerAlgFactor" 0 58683) ("InfiniteTuple" 0 58629) ("IndexedVector" 0 58602) ("IndexedString" 0 58591) ("IndexedOneDimensionalArray" 0 58522) ("IndexedList" 0 58513) ("IndexedFlexibleArray" 0 58426) ("IndexedExponents" 0 58150) ("IndexedDirectProductOrderedAbelianMonoidSup" 0 58129) ("IndexedDirectProductOrderedAbelianMonoid" 0 58081) ("IndexedDirectProductObject" 0 58043) ("IndexedDirectProductAbelianMonoid" 0 57963) ("IndexedDirectProductAbelianGroup" 0 57948) ("IndexedBits" 0 57939) ("IndexedAggregate&" 0 NIL) ("IdealDecompositionPackage" 0 57916) ("HyperbolicFunctionCategory&" 0 NIL) ("HomogeneousDistributedMultivariatePolynomial" 0 57847) ("HomogeneousDirectProduct" 0 57766) ("HomogeneousAggregate&" 0 NIL) ("HeuGcd" 0 57754) ("HashTable" 0 57698) ("HallBasis" 0 57677) ("GuessOptionFunctions0" 0 57667) ("GuessOption" 0 57633) ("GuessFiniteFunctions" 0 57617) ("Guess" 0 57517) ("Group&" 0 NIL) ("GroebnerPackage" 0 57357) ("GroebnerInternalPackage" 0 57230) ("GrayCode" 0 57216) ("GraphicsDefaults" 0 57116) ("GraphImage" 0 57038) ("GradedModule&" 0 NIL) ("GradedAlgebra&" 0 NIL) ("GosperSummationMethod" 0 56995) ("GenusZeroIntegration" 0 56966) ("GeneralizedMultivariateFactorize" 0 56894) ("GeneralTriangularSet" 0 56835) ("GeneralSparseTable" 0 56819) ("GeneralPolynomialSet" 0 56628) ("GeneralPolynomialGcdPackage" 0 56604) ("GeneralHenselPackage" 0 56518) ("GeneralDistributedMultivariatePolynomial" 0 56433) ("GenUFactorize" 0 56381) ("GenExEuclid" 0 56207) ("GcdDomain&" 0 NIL) ("GaloisGroupUtilities" 0 56169) ("GaloisGroupPolynomialUtilities" 0 56143) ("GaloisGroupFactorizer" 0 56095) ("GaloisGroupFactorizationUtilities" 0 56052) ("FunctionalSpecialFunction" 0 56037) ("FunctionSpaceUnivariatePolynomialFactor" 0 55938) ("FunctionSpaceToUnivariatePowerSeries" 0 55898) ("FunctionSpacePrimitiveElement" 0 55821) ("FunctionSpaceIntegration" 0 55613) ("FunctionSpaceFunctions2" 0 55529) ("FunctionSpaceComplexIntegration" 0 55500) ("FunctionSpaceAttachPredicates" 0 55453) ("FunctionSpaceAssertions" 0 55386) ("FunctionSpace&" 0 NIL) ("FunctionFieldCategoryFunctions2" 0 55358) ("FunctionFieldCategory&" 0 NIL) ("FullyRetractableTo&" 0 NIL) ("FullyLinearlyExplicitRingOver&" 0 NIL) ("FullyEvalableOver&" 0 NIL) ("FreeMonoid" 0 55336) ("FreeModule1" 0 55260) ("FreeModule" 0 55155) ("FreeGroup" 0 55125) ("FreeAbelianGroup" 0 55106) ("FramedNonAssociativeAlgebra&" 0 NIL) ("FramedModule" 0 55088) ("FramedAlgebra&" 0 NIL) ("FractionalIdealFunctions2" 0 55060) ("FractionalIdeal" 0 54892) ("FractionFreeFastGaussianFractions" 0 54882) ("FractionFreeFastGaussian" 0 54836) ("Fraction" 0 47447) ("FourierComponent" 0 47429) ("FortranType" 0 47139) ("FortranScalarType" 0 46859) ("FortranPackage" 0 46649) ("FortranOutputStackPackage" 0 46404) ("FortranExpression" 0 46239) ("FortranCode" 0 45972) ("FloatingRealPackage" 0 45951) ("FloatingPointSystem&" 0 NIL) ("Float" 0 44097) ("FlexibleArray" 0 44072) ("FiniteSetAggregate&" 0 NIL) ("FiniteRankNonAssociativeAlgebra&" 0 NIL) ("FiniteRankAlgebra&" 0 NIL) ("FiniteLinearAggregateSort" 0 44038) ("FiniteLinearAggregateFunctions2" 0 43859) ("FiniteLinearAggregate&" 0 NIL) ("FiniteFieldSolveLinearPolynomialEquation" 0 43828) ("FiniteFieldPolynomialPackage" 0 43626) ("FiniteFieldNormalBasisExtensionByPolynomial" 0 43565) ("FiniteFieldFunctions" 0 43412) ("FiniteFieldExtensionByPolynomial" 0 43327) ("FiniteFieldExtension" 0 43306) ("FiniteFieldCyclicGroupExtensionByPolynomial" 0 43245) ("FiniteFieldCategory&" 0 NIL) ("FiniteDivisorCategory&" 0 NIL) ("FiniteDivisor" 0 43109) ("FiniteAlgebraicExtensionField&" 0 NIL) ("FiniteAbelianMonoidRingFunctions2" 0 43071) ("FiniteAbelianMonoidRing&" 0 NIL) ("FileName" 0 42711) ("File" 0 42657) ("FieldOfPrimeCharacteristic&" 0 NIL) ("Field&" 0 NIL) ("FactoringUtilities" 0 42569) ("FactoredFunctions2" 0 42374) ("FactoredFunctions" 0 42305) ("FactoredFunctionUtilities" 0 42190) ("Factored" 0 38148) ("ExtensionField&" 0 NIL) ("ExtensibleLinearAggregate&" 0 NIL) ("ExtAlgBasis" 0 38119) ("ExpressionSpaceFunctions2" 0 38021) ("ExpressionSpace&" 0 NIL) ("ExpressionSolve" 0 37998) ("ExpressionFunctions2" 0 37621) ("Expression" 0 35820) ("ExponentialOfUnivariatePuiseuxSeries" 0 35705) ("ExponentialExpansion" 0 35665) ("ExpertSystemToolsPackage2" 0 35627) ("ExpertSystemToolsPackage1" 0 35606) ("ExpertSystemToolsPackage" 0 35115) ("ExpertSystemContinuityPackage" 0 35077) ("Exit" 0 34807) ("Evalable&" 0 NIL) ("EuclideanModularRing" 0 34787) ("EuclideanGroebnerBasisPackage" 0 34757) ("EuclideanDomain&" 0 NIL) ("ErrorFunctions" 0 34549) ("Equation" 0 31386) ("EltableAggregate&" 0 NIL) ("ElementaryRischDESystem" 0 31360) ("ElementaryRischDE" 0 31334) ("ElementaryIntegration" 0 31271) ("ElementaryFunctionsUnivariatePuiseuxSeries" 0 31231) ("ElementaryFunctionsUnivariateLaurentSeries" 0 31160) ("ElementaryFunctionStructurePackage" 0 30830) ("ElementaryFunctionSign" 0 30468) ("ElementaryFunctionODESolver" 0 30435) ("ElementaryFunctionCategory&" 0 NIL) ("ElementaryFunction" 0 30420) ("EigenPackage" 0 30396) ("DrawOptionFunctions1" 0 30371) ("DrawOptionFunctions0" 0 30177) ("DrawOption" 0 30015) ("DoubleResultantPackage" 0 29992) ("DoubleFloatSpecialFunctions" 0 29976) ("DoubleFloat" 0 27920) ("DivisionRing&" 0 NIL) ("DistributedMultivariatePolynomial" 0 27802) ("DistinctDegreeFactorize" 0 27483) ("DisplayPackage" 0 27457) ("DiscreteLogarithmPackage" 0 27432) ("DirectProductCategory&" 0 NIL) ("DirectProduct" 0 27023) ("DifferentialVariableCategory&" 0 NIL) ("DifferentialSparseMultivariatePolynomial" 0 26913) ("DifferentialRing&" 0 NIL) ("DifferentialPolynomialCategory&" 0 NIL) ("DifferentialExtension&" 0 NIL) ("DictionaryOperations&" 0 NIL) ("Dictionary&" 0 NIL) ("DegreeReductionPackage" 0 26889) ("DefiniteIntegrationTools" 0 26809) ("Database" 0 26789) ("DataList" 0 26776) ("CyclotomicPolynomialPackage" 0 26728) ("CyclicStreamTools" 0 26694) ("CoordinateSystems" 0 26652) ("ContinuedFraction" 0 26537) ("ConstantLODE" 0 26504) ("ComplexRootPackage" 0 26445) ("ComplexPatternMatch" 0 26424) ("ComplexPattern" 0 26403) ("ComplexIntegerSolveLinearPolynomialEquation" 0 26382) ("ComplexFunctions2" 0 26350) ("ComplexFactorization" 0 26282) ("ComplexCategory&" 0 NIL) ("Complex" 0 25765) ("CommuteUnivariatePolynomialCategory" 0 25618) ("Commutator" 0 25597) ("CommonOperators" 0 25444) ("CommonDenominator" 0 25310) ("CombinatorialFunction" 0 25295) ("Color" 0 25196) ("Collection&" 0 NIL) ("CoerceVectorMatrixPackage" 0 25132) ("ChineseRemainderToolsForIntegralBases" 0 25092) ("CharacteristicPolynomialInMonogenicalAlgebra" 0 25070) ("CharacterClass" 0 24997) ("Character" 0 24688) ("ChangeOfVariable" 0 24588) ("CartesianTensor" 0 24558) ("CardinalNumber" 0 23969) ("BrillhartTests" 0 23943) ("BoundIntegerRoots" 0 23909) ("Boolean" 0 7257) ("Bits" 0 7230) ("BitAggregate&" 0 NIL) ("BinaryTreeCategory&" 0 NIL) ("BinaryTree" 0 7169) ("BinaryRecursiveAggregate&" 0 NIL) ("BasicType&" 0 NIL) ("BasicOperatorFunctions1" 0 6976) ("BasicOperator" 0 5569) ("BasicFunctions" 0 5535) ("BalancedPAdicInteger" 0 5509) ("BalancedFactorisation" 0 5470) ("BagAggregate&" 0 NIL) ("Automorphism" 0 5290) ("AttributeButtons" 0 5016) ("AssociationList" 0 4864) ("AssociatedLieAlgebra" 0 4844) ("Asp9" 0 4749) ("Asp80" 0 4705) ("Asp8" 0 4610) ("Asp78" 0 4566) ("Asp77" 0 4522) ("Asp74" 0 4462) ("Asp73" 0 4402) ("Asp7" 0 4290) ("Asp6" 0 4264) ("Asp55" 0 4220) ("Asp50" 0 4176) ("Asp49" 0 4115) ("Asp42" 0 4071) ("Asp41" 0 4027) ("Asp4" 0 3967) ("Asp35" 0 3941) ("Asp34" 0 3905) ("Asp33" 0 3861) ("Asp31" 0 3800) ("Asp30" 0 3764) ("Asp29" 0 3744) ("Asp28" 0 3690) ("Asp27" 0 3670) ("Asp24" 0 3626) ("Asp20" 0 3582) ("Asp19" 0 3538) ("Asp12" 0 3494) ("Asp10" 0 3450) ("Asp1" 0 3264) ("ArcTrigonometricFunctionCategory&" 0 NIL) ("ApplyUnivariateSkewPolynomial" 0 3224) ("ApplyRules" 0 3168) ("AnyFunctions1" 0 2101) ("Any" 0 751) ("AntiSymm" 0 733) ("AnnaNumericalOptimizationPackage" 0 712) ("AnnaNumericalIntegrationPackage" 0 683) ("AlgebraicallyClosedFunctionSpace&" 0 NIL) ("AlgebraicallyClosedField&" 0 NIL) ("AlgebraicNumber" 0 510) ("AlgebraicManipulations" 0 224) ("AlgebraicIntegration" 0 198) ("AlgebraicHermiteIntegration" 0 175) ("AlgebraicFunction" 0 160) ("AlgebraGivenByStructuralConstants" 0 127) ("Algebra&" 0 NIL) ("AlgFactor" 0 20) ("Aggregate&" 0 NIL) ("AbelianSemiGroup&" 0 NIL) ("AbelianMonoidRing&" 0 NIL) ("AbelianMonoid&" 0 NIL) ("AbelianGroup&" 0 NIL))
\ No newline at end of file
